Introduction

The Imaging Common Dialog libraries provide a set of common dialog boxes that combine Windows Common Dialog functionality with imaging functionality contained in LEADTOOLS. Imaging Common Dialogs are provided for numerous image processing, effects and filtering functions.

Reusable dialogs for the most common LEADTOOLS imaging functions and effects are now provided.

A Thumbnail Preview option for the image processing dialogs allows the end user to preview the proposed change to the image, before actually affecting the original image.

An optional Help callback function lets you provide custom help information for each dialog.

A user interface control for the dialogs is provided through flags in the structure passed to each dialog function.

An option to have the Imaging Common Dialog process the image automatically is provided.

Executable demos are included in all LEADTOOLS products. The executable demos provide a quick and easy way to evaluate the LEADTOOLS Common Dialog features and performance.

The LEADTOOLS Common Dialog features come in a WIN32 edition so that it can support development of software applications for any of the following environments:

Windows 95
Windows 98
Windows 2000


Example Programs

The following example programs are in separate EXAMPLES\CLASSLIB\ subdirectories (such as C:\LEAD Technologies, Inc\LEADTOOLS\Examples\ClassLib\MSVC5\DEMO). The executable files for these examples were compiled with Document/Medical capabilities of the toolkit. To get Document/Medical capabilities, you must buy the LEADTOOLS Document/Medical toolkit. Otherwise, if you recompile the examples, the resulting executable files will not have the Document/Medical capabilities.

Note:

You can run the example programs on your system by clicking the appropriate buttons in online help. If you try to run an example program that is not on your system, an error message will appear.

DEMO

Main Demo is the main example program. It uses pull-down menus to demonstrate most of the LEADTOOLS Common Dialog features in one application. This program was compiled using a Microsoft compiler


Version History

Current version: | 14.5
Last update: | October 31, 2005

Changes from Version 14 to Version 14.5

Version 14


Changes from Version 14 to Version 14.5

Version 14.5 of the LEADTOOLS Common Dialog CLIB has changed from version 14 as follows:

Changed Structures

SAVEDLGPARAMS now takes 1 new parameter.


Version 14

Version 14 of the LEADTOOLS Common Dialog Class Library has been completely re-designed and re-written since version 13.

LEADTOOLS Common Dialog Class Library now supports UNICODE.

The rest of the topic lists the new functions according to class:

LDialogBase

LDialogBase::~LDialogBase

LDialogBase::LDialogBase

LDialogBase::Initialize

LDialogBase::Free

LDialogBase::GetString

LDialogBase::GetStringLen

LDialogBase::IsAutoProcessEnabled

LDialogBase::IsPreviewEnabled

LDialogBase::IsToolbarEnabled

LDialogBase::DialogHelpCallBack

LDialogBase::EnableAutoProcess

LDialogBase::EnablePreview

LDialogBase::EnableToolbar

LDialogBase::SetFont

LDialogBase::SetString

LDialogBase::GetBitmap

LDialogBase::SetBitmap

LDialogImageEffect

LDialogImageEffect::~LDialogImageEffect

LDialogImageEffect::LDialogImageEffect

LDialogImageEffect::DoModalMotionBlur

LDialogImageEffect::DoModalRadialBlur

LDialogImageEffect::DoModalZoomBlur

LDialogImageEffect::DoModalGaussianBlur

LDialogImageEffect::DoModalAntiAlias

LDialogImageEffect::DoModalAverage

LDialogImageEffect::DoModalMedian

LDialogImageEffect::DoModalAddNoise

LDialogImageEffect::DoModalMaxFilter

LDialogImageEffect::DoModalMinFilter

LDialogImageEffect::DoModalSharpen

LDialogImageEffect::DoModalShiftDifferenceFilter

LDialogImageEffect::DoModalEmboss

LDialogImageEffect::DoModalOilify

LDialogImageEffect::DoModalMosaic

LDialogImageEffect::DoModalErosionFilter

LDialogImageEffect::DoModalDilationFilter

LDialogImageEffect::DoModalContourFilter

LDialogImageEffect::DoModalGradientFilter

LDialogImageEffect::DoModalLaplacianFilter

LDialogImageEffect::DoModalSobelFilter

LDialogImageEffect::DoModalPrewittFilter

LDialogImageEffect::DoModalLineSegmentFilter

LDialogImageEffect::DoModalUnsharpMask

LDialogImageEffect::DoModalMultiply

LDialogImageEffect::DoModalAddBitmaps

LDialogImageEffect::DoModalStitch

LDialogImageEffect::DoModalFreeHandWave

LDialogImageEffect::DoModalWind

LDialogImageEffect::DoModalPolar

LDialogImageEffect::DoModalZoomWave

LDialogImageEffect::DoModalRadialWave

LDialogImageEffect::DoModalSwirl

LDialogImageEffect::DoModalWave

LDialogImageEffect::DoModalWaveShear

LDialogImageEffect::DoModalPunch

LDialogImageEffect::DoModalRipple

LDialogImageEffect::DoModalBending

LDialogImageEffect::DoModalCylindrical

LDialogImageEffect::DoModalSpherize

LDialogImageEffect::DoModalImpressionist

LDialogImageEffect::DoModalPixelate

LDialogImageEffect::DoModalEdgeDetector

LDialogImageEffect::DoModalUnderlay

LDialogImageEffect::DoModalPicturize

LDialogImageEffect::GetMotionBlurParams

LDialogImageEffect::GetRadialBlurParams

LDialogImageEffect::GetZoomBlurParams

LDialogImageEffect::GetGaussianBlurParams

LDialogImageEffect::GetAntiAliasParams

LDialogImageEffect::GetAverageParams

LDialogImageEffect::GetMedianParams

LDialogImageEffect::GetAddNoiseParams

LDialogImageEffect::GetMaxFilterParams

LDialogImageEffect::GetMinFilterParams

LDialogImageEffect::GetSharpenParams

LDialogImageEffect::GetShiftDifferenceFilterParams

LDialogImageEffect::GetEmbossParams

LDialogImageEffect::GetOilifyParams

LDialogImageEffect::GetMosaicParams

LDialogImageEffect::GetErosionFilterParams

LDialogImageEffect::GetDilationFilterParams

LDialogImageEffect::GetContourFilterParams

LDialogImageEffect::GetGradientFilterParams

LDialogImageEffect::GetLaplacianFilterParams

LDialogImageEffect::GetSobelFilterParams

LDialogImageEffect::GetPrewittFilterParams

LDialogImageEffect::GetLineSegmentFilterParams

LDialogImageEffect::GetUnsharpMaskParams

LDialogImageEffect::GetMultiplyParams

LDialogImageEffect::GetAddBitmapsParams

LDialogImageEffect::GetStitchParams

LDialogImageEffect::GetFreeHandWaveParams

LDialogImageEffect::GetWindParams

LDialogImageEffect::GetPolarParams

LDialogImageEffect::GetZoomWaveParams

LDialogImageEffect::GetRadialWaveParams

LDialogImageEffect::GetSwirlParams

LDialogImageEffect::GetWaveParams

LDialogImageEffect::GetWaveShearParams

LDialogImageEffect::GetPunchParams

LDialogImageEffect::GetRippleParams

LDialogImageEffect::GetBendingParams

LDialogImageEffect::GetCylindricalParams

LDialogImageEffect::GetSpherizeParams

LDialogImageEffect::GetImpressionistParams

LDialogImageEffect::GetPixelateParams

LDialogImageEffect::GetEdgeDetectorParams

LDialogImageEffect::GetUnderlayParams

LDialogImageEffect::GetPicturizeParams

LDialogImageEffect::SetMotionBlurParams

LDialogImageEffect::SetRadialBlurParams

LDialogImageEffect::SetZoomBlurParams

LDialogImageEffect::SetGaussianBlurParams

LDialogImageEffect::SetAntiAliasParams

LDialogImageEffect::SetAverageParams

LDialogImageEffect::SetMedianParams

LDialogImageEffect::SetAddNoiseParams

LDialogImageEffect::SetMaxFilterParams

LDialogImageEffect::SetMinFilterParams

LDialogImageEffect::SetSharpenParams

LDialogImageEffect::SetShiftDifferenceFilterParams

LDialogImageEffect::SetEmbossParams

LDialogImageEffect::SetOilifyParams

LDialogImageEffect::SetMosaicParams

LDialogImageEffect::SetErosionFilterParams

LDialogImageEffect::SetDilationFilterParams

LDialogImageEffect::SetContourFilterParams

LDialogImageEffect::SetGradientFilterParams

LDialogImageEffect::SetLaplacianFilterParams

LDialogImageEffect::SetSobelFilterParams

LDialogImageEffect::SetPrewittFilterParams

LDialogImageEffect::SetLineSegmentFilterParams

LDialogImageEffect::SetUnsharpMaskParams

LDialogImageEffect::SetMultiplyParams

LDialogImageEffect::SetAddBitmapsParams

LDialogImageEffect::SetStitchParams

LDialogImageEffect::SetFreeHandWaveParams

LDialogImageEffect::SetWindParams

LDialogImageEffect::SetPolarParams

LDialogImageEffect::SetZoomWaveParams

LDialogImageEffect::SetRadialWaveParams

LDialogImageEffect::SetSwirlParams

LDialogImageEffect::SetWaveParams

LDialogImageEffect::SetWaveShearParams

LDialogImageEffect::SetPunchParams

LDialogImageEffect::SetRippleParams

LDialogImageEffect::SetBendingParams

LDialogImageEffect::SetCylindricalParams

LDialogImageEffect::SetSpherizeParams

LDialogImageEffect::SetImpressionistParams

LDialogImageEffect::SetPixelateParams

LDialogImageEffect::SetEdgeDetectorParams

LDialogImageEffect::SetUnderlayParams

LDialogImageEffect::SetPicturizeParams

LDialogImage

LDialogImage::~LDialogImage

LDialogImage::LDialogImage

LDialogImage::DoModalRotate

LDialogImage::DoModalShear

LDialogImage::DoModalResize

LDialogImage::DoModalAddBorder

LDialogImage::DoModalAddFrame

LDialogImage::DoModalAutoTrim

LDialogImage::DoModalCanvasResize

LDialogImage::DoModalHistogram

LDialogImage::GetRotateParams

LDialogImage::GetShearParams

LDialogImage::GetResizeParams

LDialogImage::GetAddBorderParams

LDialogImage::GetAddFrameParams

LDialogImage::GetAutoTrimParams

LDialogImage::GetCanvasResizeParams

LDialogImage::GetHistogramParams

LDialogImage::SetRotateParams

LDialogImage::SetShearParams

LDialogImage::SetResizeParams

LDialogImage::SetAddBorderParams

LDialogImage::SetAddFrameParams

LDialogImage::SetAutoTrimParams

LDialogImage::SetCanvasResizeParams

LDialogImage::SetHistogramParams

LDialogFile

LDialogFile::~LDialogFile

LDialogFile::LDialogFile

LDialogFile::DoModalGetDirectory

LDialogFile::DoModalFileConversion

LDialogFile::DoModalFilesAssociation

LDialogFile::DoModalPrintStitchedImages

LDialogFile::DoModalPrintPreview

LDialogFile::DoModalSave

LDialogFile::DoModalOpen

LDialogFile::GetFileName

LDialogFile::GetDirectoryParams

LDialogFile::GetFileConversionParams

LDialogFile::GetFilesAssociationParams

LDialogFile::GetPrintStitchedImagesParams

LDialogFile::GetPrintPreviewParams

LDialogFile::GetFileName

LDialogFile::GetSaveParams

LDialogFile::GetOpenParams

LDialogFile::SetFileName

LDialogFile::SetDirectoryParams

LDialogFile::SetFileConversionParams

LDialogFile::SetFilesAssociationParams

LDialogFile::SetPrintStitchedImagesParams

LDialogFile::SetPrintPreviewParams

LDialogFile::SetFileName

LDialogFile::SetSaveParams

LDialogFile::SetOpenParams

LDialogEffect

LDialogEffect::~LDialogEffect

LDialogEffect::LDialogEffect

LDialogEffect::DoModalGetShape

LDialogEffect::DoModalGetEffect

LDialogEffect::DoModalGetTransition

LDialogEffect::DoModalGetGradient

LDialogEffect::DoModalGetText

LDialogEffect::GetShapeParams

LDialogEffect::GetEffectParams

LDialogEffect::GetTransitionParams

LDialogEffect::GetGradientParams

LDialogEffect::GetTextParams

LDialogEffect::SetShapeParams

LDialogEffect::SetEffectParams

LDialogEffect::SetTransitionParams

LDialogEffect::SetGradientParams

LDialogEffect::SetTextParams

LDialogDocument

LDialogDocument::~LDialogDocument

LDialogDocument::LDialogDocument

LDialogDocument::DoModalSmooth

LDialogDocument::DoModalLineRemove

LDialogDocument::DoModalBorderRemove

LDialogDocument::DoModalInvertedText

LDialogDocument::DoModalDotRemove

LDialogDocument::DoModalHolePunchRemove

LDialogDocument::DoModalRemoveRedEye

LDialogDocument::GetSmoothParams

LDialogDocument::GetLineRemoveParams

LDialogDocument::GetBorderRemoveParams

LDialogDocument::GetInvertedTextParams

LDialogDocument::GetDotRemoveParams

LDialogDocument::GetHolePunchRemoveParams

LDialogDocument::GetRemoveRedEyeParams

LDialogDocument::SetSmoothParams

LDialogDocument::SetLineRemoveParams

LDialogDocument::SetBorderRemoveParams

LDialogDocument::SetInvertedTextParams

LDialogDocument::SetDotRemoveParams

LDialogDocument::SetHolePunchRemoveParams

LDialogDocument::SetRemoveRedEyeParams

LDialogColor

LDialogColor::~LDialogColor

LDialogColor::LDialogColor

LDialogColor::DoModalBalanceColors

LDialogColor::DoModalColoredGray

LDialogColor::DoModalGrayScale

LDialogColor::DoModalRemapIntensity

LDialogColor::DoModalRemapHue

LDialogColor::DoModalCustomizePalette

LDialogColor::DoModalLocalHistoEqualize

LDialogColor::DoModalIntensityDetect

LDialogColor::DoModalSolarize

LDialogColor::DoModalPosterize

LDialogColor::DoModalBrightness

LDialogColor::DoModalContrast

LDialogColor::DoModalHue

LDialogColor::DoModalSaturation

LDialogColor::DoModalGammaAdjustment

LDialogColor::DoModalHalfTone

LDialogColor::DoModalColorRes

LDialogColor::DoModalHistoContrast

LDialogColor::DoModalColor

LDialogColor::DoModalWindowLevel

LDialogColor::GetBalanceColorsParams

LDialogColor::GetColoredGrayParams

LDialogColor::GetGrayScaleParams

LDialogColor::GetRemapIntensityParams

LDialogColor::GetRemapHueParams

LDialogColor::GetCustomizePaletteParams

LDialogColor::GetLocalHistoEqualizeParams

LDialogColor::GetIntensityDetectParams

LDialogColor::GetSolarizeParams

LDialogColor::GetPosterizeParams

LDialogColor::GetBrightnessParams

LDialogColor::GetContrastParams

LDialogColor::GetHueParams

LDialogColor::GetSaturationParams

LDialogColor::GetGammaAdjustmentParams

LDialogColor::GetHalfToneParams

LDialogColor::GetColorResParams

LDialogColor::GetHistoContrastParams

LDialogColor::GetColorParams

LDialogColor::GetWindowLevelParams

LDialogColor::SetBalanceColorsParams

LDialogColor::SetColoredGrayParams

LDialogColor::SetGrayScaleParams

LDialogColor::SetRemapintEnsityParams

LDialogColor::SetRemapHueParams

LDialogColor::SetCustomizePaletteParams

LDialogColor::SetLocalHistoEqualizeParams

LDialogColor::SetIntensityDetectParams

LDialogColor::SetSolarizeParams

LDialogColor::SetPosterizeParams

LDialogColor::SetBrightnessParams

LDialogColor::SetContrastParams

LDialogColor::SetHueParams

LDialogColor::SetSaturationParams

LDialogColor::SetGammaAdjustmentParams

LDialogColor::SetHalfToneParams

LDialogColor::SetColorResParams

LDialogColor::SetHistoContrastParams

LDialogColor::SetColorParams

LDialogColor::SetWindowLevelParams

LDialogWeb

LDialogWeb::~LDialogWeb

LDialogWeb::LDialogWeb

LDialogWeb::DoModalPNGWebTuner

LDialogWeb::DoModalGIFWebTuner

LDialogWeb::DoModalJPEGWebTuner

LDialogWeb::DoModalHTMLMapper

LDialogWeb::GetPNGWebTunerParams

LDialogWeb::GetGIFWebTunerParams

LDialogWeb::GetJPEGWebTunerParams

LDialogWeb::GetHTMLMapperParams

LDialogWeb::SetPNGWebTunerParams

LDialogWeb::SetGIFWebTunerParams

LDialogWeb::SetJPEGWebTunerParams

LDialogWeb::SetHTMLMapperParams


Copyright notice

Copyright Notices

©Copyright LEAD Technologies, Inc. 1991-2005. ALL RIGHTS RESERVED

Portions of the PCDLIB32.DLL, PCDLIB.DLL, LFFPX7.DLL, LFKODAK.DLL, EKFPIXJPEG140.DLL, PDC_SDK.DLL, PROFIRE.DLL, DC120V154_32.DLL, LFDCR14N.DLL, DCSPROBACK.DLL, DCSPRO3SLR.DLL, LFDCS14N.DLL, and LFKDC14N.DLL files contain material that is ©Copyright Eastman Kodak Company, 1996-2001. This software is based in part on the work of the Independent JPEG Group.

Portions of the LFCRW14N.DLL, LTCMP14.DLL, CDSDK.reg, CDSDK.dll, CDRAPCLS.dll, czs_ui.dll, deimg.dll, deImg010.dll, deImg110.dll, deImg153.dll, deimg301.dll, deimg401.dll, deImg404.dll, deimg602.dll, Deimg603.dll, DeImgd60.dll, pscAdimg.dll, pscCllct.dll, pscCStUI.dll, pscDcd.dll, pscDevUI.dll, pscDvlp.dll, Pscl2STI.dll, pscll.dll, pscParse.dll, pscSetup.dll, psdkdll.dll, psdkReg.dll, psParse.dll. file contain material that is © Canon, Inc. 2002

Portions of the LFFPX7.DLL and LFKODAK.DLL files contain material that is ©Copyright Hewlett Packard, 1996.

Portions of the OCR/ICR/OMR Features and the help file for the OCR/ICR/OMR Features are ©Copyright Scansoft, Inc. 1995-2003. ALL RIGHTS RESERVED

Portions of the Barcode Modules contain material that is ©Copyright Axtel Inc., 1999.

Portions of the LEADTOOLS PDF Plug in and the LEADTOOLS Vector Imaging Pro are ©Copyright 1996, 2000 Artifex Software Inc. All rights reserved.

File filters for decoding MrSID ® and DjVu ® formats are provided under a license from Lizardtech, Inc.

The "FlashPix" format uses Microsoft's OLE structured storage.

Portions of the DICOM help files in Medical Imaging product line are reprinted with permission from the National Electrical Manufacturers Association ©Copyright 1998 by the National Electrical Manufacturers Association. All rights including translation into other languages, reserved under the Universal Copyright Convention, the Berne Convention or the Protection of Literacy and Artistic Works, and the International and Pan American Copyright Conventions.

Portions of LEADTOOLS Data Security Add On contain software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/), including cryptographic software written by Eric Young (eay@cryptsoft.com) and by Tim Hudson (tjh@cryptsoft.com). Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com) All rights reserved. Copyright Tim Hudson 1995-1998 (tjh@cryptsoft.com) All rights reserved.

Portions of LEADTOOLS Data Security Add On contain software based on the MD5 Message Digest Algorithm developed by RSA Data Security, Inc.. Copyright (c) 1991-92 RSA Data Security, Inc. All Rights Reserved.

Portions hereof licensed under US patent 5,327,254 and foreign counterparts.

Portions of the LEADTOOLS ICC Profiles material is © Copyright 2004, International Color Consortium.

Trademarks

LEAD® and LEADTOOLS® are registered trademarks of LEAD Technologies, Inc.
Microsoft, Windows, Windows NT, Visual Basic, Visual FoxPro, and Microsoft Access are either trademarks or registered trademarks of the Microsoft Corporation.
OS/2® is a registered trademark of International Business Machines Corporation.

TextBridge®OCR is a registered trademark of Scansoft, Inc.

ISIS® is a registered trademark of Pixel Translations, Inc.

ScanAhead™ is a trademark of Pixel Translations, Inc.

FlashPix™ is a trademark of Eastman Kodak Company.

All other brand or product names used in this online help are trademarks of their respective holders.

Address and Contact Information

LEAD Technologies, Inc.
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

(704) 332-5532
FAX: (704) 372-8161
E-mail: support@leadtools.com
Technical support: (704) 372-9681 or support@leadtools.com
Home page: http://www.leadtools.com


Programming with LEADTOOLS Common Dialogs

The following topics provide a systematic approach to understanding how to program with the LEADTOOLS Common Dialogs Class Library

Using Imaging Common Dialogs


Using Imaging Common Dialogs

The Imaging Common Dialog libraries provide a set of common dialog boxes that combine Windows Common Dialog functionality with imaging functionality contained in LEADTOOLS. For a list of required DLL's, refer to Files To Be Included With Your Application. Imaging Common Dialogs are provided for numerous image processing, effects and filtering functions.

Reusable dialogs for the most common LEADTOOLS imaging functions and effects are now provided.

- A Thumbnail Preview option for the image processing dialogs allows the end user to preview the proposed change to the image, before actually affecting the original image.

- An optional Help callback function lets you provide custom help information for each dialog.

- A user interface control for the dialogs is provided through flags in the structure passed to each dialog function.

- An option to have the Imaging Common Dialog process the image automatically is provided.

These dialogs provide input parameters needed for the several LEADTOOLS imaging functions. The table below gives the function that displays the dialog on the left and the image processing function associated with it on the right, if one exists. For more information on the Image Processing functions, refer to the LEADTOOLS Main Class Library help file in the LEADTOOLS/HELP directory.

Artistic Effects |
LDialogImageEffect::DoModalAddBitmaps | LBitmapBase::Add
LDialogImage::DoModalAddBorder | LBitmap::AddBorder
LDialogImage::DoModalAddFrame | LBitmap::AddFrame
LDialogImageEffect::DoModalAddNoise | LBitmap::AddNoise
LDialogImageEffect::DoModalBending | LBitmap::Bending
LDialogImageEffect::DoModalCylindrical | LBitmap::Cylindrical
LDialogImageEffect::DoModalFreeHandWave | LBitmap::FreeHandWave
LDialogImageEffect::DoModalImpressionist | LBitmap::Impressionist
LDialogImageEffect::DoModalMosaic | LBitmap::Mosaic
LDialogImageEffect::DoModalMotionBlur | LBitmap::MotionBlur
LDialogImageEffect::DoModalOilify | LBitmap::Oilify
LDialogImageEffect::DoModalPicturize | LBitmap::Picturize
LDialogImageEffect::DoModalPixelate | LBitmap::Pixelate
LDialogImageEffect::DoModalPolar | LBitmap::Polar
LDialogColor::DoModalPosterize | LBitmap::Posterize
LDialogImageEffect::DoModalPunch | LBitmap::Punch
LDialogImageEffect::DoModalRadialBlur | LBitmap::RadialBlur
LDialogImageEffect::DoModalRadialWave | LBitmap::RadWave
LDialogDocument::DoModalRemoveRedeye | LBitmap::RemoveRedEye
LDialogImageEffect::DoModalRipple | LBitmap::Ripple
LDialogColor::DoModalSolarize | LBitmap::Solarize
LDialogImageEffect::DoModalSpherize | LBitmap::Spherize
LDialogImageEffect::DoModalStitch |
LDialogImageEffect::DoModalSwirl | LBitmap::Swirl
LDialogImageEffect::DoModalUnderlay | LBitmapBase::Underlay
LDialogImageEffect::DoModalWave | LBitmap::Wave
LDialogImageEffect::DoModalWaveShear | LBitmap::FreeHandShear
LDialogImageEffect::DoModalWind | LBitmap::Wind
LDialogImageEffect::DoModalZoomBlur | LBitmap::ZoomBlur
LDialogImageEffect::DoModalZoomWave | LBitmap::ZoomWave
Color Manipulation |
LDialogColor::DoModalBalanceColors | LBitmap::BalanceColors
LDialogColor::DoModalBrightness | LBitmap::ChangeIntensity
LDialogColor::DoModalColor |
LDialogColor::DoModalColoredGray | LBitmap::ConvertToColoredGray
LDialogColor::DoModalColorRes | LBitmapBase::ColorRes
LDialogColor::DoModalContrast | LBitmap::ChangeContrast
LDialogColor::DoModalCustomizePalette |
LDialogColor::DoModalGammaAdjustment |
LDialogColor::DoModalGrayScale | LBitmapBase::GrayScale
LDialogColor::DoModalHalftone | LBitmap::HalfTone
LDialogColor::DoModalHistoContrast | LBitmap::HistoContrast
LDialogImage::DoModalHistogram |
LDialogColor::DoModalHue | LBitmap::ChangeHue
LDialogColor::DoModalIntensityDetect | LBitmap::IntensityDetect
LDialogColor::DoModalLocalHistoEqualize | LBitmap::LocalHistoEqualize
LDialogImageEffect::DoModalMultiply | LBitmap::Multiply
LDialogColor::DoModalRemapHue | LBitmap::RemapHue
LDialogColor::DoModalRemapIntensity | LBitmap::RemapIntensity
LDialogColor::DoModalSaturation | LBitmap::ChangeSaturation
Converting Files |
LDialogFile::DoModalFileConversion |
Document Clean up |
LDialogDocument::DoModalBorderRemove | LBitmap::BorderRemove
LDialogDocument::DoModalDotRemove | LBitmap::DotRemove
LDialogDocument::DoModalHolePunchRemove | LBitmap::HolePunchRemove
LDialogDocument::DoModalInvertedText | LBitmap::InvertedText
LDialogDocument::DoModalLineRemove | LBitmap::LineRemove
LDialogDocument::DoModalSmooth | LBitmap::Smooth
Filtering |
LDialogImageEffect::DoModalContourFilter | LBitmap::ContourFilter
LDialogImageEffect::DoModalDilationFilter | LBitmap::BinaryFilter
LDialogImageEffect::DoModalEdgeDetector | LBitmap::EdgeDetector
LDialogImageEffect::DoModalEmboss | LBitmap::Emboss
LDialogImageEffect::DoModalErosionFilter | LBitmap::BinaryFilter
LDialogImageEffect::DoModalGradientFilter | LBitmap::SpatialFilter
LDialogImageEffect::DoModalLaplacianFilter | LBitmap::SpatialFilter
LDialogImageEffect::DoModalLineSegmentFilter | LBitmap::SpatialFilter
LDialogImageEffect::DoModalMaxFilter | LBitmap::MaxFilter
LDialogImageEffect::DoModalMinFilter | LBitmap::MinFilter
LDialogImageEffect::DoModalPrewittFilter | LBitmap::SpatialFilter
LDialogImageEffect::DoModalShiftDifferenceFilter | LBitmap::SpatialFilter
LDialogImageEffect::DoModalSobelFilter | LBitmap::SpatialFilter
Geometric Transformations |
LDialogImage::DoModalAutoTrim | LBitmap::AutoTrim
LDialogImage::DoModalCanvasResize |
LDialogImage::DoModalResize |
LDialogImage::DoModalRotate | LBitmapBase::Rotate
LDialogImage::DoModalShear | LBitmapBase::Shear
HTML/Web |
LDialogWeb::DoModalHTMLMapper |
LDialogWeb::DoModalGIFWebTuner | LBitmapBase::ColorRes , LBitmapBase::Fill , LBitmapBase::Save
LDialogWeb::DoModalJPEGWebTuner | LBitmapBase::Save
LDialogWeb::DoModalPNGWebTuner | LBitmapBase::ColorRes , LBitmapBase::Fill , LBitmapBase::Save
Printing |
LDialogFile::DoModalPrintPreview |
LDialogFile::DoModalPrintStitchedImages |
Sharpening or Blurring an Image |
LDialogImageEffect::DoModalAntiAlias | LBitmap::AntiAlias
LDialogImageEffect::DoModalAverage | LBitmap::AverageFilter
LDialogImageEffect::DoModalGaussianBlur | LBitmap::GaussianFilter
LDialogImageEffect::DoModalMedian | LBitmap::MedianFilter
LDialogImageEffect::DoModalSharpen | LBitmap::Sharpen
LDialogImageEffect::DoModalUnsharpMask | LBitmap::UnsharpMask
Special Effects |
LDialogEffect::DoModalGetEffect | LPaintEffect::PaintBitmap
LDialogEffect::DoModalGetGradient | LPaintEffect::DrawGradient
LDialogEffect::DoModalGetShape | LPaintEffect::Draw3dShape
LDialogEffect::DoModalGetText | LPaintEffect::Draw3dText
LDialogEffect::DoModalGetTransition | LPaintEffect::PaintTransition

In addition to the dialog functions provided for image processing, LEADTOOLS also provides Imaging Common Dialog functions for general use and dialog maintenance. These are given below.

Dialog Maintenance and General Use

LDialogFile::DoModalFilesAssociation

LDialogBase::Free

LDialogFile::DoModalGetDirectory

LDialogBase::GetString

LDialogBase::GetStringLen

LDialogBase::Initialize

LDialogFile::DoModalOpen

LDialogFile::DoModalSave

LDialogBase::SetFont

LDialogBase::SetString

LDialogBase::IsAutoProcessEnabled

LDialogBase::IsPreviewEnabled

LDialogBase::IsToolbarEnabled

LDialogBase::DialogHelpCallBack

LDialogBase::EnableAutoProcess

LDialogBase::EnablePreview

LDialogBase::EnableToolbar

Each of the XXXDoModalXXX functions listed above displays a dialog through which the user can enter parameters for various image processing or other functions. These dialogs may be initialized prior to calling the XXXDoModalXXX function by calling a corresponding GetXXXParams function. Likewise, once the user has made his or her selections in the dialog, those new values can be retrieved using a corresponding SetXXXParams function. The table below lists the corresponding GetXXXParams and SetXXXParams function for each DoModalXXX function listed above:

LDialogColor:

Dialog Function | Function To Set Parameters | Function To Get User Selections
DoModalBalanceColors | SetBalanceColorsParams | GetBalanceColorsParams
DoModalBrightness | SetBrightnessParams | GetBrightnessParams
DoModalColor | SetColorParams | GetColorParams
DoModalColoredGray | SetColoredGrayParams | GetColoredGrayParams
DoModalColorRes | SetColorResParams | GetColorResParams
DoModalContrast | SetContrastParams | GetContrastParams
DoModalCustomizePalette | SetCustomizePaletteParams | GetCustomizePaletteParams
DoModalGammaAdjustment | SetGammaAdjustmentParams | GetGammaAdjustmentParams
DoModalGrayScale | SetGrayScaleParams | GetGrayScaleParams
DoModalHalfTone | SetHalfToneParams | GetHalfToneParams
DoModalHistoContrast | SetHistoContrastParams | GetHistoContrastParams
DoModalHue | SetHueParams | GetHueParams
DoModalIntensityDetect | SetIntensityDetectParams | GetIntensityDetectParams
DoModalLocalHistoEqualize | SetLocalHistoEqualizeParams | GetLocalHistoEqualizeParams
DoModalPosterize | SetPosterizeParams | GetPosterizeParams
DoModalRemapHue | SetRemapHueParams | GetRemapHueParams
DoModalRemapIntensity | SetRemapIntensityParams | GetRemapIntensityParams
DoModalSaturation | SetSaturationParams | GetSaturationParams
DoModalSolarize | SetSolarizeParams | GetSolarizeParams

LDialogDocument:

Dialog Function | Function To Set Parameters | Function To Get User Selections
DoModalSmooth | SetSmoothParams | GetSmoothParams
DoModalLineRemove | SetLineRemoveParams | GetLineRemoveParams
DoModalBorderRemove | SetBorderRemoveParams | GetBorderRemoveParams
DoModalInvertedText | SetInvertedTextParams | GetInvertedTextParams
DoModalDotRemove | SetDotRemoveParams | GetDotRemoveParams
DoModalHolePunchRemove | SetHolePunchRemoveParams | GetHolePunchRemoveParams
DoModalRemoveRedEye | SetRemoveRedEyeParams | GetRemoveRedEyeParams

LDialogFile:

Dialog Function | Function To Set Parameters | Function To Get User Selections
DoModalFileConversion | SetFileConversionParams | GetFileConversionParams
DoModalFilesAssociation | SetFilesAssociationParams | GetFilesAssociationParams
DoModalGetDirectory | SetDirectoryParams | GetDirectoryParams
DoModalOpen | SetOpenParams | GetOpenParams
DoModalPrintPreview | SetPrintPreviewParams | GetPrintPreviewParams
DoModalPrintStitchedImages | SetPrintStitchedImagesParams | GetPrintStitchedImagesParams
DoModalSave | SetSaveParams | GetSaveParams

LDialogEffect:

Dialog Function | Function To Set Parameters | Function To Get User Selections
DoModalGetEffect | SetEffectParams | GetEffectParams
DoModalGetGradient | SetGradientParams | GetGradientParams
DoModalGetShape | SetShapeParams | GetShapeParams
DoModalGetText | SetTextParams | GetTextParams
DoModalGetTransition | SetTransitionParams | GetTransitionParams

LDialogImage:

Dialog Function | Function To Set Parameters | Function To Get User Selections
DoModalAddBorder | SetAddBorderParams | GetAddBorderParams
DoModalAddFrame | SetAddFrameParams | GetAddFrameParams
DoModalAutoTrim | SetAutoTrimParams | GetAutoTrimParams
DoModalCanvasResize | SetCanvasResizeParams | GetCanvasResizeParams
DoModalHistogram | SetHistogramParams | GetHistogramParams
DoModalResize | SetResizeParams | GetResizeParams
DoModalRotate | SetRotateParams | GetRotateParams
DoModalShear | SetShearParams | GetShearParams

LDialogImageEffect:

Dialog Function | Function To Set Parameters | Function To Get User Selections
DoModalAddBitmaps | SetAddBitmapsParams | GetAddBitmapsParams
DoModalAddNoise | SetAddNoiseParams | GetAddNoiseParams
DoModalAntiAlias | SetAntiAliasParams | GetAntiAliasParams
DoModalAverage | SetAverageParams | GetAverageParams
DoModalBending | SetBendingParams | GetBendingParams
DoModalContourFilter | SetContourFilterParams | GetContourFilterParams
DoModalCylindrical | SetCylindricalParams | GetCylindricalParams
DoModalDilationFilter | SetDilationFilterParams | GetDilationFilterParams
DoModalEdgeDetector | SetEdgeDetectorParams | GetEdgeDetectorParams
DoModalEmboss | SetEmbossParams | GetEmbossParams
DoModalErosionFilter | SetErosionFilterParams | GetErosionFilterParams
DoModalFreeHandWave | SetFreeHandWaveParams | GetFreeHandWaveParams
DoModalGaussianBlur | SetGaussianBlurParams | GetGaussianBlurParams
DoModalGradientFilter | SetGradientFilterParams | GetGradientFilterParams
DoModalImpressionist | SetImpressionistParams | GetImpressionistParams
DoModalLaplacianFilter | SetLaplacianFilterParams | GetLaplacianFilterParams
DoModalLineSegmentFilter | SetLineSegmentFilterParams | GetLineSegmentFilterParams
DoModalMaxFilter | SetMaxFilterParams | GetMaxFilterParams
DoModalMedian | SetMedianParams | GetMedianParams
DoModalMinFilter | SetMinFilterParams | GetMinFilterParams
DoModalMosaic | SetMosaicParams | GetMosaicParams
DoModalMotionBlur | SetMotionBlurParams | GetMotionBlurParams
DoModalMultiply | SetMultiplyParams | GetMultiplyParams
DoModalOilify | SetOilifyParams | GetOilifyParams
DoModalPicturize | SetPicturizeParams | GetPicturizeParams
DoModalPixelate | SetPixelateParams | GetPixelateParams
DoModalPolar | SetPolarParams | GetPolarParams
DoModalPrewittFilter | SetPrewittFilterParams | GetPrewittFilterParams
DoModalPunch | SetPunchParams | GetPunchParams
DoModalRadialBlur | SetRadialBlurParams | GetRadialBlurParams
DoModalRadialWave | SetRadialWaveParams | GetRadialWaveParams
DoModalRipple | SetRippleParams | GetRippleParams
DoModalSharpen | SetSharpenParams | GetSharpenParams
DoModalShiftDifferenceFilter | SetShiftDifferenceFilterParams | GetShiftDifferenceFilterParams
DoModalSobelFilter | SetSobelFilterParams | GetSobelFilterParams
DoModalSpherize | SetSpherizeParams | GetSpherizeParams
DoModalStitch | SetStitchParams | GetStitchParams
DoModalSwirl | SetSwirlParams | GetSwirlParams
DoModalUnderlay | SetUnderlayParams | GetUnderlayParams
DoModalUnsharpMask | SetUnsharpMaskParams | GetUnsharpMaskParams
DoModalWave | SetWaveParams | GetWaveParams
DoModalWaveShear | SetWaveShearParams | GetWaveShearParams
DoModalWind | SetWindParams | GetWindParams
DoModalZoomBlur | SetZoomBlurParams | GetZoomBlurParams
DoModalZoomWave | SetZoomWaveParams | GetZoomWaveParams

LDialogWeb:

Dialog Function | Function To Set Parameters | Function To Get User Selections
DoModalGIFWebTuner | SetGIFWebTunerParams | GetGIFWebTunerParams
DoModalHTMLMapper | SetHTMLMapperParams | GetHTMLMapperParams
DoModalJPEGWebTuner | SetJPEGWebTunerParams | GetJPEGWebTunerParams
DoModalPNGWebTuner | SetPNGWebTunerParams | GetPNGWebTunerParams

Implementing help for LEADTOOLS dialogs is achieved by setting a pointer to a help callback function in the structure passed to all functions in LDialogXXX classes. The callback function will be called to provide the appropriate help for the corresponding dialog if the user clicks on the Help Button. For more information concerning implementing the help callback function, refer to LDialogBase::DialogHelpCallBack Callback Function.


Files To Be Included With Your Application

The installation procedure creates a directory tree for the LEADTOOLS files, and adds the demonstration programs and online help to your desktop. You specify the root directory during installation. The following subdirectory for the LEADTOOLS Common Dialog is created:

REDIST\

Redistributable Common Dialog files.

Note: | You may not copy or redistribute any of the following files without obtaining the proper license. In some cases, the license is included with your initial purchase of LEADTOOLS. In other cases, you must obtain a license from a third party or enter into a royalty agreement with LEAD to obtain the proper license.
Note: | You may not distribute the header files with your application, and you may not provide software development capabilities in your application.

The following table summarizes the files you must include on your distribution diskettes to support the LEADTOOLS Common Dialog functions on a WIN32 system. (\REDIST\ subdirectory contains copies of these files.)

Please note that LTKRN and LTWVC are required for ALL Class Library applications. For more information on LTKRN, LTWVC and other files for the Main Class Library, refer to Files To Be Included With Your Application.

Redistributables:

Explanation:

If you are using a standard release without Unicode, the files to use are:

If you are using a standard release with Unicode, the files to use are:

If you are using an evaluation release without Unicode, the files to use are:

If you are using an evaluation release with Unicode, the files to use are:

LTDLGCLR
LTDLGCOM
LTDLGCTRL
LTDLGEFX
LTDLGFILE
LTDLGIMG
LTDLGIMGDOC
LTDLGIMGEFX
LTDLGKRN
LTDLGRES
LTDLGUTL
LTDLGWEB

Common Dialog support.

DLL:
LTDLGCLR14N.DLL
LTDLGCOM14N.DLL
LTDLGCTRL14N.DLL
LTDLGEFX14N.DLL
LTDLGFILE14N.DLL
LTDLGIMG14N.DLL
LTDLGIMGDOC14N.DLL
LTDLGIMGEFX14N.DLL
LTDLGKRN14N.DLL
LTDLGRES14N.DLL
LTDLGUTL14N.DLL
LTDLGWEB14N.DLL

Library:
LTDLGCLR_N.LIB
ltdlgefx_n.lib
ltdlgfile_n.lib
ltdlgimg_n.lib
ltdlgimgdoc_n.lib
ltdlgimgefx_n.lib
ltdlgkrn_n.lib
ltdlgweb_n.lib.

DLL:
LTDLGCLR14NU.DLL
LTDLGCOM14NU.DLL
LTDLGCTRL14NU.DLL
LTDLGEFX14NU.DLL
LTDLGFILE14NU.DLL
LTDLGIMG14NU.DLL
LTDLGIMGDOC14NU.DLL
LTDLGIMGEFX14NU.DLL
LTDLGKRN14NU.DLL
LTDLGRES14NU.DLL
LTDLGUTL14NU.DLL
LTDLGWEB14NU.DLL

Library:
LTDLGCLR_NU.LIB
ltdlgefx_nU.lib
ltdlgfile_nU.lib
ltdlgimg_nU.lib
ltdlgimgdoc_nU.lib
ltdlgimgefx_nU.lib
ltdlgkrn_nU.lib
ltdlgweb_nU.lib.

DLL:
LTDLGCLR14E.DLL
LTDLGCOM14E.DLL
LTDLGCTRL14E.DLL
LTDLGEFX14E.DLL
LTDLGFILE14E.DLL
LTDLGIMG14E.DLL
LTDLGIMGDOC14E.DLL
LTDLGIMGEFX14E.DLL
LTDLGKRN14E.DLL
LTDLGRES14E.DLL
LTDLGUTL14E.DLL
LTDLGWEB14E.DLL

Library:
LTDLGCLR_E.LIB
ltdlgefx_E.lib
ltdlgfile_E.lib
ltdlgimg_E.lib
ltdlgimgdoc_E.lib
ltdlgimgefx_E.lib
ltdlgkrn_E.lib
ltdlgweb_E.lib.

DLL:
LTDLGCLR14EU.DLL
LTDLGCOM14EU.DLL
LTDLGCTRL14EU.DLL
LTDLGEFX14EU.DLL
LTDLGFILE14EU.DLL
LTDLGIMG14EU.DLL
LTDLGIMGDOC14EU.DLL
LTDLGIMGEFX14EU.DLL
LTDLGKRN14EU.DLL
LTDLGRES14EU.DLL
LTDLGUTL14EU.DLL
LTDLGWEB14EU.DLL

Library:
LTDLGCLR_EU.LIB
ltdlgefx_EU.lib
ltdlgfile_EU.lib
ltdlgimg_EU.lib
ltdlgimgdoc_EU.lib
ltdlgimgefx_EU.lib
ltdlgkrn_EU.lib
ltdlgweb_EU.lib.


Installation Directory

The installation procedure creates a directory tree for the LEADTOOLS files, demonstration programs and online help. You specify the root directory during installation.

The following is a list of the subdirectories in the root directory:

ACROBAT | LEADTOOLS manuals in the PDF format, which you can view and print using Adobe Acrobat. These files are optional and are available when installing from the CD-ROM.
BIN | Executable files for the demonstration programs.
HELP | Online help files.
IMAGES | Sample images and databases containing images.
EXAMPLES\DLL | One subdirectory for each example API program.
EXAMPLES\COM | One subdirectory for each example COM objects program.
EXAMPLES\CLASSLIB | One subdirectory for each example Class Library program.
EXAMPLES\RES | Resource files for the example programs.
INCLUDE | Header files, BAS files, and the ActiveX's MFC interface files for versions of Visual C++ earlier than 4.0.
INCLUDE\CLASSLIB | Header files for the Class Library
LIB | Library files.
REDIST | Redistributable files. These are copies of the LEADTOOLS files and other files that you may need to distribute with your application. For exact information about required files, refer to Files To Be Included With Your Application.
REDIST\NONAGLTKRN | This directory contains the LTKRN DLL that must be distributed with your application.


Classes

The following classes are provided by the LEADTOOLS Common Dialogs Class Library:

LDialogBase

LDialogImageEffect

LDialogImage

LDialogFile

LDialogEffect

LDialogDocument

LDialogColor

LDialogWeb


LDialogBase

Description

The LDialogBase class is derived from LBase class. This class contains base functionality for creating, and managing LEAD dialog objects. This class provides the main functionality for other derived dialog classes like initializing, freeing, setting dialog font, setting dialogs strings, and setting or getting properties that are common to all dialog objects.

Required DLLs and Libraries

You must load all required libraries using LBase::LoadLibraries before using the classes.

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Class Members, Class Hierarchy Chart , Parent Class


LDialogBase::Class Members

Member Functions

Return to LDialogBase


LDialogBase::Member Functions

Constructors / Destructors

Initializing / Freeing Resources

Getting Dialog Information

Overridables

Setting Dialog Information

Return to LDialogBase

Constructors / Destructors

LDialogBase::~LDialogBase

LDialogBase::LDialogBase

Initializing / Freeing Resources

LDialogBase::Initialize

LDialogBase::Free

Getting Dialog Information

LDialogBase::GetBitmap

LDialogBase::GetString

LDialogBase::GetStringLen

LDialogBase::IsAutoProcessEnabled

LDialogBase::IsPreviewEnabled

LDialogBase::IsToolbarEnabled

Overridables

LDialogBase::DialogHelpCallBack

Setting Dialog Information

LDialogBase::EnableAutoProcess

LDialogBase::EnablePreview

LDialogBase::EnableToolbar

LDialogBase::SetFont

LDialogBase::SetString

LDialogBase::SetBitmap


LDialogColor

Description

The LDialogColor class is derived from LDialogBase class, and extends it by adding functionality for more advanced image processing. This functionality includes Color Effects Dialogs; such as DoModalColorRes, DoModalHue and DoModalHalfTone.

Required DLLs and Libraries

You must load all required libraries using LBase::LoadLibraries before using the classes.

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Class Members, Class Hierarchy Chart , Parent Class


LDialogColor::Class Members

Member Functions

Return to LDialogColor


LDialogColor::Member Functions

Constructors / Destructors

Dialogs

Getting Dialog Information

Setting Dialog Information

Return to LDialogColor

Constructors / Destructors

LDialogColor::~LDialogColor

LDialogColor::LDialogColor

Dialogs

LDialogColor::DoModalBalanceColors

LDialogColor::DoModalColoredGray

LDialogColor::DoModalGrayScale

LDialogColor::DoModalRemapIntensity

LDialogColor::DoModalRemapHue

LDialogColor::DoModalCustomizePalette

LDialogColor::DoModalLocalHistoEqualize

LDialogColor::DoModalIntensityDetect

LDialogColor::DoModalSolarize

LDialogColor::DoModalPosterize

LDialogColor::DoModalBrightness

LDialogColor::DoModalContrast

LDialogColor::DoModalHue

LDialogColor::DoModalSaturation

LDialogColor::DoModalGammaAdjustment

LDialogColor::DoModalHalfTone

LDialogColor::DoModalColorRes

LDialogColor::DoModalHistoContrast

LDialogColor::DoModalColor

LDialogColor::DoModalWindowLevel

Getting Dialog Information

LDialogColor::GetBalanceColorsParams

LDialogColor::GetColoredGrayParams

LDialogColor::GetGrayScaleParams

LDialogColor::GetRemapIntensityParams

LDialogColor::GetRemapHueParams

LDialogColor::GetCustomizePaletteParams

LDialogColor::GetLocalHistoEqualizeParams

LDialogColor::GetIntensityDetectParams

LDialogColor::GetSolarizeParams

LDialogColor::GetPosterizeParams

LDialogColor::GetBrightnessParams

LDialogColor::GetContrastParams

LDialogColor::GetHueParams

LDialogColor::GetSaturationParams

LDialogColor::GetGammaAdjustmentParams

LDialogColor::GetHalfToneParams

LDialogColor::GetColorResParams

LDialogColor::GetHistoContrastParams

LDialogColor::GetColorParams

LDialogColor::GetWindowLevelParams

Setting Dialog Information

LDialogColor::SetBalanceColorsParams

LDialogColor::SetColoredGrayParams

LDialogColor::SetGrayScaleParams

LDialogColor::SetRemapintEnsityParams

LDialogColor::SetRemapHueParams

LDialogColor::SetCustomizePaletteParams

LDialogColor::SetLocalHistoEqualizeParams

LDialogColor::SetIntensityDetectParams

LDialogColor::SetSolarizeParams

LDialogColor::SetPosterizeParams

LDialogColor::SetBrightnessParams

LDialogColor::SetContrastParams

LDialogColor::SetHueParams

LDialogColor::SetSaturationParams

LDialogColor::SetGammaAdjustmentParams

LDialogColor::SetHalfToneParams

LDialogColor::SetColorResParams

LDialogColor::SetHistoContrastParams

LDialogColor::SetColorParams

LDialogColor::SetWindowLevelParams


LDialogDocument

Description

The LDialogDocument class is derived from LDialogBase class, and extends it by adding functionality for more advanced image processing. This functionality includes Image Document Dialogs; such as DoModalSmooth, DoModalLineRemove and DoModalBorderRemove.

Required DLLs and Libraries

You must load all required libraries using LBase::LoadLibraries before using the classes.

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Class Members, Class Hierarchy Chart , Parent Class


LDialogDocument::Class Members

Member Functions

Return to LDialogDocument


LDialogDocument::Member Functions

Constructors / Destructors

Dialogs

Getting Dialog Information

Setting Dialog Information

Return to LDialogDocument

Constructors / Destructors

LDialogDocument::~LDialogDocument

LDialogDocument::LDialogDocument

Dialogs

LDialogDocument::DoModalSmooth

LDialogDocument::DoModalLineRemove

LDialogDocument::DoModalBorderRemove

LDialogDocument::DoModalInvertedText

LDialogDocument::DoModalDotRemove

LDialogDocument::DoModalHolePunchRemove

LDialogDocument::DoModalRemoveRedEye

Getting Dialog Information

LDialogDocument::GetSmoothParams

LDialogDocument::GetLineRemoveParams

LDialogDocument::GetBorderRemoveParams

LDialogDocument::GetInvertedTextParams

LDialogDocument::GetDotRemoveParams

LDialogDocument::GetHolePunchRemoveParams

LDialogDocument::GetRemoveRedEyeParams

Setting Dialog Information

LDialogDocument::SetSmoothParams

LDialogDocument::SetLineRemoveParams

LDialogDocument::SetBorderRemoveParams

LDialogDocument::SetInvertedTextParams

LDialogDocument::SetDotRemoveParams

LDialogDocument::SetHolePunchRemoveParams

LDialogDocument::SetRemoveRedEyeParams


LDialogEffect

Description

The LDialogEffect class is derived from LDialogBase class, and extends it by adding functionality for more advanced image processing. This functionality includes Image Document Dialogs; such as DoModalSmooth, DoModalLineRemove and DoModalBorderRemove.

Required DLLs and Libraries

You must load all required libraries using LBase::LoadLibraries before using the classes.

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Class Members, Class Hierarchy Chart , Parent Class


LDialogEffect::Class Members

Member Functions

Return to LdialogEffect


LDialogEffect::Member Functions

Constructors / Destructors

Dialogs

Getting Dialog Information

Setting Dialog Information

Return to LDialogEffect

Constructors / Destructors

LDialogEffect::~LDialogEffect

LDialogEffect::LDialogEffect

Dialogs

LDialogEffect::DoModalGetShape

LDialogEffect::DoModalGetEffect

LDialogEffect::DoModalGetTransition

LDialogEffect::DoModalGetGradient

LDialogEffect::DoModalGetText

Getting Dialog Information

LDialogEffect::GetShapeParams

LDialogEffect::GetEffectParams

LDialogEffect::GetTransitionParams

LDialogEffect::GetGradientParams

LDialogEffect::GetTextParams

Setting Dialog Information

LDialogEffect::SetShapeParams

LDialogEffect::SetEffectParams

LDialogEffect::SetTransitionParams

LDialogEffect::SetGradientParams

LDialogEffect::SetTextParams


LDialogFile

Description

The LDialogFile class is derived from LDialogBase class, and extends it by adding functionality for more advanced image processing. This functionality includes Image File Dialogs; such as DoModalOpen, DoModalSave and DoModalGetDirectory.

Required DLLs and Libraries

You must load all required libraries using LBase::LoadLibraries before using the classes.

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Class Members, Class Hierarchy Chart , Parent Class


LDialogFile::Class Members

Member Functions

Return to LDialogFile


LDialogFile::Member Functions

Constructors / Destructors

Dialogs

Getting Dialog Information

Setting Dialog Information

Return to LDialogFile

Constructors / Destructors

LDialogFile::~LDialogFile

LDialogFile::LDialogFile

Dialogs

LDialogFile::DoModalGetDirectory

LDialogFile::DoModalFileConversion

LDialogFile::DoModalFilesAssociation

LDialogFile::DoModalPrintStitchedImages

LDialogFile::DoModalPrintPreview

LDialogFile::DoModalSave

LDialogFile::DoModalOpen

Getting Dialog Information

LDialogFile::GetFileName

LDialogFile::GetDirectoryParams

LDialogFile::GetFileConversionParams

LDialogFile::GetFilesAssociationParams

LDialogFile::GetPrintStitchedImagesParams

LDialogFile::GetPrintPreviewParams

LDialogFile::GetFileName

LDialogFile::GetSaveParams

LDialogFile::GetOpenParams

Setting Dialog Information

LDialogFile::SetFileName

LDialogFile::SetDirectoryParams

LDialogFile::SetFileConversionParams

LDialogFile::SetFilesAssociationParams

LDialogFile::SetPrintStitchedImagesParams

LDialogFile::SetPrintPreviewParams

LDialogFile::SetFileName

LDialogFile::SetSaveParams

LDialogFile::SetOpenParams


LDialogImage

Description

The LDialogImage class is derived from LDialogBase class, and extends it by adding functionality for more advanced image processing. This functionality includes Image Dialogs; such as DoModalRotate, DoModalResize and DoModalShear.

Required DLLs and Libraries

You must load all required libraries using LBase::LoadLibraries before using the classes.

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Class Members, Class Hierarchy Chart , Parent Class


LDialogImage::Class Members

Member Functions

Return to LDialogImage


LDialogImage::Member Functions

Constructors / Destructors

Dialogs

Getting Dialog Information

Setting Dialog Information

Return to LDialogImage

Constructors / Destructors

LDialogImage::~LDialogImage

LDialogImage::LDialogImage

Dialogs

LDialogImage::DoModalRotate

LDialogImage::DoModalShear

LDialogImage::DoModalResize

LDialogImage::DoModalAddBorder

LDialogImage::DoModalAddFrame

LDialogImage::DoModalAutoTrim

LDialogImage::DoModalCanvasResize

LDialogImage::DoModalHistogram

Getting Dialog Information

LDialogImage::GetRotateParams

LDialogImage::GetShearParams

LDialogImage::GetResizeParams

LDialogImage::GetAddBorderParams

LDialogImage::GetAddFrameParams

LDialogImage::GetAutoTrimParams

LDialogImage::GetCanvasResizeParams

LDialogImage::GetHistogramParams

Setting Dialog Information

LDialogImage::SetRotateParams

LDialogImage::SetShearParams

LDialogImage::SetResizeParams

LDialogImage::SetAddBorderParams

LDialogImage::SetAddFrameParams

LDialogImage::SetAutoTrimParams

LDialogImage::SetCanvasResizeParams

LDialogImage::SetHistogramParams


LDialogImageEffect

Description

The LDialogImageEffect class is derived from LDialogBase class, and extends it by adding functionality for more advanced image processing. This functionality includes Image Effects Dialogs; such as DoModalAverage, DoModalMedian and DoModalMosaic.

Required DLLs and Libraries

You must load all required libraries using LBase::LoadLibraries before using the classes.

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Class Members, Class Hierarchy Chart , Parent Class


LDialogImageEffect::Class Members

Member Functions

Return to LDialogImageEffect


LDialogImageEffect::Member Functions

Constructors / Destructors

Dialogs

Getting Dialog Information

Setting Dialog Information

Return to LDialogImageEffect

Constructors / Destructors

LDialogImageEffect::~LDialogImageEffect

LDialogImageEffect::LDialogImageEffect

Dialogs

LDialogImageEffect::DoModalMotionBlur

LDialogImageEffect::DoModalRadialBlur

LDialogImageEffect::DoModalZoomBlur

LDialogImageEffect::DoModalGaussianBlur

LDialogImageEffect::DoModalAntiAlias

LDialogImageEffect::DoModalAverage

LDialogImageEffect::DoModalMedian

LDialogImageEffect::DoModalAddNoise

LDialogImageEffect::DoModalMaxFilter

LDialogImageEffect::DoModalMinFilter

LDialogImageEffect::DoModalSharpen

LDialogImageEffect::DoModalShiftDifferenceFilter

LDialogImageEffect::DoModalEmboss

LDialogImageEffect::DoModalOilify

LDialogImageEffect::DoModalMosaic

LDialogImageEffect::DoModalErosionFilter

LDialogImageEffect::DoModalDilationFilter

LDialogImageEffect::DoModalContourFilter

LDialogImageEffect::DoModalGradientFilter

LDialogImageEffect::DoModalLaplacianFilter

LDialogImageEffect::DoModalSobelFilter

LDialogImageEffect::DoModalPrewittFilter

LDialogImageEffect::DoModalLineSegmentFilter

LDialogImageEffect::DoModalUnsharpMask

LDialogImageEffect::DoModalMultiply

LDialogImageEffect::DoModalAddBitmaps

LDialogImageEffect::DoModalStitch

LDialogImageEffect::DoModalFreeHandWave

LDialogImageEffect::DoModalWind

LDialogImageEffect::DoModalPolar

LDialogImageEffect::DoModalZoomWave

LDialogImageEffect::DoModalRadialWave

LDialogImageEffect::DoModalSwirl

LDialogImageEffect::DoModalWave

LDialogImageEffect::DoModalWaveShear

LDialogImageEffect::DoModalPunch

LDialogImageEffect::DoModalRipple

LDialogImageEffect::DoModalBending

LDialogImageEffect::DoModalCylindrical

LDialogImageEffect::DoModalSpherize

LDialogImageEffect::DoModalImpressionist

LDialogImageEffect::DoModalPixelate

LDialogImageEffect::DoModalEdgeDetector

LDialogImageEffect::DoModalUnderlay

LDialogImageEffect::DoModalPicturize

Getting Dialog Information

LDialogImageEffect::GetMotionBlurParams

LDialogImageEffect::GetRadialBlurParams

LDialogImageEffect::GetZoomBlurParams

LDialogImageEffect::GetGaussianBlurParams

LDialogImageEffect::GetAntiAliasParams

LDialogImageEffect::GetAverageParams

LDialogImageEffect::GetMedianParams

LDialogImageEffect::GetAddNoiseParams

LDialogImageEffect::GetMaxFilterParams

LDialogImageEffect::GetMinFilterParams

LDialogImageEffect::GetSharpenParams

LDialogImageEffect::GetShiftDifferenceFilterParams

LDialogImageEffect::GetEmbossParams

LDialogImageEffect::GetOilifyParams

LDialogImageEffect::GetMosaicParams

LDialogImageEffect::GetErosionFilterParams

LDialogImageEffect::GetDilationFilterParams

LDialogImageEffect::GetContourFilterParams

LDialogImageEffect::GetGradientFilterParams

LDialogImageEffect::GetLaplacianFilterParams

LDialogImageEffect::GetSobelFilterParams

LDialogImageEffect::GetPrewittFilterParams

LDialogImageEffect::GetLineSegmentFilterParams

LDialogImageEffect::GetUnsharpMaskParams

LDialogImageEffect::GetMultiplyParams

LDialogImageEffect::GetAddBitmapsParams

LDialogImageEffect::GetStitchParams

LDialogImageEffect::GetFreeHandWaveParams

LDialogImageEffect::GetWindParams

LDialogImageEffect::GetPolarParams

LDialogImageEffect::GetZoomWaveParams

LDialogImageEffect::GetRadialWaveParams

LDialogImageEffect::GetSwirlParams

LDialogImageEffect::GetWaveParams

LDialogImageEffect::GetWaveShearParams

LDialogImageEffect::GetPunchParams

LDialogImageEffect::GetRippleParams

LDialogImageEffect::GetBendingParams

LDialogImageEffect::GetCylindricalParams

LDialogImageEffect::GetSpherizeParams

LDialogImageEffect::GetImpressionistParams

LDialogImageEffect::GetPixelateParams

LDialogImageEffect::GetEdgeDetectorParams

LDialogImageEffect::GetUnderlayParams

LDialogImageEffect::GetPicturizeParams

Setting Dialog Information

LDialogImageEffect::SetMotionBlurParams

LDialogImageEffect::SetRadialBlurParams

LDialogImageEffect::SetZoomBlurParams

LDialogImageEffect::SetGaussianBlurParams

LDialogImageEffect::SetAntiAliasParams

LDialogImageEffect::SetAverageParams

LDialogImageEffect::SetMedianParams

LDialogImageEffect::SetAddNoiseParams

LDialogImageEffect::SetMaxFilterParams

LDialogImageEffect::SetMinFilterParams

LDialogImageEffect::SetSharpenParams

LDialogImageEffect::SetShiftDifferenceFilterParams

LDialogImageEffect::SetEmbossParams

LDialogImageEffect::SetOilifyParams

LDialogImageEffect::SetMosaicParams

LDialogImageEffect::SetErosionFilterParams

LDialogImageEffect::SetDilationFilterParams

LDialogImageEffect::SetContourFilterParams

LDialogImageEffect::SetGradientFilterParams

LDialogImageEffect::SetLaplacianFilterParams

LDialogImageEffect::SetSobelFilterParams

LDialogImageEffect::SetPrewittFilterParams

LDialogImageEffect::SetLineSegmentFilterParams

LDialogImageEffect::SetUnsharpMaskParams

LDialogImageEffect::SetMultiplyParams

LDialogImageEffect::SetAddBitmapsParams

LDialogImageEffect::SetStitchParams

LDialogImageEffect::SetFreeHandWaveParams

LDialogImageEffect::SetWindParams

LDialogImageEffect::SetPolarParams

LDialogImageEffect::SetZoomWaveParams

LDialogImageEffect::SetRadialWaveParams

LDialogImageEffect::SetSwirlParams

LDialogImageEffect::SetWaveParams

LDialogImageEffect::SetWaveShearParams

LDialogImageEffect::SetPunchParams

LDialogImageEffect::SetRippleParams

LDialogImageEffect::SetBendingParams

LDialogImageEffect::SetCylindricalParams

LDialogImageEffect::SetSpherizeParams

LDialogImageEffect::SetImpressionistParams

LDialogImageEffect::SetPixelateParams

LDialogImageEffect::SetEdgeDetectorParams

LDialogImageEffect::SetUnderlayParams

LDialogImageEffect::SetPicturizeParams


LDialogWeb

Description

The LDialogFile class is derived from LDialogBase class, and extends it by adding functionality for more advanced image processing. This functionality includes Web Tuner Dialogs; such as DoModalPNGWebTuner and DoModalGIFWebTuner.

Required DLLs and Libraries

You must load all required libraries using LBase::LoadLibraries before using the classes.

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Class Members, Class Hierarchy Chart , Parent Class


LDialogWeb::Class Members

Member Functions

Return to LDialogWeb


LDialogWeb::Member Functions

Constructors / Destructors

Dialogs

Getting Dialog Information

Setting Dialog Information

Return to LDialogWeb

Constructors / Destructors

LDialogWeb::~LDialogWeb

LDialogWeb::LDialogWeb

Dialogs

LDialogWeb::DoModalPNGWebTuner

LDialogWeb::DoModalGIFWebTuner

LDialogWeb::DoModalJPEGWebTuner

LDialogWeb::DoModalHTMLMapper

Getting Dialog Information

LDialogWeb::GetPNGWebTunerParams

LDialogWeb::GetGIFWebTunerParams

LDialogWeb::GetJPEGWebTunerParams

LDialogWeb::GetHTMLMapperParams

Setting Dialog Information

LDialogWeb::SetPNGWebTunerParams

LDialogWeb::SetGIFWebTunerParams

LDialogWeb::SetJPEGWebTunerParams

LDialogWeb::SetHTMLMapperParams


Technical Support

As a registered user, free technical support is available. You must register your software to receive any technical support. Technical support is available 9 a.m. through 6 p.m. Eastern Standard Time. If you are calling by phone, please be at your computer. You can also contact us through the following methods:

Phone: | (704) 372-9681
E-mail: | support@leadtools.com
FAX: | (704) 372-8161
Online Support / FAQs | http://www.leadtools.com (click on Customers Only)
Home page: | http://www.leadtools.com
FTP: | ftp.leadtools.com

You can also contact LEAD by mail at:

LEAD Technologies, Inc.
Attn: Technical Support
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

Before calling technical support, please look in the online documentation and the example programs for an answer to your question.


Common Dialog Class Library Function Groups

Common Dialog Functions

LDialogBase Class Members

LDialogImageEffect Class Members

LDialogImage Class Members

LDialogFile Class Members

LDialogEffect Class Members

LDialogDocument Class Members

LDialogColor Class Members

LDialogWeb Class Members


Data Types

Basic Data Types and Keywords

LEADTOOLS Basic Data Types

Keywords Used in Declarations

Common Dialog Structures

BRIGHTNESSDLGPARAMS

CONTRASTDLGPARAMS

HUEDLGPARAMS

SATURATIONDLGPARAMS

HALFTONEDLGPARAMS

COLORRESDLGPARAMS

HISTOCONTRASTDLGPARAMS

AVERAGEDLGPARAMS

MEDIANDLGPARAMS

ADDNOISEDLGPARAMS

MAXFILTERDLGPARAMS

MINFILTERDLGPARAMS

SHARPENDLGPARAMS

SHIFTDIFFERENCEFILTERDLGPARAMS

EMBOSSDLGPARAMS

OILIFYDLGPARAMS

MOSAICDLGPARAMS

EROSIONFILTERDLGPARAMS

DILATIONFILTERDLGPARAMS

CONTOURFILTERDLGPARAMS

GRADIENTFILTERDLGPARAMS

LAPLACIANFILTERDLGPARAMS

SOBELFILTERDLGPARAMS

PREWITTFILTERDLGPARAMS

LINESEGMENTFILTERDLGPARAMS

MULTIPLYDLGPARAMS

ROTATEDLGPARAMS

SHEARDLGPARAMS

GETDIRECTORYDLGPARAMS

BALANCECOLORSDLGPARAMS

COLOREDGRAYDLGPARAMS

GRAYSCALEDLGPARAMS

REMAPINTENSITYDLGPARAMS

REMAPHUEDLGPARAMS

LOCALHISTOEQUALIZEDLGPARAMS

INTENSITYDETECTDLGPARAMS

SOLARIZEDLGPARAMS

POSTERIZEDLGPARAMS

MOTIONBLURDLGPARAMS

RADIALBLURDLGPARAMS

ZOOMBLURDLGPARAMS

GAUSSIANBLURDLGPARAMS

ANTIALIASDLGPARAMS

UNSHARPMASKDLGPARAMS

ADDBITMAPSDLGPARAMS

FREEHANDWAVEDLGPARAMS

WINDDLGPARAMS

POLARDLGPARAMS

ZOOMWAVEDLGPARAMS

RADIALWAVEDLGPARAMS

SWIRLDLGPARAMS

WAVEDLGPARAMS

WAVESHEARDLGPARAMS

PUNCHDLGPARAMS

RIPPLEDLGPARAMS

BENDINGDLGPARAMS

CYLINDRICALDLGPARAMS

SPHERIZEDLGPARAMS

IMPRESSIONISTDLGPARAMS

PIXELATEDLGPARAMS

EDGEDETECTORDLGPARAMS

AUTOTRIMDLGPARAMS

REMOVEREDEYEDLGPARAMS

SMOOTHDLGPARAMS

LINEREMOVEDLGPARAMS

BORDERREMOVEDLGPARAMS

INVERTEDTEXTDLGPARAMS

DOTREMOVEDLGPARAMS

HOLEPUNCHREMOVEDLGPARAMS

SHAPEDLGPARAMS

EFFECTDLGPARAMS

TRANSITIONDLGPARAMS

GRADIENTDLGPARAMS

TEXTDLGPARAMS

CUSTOMIZEPALETTEDLGPARAMS

GAMMAADJUSTMENTDLGPARAMS

COLORDLGPARAMS

PICTURIZEDLGPARAMS

RESIZEDLGPARAMS

CANVASRESIZEDLGPARAMS

UNDERLAYDLGPARAMS

HISTOGRAMDLGPARAMS

DLGBITMAPLISTITEM

DLGBITMAPLIST

PNGWEBTUNERDLGPARAMS

GIFWEBTUNERDLGPARAMS

JPEGWEBTUNERDLGPARAMS

SAVEDLGPARAMS

FILECONVERSIONDLGPARAMS

OPENDLGPARAMS

OPENDLGFILEDATA

OPENDLGOPTIONS

OPENDLGOPTIONS_PCD

OPENDLGOPTIONS_PDF

OPENDLGOPTIONS_RASTERMISC

OPENDLGOPTIONS_METAFILE

OPENDLGOPTIONS_VECTORMISC

OPENDLGOPTIONS_DXF

OPENDLGOPTIONS_PLT

FILESAVEFORMAT

FILESAVEFORMATBPP

ADDBORDERDLGPARAMS

ADDFRAMEDLGPARAMS

STITCHDLGPARAMS

FILESASSOCIATIONDLGPARAMS

HTMLMAPPERDLGPARAMS

DLGHISTORYLIST

PRINTSTITCHEDIMAGESDLGPARAMS

PRINTPREVIEWDLGPARAMS

WINDOWLEVELDLGPARAMS

Structures Used with Input and Output Functions

WINDOWS Structures


LEADTOOLS Basic Data Types

LEADTOOLS has defined the following basic data types for portability:

Data Type | Definition and Usage
L_BITFIELD | Defined as L_UINT; used as a bit field.
L_BOOL | Defined as L_UINT; used as a boolean value.
L_CHAR | Defined as char; used as a signed 8-bit integer.
L_DOUBLE | Defined as double; used as a double precision floating point number.
L_FLOAT | Defined as float; used as a floating point number.
L_INT | Defined as int; used as a signed integer, 16-bits or larger.
L_INT16 | Defined as short; used as a signed 16-bit integer.
L_INT32 | Defined as long; used as a signed 32-bit integer.
L_UCHAR | Defined as unsigned char; used as an unsigned 8-bit integer.
L_UINT | Defined as unsigned; used as an unsigned integer, 16-bits or larger.
L_UINT16 | Defined as unsigned short; used as an unsigned 16-bit integer.
L_UINT32 | Defined as unsigned long; used as an unsigned 32-bit integer.
L_VOID | Defined as void; used as a void.
L_COMP | Defined as L_UINT; used as a handle to a computer
L_MEDIA | Defined as L_VOID L_FAR *; used as a void pointer
L_TCHAR | Defined as either char or TCHAR. If FOR_UNICODE is defined, then L_TCHAR will be defined as TCHAR.


Keywords Used in Declarations

LEADTOOLS uses the following keywords in declarations of functions, structures, and datatypes:

Keyword | Definition and Usage
L_FAR | Defined as nothing; used as a placeholder.
L_HUGE | Defined as nothing; used as a placeholder.
L_EXPORT | Defined as nothing; used as a placeholder.
L_PASCAL | Defined as nothing; used as a placeholder.
EXT_FUNCTION | Defined as WINAPI; used as an attribute for all toolkit functions.
pEXT_FUNCTION | Defined as EXT_FUNCTION L_FAR *; used as an attribute when defining pointers to toolkit functions.
EXT_CALLBACK | Defined as _cdecl L_FAR; used as an attribute for all toolkit callback functions.
pEXT_CALLBACK | Defined as EXT_CALLBACK L_FAR *; used as an attribute when defining pointers to toolkit callback functions.


ADDBITMAPSDLGPARAMS

typedef struct _ADDBITMAPSDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LPDLGBITMAPLIST pBitmapList;
L_UINT uAddBitmapsFlags;
L_UINT L_FAR * puInListIndexes;
L_INT32 nInCount;
HBITMAPLIST hList;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} ADDBITMAPSDLGPARAMS, L_FAR * LPADDBITMAPSDLGPARAMS ;

The ADDBITMAPSDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalAddBitmaps function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
pBitmapList | Pointer to a DLGBITMAPLIST structure that contains the bitmaps to add or average. Setting this before calling the LDialogImageEffect::DoModalAddBitmaps function will initialize the "Available List" in the dialog. The pszDescription member of the DLGBITMAPLIST structure will be used to fill the "Available List" field(s) and the pszFileName member of the DLGBITMAPLIST structure is ignored.
uAddBitmapsFlags | Flag that indicates the operation to perform. Possible values are:
 | Value | Meaning
 | BC_ADD | Add the bitmaps in the specified list.
 | BC_AVE | Average the bitmaps in the specified list.

puInListIndexes | An array of indexes into the pBitmapList array of bitmaps. (The value in puInListIndexes[i] is the index into the pBitmapList array.) The bitmaps referenced by the indexes in this list will be included in the "Selected List" when the Add Bitmaps Dialog is first displayed. If you pass NULL "Selected List" will be empty.
nInCount | Number of items in the puInListIndexes array.
hList | Handle to the list of bitmaps which will contains all the bitmaps in the "Selected List" this member should be created throw CreateBitmapList before calling the dialog, and it is the user responsibility to destroy this list.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_ADDBITMAPS_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


ADDBORDERDLGPARAMS

typedef struct _ADDBORDERDLGPARAMS
{
L_UINT uStructSize ;
pBITMAPHANDLE pBitmap ;
L_BOOL bZoomToFit ;
L_INT nTileBitmapIndex ;
LPDLGBITMAPLIST pBitmapList ;
L_INT nLeftThickness;
L_INT nTopThickness;
L_INT nRightThickness;
L_INT nBottomThickness;
L_INT nLocation;
L_INT nStyle;
L_INT nEffectStyle;
L_INT nGradientStyle;
COLORREF crOpaque;
COLORREF crGradientStart;
COLORREF crGradientEnd;
L_INT nCurveIntensity;
L_BOOL bSoftCurve;
L_BOOL bShadow;
L_INT nShadowSize;
L_INT nShadowDirection;
L_BOOL bBumpyShadow;
L_UINT32 uDlgFlags ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} ADDBORDERDLGPARAMS, L_FAR* LPADDBORDERDLGPARAMS;

The ADDBORDERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImage::DoModalAddBorder function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
nTileBitmapIndex | Index of tile bitmap to use from the image picker. This is an index into the pBitmapList member.
 | Set this before calling LDialogImage::DoModalAddBorder to indicate the initial value for the image picker. This value will be updated to the tile image selected in the image picker.
pBitmapList | Pointer to a DLGBITMAPLIST structure that is used to initialize the image picker in the dialog. The pszDescription member of the DLGBITMAPLIST structure will be used as a tool tip for each image in the image picker when the mouse hovers over it.
nLeftThickness | The thickness of the left side of the border in pixels. Set this to indicate the initial value for the dialog. This value will be updated with the value entered in the Left Margin box in the dialog.
nTopThickness | The thickness of the top side of the border in pixels. Set this to indicate the initial value for the dialog. This value will be updated with the value entered in the Top Margin box in the dialog.
nRightThickness | The thickness of the right side of the border in pixels. Set this to indicate the initial value for the dialog. This value will be updated with the value entered in the Right Margin box in the dialog.
nBottomThickness | The thickness of the bottom side of the border in pixels. Set this to indicate the initial value for the dialog. This value will be updated with the value entered in the Bottom Margin box in the dialog.

nLocation | Flag that indicates the position of the border. Possible values are:
 | Value | Meaning
 | BORDER_INSIDE | [0] The border will be within the bitmap. This is the default.
 | BORDER_OUTSIDE | [1] The border will be outside the bitmap.
 | Set this to indicate the initial value for the dialog. This value will be updated with Placement combo box in the dialog.

nStyle | Flag that indicates the style of the border. Possible values are:
 | Value | Meaning
 | BORDER_STYLE_TRANSPARENT | [0] The border is transparent. Therefore, the bitmap itself shows through as the border. This is the default.
 | BORDER_STYLE_OPAQUE | [1] Use a single color to create the border. The color used is crGradientStart.
 | BORDER_STYLE_GRADIENT | [2] The border contains a color gradient from crGradientStart to crGradientEnd.
 | BORDER_STYLE_TILES | [3] The border is taken from the the bitmap at the nTileBitmapIndex position in the pBitmapList list.
 | Set this to indicate the initial value for the dialog. This value will be updated with the value entered in the Border Style combo box in the dialog.
nEffectStyle | Flag that indicates the change in the appearance of the border. By default there are no changes. The change also depends on the value of nCurveIntesity. If nCurveIntensity is zero, there are no changes. Possible values are:
 | Value | Meaning
 | BORDER_EFFECT_CURVEDIN | [1] Add a 3D appearance to the border by adding a high intensity color to the inner side of the border and a lower intensity color to the outer side of the border.
 | BORDER_EFFECT_CURVEDOUT | [2] Add a 3D appearance to the border by adding a high intensity color to the outer side of the border and a lower intensity color to the inner side of the border.
 | BORDER_EFFECT_RAISED | [3] Add a curved appearance to the border.
 | Set this to indicate the initial value for the dialog. This value will be updated with the value entered in the Effect Style combo box in the dialog.
nGradientStyle | Flag that indicates the gradient style. Set this to indicate the initial value for the dialog. This member will be updated with the value entered in the Direction combo box in the dialog. Possible values are:
 | Value | Meaning
 | BORDER_GRAD_INSIDEOUT | [0] The gradient starts from the inside of the border and progresses toward the outside of the border. This is the default.
 | BORDER_GRAD_CENTEROUT | [1] The gradient starts from the center of the border and progresses toward both the inside and outside of the border.
 | BORDER_GRAD_CORNEROUT | [2] The gradient starts from the corners of the border.

crOpaque | The COLORREF value that specifies the color to use when nStyle is BORDER_STYLE_OPAQUE. When calling LBitmap::AddBorder , use this member for the crGradientStart member of the ADDBORDERINFO structure if nStyle is BORDER_STYLE_OPAQUE. Set this to indicate the initial value for the dialog. This member will be updated with the color selected in the dialog.
crGradientStart | The COLORREF value that specifies the gradient starting color to use when nStyle is BORDER_STYLE_GRADIENT. Set this to indicate the initial value for the dialog. This member will be updated with the color selected in the dialog.
crGradientEnd | The COLORREF value that specifies the gradient ending color to use when nStyle is BORDER_STYLE_GRADIENT. Set this to indicate the initial value for the dialog. This member will be updated with the color selected in the dialog.
nCurveIntensity | Value that indicates the degree to which to change the appearance of the border.
 | Valid range is from 0 to 1000. Set this to indicate the initial value for the dialog. This member will be updated from the Intensity box in the dialog.
bSoftCurve | Flag that indicates whether to give the border a soft curve appearance. Set this to indicate the initial value for the dialog. This member will be updated based on whether the Smooth check box in the dialog is checked or cleared. Possible values are:
 | Value | Meaning
 | TRUE | Make the border more homogeneous in intensity, giving the appearance of a smoother curve.
 | FALSE | Do not make the border more homogeneous in intensity.
bShadow | Flag that indicates whether to add a shadow to the border. Set this to indicate the initial value for the dialog. This member will be updated based on whether the Use Shadows check box in the dialog is checked or cleared. Possible values are:
 | Value | Meaning
 | TRUE | Add a shadow to the border.
 | FALSE | Do not add a shadow to the border.
nShadowSize | Value that indicates the width of the shadow, in pixels. This value is used only when bShadow is set to TRUE. Set this to indicate the initial value for the dialog. This member will be updated with the value entered in the Shadows Size box in the dialog.

nShadowDirection | Flag that indicates the direction of the shadow. This value is used only when bShadow is set to TRUE. Set this to indicate the initial value for the dialog. This member will be updated with the value entered in the Shadows Placement combo box in the dialog. Possible values are:
 | Value | Meaning
 | BORDER_SHADOW_LEFT | [0] The shadow is on the left top side of the image. This is the default.
 | BORDER_SHADOW_RIGHT | [1] The shadow is on the right bottom side of the image.
 | BORDER_SHADOW_SURROUND | [2] The shadow surrounds the border.

bBumpyShadow | Flag that indicates whether to increase the intensity near the far edge of the shadow. This member will be updated based on the Shadows Placement combo box in the dialog and is only used when bShadow is set to TRUE. Set this to indicate the initial value for the dialog. Possible values are:
 | Value | Meaning
 | TRUE | Increase the intensity near the far edge of the shadow.
 | FALSE | Do not increase the intensity near the far edge of the shadow.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_ADDBORDER_SHOW_CONTEXTHELP | [0x00000002] Dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


ADDFRAMEDLGPARAMS

typedef struct _ADDFRAMEDLGPARAMS
{
L_UINT uStructSize ;
pBITMAPHANDLE pBitmap ;
L_BOOL bZoomToFit ;
L_BOOL bKeepFrameState;
L_BOOL bUseMask;
COLORREF crMask;
BYTE SmoothEdge;
L_INT nLocation;
L_INT nQuality;
LPDLGBITMAPLIST pBitmapList ;
L_INT nFrameBitmapIndex ;
L_UINT32 uDlgFlags ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} ADDFRAMEDLGPARAMS, L_FAR* LPADDFRAMEDLGPARAMS ;

The ADDFRAMEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImage::DoModalAddFrame function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
bKeepFrameState | Flag that indicates the state of the frame bitmap. This flag is only used as an input and only when you called the LDialogBase::EnableAutoProcess. Possible values are:
 | Value | Meaning
 | TRUE | Keep the state of the frame bitmap and operate on a copy of the frame bitmap.
 | FALSE | Work on the original frame bitmap so this bitmap may be resized during the LBitmap::AddFrame function.
bUseMask | Flag that indicates whether to force the bitmap to be put on a specific region of the frame bitmap. Set this to indicate the initial value for the dialog. This member will be updated based on whether the Use Mask check box in the dialog is checked or cleared. Possible values are:
 | Value | Meaning
 | TRUE | Select a region on the frame bitmap with the same color specified in crMask and place the bitmap in this region.
 | FALSE | Put the bitmap in the center of the frame bitmap. This is the default value.

crMask | The COLORREF value that specifies the masking color to use when bUseMask is set to TRUE. Set this to indicate the initial value for the dialog. This member will be updated with the color selected in the dialog.
SmoothEdge | Value that indicates the amount to smooth the edge between the frame and the original bitmap. This value is used only when bUseMask is set to FALSE. Valid values range from 0 to 255. Set this to indicate the initial value for the dialog. This member will be updated with the value entered in the Tolerance box in the dialog.
nLocation | Flag that indicates the location of the frame with respect to the bitmap. Set this to indicate the initial value for the dialog. This member will be updated with the value entered in the Placement Combo box in the dialog. Possible values are:
 | Value | Meaning
 | FRAME_INSIDE | [0] The frame will be within the original bitmap. This is the default.
 | FRAME_OUTSIDE | [1] The frame will be outside the original bitmap.
nQuality | Flag that specifies the quality of the resulting bitmap. Set this to indicate the initial value for the dialog. This member will be updated with the value entered in the Quality combo box in the dialog. Possible values are:
 | Value | Meaning
 | FRAME_QUALITY_LOW | [0] Give the resulting bitmap normal quality.
 | FRAME_QUALITY_HIGH | [1] Give the resulting bitmap high quality.

pBitmapList | Pointer to a DLGBITMAPLIST structure that is used to initialize the image picker in the dialog. The bitmap list should contain frame bitmaps, which are used to preview the add frame effect. For more information, refer to LBitmap::AddFrame . The pszDescription member of the DLGBITMAPLIST structure will be used as a tool tip for each image in the image picker, when the mouse hovers over it.
nFrameBitmapIndex | Index of the frame bitmap to use from the image picker. This is an index into the pBitmapList member. Set this before calling LDialogImage::DoModalAddFrame to indicate the initial value for the image picker. This member will be updated to the frame image selected in the image picker.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_ADDFRAME_SHOW_CONTEXTHELP | [0x00000002] Dialog should contain a context sensitive help icon.
 | DLG_ADDFRAME_SHOW_TOOL_COLORPICKER | [0x00000010] Show the Color button.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


ADDNOISEDLGPARAMS

typedef struct _ADDNOISEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uRange;
L_UINT uChannel;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} ADDNOISEDLGPARAMS, L_FAR * LPADDNOISEDLGPARAMS;

The ADDNOISEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalAddNoise function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uRange | Percentage of coverage, expressed in tenths of a percent. Valid values are 0 to 1000.
uChannel | A variable to be updated with the channel value entered through the dialog. This value represents the channel to which to add the noise. Possible values are:
 | Value | Meaning
 | CHANNEL_MASTER | [0] All channels.
 | CHANNEL_RED | [1] Red channel only.
 | CHANNEL_GREEN | [2] Green channel only.
 | CHANNEL_BLUE | [3] Blue channel only.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_ADDNOISE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


ANTIALIASDLGPARAMS

typedef struct _ANTIALIASDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uThreshold;
L_UINT uDim;
L_UINT uFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} ANTIALIASDLGPARAMS, L_FAR * LPANTIALIASDLGPARAMS;

The ANTIALIASDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalAntiAlias function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uThreshold | Threshold value that indicates which pixels to smooth. The application of the anti-aliasing filter on the image associates a value with each pixel. Only pixels with values above this threshold are smoothed. Possible values are:
 | If the image is: | Range of possible values:
 | 12-bit. | 0-4095
 | 16-bit, 48-bit, or 64-bit. | 0-65535
 | Other bits per pixel. | 0-255
uDim | Value that indicates the size of the anti-aliasing mask. This value represents the side of a square neighborhood. Possible values range from 2 - 100.
uFilter | Flag that indicates the type of anti-aliasing filter to use. Possible values are:
 | Value | Meaning
 | ANTIALIAS_1 | [0x0000] Anti-alias the bitmap vertically and horizontally.
 | ANTIALIAS_2 | [0x0001] Anti-alias the bitmap in all directions.
 | ANTIALIAS_3 | [0x0002] Anti-alias the bitmap in all directions. The filter used for this option is different from the filter used for the ANTIALIAS_2 option.
 | ANTIALIAS_DIAG | [0x0003] Anti-alias the bitmap diagonally.
 | ANTIALIAS_HORZ | [0x0004] Anti-alias the bitmap horizontally.
 | ANTIALIAS_VERT | [0x0005] Anti-alias the bitmap vertically.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_ANTIALIAS_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


AUTOTRIMDLGPARAMS

typedef struct _AUTOTRIMDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_INT nThreshold;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} AUTOTRIMDLGPARAMS, L_FAR * LPAUTOTRIMDLGPARAMS;

The AUTOTRIMDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImage::DoModalAutoTrim function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
nThreshold | Delta value for detecting blank space. Notice that the dialog dynamically calculates the range of threshold values that are applicable to your bitmap, once the dialog starts using the bitmap passed in the pBitmap parameter. If you don’t provide a valid bitmap, or NULL is passed in the pBitmap parameter, the range of values is between 0 and 244.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_AUTOTRIM_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


AVERAGEDLGPARAMS

typedef struct _AVERAGEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} AVERAGEDLGPARAMS, L_FAR * LPAVERAGEDLGPARAMS;

The AVERAGEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalAverage function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
uDim | Size of the averaging neighborhood. It is the length, in pixels, of one side of a square. The size ranges from 3 to 255.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_AVERAGE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


BALANCECOLORSDLGPARAMS

typedef struct _BALANCECOLORSDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
BALANCING RedFactor;
BALANCING GreenFactor;
BALANCING BlueFactor;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} BALANCECOLORSDLGPARAMS, L_FAR * LPBALANCECOLORSDLGPARAMS;

The BALANCECOLORSDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalBalanceColors function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
RedFactor | A BALANCING structure that contains the values to use for redistributing the bitmap's red values.
GreenFactor | A BALANCING structure that contains the values to use for redistributing the bitmap's green values.
BlueFactor | A BALANCING structure that contains the values to use for redistributing the bitmap's blue values.

uDlgFlags

User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

Value | Meaning
DLG_BALANCECOLORS_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


BENDINGDLGPARAMS

typedef struct _BENDINGDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nValue;
POINT ptCenter;
COLORREF crFill;
L_UINT uBendingFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} BENDINGDLGPARAMS, L_FAR * LPBENDINGDLGPARAMS;

The BENDINGDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalBending function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nValue | Amount of stretching, where positive values stretch the pixels toward edges, and negative values stretch the pixels toward the center. Possible values range from –500 to 500.
ptCenter | A POINT structure that contains the center of the arc. This is ignored when either BND_HORZ or BND_VERT is set in the uBendingFlags member. The center point must be defined inside the bitmap or inside the region, if the bitmap has a region.
crFill | The COLORREF value that specifies the fill color for any exposed areas. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uBendingFlags | Flags that indicate how to handle peripherally exposed areas, how to handle centrally exposed areas and the type of bending. You can use a bitwise OR (|) to specify one flag from each group.
 | The following are the flags that indicate how to handle peripherally exposed areas:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill exposed areas.
 | FILL_NOCHG | [0x0002] do not change or process exposed areas.
 | The following are the flags that indicate how to handle an exposed center:
 | Value | Meaning
 | FILL_ROT | [0x0000] Rotate the image inside the arc pattern.
 | FILL_WOUTROT | [0x0010] Fill the exposed center as you would any other exposed area. This is determined by setting the FILL_CLR, FILL_RPT or FILL_NOCHG flags. This flag is ignored if the nValue is negative.
 | The following are the flags that indicate how the bitmap is bent:
 | Value | Meaning
 | BND_NORM | [0x0000] Stretch the image along the vertical and horizontal planes.
 | BND_HORZ | [0x0100] Stretch the image along the horizontal plane.
 | BND_VERT | [0x0200] Stretch the image along the vertical plane.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_BENDING_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


BORDERREMOVEDLGPARAMS

typedef struct _BORDERREMOVEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
BORDERREMOVE BorderRemove;
COLORREF crModification;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} BORDERREMOVEDLGPARAMS, L_FAR * LPBORDERREMOVEDLGPARAMS;

The BORDERREMOVEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogDocument::DoModalBorderRemove function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

BorderRemove

BORDERREMOVE structure that LEADTOOLS uses to perform the border removal operation. You should set the pBitmapRegion member of the BORDERREMOVE structure to a valid address and fill the uBitmapStructSize member with the proper value.

Note: It's the user's responsibility to free the region in pBitmapRegion, if there is one, using L_FreeBitmapRgn.

crModification

Color used to fill the modified areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

uDlgFlags

User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

Value

Meaning

DLG_BORDERREMOVE_SHOW_CONTEXTHELP

[0x00000002] dialog should contain a context sensitive help icon.

pfnHelpCallback

Ignored.

pHelpCallBackUserData

Ignored.


BRIGHTNESSDLGPARAMS

typedef struct _BRIGHTNESSDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nChange;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} BRIGHTNESSDLGPARAMS, L_FAR* LPBRIGHTNESSDLGPARAMS;

The BRIGHTNESSDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalBrightness function. After the user closes the dialog box, information about the user's selections are updated in this structure.

Member | Description
nSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nChange | Amount to change the brightness. Possible values range from -1000 to 1000. Negative numbers darken the image and positive numbers lighten the image.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_BRIGHTNESS_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


CANVASRESIZEDLGPARAMS

typedef struct _CANVASRESIZEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_INT nCurrentWidth;
L_INT nCurrentHeight;
POINT ptTopLeft;
L_INT nNewWidth;
L_INT nNewHeight;
COLORREF crBkgnd;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} CANVASRESIZEDLGPARAMS, L_FAR * LPCANVASRESIZEDLGPARAMS;

The CANVASRESIZEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImage::DoModalCanvasResize function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
nCurrentWidth | A variable that contains the value to be displayed in the Current Width static control. This value may be equal to the bitmap width.
nCurrentHeight | A variable that contains the value to be displayed in the Current Height static control. This value may be equal to the bitmap height.
ptTopLeft | A POINT structure that contains the top left coordinates of the bitmap within its new canvas. This point is relative to the bitmap, and will not exceed the bitmap's width or height.
nNewWidth | A variable to be updated with the new width set by the user.
nNewHeight | A variable to be updated with the new height set by the user.
crBkgnd | A COLORREF variable to be updated with the background color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_CANVASRESIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
 | DLG_CANVASRESIZE_SHOW_CURRENT_HEIGHT | [0x00000004] dialog should contain the Current Height static control.
 | DLG_CANVASRESIZE_SHOW_CURRENT_WIDTH | [0x00000008] Dialog should contain the Current Width static control.
 | DLG_CANVASRESIZE_SHOW_HORIZPOS | [0x00000010] dialog should contain the Horizontal position.
 | DLG_CANVASRESIZE_SHOW_VIRTZPOS | [0x00000020] dialog should contain the Vertical position.
 | DLG_CANVASRESIZE_SHOW_BACKCOLOR | [0x00000040] dialog should contain a background color picker button.
 | DLG_CANVASRESIZE_SHOW_KEEPASPECT | [0x00000080] dialog should contain the Maintain Aspect Ratio check box.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


COLORDLGPARAMS

typedef struct _COLORDLGPARAMS
{
L_UINT uStructSize;
COLORREF crColor;
L_UINT32 uColorSpace;
L_UINT32 uColorModel;
HPALETTE hpalCustom;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} COLORDLGPARAMS, L_FAR * LPCOLORDLGPARAMS;

The COLORDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalColor function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
crColor | A COLORREF that holds the color picked by the user of the dialog. The initial value of this color sets the initial color selected at the dialog and the color will be remain visible at the top-left corner of the dialog box. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uColorSpace | A variable to be updated with the color space selected when the dialog closed. Set this to indicate the initial color space to display in the dialog. Possible values are:
 | Value | Meaning
 | DLG_COLOR_COLORSPACE_SHOW_HUE | [0x00000010] HSB-Hue Based color space.
 | DLG_COLOR_COLORSPACE_SHOW_BRIGHTNESS | [0x00000020] HSB-Brightness Based color space.
 | DLG_COLOR_COLORSPACE_SHOW_WHEEL | [0x00000040] HSB-Wheel Based color space.
 | DLG_COLOR_COLORSPACE_SHOW_RGB | [0x00000080] RGB-3D Additive color space.
 | DLG_COLOR_COLORSPACE_SHOW_CMY | [0x00000100] CMY-3D Subtractive color space.
 | DLG_COLOR_COLORSPACE_SHOW_CMYK | [0x00000200] CMYK-3D Subtractive color space.
 | DLG_COLOR_COLORSPACE_SHOW_LAB | [0x00000400] LAB- Device Independent color space.
uColorModel | A variable to be updated with the color model selected when the dialog closed. Set this to indicate the initial color model to display in the dialog. Acceptable values are:
 | Value | Meaning
 | DLG_COLOR_COLORMODEL_SHOW_RGB | [0x00000800] RGB color values.
 | DLG_COLOR_COLORMODEL_SHOW_HSB | [0x00001000] HSB color values.
 | DLG_COLOR_COLORMODEL_SHOW_HLS | [0x00002000] HLS color values.
 | DLG_COLOR_COLORMODEL_SHOW_CMY | [0x00004000] CMY color values.
 | DLG_COLOR_COLORMODEL_SHOW_CMYK | [0x00008000] CMYK color values.
 | DLG_COLOR_COLORMODEL_SHOW_LAB | [0x00010000] LAB color values.
hpalCustom | A handle to a palette. If this contains a valid handle, the dialog will display only the colors in this palette, no available color spaces will be displayed, and only color values from this palette can be selected.
uDlgFlags | User interface flags for this dialog, hich determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_COLOR_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
 | DLG_COLOR_SHOW_OLDCOLOR | [0x00000002] dialog should contain the Old color in a static control.
 | DLG_COLOR_SHOW_NEWCOLOR | [0x00000004] dialog should contain the New color in a static control.
 | DLG_COLOR_SHOW_NAME | [0x00000008] dialog should contain the name in a static control.
 | DLG_COLOR_COLORSPACE_SHOW_HUE | [0x00000010] dialog should contain the HSB-Hue Based color space
 | DLG_COLOR_COLORSPACE_SHOW_BRIGHTNESS | [0x00000020] dialog should contain the HSB-Brightness Based color space
 | DLG_COLOR_COLORSPACE_SHOW_WHEEL | [0x00000040] dialog should contain the HSB-Wheel Based color space.
 | DLG_COLOR_COLORSPACE_SHOW_RGB | [0x00000080] dialog should contain the RGB-3D Additive color space.
 | DLG_COLOR_COLORSPACE_SHOW_CMY | [0x00000100] dialog should contain the CMY-3D Subtractive color space.
 | DLG_COLOR_COLORSPACE_SHOW_CMYK | [0x00000200] dialog should contain the CMYK-3D Subtractive color space.
 | DLG_COLOR_COLORSPACE_SHOW_LAB | [0x00000400] dialog should contain the LAB- Device Independent color space.
 | DLG_COLOR_COLORMODEL_SHOW_RGB | [0x00000800] dialog should contain the RGB color values display.
 | DLG_COLOR_COLORMODEL_SHOW_HSB | [0x00001000] dialog should contain the HSB color values display.
 | DLG_COLOR_COLORMODEL_SHOW_HLS | [0x00002000] dialog should contain the HLS color values display.
 | DLG_COLOR_COLORMODEL_SHOW_CMY | [0x00004000] dialog should contain the CMY color values display.
 | DLG_COLOR_COLORMODEL_SHOW_CMYK | [0x00008000] dialog should contain the CMYK color values display.
 | DLG_COLOR_COLORMODEL_SHOW_LAB | [0x00010000] dialog should display the LAB color values display.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


COLOREDGRAYDLGPARAMS

typedef struct _COLOREDGRAYDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nRedFactor;
L_INT nGreenFactor;
L_INT nBlueFactor;
L_INT nRedGrayFactor;
L_INT nGreenGrayFactor;
L_INT nBlueGrayFactor;
L_UINT 32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} COLOREDGRAYDLGPARAMS, L_FAR * LPCOLOREDGRAYDLGPARAMS;

The COLOREDGRAYDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalColoredGray function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nRedFactor | Value that represents the percentage or weight given to the red value of each pixel in the bitmap. Possible values are (0-1000), nRedFactor + nGreenFactor + nBlueFactor must equal 1000.
nGreenFactor | Value that represents the percentage or weight given to the green value of each pixel in the bitmap. Possible values are (0-1000), nRedFactor + nGreenFactor + nBlueFactor must equal 1000.
nBlueFactor | Value that represents the percentage or weight given to the blue value of each pixel in the bitmap. Possible values are (0-1000), nRedFactor + nGreenFactor + nBlueFactor must equal 1000.
nRedGrayFactor | Additional weighting factor (percentage) used to modify the red component in the output pixel. This value can be negative. Possible values are -1000 to 1000.
nGreenGrayFactor | Additional weighting factor (percentage) used to modify the green component in the output pixel. This value can be negative. Possible values are -1000 1000).
nBlueGrayFactor | Additional weighting factor (percentage) used to modify the blue component in the output pixel. This value can be negative. Possible values are (-1000-1000).
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_COLOREDGRAY_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


COLORRESDLGPARAMS

typedef struct _COLORRESDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nBitsPerPixel;
L_UINT32 uColorResFlags;
HPALETTE hpalCustom;
L_UINT32 uDlgFlags;
L_UINT32 uDlgFlagsEx;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} COLORRESDLGPARAMS, L_FAR * LPCOLORRESDLGPARAMS ;

The COLORRESDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalColorRes function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nBitsPerPixel | A variable to be updated with the bits per pixel value entered in the dialog. Set this to indicate the initial value for the dialog.
uColorResFlags | A variable to be updated with the color resolution flags entered through the dialog. Setting this before calling the function has no effect. This will be one of the following:
 | Value | Meaning
 | CRF_FIXEDPALETTE | [0x01] Use the fixed palette.
 | CRF_OPTIMIZEDPALETTE | [0x02] Create an optimized palette. Or, if you supply a palette in the pPalette or hPalette parameter, but not both, supply optimized colors for specified entries in the palette.
 | CRF_NETSCAPEPALETTE | [0x40] Use the fixed palette that is employed by Netscape Navigator and by Microsoft Internet Explorer.
 | CRF_USERHPALETTE | [0x0100] Use the palette specified in the hPalette parameter.
 | CRF_IDENTITYPALETTE | [0x08] Insert the Windows system palette.
 | CRF_BYTEORDERBGR | [0x04] Use BGR color order. This flag only has meaning when going to 16 bits per pixel or higher.
 | CRF_BYTEORDERRGB | [0x00] Use RGB color. This flag only has meaning when going to 16 bits per pixel or higher.
 | CRF_NODITHERING | [0x00000000] Use nearest color matching.
 | CRF_FLOYDSTEINDITHERING | [0x00010000] Use Floyd-Steinberg dithering.
 | CRF_STUCKIDITHERING | [0x00020000] Use Stucki dithering.
 | CRF_BURKESDITHERING | [0x00030000] Use Burkes dithering.
 | CRF_SIERRADITHERING | [0x00040000] Use Sierra dithering.
 | CRF_STEVENSONARCEDITHERING | [0x00050000] Use Stevenson Arce dithering.
 | CRF_JARVISDITHERING | [0x00060000] Use Jarvis dithering.
 | CRF_ORDEREDDITHERING | [0x00070000] Use ordered dithering, which is faster but less accurate than other dithering methods.
 | CRF_CLUSTEREDDITHERING | [0x00080000] Use clustered dithering.

hpalCustom | A handle to a palette to be updated with a custom palette entered through the dialog. This member is valid only when CRF_USERHPALETTE is set in uColorResFlags.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_COLORRES_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
 | DLG_COLORRES_SHOW_ORDER | [0x00000080] show the color order in the dialog
 | DLG_COLORRES_SHOW_OPENPALFILE | [0x00000100] show the open palette button used to load LEAD palette files. LEAD palette files are created using the LDialogColor::DoModalCustomizePalette function.
uDlgFlagsEx | User interface flags for this dialog, which determine the options available in the dialog. Possible values are:
 | Value | Meaning
 | DLG_COLORRES_SHOW_1BIT | [0x00000001] 1-bit is an option in the dialog.
 | DLG_COLORRES_SHOW_2BIT | [0x00000002] 2-bit is an option in the dialog
 | DLG_COLORRES_SHOW_3BIT | [0x00000004] 3-bit is an option in the dialog
 | DLG_COLORRES_SHOW_4BIT | [0x00000008] 4-bit is an option in the dialog
 | DLG_COLORRES_SHOW_5BIT | [0x00000010] 5-bit is an option in the dialog
 | DLG_COLORRES_SHOW_6BIT | [0x00000020] 6-bit is an option in the dialog
 | DLG_COLORRES_SHOW_7BIT | [0x00000040] 7-bit is an option in the dialog
 | DLG_COLORRES_SHOW_8BIT | [0x00000080] 8-bit is an option in the dialog
 | DLG_COLORRES_SHOW_12BIT | [0x00000100] 12-bit is an option in the dialog
 | DLG_COLORRES_SHOW_16BIT | [0x00000200] 16-bit is an option in the dialog
 | DLG_COLORRES_SHOW_24BIT | [0x00000400] 24-bit is an option in the dialog
 | DLG_COLORRES_SHOW_32BIT | [0x00000800] 32-bit is an option in the dialog
 | DLG_COLORRES_SHOW_48BIT | [0x00001000] 48-bit is an option in the dialog
 | DLG_COLORRES_SHOW_64BIT | [0x00002000] 64-bit is an option in the dialog
 | DLG_COLORRES_SHOW_BITALL | [0x00003FFF] 1-bit to 64-bit are all options in the dialog.
 | DLG_COLORRES_SHOW_DITHER_NONE | [0x00004000] no dithering is an option in the dialog.
 | DLG_COLORRES_SHOW_DITHER_FLOYD | [0x00008000] Floyd dithering is an option in the dialog
 | DLG_COLORRES_SHOW_DITHER_STUCKI | [0x00010000] stucki dithering is an option in the dialog
 | DLG_COLORRES_SHOW_DITHER_BURKES | [0x00020000] burkes dithering is an option in the dialog
 | DLG_COLORRES_SHOW_DITHER_SIERRA | [0x00040000] sierra dithering is an option in the dialog
 | DLG_COLORRES_SHOW_DITHER_STEVENSON | [0x00080000] stevenson dithering is an option in the dialog
 | DLG_COLORRES_SHOW_DITHER_JARVIS | [0x00100000] jarvis dithering is an option in the dialog
 | DLG_COLORRES_SHOW_DITHER_CLUSTER | [0x00200000] clustered dithering is an option in the dialog
 | DLG_COLORRES_SHOW_DITHER_ORDERED | [0x00400000] ordered dithering is an option in the dialog
 | DLG_COLORRES_SHOW_DITHER_ALL | [0x007FC000] all dithering methods are options in the dialog
 | DLG_COLORRES_SHOW_PAL_FIXED | [0x00800000] fixed palette is an option in the dialog
 | DLG_COLORRES_SHOW_PAL_OPTIMIZED | [0x01000000] optimized palette is an option in the dialog
 | DLG_COLORRES_SHOW_PAL_IDENTITY | [0x02000000] identity palette is an option in the dialog
 | DLG_COLORRES_SHOW_PAL_NETSCAPE | [0x04000000] netscape palette is an option in the dialog
 | DLG_COLORRES_SHOW_PAL_SVGA | [0x08000000] SVGA palette is an option
 | DLG_COLORRES_SHOW_PAL_UNIFORM | [0x10000000] Uniform palette is an option
 | DLG_COLORRES_SHOW_PAL_MSIE | [0x20000000] MSIE palette is an option
 | DLG_COLORRES_SHOW_PAL_ALL | [0x3F800000] all palette options are included in the dialog
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


CONTOURFILTERDLGPARAMS

typedef struct _CONTOURFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT16 nThreshold;
L_INT16 nDeltaDirection;
L_INT16 nMaxError;
L_INT nOption;
L_UINT32 uOptionFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} CONTOURFILTERDLGPARAMS, L_FAR * LPCONTOURFILTERDLGPARAMS;

The CONTOURFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalContourFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nThreshold | Threshold of the gradient magnitude. Values below this will be considered as background, and will be set to 0. Values can be from 1 to 254. A lower threshold provides a better quality image.
nDeltaDirection | Maximum angle for the thinning algorithm. Values can be from 1 to 64.
nMaximumError | Maximum error for approximation algorithm. Values can be from 0 to 255.
nOption | Flag that controls the resulting image. This value tells the method what process to complete before returning. Possible values are:
 | Value | Meaning
 | CONTOUR_THIN | [0] return after the thinning algorithm
 | CONTOUR_LINK_BLACKWHITE | [1] return after contour linking, using only black and white
 | CONTOUR_LINK_GRAY | [2] return after contour linking, using 256 grayscale
 | CONTOUR_LINK_COLOR | [3] return after contour linking, using colors
 | CONTOUR_APPROX_COLOR | [4] return after line segment approximation, using colors

uOptionFlags | Values that indicate which options will be available in the Contour Option dropdown box. Possible values are:
 | Value | Meaning
 | DLG_CONTOURFILTER_SHOW_OPTION_THIN | [0x00000001] the return after thinning option is available.
 | DLG_CONTOURFILTER_SHOW_OPTION_LINK_BW | [0x00000002] the return after contour linking using only black and white option is available
 | DLG_CONTOURFILTER_SHOW_OPTION_LINK_GRAY | [0x00000004] the return after contour linking using 256 grayscale options is available.
 | DLG_CONTOURFILTER_SHOW_OPTION_LINK_COLOR | [0x00000008] the return after contour linking using colors option is available.
 | DLG_CONTOURFILTER_SHOW_OPTION_APPROX_COLOR | [0x00000010] the return after line segment approximation option is available.
 | DLG_CONTOURFILTER_SHOW_OPTION_ALL | [0x0000001F] ALL the options above available.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_CONTOURFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
 | DLG_CONTOURFILTER_SHOW_OPTION | [0x00000010] show the Contour Option.
 | DLG_CONTOURFILTER_SHOW_THRESHOLD | [0x00000020] show the Threshold option.
 | DLG_CONTOURFILTER_SHOW_DELTADIRECTION | [0x00000040] show the Delta Direction option.
 | DLG_CONTOURFILTER_SHOW_MAXIMUMERROR | [0x00000080] show the Maximum Error option.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


CONTRASTDLGPARAMS

typedef struct _CONTRASTDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nChange;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} CONTRASTDLGPARAMS, L_FAR * LPCONTRASTDLGPARAMS;

The CONTRASTDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalContrast function. After the user closes the dialog box, information about the user's selections are updated in this structure.

Member | Description
nSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
nChange | Amount to change the contrast. The contrast ranges from -1000 to 1000. Negative numbers decrease the contrast and positive numbers increase the contrast.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

 | Value | Meaning
 | DLG_CONTRAST_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


CUSTOMIZEPALETTEDLGPARAMS

typedef struct _CUSTOMIZEPALETTEDLGPARAMS
{
L_UINT uStructSize;
HPALETTE hpalUser;
HPALETTE hpalGenerated;
L_BOOL bApplyPaletteWhenExit;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} CUSTOMIZEPALETTEDLGPARAMS, L_FAR * LPCUSTOMIZEPALETTEDLGPARAMS;

The CUSTOMIZEPALETTEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalCustomizePalette function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
hpalUser | A handle to a palette that can be used to initialize the custom palette entry in the palette options list. You can pass NULL in this parameter to remove the custom palette entry from the palette options list.
hpalGenerated | Handle to a palette. If either DLG_CUSTOMIZEPALETTE_GENERATE_PALETTE or DLG_CUSTOMIZEPALETTE_SHOW_APPLYPALETTEWHENEXIT is set in the uDlgFlags member, this variable will receive a palette handle that contains the palette displayed in the right pane when the dialog is closed. Notice that it is your responsibility to free the palette handle using the windows DeleteObject function.
bApplyPaletteWhenExit | Flag that indicates whether the "Apply When Exit" check box is checked. If this member is set before calling LDialogColor::DoModalCustomizePalette, this value will be used to initialize the check box. Possible values are:
 | Value | Meaning
 | TRUE | The "Apply When Exit" box is checked.
 | FALSE | The "Apply When Exit" box is not checked.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_CUSTOMIZEPALETTE_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
 | DLG_CUSTOMIZEPALETTE_SHOW_SORT | [0x00000002] Dialog should contain the Sort button.
 | DLG_CUSTOMIZEPALETTE_SHOW_FINDCLOSEST | [0x00000004] Dialog should contain the Find Closest button.
 | DLG_CUSTOMIZEPALETTE_SHOW_ADDOPTION | [0x00000008] Dialog should contain the Add Options button.
 | DLG_CUSTOMIZEPALETTE_SHOW_REMOVEOPTION | [0x00000010] Dialog should contain the Remove Options button.
 | DLG_CUSTOMIZEPALETTE_SHOW_COLORMODEL | [0x00000020] Dialog should contain the Color Model button.
 | DLG_CUSTOMIZEPALETTE_SHOW_RGBLEFTPAN | [0x00000040] Dialog should contain the left pan RGB static control.
 | DLG_CUSTOMIZEPALETTE_SHOW_HTMLLEFTPAN | [0x00000080] Dialog should contain the left pan HTML static control.
 | DLG_CUSTOMIZEPALETTE_SHOW_INDEXLEFTPAN | [0x00000100] Dialog should contain the left pan Index static control.
 | DLG_CUSTOMIZEPALETTE_SHOW_RGBRIGHTPAN | [0x00000200] Dialog should contain the right pan RGB static control.
 | DLG_CUSTOMIZEPALETTE_SHOW_HTMLRIGHTPAN | [0x00000400] Dialog should contain the right pan HTML static control.
 | DLG_CUSTOMIZEPALETTE_SHOW_INDEXRIGHTPAN | [0x00000800] Dialog should contain the right pan Index static control.
 | DLG_CUSTOMIZEPALETTE_SHOW_NEW | [0x00001000] Dialog should contain the new button.
 | DLG_CUSTOMIZEPALETTE_SHOW_OPEN | [0x00002000] Dialog should contain the open button.
 | DLG_CUSTOMIZEPALETTE_SHOW_SAVE | [0x00004000] Dialog should contain the save button.
 | DLG_CUSTOMIZEPALETTE_SHOW_SAVEAS | [0x00008000] Dialog should contain the save as button.
 | DLG_CUSTOMIZEPALETTE_GENERATE_PALETTE | [0x00010000] Dialog should update the hpalGenerated member with the user created palette in the right pane.
 | DLG_CUSTOMIZEPALETTE_SHOW_APPLYPALETTEWHENEXIT | [0x00020000] Dialog should contain the “Apply When Exit” check box, and the dialog will update the hpalGenerated member with the user created palette in the right pane. Notice that you can’t combine this flag with flag DLG_CUSTOMIZEPALETTE_GENERATE_PALETTE.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


CYLINDRICALDLGPARAMS

typedef struct _CYLINDRICALDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nValue;
L_UINT uType;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} CYLINDRICALDLGPARAMS, L_FAR * LPCYLINDRICALDLGPARAMS;

The CYLINDRICALDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalCylindrical function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
nValue | Amount of stretching where positive values stretch the pixels toward the bitmap edges, depending on the type of cylinder, and negative values stretch the pixels toward the central line of the cylinder. The valid range is from –100 to 100.
uType | A value that indicates the cylinder shape. Possible values are:
 | Value | Meaning
 | CYL_HORZ | [0x0000] Stretch the pixels along the vertical plane (horizontal cylinder).
 | CYL_VERT | [0x0001] Stretch the pixels along the horizontal plane (vertical cylinder).

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_CYLINDRICAL_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


DILATIONFILTERDLGPARAMS

typedef struct _DILATIONFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LPBINARYFLT pFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} DILATIONFILTERDLGPARAMS, L_FAR * LPDILATIONFILTERDLGPARAMS;

The DILATIONFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalDilationFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
pFilter | Address of a variable to be updated with the binary filter selected in the dialog. Dilation filters enlarge black objects in the image. The effect is biased in the specified direction. Possible values are:
 | Value
 | BFLT_DILATION_OMNI
 | BFLT_DILATION_HORZ
 | BFLT_DILATION_VERT
 | BFLT_DILATION_DIAG

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_DILATIONFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


DLGBITMAPLIST

typedef struct _DLGBITMAPLIST
{
L_UINT uStructSize;
LPDLGBITMAPLISTITEM pBitmapList;
L_INT nCount;
} DLGBITMAPLIST, L_FAR * LPDLGBITMAPLIST;

The DLGBITMAPLIST structure contains information about and references to bitmaps contained in a bitmap list used by a LEAD common dialog.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmapList | Pointer to a list of DLGBITMAPLISTITEM structures that contains the bitmap list used by a LEAD Common Dialog.
nCount | Number of DLGBITMAPLISTITEM items in the DLGBITMAPLIST list.

See Also

Elements:

DLGBITMAPLISTITEM, ADDBITMAPSDLGPARAMS, STITCHDLGPARAMS, UNDERLAYDLGPARAMS, ADDBORDERDLGPARAMS, ADDFRAMEDLGPARAMS, PRINTSTITCHEDIMAGESDLGPARAMS


DLGBITMAPLISTITEM

typedef struct _DLGBITMAPLISTITEM
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_TCHAR L_FAR * pszFileName;
L_TCHAR L_FAR * pszDescription;
} DLGBITMAPLISTITEM, L_FAR * LPDLGBITMAPLISTITEM;
The DLGBITMAPLISTITEM structure contains information about a bitmap referenced by the DLGBITMAPLIST structure.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
 | This bitmap may be the bitmap to use for processing or a thumbnail of it. The thumbnails are used for preview purposes only. The corresponding original bitmaps are used in processing. The original bitmaps are identified by the pszFileName member. If the bitmap is a thumbnail, pszFileName should be a valid fully qualified path name. If the bitmap is not a thumbnail, pszFileName should be NULL.
pszFileName | String that contains the name of the file that contains the bitmap referenced by pBitmap.
 | Set this field to a fully qualified path name if you wish to supply a thumbnail for previewing purposes only. This fully qualified path name will be used to load the bitmap when needed. Set this field to NULL to indicate that the bitmap set in the pBitmap field is not a thumbnail but is the bitmap to be used in processing.
 | Notice that some dialogs ignore this field and use the bitmaps set in the pBitmap field.
pszDescription | String that contains the text that will be used for special purposes by specific dialogs. For more information, refer to the documentation for the structure associated with the specific dialog.

See Also

Elements:

DLGBITMAPLIST, ADDBITMAPSDLGPARAMS, STITCHDLGPARAMS, UNDERLAYDLGPARAMS, ADDBORDERDLGPARAMS, ADDFRAMEDLGPARAMS, PRINTSTITCHEDIMAGESDLGPARAMS


DLGHISTORYLIST

typedef struct _DLGHISTORYLIST
{
L_UINT uStructSize ;
L_TCHAR L_FAR* L_FAR* ppszEntry ;
L_INT nEntryCount ;
L_INT nEntryLength ;
L_INT nValidEntryCount ;
} DLGHISTORYLIST, L_FAR* LPDLGHISTORYLIST;

The DLGHISTORYLIST structure provides information used to maintain history combos in the HTML map creator dialog created by the LDialogWeb::DoModalHTMLMapper function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
ppszEntry | Pointer to pointer presenting an array of strings, this array should be allocated, freed, and maintained by caller.
 | When a dialog (using history combos feature) is called, any data passed in will be displayed in corresponding combo box. When the dialog is closed this array will contain the entries supplied by the user of the dialog.
 | The nValidEntryCount determines number of valid entries in the array, for example if this member was 4, the first 4 entries in the array is valid (either for reading or writing).
 | This member will be updated with the information entered by the user through the dialog. Set this member, before calling the function, to initialize the dialog.
nEntryCount | Number of allocated strings in the ppszEntry 2d array. That is the size of the *ppszEntry vector. This entry should be greater than or equal to nValidEntryCount (valid entries should be allocated) Set this member to initialize the dialog.
nEntryLength | Size of each string member of the ppszEntry 2d array. All strings have the same size. Set this member, before calling the function, to initialize the dialog.
nValidEntryCount | The valid entries to read or write. That is, at the time the dialog function is called ([in]), this member determines the valid strings that should be inserted into the history combo. When the dialog function returns ([out]), this member indicates the number of saved strings in the history combo. nValidEntryCount should always be less than or equal to nEntryCount. This member will be updated with the information entered by the user through the dialog. Set this member, before calling the function, to initialize the dialog.


DOTREMOVEDLGPARAMS

typedef struct _DOTREMOVEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
DOTREMOVE DotRemove;
COLORREF crWhiteArea;
COLORREF crBlackArea;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} DOTREMOVEDLGPARAMS, L_FAR * LPDOTREMOVEDLGPARAMS;

The DOTREMOVEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogDocument::DoModalDotRemove function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

DotRemove

DOTREMOVE structure that LEADTOOLS uses to remove dots. You should set the pBitmapRegion member of the DOTREMOVE structure to a valid address and fill the uBitmapStructSize member with the proper value.

Note: It's the user's responsibility to free the region in pBitmapRegion, if there is one, using L_FreeBitmapRgn.

crWhiteArea

Color used to fill the removed white areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

crBlackArea

Color used to fill the removed black areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

uDlgFlags

User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

Value

Meaning

DLG_DOTREMOVE_SHOW_CONTEXTHELP

[0x00000002] dialog should contain a context sensitive help icon.

pfnHelpCallback

Ignored.

pHelpCallBackUserData

Ignored.


EDGEDETECTORDLGPARAMS

typedef struct _EDGEDETECTORDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uThreshold;
L_UINT uFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} EDGEDETECTORDLGPARAMS, L_FAR * LPEDGEDETECTORDLGPARAMS;

The EDGEDETECTORDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalEdgeDetector function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uThreshold | Threshold value used to determine which pixels are edge pixels. Possible values depend on the image, as shown here:
 | If the image is | possible values are
 | 16-bit gray, 48-bit, or 64-bit. | 0-65535
 | 12-bit. | 0-4095
 | Otherwise. | 0-255
uFilter | Flag that indicates which edge detection filter to apply. Possible values are:
 | Value | Meaning
 | EDG_SOBEL_VERT | [0x0101] Detect the vertical edges
 | EDG_SOBEL_HORZ | [0x0102] Detect the horizontal edges
 | EDG_SOBEL_ALL | [0x0103] Detect horizontal & vertical edges
 | EDG_PREWITT_VERT | [0x0201] Detect the vertical edges
 | EDG_PREWITT_HORZ | [0x0202] Detect the horizontal edges
 | EDG_PREWITT_ALL | [0x0203] Detect horizontal & vertical edges
 | EDG_LAPLACE_1 | [0x0301] Detect vertical & horizontal edges
 | EDG_LAPLACE_2 | [0x0302] Detect general edges
 | EDG_LAPLACE_3 | [0x0303] Detect general edges. (The filter used for this option is different than the filter used for the EDG_LAPLACE_2 filter.)
 | EDG_LAPLACE_DIAG | [0x0304] Detect the diagonal edges
 | EDG_LAPLACE_HORZ | [0x0305] Detect the horizontal edges
 | EDG_LAPLACE_VERT | [0x0306] Detect the vertical edges
 | EDG_GRADIENT_N | [0x0401] Detect north edges
 | EDG_GRADIENT_NE | [0x0402] Detect north east edges
 | EDG_GRADIENT_E | [0x0403] Detect east edges
 | EDG_GRADIENT_SE | [0x0404] Detect south east edges
 | EDG_GRADIENT_S | [0x0405] Detect south edges
 | EDG_GRADIENT_SW | [0x0406] Detect south west edges
 | EDG_GRADIENT_W | [0x0407] Detect west edges
 | EDG_GRADIENT_NW | [0x0408] Detect north west edges

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_EDGEDETECTOR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


EFFECTDLGPARAMS

typedef struct _EFFECTDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_UINT uEffect;
L_UINT uGrain;
L_UINT uDelay;
L_UINT uMaxPass;
L_BOOL bTransparent;
COLORREF crTransparent;
L_UINT uWandWidth;
COLORREF crWand;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} EFFECTDLGPARAMS, L_FAR * LPEFFECTDLGPARAMS;

The EFFECTDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogEffect::DoModalGetEffect function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
uEffect | The effect to use.
uGrain | The grain size.
uDelay | The delay, in milliseconds.
uMaxPass | The maximum number of passes.
bTransparent | Flag that indicates whether to use a transparent color. Possible values are:
 | Value | Meaning
 | TRUE | Use the transparent color specified in crTransparent.
 | FALSE | Do not use a transparent color.

crTransparent | The transparent color to use. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uWandWidth | The width of the wand, in pixels.
crWand | The color of the wand. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_EFFECT_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
 | DLG_EFFECT_AUTOPREVIEW | [0x00000004] auto preview when options change
 | DLG_EFFECT_DELAY | [0x00000008] effect delay is an option
 | DLG_EFFECT_GRAIN | [0x00000010] effect grain is an option
 | DLG_EFFECT_PASSES | [0x00000020] effect passes is an option
 | DLG_EFFECT_TRANSPARENT | [0x00000040] transparency is an option
 | DLG_EFFECT_WAND | [0x00000080] wand is an option
 | DLG_EFFECT_NO_TREEVIEW | [0x00000100] DO NOT use TreeView
 | DLG_EFFECT_CLASS_NONE | [0x00000200] no effect is an option
 | DLG_EFFECT_CLASS_WIPE | [0x00000400] linear wipe is an option
 | DLG_EFFECT_CLASS_WIPERECT | [0x00000800] rectangular wipe is an option
 | DLG_EFFECT_CLASS_WIPECIRCLE | [0x00001000] circular wipe is an option
 | DLG_EFFECT_CLASS_PUSH | [0x00002000] push is an option
 | DLG_EFFECT_CLASS_SLIDE | [0x00004000] slide is an option
 | DLG_EFFECT_CLASS_ROLL | [0x00008000] roll is an option
 | DLG_EFFECT_CLASS_ROTATE | [0x00010000] rotate is an option
 | DLG_EFFECT_CLASS_ZOOM | [0x00020000] zoom is an option
 | DLG_EFFECT_CLASS_DRIP | [0x00040000] drip is an option
 | DLG_EFFECT_CLASS_BLIND | [0x00080000] blind is an option
 | DLG_EFFECT_CLASS_RANDOM | [0x00100000] random is an option
 | DLG_EFFECT_CLASS_CHECK | [0x00200000] check is an option
 | DLG_EFFECT_CLASS_BLOCKS | [0x00400000] blocks is an option
 | DLG_EFFECT_CLASS_CIRCLE | [0x00800000] circle is an option
 | DLG_EFFECT_CLASS_ELLIPSE | [0x01000000] ellipse is an option
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


EMBOSSDLGPARAMS

typedef struct _EMBOSSDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDepth;
L_UINT uDirection;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} EMBOSSDLGPARAMS, L_FAR * LPEMBOSSDLGPARAMS;

The EMBOSSDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalEmboss function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uDirection | The direction of the apparent light source. Possible values are:
 | Value | Meaning
 | EMBOSS_N | [0]
 | EMBOSS_NE | [1]
 | EMBOSS_E | [2]
 | EMBOSS_SE | [3]
 | EMBOSS_S | [4]
 | EMBOSS_SW | [5]
 | EMBOSS_W | [6]
 | EMBOSS_NW | [7]

uDepth | The apparent depth of this three-dimensional effect. Valid values are 0 to 1000, with 500 as normal.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_EMBOSS_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


EROSIONFILTERDLGPARAMS

typedef struct _EROSIONFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LPBINARYFLT pFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} EROSIONFILTERDLGPARAMS, L_FAR * LPEROSIONFILTERDLGPARAMS;

The EROSIONFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalErosionFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
pFilter | Address of a variable to be updated with the binary filter selected in the dialog. Erosion filters shrink black objects in the image. The effect is biased in the specified direction. Possible values are:
 | Value
 | BFLT_EROSION_OMNI
 | BFLT_EROSION_HORZ
 | BFLT_EROSION_VERT
 | BFLT_EROSION_DIAG
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

 | Value | Meaning
 | DLG_EROSIONFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


FILECONVERSIONDLGPARAMS

typedef struct _FILECONVERSIONDLGPARAMS
{
L_UINT uStructSize ;
L_UINT uOverwrite ;
LPFILESAVEFORMAT pFileFormats;
L_INT32 nFileFormatsCount;
L_TCHAR szDestPath [ L_MAXPATH ];
L_TCHAR szAddSrcFilePath [ L_MAXPATH ];
L_BOOL bUseLogReport;
L_BOOL bRemoveSrcFile;
L_BOOL bShowFullPath;
L_BOOL bUseOriginalFolder;
L_TCHAR L_FAR * pszSrcFileList;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} FILECONVERSIONDLGPARAMS, L_FAR* LPFILECONVERSIONDLGPARAMS ;

The FILECONVERSIONDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogFile::DoModalFileConversion function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
uOverwrite | Value that indicates how to handle the existence of a file that has the same converted file name, extension, and path, when converting a file. Possible values are:
 | Value | Meaning
 | DLG_FILECONVERSION_OVERWRITE_ASK | [0] A message box appears each time and asks what to do with this file. It also lets you abort all conversion operations.
 | DLG_FILECONVERSION_OVERWRITE_SKIP | [1] Skip converting this file and go on to the next file.
 | DLG_FILECONVERSION_OVERWRITE_REPLACE | [2] Replace the existing file with the new file.
 | DLG_FILECONVERSION_OVERWRITE_RENAME | [3] Give the new file a different file name from the existing file.
pFileFormats | Pointer to an array of FILESAVEFORMAT structures that will indicate which formats, BPP, and subformats to include in the File Conversion Dialog. The order of the elements in the array indicates the order the items will appear in the FileType drop-down list box. Pass NULL to have LEADTOOLS add all supported formats, BPP, and subformats to the File Conversion Dialog. For more information on available file types, refer to Customizing File Format Lists.
nFileFormatsCount | The number of the items in pFileFormats. This member is ignored if pFileFormats is NULL. For more information on available file types, refer to Customizing File Format Lists.
szDestPath | Character string that contains the path to the folder in which to save the converted file(s).
szAddSrcFilePath | Character string that contains the path to the folder in which the files to be converted are located.

bUseLogReport | Flag that indicates whether to view the Log Report after the conversion operation is finished. Possible values are:
 | Value | Meaning
 | TRUE | Display the Log Report after the conversion process.
 | FALSE | Do not display the Log Report after the conversion process.
bRemoveSrcFile | Flag that indicates whether to remove the source file(s) after the conversion operation is finished. Possible values are:
 | Value | Meaning
 | TRUE | Remove the source file after the conversion process has completed.
 | FALSE | Do not remove the source file after the conversion process has completed.
bShowFullPath | Flag that indicates whether to view the file name and path in the source File(s) list or just the file name. Possible values are:
 | Value | Meaning
 | TRUE | Show the file name and the path in the Source Files List.
 | FALSE | Show only the file name in the Source Files List.
bUseOriginalFolder | Flag that indicates whether to save the converted file(s) in the same folder as the source file(s). Possible values are:
 | Value | Meaning
 | TRUE | Save the converted file(s) in the same folder as the source file(s).
 | FALSE | Do not save the converted file(s) in the same folder as the source file(s).

pszSrcFileList

Pointer to a buffer that contains the full path and name of each file to include in the "Source File(s)" list of the FileConversion dialog box. Each file name should end with NULL, and the last file name should end with an extra NULL. For example: ‘

For example: "C:\images\MyFile.cmp\0D:\images\MyFile2.cmp\0C:\images\MyOtherFile.cmp\0E:\MyLastFile.cmp\0\0".

uDlgFlags

User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

Value

Meaning

DLG_FILECONVERSION_SHOW_CONTEXTHELP

[0x00000001] Dialog should contain a context sensitive help icon.

DLG_FILECONVERSION_SHOW_LOADOPTIONS

[0x00000004] Dialog should have an “Options” button.

DLG_FILECONVERSION_SHOW_FILEINFO

[0x00000008] Dialog should have a “File Info” button.

DLG_FILECONVERSION_SHOW_PREVIEW_PAGES

[0x00000010] Dialog should have “<” [image] and “>” [image] buttons.

DLG_FILECONVERSION_SHOW_RESIZE

[0x00000020] Dialog should have a “Resize” button.

DLG_FILECONVERSION_SHOW_ROTATE

[0x00000040] Dialog should have a “Rotate” button.

DLG_FILECONVERSION_SHOW_NAMINGTEMPLATE

[0x00000080] Dialog should have a “Naming Template” button.

DLG_FILECONVERSION_SHOW_OVERWRITE

[0x00000100] Dialog should have the “Overwrite” combo.

DLG_FILECONVERSION_SHOW_OVERWRITE_ASK

[0x00000200] Dialog should have the “Ask” option in the “Overwrite” combo.

DLG_FILECONVERSION_SHOW_OVERWRITE_SKIP

[0x00000400] Dialog should have the “Skip” option in the “Overwrite” combo.

DLG_FILECONVERSION_SHOW_OVERWRITE_REPLACE

[0x00000800] Dialog should have the “Replace” option in the “Overwrite” combo.

DLG_FILECONVERSION_SHOW_OVERWRITE_RENAME

[0x00001000] Dialog should have the “Rename” option in the “Overwrite” combo.

DLG_FILECONVERSION_SHOW_OVERWRITE_ALL

[0x00001E00] Dialog should have all overwrite options in the “Overwrite” combo.

DLG_FILECONVERSION_SHOW_ADD

[0x00002000] Dialog should have an “Add” [image] button.

DLG_FILECONVERSION_SHOW_ADDFOLDER

[0x00004000] Dialog should have an “Add Folder” button [image].

DLG_FILECONVERSION_SHOW_REMOVE

[0x00008000] Dialog should have a “Remove” button [image].

DLG_FILECONVERSION_SHOW_SELECTALL

[0x00010000] Dialog should have a “Select All” button [image].

DLG_FILECONVERSION_SHOW_DELETEORIGINAL

[0x00020000] Dialog should have a “Delete/Overwrite File(s)” check box in the “Source File(s)” group.

DLG_FILECONVERSION_SHOW_NEWFORMATSUPDATES

[0x00040000] Dialog should have the new formats updates for version 14.5.

pfnHelpCallback

Ignored.

pHelpCallBackUserData

Ignored.


FILESASSOCIATIONDLGPARAMS

typedef struct _FILESASSOCIATIONDLGPARAMS
{
L_UINT uStructSize ;
L_TCHAR L_FAR* pszFormats;
L_TCHAR L_FAR* pszSelectedExt;
L_TCHAR L_FAR* pszServerAppName ;
L_UINT32 uDlgFlags ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} FILESASSOCIATIONDLGPARAMS, L_FAR* LPFILESASSOCIATIONDLGPARAMS ;

The FILESASSOCIATIONDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogFile::DoModalFilesAssociation function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pszFormats | Pointer to a buffer containing pairs of null-terminated strings, which represent the filter(s) to be associated or de-associated and the filter pattern. The last string in the buffer must be terminated by two NULL characters.
 | The first string in each pair is the display string that describes the filter (for example, "LEAD"), and the second string specifies the filter pattern (for example, "*.CMP").
 | To specify multiple filter patterns for a single display string, use a semicolon to separate the patterns (for example, "*.JPG;*.JPEG").
 | If pszFormats is NULL, the dialog box shows the default image file formats that LEADTOOLS support.
 | Set this member to initialize the dialog.
 | For example, this member could be set to the following:
 | "LEAD (*.cmp)\0*.cmp\0DICOM (*.dic)\0Windows Bitmap (*.bmp)\0*.bmp\0\0"
pszSelectedExt | Pointer to a buffer, containing null-terminated strings that represent the filters to initially be checked and associated. The last string in the buffer must be terminated by two NULL characters. Set this member to initialize the dialog. This member can be NULL.
 | For example, this member could be set to the following:
 | "*.cmp\0*.dic\0*.bmp\0\0"
pszServerAppName | Pointer to a buffer containing a null-terminated string. This represents the “Programmatic Identifier” to be associated with the selected image type(s) when successfully exiting this dialog. The dialog assumes that the server application name has already been created before calling the dialog. For more information about creating a file association programmatic identifier, refer to the Microsoft Windows Win32 SDK documentation.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_FILESASSOCIATION_SHOW_CONTEXTHELP | [0x00000001] Dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


FILESAVEFORMAT

typedef struct _FILESAVEFORMAT
{
L_UINT uStructSize;
L_INT32 nFormat;
L_INT nBppCount;
LPFILESAVEFORMATBPP pFileSaveFormatBpp;
} FILESAVEFORMAT, L_FAR* LPFILESAVEFORMAT ;

The FILESAVEFORMAT structure contains information used to customize the formats, BPP options, and subformats included in the dialogs displayed by the LDialogFile::DoModalFileConversion and LDialogFile::DoModalSave functions.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
nFormat | Value that indicates the file format type to include in the Save dialog or the File Conversion dialog. For a list of possible values, refer to Customizing File Format Lists.
nBppCount | Number of items in pFileSaveFormatBpp. This must be set only if the format in the nFormat contains more than one BPP option. For information on the available BPP, refer to Customizing File Format Lists.
pFileSaveFormatBpp | Pointer to an array of FILESAVEFORMATBPP structures that will contain the BPP options and sub-formats to include.


FILESAVEFORMATBPP

typedef struct _FILESAVEFORMATBPP
{
L_UINT uStructSize ;
L_INT32 nFormatBpp ;
L_UINT uSubFormats ;
} FILESAVEFORMATBPP, L_FAR* LPFILESAVEFORMATBPP ;

The FILESAVEFORMATBPP structure contains information used to customize the BPP options, and subformats included in the dialogs displayed by the LDialogFile::DoModalFileConversion and LDialogFile::DoModalSave functions.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
nFormatBpp | Value that represents the BPP options to be included in the dialog. The available options depend on the format specified in the nFormat member of the FILESAVEFORMAT structure. For more information on the available formats, BPP options and sub format options, refer to Customizing File Format Lists.
uSubFormats | Value that represents the sub-format options to be included in the dialog. The available options depend on the format specified in the nFormat member of the FILESAVEFORMAT structure and on the BPP options set in the nFormatBpp member of FILESAVEFORMATBPP. For more information on the available formats, BPP options and sub format options, refer to Customizing File Format Lists. Sub-format options may be "OR"ed to include more than one sub-format. To include more than one sub-format option, combine the options with a bitwise OR.

Comments

The values in this structure depend on the value of the nFormat member set in the FILESAVEFORMAT structure. For example, if FILESAVEFORMAT.nFormat is DLG_FF_SAVE_LEAD, then the possible BPP values are 1, 8, and 24. If you want to inlcude only the 8 and 24 BPP options, then you must allocate two FILESAVEFORMATBPP structures. Set the nFormatBpp member of one of the structures to 8 and set the nFormatBpp member of the other structure to 24. Set the corresponding uSubFormats member of each structure to the desired value. If you only want to include the progressive option, then set the uSubFormats member in each structure to DLG_FF_SAVE_SUB_CMP_PROGRESSIVE.


FREEHANDWAVEDLGPARAMS

typedef struct _FREEHANDWAVEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT L_FAR *pAmplitudes;
L_UINT uAmplitudesCount;
L_UINT uScale;
L_UINT uWaveLen;
L_INT nAngle;
COLORREF crFill;
L_UINT uFreeHandWaveFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} FREEHANDWAVEDLGPARAMS, L_FAR * LPFREEHANDWAVEDLGPARAMS;

The FREEHANDWAVEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalFreeHandWave function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
pAmplitudes | Array of integers that represent the wave amplitudes. The toolkit will allocate this buffer for the user on function return. You should free this pointer using the GlobalFree function unless you called the LDialogBase::EnableAutoProcess.
uAmplitudesCount | Number of items in the pAmplitudes array.
uScale | Factor to be multiplied with the pAmplitudes array values. The values range from 1 to 1000.
uWaveLen | Value that represents the wave length, if DIS_PER is set in the uFreeHandWaveFlags member. If DIS_FRQ is set in uFreeHandWaveFlags, this value is the number of repeated waves. Possible values range from 0 – 100.
nAngle | Wave rotation angle, in hundredths of a degree. Possible values range from –36000 to 36000. Negative values rotate the wave counter-clockwise; positive values rotate the wave clockwise.
crFill | The COLORREF value that specifies the color used to fill any areas exposed as the result of the rotation. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uFreeHandWaveFlags | Flags that indicate how exposed areas will be handled and the type of data in uWaveLen. You can use a bitwise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle exposed areas:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill exposed areas.
 | FILL_NOCHG | [0x0002] do not change or process exposed areas.
 | The following are the flags that indicate the type of information in the uWaveLen member:
 | Value | Meaning
 | DIS_PER | [0x0000] The value in uWaveLen is a wavelength given as a percent of the bitmap dimensions.
 | DIS_FRQ | [0x0010] The value in uWaveLen is the frequency, or the number of times the wave repeats.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_FREEHANDWAVE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


GAMMAADJUSTMENTDLGPARAMS

typedef struct _GAMMAADJUSTMENTDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nRedValue;
L_INT nGreenValue;
L_INT nBlueValue;
L_BOOL bAllChannels;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} GAMMAADJUSTMENTDLGPARAMS, L_FAR * LPGAMMAADJUSTMENTDLGPARAMS ;

The GAMMAADJUSTMENTDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalGammaAdjustment function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to be "zoom to fit".
 | FALSE | Set the initial zoom level to be "Normal (1:1)".
nRedValue | A variable to be updated with the Red value entered in the dialog. Set this to indicate the initial value for the dialog. Possible values range from 10 to 500.
nGreenValue | A variable to be updated with the Green value entered in the dialog. Set this to indicate the initial value for the dialog. Possible values range from 10 to 500.
nBlueValue | A variable to be updated with the Blue value entered in the dialog. Set this to indicate the initial value for the dialog. Possible values range from 10 to 500.
bAllChannels | Flag that indicates whether the "All Channels" check box is checked in the dialog. Set this to initialize the dialog. Possible values are:
 | Value | Meaning
 | TRUE | The "All Channels" check box is checked.
 | FALSE | The "All Channels" check box is not checked.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_GAMMAADJUSTMENT_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
 | DLG_GAMMAADJUSTMENT_FORCELINKCHANNELS | [0x00000010] Force the dialog to apply "Link \all channels" at all times.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


GAUSSIANBLURDLGPARAMS

typedef struct _GAUSSIANBLURDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nRadius;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} GAUSSIANBLURDLGPARAMS, L_FAR * LPGAUSSIANBLURDLGPARAMS;

The GAUSSIANBLURDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalGaussianBlur function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nRadius | Value that indicates the radius of the neighborhood to consider when blurring a pixel. Possible values range from 1 - 1000.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_GAUSSIANBLUR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


GETDIRECTORYDLGPARAMS

typedef struct _GETDIRECTORYDLGPARAMS
{
L_UINT uStructSize;
L_TCHAR L_FAR *pszDirectory;
L_INT nBuffSize;
L_TCHAR L_FAR *pszFilter;
L_INT nFilterIndex;
L_TCHAR L_FAR *pszTitle;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} GETDIRECTORYDLGPARAMS, L_FAR * LPGETDIRECTORYDLGPARAMS;

The GETDIRECTORYDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogFile::DoModalGetDirectory function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pszDirectory | Character string containing the directory name. Set this to initialize the dialog to open a particular directory. This will be filled with the user's directory selection.
nBuffSize | Size of the pszDirectory buffer. This should be at least L_MAXPATH bytes.
pszFilter | Character string containing filter string pairs. The last string must be terminated by two NULL characters. The first string in each pair is the display string and describes the filter (ex. "LEAD"). The second string in each pair is the filter pattern (ex. "*.CMP"). Use a ";" between patterns to specify multiple filter patterns (ex. "*.CMP;*.JPEG;*.JPG"). This is the same as would be used in the Microsoft SDK structure OPENFILENAME. (If you pass NULL, the file type combo box will disappear in the dialog).
nFilterIndex | An integer variable to be updated with the filter index that the user has selected in the dialog box. The first filter has an index of 1.
pszTitle | Character sting containing the title for the dialog box.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


GIFWEBTUNERDLGPARAMS

typedef struct _GIFWEBTUNERDLGPARAMS
{
L_UINT uStructSize ;
pBITMAPHANDLE pBitmap ;
L_BOOL bZoomToFit ;
COLORREF crTransparent ;
L_INT nPalType ;
L_BOOL bAddWindowsColors ;
L_INT nDitherType ;
L_INT nBitsPerPixel ;
L_INT nNumOfColors ;
L_INT nTransparencyTolerance ;
L_BOOL bTransparent ;
L_BOOL bInterlaced ;
L_UINT32 uDlgFlags ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} GIFWEBTUNERDLGPARAMS, L_FAR* LPGIFWEBTUNERDLGPARAMS ;

The GIFWEBTUNERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogWeb::DoModalGIFWebTuner function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

crTransparent | The color that will be transparent in the GIF image. This color is in RGB.
nPalType | Value that indicates the type of palette to use. Possible values are:
 | Value | Meaning
 | CRF_FIXEDPALETTE | Use the fixed palette
 | CRF_OPTIMIZEDPALETTE | Create an optimized palette

bAddWindowsColors | Flag that indicates whether to use the identity palette. Possible values are:
 | Value | Meaning
 | TRUE | Use the identity palette.
 | FALSE | Do not use the identity palette.

nDitherType | Flag that indicates the dithering type to use. Possible values are:
 | Value | Meaning
 | CRF_NODITHERING | Use nearest color matching
 | CRF_FLOYDSTEINDITHERING | Use Floyd-Steinberg dithering
 | CRF_STUCKIDITHERING | Use Stucki dithering
 | CRF_BURKESDITHERING | Use Burkes dithering
 | CRF_SIERRADITHERING | Use Sierra dithering
 | CRF_STEVENSONARCEDITHERING | Use Stevenson Arce dithering
 | CRF_JARVISDITHERING | Use Jarvis dithering
 | CRF_ORDEREDDITHERING | Use ordered dithering, which is faster but less accurate than other dithering methods.
 | CRF_CLUSTEREDDITHERING | Use clustered dithering

nBitsPerPixel | The bits per pixel for the tuned bitmap. Valid values are: 1, 2, 3, 4, 5, 6, 7, and 8 bpp.
nNumOfColors | When nBitsPerPixel is 8 or less, this value represents the maximum number of colors that the PNG image can have. Possible values range from 2 to 256. Using fewer colors results in smaller files, but also reduces the quality of the image.
nTransparencyTolerance | A tolerance value that determines how close a pixel's RGB value should be to the specified transparent color to be considered transparent. A tolerance of 0 means only the transparent color specified in crTransparent will be considered transparent. Specifying larger numbers will make more of the image transparent. Valid values are from 0 to 255.
bTransparent | Flag that indicates whether the GIF image will have a transparent color. Possible values are:
 | Value | Meaning
 | TRUE | The GIF image will have a transparent color.
 | FALSE | The GIF image will not have a transparent color.
bInterlaced | Flag that indicates whether the GIF image will be interlaced. Possible values are:
 | Value | Meaning
 | TRUE | The GIF image will be interlaced.
 | FALSE | The GIF image will not be interlaced.

uDlgFlags | User interface flags for this dialog which determines the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_GIFWEBTUNER_SHOW_CONTEXTHELP | [0x00000001] Dialog should contain a context sensitive help icon.
 | DLG_GIFWEBTUNER_SHOW_TOOL_COLORPICKER | [0x00000008] Show the Color button.
 | DLG_GIFWEBTUNER_SHOW_ADDWINDOWCOLOR | [0x00000020] Show the Add Window colors check box.
 | DLG_GIFWEBTUNER_SHOW_TRANSPARENCY | [0x00000040] Show the Transparency group of controls.
 | DLG_GIFWEBTUNER_SHOW_INFORMATION | [0x00000080] Show the Information group of controls.
 | DLG_GIFWEBTUNER_SHOW_OPTIONS | [0x00000100] Show the Options group of controls.
 | DLG_GIFWEBTUNER_SHOW_EXPORT | [0x00000200] Show the Export button instead of the OK button.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


GRADIENTDLGPARAMS

typedef struct _GRADIENTDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_UINT uStyle;
COLORREF crStart;
COLORREF crEnd;
L_UINT uSteps;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} GRADIENTDLGPARAMS, L_FAR * LPGRADIENTDLGPARAMS;

The GRADIENTDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogEffect::DoModalGetGradient function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
uStyle | The gradient style. For a list of possible values, refer to Effect Gradient Styles .
crStart | The starting color of the gradient. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
crEnd | The ending color of the gradient. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uSteps | The number of steps in the gradient.
uDlgFlags | User interface flags for this dialog, which determines the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_GRADIENT_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
 | DLG_GRADIENT_AUTOPREVIEW | [0x00000004] auto preview when options change
 | DLG_GRADIENT_STARTCOLOR | [0x00000008] start color is an option
 | DLG_GRADIENT_ENDCOLOR | [0x00000010] end color is an option
 | DLG_GRADIENT_STEPS | [0x00000020] gradient steps is an option
 | DLG_GRADIENT_NO_TREEVIEW | [0x00000040] DO NOT use TreeView
 | DLG_GRADIENT_CLASS_LINEAR | [0x00000080] linear gradients are an option
 | DLG_GRADIENT_CLASS_ANGULAR | [0x00000100] angular gradients are an option
 | DLG_GRADIENT_CLASS_RECTANGULAR | [0x00000200] rectangular gradients are an option
 | DLG_GRADIENT_CLASS_ELLIPTICAL | [0x00000400] elliptical gradients are an option
 | DLG_GRADIENT_CLASS_CONICAL | [0x00000800] conical gradients are an option
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


GRADIENTFILTERDLGPARAMS

typedef struct _GRADIENTFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LPSPATIALFLT pFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} GRADIENTFILTERDLGPARAMS, L_FAR * LPGRADIENTFILTERDLGPARAMS;

The GRADIENTFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalGradientFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

pFilter | Address of a variable to be updated with the spatial filter selected in the dialog. Gradient filters detect edges. All pixels not on the detected edges are changed to black. Choose the appropriate value for the direction of the effect. Possible values are:
 | Value
 | FLT_GRADIENT_N
 | FLT_GRADIENT_NE
 | FLT_GRADIENT_E
 | FLT_GRADIENT_SE
 | FLT_GRADIENT_S
 | FLT_GRADIENT_SW
 | FLT_GRADIENT_W
 | FLT_GRADIENT_NW
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_GRADIENTFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


GRAYSCALEDLGPARAMS

typedef struct _GRAYSCALEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nRedFactor;
L_INT nGreenFactor;
L_INT nBlueFactor;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} GRAYSCALEDLGPARAMS, L_FAR * LPGRAYSCALEDLGPARAMS;

The GRAYSCALEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalGrayScale function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nRedFactor | Value that represents the percentage or weight given to the red value of each pixel in the bitmap. Possible values are (0-1000), nRedFactor + nGreenFactor + nBlueFactor must equal 1000.
nGreenFactor | Value that represents the percentage or weight given to the green value of each pixel in the bitmap. Possible values are (0-1000), nRedFactor + nGreenFactor + nBlueFactor must equal 1000.
nBlueFactor | Value that represents the percentage or weight given to the blue value of each pixel in the bitmap. Possible values are (0-1000), nRedFactor + nGreenFactor + nBlueFactor must equal 1000.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_GRAYSCALE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


HALFTONEDLGPARAMS

typedef struct _HALFTONEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_INT nAngle;
L_UINT32 uType;
LPDLGBITMAPLIST pBitmapList ;
L_UINT L_FAR* puInListIndexes ;
L_INT32 nInCount ;
HBITMAPLIST hList ;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} HALFTONEDLGPARAMS, L_FAR * LPHALFTONEDLGPARAMS;

The HALFTONEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalHalftone function. After the user closes the dialog box, information about the user's selections are updated in this structure.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uDim | Value that indicates the size of the grain. Possible values range form 2 to 100. This value is ignored if uType is HT_VIEW or HT_PRINT. If uType is not HT_VIEW or HT_PRINT, uDim should be >= 1.
nAngle | The angle of rotation, expressed in hundredths of degrees. Possible values range from -36000 to 36000. A value of 0 produces a horizontal halftone pattern. This parameter specifies the number of degrees to change the pattern. Positive values rotate the pattern clockwise; negative values rotate the pattern counterclockwise. This value is ignored if uType is HT_RECT, HT_CIRC, HT_RAND or HT_USERDEF.
uType | Value that represents the halftone pattern. Possible values are:
 | Value | Meaning
 | HT_PRINT | [0x0000] Halftone for printing
 | HT_VIEW | [0x0001] Halftone for display
 | HT_RECT | [0x0002] Rectangular halftone
 | HT_CIRC | [0x0003] Circular halftone
 | HT_ELLIPS | [0x0004] Elliptical halftone
 | HT_RAND | [0x0005] Random halftone
 | HT_LINEAR | [0x0006] Linear halftone
 | HT_USERDEF | [0x0007] User defined halftone
pBitmapList | Pointer to a DLGBITMAPLIST structure that contains the bitmaps to halftone. Setting this before calling the LDialogColor::DoModalHalfTone function will initialize the "Available List" in the dialog. The pszDescription member of the DLGBITMAPLIST structure will be used to fill the "Available List" field(s) and the pszFileName member of the DLGBITMAPLIST structure is ignored. If NULL the HT_USERDEF and controls releated to this option will be hidden.
puInListIndexes | An array of indexes into the pBitmapList array of bitmaps. (The value in puInListIndexes[i] is the index into the pBitmapList array.) The bitmaps referenced by the indexes in this list will be included in the "Selected List" when the Halftone Dialog is first displayed. If you pass NULL "Selected List" will be empty.
nInCount | Number of items in the puInListIndexes array.
hList | Handle to the list of bitmaps which will contains all the bitmaps in the "Selected List" and that will be used in half toning if the HT_USERDEF option is selected, this member should be created throw CreateBitmapList before calling the dialog, and it is the user responsibility to destroy this list. Note:This member will be ignored if the pBitmapList value NULL.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_HALFTONE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


HISTOCONTRASTDLGPARAMS

typedef struct _HISTOCONTRASTDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nChange;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} HISTOCONTRASTDLGPARAMS, L_FAR * LPHISTOCONTRASTDLGPARAMS;

The HISTOCONTRASTDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalHistoContrast function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to be "Normal (1:1)".

nChange | Amount to change the contrast. Possible values range from -1000 to 1000. Negative numbers decrease the contrast and positive numbers increase the contrast.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_HISTOCONTRAST_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


HISTOGRAMDLGPARAMS

typedef struct _HISTOGRAMDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_UINT32 L_FAR *puMasterHistogram;
L_UINT uMasterHistogramLen;
L_UINT32 L_FAR *puRedHistogram;
L_UINT uRedHistogramLen;
L_UINT32 L_FAR *puGreenHistogram;
L_UINT uGreenHistogramLen;
L_UINT32 L_FAR *puBlueHistogram;
L_UINT uBlueHistogramLen;
COLORREF crMasterPen;
COLORREF crRedChannelPen;
COLORREF crGreenChannelPen;
COLORREF crBlueChannelPen;
L_UINT uHistogramFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} HISTOGRAMDLGPARAMS, L_FAR * LPHISTOGRAMDLGPARAMS;

The HISTOGRAMDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImage::DoModalHistogram function.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
puMasterHistogram | An array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this member to initialize the master histogram chart. If this member is NULL, then the pBitmap member must be valid and vice versa. The puMasterHistogram, puRedHistogram, puGreenHistogram and puBlueHistogram members must all be valid to be considered as the source of the histogram tables.
uMasterHistogramLen | Length of the puMasterHistogram array, in bytes.
puRedHistogram | An array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this member to initialize the red histogram chart. If this member is NULL, then the pBitmap member must be valid and vice versa. The puMasterHistogram, puRedHistogram, puGreenHistogram and puBlueHistogram members must all be valid to be considered as the source of the histogram tables.
uRedHistogramLen | Length of the puRedHistogram array, in bytes.
puGreenHistogram | An array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this member to initialize the green histogram chart. If this member is NULL, then the pBitmap member must be valid and vice versa. The puMasterHistogram, puRedHistogram, puGreenHistogram and puBlueHistogram members must all be valid to be considered as the source of the histogram tables.
uGreenHistogramLen | Length of the puGreenHistogram array, in bytes.
puBlueHistogram | An array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this member to initialize the blue histogram chart. If this member is NULL, then the pBitmap member must be valid and vice versa. The puMasterHistogram, puRedHistogram, puGreenHistogram and puBlueHistogram members must all be valid to be considered as the source of the histogram tables.
uBlueHistogramLen | Length of the puBlueHistogram array, in bytes.
crMasterPen | COLORREF value that specifies the plotting color for the master channel histogram chart. To use this member, the DLG_HISTOGRAM_USERPENCOLORS flag must be set in uDlgFlags. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
crRedChannelPen | COLORREF value that specifies the plotting color for the red channel histogram chart. To use this member, the DLG_HISTOGRAM_USERPENCOLORS flag must be set in uDlgFlags. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
crGreenChannelPen | COLORREF value that specifies the plotting color for the green channel histogram chart. To use this member, the DLG_HISTOGRAM_USERPENCOLORS flag must be set in uDlgFlags. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
crBlueChannelPen | COLORREF value that specifies the plotting color for the blue channel histogram chart. To use this member, the DLG_HISTOGRAM_USERPENCOLORS flag must be set in uDlgFlags. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uHistogramFlags | Histogram flags, used to determine which bits to use when calculating the histogram. This value is used only if the bitmap is 12 or 16-bit grayscale. Possible values are:
 | Value | Meaning
 | HIST_LOWHIGH_BITS | [0x0000] Use only the bits between the LowBit and HighBit values stored in the bitmap handle.
 | HIST_ALL_BITS | [0x0010] Use all the bits for calculating the histogram (the LowBit and HighBit values from the bitmap handle are ignored.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_HISTOGRAM_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
 | DLG_HISTOGRAM_SHOW_VIEWSTYLE | [0x00000002] dialog should contain the view styles option.
 | DLG_HISTOGRAM_USERPENCOLORS | [0x00000004] flag that indicates that the crMaster, crRedChannel, crGreenChannel, and crBlueChannel members are valid
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


HOLEPUNCHREMOVEDLGPARAMS

typedef struct _HOLEPUNCHREMOVEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
HOLEPUNCH HolePunchRemove;
COLORREF crWhiteArea;
COLORREF crBlackArea;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} HOLEPUNCHREMOVEDLGPARAMS, L_FAR * LPHOLEPUNCHREMOVEDLGPARAMS ;

The HOLEPUNCHREMOVEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogDocument::DoModalHolePunchRemove function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

HolePunchRemove

HOLEPUNCH structure that LEADTOOLS uses to remove hole punches. You should set the pBitmapRegion member of the HOLEPUNCH structure to a valid address and fill the uBitmapStructSize member with the proper value.

Note: It's the user's responsibility to free the region in pBitmapRegion, if there is one, using L_FreeBitmapRgn.

crWhiteArea

Color used to fill the removed white areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

crBlackArea

Color used to fill the removed black areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

uDlgFlags

User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

Value

Meaning

DLG_HOLEPUNCHREMOVE_SHOW_CONTEXTHELP

[0x00000002] dialog should contain a context sensitive help icon.

pfnHelpCallback

Ignored.

pHelpCallBackUserData

Ignored.


HTMLMAPPERDLGPARAMS

typedef struct _HTMLMAPPERDLGPARAMS
{
L_UINT uStructSize ;
pBITMAPHANDLE pBitmap ;
L_BOOL bZoomToFit ;
LPDLGHISTORYLIST pURLEntries ;
LPDLGHISTORYLIST pALTEntries ;
LPDLGHISTORYLIST pTargetEntries ;
LPDLGHISTORYLIST pRolloverEntries ;
L_UINT32 uDlgFlags ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} HTMLMAPPERDLGPARAMS, L_FAR* LPHTMLMAPPERDLGPARAMS ;

The HTMLMAPPERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogWeb::DoModalHTMLMapper function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
pURLEntries | Pointer to an array of DLGHISTORYLIST structures that contains URLs displayed in the URL History Combo Box in the dialog. These URLs may be associated with a specific area and activated when the user clicks on that area. This member can be NULL. Set this member to initialize the dialog. This member will be updated with the value entered by the user in the dialog.
pALTEntries | Pointer to an array of DLGHISTORYLIST structures that contain information used in the ALT history combo box in the dialog. The ALT history combo box may be used to enter a short description of a specific area. Some browsers can display this text as a tool tip when the user hovers over the area. This parameter can be NULL. Set this member to initialize the dialog. This member will be updated with the value entered by the user in the dialog.
pTargetEntries | Pointer to an array of DLGHISTORYLIST structures that contain information used in the Target history combo box in the dialog. The information in the Target combo box can be used to determine how the new page should be displayed. This parameter can be NULL. Set this member to initialize the dialog. This member will be updated with the value entered by the user in the dialog.
pRolloverEntries | Pointer to an array of DLGHISTORYLIST structures that contain information used in the Rollover history combo box in the dialog. This parameter can be NULL. Set this member to initialize the dialog. This member will be updated with the value entered by the user in the dialog.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_HTMLMAPPER_SHOW_CONTEXTHELP | [0x00000001] Dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


HUEDLGPARAMS

typedef struct _HUEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nAngle;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} HUEDLGPARAMS, L_FAR * LPHUEDLGPARAMS;

The HUEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalHue function. After the user closes the dialog box, information about the user's selections are updated in this structure.

Member | Description
nSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
nAngle | Amount to change the hue, in degrees. Possible values range from -180 to 180.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_HUE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


IMPRESSIONISTDLGPARAMS

typedef struct _IMPRESSIONISTDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uHorzDim;
L_UINT uVertDim;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} IMPRESSIONISTDLGPARAMS, L_FAR * LPIMPRESSIONISTDLGPARAMS;

The IMPRESSIONISTDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalImpressionist function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uHorzDim | Horizontal effect size, in pixels. Possible values range from 1 – 100.
uVertDim | Vertical effect size, in pixels. Possible values range from 1 – 100.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_IMPRESSIONIST_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


INTENSITYDETECTDLGPARAMS

typedef struct _INTENSITYDETECTDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uLow;
L_UINT uHigh;
L_UINT uChannel ;
COLORREF crInColor ;
COLORREF crOutColor ;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} INTENSITYDETECTDLGPARAMS, L_FAR * LPINTENSITYDETECTDLGPARAMS ;

The INTENSITYDETECTDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalIntensityDetect function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uLow | Lowest intensity to detect. Possible values range from 0 – 255.
uHigh | Highest intensity to detect. Possible values range from 0 – 255.
uChannel | A value that indicates the channel to process. Possible values are:
 | Value
 | IDB_CHANNEL_MASTER
 | IDB_CHANNEL_RED
 | IDB_CHANNEL_GREEN
 | IDB_CHANNEL_BLUE
crInColor | The color used to fill those pixels having an intensity value between uLow and uHigh. This parameter has no effect if the uChannel parameter is set to IDB_CHANNEL_MASTER. If for example the uChannel parameter is set to IDB_CHANNEL_RED, then the red component of crInColor will be used to fill the pixels having a red component value between uLow and uHigh.
crOutColor | The color used to fill those pixels having an intensity value less than uLow or greater than uHigh. This parameter has no effect if the uChannel parameter is IDB_CHANNEL_MASTER. If for example the uChannel parameter is set to IDB_CHANNEL_RED, then the red component of crOutColor will be used to fill the pixels having a red component value less than uLow or greater than uHigh.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_INTENSITYDETECT_SHOW_CONTEXTHELP | 0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


INVERTEDTEXTDLGPARAMS

typedef struct _INVERTEDTEXTDLGPARAMS
{
L_UINT32 uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
INVERTEDTEXT InvertedText;
COLORREF crWhiteArea;
COLORREF crBlackArea;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} INVERTEDTEXTDLGPARAMS, L_FAR * LPINVERTEDTEXTDLGPARAMS;

The INVERTEDTEXTDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogDocument::DoModalInvertedText function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

InvertedText

INVERTEDTEXT structure that LEADTOOLS uses to find and correct inverted text. You should set the pBitmapRegion member of the INVERTEDTEXT structure to a valid address and fill the uBitmapStructSize member with the proper value.

Note: It's the user's responsibility to free the region in pBitmapRegion, if there is one, using L_FreeBitmapRgn.

crWhiteArea

Color used to fill the inverted white areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

crBlackArea

Color used to fill the inverted black areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

uDlgFlags

User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

Value

Meaning

DLG_INVERTEDTEXT_SHOW_CONTEXTHELP

[0x00000002] dialog should contain a context sensitive help icon.

pfnHelpCallback

Ignored.

pHelpCallBackUserData

Ignored.


JPEGWEBTUNERDLGPARAMS

typedef struct _JPEGWEBTUNERDLGPARAMS
{
L_UINT uStructSize ;
pBITMAPHANDLE pBitmap ;
L_BOOL bZoomToFit ;
L_INT nQuality ;
L_INT nFormat ;
L_BOOL bProgressive ;
L_BOOL bWithStamp ;
L_UINT32 uDlgFlags ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} JPEGWEBTUNERDLGPARAMS, L_FAR* LPJPEGWEBTUNERDLGPARAMS ;

The JPEGWEBTUNERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogWeb::DoModalJPEGWebTuner function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
nStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
bQuality | Value that indicates the degree of loss in the compression process. Valid values are between 2 (highest quality) and 255 (smallest file size) For more information, refer to the Compression Quality Factors .

nFormat | Value that indicates the sub format to use. Possible values are:
 | Value | Meaning
 | FILE_JFIF | JPEG File Interchange Format with YUV 4:4:4 color space and Lossless
 | FILE_LEAD1JFIF | JPEG File Interchange Format with YUV 4:2:2 color space
 | FILE_LEAD2JFIF | JPEG File Interchange Format with YUV 4:1:1 color space

bProgressive | Flag that indicates whether to save the JPEG image as a progressive image. Progressive images are useful when transmitting images, because the first part of the file contains the full dimensions of the image. Therefore, in a paint-while-load routine, you can display the whole image, and then progressively clarify it as the rest of the file loads. Possible values are:
 | Value | Meaning
 | TRUE | Save the JPEG image as a progressive image.
 | FALSE | Do not save the JPEG image as a progressive image.
bWithStamp | Flag that indicates whether to save the image with a stamp. A stamp is a small thumbnail image saved in addition to the normal image in same file. Possible values are:
 | Value | Meaning
 | TRUE | Save the image with a stamp.
 | FALSE | Save the image without a stamp.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_JPEGWEBTUNER_SHOW_CONTEXTHELP | [0x00000001] Dialog should contain a context sensitive help icon.
 | DLG_JPEGWEBTUNER_SHOW_INFORMATION | [0x00000008] Show the Information group of controls.
 | DLG_JPEGWEBTUNER_SHOW_SAVETHUMBNAIL | [0x00000010] Show the Save Thumbnail control.
 | DLG_JPEGWEBTUNER_SHOW_OPTIONS | [0x00000100] Show the Options group of controls.
 | DLG_JPEGWEBTUNER_SHOW_EXPORT | [0x00000200] Show the Export button instead of the OK button.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


LAPLACIANFILTERDLGPARAMS

typedef struct _LAPLACIANFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LPSPATIALFLT pFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} LAPLACIANFILTERDLGPARAMS, L_FAR * LPLAPLACIANFILTERDLGPARAMS;

The LAPLACIANFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalLaplacianFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

pFilter | Address of a variable to be updated with the spatial filter selected in the dialog. Laplacian filters apply Laplacian line detection. There are three omnidirectional filters and three bi-directional ones. All pixels not on the detected lines are changed to black. Possible values are:
 | Value
 | FLT_LAPLACE_1
 | FLT_LAPLACE_2
 | FLT_LAPLACE_3
 | FLT_LAPLACE_DIAG
 | FLT_LAPLACE_HORZ
 | FLT_LAPLACE_VERT
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_LAPLACIANFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


LINEREMOVEDLGPARAMS

typedef struct _LINEREMOVEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LINEREMOVE LineRemove;
COLORREF crModification;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} LINEREMOVEDLGPARAMS, L_FAR * LPLINEREMOVEDLGPARAMS;

The LINEREMOVEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogDocument::DoModalLineRemove function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

LineRemove

LINEREMOVE structure that LEADTOOLS uses to perform the line removal operation. You should set the pBitmapRegion member of the LINEREMOVE structure to a valid address and fill the uBitmapStructSize member with the proper value.

Note: It's the user's responsibility to free the region in pBitmapRegion, if there is one, using L_FreeBitmapRgn.

crModification

Color used to fill the modified areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

uDlgFlags

User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

Value

Meaning

DLG_LINEREMOVE_SHOW_CONTEXTHELP

[0x00000002] dialog should contain a context sensitive help icon.

pfnHelpCallback

Ignored.

pHelpCallBackUserData

Ignored.


LINESEGMENTFILTERDLGPARAMS

typedef struct _LINESEGMENTFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LPSPATIALFLT pFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} LINESEGMENTFILTERDLGPARAMS, L_FAR * LPLINESEGMENTFILTERDLGPARAMS;

The LINESEGMENTFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalLineSegmentFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

pFilter | Address of a variable to be updated with the spatial filter selected in the dialog. The Line Segment filter applies line segment line detection. You can use this filter to find line discontinuities in an image. All pixels not on the detected line segments are changed to black. Choose the appropriate value for horizontal, vertical, left-to-right diagonal, or right-to-left diagonal detection. Possible values are:
 | Value
 | FLT_LINESEG_HORZ
 | FLT_LINESEG_VERT
 | FLT_LINESEG_LTOR
 | FLT_LINESEG_RTOL
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_LINESEGMENTFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


LOCALHISTOEQUALIZEDLGPARAMS

typedef struct _LOCALHISTOEQUALIZEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nWidth;
L_INT nHeight;
L_INT nXExtention;
L_INT nYExtention;
L_UINT uType;
L_UINT uSmooth;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} LOCALHISTOEQUALIZEDLGPARAMS, L_FAR * LPLOCALHISTOEQUALIZEDLGPARAMS;

The LOCALHISTOEQUALIZEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalLocalHistoEqualize function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
nWidth | The width of the local histogram equalizer rectangle, in pixels. The width should be more than zero.
nHeight | The height of the local histogram equalizer rectangle, in pixels. The height should be more than zero.
nXExtention | The extension of the width of the local histogram equalizer rectangle, in pixels.
nYExtention | The extension of the height of the local histogram equalizer rectangle, in pixels.
uType | Flag that indicates which color space to equalize. Possible values are:
 | Value | Meaning
 | RGB_SPACE | [0x0001] Linearize the number of pixels across the RGB color space. (Separated channels)
 | YUV_SPACE | [0x0002] Linearize the number of pixels across the YUV color space. (Best results)
 | GRAY_SPACE | [0x0004] Linearize the number of pixels per gray level in a gray level representation of the image.

uSmooth | Size of the area to be used when smoothing the edges between localized blocks. Possible values range from 0 to 7, but if nHeight is less than or equal to 7 then the maximum value for this item is nHeight - 1.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_LOCALHISTOEQUALIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


MAXFILTERDLGPARAMS

typedef struct _MAXFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} MAXFILTERDLGPARAMS, L_FAR * LPMAXFILTERDLGPARAMS;

The MAXFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalMaxFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
uDim | Dimensions of the neighborhood used for filtering (uDim x uDim), in pixels. Possible values range from 2 to 100.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_MAXFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


MEDIANDLGPARAMS

typedef struct _MEDIANDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} MEDIANDLGPARAMS, L_FAR * LPMEDIANDLGPARAMS;

The MEDIANDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalMedian function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
uDim | Size of the neighborhood used to determine the median. It is the length, in pixels, of one side of a square. Possible values range from 2 to 100.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_MEDIAN_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


MINFILTERDLGPARAMS

typedef struct _MINFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} MINFILTERDLGPARAMS, L_FAR * LPMINFILTERDLGPARAMS;

The MINFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalMinFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uDim | Dimensions of the neighborhood used for filtering (uDim x uDim), in pixels. Possible values range from 2 to 100.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_MINFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


MOSAICDLGPARAMS

typedef struct _MOSAICDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} MOSAICDLGPARAMS, L_FAR * LPMOSAICDLGPARAMS;

The MOSAICDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalMosaic function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uDim | Dimensions of the tiles (uDim x uDim), in pixels. Possible values range from 2 to 64.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_MOSAIC_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


MOTIONBLURDLGPARAMS

typedef struct _MOTIONBLURDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_INT nAngle;
L_BOOL bUnidirectional;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} MOTIONBLURDLGPARAMS, L_FAR * LPMOTIONBLURDLGPARAMS ;

The MOTIONBLURDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalMotionBlur function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
uDim | Size of the blur effect, in pixels. Possible values range from 3 - 100.
nAngle | Value that represents the direction of the motion, in hundredths of a degree (+/-). Possible values range from -36000 to 36000. If the value is positive, the motion will be clockwise. If the value is negative, the motion is counter-clockwise.
bUnidirectional | Flag that indicates whether the motion extends only in one direction. Possible values are:
 | Value | Meaning
 | TRUE | The motion blur effect is only in the direction specified in nAngle.
 | FALSE | The motion blur effect is along the line with that angle. For example, if nAngle is 0, the blur effect will occur in the 0 degree direction and the 180 degree direction.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_MOTIONBLUR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


MULTIPLYDLGPARAMS

typedef struct _MULTIPLYDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uFactor;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} MULTIPLYDLGPARAMS, L_FAR * LPMULTIPLYDLGPARAMS ;

The MULTIPLYDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalMultiply function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uFactor | The multiplication factor by which to multiply the bitmap. The factor used is equal to uFactor / 100. Possible values are:
 | If you are working with: | possible values are:
 | 16-bit grayscale images. | 0 - 6553500
 | 12-bit images. | 0 - 409500
 | images of other bits per pixel | 0 - 25500

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_MULTIPLY_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


OILIFYDLGPARAMS

typedef struct _OILIFYDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} OILIFYDLGPARAMS, L_FAR * LPOILIFYDLGPARAMS;

The OILIFYDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalOilify function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uDim | Dimensions of the neighborhood used for filtering (uDim x uDim), in pixels.Possible values range from 2 to 255.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_OILIFY_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


OPENDLGFILEDATA

typedef struct _OPENDLGFILEDATA
{
L_UINT uStructSize;
L_TCHAR szFileName [L_MAXPATH];
pBITMAPHANDLE pBitmap;
pBITMAPHANDLE pThumbnail;
pFILEINFO pFileInfo;
L_INT nPageNumber;
L_INT nPasses;
L_BOOL bLoadCompressed;
L_BOOL bLoadRotated ;
OPENDLGOPTIONS FileOptions ;
} OPENDLGFILEDATA, L_FAR* LPOPENDLGFILEDATA ;

The OPENDLGFILEDATA structure is allocated by the LDialogFile::DoModalOpen function based on the number of files selected when the user presses Open the open button. After the user presses Open the open button, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
szFileName | Character string containing the name of the file to open.
pBitmap | Ignored.
pThumbnail | Pointer to the bitmap handle to be filled with the file's thumbnail bitmap if DLG_OPEN_GENERATETHUMBNAIL is set in the uDlgFlags member of the OPENDLGPARAMS structure. You should free this pointer using the GlobalFree function only if you set the DLG_OPEN_GENERATETHUMBNAIL flag.
pFileInfo | Pointer to a FILEINFO structure to be updated with information entered by the user through the dialog. You should free this pointer when it is no longer needed using the GlobalFree function.
nPageNumber | Number of the page to load.
nPasses | The number of passes (scans through the image) when loading or saving a progressive JPEG, LEAD CMP, or PNG files. (This value is also used when loading, but not when saving, interlaced PNG files.). Possible values when loading a progressive file:
 | Any positive number | Do the specified number of times.
 | CALLBACK_ONCE | Do only one pass at the end.
 | CALLBACK_WHEN_MEANINGFUL | Do only significant scans. (This is usually the best option).
 | CALLBACK_ALWAYS | Do the number of passes stored in the file.

bLoadCompressed | Value that indicates the status of the Load Compressed Box and therefore whether to load the image in compressed form. If possible, load the file as a 1 bit RLE compressed image. For more information, refer to Speeding Up 1-Bit Documents .
bLoadRotated | Value that indicates the status of the Load Rotated Box and whether you wish to load the image in a rotated state, if the image was saved with a rotated view perspective in the file. For more information, refer to LOADFILEOPTION .Flags Possible values are:
 | Value | Meaning
 | TRUE | The Load Rotated Box is checked and the image will be loaded in a rotated state.
 | FALSE | The Load Rotated Box is not checked and the image will not be loaded in a rotated state.
FileOptions | An OPENDLGOPTIONS structure to be updated with information entered by the user through the dialog.


OPENDLGOPTIONS

typedef struct _OPENDLGOPTIONS
{
L_UINT uStructSize ;
L_INT nType ;
LPVOID pOptions ;
} OPENDLGOPTIONS, L_FAR* LPOPENDLGOPTIONS ;

The OPENDLGOPTIONS structure provides information on load options, entered through the dialog, to the OPENDLGFILEDATA structure.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
nType | Constant that indicates the type of file being opened. The type of file being opened also indicates the type of structure pointed to by pOptions. For a list of possible values, refer to Formats of Input Files .
pOptions | Pointer to a structure to be updated with information entered by the user through the dialog. The type of file, specified in the nType member indicates the type of structure pointed to by pOptions. For more information about the possible structures, refer to OPENDLGOPTIONS_PCD, OPENDLGOPTIONS_PDF, OPENDLGOPTIONS_RASTERMISC, OPENDLGOPTIONS_METAFILE, OPENDLGOPTIONS_VECTORMISC, OPENDLGOPTIONS_DXF, and OPENDLGOPTIONS_PLT. You should free this pointer using the GlobalFree function. If the file type selected in the dialog does not correspond to one of the structures listed above, this member will be updated with NULL.


OPENDLGOPTIONS_DXF

typedef struct _OPENDLGOPTIONS_DXF
{
L_UINT uStructSize;
L_INT nViewportWidth;
L_INT nViewportHeight;
L_UINT uViewportMode;
L_TCHAR szFont [LF_FACESIZE];
L_UINT32 uAutoCADColorScheme;
} OPENDLGOPTIONS_DXF, L_FAR* LPOPENDLGOPTIONS_DXF ;

The OPENDLGOPTIONS_DXF structure provides load option information for DXF and DWG file formats. This information will be used by the LFileSettings::SetViewport2D , and LFileSettings::SetAutoCADFilesColorScheme functions.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
nViewportWidth | New viewport width.
nViewportHeight | New viewport height.
uViewportMode | New viewport mode. Possible values are:
 | Value | Meaning
 | L2D_USE_BEST | Fit the drawing into the current viewport width and height. Final image size is less than or equal to viewport size.
 | L2D_USE_WIDTH | Use the current viewport width. Calculate the new height, preserving the aspect ratio. Final image size has the same width as the current viewport width, with the height less than or equal to the current viewport height.
 | L2D_USE_HEIGHT | Use the current viewport height. Calculate the new width, preserving the aspect ratio. Final image size has the same height as the current viewport height, with the width less than or equal to the current viewport width.
 | L2D_USE_WIDTH_HEIGHT | Use both the width and the height (stretch the image if necessary). Final image size has the same width and height as the current viewport size.

szFont | A string that specifies the typeface name of the font to use in vector font mapping. The length of this string must not exceed 32 characters.
uAutoCADColorScheme | Flag that indicates the background color to use when loading AutoCAD files. Possible values are:
 | Value | Meaning
 | AUTOCADFILES_COLORSCHEME_BLACKONWHITE | [0] Set the background color as white and the default pen as black.
 | AUTOCADFILES_COLORSCHEME_WHITEONBLACK | [1] Set the background color as black and the default pen as white.

Comments

The LDialogFile::DoModalOpen function displays the Open dialog and gets options for the LFile::LoadFile function. After the user presses the Open button on the dialog, one or more OPENDLGFILEDATA structures will be updated based on the file(s) selected in the Open dialog. The OPENDLGFILEDATA.FileOptions member is an OPENDLGOPTIONS structure. This structure is updated based on the file type(s) selected in the Open dialog. If the OPENDLGOPTIONS.nType member is FILE_DXF, FILE_DXF_R13, or FILE_DWG the OPENDLGOPTIONS.pOptions member will point to an OPENDLGOPTIONS_DXF structure, which is, in turn, updated with the load options.


OPENDLGOPTIONS_METAFILE

typedef struct _OPENDLGOPTIONS_METAFILE
{
L_UINT uStructSize ;
L_INT nXResolution ;
L_INT nYResolution ;
} OPENDLGOPTIONS_METAFILE, L_FAR* LPOPENDLGOPTIONS_METAFILE ;

The OPENDLGOPTIONS_METAFILE structure provides load option information for Metafile file formats. This information will be used in the LFileSettings::SetWMFResolution function.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
uXResolution | The X-resolution value that LEADTOOLS is to use when loading images from WMF files. Load the file at the corresponding DPI.
uYResolution | The Y-resolution value that LEADTOOLS is to use when loading images from WMF files. Load the file at the corresponding DPI.

Comments

The LDialogFile::DoModalOpen function displays the Open dialog and gets options for the LFile::LoadFile function. After the user presses the Open button on the dialog, one or more OPENDLGFILEDATA structures will be updated based on the file(s) selected in the Open dialog. The OPENDLGFILEDATA.FileOptions member is an OPENDLGOPTIONS structure. This structure is updated based on the file type(s) selected in the Open dialog. If the OPENDLGOPTIONS.nType member is FILE_EMF or FILE_WMF, the OPENDLGOPTIONS.pOptions member will point to an OPENDLGOPTIONS_METAFILE structure, which is, in turn, updated with the Metafile load options.


OPENDLGOPTIONS_PCD

typedef struct _OPENDLGOPTIONS_PCD
{
L_UINT uStructSize ;
L_INT nResolution ;
} OPENDLGOPTIONS_PCD, L_FAR* LPOPENDLGOPTIONS_PCD ;

The OPENDLGOPTIONS_PCD structure provides load option information for PCD file formats. This information will be used by the LFileSettings::SetPCDResolution function.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
nResolution | Integer indicating the resolution to load or use in conversion. Possible values are:
 | Value | Meaning
 | L_PCD_BASE_OVER_64 | [0] Resolution 64 x 96
 | L_PCD_BASE_OVER_16 | [1] Resolution 128 x 192
 | L_PCD_BASE_OVER_4 | [2] Resolution 256 x 384
 | L_PCD_BASE | [3] Resolution 512 x 768
 | L_PCD_4BASE | [4] Resolution 1024 x 1536
 | L_PCD_16BASE | [5] Resolution 2048 x 3072

Comments

The LDialogFile::DoModalOpen function displays the Open dialog and gets options for the LFile::LoadFile function. After the user presses the Open button on the dialog, one or more OPENDLGFILEDATA structures will be updated based on the file(s) selected in the Open dialog. The OPENDLGFILEDATA.FileOptions member is an OPENDLGOPTIONS structure. This structure is updated based on the file type(s) selected in the Open dialog. If the OPENDLGOPTIONS.nType member is FILE_PCD, the OPENDLGOPTIONS.pOptions member will point to an OPENDLGOPTIONS_PCD structure, which is, in turn, updated with the PCD load options.


OPENDLGOPTIONS_PDF

typedef struct _OPENDLGOPTIONS_PDF
{
L_UINT uStructSize;
FILEPDFOPTIONS PDFOptions;
} OPENDLGOPTIONS_PDF, L_FAR* LPOPENDLGOPTIONS_PDF ;

The OPENDLGOPTIONS_PDF structure provides load option information for PDF file formats. This information will be used by the LFileSettings::SetPDFOptions function.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
PDFOptions | FILEPDFOPTIONS structure that contains the load options for a PDF file.

Comments

The LDialogFile::DoModalOpen function displays the Open dialog and gets options for the LFile::LoadFile function. After the user presses the Open button on the dialog, one or more OPENDLGFILEDATA structures will be updated based on the file(s) selected in the Open dialog. The OPENDLGFILEDATA.FileOptions member is an OPENDLGOPTIONS structure. This structure is updated based on the file type(s) selected in the Open dialog. If the OPENDLGOPTIONS.nType member is FILE_PDF, the OPENDLGOPTIONS.pOptions member will point to an OPENDLGOPTIONS_PDF structure, which is, in turn, updated with the PDF load options.


OPENDLGOPTIONS_PLT

typedef struct _OPENDLGOPTIONS_PLT
{
L_UINT uStructSize ;
L_INT nViewportWidth ;
L_INT nViewportHeight ;
L_UINT uViewportMode ;
L_TCHAR szFont [ LF_FACESIZE ] ;
FILEPLTOPTIONS PLTOptions ;
} OPENDLGOPTIONS_PLT, L_FAR* LPOPENDLGOPTIONS_PLT ;

The OPENDLGOPTIONS_PLT structure
 provides load option information for PLT file formats. This information
 will be used by the LFileSettings::SetViewMode2D
 , LFileSettings::SetViewMode2D , and/or
 LFileSettings::SetPLTOptions  functions.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
nViewportWidth | New viewport width.
nViewportHeight | New viewport height.
uViewportMode | New viewport mode. Possible values are:
 | Value | Meaning
 | L2D_USE_BEST | Fit the drawing into the current viewport width and height. Final image size is less than or equal to viewport size.
 | L2D_USE_WIDTH | Use the current viewport width. Calculate the new height, preserving the aspect ratio. Final image size has the same width as the current viewport width, with the height less than or equal to the current viewport height.
 | L2D_USE_HEIGHT | Use the current viewport height. Calculate the new width, preserving the aspect ratio. Final image size has the same height as the current viewport height, with the width less than or equal to the current viewport width.
 | L2D_USE_WIDTH_HEIGHT | Use both the width and the height (stretch image if necessary). Final image size has the same width and height as the current viewport size.
szFont | A string that specifies the typeface name of the font to use in vector font mapping. The length of this string must not exceed 32 characters.
PLTOptions | A FILEPLTOPTIONS structure that contains the load options for a PLT file.

Comments

The LDialogFile::DoModalOpen function displays the Open dialog and gets options for the LFile::LoadFile function. After the user presses the Open button on the dialog, one or more OPENDLGFILEDATA structures will be updated based on the file(s) selected in the Open dialog. The OPENDLGFILEDATA.FileOptions member is an OPENDLGOPTIONS structure. This structure is updated based on the file type(s) selected in the Open dialog. If the OPENDLGOPTIONS.nType member is FILE_PLT, the OPENDLGOPTIONS.pOptions member will point to an OPENDLGOPTIONS_PLT structure, which is, in turn, updated with the PLT load options.


OPENDLGOPTIONS_RASTERMISC

typedef struct _OPENDLGOPTIONS_RASTERMISC
{
L_UINT uStructSize ;
L_UINT32 uXResolution ;
L_UINT32 uYResolution ;
} OPENDLGOPTIONS_RASTERMISC, L_FAR* LPOPENDLGOPTIONS_RASTERMISC ;

The OPENDLGOPTIONS_RASTERMISC structure provides load option information for FlashPix, CMW, JBIG or JPEG2000 file formats. This information will be used by the LFileSettings::SetLoadResolution function.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
uXResolution | Width of the bitmap to load.
uYResolution | Height of the bitmap to load.

Comments

The LDialogFile::DoModalOpen function displays the Open dialog and gets options for the LFile::LoadFile function. After the user presses the Open button on the dialog, one or more OPENDLGFILEDATA structures will be updated based on the file(s) selected in the Open dialog. The OPENDLGFILEDATA.FileOptions member is an OPENDLGOPTIONS structure. This structure is updated based on the file type(s) selected in the Open dialog. If the OPENDLGOPTIONS.nType member is one of the following:

FILE_FPX | FILE_FPX_SINGLE_COLOR
FILE_FPX_JPEG | FILE_FPX_JPEG_QFACTOR
FILE_CMW | FILE_JBIG
FILE_JP2 | FILE_J2K

The OPENDLGOPTIONS.pOptions member will point to an OPENDLGOPTIONS_RASTERMISC structure, which is, in turn, updated with the appropriate load options.


OPENDLGOPTIONS_VECTORMISC

typedef struct _OPENDLGOPTIONS_VECTORMISC
{
L_UINT uStructSize ;
L_INT nViewportWidth ;
L_INT nViewportHeight ;
L_UINT uViewportMode ;
L_TCHAR szFont [LF_FACESIZE] ;
} OPENDLGOPTIONS_VECTORMISC, L_FAR* LPOPENDLGOPTIONS_VECTORMISC ;

The OPENDLGOPTIONS_VECTORMISC structure provides load option information for certain vector file formats. This information will be used by the LFileSettings::SetViewport2D , LFileSettings::SetViewport2D functions.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
nViewportWidth | New viewport width.
nViewportHeight | New viewport height.
uViewportMode | New viewport mode. Possible values are:
 | Value | Meaning
 | L2D_USE_BEST | Fit the drawing into the current viewport width and height. Final image size is less than or equal to the viewport size.
 | L2D_USE_WIDTH | Use the current viewport width. Calculate the new height, preserving the aspect ratio. Final image size has the same width as the current viewport width, with the height less than or equal to the current viewport height.
 | L2D_USE_HEIGHT | Use the current viewport height. Calculate the new width, preserving the aspect ratio. Final image size has the same height as the current viewport height, with the width less than or equal to the current viewport width.
 | L2D_USE_WIDTH_HEIGHT | Use both the width and the height (stretch the image if necessary). Final image size has the same width and height as the current viewport size.
szFont | A string that specifies the typeface name of the font to use in vector font mapping. The length of this string must not exceed 32 characters.

Comments

The LDialogFile::DoModalOpen function displays the Open dialog and gets options for the LFile::LoadFile function. After the user presses the Open button on the dialog, one or more OPENDLGFILEDATA structures will be updated based on the file(s) selected in the Open dialog. The OPENDLGFILEDATA.FileOptions member is an OPENDLGOPTIONS structure. This structure is updated based on the file type(s) selected in the Open dialog. If the OPENDLGOPTIONS.nType member is one of the following:

FILE_DWF | FILE_CGM
FILE_CMX | FILE_PCL
FILE_PCT | FILE_VECTOR_DUMP
FILE_DRW | FILE_INTERGRAPH_VECTOR
FILE_SHP | FILE_GERBER
FILE_SVG | FILE_VWPG

The OPENDLGOPTIONS.pOptions member will point to an OPENDLGOPTIONS_VECTORMISC structure, which is, in turn, updated with the appropriate load options.


OPENDLGPARAMS

typedef struct _OPENDLGPARAMS
{
L_UINT uStructSize ;
LPOPENDLGFILEDATA pFileData ;
L_INT nNumOfFiles ;
L_BOOL bPreviewEnabled ;
L_BOOL bShowLoadOptions ;
OPENDLGFILELOADCALLBACK
  pfnFileLoadCallback ;
L_VOID L_FAR * pFileLoadCallbackUserData ;
L_UINT32 uDlgFlags ;
LTCOMMDLGHELPCB  pfnHelpCallback ;
L_VOID L_FAR * pHelpCallBackUserData ;
} OPENDLGPARAMS, L_FAR* LPOPENDLGPARAMS ;

The OPENDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogFile::DoModalOpen function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pFileData | Pointer an array of OPENDLGFILEDATA structures, where each item contains a single image file name and its related loading data. You should free this pointer using the GlobalFree function after freeing the allocated data within the structure. Therefore, for all selected files, you must free any allocated data within each structure of the array and then free this pointer.
nNumOfFiles | Number of image file(s) selected in the Open dialog.
bPreviewEnabled | Value that indicates whether to show the Preview window, if DLG_OPEN_SHOW_PREVIEW is set in uDlgFlags. Possible values are:
 | Value | Meaning
 | TRUE | View the preview window.
 | FALSE | Hide the preview window.
bShowLoadOptions | Flag that indicates whether to show the load options when pressing the Open button on the dialog. Possible values are:
 | Value | Meaning
 | TRUE | Show the load options when pressing the Open button, and check the Show Load Options check box. This will occur whether or not DLG_OPEN_SHOW_LOADOPTIONS is set in uDlgFlags.
 | FALSE | Don’t show the load options when pressing the Open button, and uncheck the Show Load Options check box.

pfnFileLoadCallback | Ignored.
pFileLoadCallbackUserData | Ignored.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_OPEN_SHOW_CONTEXTHELP | [0x00000001] Dialog should contain a context sensitive help icon.
 | DLG_OPEN_SHOW_PROGRESSIVE | [0x00000002] The File Load Options will contain the Progressive Passes option.
 | DLG_OPEN_SHOW_MULTIPAGE | [0x00000004] The File Load Options will contain the Multipage options.
 | DLG_OPEN_SHOW_LOADROTATED | [0x00000008] The File Load Options will contain the Load Rotated option.
 | DLG_OPEN_SHOW_LOADCOMPRESSED | [0x00000010] The File Load Options will contain the load compressed option.
 | DLG_OPEN_SHOW_FILEINFO | [0x00000020] Dialog should have the FileInfo button.
 | DLG_OPEN_SHOW_PREVIEW | [0x00000040] Dialog should have a preview window to preview the selected file image.
 | DLG_OPEN_SHOW_DELPAGE | [0x00000080] Dialog should have a delete button to delete a page in a multi-page image file.
 | DLG_OPEN_SHOW_LOADOPTIONS | [0x00000100] Dialog should contain the "Show Load Options" check box
 | DLG_OPEN_VIEWTOTALPAGES | [0x00010000] Show the total number of pages on the file info dialog.
 | DLG_OPEN_ENABLESIZING | [0x00020000] Dialog should contain the Enable Sizing option.
 | DLG_OPEN_NOFILEMUSTEXIST | [0x00040000] Do not verify that the file exists.
 | DLG_OPEN_NOPATHMUSTEXIST | [0x00080000] Do not verify that the path exists.
 | DLG_OPEN_USEFILESTAMP | [0x00100000] Dialog should preview the stamp in the image file, if it contains a stamp and the DLG_OPEN_SHOW_PREVIEW flag is set.
 | DLG_OPEN_LOADBITMAP | [0x00200000] Load the image when the Open button is pressed and put it in pBitmap.
 | DLG_OPEN_GENERATETHUMBNAIL | [0x00400000] Generate the image thumbnail or create one when the Open button is pressed and put it in pThumbnail.
 | DLG_OPEN_ALWAYSLOADCOMPRESSED | [0x00800000] Load all files compressed. The OPENDLGFILEDATA. bLoadCompressed member will be initialized with TRUE and will be updated with TRUE for all files loaded in the Open dialog, unless the settings are changed in the Load Options dialog. The Load Options dialog is displayed when the Open button is pressed in the Open dialog if the OPENDLGPARAMS. bShowLoadOptions member is set to TRUE, or the "Show Options on Open" check box has been checked in the Open dialog.
 | DLG_OPEN_ALWAYSLOADROTATED | [0x01000000] Load all files in their rotated state, if the image was saved with a rotated view perspective in the file. The OPENDLGFILEDATA. bLoadRotated member will be initialized with TRUE and will be updated with TRUE for all files loaded in the Open dialog, unless the settings are changed in the Load Options dialog. The Load Options dialog is displayed when the Open button is pressed in the Open dialog if the OPENDLGPARAMS. bShowLoadOptions member is set to TRUE, or the "Show Options on Open" check box has been checked in the Open dialog.
PfnHelpCallback | Ignored.
PHelpCallBackUserData | Ignored.


PICTURIZEDLGPARAMS

typedef struct _PICTURIZEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_TCHAR L_FAR * pszPath;
L_INT nCellWidth;
L_INT nCellHeight;
L_UINT uResize;
L_INT nBitmapWidth;
L_INT nBitmapHeight;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} PICTURIZEDLGPARAMS, L_FAR * LPPICTURIZEDLGPARAMS;

The PICTURIZEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalPicturize function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
pszPath | A string that contains the full path to the directory that contains the images. Only images from this directory will be used. Images in any subdirectories will NOT be used.
nCellWidth | A variable to be updated with the width of the images used to reconstruct the image. Possible values range from 1 to nBitmapWidth.
nCellHeight | A variable to be updated with the height of the images used to reconstruct the image. Possible values range from 1 to nBitmapHeight.
uResize | Flags that control the behavior of the process. Possible values are given below. These values can be combined using OR (|).
 | Value | Meaning
 | PICTURIZE_RESIZE | [0x0002] Resize the images that are not the required size.
 | PICTURIZE_RESAMPLE | [0x0004] Resample the images that are not the required size.
 | PICTURIZE_ONCE | [0x0010] Use the image only once throughout the process.
 | PICTURIZE_EQUALUSAGE | [0x0020] Use all images equally. That is, before an image will be used twice, all other images must be used at least once.
 | PICTURIZE_BESTFIT | [0x0040] Images will be resized to fit the image if the bitmap width or height is not a multiple of nCellWidth/nCellHeight.
 | 0 | The picturize process will not use any of the above flags. It will: reload all the files each time you look for a rectangle to substitute and ignore all the images present in pszPath if their size is not nCellWidth x nCellHeight

nBitmapWidth | A variable to be updated with the maximum possible cell width. The value must be greater than zero.
nBitmapHeight | A variable to be updated with the maximum possible cell height. The value must be greater than zero.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_PICTURIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


PIXELATEDLGPARAMS

typedef struct _PIXELATEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uCellWidth;
L_UINT uCellHeight;
L_UINT uOpacity;
POINT ptCenter;
L_UINT uPixelateFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} PIXELATEDLGPARAMS, L_FAR * LPPIXELATEDLGPARAMS;

The PIXELATEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalPixelate function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
uCellWidth | Value that represents the width of a rectangular cell, the number of rectangular cells present across the width of the bitmap, the number of cells around the center point of a circular cell, or the length in degrees of each cell around the center point of a circular cell, based on the flags set in uPixelateFlags.
uCellHeight | Value that represents the height of a rectangular cell, the number of rectangular cells present across the height of the bitmap, the number of cells along the radius of a circular cell, or the length of each cell along the radius of a circular cell, based on the flags set in uPixelateFlags.
uOpacity | Value that represents how transparent the cells are, compared to the original pixels. This is a percentage. Possible values are 0 – 100. (0 is total opacity and 100 is total transparency.)
ptCenter | Point that represents the center of revolution when circular cells are used. This parameter will be ignored if PIX_RECT is set in uPixelateFlags. . This center point must be defined inside the bitmap or inside the region, if the bitmap has a region.
uPixelateFlags | Flags that indicate the values used to fill the cells, the shape of the cells, and what type of data is in the uCellWidth and uCellHeight parameters. You can use a bitwise OR (|) to specify one flag from each group.
 | The following are the flags indicate what values will be used to fill the cells:
 | Value | Meaning
 | PIX_MAX | [0x0000] Fill the cell with the maximum pixel value of the cell.
 | PIX_MIN | [0x0001] Fill the cell with the minimum pixel value of the cell.
 | PIX_AVR | [0x0002] Fill the cell with the average pixel value of the cell.
 | The following are the flags that indicate the shape of the cells:
 | Value | Meaning
 | PIX_RECT | [0x0000] Divide the image into rectangular cells. If this flag used, the uCellWidth value contains the cell width in pixels or the number of cells across the width of the bitmap. uCellHeight contains the cell height in pixels or the number of cells across the height of the bitmap.
 | PIX_RAD | [0x0010] Divide the image into circular cells, centered on CenterPt. If this flag is used, the uCellWidth value determines the angular component of the cell, and uCellHeight determines the radial component of the cell. Please note that PIX_RAD must be OR-ed with PIX_WPER or PIX_WFRQ.
 | The following are the flags the indicate what information is contained in the uCellWidth and uCellHeight parameters:
 | Value | Meaning
 | PIX_WFRQ | [0x0100] Indicates the number of cells along the width of the bitmap if rectangular cells are used. If circular cells are used, this indicates the number of cells present around the center of the circle.
 | PIX_WPER | [0x0200] Indicates the width, in pixels of a cell, if rectangular cells are used. If circular cells are used, this indicates the number of degrees in each cell around the center point.
 | PIX_HFRQ | [0x0400] Indicates the number of cells along the height of the bitmap if rectangular cells are used. If circular cells are used, this indicates the number of cells present along the radius of the circle.
 | PIX_HPER | [0x0800] Indicates the height, in pixels of a cell, if rectangular cells are used. If circular cells are used, this indicates the radial length of each cell along the radius.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_PIXELATE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


PNGWEBTUNERDLGPARAMS

typedef struct _PNGWEBTUNERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
COLORREF crTransparent;
L_INT nPalType ;
L_BOOL bAddWindowsColors ;
L_INT nDitherType ;
L_INT nBitsPerPixel ;
L_INT nNumOfColors ;
L_INT nTransparencyTolerance ;
L_BOOL bTransparent ;
L_UINT32 uDlgFlags ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} PNGWEBTUNERDLGPARAMS, L_FAR* LPPNGWEBTUNERDLGPARAMS ;

The PNGWEBTUNERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogWeb::DoModalPNGWebTuner function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
crTransparent | The color that will be transparent in the PNG image. This color is in RGB.

nPalType | Value that indicates the type of palette to use. Possible values are:
 | Value | Meaning
 | CRF_FIXEDPALETTE | Use the fixed palette.
 | CRF_OPTIMIZEDPALETTE | Create an optimized palette.

bAddWindowsColors | Flag that indicates whether to use the identity palette. Possible values are:
 | Value | Meaning
 | TRUE | Use the identity palette.
 | FALSE | Do not use the identity palette.

nDitherType | Flag that indicates the dithering type to use. Possible values are:
 | Value | Meaning
 | CRF_NODITHERING | Use nearest color matching
 | CRF_FLOYDSTEINDITHERING | Use Floyd-Steinberg dithering
 | CRF_STUCKIDITHERING | Use Stucki dithering
 | CRF_BURKESDITHERING | Use Burkes dithering
 | CRF_SIERRADITHERING | Use Sierra dithering
 | CRF_STEVENSONARCEDITHERING | Use Stevenson Arce dithering
 | CRF_JARVISDITHERING | Use Jarvis dithering
 | CRF_ORDEREDDITHERING | Use ordered dithering, which is faster but less accurate than other dithering methods.
 | CRF_CLUSTEREDDITHERING | Use clustered dithering
nBitsPerPixel | The bits per pixel for the tuned bitmap. Valid values are: 1, 4, 8, 24, and 32 bpp.
nNumOfColors | When nBitsPerPixel is 8 or less (the image is using indexed colors), this value represents the maximum number of colors that the PNG image can have. Possible values range from 2 to 256. Indexed PNG images can have from 2 colors to 256 colors. Using fewer colors results in smaller files, but also reduces the quality of the image.
nTransparencyTolerance | A tolerance value that determines how close a pixel's RGB value should be to the specified transparent color to be considered transparent. A tolerance of 0 means only the transparent color specified in crTransparent will be considered transparent. Specifying larger numbers will make more of the image transparent. Valid values are from 0 to 255.

bTransparent | Flag that indicates whether the PNG image will have a transparent color. Possible values are:
 | Value | Meaning
 | TRUE | The PNG image will have a transparent color.
 | FALSE | The PNG image will not have a transparent color.

 | Note: not all web browsers are capable of presenting transparency for PNG images (especially for 24-bit PNG images).
uDlgFlags | User interface flags for this dialog which determines the layout and action of the dialog. This dialog doesn’t support the Auto-Process feature; however it makes up for that by allowing the user to export tuned images directly from the dialog. This is done by setting the DIALOG_PNGWEBTUNER_SHOW_EXPORT flag. Possible values are:
 | Value | Meaning
 | DLG_PNGWEBTUNER_SHOW_CONTEXTHELP | [0x00000001] Dialog should contain a context sensitive help icon.
 | DLG_PNGWEBTUNER_SHOW_TOOL_COLORPICKER | [0x00000008] Show the color button in the toolbar.
 | DLG_PNGWEBTUNER_SHOW_INFORMATION | [0x00000010] Show the Information group of controls.
 | DLG_PNGWEBTUNER_SHOW_ADDWINDOWCOLOR | [0x00000020] Show the Add Window Colors check box.
 | DLG_PNGWEBTUNER_SHOW_TRANSPARENCY | [0x00000040] Show the Transparency group of controls.
 | DLG_PNGWEBTUNER_SHOW_EXPORT | [0x00000080] Show the Export button instead of the OK button.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


POLARDLGPARAMS

typedef struct _POLARDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
COLORREF crFill;
L_UINT uPolarFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} POLARDLGPARAMS, L_FAR * LPPOLARDLGPARAMS;

The POLARDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalPolar function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

crFill | The COLORREF value that specifies the color used to fill exposed areas. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uPolarFlags | Flags that indicate how exposed areas will be handled and the conversion type. You can use a bitwise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle exposed areas:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill exposed areas.
 | FILL_NOCHANGE | [0x0002] do not change exposed areas.
 | The following are the flags that indicate the conversion type:
 | Value | Meaning
 | CART_TO_POL | [0x0000] convert the image from Cartesian (rectangular) coordinates to polar coordinates.
 | POL_TO_CART | [0x0010] convert the image from polar coordinates to Cartesian (rectangular) coordinates.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_POLAR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


POSTERIZEDLGPARAMS

typedef struct _POSTERIZEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nLevels;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} POSTERIZEDLGPARAMS, L_FAR * LPPOSTERIZEDLGPARAMS;

The POSTERIZEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalPosterize function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nLevels | The number of color levels to use. Valid values are 2 - 64.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_POSTERIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


PREWITTFILTERDLGPARAMS

typedef struct _PREWITTFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LPSPATIALFLT pFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} PREWITTFILTERDLGPARAMS, L_FAR * LPPREWITTFILTERDLGPARAMS;

The PREWITTFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalPrewittFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

pFilter | Address of a variable to be updated with the spatial filter selected in the dialog. The Prewitt filter applies Prewitt edge detection. All pixels not on the detected edges are changed to black. (The usage is the same as Sobel, but the algorithm is different.) Choose the appropriate value for horizontal or vertical detection. Possible values are:
 | Value
 | FLT_PREWITT_HORZ
 | FLT_PREWITT_VERT
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_PREWITTFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


PRINTPREVIEWDLGPARAMS

typedef struct _PRINTPREVIEWDLGPARAMS
{
L_UINT uStructSize ;
pBITMAPHANDLE pBitmap ;
HICON hWindowIcon ;
HGLOBAL hDevMode ;
HGLOBAL hDevNames ;
RECT rcMargins ;
RECT rcMinMargins ;
L_INT nCmdShow ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} PRINTPREVIEWDLGPARAMS, L_FAR* LPPRINTPREVIEWDLGPARAMS ;

The PRINTSTITCHEDIMAGESDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogFile::DoModalPrintStitchedImages function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
hWindowIcon | Handle to the icon to use for the print window’s system menu. Pass NULL to use the default icon.
pBitmap | Ignored.
hDevMode | Handle to a movable global memory object that contains a DEVMODE Microsoft Windows structure. For more information please refer to Microsoft’s SDK documentation.
 | If hDevMode is not NULL on input, you must allocate a movable block of memory for the DEVMODE structure and initialize its members.
 | If hDevMode is NULL on input, the dialog may allocate memory for the DEVMODE structure, initialize its members to indicate the user's input, and return a handle that identifies it. In this case you should free the handle using GlobalFree() when the dialog is closed.
 | This handle is used to set or preserve printing settings. Set this member to NULL to use the default printer settings.
hDevNames | Handle to a movable global memory object that contains a DEVNAMES Microsoft Windows structure. For more information please refer to Microsoft’s SDK documentation.
 | If hDevNames is not NULL on input, you must allocate a movable block of memory for the DEVNAMES structure and initialize its members.
 | If hDevNames is NULL on input, the dialog may allocate memory for the DEVNAMES structure, initialize its members to indicate the user's input, and return a handle that identifies it. In this case you should free the handle using GlobalFree() when the dialog is closed.
 | This structure contains three strings that specify the driver name, the printer name, and the output port name, which are used to set or preserve printer settings. Set this member to NULL to use the default printer settings.
rcMargins | Specifies the widths of the left, top, right, and bottom margins, in thousandths of an inch. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.
rcMinMargins | Specifies the minimum allowable widths for the left, top, right, and bottom margins, in thousandths of an inch. These values must be less than or equal to the values specified in the rcMargins member. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.
nCmdShow | Flag that indicates the display state of the preview window. This is the same flag passed to the ShowWindow windows API function. Please refer to the Microsoft SDK documentation – Windows User Interface – ShowWindow for more information. Please note that the SW_HIDE flag is ignored.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


PRINTSTITCHEDIMAGESDLGPARAMS

typedef struct _PRINTSTITCHEDIMAGESDLGPARAMS
{
L_UINT uStructSize ;
HICON hWindowIcon ;
LPDLGBITMAPLIST pBitmapList ;
HGLOBAL hDevMode ;
HGLOBAL hDevNames ;
RECT rcMargins ;
RECT rcMinMargins ;
L_INT nCmdShow ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} PRINTSTITCHEDIMAGESDLGPARAMS, L_FAR* LPPRINTSTITCHEDIMAGESDLGPARAMS ;

The PRINTSTITCHEDIMAGESDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalStitch function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
hWindowIcon | Handle to the icon to use for the print window’s system menu. Pass NULL to use the default icon.
pBitmapList | Pointer to a DLGBITMAPLIST structure that is used to initialize the image picker in the dialog. The pszDescription member of the DLGBITMAPLIST structure will be used as a tool tip for each image in the image picker when the mouse hovers over it, and the szFileName member of the DLGBITMAPLIST structure will be ignored.
hDevMode | Handle to a movable global memory object that contains a DEVMODE Microsoft Windows structure. For more information please refer to Microsoft’s SDK documentation.
 | If hDevMode is not NULL on input, you must allocate a movable block of memory for the DEVMODE structure and initialize its members.
 | If hDevMode is NULL on input, the dialog may allocate memory for the DEVMODE structure, initialize its members to indicate the user's input, and return a handle that identifies it. In this case you should free the handle using GlobalFree()when the dialog is closed.
 | This handle is used to set or preserve printing settings. Set this member to NULL to use the default printer settings.
hDevNames | Handle to a movable global memory object that contains a DEVNAMES Microsoft Windows structure. For more information please refer to Microsoft’s SDK documentation.
 | If hDevNames is not NULL on input, you must allocate a movable block of memory for the DEVNAMES structure and initialize its members.
 | If hDevNames is NULL on input, the dialog may allocate memory for the DEVNAMES structure, initialize its members to indicate the user's input, and return a handle that identifies it. In this case you should free the handle using GlobalFree() when the dialog is closed.
 | This structure contains three strings that specify the driver name, the printer name, and the output port name, which are used to set or preserve printer settings. Set this member to NULL to use the default printer settings.
rcMargins | Specifies the widths of the left, top, right, and bottom margins, in thousandths of an inch. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.
rcMinMargins | Specifies the minimum allowable widths for the left, top, right, and bottom margins, in thousandths of an inch. These values must be less than or equal to the values specified in the rcMargins member. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.
nCmdShow | Flag that indicates the display state of the preview window. This is the same flag passed to the ShowWindow windows API function. Please refer to the Microsoft SDK documentation – Windows User Interface – ShowWindow for more information. Please note that the SW_HIDE flag is ignored.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


PUNCHDLGPARAMS

typedef struct _PUNCHDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uStress;
L_INT nValue;
POINT ptCenter;
COLORREF crFill;
L_UINT uPunchFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} PUNCHDLGPARAMS, L_FAR * LPPUNCHDLGPARAMS;

The PUNCHDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalPunch function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uStress | Amount of punching intensity. This value is ignored when nValue is less than 0. Valid values range from 0 to 1000.
nValue | Amount of stretching, where positive values pinch the image toward its center and negative values expand the image away from its center. Valid values range from –500 to 500.
ptCenter | POINT structure that contains the point around which the image will be pinched or punched. The center point must be defined inside the bitmap or inside the region, if the bitmap has a region.
crFill | The COLORREF value that specifies the fill color for any exposed areas. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uPunchFlags | Flags that indicate how to handle exposed areas, both centrally and peripherally. You can use a bitwise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle peripherally exposed areas:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill exposed areas.
 | FILL_NOCHG | [0x0002] do not change or process exposed areas.
 | The following are the flags that indicate how to handle centrally exposed areas:
 | Value | Meaning
 | FILL_ROT | [0x0000] Rotate the image inside the pinch pattern.
 | FILL_WOUTROT | [0x0010] Fill the exposed center the same way the peripherally exposed areas are filled.
 | This flag is ignored if the nValue is positive.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_PUNCH_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


RADIALBLURDLGPARAMS

typedef struct _RADIALBLURDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_UINT uStress;
POINT ptCenter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} RADIALBLURDLGPARAMS, L_FAR * LPRADIALBLURDLGPARAMS;

The RADIALBLURDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalRadialBlur function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uDim | Size of the neighborhood used in blurring. Increasing this value will increase the amount of blurring. Possible values range from 2 - 100.
uStress | Blur intensity. Possible values range from 0 - 15.
ptCenter | POINT structure that contains the point about which the image is blurred. The point should be within the image rectangle coordinates. However, if there is a region in the bitmap, then the point should be within the region.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_RADIALBLUR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


RADIALWAVEDLGPARAMS

typedef struct _RADIALWAVEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uAmplitude;
L_UINT uWaveLen;
L_INT nPhase;
POINT ptCenter;
COLORREF crFill;
L_UINT uRadialWaveFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} RADIALWAVEDLGPARAMS, L_FAR * LPRADIALWAVEDLGPARAMS ;

The RADIALWAVEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalRadialWave function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uAmplitude | Magnitude of the wave. Valid values range from 0 to 100.
uWaveLen | Value that represents the wave length, if DIS_PER is set in the uRadialWaveFlags member. If DIS_FRQ is set in uRadialWaveFlags, this value is the number of repeated waves. Possible values range from 0 – 100.
nPhase | Wave phase shift, in hundredths of degrees. The valid range is from –36000 to 36000 (The value in degrees is nPhase divided by 100).
ptCenter | POINT structure that contains the point from which the wave radiates. The center point must be defined inside the bitmap, or inside the region, if the bitmap has a region.
crFill | The COLORREF value that specifies the fill color for any exposed areas. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uRadialWaveFlags | Flags that indicate how to handle exposed areas and what type of information is in the uWaveLen parameter. You can use a bitwise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle exposed areas:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill exposed areas.
 | FILL_NOCHG | [0x0002] do not change or process exposed areas.
 | The following are the flags that indicate the type of information in the uWaveLen member:
 | Value | Meaning
 | DIS_PER | [0x0000] The value in uWaveLen is a wavelength given as a percent of the bitmap dimensions. If this value is set, the valid range of uWaveLen is from 0 to 100.
 | DIS_FRQ | [0x0010] The value in uWaveLen is the frequency, or the number of times the wave repeats.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_RADIALWAVE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


REMAPHUEDLGPARAMS

typedef struct _REMAPHUEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT L_FAR *puMaskLookup;
L_UINT L_FAR *puHueLookup;
L_UINT L_FAR *puSaturationLookup;
L_UINT L_FAR *puValueLookup;
L_UINT uLookupLen;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} REMAPHUEDLGPARAMS, L_FAR * LPREMAPHUEDLGPARAMS;

The REMAPHUEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalRemapHue function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
puMaskLookup | Lookup table that identifies which values in the Hue, Saturation, and Value Lookup tables are valid. For example, if puMaskLookup[i] is non-zero, then puHueLookup[i], puSaturationLookup[i], and puValueLookup[i] are valid for i pixel remapping. LEADTOOLS will allocate this during the call to LDialogColor::DoModalRemapHue unless you called the LDialogBase::EnableAutoProcess. You should free this pointer using the Windows API GlobalFree when it is no longer needed. The length of the table is in uLookupLen.
puHueLookup | Hue lookup table. If the puMaskLookup table value for a particular pixel hue is non-zero, then the hue is changed to the corresponding entry in puHueLookup. LEADTOOLS will allocate this during the call to LDialogColor::DoModalRemapHue unless you called the LDialogBase::EnableAutoProcess. You should free this pointer using the Windows API GlobalFree when it is no longer needed. The length of the table is in uLookupLen.
puSaturationLookup | Saturation lookup table. If the puMaskLookup table value for a particular pixel saturation is non-zero, then the saturation is changed to the corresponding entry in puSaturationLookup. LEADTOOLS will allocate this during the call to LDialogColor::DoModalRemapHue unless you called the LDialogBase::EnableAutoProcess. You should free this pointer using the Windows API GlobalFree when it is no longer needed. The length of the table is in uLookupLen.
puValueLookup | Value lookup table. If the puMaskLookup table value for a particular pixel value is non-zero, then the value is changed to the corresponding entry in puValueLookup. LEADTOOLS will allocate this during the call to LDialogColor::DoModalRemapHue unless you called the LDialogBase::EnableAutoProcess. You should free this pointer using the Windows API GlobalFree when it is no longer needed. The length of the table is in uLookupLen.
uLookupLen | Length of the lookup table. Possible values are:
 | Value | Meaning
 | 65536 | For 16-bit gray or 48-bit images.
 | 4096 | For 12-bit images.
 | 256 | For other-bits images.

uDlgFlags | User interface flags for this dialog which determines the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_REMAPHUE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


REMAPINTENSITYDLGPARAMS

typedef struct _REMAPINTENSITYDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uChannel;
L_UINT L_FAR *puRGBLookup;
L_UINT L_FAR *puRedLookup;
L_UINT L_FAR *puGreenLookup;
L_UINT L_FAR *puBlueLookup;
L_UINT uLookupLen;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} REMAPINTENSITYDLGPARAMS, L_FAR * LPREMAPINTENSITYDLGPARAMS;

The REMAPINTENSITYDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalRemapIntensity function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uChannel | Value that represents the channel for which to change the intensity. Possible values are:
 | Value | Meaning
 | CHANNEL_MASTER | [0] All channels.
 | CHANNEL_RED | [1] Red channel only.
 | CHANNEL_GREEN | [2] Green channel only.
 | CHANNEL_BLUE | [3] Blue channel only.

puRGBLookup | Pointer to a table of integers containing a lookup table for the RGB channel values. LEADTOOLS will allocate this during the call to LDialogColor::DoModalRemapIntensity unless you called the LDialogBase::EnableAutoProcess. You should free this pointer using the Windows API GlobalFree when it is no longer needed. The length of the table is in uLookupLen. You should use this structure member if the user sets uChannel to CHANNEL_MASTER.
puRedLookup | Pointer to a table of integers containing the Red channel values. LEADTOOLS will allocate this during the call to LDialogColor::DoModalRemapIntensity unless you called the LDialogBase::EnableAutoProcess. You should free this pointer using the Windows API GlobalFree when it is no longer needed. The length of the table is in uLookupLen. You should use this structure member if the user sets uChannel to CHANNEL_RED.
puGreenLookup | Pointer to a table of integers containing the Green channel values. LEADTOOLS will allocate this during the call to LDialogColor::DoModalRemapIntensity unless you called the LDialogBase::EnableAutoProcess. You should free this pointer using the Windows API GlobalFree when it is no longer needed. The length of the table is in uLookupLen. You should use this structure member if the user sets uChannel to CHANNEL_GREEN.
puBlueLookup | Pointer to a table of integers containing the Blue channel values. LEADTOOLS will allocate this during the call to LDialogColor::DoModalRemapIntensity unless you called the LDialogBase::EnableAutoProcess. You should free this pointer using the Windows API GlobalFree when it is no longer needed. The length of the table is in uLookupLen. You should use this structure member if the user sets uChannel to CHANNEL_BLUE.
uLookupLen | Length of the lookup table. Possible values are:
 | Value | Meaning
 | 65536 | For 16-bit gray or 48-bit images.
 | 4096 | For 12-bit images.
 | 256 | For other-bits images.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_REMAPINTENSITY_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


REMOVEREDEYEDLGPARAMS

typedef struct _REMOVEREDEYEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
COLORREF crNewColor;
L_UINT uThreshold;
L_INT nLightness;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} REMOVEREDEYEDLGPARAMS, L_FAR * LPREMOVEREDEYEDLGPARAMS;

The REMOVEREDEYEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogDocument::DoModalRemoveRedeye function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

crNewColor | COLORREF variable that contains the new color value used to replace the red color in the eyes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uThreshold | Threshold value that indicates which pixels will be changed. This value is between 0 and 255.
nLightness | "Percentage" value that indicates whether the pixels that are replaced are lightened or darkened. Possible values range from 0 to 500.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_REMOVEREDEYE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


RESIZEDLGPARAMS

typedef struct _RESIZEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_UINT uMaxNewWidth ;
L_UINT uMaxNewHeight ;
L_UINT uMaxNewResolutionX ;
L_UINT uMaxNewResolutionY ;
L_UINT uNewWidth ;
L_UINT uNewHeight ;
L_UINT uNewResolutionX ;
L_UINT uNewResolutionY ;
L_UINT uOriginalWidth ;
L_UINT uOriginalHeight ;
L_UINT uOriginalResolutionX ;
L_UINT uOriginalResolutionY ;
L_UINT uOriginalBitsPerPixel ;
L_UINT uResize;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} RESIZEDLGPARAMS, L_FAR * LPRESIZEDLGPARAMS;

The RESIZEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImage::DoModalResize function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
uMaxNewWidth | Value that represents the maximum width for the resized bitmap that can be set by the dialog user. This value ranges from 1 to 100000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 30000.
uMaxNewHeight | Value that represents the maximum height for the resized bitmap that can be set by the dialog user. This value ranges from 1 to 100000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 30000.
uMaxNewResolutionX | Value that represents the maximum X resolution that can be set by the user. This value ranges from 1 to 30000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 10000.
uMaxNewResolutionY | Value that represents the maximum Y resolution that can be set by the user. This value ranges from 1 to 30000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 10000.
uNewWidth | A variable to be updated with the width entered in the dialog. Set this variable to set the initial value for the dialog. The value set must not exceed the maximum set in the uMaxNewWidth field. In addition, if you set DLG_RESIZE_MAINTAINASPECT in uDlgFlags you must be sure that uNewWidth and uNewHeight have the same aspect ratio as uOriginalWidth and uOriginalHeight. Otherwise both uNewWidth and uNewHeight values will be replaced with the uOriginalWidth and uOriginalHeight respectively. If you set this field to 0 the dialog's initial width value will equal the value of the uOriginalWidth field.
uNewHeight | A variable to be updated with the height entered in the dialog. Set this variable to set the initial value for the dialog. The value set must not exceed the maximum set in the uMaxNewHeight field. In addition, if you set DLG_RESIZE_MAINTAINASPECT in uDlgFlags you must be sure that uNewWidth and uNewHeight have the same aspect ratio as uOriginalWidth and uOriginalHeight. Otherwise both uNewWidth and uNewHeight values will be replaced with the uOriginalWidth and uOriginalHeight respectively. If you set this member to 0 the dialog's initial height value will equal the value of the uOriginalHeight field.
uNewResolutionX | A variable to be updated with the horizontal resolution entered in the dialog. The value set must not exceed the value set in the uMaxNewResolutionX field. The value set in this field will not affect the initial width and height set in the uNewWidth and uNewHeight fields. Setting this field to 0 will set the initial horizontal value in the dialog to the value of the uOriginalResolutionX field.
uNewResolutionY | A variable to be updated with the vertical resolution entered in the dialog. The value set must not exceed the value set in the uMaxNewResolutionY field. The value set in this field will not affect the initial width and height set in the uNewWidth and uNewHeight fields. Setting this field to 0 will set the initial vertical value in the dialog to the value of the uOriginalResolutionY field.
uOriginalWidth | A variable to be filled with the original width(usually the bitmap width). The value must not be less than 1. uOriginalWidth will be used through the dialog to calculate the width percentage and the aspect ratio. The value set in this field will be displayed in the Original Image Width static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this field.
uOriginalHeight | A variable to be filled with the original height(usually the bitmap height). The value must not be less than 1. uOriginalHeight will be used through the dialog to calculate the height percentage and the aspect ratio. The value set in this field will be displayed in the Original Image Height static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this field.
uOriginalResolutionX | A variable to be filled with the original horizontal resolution (usually the bitmap horizontal resolution). The value set in this field will be displayed in the Resolution Horizontal static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this field.
uOriginalResolutionY | A variable to be filled with the original vertical resolution (usually the bitmap vertical resolution). The value set in this field will be displayed in the Resolution Vertical static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this field.
uOriginalBitsPerPixel | A variable to be filled with the original bits per pixel (usually the bitmap bits per pixel). The value set in this field will be used to calculate the size displayed in the Original Image Size static control and the New Image Size static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this field.
uResize | Flag that indicates the resize method entered in the dialog. Set this to indicate the initial value for the dialog. Possible values:
 | Value | Meaning
 | SIZE_NORMAL | [0x0000] Resize normally.
 | SIZE_FAVORBLACK | [0x0001] (Document/Medical only) Preserve black objects when making the image smaller. This option affects only 1-bit, black-and-white images, where it prevents the disappearance of thin lines. You can use a bitwise OR ( | ) to combine this flag with another one. For example, SIZE_RESAMPLE | SIZE_FAVORBLACK causes color images to be resampled, but applies the favor-black option to 1-bit, black-and-white images.
 | SIZE_RESAMPLE | [0x0002] Use linear interpolation and averaging to produce a higher-quality image.
 | SIZE_BICUBIC | [0x0004] Use bicubic interpolation and averaging to produce a higher quality image. This is slower than SIZE_RESAMPLE.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_RESIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
 | DLG_RESIZE_SHOW_PERCENTAGE | [0x00000004] dialog should contain the percentage value combo
 | DLG_RESIZE_SHOW_MAINTAINASPECT | [0x00000008] dialog should contain the maintain aspect check box
 | DLG_RESIZE_SHOW_RESOLUTION | [0x00000010] dialog should contain the resolution group information.
 | DLG_RESIZE_SHOW_IDENTICALVALUE | [0x00000020] dialog should contain the identical value check box. This option requires DLG_RESIZE_SHOW_RESOLUTION to be set.
 | DLG_RESIZE_MAINTAINASPECT | [0x00000040] dialog will maintain the aspect ratio for the specified nNewWidth and nNewHeight values.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


RIPPLEDLGPARAMS

typedef struct _RIPPLEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uAmplitude;
L_UINT uFrequency;
L_INT nPhase;
L_UINT uAttenuation;
POINT ptCenter;
COLORREF crFill;
L_UINT uRippleFlag;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} RIPPLEDLGPARAMS, L_FAR * LPRIPPLEDLGPARAMS ;

The RIPPLEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalRipple function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uAmplitude | Wave magnitude(amount of displacement). The values range from 1 to the length of the image's diagonal.
uFrequency | Number of repeated waves along the radial line. The values range from 1 to one-half the length of the image's diagonal. ( 1 – (length of image diagonal)/2 ).
nPhase | Wave phase shift, in hundredths of degrees. The valid range is from –36000 to 36000 (The value in degrees is nPhase divided by 100).
uAttenuation | Attenuation value. The attenuation value indicates how rapidly the wave amplitude decays as the wave travels along the radial line. The values range from 0 - 1000.
ptCenter | POINT structure that contains the center of the Ripple wave. The center point must be defined inside the bitmap or inside the region, if the bitmap has a region.
crFill | The COLORREF value that specifies the fill color for any exposed areas. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uRippleFlag | Flag that indicates how to handle exposed areas. Possible values are:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill exposed areas.
 | FILL_NOCHG | [0x0002] do not change or process exposed areas.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_RIPPLE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


ROTATEDLGPARAMS

typedef struct _ROTATEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_INT nAngle;
L_BOOL bResize;
L_UINT uRotateFlags;
COLORREF crBack;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} ROTATEDLGPARAMS, L_FAR * LPROTATEDLGPARAMS;

The ROTATEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImage::DoModalRotate function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
nAngle | A variable to be updated with the angle by which to rotate the image entered in the dialog. This angle is measured in hundredths of degrees. Possible values range from –36000 - +36000. A positive value will rotate the image in a clockwise rotation, while a negative value will rotate the image in a counter-clockwise rotation.
bResize | A flag that indicates whether to resize the resulting image as needed. Possible values are:
 | Value | Meaning
 | TRUE | Check the check box and resize the resulting image as needed.
 | FALSE | Clear the check box and do not resize the resulting image.

uRotateFlags | Variable to be updated with a value that represents the type of resizing to perform. Possible values are:
 | Value | Meaning
 | 0 | Normal resize.
 | ROTATE_RESAMPLE | Resample resize.
 | ROTATE_BICUBIC | Bicubic resize.

crBack | A variable to be updated with the background fill color entered in the dialog. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_ROTATE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
 | DLG_ROTATE_SHOW_BACKCOLOR | [0x00000008] dialog will show the background color button.
 | DLG_ROTATE_SHOW_RESIZE | [0x00000010] dialog will show the resize check box.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


SATURATIONDLGPARAMS

typedef struct _SATURATIONDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nChange;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SATURATIONDLGPARAMS, L_FAR * LPSATURATIONDLGPARAMS;

The SATURATIONDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalSaturation function. After the user closes the dialog box, information about the user's selections are updated in this structure.

Member | Description
nSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nChange | Amount to change the saturation. Possible values range from -1000 to 1000. Negative numbers decrease the saturation and positive numbers increase the saturation.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SATURATION_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


SAVEDLGPARAMS

typedef struct _SAVEDLGPARAMS
{
L_UINT uStructSize;
L_TCHAR szFileName [L_MAXPATH];
pBITMAPHANDLE  pBitmap;
L_INT nBitsPerPixel;
L_INT nFormat ;
L_INT nQFactor ;
L_UINT uSaveMulti ;
L_BOOL bSaveInterlaced ;
L_INT nPasses ;
L_BOOL bSaveWithStamp ;
L_INT nStampBits ;
L_INT nStampWidth ;
L_INT nStampHeight ;
L_INT nPageNumber;
L_UINT uFileTypeIndex;
L_UINT uSubTypeIndex;
FILEJ2KOPTIONS  FileJ2KOptions;
LPFILESAVEFORMAT pFileFormats;
L_UINT uFileFormatsCount;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB  pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
FILEJBIG2OPTIONS
  FileJBIG2Options;
} SAVEDLGPARAMS, L_FAR* LPSAVEDLGPARAMS;

The SAVEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogFile::DoModalSave function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
szFileName | Character string containing the name of the file to save.
pBitmap | Ignored.
nBitsPerPixel | Value that indicates the number of bits per pixel to be used to save the image.
nFormat | Output file format. For valid values, refer to Formats of Output Files .
nQFactor | This parameter is used when saving an image file as FILE_LEAD, FILE_CMP, FILE_PNG, FILE_JPEG, FILE_JPEG_422, FILE_JPEG_411, FILE_EXIF_JPEG_411, FILE_EXIF_JPEG, FILE_FPX_JPEG_QFACTOR, FILE_TIF_JPEG, FILE_TIF_JPEG_422, FILE_TIF_JPEG_411, FILE_JPEG_LAB, FILE_JPEG_LAB_422, FILE_JPEG_LAB_411, FILE_DICOM_JPEG_GRAY, FILE_DICOM_JPEG_COLOR, FILE_DICOM_J2K_GRAY, FILE_TIF_CMP, FILE_TIF_J2K, FILE_TIF_CMW, FILE_RAS_PDF_JPEG, FILE_RAS_PDF_JPEG_422, FILE_RAS_PDF_JPEG_411, FILE_J2K, FILE_JP2, FILE_CMW. Qfactor is a number that determines the degree of loss in the compression process. For possible values, refer to Compression Quality Factors .
uSaveMulti | Data value indicating how to save a page to a multipage file. You can save multipage images in PCX, GIF, FlashPix, and most TIFF file formats (including JTIF, but excluding EXIF). Possible values are:
 | Value | Meaning
 | MULTIPAGE_OPERATION_OVERWRITE | [1] Overwrite the file.
 | MULTIPAGE_OPERATION_APPEND | [2] Append page to the end of the file.
 | MULTIPAGE_OPERATION_REPLACE | [3] Replace page. Refer to SAVEFILEOPTION .Flags.
 | MULTIPAGE_OPERATION_INSERT | [4] Insert page. Refer to SAVEFILEOPTION .Flags.

bSaveInterlaced | Flag that indicates whether to save GIF files as interlaced. GIF files may be saved interlaced or non-interlaced. Selecting GIF as the format of the file to be saved, the user is given the option in the dialog of selecting interlaced or non-interlaced. Selecting interlaced will set this flag to TRUE. For more information, see Implementing GIF Features . Possible values are:
 | Value | Meaning
 | TRUE | Save GIF files as interlaced.
 | FALSE | Save GIF files as non-interlaced.

nPasses | Value that indicates the number of passes (scans through the image) when loading or saving a progressive JPEG, LEAD CMP or PNG files. (This value is also used when loading, but not when saving, interlaced PNG files.)
 | Possible values when saving (whether progressive or not):
 | Value | Meaning
 | Any positive number | Save the file as a progressive file with the specified number of passes.
 | 0 | Save the file as an ordinary JPEG or LEAD CMP file (not a progressive file).
 | Any negative number | Save the file as a progressive file with the LEADTOOLS default number of passes.

bSaveWithStamp | Value that indicates the status of the SaveStamp Box. If checked, a stamp of the image will be saved if you called the LDialogBase::EnableAutoProcess and the format supports stamps. Possible values are:
 | Value | Meaning
 | TRUE | Save the image with a stamp.
 | FALSE | Save the image without a stamp.

nStampBits | Value that indicates the bits per pixel of the stamp image to save. A stamp is saved only if the ESO_SAVEWITHSTAMP flag is set in the SAVEFILEOPTION .Flags field, for formats that support stamps. Possible values are 8 or 24.
nStampWidth | Width, in pixels, of the stamp image to save. A stamp is saved only if the ESO_SAVEWITHSTAMP flag is set in the SAVEFILEOPTION .Flags field, in formats that support stamps. Possible values range from 1 to 255.
nStampHeight | Height, in pixels, of the stamp image to save. A stamp is saved only if the ESO_SAVEWITHSTAMP flag is set in the SAVEFILEOPTION .Flags field, in formats that support stamps. Possible values range from 1 to 255.
nPageNumber | Value that indicates the number of the page to replace or the number of the page in front of which to insert the page.
uFileTypeIndex | Value that indicates the file type. When the LDialogFile::DoModalSave function returns, this member will be updated with the file type entered by the user through the dialog. Set this member before calling L_DlgSave to initialize the dialog. For example, to set the initial selection on "LEAD (*.cmp)" format set this member to DLG_FF_SAVE_LEAD. For a list of possible values, refer to Customizing File Format Lists.
uSubTypeIndex | Value that indicates the file sub-type, if one exists. When the LDialogFile::DoModalSave function returns, this member will be updated with the file sub-type entered by the user through the dialog, if one exists. Set this member before calling L_DlgSave to initialize the dialog. For example, to set the initial selection to the "Progressive" subtype of the "LEAD (*.cmp)" file type, set this member to DLG_FF_SAVE_SUB_CMP_PROGRESSIVE. For a list of possible values, refer to Customizing File Format Lists.
FileJ2KOptions | A structure that contains the options to use when saving J2K or JP2 files.
pFileFormats | Pointer to an array of FILESAVEFORMAT structures that will indicate which formats, BPP, and subformats to include in the File Save Dialog. The order of the elements in the array indicates the order the items will appear in the FileType drop-down list box. Pass NULL to have LEADTOOLS add all supported formats, BPP, and subformats to the File Save Dialog. For more information on available file types, refer to Customizing File Format Lists.
uFileFormatsCount | The number of the items in pFileFormats. This member is ignored if pFileFormats is NULL. For more information on available file types, refer to Customizing File Format Lists.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SAVE_SHOW_CONTEXTHELP | [0x00000002] Dialog should contain a context sensitive help icon.
 | DLG_SAVE_SHOW_FILEOPTIONS_PROGRESSIVE | [0x00000004] The Save File Options dialog will have progressive save options.
 | DLG_SAVE_SHOW_FILEOPTIONS_MULTIPAGE | [0x00000008] The Save File Options dialog will have multipage options.
 | DLG_SAVE_SHOW_FILEOPTIONS_STAMP | [0x00000010] The Save File Options dialog will have stamp options for formats that support stamps.
 | DLG_SAVE_SHOW_FILEOPTIONS_QFACTOR | [0x00000020] The Save File Options dialog will have the Qfactor option for formats that support Qfactor.
 | DLG_SAVE_SHOW_FILEOPTIONS_J2KOPTIONS | [0x00000040] The Save File Options dialog will have a J2K Options button for formats that support J2K options.
 | DLG_SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS | [0x00000080] The Save File Options dialog will have the Compression group controls (“Control”, “Ratio” and “Target Size”) for formats that support J2K options.
 | DLG_SAVE_ENABLESIZING | [0x00000100] The Save File Options dialog will have the enable sizing option. This option does not work under Windows NT 4.0 and Windows 95.
 | DLG_SAVE_SHOW_FILEOPTIONS_JBIG2OPTIONS | [0x00000200] The Save File Options dialog will have “JBIG2 options” button.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.
FileJBIG2Options | A structure that contains the options to use when saving JBIG2 files.


SHAPEDLGPARAMS

typedef struct _SHAPEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
pBITMAPHANDLE pBackgroundBitmap;
L_UINT uShape;
COLORREF crBack;
L_UINT uBackStyle;
COLORREF crFill;
L_UINT uFillStyle;
COLORREF crBorder;
L_UINT uBorderStyle;
L_UINT uBorderWidth;
COLORREF crInnerHilite;
COLORREF crInnerShadow;
L_UINT uInnerStyle;
L_UINT uInnerWidth;
COLORREF crOuterHilite;
COLORREF crOuterShadow;
L_UINT uOuterStyle;
L_UINT uOuterWidth;
L_INT nShadowX;
L_INT nShadowY;
COLORREF crShadow;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SHAPEDLGPARAMS, L_FAR * LPSHAPEDLGPARAMS;

The SHAPEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogEffect::DoModalGetShape function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
pBackgroundBitmap | Pointer to the bitmap to be used for the background of the shape. This bitmap will be updated if the user chooses a new image using the Browse Image button. If you pass NULL, the "Tiled Image" and "Translucent Tiled Image" options will not appear in the BackStyle combo-box. The caller is responsible for freeing this bitmap when it is no longer needed.
uShape | The shape to use.
crback | The background color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uBackStyle | The background style.
crFill | The foreground color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uFillStyle | The foreground style.
crBorder | The border color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uBorderStyle | The border style.
uBorderWidth | The border width.
crInnerHilite | The inner band hilite color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
crInnerShadow | The inner band shadow color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uInnerStyle | The inner band style.
uInnerWidth | The inner band width.
crOuterHilite | The outer band hilite color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
crOuterShadow | The outer band shadow color.
uOuterStyle | The outer band style.
uOuterWidth | The outer band width.
nShadowX | The horizontal position of the shadow.
nShadowY | The vertical position of the shadow.
crShadow | The shadow color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SHAPE_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
 | DLG_SHAPE_AUTOPREVIEW | [0x00000002] auto preview when options change
 | DLG_SHAPE_BACKSTYLE | [0x00000008] back style is an option
 | DLG_SHAPE_FILLSTYLE | [0x00000010] fill style is an option
 | DLG_SHAPE_FORE_BACK_COLOR | [0x00000020] fore and back colors are options
 | DLG_SHAPE_BORDERSTYLE | [0x00000040] border style is an option
 | DLG_SHAPE_BORDERWIDTH | [0x00000080] border width is an option
 | DLG_SHAPE_BORDERCOLOR | [0x00000100] border color is an option
 | DLG_SHAPE_INNERSTYLE | [0x00000200] inner band style is an option
 | DLG_SHAPE_INNERWIDTH | [0x00000400] inner band width is an option
 | DLG_SHAPE_INNER_HILITE_SHADOW | [0x00000800] inner band colors are options
 | DLG_SHAPE_OUTERSTYLE | [0x00001000] outer band style is an option
 | DLG_SHAPE_OUTERWIDTH | [0x00002000] outer band width is an option
 | DLG_SHAPE_OUTER_HILITE_SHADOW | [0x00004000] outer band colors are options
 | DLG_SHAPE_SHADOWCOLOR | [0x00008000] shadow color is an option
 | DLG_SHAPE_SHADOW_X_Y | [0x00010000] shadow x and y are options
 | DLG_SHAPE_BROWSEIMAGE | [0x00020000] browse image button is an option
 | DLG_SHAPE_NO_TREEVIEW | [0x00040000] DO NOT use the TreeView
 | DLG_SHAPE_CLASS_SQUARE | [0x00080000] squares are options
 | DLG_SHAPE_CLASS_RECTANGLE | [0x00100000] rectangles are options
 | DLG_SHAPE_CLASS_PARALLELOGRAM | [0x00200000] parallelograms are options
 | DLG_SHAPE_CLASS_TRAPEZOID | [0x00400000] trapezoids are options
 | DLG_SHAPE_CLASS_TRIANGLE | [0x00800000] triangles are options
 | DLG_SHAPE_CLASS_OTHER | [0x01000000] other polygons are options
 | DLG_SHAPE_CLASS_CIRCLE | [0x02000000] circles are options
 | DLG_SHAPE_CLASS_ELLIPSE | [0x04000000] ellipses are options
 | DLG_SHAPE_CLASS_STAR | [0x08000000] stars are options
 | DLG_SHAPE_CLASS_CROSS | [0x10000000] crosses are options
 | DLG_SHAPE_CLASS_ARROW | [0x20000000] arrows are options
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


SHARPENDLGPARAMS

typedef struct _SHARPENDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT32 nSharpness;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SHARPENDLGPARAMS, L_FAR * LPSHARPENDLGPARAMS;

The SHARPENDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalSharpen function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nSharpness | Amount to change the sharpness. The sharpness ranges from -1000 to 1000. Negative numbers decrease the sharpness and positive numbers increase the sharpness.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SHARPEN_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


SHEARDLGPARAMS

typedef struct _SHEARDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_INT nAngle;
L_BOOL bHorizontal;
COLORREF crBack;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SHEARDLGPARAMS, L_FAR * LPSHEARDLGPARAMS ;

The SHEARDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImage::DoModalShear function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
nAngle | A variable to be updated with the angle or shear entered in the dialog. Positive values are for clockwise angles; negative values are for counterclockwise angles. The angle is expressed in hundredths of degrees. Possible values range from –4500 - 4500.
bHorizontal | A flag that indicates the shear direction. Possible values are:
 | Value | Meaning
 | TRUE | Horizontal shear.
 | FALSE | Vertical shear.

crBack | A variable to be updated with the background fill color entered in the dialog. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SHEAR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
 | DLG_SHEAR_SHOW_BACKCOLOR | [0x00000008] dialog will show the background color button.
 | DLG_SHEAR_SHOW_HORIZONTAL | [0x00000010] dialog will show the horizontal check box.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


SHIFTDIFFERENCEFILTERDLGPARAMS

typedef struct _SHIFTDIFFERENCEFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LPSPATIALFLT pFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SHIFTDIFFERENCEFILTERDLGPARAMS, L_FAR * LPSHIFTDIFFERENCEFILTERDLGPARAMS;

The SHIFTDIFFERENCEFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalShiftDifferenceFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

pFilter | Address of a variable to be updated with the spatial filter selected in the dialog. The spatial filter applies shift-and-difference edge detection. All pixels not on the detected edges are changed to black. Choose the appropriate value for diagonal, horizontal, or vertical detection. Possible values are:
 | Value
 | FLT_SHIFTDIFF_DIAG
 | FLT_SHIFTDIFF_HORZ
 | FLT_SHIFTDIFF_VERT
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SHIFTDIFFERENCEFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


SMOOTHDLGPARAMS

typedef struct _SMOOTHDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
SMOOTH Smooth;
COLORREF crWhiteArea;
COLORREF crBlackArea;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SMOOTHDLGPARAMS, L_FAR * LPSMOOTHDLGPARAMS ;

The SMOOTHDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogDocument::DoModalSmooth function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

Smooth

A SMOOTH structure that LEADTOOLS uses to perform the smoothing operation. You should set the pBitmapRegion member of the SMOOTH structure to a valid address and fill the uBitmapStructSize member with the proper value.

Note: It's the user's responsibility to free the region in pBitmapRegion, if there is one, using L_FreeBitmapRgn.

crWhiteArea

Color used to fill the smoothed white areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

crBlackArea

Color used to fill the smoothed black areas. This is used only for dialog previewing purposes. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.

uDlgFlags

User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:

Value

Meaning

DLG_SMOOTH_SHOW_CONTEXTHELP

[0x00000002] dialog should contain a context sensitive help icon.

pfnHelpCallback

Ignored.

pHelpCallBackUserData

Ignored.


SOBELFILTERDLGPARAMS

typedef struct _SOBELFILTERDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
LPSPATIALFLT pFilter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SOBELFILTERDLGPARAMS, L_FAR * LPSOBELFILTERDLGPARAMS;

The SOBELFILTERDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalSobelFilter function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

pFilter | Address of a variable to be updated with the spatial filter selected in the dialog. Sobel filters apply Sobel edge detection. All pixels not on the detected edges are changed to black. (The usage is the same as Prewitt, but the algorithm is different.) Choose the appropriate value for horizontal or vertical detection. Possible values are:
 | Value
 | FLT_SOBEL_HORZ
 | FLT_SOBEL_VERT
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SOBELFILTER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


SOLARIZEDLGPARAMS

typedef struct _SOLARIZEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nThreshold;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SOLARIZEDLGPARAMS, L_FAR * LPSOLARIZEDLGPARAMS ;

The SOLARIZEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogColor::DoModalSolarize function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
nThreshold | Threshold at or above which colors are to be inverted. The valid range is 0 - 255.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SOLARIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


SPHERIZEDLGPARAMS

typedef struct _SPHERIZEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nValue;
POINT ptCenter;
COLORREF crFill;
L_UINT uSpherizeFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SPHERIZEDLGPARAMS, L_FAR * LPSPHERIZEDLGPARAMS;

The SPHERIZEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalSpherize function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nValue | Amount of stretching where positive values stretch the central pixels toward the edges and negative values stretch the pixels toward the center. Valid range is from –500 to 500.
ptCenter | POINT structure that contains the center of the sphere. The center point must be defined inside the bitmap or inside the region, if the bitmap has a region.
crFill | The COLORREF value that specifies the fill color for any exposed areas. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uSpherizeFlags | Flags that indicate how to handle exposed areas outside the sphere and inside the sphere. You can use a bitwise OR (|) to specify one flag from each group.
 | The following are the flags that indicate how to handle exposed areas outside the sphere:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill exposed areas.
 | FILL_NOCHG | [0x0002] do not change or process exposed areas.
 | The following are the flags that indicate how to handle exposed areas inside the sphere:
 | Value | Meaning
 | FILL_ROT | [0x0000] Rotate the image inside the sphere pattern.
 | FILL_WOUTROT | [0x0010] Fill the exposed center of the sphere in the same manner as exposed areas outside the sphere.
 | This flag is ignored if the nValue is negative.

uDlgFlags | User interface flags for this dialog, which determines the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SPHERIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


STITCHDLGPARAMS

typedef struct _STITCHDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pResultingBitmap;
L_UINT uResultingBitmapStructSize;
L_INT nResultingBitmapWidth;
L_INT nResultingBitmapHeight;
L_INT nResultingBitmapBitsPerPixel;
L_INT nRes;
COLORREF crBackGround;
LPDLGBITMAPLIST pBitmapList;
HICON hWindowIcon;
L_INT nCmdShow;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} STITCHDLGPARAMS, L_FAR* LPSTITCHDLGPARAMS ;

The STITCHDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalStitch function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pResultingBitmap | Pointer to a valid bitmap handle to be updated with the bitmap resulting from the stitch dialog. If LDialogImageEffect::DoModalStitch returns SUCCESS_DLG_EXPORTANDEXIT, then this bitmap is allocated and the user is responsible for freeing this handle using LBitmapBase::Free .
uResultingBitmapStructSize | Size of the BITMAPHANDLE structure referencing pResultingBitmap.
nResultingBitmapWidth | Value that indicates the resulting image's width in pixels. This value is used to initialize the Width edit box in the Image Attributes sub dialog.
nResultingBitmapHeight | Value that indicates the resulting image's height in pixels. This value is used to initialize the Height edit box in the Image Attributes sub dialog.
nResultingBitmapBitsPerPixel | Value representing the image depth of the resulting image. This may be 1, 4, 8, 16, 24 bpp. This value is used to initialize the Depth combo box in the Image Attributes sub dialog.
nRes | Horizontal and vertical resolution, in dots per inch. This value is used to initialize the Resolution edit box in the Image Attributes sub dialog.
crBackGround | The COLORREF value that specifies the background color for the resulting image. This value is used to initialize the Back-Color color picker in the Image Attributes sub dialog.
pBitmapList | Pointer to a DLGBITMAPLIST structure that is used to initialize the image picker in the dialog. The pszDescription member of the DLGBITMAPLIST structure will be used as a tool tip for each image in the image picker when the mouse hovers over it.
hWindowIcon | Handle to the icon to use for the print window’s system menu. Pass NULL to use the default icon.
nCmdShow | Flag that indicates the display state of the stitch window. This is the same flag passed to the ShowWindow windows API function. Please refer to the Microsoft SDK documentation – Windows User Interface – ShowWindow for more information. Please note that the SW_HIDE flag is ignored.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_STITCH_NOPAGESETUPONSTART | [0x00000001] Don’t display the image attributes sub dialog at stitch dialog startup.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


SWIRLDLGPARAMS

typedef struct _SWIRLDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nAngle;
POINT ptCenter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} SWIRLDLGPARAMS, L_FAR * LPSWIRLDLGPARAMS ;

The SWIRLDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalSwirl function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

nAngle | The degree of rotation. This value is in (+/-) degrees (0…360…720, etc.).
ptCenter | POINT structure that contains the center of the swirl. The center point must be defined inside the bitmap, or inside the region, if the bitmap has a region.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_SWIRL_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


TEXTDLGPARAMS

typedef struct _TEXTDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
pBITMAPHANDLE pForegroundBitmap;
LPTSTR pszSampleText;
L_INT nMaxCount;
L_INT nAngle;
L_UINT uStyle;
L_UINT uAlign;
L_BOOL bWordWrap;
HFONT hFont;
COLORREF crText;
COLORREF crHilite;
COLORREF crShadow;
L_INT nXDepth;
L_INT nYDepth;
L_BOOL bUseForeImage;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} TEXTDLGPARAMS, L_FAR * LPTEXTDLGPARAMS;

The TEXTDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogEffect::DoModalGetText function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
pForegroundBitmap | Pointer to the bitmap to be used for the foreground of the text. This bitmap will be updated if the user chooses a new image using the Browse Image button.
pszSampleText | String that contains the text.
nMaxCount | The maximum size of the text, in bytes.
nAngle | The rotation angle for the text, in tenths of a degree.
uStyle | Flag that indicates the style of the text. For a list of possible values, refer to Effect Text Style Flags .
uAlign | Flag that indicates how to align the text. For a list of possible values, refer to Effect Text Alignment Flags .
bWordWrap | Flag that indicates whether to allow word wrapping. Possible values are:
 | Value | Meaning
 | TRUE | Allow word wrapping.
 | FALSE | Do not allow word wrapping.
hFont | Handle to the font to use.
crText | The text color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
crHilite | The border color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
crShadow | The inner band shadow color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
nXDepth | The horizontal shadow position.
nYDepth | The vertical shadow position.
bUseForeImage | Flag indicating whether to use the foreground image. Possible values are:
 | Value | Meaning
 | TRUE | Use the foreground image referenced in pForegroundBitmap.
 | FALSE | Do not use the foreground image. Use the text color specified in crText.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_TEXT_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
 | DLG_TEXT_AUTOPREVIEW | [0x00000004] auto preview when options change
 | DLG_TEXT_SAMPLETEXT | [0x00000008] sample text edit box is an option
 | DLG_TEXT_STYLE | [0x00000010] text style is an option
 | DLG_TEXT_COLOR | [0x00000020] text color is an option
 | DLG_TEXT_BORDERCOLOR | [0x00000040] border color is an option
 | DLG_TEXT_ALIGN | [0x00000080] alignment is an option
 | DLG_TEXT_ANGLE | [0x00000100] angle is an option
 | DLG_TEXT_WORDWRAP | [0x00000200] wordwrap is an option
 | DLG_TEXT_FONT | [0x00000400] font is an option
 | DLG_TEXT_FOREIMAGE | [0x00000800] foreground image is an option
 | DLG_TEXT_BROWSEIMAGE | [0x00001000] browse image button is an option
 | DLG_TEXT_SHADOWCOLOR | [0x00002000] shadow color is an option
 | DLG_TEXT_SHADOW_X_Y | [0x00004000] shadow x and y are options.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


TRANSITIONDLGPARAMS

typedef struct _TRANSITIONDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_UINT uTransition;
COLORREF crBack;
COLORREF crFore;
L_UINT uSteps;
L_UINT uEffect;
L_UINT uGrain;
L_UINT uDelay;
L_UINT uMaxPass;
L_BOOL bTransparent;
COLORREF crTransparent;
L_UINT uWandWidth;
COLORREF crWand;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} TRANSITIONDLGPARAMS, L_FAR * LPTRANSITIONDLGPARAMS ;

The TRANSITIONDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogEffect::DoModalGetTransition function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
uTransition | The transition to use. Possible values are
 | Value | Meaning
 | EFX_TRANS_SOLID | Solid filling
 | EFX_TRANS_HORZ_LINE | Horizontal lines
 | EFX_TRANS_VERT_LINE | Vertical lines
 | EFX_TRANS_DOWNWARD_DIAG | Downward diagonal lines
 | EFX_TRANS_UPWARD_DIAG | Upward diagonal lines
 | EFX_TRANS_CROSS | Cross lines
 | EFX_TRANS_DIAG_CROSS | Diagonal cross lines

crBack | The background color or the starting gradient color, if a gradient transition is used. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
crFore | The foreground color or the ending gradient color, if a gradient transition is used. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uSteps | Number of steps in the gradient.
uEffect | The effect to use. For a list of possible values, refer to Effect Types .
uGrain | The grain size, in pixels.
uDelay | The delay, in milliseconds
uMaxPass | The maximum number of passes.
bTransparent | Flag that indicates whether to use a transparent color. Possible values are:
 | Value | Meaning
 | TRUE | Use the transparent color specified in crTransparent.
 | FALSE | Do not use a transparent color.

crTransparent | The transparent color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uWandWidth | The wand width, in pixels.
crWand | The wand color. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_TRANSITION_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
 | DLG_TRANSITION_AUTOPREVIEW | [0x00000004] auto preview when options change
 | DLG_TRANSITION_FORECOLOR | [0x00000008] fore color is an option
 | DLG_TRANSITION_BACKCOLOR | [0x00000010] back color is an option
 | DLG_TRANSITION_DELAY | [0x00000020] transition delay is an option
 | DLG_TRANSITION_GRAIN | [0x00000040] transition grain is an option
 | DLG_TRANSITION_EFFECT | [0x00000080] paint effect is an option
 | DLG_TRANSITION_PASSES | [0x00000100] transition passes is an option
 | DLG_TRANSITION_WAND | [0x00000200] wand is an option
 | DLG_TRANSITION_TRANSPARENT | [0x00000400] transparency is an option
 | DLG_TRANSITION_GRADIENT | [0x00000800] gradient is an option
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


UNDERLAYDLGPARAMS

typedef struct _UNDERLAYDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT32 uUnderlayFlags;
L_INT nUnderlayBitmapIndex;
LPDLGBITMAPLIST pBitmapList;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} UNDERLAYDLGPARAMS, L_FAR * LPUNDERLAYDLGPARAMS;

The UNDERLAYDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalUnderlay function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uUnderlayFlags | Flags that indicate how the underlying image is to be positioned. Possible values are:
 | Value | Meaning
 | UB_TILE | [0x00] Tile the underlay image. This repeats the underlying image, so that it fills the target image.
 | UB_STRETCH | [0x01] Stretch the underlay image to fit the dimensions of the target image.

nUnderlayBitmapIndex | Index of the selected tile bitmap to use for underlay. This index points to an entry in pBitmapList member.
pBitmapList | Pointer to a DLGBITMAPLIST structure that references the images in the image picker. Set this to initialize the image picker in the dialog.
uDlgFlags | User interface flags for this dialog, which determines the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_UNDERLAY_SHOW_CONTEXTHELP | [0x0002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


UNSHARPMASKDLGPARAMS

typedef struct _UNSHARPMASKDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT nAmount;
L_INT nRadius;
L_INT nThreshold;
L_UINT uUnshrpMaskFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} UNSHARPMASKDLGPARAMS, L_FAR * LPUNSHARPMASKDLGPARAMS ;

The UNSHARPMASKDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalUnsharpMask function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".
nAmount | Value that represents an adjustment factor. Possible values range from 0 - 500.
nRadius | Value that indicates the size of the neighborhood used for blurring each pixel of the bitmap. Possible values range from 1 – 1000.
nThreshold | Value that indicates the threshold for modifying the original value of the pixel. Possible values range from 0 - 255.
uUnshrpMaskFlags | Flag that indicates the color space in which to apply the mask. Possible values are:
 | Value | Meaning
 | RGB_SPACE | [0x0001] Apply the mask in the RGB color space.
 | YUV_SPACE | [0x0002] Apply the mask in the YUV color space.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_UNSHARPMASK_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


WAVEDLGPARAMS

typedef struct _WAVEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uAmplitude;
L_UINT uWaveLen;
L_INT nAngle;
L_UINT uHorzScale;
L_UINT uVertScale;
COLORREF crFill;
L_UINT uWaveFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} WAVEDLGPARAMS, L_FAR * LPWAVEDLGPARAMS ;

The WAVEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalFreeHandWave function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uAmplitude | Waves magnitude. The values range from 1 to the length of the image's diagonal.
uWaveLen | Value that represents the wave length, if DIS_PER is set in the uWaveFlags parameter. If DIS_FRQ is set in uWaveFlags, this value is the number of repeated waves. Possible values range from 0 – 100.
nAngle | Wave’s rotation angle in hundredths of degrees. The valid range is from –18000 to 18000 (The value in degrees is nAngle divided by 100).
uHorzScale | Size of the horizontal wave, given as a percentage of uAmplitude. The valid range is from 0 to 100.
uVertScale | Size of the vertical wave, given as a percentage of uAmplitude. The valid range is from 0 to 100.
crFill | The COLORREF value that specifies the fill color for any exposed areas. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uWaveFlags | Flags that indicate how to handle exposed areas, the type of information in the uWaveLength parameter and the wave type. You can use a bitwise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle exposed areas:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill the exposed area.
 | FILL_NOCHG | [0x0002] do not change exposed areas.
 | The following are the flags that indicate the type of information in the uWaveLen member:
 | Value | Meaning
 | DIS_PER | [0x0000] The value in uWaveLen is a wavelength given as a percent of the bitmap dimensions. If this value is used, the valid range of uWaveLen is from 0 to 100.
 | DIS_FRQ | [0x0010] The value in uWaveLen is the frequency, or the number of times the wave repeats.
 | The following are the flags that indicate the wave type:
 | Value | Meaning
 | WV_SIN | [0x0000] the wave is a sinusoidal wave.
 | WV_COS | [0x0100] the wave is a sinusoidal wave shifted by 90 degrees.
 | WV_SQUARE | [0x0200] the wave is a square wave.
 | WV_TRIANG | [0x0300] the wave is a triangular wave.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_WAVE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


WAVESHEARDLGPARAMS

typedef struct _WAVESHEARDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_INT L_FAR * pAmplitudes;
L_UINT uAmplitudesCount;
L_UINT uScale;
COLORREF crFill;
L_UINT uWaveShearFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} WAVESHEARDLGPARAMS, L_FAR * LPWAVESHEARDLGPARAMS;

The WAVESHEARDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalWaveShear function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

pAmplitudes | Array of integers that represent shear wave values. The valid value of each element in pAmplitudes array is between –1000 and 1000. These values are obtained through the Wave Shear Dialog, or, for image processing; they may be obtained from the LBitmap::GetCurvePoints function. The toolkit will allocate this buffer for the user on function return. You should free this pointer using GlobalFree function unless you called the LDialogBase::EnableAutoProcess.
uAmplitudesCount | Number of entries in the pAmplitudes array.
uScale | Factor used to decrease the various amplitude values in the pAmplitudes array. Each value in the pAmplitudes array is multiplied by this factor. The real factor value is the uScale value divided by 100. Therefore, to multiply the amplitude values by 1.0, set this parameter to 100.The values range (1-100).
crFill | The COLORREF value that specifies the fill color for any exposed areas. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uWaveShearFlags | Flags that indicate how to handle exposed areas, and the direction of the shear wave. You can use a bit wise OR (|) to specify one flag from each group. The following are the flags that indicate how to handle the exposed areas:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill exposed areas.
 | FILL_NOCHG | [0x0002] do not change or process exposed areas.
 | The following are the flags that indicate the direction of the shear wave:
 | Value | Meaning
 | SHR_HORZ | [0x0000] apply the shear wave horizontally.
 | SHR_VERT | [0x0010] apply the shear wave vertically.

uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_WAVESHEAR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


WINDDLGPARAMS

typedef struct _WINDDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_INT nAngle;
L_UINT uOpacity;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} WINDDLGPARAMS, L_FAR * LPWINDDLGPARAMS ;

The WINDDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalWind function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uDim | Size, in pixels, of the thin lines used to create the wind effect. Possible values range from 2 - 100.
nAngle | Angle of the thin lines used to create the wind effect, in hundredths of a degree. Possible values range form –36000 to 36000.
uOpacity | Density, in pixels, of the thin lines used to create the wind effect. Possible values range from 0 - 100.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_WIND_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


WINDOWLEVELDLGPARAMS

typedef struct _WINDOWLEVELDLGPARAMS
{
L_UINT uStructSize ;
pBITMAPHANDLE pBitmap ;
L_BOOL bZoomToFit;
L_RGBQUAD L_HUGE* pLUT ;
L_UINT32 uLUTLength ;
L_INT nLowBit ;
L_INT nHighBit ;
L_INT nLow ;
L_INT nHigh ;
COLORREF crStart ;
COLORREF crEnd ;
L_INT nFactor ;
L_UINT32 uWindowLevelFlags;
L_UINT32 uDlgFlags ;
LTCOMMDLGHELPCB pfnHelpCallback ;
L_VOID L_FAR *pHelpCallBackUserData ;
} WINDOWLEVELDLGPARAMS, L_FAR * LPWINDOWLEVELDLGPARAMS;

The WINDOWLEVELDLGPARAMS structure provides information needed to the LDialogColor::DoModalWindowLevel function.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

pLUT | Pointer to the look-up table, which will be filled by the dialog.
uLUTLength | Length of the look-up table.
nLowBit | Value indicating the low bit used for leveling.
nHighBit | Value indicating the high bit used for leveling.
nLow | Variable to be updated with the low value entered through the dialog.
nHigh | Variable to be updated with the high value entered through the dialog.
crStart | Variable to be updated with the starting color value entered through the dialog.
crEnd | Variable to be updated with the ending color value entered through the dialog.
nFactor | Value that indicates the factor to be applied in the function operation specified in the uWindowLevelFlags parameter. This parameter is used only if uWindowLevelFlags is FILLLUT_EXPONENTIAL, FILLLUT_LOGARITHMIC or FILLLUT_SIGMOID. If FILLLUT_EXPONENTIAL or FILLLUT_SIGMOID flag is selected its value range from 1000 to -1000. If FILLLUT_LOGARITHMIC flag is selected its value range form 0 to 1000. If nFactor = 0, the lookup table will be filled linearly.
uWindowLevelFlags | Flags that indicate how the range is used to fill the LUT and the type of LUT.
 | The following flags indicate how the range is used to fill the LUT:
 | Value | Meaning
 | FILLLUT_INSIDE | [0x0001] Fill the LUT between nLow and nHigh. ( inside the nLow...nHigh range )
 | FILLLUT_OUTSIDE | [0x0002] Fill the LUT below nLow and above nHigh. ( outside the nLow...nHigh range )
 | The following flags indicate the LUT type:
 | Value | Meaning
 | FILLLUT_LINEAR | [0x0010] LUT is linear.
 | FILLLUT_EXPONENTIAL | [0x0020] LUT is exponential.
 | FILLLUT_LOGARITHMIC | [0x0030] LUT is logarithmic.
 | FILLLUT_SIGMOID | [0x0040] LUT is sigmoid.

uDlgFlags | User interface flags for this dialog which determines the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_WINDOWLEVEL_AUTOPROCESS | [0x00000001] process the image on OK. You should pass a valid bitmap in the pBitmap field of this structure.
 | DLG_WINDOWLEVEL_SHOW_CONTEXTHELP | [0x00000002] dialog should contain context sensitive help icon.
 | DLG_WINDOWLEVEL_SHOW_PREVIEW | [0x00000004] show preview of the image in the dialog. You should pass a valid bitmap in the pBitmap field of this structure.
 | DLG_WINDOWLEVEL_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DLG_HUE_SHOW_PREVIEW flag must be set in order to show these buttons.
 | DLG_WINDOWLEVEL_SHOW_RANGE | [0x00000010] show the Range combo in the dialog.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


ZOOMBLURDLGPARAMS

typedef struct _ZOOMBLURDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uDim;
L_UINT uStress;
POINT ptCenter;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} ZOOMBLURDLGPARAMS, L_FAR * LPZOOMBLURDLGPARAMS ;

The ZOOMBLURDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalZoomBlur function. After the user closes the dialog box, this structure is updated with information about the user's selections.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uDim | The amount of blur. Possible values range from 2 - 100.
uStress | Blur intensity. Possible values range from 0 - 100.
ptCenter | POINT structure that contains the point about which the image is blurred and zoomed. The point should be within the image rectangle coordinates. However, if there is a region in the bitmap, then the point should be within the region.
uDlgFlags | User interface flags for this dialog, which determine the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_ZOOMBLUR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


ZOOMWAVEDLGPARAMS

typedef struct _ZOOMWAVEDLGPARAMS
{
L_UINT uStructSize;
pBITMAPHANDLE pBitmap;
L_BOOL bZoomToFit;
L_UINT uAmplitude;
L_UINT uFrequency;
L_INT nPhase;
L_UINT uZoomFactor;
POINT ptCenter;
COLORREF crFill;
L_UINT uZoomWaveFlags;
L_UINT32 uDlgFlags;
LTCOMMDLGHELPCB pfnHelpCallback;
L_VOID L_FAR *pHelpCallBackUserData;
} ZOOMWAVEDLGPARAMS, L_FAR * LPZOOMWAVEDLGPARAMS ;

The ZOOMWAVEDLGPARAMS structure provides information used to initialize the dialog box created by the LDialogImageEffect::DoModalZoomWave function. After the user closes the dialog box, this structure is updated with information about the user's selections are returned in this structure.

Member | Description
uStructSize | Size of this structure, in bytes. Use the sizeof operator to calculate this value.
pBitmap | Ignored.
bZoomToFit | Flag that indicates the initial zoom level for previewing the image. Possible values are:
 | Value | Meaning
 | TRUE | Set the initial zoom level to "Zoom to fit".
 | FALSE | Set the initial zoom level to "Normal (1:1)".

uAmplitude | Zoom wave magnitude. The value must be greater than zero.
uFrequency | The number of repeated waves along the radial line.The value must be greater than zero.
nPhase | Wave phase shift. The valid range is from –36000 to 36000.
uZoomFactor | The percentage the wave grows as it moves from the image center. The valid range is from 0 to 100.
ptCenter | POINT structure that contains the center point from which the wave is zoomed. The center point must be defined inside the bitmap, or inside the region, if the bitmap has a region.
crFill | The COLORREF value that specifies the fill color of undefined area. You can specify a COLORREF value, such as the return value of the Windows RGB macro, or you can use the PALETTEINDEX macro to specify a palette color.
uZoomWaveFlags | Flags that indicate how exposed areas will be handled. Possible values are:
 | Value | Meaning
 | FILL_CLR | [0x0000] fill exposed areas with the color in crFill.
 | FILL_RPT | [0x0001] stretch the edges of the image to fill exposed areas.
 | FILL_NOCHANGE | [0x0002] do not change exposed areas.

uDlgFlags | User interface flags for this dialog, which determines the layout and action of the dialog. Possible values are:
 | Value | Meaning
 | DLG_ZOOMWAVE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
pfnHelpCallback | Ignored.
pHelpCallBackUserData | Ignored.


WINDOWS Structures

BITMAPINFO

This is a Microsoft Windows structure as documented in the Microsoft SDK documentation. For complete documentation on this structure please refer to the Microsoft SDK documentation for BITMAPINFO.

COLORREF

COLORREF is a Windows data type. For further information concerning COLORREF, please refer to the Microsoft SDK documentation.

DWORD

DWORD is a Windows data type, 32 bit unsigned int. For further information concerning DWORD, please refer to the Microsoft SDK documentation.

HANDLE

Handle is a standard Windows structure. For further information concerning HANDLE, please refer to the Microsoft SDK documentation or your compiler's documentation.

HDC

HDC is a standard Windows structure. For further information concerning HDC, please refer to the Microsoft SDK documentation or your compiler's documentation.

HGLOBAL

HGLOBAL is a standard Windows data type. For further information concerning HGLOBAL, please refer to the Microsoft SDK documentation or your compiler's documentation.

HWND

HWND is a standard Windows data type. For further information concerning HWND, please refer to the Microsoft SDK documentation or your compiler's documentation.

LPBYTE

LPBYTE is a standard Windows data type. For further information concerning LPBYTE, please refer to the Microsoft SDK documentation or your compiler's documentation.

LPRECT

LPRECT is a standard Windows structure. For further information concerning LPRECT, please refer to the Microsoft SDK documentation or your compiler's documentation.

LPSTR

LPSTR is a standard Windows data type. For further information concerning LPSTR, please refer to the Microsoft SDK documentation or your compiler's documentation.

OPENFILENAME

This is a Microsoft Windows structure as documented in the Microsoft SDK documentation. For complete documentation on this structure please refer to the Microsoft SDK documentation for OPENFILENAME.


Return Codes

For a list of all possible error codes for LEADTOOLS Common Dialogs Class Library, refer to LEADTOOLS Class Library Error Codes in the Main Class Library help file.


LDialogBase::LDialogBase

#include "ltwrappr.h"

L_VOID LDialogBase::LDialogBase()

L_VOID LDialogBase::LDialogBase(pBitmap)

LBitmapBase L_FAR * pBitmap;

/* pointer to an LBitmapBase object */

Constructs and initializes the member variables of the LDialogBase object.

Parameter | Description
pBitmap | Pointer to the bitmap object referencing the bitmap object to assign to the specified object.

Returns

None

Required DLLs and Libraries

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::~LDialogBase, Class Members
Topics: | Using Imaging Common Dialog

Example

//This is an example for : LDialogBase::LDialogBase ()
L_VOID TestFunction( )
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogBase MyDialogBase;     //construct a dialogbase object

//.... do something here   ....
//Destructor is called upon returning from function
}

//This is an example for : LDialogBase::LDialogBase (pBitmap)
L_VOID TestFunction(LBitmapBase * BitmapObj)
{
LBase::LoadLibraries (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogBase MyDialogBase (BitmapObj); //construct a dialogbase object

//.... do something here ....

}


LDialogBase::~LDialogBase

#include "ltwrappr.h"

virtual L_VOID LDialogBase:: ~LDialogBase()

Destroys the object, and frees any resources associated with it.

Returns

None

Comments

This is the destructor for the LDialogBase class.

Required DLLs and Libraries

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::LDialogBase, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogBase::LDialogBase ().


LDialogBase::DialogHelpCallBack

#include "ltwrappr.h"

virtual L_VOID LDialogBase::DialogHelpCallBack(uFlag, iControlID)

L_UINT32 uFlag; | /* flag that indicates the origin of the help command message */
L_INT iControlID; | /* ID of a control */

Provides the appropriate help information based on the dialog from which help was requested.

Parameter | Description
uFlag | Flag that indicates the origin of the help command message. Possible values are:
 | Value | Meaning
 | DLG_HELP_OPEN [1] | Help command message coming from LDialogFile::DoModalOpen.
 | DLG_HELP_SAVE [2] | Help command message coming from LDialogFile::DoModalSave.
 | DLG_HELP_COLORRES [3] | Help command message coming from LDialogColor::DoModalColorRes.
 | DLG_HELP_RESIZE [4] | Help command message coming from LDialogImage::DoModalResize.
 | DLG_HELP_INTENSITYDETECT [5] | Help command message coming from LDialogColor::DoModalIntensityDetect.
 | DLG_HELP_GAMMAADJUSTMENT [6] | Help command message coming from LDialogColor::DoModalGammaAdjustment.
 | DLG_HELP_ADDNOISE [7] | Help command message coming from LDialogImageEffect::DoModalAddNoise.
 | DLG_HELP_GETEFFECT [8] | Help command message coming from LDialogEffect::DoModalGetEffect.
 | DLG_HELP_GETSHAPE [9] | Help command message coming from LDialogEffect::DoModalGetShape.
 | DLG_HELP_GETTEXT [10] | Help command message coming from LDialogEffect::DoModalGetText.
 | DLG_HELP_GETGRADIENT [11] | Help command message coming from LDialogEffect::DoModalGetGradient.
 | DLG_HELP_GETTRANSITION [12] | Help command message coming from LDialogEffect::DoModalGetTransition.
 | DLG_HELP_GETDIRECTORY [13] | Help command message coming from LDialogFile::DoModalGetDirectory.
 | DLG_HELP_CONTOURFILTER [14] | Help command message coming from LDialogImageEffect::DoModalContourFilter.
 | DLG_HELP_HALFTONE [15] | Help command message coming from LDialogColor::DoModalHalfTone.
 | DLG_HELP_J2KOPTIONS [16] | Help command message coming from LDialogFile::DoModalSave.
 | DLG_HELP_FILEINFO [17] | Help command message coming from LDialogFile::DoModalOpen.
 | DLG_HELP_SOLARIZE [18] | Help command message coming from LDialogColor::DoModalSolarize.
 | DLG_HELP_BRIGHTNESS [19] | Help command message coming from LDialogColor::DoModalBrightness.
 | DLG_HELP_CONTRAST [20] | Help command message coming from LDialogColor::DoModalContrast.
 | DLG_HELP_HUE [21] | Help command message coming from LDialogColor::DoModalHue.
 | DLG_HELP_SATURATION [22] | Help command message coming from LDialogColor::DoModalSaturation.
 | DLG_HELP_POSTERIZE [24] | Help command message coming from LDialogColor::DoModalPosterize.
 | DLG_HELP_HISTOCONTRAST [25] | Help command message coming from LDialogColor::DoModalHistoContrast.
 | DLG_HELP_AVERAGE [26] | Help command message coming from LDialogImageEffect::DoModalAverage.
 | DLG_HELP_MEDIAN [27] | Help command message coming from LDialogImageEffect::DoModalMedian.
 | DLG_HELP_MAXFILTER [28] | Help command message coming from LDialogImageEffect::DoModalMaxFilter.
 | DLG_HELP_MINFILTER [29] | Help command message coming from LDialogImageEffect::DoModalMinFilter.
 | DLG_HELP_SHARPEN [30] | Help command message coming from LDialogImageEffect::DoModalSharpen.
 | DLG_HELP_SHIFTDIFFERENCEFILTER [31] | Help command message coming from LDialogImageEffect::DoModalShiftDifferenceFilter.
 | DLG_HELP_EMBOSS [32] | Help command message coming from LDialogImageEffect::DoModalEmboss.
 | DLG_HELP_OILIFY [33] | Help command message coming from LDialogImageEffect::DoModalOilify.
 | DLG_HELP_MOSAIC [34] | Help command message coming from LDialogImageEffect::DoModalMosaic.
 | DLG_HELP_EROSIONFILTER [35] | Help command message coming from LDialogImageEffect::DoModalErosionFilter.
 | DLG_HELP_DILATIONFILTER [36] | Help command message coming from LDialogImageEffect::DoModalDilationFilter.
 | DLG_HELP_GRADIENTFILTER [37] | Help command message coming from LDialogImageEffect::DoModalGradientFilter.
 | DLG_HELP_LAPLACIANFILTER [38] | Help command message coming from LDialogImageEffect::DoModalLaplacianFilter.
 | DLG_HELP_SOBELFILTER [39] | Help command message coming from LDialogImageEffect::DoModalSobelFilter.
 | DLG_HELP_PREWITTFILTER [40] | Help command message coming from LDialogImageEffect::DoModalPrewittFilter.
 | DLG_HELP_LINESEGMENTFILTER [41] | Help command message coming from LDialogImageEffect::DoModalLineSegmentFilter.
 | DLG_HELP_ROTATE [42] | Help command message coming from LDialogImage::DoModalRotate.
 | DLG_HELP_SHEAR [43] | Help command message coming from LDialogImage::DoModalShear.
 | DLG_HELP_LOADOPTIONS_VECTOR [44] | Help command message coming from LDialogFile::DoModalOpen.
 | DLG_HELP_LOADOPTIONS_RASTER [45] | Help command message coming from LDialogFile::DoModalOpen.
 | DLG_HELP_LOADOPTIONS_PDF [46] | Help command message coming from LDialogFile::DoModalOpen.
 | DLG_HELP_LOADOPTIONS_GENERAL [47] | Help command message coming from LDialogFile::DoModalOpen.
 | DLG_HELP_SMOOTH [48] | Help command message coming from LDialogDocument::DoModalSmooth.
 | DLG_HELP_LINEREMOVE [49] | Help command message coming from LDialogDocument::DoModalLineRemove.
 | DLG_HELP_BORDERREMOVE [50] | Help command message coming from LDialogDocument::DoModalBorderRemove.
 | DLG_HELP_INVERTEDTEXT [51] | Help command message coming from LDialogDocument::DoModalInvertedText.
 | DLG_HELP_DOTREMOVE [52] | Help command message coming from LDialogDocument::DoModalDotRemove.
 | DLG_HELP_HOLEPUNCHREMOVE [53] | Help command message coming from LDialogDocument::DoModalHolePunchRemove.
 | DLG_HELP_COLOR [54] | Help command message coming from LDialogColor::DoModalColor.
 | DLG_HELP_CANVASRESIZE [55] | Help command message coming from LDialogImage::DoModalCanvasResize.
 | DLG_HELP_ADDFRAME [56] | Help command message coming from LDialogImage::DoModalAddFrame.
 | DLG_HELP_FILESASSOCIATION [57] | Help command message coming from LDialogFile::DoModalFilesAssociation.
 | DLG_HELP_GIFWEBTUNER [58] | Help command message coming from LDialogWeb::DoModalGIFWebTuner.
 | DLG_HELP_ADDBORDER [59] | Help command message coming from LDialogImage::DoModalAddBorder.
 | DLG_HELP_HTMLMAPPER [60] | Help command message coming from LDialogWeb::DoModalHTMLMapper.
 | DLG_HELP_JEPGWEBTUNER [62] | Help command message coming from LDialogWeb::DoModalJPEGWebTuner.
 | DLG_HELP_PNGWEBTUNER [63] | Help command message coming from LDialogWeb::DoModalPNGWebTuner.
 | DLG_HELP_CUSTOMIZEPALETTE [64] | Help command message coming from LDialogColor::DoModalCustomizePalette.
 | DLG_HELP_PICTURIZE [65] | Help command message coming from LDialogImageEffect::DoModalPicturize.
 | DLG_HELP_UNDERLAY [66] | Help command message coming from LDialogImageEffect::DoModalUnderlay.
 | DLG_HELP_AUTOTRIM [67] | Help command message coming from LDialogImage::DoModalAutoTrim.
 | DLG_HELP_GAUSSIANBLUR [68] | Help command message coming from LDialogImageEffect::DoModalGaussianBlur.
 | DLG_HELP_UNSHARPMASK [69] | Help command message coming from LDialogImageEffect::DoModalUnsharpMask.
 | DLG_HELP_ANTIALIAS [70] | Help command message coming from LDialogImageEffect::DoModalAntiAlias.
 | DLG_HELP_EDGEDETECTOR [71] | Help command message coming from LDialogImageEffect::DoModalEdgeDetector.
 | DLG_HELP_REMOVEREDEYE [72] | Help command message coming from LDialogDocument::DoModalRemoveRedEye.
 | DLG_HELP_MOTIONBLUR [73] | Help command message coming from LDialogImageEffect::DoModalMotionBlur.
 | DLG_HELP_GRAYSCALE [74] | Help command message coming from LDialogColor::DoModalGrayScale.
 | DLG_HELP_COLOREDGRAY [75] | Help command message coming from LDialogColor::DoModalColoredGray.
 | DLG_HELP_HISTOGRAM [76] | Help command message coming from LDialogImage::DoModalHistogram.
 | DLG_HELP_MULTIPLY [78] | Help command message coming from LDialogImageEffect::DoModalMultiply.
 | DLG_HELP_LOCALHISTOEQUALIZE [79] | Help command message coming from LDialogColor::DoModalLocalHistoEqualize.
 | DLG_HELP_BALANCECOLORS [80] | Help command message coming from LDialogColor::DoModalBalanceColors.
 | DLG_HELP_ADDBITMAPS [81] | Help command message coming from LDialogImageEffect::DoModalAddBitmaps.
 | DLG_HELP_PRINTPREVIEW [82] | Help command message coming from LDialogFile::DoModalPrintStitchedImages.
 | DLG_HELP_REMAPINTENSITY [83] | Help command message coming from LDialogColor::DoModalRemapIntensity.
 | DLG_HELP_REMAPHUE [84] | Help command message coming from LDialogColor::DoModalRemapHue.
 | DLG_HELP_FREEHANDWAVE [85] | Help command message coming from LDialogImageEffect::DoModalFreeHandWave.
 | DLG_HELP_WIND [86] | Help command message coming from LDialogImageEffect::DoModalWind.
 | DLG_HELP_IMPRESSIONIST [87] | Help command message coming from LDialogImageEffect::DoModalImpressionist.
 | DLG_HELP_CYLINDRICAL [88] | Help command message coming from LDialogImageEffect::DoModalCylindrical.
 | DLG_HELP_POLAR [89] | Help command message coming from LDialogImageEffect::DoModalPolar.
 | DLG_HELP_PIXELATE [90] | Help command message coming from LDialogImageEffect::DoModalPixelate.
 | DLG_HELP_STITCH [91] | Help command message coming from LDialogImageEffect::DoModalStitch.
 | DLG_HELP_STITCH_TILE [92] | Help command message coming from LDialogImageEffect::DoModalStitch.
 | DLG_HELP_STITCH_ATTRIBUTES [93] | Help command message coming from LDialogImageEffect::DoModalStitch.
 | DLG_HELP_ZOOMWAVE [94] | Help command message coming from LDialogImageEffect::DoModalZoomWave.
 | DLG_HELP_RADIALWAVE [95] | Help command message coming from LDialogImageEffect::DoModalRadialWave.
 | DLG_HELP_RIPPLE [96] | Help command message coming from LDialogImageEffect::DoModalRipple.
 | DLG_HELP_PUNCH [97] | Help command message coming from LDialogImageEffect::DoModalPunch.
 | DLG_HELP_BENDING [98] | Help command message coming from LDialogImageEffect::DoModalBending.
 | DLG_HELP_SPHERIZE [99] | Help command message coming from LDialogImageEffect::DoModalSpherize.
 | DLG_HELP_SWIRL [100] | Help command message coming from LDialogImageEffect::DoModalSwirl.
 | DLG_HELP_RADIALBLUR [101] | Help command message coming from LDialogImageEffect::DoModalRadialBlur.
 | DLG_HELP_ZOOMBLUR [102] | Help command message coming from LDialogImageEffect::DoModalZoomBlur.
 | DLG_HELP_WAVE [103] | Help command message coming from LDialogImageEffect::DoModalWave.
 | DLG_HELP_WAVESHEAR [104] | Help command message coming from LDialogImageEffect::DoModalWaveShear.
 | DLG_HELP_FILECONVERSION [105] | Help command message coming from LDialogFile::DoModalFileConversion.
 | DLG_HELP_FILESAVEOPTIONS [106] | Help command message coming from LDialogFile::DoModalSave.
 | DLG_HELP_FILELOADOPTIONS [107] | Help command message coming from LDialogFile::DoModalOpen.
 | DLG_HELP_FILECONVERSION_LOGREPORT [108] | Help command message coming from LDialogFile::DoModalFileConversion.
 | DLG_HELP_PRINTPREVIEW_PREFERENCES [109] | Help command message coming from LDialogFile::DoModalPrintStitchedImages.
 | DLG_HELP_PRINTSTITCHEDIMAGES [110] | Help command message coming from LDialogFile::DoModalPrintStitchedImages.
 | DLG_HELP_PRINTSTITCHEDIMAGES_DELETEPAGES [111] | Help command message coming from LDialogFile::DoModalPrintStitchedImages.
 | DLG_HELP_PRINTSTITCHEDIMAGES_INSERTPAGES [112] | Help command message coming from LDialogFile::DoModalPrintStitchedImages.
 | DLG_HELP_PRINT [113] | Help command message coming from LDialogFile::DoModalPrintStitchedImages.
 | DLG_HELP_PAGESETUP [114] | Help command message coming from LDialogFile::DoModalPrintStitchedImages.
 | DLG_HELP_FILECONVERSION_PROGRESS [115] | Help command message coming from LDialogFile::DoModalFileConversion.
 | DLG_HELP_FILECONVERSION_ADDPROGRESS[116] | Help command message coming from LDialogFile::DoModalFileConversion.
 | DLG_HELP_NAMINGTEMPLATE [117] | Help command message coming from LDialogFile::DoModalFileConversion.
 | DLG_HELP_RENAME [118] | Help command message coming from LDialogFile::DoModalFileConversion.
 | DLG_HELP_FILECONVERSION_ROTATE [119] | Help command message coming from LDialogFile::DoModalFileConversion.
 | DLG_HELP_FILECONVERSION_RESIZE [120] | Help command message coming from LDialogFile::DoModalFileConversion.
 | DLG_HELP_WINDOWLEVEL [121] | Help command message coming from LDialogColor::DoModalWindowLevel
 | DLG_HELP_JBIG2OPTIONS [122] | Help command message coming from LDialogFile::DoModalSave and LDialogFile::DoModalFileConversion.
iControlID | The ID of the control that received the context sensitive help request.

Returns

None

Comments

Override this function if you wish to provide help information for individual dialogs. The exact nature of the help provided is up to you, but must be outlined in this function.

This function will be called only if the callback functions are enabled, to enable callback functions for the LDialogBase object Call LBase::EnableCallBack (TRUE).

Required DLLs and Libraries

LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::LDialogBase, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogBase::SetFont.


LDialogBase::EnableAutoProcess

#include "ltwrappr.h"

L_BOOL LDialogBase::EnableAutoProcess(bAuto=TRUE)

L_BOOL bAuto;

/* flag that indicates whether to enable auto processing */

Enables or disables auto processing.

Parameter | Description
bAuto | Flag that indicates whether to enable auto processing. Possible values are:
 | Value | Meaning
 | TRUE | Enable auto processing.
 | FALSE | Disable auto processing.

Returns

The previous state of EnableAutoProcess.

Comments

If autoprocessing is enabled, the dialog will attempt to process the LBitmapBase object associated with it when you display a dialog that supports autoprocessing.

Before auto processing can be performed by a dialog other than FileOpen, the class object must have a valid LBitmapBase object associated with it. See LDialogBase::SetBitmap for more information.

Required DLLs and Libraries

LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::LDialogBase, Class Members
Topics: | Using Imaging Common Dialog

Example

L_VOID TestFunction(HWND hWnd)
{
LDialogBase MyDialog;

if (MyDialog.IsAutoProcessEnabled())
{
MessageBox(hWnd, TEXT("Auto Process Is Enabled"),TEXT("Example"),MB_OK|MB_ICONINFORMATION);
}
else
MyDialog.EnableAutoProcess();
}


LDialogBase::EnablePreview

#include "ltwrappr.h"

L_BOOL LDialogBase::EnablePreview(bEnablePreview=TRUE)

L_BOOL bEnablePreview;

/* flag that indicates whether to enable showing a preview */

Enables or disables preview showing for the dialogs.

Parameter | Description
bEnablePreview | Flag that indicates whether to enable showing the preview. Possible values are:
 | Value | Meaning
 | TRUE | Enable showing the preview.
 | FALSE | Disable showing the preview.

Returns

The previous state for EnablePreview.

Comments

When the preview is enabled, dialogs that support image preview will display a thumbnail view of the image that allows the user to preview the operation before dismissing the dialog box.

Required DLLs and Libraries

LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::LDialogBase, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, Class Members
Topics: | Using Imaging Common Dialog

Example

L_VOID TestFunction(HWND hWnd)
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);   //make sure all libraries are loaded

LDialogImage  MyDialog;

MyDialog.EnableAutoProcess();
MyDialog.EnablePreview(FALSE);     //Stop dialog preview
// Call Rotate Dialog...
}


LDialogBase::EnableToolbar

#include "ltwrappr.h"

L_BOOL LDialogBase::EnableToolbar(bEnableToolbar=TRUE)

L_BOOL bEnableToolbar;

/* flag that indicates whether to display the toolbar */

Enables or disables the displaying of the toolbar in the dialogs.

Parameter | Description
bEnableToolbar | Flag that indicates whether to display the toolbar in the dialogs. Possible values are:
 | Value | Meaning
 | TRUE | Display the toolbar.
 | FALSE | Do not display the toolbar.

Returns

The previous state for EnableToolbar.

Comments

Only dialogs that support displaying the toolbar are affected by this function.

Required DLLs and Libraries

LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::IsToolbarEnabled, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogBase::IsToolbarEnabled.


LDialogBase::Free

#include "ltwrappr.h"

static L_INT LDialogBase::Free ()

Frees the internal data for the LEADTOOLS Common Dialogs.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This function will free the internal data for the LEADTOOLS Common Dialogs that was allocated by LDialogBase::Initialize. You should only call this function if you have previously called the LDialogBase::Initialize function. After calling this function you will not be able to use any LEADTOOLS Common Dialog.

Required DLLs and Libraries

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalRotate or LDialogColor::DoModalBrightness.


LDialogBase::GetBitmap

#include "ltwrappr.h"

LBitmapBase L_FAR * LDialogBase::GetBitmap(L_VOID)

Gets the LBitmapBase object used by the dialogs for auto processing.

Returns

A pointer to the bitmap object used by the dialogs.

Required DLLs and Libraries

LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::LDialogBase, LDialogBase::EnableAutoProcess, LDialogBase::SetBitmap, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogBase::SetFont.


LDialogBase::GetString

#include "ltwrappr.h"

static L_INT LDialogBase::GetString(uString, pszString)

L_UINT32 uString; | /* index of a string */
L_TCHAR L_FAR * pszString; | /* pointer to the variable to be updated */

Gets the current string for the specified index.

Parameter | Description
uString | Index into a list of strings. For a list of the strings, refer to Dialog Strings.
pszString | Pointer to the buffer to be updated with the current string.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

Before calling this function, call LDialogBase::GetStringLen to get the length of the text you want to retrieve.

Before calling this function, you must declare a variable as a pointer to a character string. You must allocate enough memory to hold the character string. Then, pass the variable in the pszString parameter. This function will update the variable with the character string at the given index.

Required DLLs and Libraries

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::GetStringLen, LDialogBase::SetString, LDialogBase::SetFont, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogBase::SetFont.


LDialogBase::GetStringLen

#include "ltwrappr.h"

static L_INT LDialogBase::GetStringLen(uString, puLen)

L_UINT32 uString; | /* index of a string */
L_UINT L_FAR * puLen; | /* pointer to the variable to be updated */

Gets the length of the string at the specified index.

Parameter | Description
uString | Index into a list of strings. For a list of the strings, refer to Dialog Strings.
puLen | Pointer to an unsigned integer variable that this function will update with the length of the item's current character string.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

Once you know the length of the string at the specified index, retrieve the text by calling LDialogBase::GetString.

Use LDialogBase::SetString to modify the text.

Before calling this function, you must declare an unsigned integer variable. Then, pass the address of the variable in the puLen parameter. This function will update the variable with the length of the automation item's character string.

Required DLLs and Libraries

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::GetString, LDialogBase::SetString, LDialogBase::SetFont, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogBase::SetFont.


LDialogBase::Initialize

#include "ltwrappr.h"

static L_INT LDialogBase::Initialize (uFlags)

L_UINT32 uFlags;

/* dialog data initialization flags */

Initializes the internal data for the LEADTOOLS Common Dialogs.

Parameter | Description
uFlags | Data initialization flags. Determines the dialog data to be initialized.
 | Value | Meaning
 | 0 | [0x0000] Initialize only the essential data: required for all dialogs.
 | DLG_INIT_COLOR | [0x0001] Initialize LEAD color data for the dialogs and enable the use of color models such as RGB, HSB, Lab, etc. Setting this flag lets LEADTOOLS display the LEAD Color dialog when the color picker button is pressed in any dialog that includes a color picker button.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

You must call this function once and only once before using any LEADTOOLS Common Dialogs. Additionally, you must call LDialogBase::Free when you are finished using LEADTOOLS Common Dialogs in your application.

If you pass DLG_INIT_COLOR you must have ltclr14n.dll, ltdlgres14n.dll, and ltdlgclr14.dll.

Required DLLs and Libraries

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Free, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalRotate or LDialogColor::DoModalBrightness.


LDialogBase::IsAutoProcessEnabled

#include "ltwrappr.h"

L_BOOL LDialogBase::IsAutoProcessEnabled(L_VOID) const

Determines whether auto processing is enabled or not.

Returns

TRUE | Auto processing is enabled.
FALSE | Auto processing is disabled.

Required DLLs and Libraries

LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::LDialogBase, LDialogBase::EnableAutoProcess, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogBase::EnableAutoProcess.


LDialogBase::IsPreviewEnabled

#include "ltwrappr.h"

L_BOOL LDialogBase::IsPreviewEnabled(L_VOID) const

Enables or disables the dialog preview.

Returns

TRUE | Showing the preview is enabled.
FALSE | Showing the preview is disabled.

Required DLLs and Libraries

LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::LDialogBase, Class Members
Topics: | Using Imaging Common Dialog

Example

L_VOID TestFunction(HWND hWnd)
{
LDialogBase MyDialog;

if (MyDialog.IsPreviewEnabled())
{
MessageBox(hWnd, TEXT("Show Preview Is Enabled"),TEXT("Example"),MB_OK|MB_ICONINFORMATION);
}
else
MyDialog.EnablePreview();
}


LDialogBase::IsToolbarEnabled

#include "ltwrappr.h"

L_BOOL LDialogBase::IsToolbarEnabled(L_VOID) const

Determines whether displaying the toolbar is enabled or not.

Returns

TRUE | Displaying the toolbar is enabled.
FALSE | Displaying the toolbar is disabled.

Required DLLs and Libraries

LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::EnableToolbar, Class Members
Topics: | Using Imaging Common Dialog

Example

L_VOID TestFunction(LDialogBase & Dialog)
{
if (!Dialog.IsToolbarEnabled())
{
Dialog.EnableToolbar ();
MessageBox(NULL, TEXT("Displaying the toolbar has been enabled!"),
TEXT("Testing"), MB_OK);
}
else
MessageBox(NULL, TEXT("Displaying the toolbar is already enabled!"),
TEXT("Testing"), MB_OK);
}


LDialogBase::SetBitmap

#include "ltwrappr.h"

static L_INT LDialogBase::SetBitmap(pBitmap)

LBitmapBase L_FAR * pBitmap;

/* pointer to an LBitmapBase object */

Sets the bitmap of the Dialog object.

Parameter | Description
pBitmap | Pointer to the bitmap object referencing the bitmap object to assign to the specified object.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Required DLLs and Libraries

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::GetStringLen, LDialogBase::SetString, LDialogBase::SetFont, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogBase::SetFont.


LDialogBase::SetFont

#include "ltwrappr.h"

static HFONT LDialogBase::SetFont(hFont)

HFONT hFont;

/* handle to the selected font */

Sets the font for the LEADTOOLS Common Dialogs.

Parameter | Description
hFont | Handle to the selected font.

Returns

!NULL | The previous font.
NULL | An error occurred.

Comments

The default font is your system’s default font.

Call this function with hFont set to NULL to use the default system font.

The hFont parameter will not be copied. You must insure that the hFont remains valid until it is no longer needed.

Required DLLs and Libraries

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::GetString, LDialogBase::SetString, LDialogBase::SetFont, Class Members
Topics: | Using Imaging Common Dialog

Example

class CMyColorDlg : public LDialogColor
{
public:
L_VOID DlgHelpCallBack(L_UINT32 uFlag, L_INT nCtlID );
};

L_VOID CMyColorDlg::DlgHelpCallBack(L_UINT32 uFlag, L_INT nCtlID )
{
switch ( uFlag )
{
case DLG_HELP_SOLARIZE:
{
switch (nCtlID )
{
case DLG_SOLARIZE_IDSTR_CAPTION:
case DLG_SOLARIZE_IDSTR_THRESHOLD:
{
MessageBox ( NULL,
TEXT("Help with Solarize!"),
TEXT("Help"),
MB_OK ) ;

break ;
}
}

break ;
}
}
}

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_UINT         uLen ;
HFONT          hMyFont = NULL ;
L_TCHAR L_FAR*  pszString = NULL ;
L_TCHAR         szNewCaption [] = TEXT("My New Solarize Caption");

HDC m_pDC = GetDC ( hWnd);
hMyFont = CreateFont ( - MulDiv ( 8, GetDeviceCaps ( m_pDC, LOGPIXELSY ), 72 ),
0,
0,
0,
FW_BOLD,
FALSE,
FALSE,
FALSE,
DEFAULT_CHARSET,
OUT_DEFAULT_PRECIS,
CLIP_DEFAULT_PRECIS,
DEFAULT_QUALITY,
DEFAULT_PITCH,
TEXT("Bones")) ;
CMyColorDlg::SetFont ( hMyFont ) ;
CMyColorDlg::GetStringLen ( DLG_SOLARIZE_IDSTR_CAPTION, &uLen ) ;
// sdd 1, for the terminating NULL
pszString = ( L_TCHAR L_FAR* ) GlobalAlloc ( GMEM_FIXED,
( uLen * sizeof ( L_TCHAR ) + 1 ) ) ;

CMyColorDlg::GetString( DLG_SOLARIZE_IDSTR_CAPTION, pszString ) ;

// display default caption string
MessageBox ( hWnd,pszString, TEXT("Default"), MB_OK ) ;

GlobalFree ( pszString ) ;

// change caption string
CMyColorDlg::SetString ( DLG_SOLARIZE_IDSTR_CAPTION, szNewCaption ) ;

// now, display the dialog to see our changes
{
CMyColorDlg ColorDlg;
SOLARIZEDLGPARAMS DlgParams ;
ColorDlg.SetBitmap (pBitmap);

memset ( &DlgParams, 0, sizeof ( SOLARIZEDLGPARAMS ) ) ;

DlgParams.uStructSize           = sizeof ( SOLARIZEDLGPARAMS ) ;
DlgParams.uDlgFlags       = DLG_SOLARIZE_SHOW_CONTEXTHELP;

ColorDlg.EnableCallBack
 (FALSE);
ColorDlg.EnablePreview (TRUE);
ColorDlg.EnableAutoProcess (TRUE);
ColorDlg.EnableToolbar (TRUE);
ColorDlg.SetSolarizeParams (&DlgParams) ;
ColorDlg.DoModalSolarize (hWnd);
pBitmap->SetHandle(ColorDlg.GetBitmap()->GetHandle ());
}

LDialogColor::SetFont( NULL ) ;

DeleteObject ( hMyFont ) ;

ReleaseDC (hWnd, m_pDC ) ;

}


LDialogBase::SetString

#include "ltwrappr.h"

static L_INT LDialogBase::SetString(uString, pszString)

L_UINT32 uString; | /* index of a string */
L_TCHAR L_FAR * pszString; | /* character string that contains the string to set */

Sets the new string for the specified index in order to change the dialog’s strings.

Parameter | Description
UString | Index into a list of strings. For a list of the strings, refer to Dialog Strings.
pszString | Character string that contains the new string to set.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Required DLLs and Libraries

LTDLGKRN

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::GetStringLen, LDialogBase::GetString, LDialogBase::SetFont, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogBase::SetFont.


LDialogColor::LDialogColor

#include "ltwrappr.h"

L_VOID LDialogColor::LDialogColor()

L_VOID LDialogColor::LDialogColor(pBitmap)

LBitmapBase L_FAR * pBitmap;

/* pointer to an LBitmapBase object */

Constructs and initializes the member variables of the LDialogColor object.

Parameter | Description
pBitmap | Pointer to the bitmap object referencing the bitmap object to assign to the specified object.

Returns

None.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::~LDialogColor
 | Using Imaging Common Dialog

Example

//This is an example for : LDialogColor:: LDialogColor ()
L_VOID TestFunction( )
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogColor MyDialogColor;     //construct a dialogcolor object

//.... do something here   ....
//Destructor is called upon returning from function
}

//This is an example for : LDialogColor:: LDialogColor (pBitmap)
L_VOID TestFunction(LBitmapBase * BitmapObj)
{
LBase::LoadLibraries(LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogColor MyDialogColor (BitmapObj);     //construct a dialogcolor object

//.... do something here   ....

}


LDialogColor::~LDialogColor

#include "ltwrappr.h"

virtual L_VOID LDialogColor::~LDialogColor()

Destroys the object, and frees any resources associated with it.

Returns

None.

Comments

This is the destructor for the LDialogColor class.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::LDialogColor
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::LDialogColor.


LDialogColor::DoModalBalanceColors

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalBalanceColors(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Balance Colors dialog box, and gets the options for LBitmap::BalanceColors . This function supports only RGB images. It does not support grayscale images.

Support for 48-bit and 64-bit colored images are available only in the Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetBalanceColorsParams must be called before using this function to set the initial values for the dialog. You can get the updated BALANCECOLORSDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetBalanceColorsParams.

The Balance Colors dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::BalanceColors
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

BALANCECOLORSDLGPARAMS DlgParams ;
BALANCING              RedFactor ;
BALANCING              GreenFactor ;
BALANCING              BlueFactor ;

memset ( &DlgParams, 0, sizeof ( BALANCECOLORSDLGPARAMS ) ) ;
memset ( &RedFactor, 0, sizeof ( BALANCING ) ) ;
memset ( &GreenFactor, 0, sizeof ( BALANCING ) ) ;
memset ( &BlueFactor, 0, sizeof ( BALANCING ) ) ;

DlgParams.uStructSize        = sizeof ( BALANCECOLORSDLGPARAMS ) ;
DlgParams.RedFactor   = RedFactor ;
DlgParams.GreenFactor = GreenFactor ;
DlgParams.BlueFactor  = BlueFactor ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetBalanceColorParams(&DlgParams) ;
DlgColor.DoModalBalanceColors(hWnd);

// Gets the updated values for the structure
DlgColor.GetBalanceColorParams(&DlgParams, sizeof(DlgParams)) ;

DlgColor.Free();
}


LDialogColor::DoModalBrightness

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalBrightness(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Brightness dialog box, and gets the options for LBitmap::ChangeIntensity .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Comments

LDialogColor::SetBrightnessParams must be called before using this function to set the initial values for the dialog. You can get the updated BRIGHTNESSDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetBrightnessParams.

The Brightness dialog is shown in the following figure:

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::ChangeIntensity
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

BRIGHTNESSDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( BRIGHTNESSDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( BRIGHTNESSDLGPARAMS ) ;

DlgColor.EnableCallBack
  (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetBrightnessParams(&DlgParams) ;
DlgColor.DoModalBrightness(hWnd);

// Gets the updated values for the structure
DlgColor.GetBrightnessParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalColor

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalColor(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Color dialog box, which allows the user to pick a color.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetColorParams must be called before using this function to set the initial values for the dialog. You can get the updated COLORDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetColorParams.

The Color dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, Class Members
Topics: | Using Imaging Common Dialog
 | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

COLORDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( COLORDLGPARAMS ) ) ;

DlgParams.uStructSize = sizeof ( COLORDLGPARAMS ) ;
DlgParams.uDlgFlags = DLG_COLOR_SHOW_OLDCOLOR |
DLG_COLOR_SHOW_NEWCOLOR |
DLG_COLOR_SHOW_NAME |
DLG_COLOR_COLORSPACE_SHOW_HUE |
DLG_COLOR_COLORSPACE_SHOW_BRIGHTNESS |
DLG_COLOR_COLORSPACE_SHOW_WHEEL |
DLG_COLOR_COLORSPACE_SHOW_RGB |
DLG_COLOR_COLORSPACE_SHOW_CMY |
DLG_COLOR_COLORSPACE_SHOW_CMYK |
DLG_COLOR_COLORSPACE_SHOW_LAB |
DLG_COLOR_COLORMODEL_SHOW_RGB |
DLG_COLOR_COLORMODEL_SHOW_HSB |
DLG_COLOR_COLORMODEL_SHOW_HLS |
DLG_COLOR_COLORMODEL_SHOW_CMY |
DLG_COLOR_COLORMODEL_SHOW_CMYK |
DLG_COLOR_COLORMODEL_SHOW_LAB ;

DlgColor.EnableCallBack (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetColorParams(&DlgParams) ;
DlgColor.DoModalColor(hWnd);

// Gets the updated values for the structure
DlgColor.GetColorParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalColoredGray

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalColoredGray(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Colored Gray dialog box, and gets the options for LBitmap::ConvertToColoredGray .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetColoredGrayParams must be called before using this function to set the initial values for the dialog. You you can get the updated COLOREDGRAYDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetColoredGrayParams.

The Colored Gray dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::ConvertToColoredGray
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

COLOREDGRAYDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( COLOREDGRAYDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( COLOREDGRAYDLGPARAMS ) ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetColoredGrayParams(&DlgParams) ;
DlgColor.DoModalColoredGray(hWnd);

// Gets the updated values for the structure
DlgColor.GetColoredGrayParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalColorRes

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalColorRes(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Color Resolution dialog box, and gets the options for LBitmapBase::ColorRes .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetColorResParams must be called before using this function to set the initial values for the dialog. You can get the updated COLORRESDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetColorResParams.

The ColorRes dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmapBase::ColorRes , LDialogColor::DoModalCustomizePalette.
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

COLORRESDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( COLORRESDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( COLORRESDLGPARAMS ) ;
DlgParams.uDlgFlagsEx = DLG_COLORRES_SHOW_BITALL |
DLG_COLORRES_SHOW_DITHER_ALL |
DLG_COLORRES_SHOW_PAL_ALL ;
DlgParams.uDlgFlags   = DLG_COLORRES_SHOW_OPENPALFILE |
DLG_COLORRES_SHOW_ORDER;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetColorResParams(&DlgParams) ;
DlgColor.DoModalColorRes(hWnd);

// Gets the updated values for the structure
DlgColor.GetColorResParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalContrast

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalContrast(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Contrast dialog box, and gets the options for LBitmap::ChangeContrast

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetContrastParams must be called before using this function to set the initial values for the dialog. You can get the updated CONTRASTDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetContrastParams.

The Contrast dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::ChangeContrast
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize (DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

CONTRASTDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( CONTRASTDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( CONTRASTDLGPARAMS ) ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetContrastParams(&DlgParams) ;
DlgColor.DoModalContrast(hWnd);

// Gets the updated values for the structure
DlgColor.GetContrastParams(&DlgParams, sizeof(DlgParams)) ;

DlgColor.Free();
}


LDialogColor::DoModalCustomizePalette

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalCustomizePalette(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Customize Palette dialog box. This dialog box allows you to create, save, load, or edit custom palettes.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetCustomizePaletteParams must be called before using this function to set the initial values for the dialog. You can get the updated CUSTOMIZEPALETTEDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetCustomizePaletteParams.

The Customize Palette dialog is shown in the following figure:

This dialog has the following fields:

Palettes List:

The Palette List provides you with some standard palettes:

- System Colors This palette contains colors used by MS Windows when the screen mode is 256-colors.

- Netscape Palette This is the palette used by Netscape browsers.

- MSIE Palette This is the palette used by Microsoft Internet Explorer browsers.

- Gray Scale Palette This palette contains 256 shades of gray (such as the shades found in a "black & white" photograph).

- Standard VGA Palette This is the palette used by VGA monitors.

- Uniform Palette This palette contains a set of colors uniformly distributed across the set of all 16 million 24-bit colors.

If you pass a palette to the dialog the "Image Colors" item is added to the palette list to view the current colors in the passed palette.

Left Pane:

The Left Pane of the Customize Palette dialog displays the colors that you can add to your palette. This pane is not editable and it has two modes of display; it either displays lists of individual colors (palettes), or continuous colors based on a particular color model. When displaying palettes, you can select multiple individual colors using the <Ctrl> key, and a range of consecutive colors using the <Shift> key.

Right Pane:

The Right Pane of the Customize Palette displays the list of colors that you have chosen. (It is empty until you begin to choose colors). After selecting a single color or a group of colors in the left pane, you can add them to your list of chosen colors in the right pane by clicking the Add button or by dragging them into the right pane. You can re-arrange the colors in the right pane by clicking and dragging them to their new position, or by using one of the pre-defined sort methods listed in the Sort drop-down list box.

Color Value Display:

The RGB components and corresponding HTML form of the currently selected color are displayed at the bottom of the dialog.

Color Model Button:

The Color Model button will list the color models available for the left pane and can switch the display mode in the left pane.

Clicking this button will activate a menu with the following options:

- Palette. This option is the default. Choosing this option will activate the Palette drop-down list box and display the available colors in the Left Pane.

- HSB-Hue Based Choosing this option will open the HSB-Hue Based Model in the Left Pane.

- HSB-Wheel Based Choosing this option will open the HSB-Wheel Based Model in the Left Pane.

- HSB-Brightness Based Choosing this option will open the HSB-Brightness Based Model in the Left Pane.

- RGB-3D Additive Choosing this option will open the RGB-3D Additive Model in the Left Pane.

- CMY-3D Subtractive Choosing this option will open the CMY-3D Subtractive Model in the Left Pane.

- CMYK-3D Subtractive Choosing this option will open the CMYK-3D Subtractive Model in the Left Pane.

- Lab-Device Independent Choosing this option will open the Lab-Device Independent Model in the Left Pane.

Replace Button:

The Replace button replaces a number of selected items in the Right pane with the same number and order of selected items from the Left pane.

Add and Add Options:

The Add button adds an item or a group of items selected in the Left pane into the Right pane. Items can also be added from the Left pane to the Right pane by dragging them. Notice that the mouse cursor changes into a hand [image] when dragging item(s). If the cursor is not in a valid insert area, the cursor will turn into [image].

The Add Options button (the down arrow button to the right of the Add button) activates a menu that contains options indicating where those items should be added. The default is "At the end". The options included in this menu are as follows:

- At the End Add all insertions at the end of the list in the Right Pane.

- After Selected Add all insertions after the selected item. Notice that if no items are selected in the Right Pane the Add operation will fail and an error message will appear. This will also occur if more than one item is selected in the Right Pane.

- Before Selected Add all insertions before the selected item. Notice that if no items are selected in the Right Pane the Add operation will fail and an error message will appear. This will also occur if more than one item is selected in the Right Pane.

Notes: | If "After Selected" or "Before Selected" is chosen, the add operation will only be performed if there is exactly one item selected in the right pane.
 | "Add Options" is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_ADDOPTION flag is passed through the CUSTOMIZEPALETTEDLGPARAM structure.

Remove and Remove Options:

The Remove button removes the selected item(s) from the Right Pane. Items can also be removed by dragging them out of the Right Pane. Notice that the mouse cursor changes into [image] to indicate the item is about to be deleted.

The Remove Options button (the down arrow button to the right of the Remove button) activates a menu that allows you to set whether or not to be notified by a warning message when an item is about to be removed. The options included in this menu are as follows:

- Confirm When this option is checked a confirmation message will appear whenever you remove an item.

Find Closest Button:

The Find Closest button highlights the item in the Right Pane that is the closest match to the item selected in the Left Pane. This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_FINDCLOSEST flag is passed through the CUSTOMIZEPALETTEDLGPARAM structure.

Sort:

The Sort button allows you to choose a method for sorting items in the right pane depending on their color components. Clicking the button will activate a menu with the following options:

- HSB Clicking this option will sort all items in the Right Pane according to their HSB color components.

- HUE Clicking this option will sort all items in the Right Pane according to the Hue value of their HSB color components.

- Saturation Clicking this option will sort all items in the Right Pane according to the Saturation value of their HSB color components.

- Brightness Clicking this option will sort all items in the Right Pane according to the Brightness value of their HSB color components.

- RGB Clicking this option will sort all items in the Right Pane according to their RGB color components.

- Reverse Clicking this option will invert the order of all items in the Right Pane.

Note:

"Sort" is displayed only if DLG_CUSTOMIZEPALETTE_SHOW_SORT flag is passed through the CUSTOMIZEPALETTEDLGPARAM structure.

Apply When Exit Check box:

When you pass the DLG_CUSTOMIZEPALETTE_GENARATE_PALETTE flag, you can prompt the user to use the palette generated or not by using the DLG_CUSTOMIZEPALETTE_SHOW_APPLYPALETTEWHENEXIT flag which shows/hides the ‘Apply When Exit’ checkbox.

New:

Use the New button to empty the Right Pane. This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_NEW flag is passed through the CUSTOMIZEPALETTEDLGPARAM structure.

Open:

Use the Open button to open a previously saved palette file; palette files have the extension "ltp". This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_OPEN flag is passed through the CUSTOMIZEPALETTEDLGPARAM structure.

Save:

Use the Save button to save your palette. If you are starting a new file, the save command will prompt you for the file location and name. This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_SAVE flag is passed through the CUSTOMIZEPALETTEDLGPARAM structure.

Save as:

Use the Save as command to save a palette to a new filename. If you are starting a new file, the save command will prompt you for the file location and name. This button is displayed only if the DLG_CUSTOMIZEPALETTE_SHOW_SAVEAS flag is passed through the CUSTOMIZEPALETTEDLGPARAM structure.

Close:

Use the Close button to end the dialog. If there are changes unsaved on the Right Pane, a prompt message will appear.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LDialogColor::DoModalColorRes, LBitmapBase::ColorRes , LBitmapBase::SetPalette , LBitmapBase::DupPalette , LBitmapBase::GetFixedPalette
Topics: | Using Imaging Common Dialog
 | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

CUSTOMIZEPALETTEDLGPARAMS DlgParams ;

memset ( &DlgParams, 0, sizeof ( CUSTOMIZEPALETTEDLGPARAMS ) ) ;

DlgParams.uStructSize = sizeof ( CUSTOMIZEPALETTEDLGPARAMS ) ;
DlgParams.uDlgFlags = DLG_CUSTOMIZEPALETTE_SHOW_SORT |
DLG_CUSTOMIZEPALETTE_SHOW_FINDCLOSEST |
DLG_CUSTOMIZEPALETTE_SHOW_ADDOPTION |
DLG_CUSTOMIZEPALETTE_SHOW_REMOVEOPTION |
DLG_CUSTOMIZEPALETTE_SHOW_COLORMODEL |
DLG_CUSTOMIZEPALETTE_SHOW_RGBLEFTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_HTMLLEFTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_INDEXLEFTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_RGBRIGHTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_HTMLRIGHTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_INDEXRIGHTPAN |
DLG_CUSTOMIZEPALETTE_SHOW_NEW |
DLG_CUSTOMIZEPALETTE_SHOW_OPEN |
DLG_CUSTOMIZEPALETTE_SHOW_SAVE |
DLG_CUSTOMIZEPALETTE_SHOW_SAVEAS |
DLG_CUSTOMIZEPALETTE_GENERATE_PALETTE ;

DlgColor.EnableCallBack (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetCustomizePaletteParams(&DlgParams) ;
DlgColor.DoModalCustomizePalette(hWnd);

// Gets the updated values for the structure
DlgColor.GetCustomizePaletteParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalGammaAdjustment

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalGammaAdjustment(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Gamma Adjustment dialog box and gets the options for the gamma correction functions.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetGammaAdjustmentParams must be called before using this function to set the initial values for the dialog. You can get the updated GAMMAADJUSTMENTDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetGammaAdjustmentParams.

The Gamma Adjustment dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::GammaCorrect , LBitmapBase::GetPaintGamma , LBitmapBase::SetPaintGamma
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

GAMMAADJUSTMENTDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( GAMMAADJUSTMENTDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( GAMMAADJUSTMENTDLGPARAMS ) ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetGammaAdjustmentParams(&DlgParams) ;
DlgColor.DoModalGammaAdjustment(hWnd);

// Gets the updated values for the structure
DlgColor.GetGammaAdjustmentParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();

}


LDialogColor::DoModalGrayScale

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalGrayScale(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Gray Scale dialog box, and gets the options for LBitmap::GrayScaleExt .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetGrayScaleParams must be called before using this function to set the initial values for the dialog. You can get the updated GRAYSCALEDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetGrayScaleParams.

The Gray Scale dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::GrayScaleExt
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

GRAYSCALEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( GRAYSCALEDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( GRAYSCALEDLGPARAMS ) ;
DlgParams.nRedFactor   = 400 ;
DlgParams.nGreenFactor = 300 ;
DlgParams.nBlueFactor  = 300 ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetGrayScaleParams(&DlgParams) ;
DlgColor.DoModalGrayScale(hWnd);

// Gets the updated values for the structure
DlgColor.GetGrayScaleParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalHalfTone

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalHalfTone(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Halftone dialog box, and gets the options for LBitmap::HalfTone .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetHalfToneParams must be called before using this function to set the initial values for the dialog. You can get the updated HALFTONEDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetHalfToneParams.

The Halftone dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::HalfTone .
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

HALFTONEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( HALFTONEDLGPARAMS ) ) ;

DlgParams.uStructSize     = sizeof ( HALFTONEDLGPARAMS );
DlgParams.nAngle    = 5;
DlgParams.uDim      = 5;
DlgParams.uType     = HT_RECT ;
DlgParams.uDlgFlags = DLG_HALFTONE_SHOW_PREVIEW |
DLG_HALFTONE_SHOW_TOOL_ZOOMLEVEL;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetHalfToneParams(&DlgParams) ;
DlgColor.DoModalHalfTone(hWnd);

// Gets the updated values for the structure
DlgColor.GetHalfToneParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalHistoContrast

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalHistoContrast(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the HistoContrast dialog box, and gets the options for LBitmap::HistoContrast .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetHistoContrastParams must be called before using this function to set the initial values for the dialog. You can get the updated HISTOCONTRASTDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetHistoContrastParams.

The HistoContrast dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::HistoContrast
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

HISTOCONTRASTDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( HISTOCONTRASTDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( HISTOCONTRASTDLGPARAMS ) ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetHistoContrastParams(&DlgParams) ;
DlgColor.DoModalHistoContrast(hWnd);

// Gets the updated values for the structure
DlgColor.GetHistoContrastParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalHue

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalHue(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Hue dialog box, and gets the options for LBitmap::ChangeHue .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetHueParams must be called before using this function to set the initial values for the dialog. You can get the updated HUEDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetHueParams.

The Hue dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::ChangeHue
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

HUEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( HUEDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( HUEDLGPARAMS ) ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetHueParams(&DlgParams) ;
DlgColor.DoModalHue(hWnd);

DlgColor.GetHueParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalIntensityDetect

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalIntensityDetect(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Intensity Detect dialog box, and gets the options for LBitmap::IntensityDetect .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetIntensityDetectParams must be called before using this function to set the initial values for the dialog. You can get the updated INTENSITYDETECTDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetIntensityDetectParams.

The Intensity Detect dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::IntensityDetect
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

INTENSITYDETECTDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( INTENSITYDETECTDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( INTENSITYDETECTDLGPARAMS ) ;
DlgParams.uChannel    = IDB_CHANNEL_MASTER ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetIntensityDetectdParams(&DlgParams) ;
DlgColor.DoModalIntensityDetect(hWnd);

// Gets the updated values for the structure
DlgColor.GetIntensityDetectdParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();

}


LDialogColor::DoModalLocalHistoEqualize

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalLocalHistoEqualize(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Local Histo Equalize dialog box, and gets the options for LBitmap::LocalHistoEqualize . This function is available in the Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetLocalHistoEqualizeParams must be called before using this function to set the initial values for the dialog. You can get the updated LOCALHISTOEQUALIZEDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetLocalHistoEqualizeParams.

The Local Histo Equalize dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::LocalHistoEqualize
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

LOCALHISTOEQUALIZEDLGPARAMS DlgParams ;

memset ( &DlgParams, 0, sizeof ( LOCALHISTOEQUALIZEDLGPARAMS ) ) ;

DlgParams.uStructSize     = sizeof ( LOCALHISTOEQUALIZEDLGPARAMS ) ;
DlgParams.nWidth    = ( L_INT ) pBitmap->GetWidth() / 2 ;
DlgParams.nHeight   = ( L_INT ) pBitmap->GetHeight() / 2 ;
DlgParams.uType     = YUV_SPACE ;
DlgParams.uDlgFlags = DLG_LOCALHISTOEQUALIZE_SHOW_PREVIEW |
DLG_LOCALHISTOEQUALIZE_SHOW_TOOL_ZOOMLEVEL;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetLocalHistoEqualizeParams(&DlgParams) ;
DlgColor.DoModalLocalHistoEqualize(hWnd);

// Gets the updated values for the structure
DlgColor.GetLocalHistoEqualizeParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();

}


LDialogColor::DoModalPosterize

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalPosterize(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Posterize dialog box, and gets the options for LBitmap::Posterize .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetPosterizeParams must be called before using this function to set the initial values for the dialog. You can get the updated POSTERIZEDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetPosterizeParams.

The Posterize dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Posterize .
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

POSTERIZEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( POSTERIZEDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( POSTERIZEDLGPARAMS ) ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetPosterizeParams(&DlgParams) ;
DlgColor.DoModalPosterize(hWnd);

// Gets the updated values for the structure
DlgColor.GetPosterizeParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();

}


LDialogColor::DoModalRemapHue

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalRemapHue(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Remap Hue dialog box, and gets the options for LBitmap::RemapHue .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetRemapHueParams must be called before using this function to set the initial values for the dialog. You can get the updated REMAPHUEDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetRemapHueParams.

The Remap Hue dialog is shown in the following figure:

This dialog has the following fields:

Channel Drop-down list box:

Use this to select the channel to remap. There are three choices:

- Hue: remaps the Hue channel, for the values within the mask range.

- Saturation: remaps the Saturation channel, for the values within the mask range.

- Value: remaps the Value channel, for the values within the mask range.

Curve Mode Drop-down list box:

Use this to select the curve mode to use when remapping. There are four choices:

- [image] Curve: remaps the selected channel using curve data.

- [image] Linear: remaps the selected channel using linear data.

- [image] Exponential: remaps the selected channel using exponential data, which is affected by the Factor value.

- [image] Logarithm: remaps the selected channel using logarithmic data, which is affected by the Factor value.

Factor Edit box:

Use this to set the factor of the Exponential/Logarithm curve. Enter the value directly in the edit box or use the arrows to set the desired value.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Mask Multi-Slider:

Use the Mask Multi-slider Control to specify the range of values for which to apply the changes specified by the channel, the Curve mode and the factor. The first marker from the left is the minimum value of the range, and the second is the maximum value.

Reset Button:

Use the Reset button to set the curve of the current channel to the default values.

Reset All Button:

Use the Reset All button to set the curve for all the channels to default values.

Load Button:

Use the Load button to load an "*.lrh" file that contains Remap Hue curve settings, using the Load dialog. The loaded file will set a new curve for each channel. NOTE: Loading curve settings will overwrite all current settings for all channels!

Save Button:

Use the Save button to save all the curve settings for all the channels into an "*.lrh" file. This allows you set the same curve settings for other images by re-loading the file.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::RemapHue
Topics: | Using Imaging Common Dialog
 | Curve Control

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR
 );
DlgColor.SetBitmap(pBitmap);

REMAPHUEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( REMAPHUEDLGPARAMS
 ) ) ;

DlgParams.uStructSize = sizeof ( REMAPHUEDLGPARAMS )
 ;

DlgColor.:EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetRemapHueParams(&DlgParams)
 ;
DlgColor.DoModalRemapHue(hWnd);

// Gets the updated values for the structure
DlgColor.GetRemapHueParams(&DlgParams,
 sizeof(DlgParams)) ;
DlgColor.Free();

if ( NULL != DlgParams.puMaskLookup )
{
GlobalFree ( DlgParams.puMaskLookup
 ) ;
}

if ( NULL != DlgParams.puHueLookup )
{
GlobalFree ( DlgParams.puHueLookup
 ) ;
}

if ( NULL != DlgParams.puSaturationLookup )
{
GlobalFree ( DlgParams.puSaturationLookup
 ) ;
}

if ( NULL != DlgParams.puValueLookup )
{
GlobalFree ( DlgParams.puValueLookup
 ) ;
}
}


LDialogColor::DoModalRemapIntensity

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalRemapIntensity(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Remap Intensity dialog box, and gets the options for LBitmap::RemapIntensity .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetRemapIntensityParams must be called before using this function to set the initial values for the dialog. You can get the updated REMAPINTENSITYDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetRemapIntensityParams.

The Remap Intensity dialog is shown in the following figure:

This dialog has the following fields:

Channel Drop-down list box:

Use this to select the channel to remap. There are four choices:

- RGB: remap all channels.

- Red: remap the red channel.

- Green: remap the green channel.

- Blue: remap the blue channel.

Curve Mode Drop-down list box:

Use this to select the curve mode to use when remapping. There are four choices:

- [image] Curve: remaps the selected channel using curve data.

- [image] Linear: remaps the selected channel using linear data.

- [image] Exponential: remaps the selected channel using exponential data, which is affected by the Factor value.

- [image] Logarithm: remaps the selected channel using logarithmic data, which is affected by the Factor value.

Factor Edit box:

Use this to set the factor of the Exponential/Logarithm curve. Enter the value directly in the edit box or use the arrows to set the desired value.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Reset Button:

Use the Reset button to set the curve of the current channel to default values.

Reset All Button:

Use the Reset All button to set the curve for all the channels to default values.

Load Button:

Use the Load button to load an "*.lri" file that contains Remap Intensity curve settings, using the Load dialog. The loaded file will set a new curve for each channel. NOTE: Loading curve settings will overwrite all current settings for all channels!

Save Button:

Use the Save button to save all the curve settings for all the channels into an "*.lri" file. This allows you set the same curve settings for other images by re-loading the file.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::GrayScaleExt
Topics: | Using Imaging Common Dialog
 | Curve Control

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR
 );
DlgColor.SetBitmap(pBitmap);

REMAPINTENSITYDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( REMAPINTENSITYDLGPARAMS
 ) ) ;

DlgParams.uStructSize = sizeof ( REMAPINTENSITYDLGPARAMS
 ) ;
DlgParams.uChannel = CHANNEL_RED ;
DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetRemapIntensityParams(&DlgParams)
 ;
DlgColor.DoModalRemapIntensity(hWnd);

// Gets the updated values for the structure
DlgColor.GetRemapIntensityParams(&DlgParams,
 sizeof(DlgParams)) ;
DlgColor.Free();

if ( NULL != DlgParams.puRGBLookup )
{
GlobalFree ( DlgParams.puRGBLookup
 ) ;
}

if ( NULL != DlgParams.puRedLookup )
{
GlobalFree ( DlgParams.puRedLookup
 ) ;
}

if ( NULL != DlgParams.puGreenLookup )
{
GlobalFree ( DlgParams.puGreenLookup
 ) ;
}

if ( NULL != DlgParams.puBlueLookup )
{
GlobalFree ( DlgParams.puBlueLookup
 ) ;
}

}


LDialogColor::DoModalSaturation

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalSaturation(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Saturation dialog box, and gets the options for LBitmap::ChangeSaturation .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetContrastParams must be called before using this function to set the initial values for the dialog. You can get the updated CONTRASTDLGPARAMS with the values entered by the user through the LDialogColor::GetContrastParams dialog.

The Saturation dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::ChangeSaturation .
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

SATURATIONDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( SATURATIONDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( SATURATIONDLGPARAMS ) ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetSaturationParams(&DlgParams) ;
DlgColor.DoModalSaturation(hWnd);

// Gets the updated values for the structure
DlgColor.GetSaturationParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();
}


LDialogColor::DoModalSolarize

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalSolarize(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Solarize dialog box, and gets the options for LBitmap::Solarize .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogColor::SetSolarizeParams must be called before using this function to set the initial values for the dialog. You can get the updated SOLARIZEDLGPARAMS with the values entered by the user through the dialog by using LDialogColor::GetSolarizeParams.

The Solarize dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Solarize .
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);

SOLARIZEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( SOLARIZEDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( SOLARIZEDLGPARAMS ) ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetSolarizeParams(&DlgParams) ;
DlgColor.DoModalSolarize(hWnd);

// Gets the updated values for the structure
DlgColor.GetSolarizeParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free();

}


LDialogColor::DoModalWindowLevel

#include "ltwrappr.h"

virtual L_INT LDialogColor::DoModalWindowLevel (hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Brings up the Window Level dialog box, and gets the options for LBitmap::WindowLevel. This function is available in the Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

Note:

This dialog only works for 12 or 16 bit grayscale images. Trying to use this dialog with other images will result in an error.

You must allocate the memory for the LUT before calling this function. You can calculate the required size with (sizeof(RGBQUAD) * (1<<(nHighBit - nLowBit + 1))), you can get the nHighBit and nLowBit values by using LBitmap::GetMinMaxBits function as seen in the example below.

For example, suppose you are working with a 12 bit grayscale image. There are 4096 intensity levels in a 12 bit image (2 raised to the 12th power). Normally, the interval between 0 and 4095 would be mapped to colors between (0, 0, 0) and (255, 255, 255). With this function, any value that falls between the low level and the high level will be mapped to colors between the start color and the end color. If you do not want a gradient, set the start and end colors equal.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, Class Members
Topics: | Using Imaging Common Dialog
 | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogColor DlgColor;
DlgColor.Initialize(DLG_INIT_COLOR );
DlgColor.SetBitmap(pBitmap);
L_INT nHighBit,nLowBit;
nHighBit = 0;
nLowBit  = 0;
pBitmap->GetMinMaxBits
 (&nLowBit,&nHighBit);
WINDOWLEVELDLGPARAMS  DlgParams;

memset ( &DlgParams, 0, sizeof ( WINDOWLEVELDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( WINDOWLEVELDLGPARAMS ) ;
DlgParams.pLUT              = (L_RGBQUAD L_HUGE*) malloc ( sizeof ( RGBQUAD ) * (1<<(nHighBit - nLowBit + 1)));
DlgParams.uLowBit           = nLowBit;
DlgParams.uHighBit           = nHighBit;
DlgParams.nLow              = nLowBit;
DlgParams.nHigh             = 1<<(nHighBit - nLowBit + 1);
DlgParams.crStart           = RGB(255,0,0);
DlgParams.crEnd             = RGB(0,0,255);
DlgParams.nFactor           = 10;
DlgParams.uWindowLevelFlags = FILLLUT_INSIDE|FILLLUT_LOGARITHMIC;

DlgParams.uDlgFlags = DLG_WINDOWLEVEL_SHOW_RANGE ;

DlgColor.EnableCallBack
 (FALSE);
DlgColor.EnablePreview(TRUE);
DlgColor.EnableAutoProcess(TRUE);
DlgColor.EnableToolbar(TRUE);
DlgColor.SetWindowLevelParams(&DlgParams) ;
DlgColor.DoModalWindowLevel(hWnd);

// Gets the updated values for the structure
DlgColor.GetWindowLevelParams(&DlgParams, sizeof(DlgParams)) ;
DlgColor.Free ();

free(DlgParams.pLUT);

}


LDialogColor::GetBalanceColorsParams

#include "ltwrappr.h"

L_INT LDialogColor::GetBalanceColorsParams(pBalanceColorsDlgParam, uStructSize) const

LPBALANCECOLORSDLGPARAMS pBalanceColorsDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of BALANCECOLORSDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalBalanceColors function.

Parameter | Description
pBalanceColorsDlgParam | Pointer to a BALANCECOLORSDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalBalanceColors function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal BALANCECOLORSDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalBalanceColors, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalBalanceColors.


LDialogColor::GetBrightnessParams

#include "ltwrappr.h"

L_INT LDialogColor::GetBrightnessParams(pBrightnessDlgParam, uStructSize) const;

LPBRIGHTNESSDLGPARAMS pBrightnessDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of BRIGHTNESSDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalBrightness function.

Parameter | Description
pBrightnessDlgParam | Pointer to a BRIGHTNESSDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalBrightness function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal BRIGHTNESSDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalBrightness, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalBrightness.


LDialogColor::GetColoredGrayParams

#include "ltwrappr.h"

L_INT LDialogColor::GetColoredGrayParams(pColoredGrayDlgParam, uStructSize) const

LPCOLOREDGRAYDLGPARAMS pColoredGrayDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of COLOREDGRAYDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalColoredGray function.

Parameter | Description
pColoredGrayDlgParam | Pointer to a COLOREDGRAYDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalColoredGray function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal COLOREDGRAYDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalColoredGray, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalColoredGray.


LDialogColor::GetColorParams

#include "ltwrappr.h"

L_INT LDialogColor::GetColorParams(pColorDlgParam, uStructSize) const

LPCOLORDLGPARAMS pColorDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of COLORDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalColor function.

Parameter Description

pColorDlgParam Pointer to a COLORDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalColor function.

uStructSize The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal COLORDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalColor, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalColor.


LDialogColor::GetColorResParams

#include "ltwrappr.h"

L_INT LDialogColor::GetColorResParams(pColorResDlgParam, uStructSize) const

LPCOLORRESDLGPARAMS pColorResDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of COLORRESDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalColorRes function.

Parameter | Description
pColorResDlgParam | Pointer to a COLORRESDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalColorRes function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal COLORRESDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalColorRes, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalColorRes.


LDialogColor::GetContrastParams

#include "ltwrappr.h"

L_INT LDialogColor::GetContrastParams(pContrastDlgParam, uStructSize) const

LPCONTRASTDLGPARAMS pContrastDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of CONTRASTDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalContrast function.

Parameter | Description
pContrastDlgParam | Pointer to a CONTRASTDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalContrast function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal CONTRASTDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalContrast, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalContrast.


LDialogColor::GetCustomizePaletteParams

#include "ltwrappr.h"

L_INT LDialogColor::GetCustomizePaletteParams(pCustomizePaletteDlgParam, uStructSize) const

LPCUSTOMIZEPALETTEDLGPARAMS pCustomizePaletteDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of CUSTOMIZEPALETTEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalCustomizePalette function.

Parameter | Description
pCustomizePaletteDlgParam | Pointer to a CUSTOMIZEPALETTEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalCustomizePalette function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal CUSTOMIZEPALETTEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalCustomizePalette, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalCustomizePalette.


LDialogColor::GetGammaAdjustmentParams

#include "ltwrappr.h"

L_INT LDialogColor::GetGammaAdjustmentParams(pGammaAdjustmentDlgParam, uStructSize) const

LPGAMMAADJUSTMENTDLGPARAMS pGammaAdjustmentDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of GAMMAADJUSTMENTDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalGammaAdjustment function.

Parameter | Description
pGammaAdjustmentDlgParam | Pointer to a GAMMAADJUSTMENTDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalGammaAdjustment function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal GAMMAADJUSTMENTDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalGammaAdjustment, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalGammaAdjustment.


LDialogColor::GetGrayScaleParams

#include "ltwrappr.h"

L_INT LDialogColor::GetGrayScaleParams(pGrayScaleDlgParam, uStructSize) const

LPGRAYSCALEDLGPARAMS pGrayScaleDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of GRAYSCALEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalGrayScale function.

Parameter | Description
pGrayScaleDlgParam | Pointer to a GRAYSCALEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalGrayScale function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal GRAYSCALEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalGrayScale, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalGrayScale.


LDialogColor::GetHalfToneParams

#include "ltwrappr.h"

L_INT LDialogColor::GetHalfToneParams(pHalftoneDlgParam, uStructSize) const

LPHALFTONEDLGPARAMS pHalftoneDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of HALFTONEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalHalftone function.

Parameter | Description
pHalftoneDlgParam | Pointer to a HALFTONEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalHalfTone function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal HALFTONEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalHalfTone, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalHalfTone.


LDialogColor::GetHistoContrastParams

#include "ltwrappr.h"

L_INT LDialogColor::GetHistoContrastParams(pHistoContrastDlgParam, uStructSize) const;

LPHISTOCONTRASTDLGPARAMS pHistoContrastDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of HISTOCONTRASTDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalHistoContrast function.

Parameter | Description
pHistoContrastDlgParam | Pointer to a HISTOCONTRASTDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalHistoContrast function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal HISTOCONTRASTDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalHistoContrast, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalHistoContrast.


LDialogColor::GetHueParams

#include "ltwrappr.h"

L_INT LDialogColor::GetHueParams(pHueDlgParam, uStructSize) const

LPHUEDLGPARAMS pHueDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of HUEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalHue function.

Parameter | Description
pHueDlgParam | Pointer to a HUEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalHue function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal HUEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalHue, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalHue.


LDialogColor::GetIntensityDetectParams

#include "ltwrappr.h"

L_INT LDialogColor::GetIntensityDetectParams(pIntensityDetectDlgParam, uStructSize) const

LPINTENSITYDETECTDLGPARAMS pIntensityDetectDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of INTENSITYDETECTDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalIntensityDetect function.

Parameter | Description
pIntensityDetectDlgParam | Pointer to a INTENSITYDETECTDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalIntensityDetect function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal INTENSITYDETECTDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalIntensityDetect, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalIntensityDetect.


LDialogColor::GetLocalHistoEqualizeParams

#include "ltwrappr.h"

L_INT LDialogColor::GetLocalHistoEqualizeParams(pLocalHistoEqualizeDlgParam, uStructSize) const

LPLOCALHISTOEQUALIZEDLGPARAMS pLocalHistoEqualizeDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of LOCALHISTOEQUALIZEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalLocalHistoEqualize function.

Parameter | Description
pLocalHistoEqualizeDlgParam | Pointer to a LOCALHISTOEQUALIZEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalLocalHistoEqualize function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal LOCALHISTOEQUALIZEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalLocalHistoEqualize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalLocalHistoEqualize.


LDialogColor::GetPosterizeParams

#include "ltwrappr.h"

L_INT LDialogColor::GetPosterizeParams(pPosterizeDlgParam, uStructSize) const;

LPPOSTERIZEDLGPARAMS pPosterizeDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of POSTERIZEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalPosterize function.

Parameter | Description
pPosterizeDlgParam | Pointer to a POSTERIZEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalPosterize function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal POSTERIZEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalPosterize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalPosterize.


LDialogColor::GetRemapHueParams

#include "ltwrappr.h"

L_INT LDialogColor::GetRemapHueParams(pRemapHueDlgParam, uStructSize) const

LPREMAPHUEDLGPARAMS pRemapHueDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of REMAPHUEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalRemapHue function.

Parameter | Description
pRemapHueDlgParam | Pointer to a REMAPHUEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalRemapHue function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal REMAPHUEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalRemapHue, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalRemapHue.


LDialogColor::GetRemapIntensityParams

#include "ltwrappr.h"

L_INT LDialogColor::GetRemapIntensityParams(pRemapIntensityDlgParam, uStructSize) const

LPREMAPINTENSITYDLGPARAMS pRemapIntensityDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of REMAPINTENSITYDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalRemapIntensity function.

Parameter | Description
pRemapIntensityDlgParam | Pointer to a REMAPINTENSITYDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalRemapIntensity function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal REMAPINTENSITYDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalRemapIntensity, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalRemapIntensity.


LDialogColor::GetSaturationParams

#include "ltwrappr.h"

L_INT LDialogColor::GetSaturationParams(pSaturationDlgParam, uStructSize) const

LPSATURATIONDLGPARAMS pSaturationDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of SATURATIONDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalSaturation function.

Parameter | Description
pSaturationDlgParam | Pointer to a SATURATIONDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalSaturation function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SATURATIONDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalSaturation, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalSaturation.


LDialogColor::GetSolarizeParams

#include "ltwrappr.h"

L_INT LDialogColor::GetSolarizeParams(pSolarizeDlgParam, uStructSize) const

LPSOLARIZEDLGPARAMS pSolarizeDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of SOLARIZEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalSolarize function.

Parameter | Description
pSolarizeDlgParam | Pointer to a SOLARIZEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalSolarize function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SOLARIZEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalSolarize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalSolarize.


LDialogColor::GetWindowLevelParams

#include "ltwrappr.h"

L_INT LDialogColor::GetWindowLevelParams(pWindowLevelDlgParam, uStructSize) const

LPWINDOWLEVELDLGPARAMS pWindowLevelDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of WINDOWLEVELDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalWindowLevel function.

Parameter | Description
pWindowLevelDlgParam | Pointer to a WINDOWLEVELDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogColor::DoModalWindowLevel function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update pWindowLevelDlgParam with the class object's current settings for the internal WINDOWLEVELDLGPARAMS structure.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalWindowLevel, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalWindowLevel.


LDialogColor::SetBalanceColorsParams

#include "ltwrappr.h"

L_INT LDialogColor::SetBalanceColorsParams(pBalanceColorsDlgParam)

LPBALANCECOLORSDLGPARAMS pBalanceColorsDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalBalanceColors function when the dialog first appears.

Parameter | Description
pBalanceColorsDlgParam | Pointer to a BALANCECOLORSDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalBalanceColors function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalBalanceColors, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalBalanceColors.


LDialogColor::SetBrightnessParams

#include "ltwrappr.h"

L_INT LDialogColor::SetBrightnessParams(pBrightnessDlgParam)

LPBRIGHTNESSDLGPARAMS pBrightnessDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalBrightness function when the dialog first appears.

Parameter | Description
pBrightnessDlgParam | Pointer to a BRIGHTNESSDLGPARAMS structure that contains parameters to be displayed by the LDialogColor::DoModalBrightness function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalBrightness, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalBrightness.


LDialogColor::SetColoredGrayParams

#include "ltwrappr.h"

L_INT LDialogColor::SetColoredGrayParams(pColoredGrayDlgParam)

LPCOLOREDGRAYDLGPARAMS pColoredGrayDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalColoredGray function when the dialog first appears.

Parameter | Description
pColoredGrayDlgParam | Pointer to a COLOREDGRAYDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalColoredGray function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalColoredGray, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalColoredGray.


LDialogColor::SetColorParams

#include "ltwrappr.h"

L_INT LDialogColor::SetColorParams(pColorDlgParam)

LPCOLORDLGPARAMS pColorDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalColor function when the dialog first appears.

Parameter | Description
pColorDlgParam | Pointer to a COLORDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalColor function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalColor, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalColor.


LDialogColor::SetColorResParams

#include "ltwrappr.h"

L_INT LDialogColor::SetColorResParams(pColorResDlgParam)

LPCOLORRESDLGPARAMS pColorResDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalColorRes function when the dialog first appears.

Parameter | Description
pColorResDlgParam | Pointer to a COLORRESDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalColorRes function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalColorRes, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalColorRes.


LDialogColor::SetContrastParams

#include "ltwrappr.h"

L_INT LDialogColor::SetContrastParams(pContrastDlgParam)

LPCONTRASTDLGPARAMS pContrastDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalContrast function when the dialog first appears.

Parameter | Description
pContrastDlgParam | Pointer to a CONTRASTDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalContrast function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalContrast, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalContrast.


LDialogColor::SetCustomizePaletteParams

#include "ltwrappr.h"

L_INT LDialogColor::SetCustomizePaletteParams(pCustomizePaletteDlgParam)

LPCUSTOMIZEPALETTEDLGPARAMS pCustomizePaletteDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalCustomizePalette function when the dialog first appears.

Parameter | Description
pCustomizePaletteDlgParam | Pointer to a CUSTOMIZEPALETTEDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalCustomizePalette function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalCustomizePalette, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalCustomizePalette.


LDialogColor::SetGammaAdjustmentParams

#include "ltwrappr.h"

L_INT LDialogColor::SetGammaAdjustmentParams(pGammaAdjustmentDlgParam)

LPGAMMAADJUSTMENTDLGPARAMS pGammaAdjustmentDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalGammaAdjustment function when the dialog first appears.

Parameter | Description
pGammaAdjustmentDlgParam | Pointer to a GAMMAADJUSTMENTDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalGammaAdjustment function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalGammaAdjustment, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalGammaAdjustment.


LDialogColor::SetGrayScaleParams

#include "ltwrappr.h"

L_INT LDialogColor::SetGrayScaleParams(pGrayScaleDlgParam)

LPGRAYSCALEDLGPARAMS pGrayScaleDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalGrayScale function when the dialog first appears.

Parameter | Description
pGrayScaleDlgParam | Pointer to a GRAYSCALEDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalGrayScale function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalGrayScale, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalGrayScale.


LDialogColor::SetHalfToneParams

#include "ltwrappr.h"

L_INT LDialogColor::SetHalfToneParams(pHalftoneDlgParam)

LPHALFTONEDLGPARAMS pHalftoneDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalHalfTone function when the dialog first appears.

Parameter | Description
pHalftoneDlgParam | Pointer to a HALFTONEDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalHalfTone function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalHalfTone, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalHalfTone.


LDialogColor::SetHistoContrastParams

#include "ltwrappr.h"

L_INT LDialogColor::SetHistoContrastParams(pHistoContrastDlgParam)

LPHISTOCONTRASTDLGPARAMS pHistoContrastDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalHistoContrast function when the dialog first appears.

Parameter | Description
pHistoContrastDlgParam | Pointer to a HISTOCONTRASTDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalHistoContrast function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalHistoContrast, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalHistoContrast.


LDialogColor::SetHueParams

#include "ltwrappr.h"

L_INT LDialogColor::SetHueParams(pHueDlgParam)

LPHUEDLGPARAMS pHueDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalHue function when the dialog first appears.

Parameter | Description
pHueDlgParam | Pointer to a HUEDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalHue function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalHue, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalHue.


LDialogColor::SetIntensityDetectParams

#include "ltwrappr.h"

L_INT LDialogColor::SetIntensityDetectParams(pIntensityDetectDlgParam)

LPINTENSITYDETECTDLGPARAMS pIntensityDetectDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalIntensityDetect function when the dialog first appears.

Parameter | Description
pIntensityDetectDlgParam | Pointer to a INTENSITYDETECTDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalIntensityDetect function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalIntensityDetect, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalIntensityDetect.


LDialogColor::SetLocalHistoEqualizeParams

#include "ltwrappr.h"

L_INT LDialogColor::SetLocalHistoEqualizeParams(pLocalHistoEqualizeDlgParam)

LPLOCALHISTOEQUALIZEDLGPARAMS pLocalHistoEqualizeDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalLocalHistoEqualize function when the dialog first appears.

Parameter | Description
pLocalHistoEqualizeDlgParam | Pointer to a LOCALHISTOEQUALIZEDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalLocalHistoEqualize function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalLocalHistoEqualize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalLocalHistoEqualize.


LDialogColor::SetPosterizeParams

#include "ltwrappr.h"

L_INT LDialogColor::SetPosterizeParams(pPosterizeDlgParam)

LPPOSTERIZEDLGPARAMS pPosterizeDlgParam;

/* pointer to a structure */

Sets parameters to be displayed by the LDialogColor::DoModalPosterize function when the dialog first appears.

Parameter | Description
pPosterizeDlgParam | Pointer to a POSTERIZEDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalPosterize function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalPosterize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalPosterize.


LDialogColor::SetRemapHueParams

#include "ltwrappr.h"

L_INT LDialogColor::SetRemapHueParams(pRemapHueDlgParam)

LPREMAPHUEDLGPARAMS pRemapHueDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalRemapHue function when the dialog first appears.

Parameter | Description
pRemapHueDlgParam | Pointer to a REMAPHUEDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalRemapHue function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalRemapHue, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalRemapHue.


LDialogColor::SetRemapIntensityParams

#include "ltwrappr.h"

L_INT LDialogColor::SetRemapIntensityParams(pRemapIntensityDlgParam)

LPREMAPINTENSITYDLGPARAMS pRemapIntensityDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalRemapIntensity function when the dialog first appears.

Parameter | Description
pRemapIntensityDlgParam | Pointer to a REMAPINTENSITYDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalRemapIntensity function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalRemapIntensity, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalRemapIntensity.


LDialogColor::SetSaturationParams

#include "ltwrappr.h"

L_INT LDialogColor::SetSaturationParams(pSaturationDlgParam)

LPSATURATIONDLGPARAMS pSaturationDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalSaturation function when the dialog first appears.

Parameter | Description
pSaturationDlgParam | Pointer to a SATURATIONDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalSaturation function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalSaturation, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalSaturation.


LDialogColor::SetSolarizeParams

#include "ltwrappr.h"

L_INT LDialogColor::SetSolarizeParams(pSolarizeDlgParam)

LPSOLARIZEDLGPARAMS pSolarizeDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalSolarize function when the dialog first appears.

Parameter | Description
pSolarizeDlgParam | Pointer to a SOLARIZEDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalSolarize function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalSolarize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalSolarize.


LDialogColor::SetWindowLevelParams

#include "ltwrappr.h"

L_INT LDialogColor::SetWindowLevelParams(pWindowLevelDlgParam)

LPWINDOWLEVELDLGPARAMS pWindowLevelDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogColor::DoModalWindowLevel function when the dialog first appears.

Parameter | Description
pWindowLevelDlgParam | Pointer to a WINDOWLEVELDLGPARAMS structure that contains the parameters to be displayed by the LDialogColor::DoModalWindowLevel function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The members of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGCLR
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogColor::DoModalWindowLevel, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogColor::DoModalWindowLevel.


LDialogDocument::LDialogDocument

#include "ltwrappr.h"

L_VOID LDialogDocument::LDialogDocument()

L_VOID LDialogDocument::LDialogDocument(pBitmap)

LBitmapBase L_FAR * pBitmap;

/* pointer to an LBitmapBase object */

Constructs and initializes the member variables of the LDialogDocument object.

Parameter | Description
pBitmap | Pointer to the bitmap object referencing the bitmap object to assign to the specified object.

Returns

None.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::~LDialogDocument
Topics: | Using Imaging Common Dialog

Example

//This is an example for : LDialogDocument:: LDialogDocument ()
L_VOID TestFunction( )
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogDocument MyDialogDocument;     //construct a dialogdocument object

//.... do something here
//Destructor is called upon returning from function
}

//This is an example for : LDialogDocument:: LDialogDocument (pBitmap)
L_VOID TestFunction(LBitmapBase * BitmapObj)
{
LBase::LoadLibraries (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogDocument MyDialogDocument (BitmapObj);     //construct a dialogdocument object

//.... do something here

}


LDialogDocument::~LDialogDocument

#include "ltwrappr.h"

virtual L_VOID LDialogDocument::~LDialogDocument()

Destroys the object, and frees any resources associated with it.

Returns

None.

Comments

This is the destructor for the LDialogDocument class.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::LDialogDocument
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::LDialogDocument().


LDialogDocument::DoModalBorderRemove

#include "ltwrappr.h"

virtual L_INT LDialogDocument::DoModalBorderRemove(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the Border Remove dialog box, and gets the options for LBitmap::BorderRemove . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogDocument::SetBorderRemoveParams must be called before using this function to set the initial values for the dialog. You can get the updated BORDERREMOVEDLGPARAMS with the values entered by the user through the dialog by using LDialogDocument::GetBorderRemoveParams.

The LBitmap::BorderRemove function only works with 1-bit images. If you provide a bitmap in the LDialogDocument class, it must be a 1-bit bitmap.

The Border Remove dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::BorderRemove
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogDocument DlgDocument;
LDialogDocument::Initialize(0);
DlgDocument.SetBitmap(pBitmap);
LBitmap BitmapRegion;

BORDERREMOVEDLGPARAMS DlgParams;
BitmapRegion.Initialize
 ();
memset ( &DlgParams, 0, sizeof ( BORDERREMOVEDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( BORDERREMOVEDLGPARAMS ) ;
DlgParams.BorderRemove.uStructSize             = sizeof ( BORDERREMOVE ) ;
DlgParams.BorderRemove.pBitmapRegion = BitmapRegion.GetHandle ();
DlgParams.BorderRemove.uBitmapStructSize = sizeof ( BITMAPHANDLE );
DlgParams.BorderRemove.iBorderPercent    = 1 ;
DlgParams.BorderRemove.iVariance         = 2 ;
DlgParams.BorderRemove.iWhiteNoiseLength = 3 ;
DlgParams.BorderRemove.uBorderToRemove   = BORDER_LEFT ;
DlgParams.BorderRemove.uFlags            = BORDER_USE_VARIANCE ;

DlgDocument.EnableCallBack
 (FALSE);
DlgDocument.EnablePreview(TRUE);
DlgDocument.EnableAutoProcess(TRUE);
DlgDocument.EnableToolbar(TRUE);
DlgDocument.SetBorderRemoveParams(&DlgParams) ;
DlgDocument.DoModalBorderRemove(hWnd);
if(BitmapRegion.HasRgn())
BitmapRegion.Region()->Free();

// Gets the updated values for the structure
DlgDocument.GetBorderRemoveParams(&DlgParams, sizeof(DlgParams)) ;
LDialogDocument::Free();
}


LDialogDocument::DoModalDotRemove

#include "ltwrappr.h"

virtual L_INT LDialogDocument::DoModalDotRemove(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the Dot Remove dialog box, and gets the options for LBitmap::DotRemove . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogDocument::SetDotRemoveParams must be called before using this function to set the initial values for the dialog. You can get the updated DOTREMOVEDLGPARAMS with the values entered by the user through the dialog by using LDialogDocument::GetDotRemoveParams.

The LBitmap::DotRemove function only works with 1-bit images. If you provide a bitmap in the LDialogDocument class, it must be a 1-bit bitmap.

The Dot Remove dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::DotRemove
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogDocument DlgDocument;
LDialogDocument::Initialize(0);
DlgDocument.SetBitmap(pBitmap);
LBitmap BitmapRegion;

DOTREMOVEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( DOTREMOVEDLGPARAMS ) ) ;
BitmapRegion.Initialize
 ();

DlgParams.uStructSize      = sizeof ( DOTREMOVEDLGPARAMS ) ;
DlgParams.DotRemove.uStructSize         = sizeof ( DOTREMOVE ) ;
DlgParams.DotRemove.pBitmapRegion = BitmapRegion.GetHandle ();
DlgParams.DotRemove.uBitmapStructSize = sizeof ( BITMAPHANDLE );

DlgParams.DotRemove.iMinDotWidth  = 1000 ;
DlgParams.DotRemove.iMinDotHeight = 1000 ;
DlgParams.DotRemove.iMaxDotWidth  = 1000 ;
DlgParams.DotRemove.iMaxDotHeight = 1000 ;
DlgParams.DotRemove.uFlags        = DOT_USE_DIAGONALS | DOT_USE_DPI ;

DlgDocument.EnableCallBack
 (FALSE);
DlgDocument.EnablePreview(TRUE);
DlgDocument.EnableAutoProcess(TRUE);
DlgDocument.EnableToolbar(TRUE);
DlgDocument.SetDotRemoveParams(&DlgParams) ;
DlgDocument.DoModalDotRemove(hWnd);
if(BitmapRegion.HasRgn())
BitmapRegion.Region()->Free();

// Gets the updated values for the structure
DlgDocument.GetDotRemoveParams(&DlgParams, sizeof(DlgParams)) ;
LDialogDocument::Free();
}


LDialogDocument::DoModalHolePunchRemove

#include "ltwrappr.h"

virtual L_INT LDialogDocument::DoModalHolePunchRemove(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the Hole Punch Remove box, and gets the options for LBitmap::HolePunchRemove . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogDocument::SetHolePunchRemoveParams must be called before using this function to set the initial values for the dialog. You can get the updated HOLEPUNCHREMOVEDLGPARAMS with the values entered by the user through the dialog by using LDialogDocument::GetHolePunchRemoveParams.

The LBitmap::HolePunchRemove function only works with 1-bit images. If you provide a bitmap in the LDialogDocument class, it must be a 1-bit bitmap.

The Hole Punch Remove dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::HolePunchRemove
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogDocument DlgDocument;
LDialogDocument::Initialize(0);
DlgDocument.SetBitmap(pBitmap);
LBitmap BitmapRegion;

HOLEPUNCHREMOVEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( HOLEPUNCHREMOVEDLGPARAMS ) ) ;
BitmapRegion.Initialize
 ();

DlgParams.uStructSize      = sizeof ( HOLEPUNCHREMOVEDLGPARAMS ) ;
DlgParams.HolePunchRemove.uStructSize          = sizeof ( HOLEPUNCH ) ;
DlgParams.HolePunchRemove.pBitmapRegion = BitmapRegion.GetHandle ();
DlgParams.HolePunchRemove.uBitmapStructSize = sizeof ( BITMAPHANDLE );
DlgParams.HolePunchRemove.iMinHoleWidth  = 1000 ;
DlgParams.HolePunchRemove.iMinHoleHeight = 1000 ;
DlgParams.HolePunchRemove.iMaxHoleWidth  = 1000 ;
DlgParams.HolePunchRemove.iMaxHoleHeight = 1000 ;
DlgParams.HolePunchRemove.iMinHoleCount  = 2 ;
DlgParams.HolePunchRemove.iMaxHoleCount  = 4 ;
DlgParams.HolePunchRemove.uFlags         = HOLEPUNCH_USE_DPI ;
DlgParams.HolePunchRemove.iLocation      = HOLEPUNCH_RIGHT ;

DlgDocument.EnableCallBack
 (FALSE);
DlgDocument.EnablePreview(TRUE);
DlgDocument.EnableAutoProcess(TRUE);
DlgDocument.EnableToolbar(TRUE);
DlgDocument.SetHolePunchRemoveParams(&DlgParams) ;
DlgDocument.DoModalHolePunchRemove(hWnd);
if(BitmapRegion.HasRgn())
BitmapRegion.Region()->Free();

// Gets the updated values for the structure
DlgDocument.GetHolePunchRemoveParams(&DlgParams, sizeof(DlgParams)) ;
LDialogDocument::Free();
}


LDialogDocument::DoModalInvertedText

#include "ltwrappr.h"

virtual L_INT LDialogDocument::DoModalInvertedText(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the Inverted Text dialog box, and gets the options for LBitmap::InvertedText . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogDocument::SetInvertedTextParams must be called before using this function to set the initial values for the dialog. You can get the updated INVERTEDTEXTDLGPARAMS with the values entered by the user through the dialog by using LDialogDocument::GetInvertedTextParams.

The LBitmap::InvertedText function only works with 1-bit images. If you provide a bitmap in the LDialogDocument class, it must be a 1-bit bitmap.

The Inverted Text dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::InvertedText
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogDocument DlgDocument;
LDialogDocument::Initialize(0);
DlgDocument.SetBitmap(pBitmap);
LBitmap BitmapRegion;

INVERTEDTEXTDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( INVERTEDTEXTDLGPARAMS ) ) ;
BitmapRegion.Initialize
 ();

DlgParams.uStructSize      = sizeof ( INVERTEDTEXTDLGPARAMS ) ;
DlgParams.InvertedText.uStructSize             = sizeof ( INVERTEDTEXT ) ;
DlgParams.InvertedText.pBitmapRegion = BitmapRegion.GetHandle ();
DlgParams.InvertedText.uBitmapStructSize = sizeof ( BITMAPHANDLE );

DlgParams.InvertedText.iMinInvertHeight  = 1 ;
DlgParams.InvertedText.iMinInvertWidth   = 1 ;
DlgParams.InvertedText.uFlags            = INVERTEDTEXT_USE_DIAGONALS | INVERTEDTEXT_USE_DPI ;

DlgDocument.EnableCallBack
 (FALSE);
DlgDocument.EnablePreview(TRUE);
DlgDocument.EnableAutoProcess(TRUE);
DlgDocument.EnableToolbar(TRUE);
DlgDocument.SetInvertedTextParams(&DlgParams) ;
DlgDocument.DoModalInvertedText(hWnd);
if(BitmapRegion.HasRgn())
BitmapRegion.Region()->Free();

// Gets the updated values for the structure
DlgDocument.GetInvertedTextParams(&DlgParams, sizeof(DlgParams)) ;
LDialogDocument::Free();
}


LDialogDocument::DoModalLineRemove

#include "ltwrappr.h"

virtual L_INT LDialogDocument::DoModalLineRemove(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the Line Remove dialog box, and gets the options for LBitmap::LineRemove . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogDocument::SetLineRemoveParams must be called before using this function to set the initial values for the dialog. You can get the updated LINEREMOVEDLGPARAMS with the values entered by the user through the dialog by using LDialogDocument::GetLineRemoveParams.

The LBitmap::LineRemove function only works with 1-bit images. If you provide a bitmap in the LDialogDocument class, it must be a 1-bit bitmap.

The Line Remove dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::LineRemove
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogDocument DlgDocument;
LDialogDocument::Initialize(0);
DlgDocument.SetBitmap(pBitmap);
LBitmap BitmapRegion;

   LINEREMOVEDLGPARAMS DlgParams;
BitmapRegion.Initialize
 ();

memset ( &DlgParams, 0, sizeof ( LINEREMOVEDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( LINEREMOVEDLGPARAMS ) ;
DlgParams.LineRemove.uStructSize           = sizeof ( LINEREMOVE ) ;
DlgParams.LineRemove.pBitmapRegion = BitmapRegion.GetHandle ();
DlgParams.LineRemove.uBitmapStructSize = sizeof ( BITMAPHANDLE );

DlgParams.LineRemove.iGapLength      = 1 ;
DlgParams.LineRemove.iMaxLineWidth   = 2 ;
DlgParams.LineRemove.iMaxWallPercent = 3 ;
DlgParams.LineRemove.iMinLineLength  = 4 ;
DlgParams.LineRemove.iVariance       = 5 ;
DlgParams.LineRemove.iWall           = 6 ;
DlgParams.LineRemove.uFlags          = LINE_USE_DPI | LINE_USE_VARIANCE ;
DlgParams.LineRemove.uRemoveFlags    = LINEREMOVE_VERTICAL ;

DlgDocument.EnableCallBack
 (FALSE);
DlgDocument.EnablePreview(TRUE);
DlgDocument.EnableAutoProcess(TRUE);
DlgDocument.EnableToolbar(TRUE);
DlgDocument.SetLineRemoveParams(&DlgParams) ;
DlgDocument.DoModalLineRemove(hWnd);
if(BitmapRegion.HasRgn())
BitmapRegion.Region()->Free();

// Gets the updated values for the structure
DlgDocument.GetLineRemoveParams(&DlgParams, sizeof(DlgParams)) ;
LDialogDocument::Free();
}


LDialogDocument::DoModalRemoveRedEye

#include "ltwrappr.h"

virtual L_INT LDialogDocument::DoModalRemoveRedEye(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the Remove Redeye dialog box, and gets the options for LBitmap::RemoveRedEye .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogDocument::SetRemoveRedEyeParams must be called before using this function to set the initial values for the dialog. You can get the updated REMOVEREDEYEDLGPARAMS with the values entered by the user through the dialog by using LDialogDocument::GetRemoveRedEyeParams.

The Remove Redeye dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::RemoveRedEye
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogDocument DlgDocument;
LDialogDocument::Initialize(0);
DlgDocument.SetBitmap(pBitmap);

REMOVEREDEYEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( REMOVEREDEYEDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( REMOVEREDEYEDLGPARAMS ) ;

DlgDocument.EnableCallBack
 (FALSE);
DlgDocument.EnablePreview(TRUE);
DlgDocument.EnableAutoProcess(TRUE);
DlgDocument.EnableToolbar(TRUE);
DlgDocument.SetRemoveRedEyeParams(&DlgParams) ;
DlgDocument.DoModalRemoveRedEye(hWnd);

// Gets the updated values for the structure
DlgDocument.GetRemoveRedEyeParams(&DlgParams, sizeof(DlgParams)) ;
LDialogDocument::Free();
}


LDialogDocument::DoModalSmooth

#include "ltwrappr.h"

virtual L_INT LDialogDocument::DoModalSmooth(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the Smooth dialog box, and gets the options for LBitmap::Smooth . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogDocument::SetSmoothParams must be called before using this function to set the initial values for the dialog. You can get the updated SMOOTHDLGPARAMS with the values entered by the user through the dialog by using LDialogDocument::GetSmoothParams.

The LBitmap::Smooth function only works with 1-bit images. If you provide a bitmap in the LDialogDocument class, it must be a 1-bit bitmap.

The Smooth dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Smooth
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogDocument DlgDocument;
LDialogDocument::Initialize(0);
DlgDocument.SetBitmap(pBitmap);

LBitmap BitmapRegion;
SMOOTHDLGPARAMS DlgParams;
BitmapRegion.Initialize
 ();
memset ( &DlgParams, 0, sizeof ( SMOOTHDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( SMOOTHDLGPARAMS ) ;
DlgParams.Smooth.uStructSize         = sizeof ( SMOOTH ) ;
DlgParams.Smooth.uBitmapStructSize = sizeof ( BITMAPHANDLE );
DlgParams.Smooth.pBitmapRegion = BitmapRegion.GetHandle ();
DlgParams.Smooth.uFlags        = SMOOTH_ALLFLAGS ;
DlgParams.Smooth.iLength       = 10 ;

DlgDocument.EnableCallBack
 (FALSE);
DlgDocument.EnablePreview(TRUE);
DlgDocument.EnableAutoProcess(TRUE);
DlgDocument.EnableToolbar(TRUE);
DlgDocument.SetSmoothParams(&DlgParams) ;
DlgDocument.DoModalSmooth(hWnd);
if(BitmapRegion.HasRgn())
BitmapRegion.Region()->Free();

// Gets the updated values for the structure
DlgDocument.GetSmoothParams(&DlgParams, sizeof(DlgParams)) ;
LDialogDocument::Free();
}


LDialogDocument::GetBorderRemoveParams

#include "ltwrappr.h"

L_INT LDialogDocument::GetBorderRemoveParams(pBorderRemoveDlgParam, uStructSize) const;

LPBORDERREMOVEDLGPARAMS pBorderRemoveDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of BORDERREMOVEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalBorderRemove function.

Parameter | Description
pBorderRemoveDlgParam | Pointer to a BORDERREMOVEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalBorderRemove function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal BORDERREMOVEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalBorderRemove, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalBorderRemove.


LDialogDocument::GetDotRemoveParams

#include "ltwrappr.h"

L_INT LDialogDocument::GetDotRemoveParams(pDotRemoveDlgParam, uStructSize) const

LPDOTREMOVEDLGPARAMS pDotRemoveDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of DOTREMOVEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalDotRemove function.

Parameter | Description
pDotRemoveDlgParam | Pointer to a DOTREMOVEDLGPARAMS structure to be updated with parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalDotRemove function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal DOTREMOVEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalDotRemove, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalDotRemove.


LDialogDocument::GetHolePunchRemoveParams

#include "ltwrappr.h"

L_INT LDialogDocument::GetHolePunchRemoveParams(pHolePunchRemoveDlgParam, uStructSize) const

LPHOLEPUNCHREMOVEDLGPARAMS pHolePunchRemoveDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of HOLEPUNCHREMOVEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalHolePunchRemove function.

Parameter | Description
pHolePunchRemoveDlgParam | Pointer to a HOLEPUNCHREMOVEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalHolePunchRemove function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal HOLEPUNCHREMOVEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalHolePunchRemove, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalHolePunchRemove.


LDialogDocument::GetInvertedTextParams

#include "ltwrappr.h"

L_INT LDialogDocument::GetInvertedTextParams(pInvertedTextDlgParam, uStructSize) const

LPINVERTEDTEXTDLGPARAMS pInvertedTextDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of INVERTEDTEXTDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalInvertedText function.

Parameter | Description
pInvertedTextDlgParam | Pointer to a INVERTEDTEXTDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalInvertedText function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal INVERTEDTEXTDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalInvertedText, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalInvertedText.


LDialogDocument::GetLineRemoveParams

#include "ltwrappr.h"

L_INT LDialogDocument::GetLineRemoveParams(pLineRemoveDlgParam, uStructSize) const

LPLINEREMOVEDLGPARAMS pLineRemoveDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of LINEREMOVEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalLineRemove function.

Parameter | Description
pLineRemoveDlgParam | Pointer to a LINEREMOVEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalLineRemove function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal LINEREMOVEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalLineRemove, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalLineRemove.


LDialogDocument::GetRemoveRedEyeParams

#include "ltwrappr.h"

L_INT LDialogDocument::GetRemoveRedEyeParams(pRemoveRedEyeDlgParam, uStructSize) const

LPREMOVEREDEYEDLGPARAMS pRemoveRedEyeDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of REMOVEREDEYEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalRemoveRedEye function.

Parameter | Description
pRemoveRedEyeDlgParam | Pointer to a REMOVEREDEYEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalRemoveRedEye function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal REMOVEREDEYEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalRemoveRedEye, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalRemoveRedEye.


LDialogDocument::GetSmoothParams

#include "ltwrappr.h"

L_INT LDialogDocument::GetSmoothParams(pSmoothDlgParam, uStructSize) const

LPSMOOTHDLGPARAMS pSmoothDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of SMOOTHDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalSmooth function.

Parameter | Description
pSmoothDlgParam | Pointer to a SMOOTHDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogDocument::DoModalSmooth function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SMOOTHDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalSmooth, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalSmooth.


LDialogDocument::SetBorderRemoveParams

#include "ltwrappr.h"

L_INT LDialogDocument::SetBorderRemoveParams(pBorderRemoveDlgParam)

LPBORDERREMOVEDLGPARAMS pBorderRemoveDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogDocument::DoModalBorderRemove function when the dialog first appears.

Parameter | Description
pBorderRemoveDlgParam | Pointer to a BORDERREMOVEDLGPARAMS structure that contains the parameters to be displayed by the LDialogDocument::DoModalBorderRemove function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalBorderRemove, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalBorderRemove.


LDialogDocument::SetDotRemoveParams

#include "ltwrappr.h"

L_INT LDialogDocument::SetDotRemoveParams(pDotRemoveDlgParam)

LPDOTREMOVEDLGPARAMS pDotRemoveDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogDocument::DoModalDotRemove function when the dialog first appears.

Parameter | Description
pDotRemoveDlgParam | Pointer to a DOTREMOVEDLGPARAMS structure that contains the parameters to be displayed by the LDialogDocument::DoModalDotRemove function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalDotRemove, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalDotRemove.


LDialogDocument::SetHolePunchRemoveParams

#include "ltwrappr.h"

L_INT LDialogDocument::SetHolePunchRemoveParams(pHolePunchRemoveDlgParam)

LPHOLEPUNCHREMOVEDLGPARAMS pHolePunchRemoveDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogDocument::DoModalHolePunchRemove function when the dialog first appears.

Parameter | Description
pHolePunchRemoveDlgParam | Pointer HOLEPUNCHREMOVEDLGPARAMS structure that contains the parameters to be displayed by the LDialogDocument::DoModalHolePunchRemove function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalHolePunchRemove, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalHolePunchRemove.


LDialogDocument::SetInvertedTextParams

#include "ltwrappr.h"

L_INT LDialogDocument::SetInvertedTextParams(pInvertedTextDlgParam)

LPINVERTEDTEXTDLGPARAMS pInvertedTextDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogDocument::DoModalInvertedText function when the dialog first appears.

Parameter | Description
pInvertedTextDlgParam | Pointer to a INVERTEDTEXTDLGPARAMS structure that contains the parameters to be displayed by the LDialogDocument::DoModalInvertedText function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalInvertedText, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalInvertedText.


LDialogDocument::SetLineRemoveParams

#include "ltwrappr.h"

L_INT LDialogDocument::SetLineRemoveParams(pLineRemoveDlgParam)

LPLINEREMOVEDLGPARAMS pLineRemoveDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogDocument::DoModalLineRemove function when the dialog first appears.

Parameter | Description
pLineRemoveDlgParam | Pointer to a LINEREMOVEDLGPARAMS structure that contains the parameters to be displayed by the LDialogDocument::DoModalLineRemove function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalLineRemove, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalLineRemove.


LDialogDocument::SetRemoveRedEyeParams

#include "ltwrappr.h"

L_INT LDialogDocument::SetRemoveRedEyeParams(pRemoveRedEyeDlgParam)

LPREMOVEREDEYEDLGPARAMS pRemoveRedEyeDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogDocument::DoModalRemoveRedEye function when the dialog first appears.

Parameter | Description
pRemoveRedEyeDlgParam | Pointer to a REMOVEREDEYEDLGPARAMS structure that contains the parameters to be displayed by the LDialogDocument::DoModalRemoveRedEye function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalRemoveRedEye, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalRemoveRedEye.


LDialogDocument::SetSmoothParams

#include "ltwrappr.h"

L_INT LDialogDocument::SetSmoothParams(pSmoothDlgParam)

LPSMOOTHDLGPARAMS pSmoothDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogDocument::DoModalSmooth function when the dialog first appears.

Parameter | Description
pSmoothDlgParam | Pointer to a SMOOTHDLGPARAMS structure that contains the parameters to be displayed by the LDialogDocument::DoModalSmooth function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGDOC
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogDocument::DoModalSmooth, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogDocument::DoModalSmooth.


LDialogEffect::LDialogEffect()

#include "ltwrappr.h"

L_VOID LDialogEffect::LDialogEffect()

L_VOID LDialogEffect::LDialogEffect(pBitmap)

LBitmapBase L_FAR * pBitmap;

/* pointer to an LBitmapBase object */

Constructs and initializes the member variables of the LDialogEffect object.

Parameter | Description
pBitmap | Pointer to the bitmap object referencing the bitmap object to assign to the specified object.

Returns

None

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogEffect::~LDialogEffect
Topics: | Using Imaging Common Dialog

Example

//This is an example for : LDialogEffect::LDialogEffect ()
L_VOID TestFunction( )
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogEffect MyDialogEffect;     //construct a dialogeffect object
//.... do something here   ....
//Destructor is called upon returning from function
}

//This is an example for : LDialogEffect::LDialogEffect (pBitmap)
L_VOID TestFunction(LBitmapBase * BitmapObj)
{
LBase::LoadLibraries (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogEffect MyDialogEffect (BitmapObj); //construct a dialogeffect object

//.... do something here ....

}


LDialogEffect::~LDialogEffect

#include "ltwrappr.h"

virtual L_VOID LDialogEffect::~LDialogEffect()

Destroys the object, and frees any resources associated with it.

Returns

None

Comments

This is the destructor for the LDialogEffect class.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogEffect::LDialogEffect
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::LDialogEffect().


LDialogEffect::DoModalGetEffect

#include "ltwrappr.h"

virtual L_INT LDialogEffect::DoModalGetEffect ( hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Get Effect dialog box, and gets the options for LPaintEffect::PaintBitmap .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogEffect::SetEffectParams must be called before using this function to set the initial values for the dialog. You can get the updated EFFECTDLGPARAMS with the values entered by the user through the dialog by using LDialogEffect::GetEffectParams.

The Get Effect dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogEffect::GetEffectParams, LDialogEffect::SetEffectParams, LDialogBase::Initialize, LPaintEffect::PaintBitmap , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogEffect DlgEffect;
LDialogEffect::Initialize (0);
DlgEffect.SetBitmap (pBitmap);

EFFECTDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( EFFECTDLGPARAMS ) ) ;

DlgParams.uStructSize = sizeof ( EFFECTDLGPARAMS ) ;
DlgParams.uEffect = EFX_EFFECT_ROLL4_T_R_T_L ;
DlgParams.uGrain = 5 ;
DlgParams.uDelay = 50 ;
DlgParams.uMaxPass = 1 ;
DlgParams.bTransparent = FALSE ;
DlgParams.crTransparent = RGB(0,0,0) ;
DlgParams.uWandWidth = 3 ;
DlgParams.crWand = RGB(255,0,0) ;
DlgParams.uDlgFlags = DLG_EFFECT_SHOW_PREVIEW |
DLG_EFFECT_DELAY |
DLG_EFFECT_GRAIN |
DLG_EFFECT_PASSES |
DLG_EFFECT_TRANSPARENT |
DLG_EFFECT_WAND |
DLG_EFFECT_CLASS_WIPE |
DLG_EFFECT_CLASS_WIPERECT |
DLG_EFFECT_CLASS_WIPECIRCLE |
DLG_EFFECT_CLASS_PUSH |
DLG_EFFECT_CLASS_SLIDE |
DLG_EFFECT_CLASS_ROLL |
DLG_EFFECT_CLASS_ROTATE |
DLG_EFFECT_CLASS_ZOOM |
DLG_EFFECT_CLASS_DRIP |
DLG_EFFECT_CLASS_BLIND |
DLG_EFFECT_CLASS_RANDOM |
DLG_EFFECT_CLASS_CHECK |
DLG_EFFECT_CLASS_BLOCKS |
DLG_EFFECT_CLASS_CIRCLE |
DLG_EFFECT_CLASS_ELLIPSE ;

DlgEffect.EnableCallBack (FALSE);
DlgEffect.SetEffectParams (&DlgParams) ;
DlgEffect.DoModalGetEffect(hWnd);

// Gets the updated values for the structure
DlgEffect.GetEffectParams (&DlgParams, sizeof(DlgParams)) ;
LDialogEffect::Free ();

}


LDialogEffect::DoModalGetGradient

#include "ltwrappr.h"

virtual L_INT LDialogEffect::DoModalGetGradient ( hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Get Gradient dialog box, and gets the options for LPaintEffect::DrawGradient .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogEffect::SetGradientParams must be called before using this function to set the initial values for the dialog. You can get the updated GRADIENTDLGPARAMS with the values entered by the user through the dialog by using LDialogEffect::GetGradientParams.

The Get Gradient dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogEffect::GetGradientParams, LDialogEffect::SetGradientParams, LDialogBase::Initialize, LPaintEffect::DrawGradient , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogEffect DlgEffect;
LDialogEffect::Initialize (0);
DlgEffect.SetBitmap (pBitmap);

GRADIENTDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( GRADIENTDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( GRADIENTDLGPARAMS ) ;
DlgParams.crStart   = RGB ( 0,0,255 ) ;
DlgParams.crEnd     = RGB ( 255,0,0 ) ;
DlgParams.uStyle    = EFX_GRADIENT_ANGLE_TO_RT ;
DlgParams.uSteps    = 200 ;
DlgParams.uDlgFlags = DLG_GRADIENT_SHOW_PREVIEW          |
DLG_GRADIENT_AUTOPREVIEW           |
DLG_GRADIENT_STARTCOLOR            |
DLG_GRADIENT_ENDCOLOR              |
DLG_GRADIENT_STEPS                 |
DLG_GRADIENT_NO_TREEVIEW           |
DLG_GRADIENT_CLASS_LINEAR          |
DLG_GRADIENT_CLASS_ANGULAR         |
DLG_GRADIENT_CLASS_RECTANGULAR     |
DLG_GRADIENT_CLASS_ELLIPTICAL      |
DLG_GRADIENT_CLASS_CONICAL ;

DlgEffect.EnableCallBack
 (FALSE);
DlgEffect.SetGradientParams (&DlgParams) ;
DlgEffect.DoModalGetGradient(hWnd);

// Gets the updated values for the structure
DlgEffect.GetGradientParams (&DlgParams, sizeof(DlgParams)) ;
LDialogEffect::Free ();

}


LDialogEffect::DoModalGetShape

#include "ltwrappr.h"

virtual L_INT LDialogEffect::DoModalGetShape ( hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Get Shape dialog box, and gets the options for LPaintEffect::Draw3dShape .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogEffect::SetShapeParams must be called before using this function to set the initial values for the dialog. You can get the updated SHAPEDLGPARAMS with the values entered by the user through the dialog by using LDialogEffect::GetShapeParams.

The Get Shape dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogEffect::GetShapeParams, LDialogEffect::SetShapeParams, LDialogBase::Initialize, LPaintEffect::Draw3dShape , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogEffect DlgEffect;
LDialogEffect::Initialize (0);
DlgEffect.SetBitmap(pBitmap);

LBitmap BackImage;
SHAPEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( SHAPEDLGPARAMS ) ) ;

DlgParams.uStructSize = sizeof ( SHAPEDLGPARAMS ) ;
BackImage.Initialize ();

DlgParams.pBackgroundBitmap = BackImage.GetHandle ();
DlgParams.uShape = EFX_SHAPE_PARALLELOGRAM_R ;
DlgParams.crBack = RGB ( 0, 0, 255 ) ;
DlgParams.uBackStyle = 2 ;
DlgParams.crFill = RGB ( 255, 0, 0 ) ;
DlgParams.uFillStyle = 1 ;
DlgParams.crBorder = RGB ( 100, 255, 100 ) ;
DlgParams.uBorderStyle = 1 ;
DlgParams.uBorderWidth = 5 ;
DlgParams.crInnerHilite = RGB ( 255, 255, 255 ) ;
DlgParams.crInnerShadow = RGB ( 0, 0, 0 ) ;
DlgParams.uInnerStyle = 1 ;
DlgParams.uInnerWidth = 3 ;
DlgParams.crOuterHilite = RGB ( 255, 255, 0 ) ;
DlgParams.crOuterShadow = RGB ( 255, 0, 255 ) ;
DlgParams.uOuterStyle = 1 ;
DlgParams.uOuterWidth = 5 ;
DlgParams.nShadowX = 10 ;
DlgParams.nShadowY = 10 ;
DlgParams.crShadow = RGB ( 128, 128, 128 ) ;
DlgParams.uDlgFlags = DLG_SHAPE_SHOW_PREVIEW |
DLG_SHAPE_AUTOPREVIEW |
DLG_SHAPE_BACKSTYLE |
DLG_SHAPE_FILLSTYLE |
DLG_SHAPE_FORE_BACK_COLOR |
DLG_SHAPE_BORDERSTYLE |
DLG_SHAPE_BORDERWIDTH |
DLG_SHAPE_BORDERCOLOR |
DLG_SHAPE_INNERSTYLE |
DLG_SHAPE_INNERWIDTH |
DLG_SHAPE_INNER_HILITE_SHADOW |
DLG_SHAPE_OUTERSTYLE |
DLG_SHAPE_OUTERWIDTH |
DLG_SHAPE_OUTER_HILITE_SHADOW |
DLG_SHAPE_SHADOWCOLOR |
DLG_SHAPE_SHADOW_X_Y |
DLG_SHAPE_BROWSEIMAGE |
DLG_SHAPE_CLASS_SQUARE |
DLG_SHAPE_CLASS_RECTANGLE |
DLG_SHAPE_CLASS_PARALLELOGRAM |
DLG_SHAPE_CLASS_TRAPEZOID |
DLG_SHAPE_CLASS_TRIANGLE |
DLG_SHAPE_CLASS_OTHER |
DLG_SHAPE_CLASS_CIRCLE |
DLG_SHAPE_CLASS_ELLIPSE |
DLG_SHAPE_CLASS_STAR |
DLG_SHAPE_CLASS_CROSS |
DLG_SHAPE_CLASS_ARROW ;

DlgEffect.EnableCallBack (FALSE);
DlgEffect.SetShapeParams(&DlgParams) ;
DlgEffect.DoModalGetShape(hWnd);

// Gets the updated values for the structure
DlgEffect.GetShapeParams(&DlgParams, sizeof(DlgParams)) ;
LDialogEffect::Free ();

if ( BackImage.IsAllocated () )
{
BackImage.Free ();
}
}


LDialogEffect::DoModalGetText

#include "ltwrappr.h"

virtual L_INT LDialogEffect::DoModalGetText(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Get Text dialog box, and gets the options for LPaintEffect::Draw3dText .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogEffect::SetTextParams must be called before using this function to set the initial values for the dialog. You can get the updated TEXTDLGPARAMS with the values entered by the user through the dialog by using LDialogEffect::GetTextParams.

The Get Text dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogEffect::GetTextParams, LDialogEffect::SetTextParams, LDialogBase::Initialize, LPaintEffect::Draw3dText , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogEffect DlgEffect;
LDialogEffect::Initialize (0);
DlgEffect.SetBitmap (pBitmap);

TEXTDLGPARAMS DlgParams;
LBitmap ForeImage;
L_TCHAR        szSampleText [ L_MAXPATH ] ;
memset ( &DlgParams, 0, sizeof ( TEXTDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( TEXTDLGPARAMS ) ;
ForeImage.Initialize
 ();
DlgParams.pForegroundBitmap = ForeImage.GetHandle () ;
DlgParams.pszSampleText     = szSampleText ;
DlgParams.nMaxCount         = 180 ;
DlgParams.crText            = RGB ( 0,0,255 ) ;
DlgParams.crHilite          = RGB ( 255,255,255 ) ;
DlgParams.crShadow          = RGB ( 128,128,128 ) ;
DlgParams.uStyle            = 0 ;
DlgParams.uAlign            = EFX_TEXT_HCENTER | EFX_TEXT_VCENTER ;
DlgParams.bWordWrap         = FALSE ;
DlgParams.nAngle            = 450 ;
DlgParams.hFont             = NULL ;
DlgParams.nXDepth           = 10 ;
DlgParams.nYDepth           = 10 ;
DlgParams.bUseForeImage     = TRUE ;
DlgParams.uDlgFlags         = DLG_TEXT_SHOW_PREVIEW |
DLG_TEXT_AUTOPREVIEW  |
DLG_TEXT_SAMPLETEXT   |
DLG_TEXT_STYLE        |
DLG_TEXT_COLOR        |
DLG_TEXT_BORDERCOLOR  |
DLG_TEXT_ALIGN        |
DLG_TEXT_ANGLE        |
DLG_TEXT_WORDWRAP     |
DLG_TEXT_FONT         |
DLG_TEXT_FOREIMAGE    |
DLG_TEXT_BROWSEIMAGE  |
DLG_TEXT_SHADOWCOLOR  |
DLG_TEXT_SHADOW_X_Y ;

DlgEffect.EnableCallBack
 (FALSE);
DlgEffect.SetTextParams (&DlgParams) ;
DlgEffect.DoModalGetText(hWnd);

// Gets the updated values for the structure
DlgEffect.GetTextParams (&DlgParams, sizeof(DlgParams)) ;
LDialogEffect::Free ();

}


LDialogEffect::DoModalGetTransition

#include "ltwrappr.h"

virtual L_INT LDialogEffect::DoModalGetTransition ( hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Get Transition dialog box, and gets the options for LPaintEffect::PaintTransition .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogEffect::SetTransitionParams must be called before using this function to set the initial values for the dialog. You can get the updated TRANSITIONDLGPARAMS with the values entered by the user through the dialog by using LDialogEffect::GetTransitionParams.

The Get Transition dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogEffect::GetTransitionParams, LDialogEffect::SetTransitionParams, LDialogBase::Initialize, LPaintEffect::PaintTransition , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogEffect DlgEffect;
LDialogEffect::Initialize (0);
DlgEffect.SetBitmap (pBitmap);

TRANSITIONDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( TRANSITIONDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( TRANSITIONDLGPARAMS ) ;
DlgParams.uTransition = 0 ;
DlgParams.uEffect = EFX_EFFECT_WIPE_L_TO_R ;
DlgParams.crFore = RGB ( 255,255,0 ) ;
DlgParams.crBack = RGB ( 255,0,255 ) ;
DlgParams.uSteps = 120 ;
DlgParams.uDelay = 20 ;
DlgParams.uGrain = 5 ;
DlgParams.uWandWidth = 5 ;
DlgParams.crWand = RGB ( 255,255,0 ) ;
DlgParams.bTransparent = TRUE ;
DlgParams.crTransparent = RGB ( 255,0,0 ) ;
DlgParams.uDlgFlags = DLG_TRANSITION_SHOW_PREVIEW    |
DLG_TRANSITION_FORECOLOR       |
DLG_TRANSITION_BACKCOLOR       |
DLG_TRANSITION_DELAY           |
DLG_TRANSITION_GRAIN           |
DLG_TRANSITION_EFFECT          |
DLG_TRANSITION_PASSES          |
DLG_TRANSITION_WAND            |
DLG_TRANSITION_TRANSPARENT     |
DLG_TRANSITION_GRADIENT ;

DlgEffect.EnableCallBack
 (FALSE);
DlgEffect.SetTransitionParams(&DlgParams) ;
DlgEffect.DoModalGetTransition(hWnd);

// Gets the updated values for the structure
DlgEffect.GetTransitionParams (&DlgParams, sizeof(DlgParams)) ;
LDialogEffect::Free ();

}


LDialogEffect::GetEffectParams

#include "ltwrappr.h"

L_INT LDialogEffect::GetEffectParams(pEffectDlgParam, uStructSize) const;

LPEFFECTDLGPARAMS pEffectDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of EFFECTDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetEffect function.

Parameter | Description
pEffectDlgParam | Pointer to a EFFECTDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetEffect function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal EFFECTDLGPARAMS structure.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG
For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetEffect
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetEffect.


LDialogEffect::GetGradientParams

#include "ltwrappr.h"

L_INT LDialogEffect::GetGradientParams(pGradientDlgParam, uStructSize) const;

LPGRADIENTDLGPARAMS pGradientDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of GRADIENTDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetGradient function.

Parameter | Description
pGradientDlgParam | Pointer to a GRADIENTDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetGradient function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal GRADIENTDLGPARAMS structure.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetGradient
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetGradient.


LDialogEffect::GetShapeParams

#include "ltwrappr.h"

L_INT LDialogEffect::GetShapeParams(pShapeDlgParam, uStructSize) const;

LPSHAPEDLGPARAMS pShapeDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of SHAPEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetShape function.

Parameter | Description
pShapeDlgParam | Pointer to a SHAPEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetShape function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SHAPEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetShape
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetShape.


LDialogEffect::GetTextParams

#include "ltwrappr.h"

L_INT LDialogEffect::GetTextParams(pTextDlgParam, uStructSize) const;

LPTEXTDLGPARAMS pTextDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of TEXTDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetText function.

Parameter | Description
pTextDlgParam | Pointer to a TEXTDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetText function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal TEXTDLGPARAMS structure.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetText
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetText.


LDialogEffect::GetTransitionParams

#include "ltwrappr.h"

L_INT LDialogEffect::GetTransitionParams(pTransitionDlgParam, uStructSize) const;

LPTRANSITIONDLGPARAMS pTransitionDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of TRANSITIONDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetTransition function.

Parameter | Description
pTransitionDlgParam | Pointer to a TRANSITIONDLGPARAMSstructure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogEffect::DoModalGetTransition function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal TRANSITIONDLGPARAMS structure.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetTransition
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetTransition.


LDialogEffect::SetEffectParams

#include "ltwrappr.h"

L_INT LDialogEffect::SetEffectParams(pEffectDlgParam)

LPEFFECTDLGPARAMS pEffectDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogEffect::DoModalGetEffect function when the dialog first appears.

Parameter | Description
pEffectDlgParam | Pointer to a EFFECTDLGPARAMS structure that contains the parameters to be displayed for the LDialogEffect::DoModalGetEffect function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetEffect
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetEffect.


LDialogEffect::SetGradientParams

#include "ltwrappr.h"

L_INT LDialogEffect::SetGradientParams(pGradientDlgParam)

LPGRADIENTDLGPARAMS pGradientDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogEffect::DoModalGetGradient function when the dialog first appears.

Parameter | Description
pGradientDlgParam | Pointer to a GRADIENTDLGPARAMS structure that contains the parameters to be displayed for the LDialogEffect::DoModalGetGradient function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetGradient
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetGradient.


LDialogEffect::SetShapeParams

#include "ltwrappr.h"

L_INT LDialogEffect::SetShapeParams(pShapeDlgParam)

LPSHAPEDLGPARAMS pShapeDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogEffect::DoModalGetShape function when the dialog first appears.

Parameter | Description
pShapeDlgParam | Pointer to a SHAPEDLGPARAMS structure that contains the parameters to be displayed for the LDialogEffect::DoModalGetShape function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetShape
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetShape.


LDialogEffect::SetTextParams

#include "ltwrappr.h"

L_INT LDialogEffect::SetTextParams(pTextDlgParam)

LPTEXTDLGPARAMS pTextDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogEffect::DoModalGetText function when the dialog first appears.

Parameter | Description
pTextDlgParam | Pointer to a TEXTDLGPARAMS structure that contains the parameters to be displayed for the LDialogEffect::DoModalGetText function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetText
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetText.


LDialogEffect::SetTransitionParams

#include "ltwrappr.h"

L_INT LDialogEffect::SetTransitionParams(pTransitionDlgParam)

LPTRANSITIONDLGPARAMS pTransitionDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogEffect::DoModalGetTransition function when the dialog first appears.

Parameter | Description
pTransitionDlgParam | Pointer to a TRANSITIONDLGPARAMS structure that contains the parameters to be displayed for the LDialogEffect::DoModalGetTransition function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGEFX
LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogEffect::DoModalGetTransition
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogEffect::DoModalGetTransition.


LDialogFile::LDialogFile

#include "ltwrappr.h"

L_VOID LDialogFile::LDialogFile()

L_VOID LDialogFile::LDialogFile(pBitmap)

LBitmapBase L_FAR * pBitmap;

/* pointer to an LBitmapBase object */

Constructs and initializes the member variables of the LDialogFile object.

Parameter | Description
pBitmap | Pointer to the LBitmapBase object referencing the bitmap object to assign to the specified object.

Returns

None

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::~LDialogFile
Topics: | Using Imaging Common Dialog

Example

//This is an example for : LDialogFile::LDialogFile ()
L_VOID TestFunction( )
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogFile MyDialogFile;     //construct a dialogfile object
//.... do something here   ....
//Destructor is called upon returning from function
}

//This is an example for : LDialogFile::LDialogFile (pBitmap)
L_VOID TestFunction(LBitmapBase * BitmapObj)
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogFile MyDialogFile (BitmapObj);     //construct a dialogfile object
//.... do something here   ....

}


LDialogFile::~LDialogFile

#include "ltwrappr.h"

virtual L_VOID LDialogFile::~LDialogFile()

Destroys the object, and frees any resources associated with it.

Returns

None

Comments

This is the destructor for the LDialogFile class.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::LDialogFile
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::LDialogFile().


LDialogFile::DialogOpenCallBack

#include "ltwrappr.h"

virtual L_INT LDialogFile::DialogOpenCallBack(lpFileData, nTotalPercent, nFilePercent)

LPOPENDLGFILEDATA lpFileData; | /* pointer to a structure */
L_INT nTotalPercent; | /* total completion percentage */
L_INT nFilePercent; | /* completion percentage for a single file */

Lets you update a status bar or interrupt during the LDialogFile::DoModalOpen function operation.

Parameter | Description
lpFileData | Pointer to an OPENDLGFILEDATA structure that contains loading data for the file currently being loaded. The data in this structure is read only information.
nTotalPercent | An integer that indicates the completion percentage for loading all selected files in the Open dialog. This value will be updated every time a file finishes loading. Valid values range from 0 to 100.
nFilePercent | An integer that indicates the completion percentage for loading a single file from the selected files. Valid values range from 0 to 100.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

Override this function if you wish to provide a Status bar or interrupt during the LDialogFile::DoModalOpen function operation.

This function will be called only if the callback functions are enabled; to enable callback functions for the LBase object Call LBase::EnableCallBack (TRUE).

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalOpen.


LDialogFile::DoModalFileConversion

#include "ltwrappr.h"

virtual L_INT LDialogFile::DoModalFileConversion(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the File Conversion dialog box, and gets the options for converting files.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogFile::SetFileConversionParams must be called before using this function to set the initial values for the dialog. You can get the updated FILECONVERSIONDLGPARAMS with the values entered by the user through the dialog by using LDialogFile::GetFileConversionParams.

The File Conversion dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::GetFileConversionParams, LDialogFile::SetFileConversionParams, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize, LBitmapBase::Save , LBitmapList::Save , LBitmapBase::Load
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
LDialogFile DlgFile;

DlgFile.SetBitmap (pBitmap);
LDialogFile::Initialize (0);

FILECONVERSIONDLGPARAMS DlgParams ;

memset ( &DlgParams, 0, sizeof ( FILECONVERSIONDLGPARAMS ) ) ;

DlgParams.uStructSize           = sizeof ( FILECONVERSIONDLGPARAMS ) ;
DlgParams.uOverwrite            = DLG_FILECONVERSION_OVERWRITE_SKIP ;
DlgParams.pFileFormats          = NULL ;
DlgParams.nFileFormatsCount     = 0 ;
DlgParams.bUseLogReport         = TRUE ;
DlgParams.bRemoveSrcFile        = FALSE ;
DlgParams.bShowFullPath         = TRUE ;
DlgParams.bUseOriginalFolder    = TRUE ;
DlgParams.pszSrcFileList         = NULL ;
DlgParams.uDlgFlags             = DLG_FILECONVERSION_SHOW_LOADOPTIONS                 |
DLG_FILECONVERSION_SHOW_FILEINFO                    |
DLG_FILECONVERSION_SHOW_PREVIEW_PAGES               |
DLG_FILECONVERSION_SHOW_RESIZE                      |
DLG_FILECONVERSION_SHOW_ROTATE                      |
DLG_FILECONVERSION_SHOW_NAMINGTEMPLATE              |
DLG_FILECONVERSION_SHOW_OVERWRITE                   |
DLG_FILECONVERSION_SHOW_OVERWRITE_ALL               |
DLG_FILECONVERSION_SHOW_ADD                         |
DLG_FILECONVERSION_SHOW_ADDFOLDER                   |
DLG_FILECONVERSION_SHOW_REMOVE                      |
DLG_FILECONVERSION_SHOW_SELECTALL                   |
DLG_FILECONVERSION_SHOW_DELETEORIGINAL ;

DlgFile.EnableCallBack
 (FALSE);
DlgFile.SetFileConversionParams (&DlgParams) ;
nRet = DlgFile.DoModalFileConversion(hWnd);
// Gets the updated values for the structure
DlgFile.GetFileConversionParams (&DlgParams, sizeof(DlgParams)) ;

LDialogFile::Free ();

}


LDialogFile::DoModalFilesAssociation

#include "ltwrappr.h"

virtual L_INT LDialogFile::DoModalFilesAssociation (hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the File Association dialog, in order to change file association options.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogFile::SetFilesAssociationParams must be called before using this function to set the initial values for the dialog. You can get the updated FILESASSOCIATIONDLGPARAMS with the values entered by the user through the dialog by using LDialogFile::GetFilesAssociationParams.

The File Association dialog is shown in the following figure:

Use this dialog to control how the shell treats certain types of files. This lets you link your application to a certain file type, which causes the application to take ownership of that file type.

The parameters are used as input only and will not be updated by the dialog.

If the function was successful, then file formats will be associated or de-associated accordingly.

The same filter group string can be passed for both LDialogFile::DoModalOpen and LDialogFile::DoModalFilesAssociation because they have the same format.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::GetFilesAssociationParams, LDialogFile::SetFilesAssociationParams, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize, LBitmapBase::Load
Topics: | Using Imaging Common Dialog

Example 1:

void TestFunction(LBitmap * pBitmap, HWND hWnd, L_TCHAR* pszServerAppName )
{
L_INT nRet = 0;
LDialogFile DlgFile;

DlgFile.SetBitmap (pBitmap);
LDialogFile::Initialize (0);

FILESASSOCIATIONDLGPARAMS DLGPARAMSFileAssociation ;

memset ( &DLGPARAMSFileAssociation, 0, sizeof ( FILESASSOCIATIONDLGPARAMS ) ) ;

DLGPARAMSFileAssociation.uStructSize           = sizeof ( FILESASSOCIATIONDLGPARAMS ) ;
DLGPARAMSFileAssociation.pszFormats             = NULL ;
DLGPARAMSFileAssociation.pszServerAppName      = pszServerAppName;
DLGPARAMSFileAssociation.pszSelectedExt         = NULL ;
DLGPARAMSFileAssociation.pHelpCallBackUserData = NULL ;
DLGPARAMSFileAssociation.pfnHelpCallback       = NULL ;

DlgFile.EnableCallBack
 (FALSE);
DlgFile.SetFilesAssociationParams (&DLGPARAMSFileAssociation) ;
nRet = DlgFile.DoModalFilesAssociation(hWnd);
// Gets the updated values for the structure
DlgFile.GetFilesAssociationParams(&DLGPARAMSFileAssociation, sizeof(DLGPARAMSFileAssociation)) ;

LDialogFile::Free ();

}

Example 2:

void TestFunction(LBitmap * pBitmap, HWND hWnd, L_TCHAR* pszServerAppName )
{
L_INT nRet = 0;
LDialogFile DlgFile;

DlgFile.SetBitmap (pBitmap);
LDialogFile::Initialize (0);

FILESASSOCIATIONDLGPARAMS DLGPARAMSFileAssociation ;

L_TCHAR* pszFormats =
{
TEXT("LEAD (*.cmp)\0")           TEXT("*.cmp\0")
TEXT("DICOM (*.dic)\0")          TEXT("*.dic\0")
TEXT("Windows Bitmap (*.bmp)\0") TEXT("*.bmp\0")
TEXT("\0")
} ;

L_TCHAR* pszSelectedFormats =
{
TEXT(".cmp\0")
TEXT(".dic\0")
TEXT("\0")
} ;

memset ( &DLGPARAMSFileAssociation, 0, sizeof ( FILESASSOCIATIONDLGPARAMS ) ) ;

DLGPARAMSFileAssociation.uStructSize           = sizeof ( FILESASSOCIATIONDLGPARAMS ) ;
DLGPARAMSFileAssociation.pszFormats             = pszFormats ;
DLGPARAMSFileAssociation.pszServerAppName      = pszServerAppName ;
DLGPARAMSFileAssociation.pszSelectedExt         = pszSelectedFormats ;
DLGPARAMSFileAssociation.pHelpCallBackUserData = NULL ;
DLGPARAMSFileAssociation.pfnHelpCallback       = NULL ;

DlgFile.EnableCallBack
 (FALSE);
DlgFile.SetFilesAssociationParams (&DLGPARAMSFileAssociation) ;
nRet = DlgFile.DoModalFilesAssociation(hWnd);
// Gets the updated values for the structure
DlgFile.GetFilesAssociationParams(&DLGPARAMSFileAssociation, sizeof(DLGPARAMSFileAssociation)) ;

LDialogFile::Free ();

}


LDialogFile::DoModalGetDirectory

#include "ltwrappr.h"

virtual L_INT LDialogFile::DoModalGetDirectory(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Get Directory dialog box, and allows the user to browse the file system for a folder or directory.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogFile::SetDirectoryParams must be called before using this function to set the initial values for the dialog. You can get the updated GETDIRECTORYDLGPARAMS with the values entered by the user through the dialog by using LDialogFile::GetDirectoryParams.

The Get Directory dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::GetDirectoryParams, LDialogFile::SetDirectoryParams, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogFile DlgFile;
LDialogFile::Initialize (0);
DlgFile.SetBitmap (pBitmap);

GETDIRECTORYDLGPARAMS DlgParams;
L_TCHAR szDirectory [ L_MAXPATH ];
memset ( &DlgParams, 0, sizeof ( GETDIRECTORYDLGPARAMS ) ) ;
lstrcpy ( szDirectory, TEXT("C:\\images") ) ;
DlgParams.uStructSize      = sizeof ( GETDIRECTORYDLGPARAMS ) ;
DlgParams.pszDirectory = szDirectory ;
DlgParams.nBuffSize    = L_MAXPATH ;
DlgParams.pszFilter    = TEXT("ALL\0*.*\0LEAD\0*.cmp\0JPEG\0*.JPG\0") ;
DlgParams.nFilterIndex = 1 ;
DlgParams.pszTitle     = TEXT("Select a Directory Please");

DlgFile.EnableCallBack
 (FALSE);
DlgFile.EnablePreview(TRUE);
DlgFile.EnableAutoProcess (TRUE);
DlgFile.EnableToolbar(TRUE);
DlgFile.SetDirectoryParams(&DlgParams) ;
DlgFile.DoModalGetDirectory(hWnd);

// Gets the updated values for the structure
DlgFile.GetDirectoryParams (&DlgParams, sizeof(DlgParams)) ;
LDialogFile::Free ();
}


LDialogFile::DoModalOpen

#include "ltwrappr.h"

virtual L_INT LDialogFile::DoModalOpen(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Open dialog box, and gets the options for LFile::Load.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogFile::SetOpenParams must be called before using this function to set the initial values for the dialog. You can get the updated OPENDLGPARAMS with the values entered by the user through the dialog by using LDialogFile::GetOpenParams.

The File Open dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::GetOpenParams, LDialogFile::SetOpenParams, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize. LBitmapBase::Load
Topics: | Using Imaging Common Dialog

Example

class MyFileDlg : public LDialogFile
{
public:
L_INT DialogOpenCallBack(LPOPENDLGFILEDATA lpFileData, L_INT nTotalPercent, L_INT nFilePercent);
};

L_INT MyFileDlg::DialogOpenCallBack(LPOPENDLGFILEDATA lpFileData, L_INT nTotalPercent, L_INT nFilePercent)
{
if ( nFilePercent == 100 )
{
MessageBox ( NULL, lpFileData->szFileName, TEXT("File Loaded"), MB_OK ) ;
}

if ( nTotalPercent == 100 )
{
MessageBox ( NULL, TEXT("File(s) Loading Completed"), TEXT("File(s) Loaded"), MB_OK ) ;
}

return SUCCESS ;
}

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
MyFileDlg DlgFile;

DlgFile.SetBitmap (pBitmap);
MyFileDlg::Initialize (0);

OPENFILENAME  OpenFileName;
OPENDLGPARAMS DlgParams ;

memset ( &OpenFileName, 0, sizeof ( OPENFILENAME ) ) ;
memset ( &DlgParams, 0, sizeof ( OPENDLGPARAMS ) ) ;

OpenFileName.lStructSize       = sizeof(OPENFILENAME);
OpenFileName.lpstrInitialDir   = NULL;
OpenFileName.Flags             = OFN_EXPLORER |
OFN_ALLOWMULTISELECT ;

DlgParams.uStructSize = sizeof ( OPENDLGPARAMS ) ;
DlgParams.bPreviewEnabled = TRUE;
DlgParams.uDlgFlags = DLG_OPEN_SHOW_PROGRESSIVE     |
DLG_OPEN_SHOW_MULTIPAGE       |
DLG_OPEN_SHOW_LOADROTATED     |
DLG_OPEN_SHOW_LOADCOMPRESSED  |
DLG_OPEN_SHOW_FILEINFO        |
DLG_OPEN_SHOW_PREVIEW         |
DLG_OPEN_SHOW_DELPAGE         |
DLG_OPEN_SHOW_LOADOPTIONS     |
DLG_OPEN_VIEWTOTALPAGES       |
DLG_OPEN_GENERATETHUMBNAIL ;

DlgFile.EnableCallBack
 (TRUE);
DlgFile.EnableAutoProcess (TRUE);
DlgFile.SetOpenParams (&DlgParams) ;
DlgFile.SetFileName (TEXT("image1.cmp"));
nRet = DlgFile.DoModalOpen(hWnd);
// Gets the updated values for the structure
DlgFile.GetOpenParams (&DlgParams, sizeof(DlgParams)) ;
//Get new values...
L_TCHAR  szFile[260];

UINT  uSize = sizeof(szFile);
DlgFile.GetFileName (szFile, uSize);

MyFileDlg::Free ();

}


LDialogFile::DoModalPrintPreview

#include "ltwrappr.h"

virtual L_INT LDialogFile::DoModalPrintPreview (hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the print preview dialog box for printing a single image.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogFile::SetPrintPreviewParams must be called before using this function to set the initial values for the dialog. You can get the updated PRINTPREVIEWDLGPARAMS with the values entered by the user through the dialog by using LDialogFile::GetPrintPreviewParams.

The Print Preview dialog for printing a single image is shown in the following figure:

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::GetPrintPreviewParams, LDialogFile::SetPrintPreviewParams, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize, LDialogFile::DoModalPrintStitchedImages, LPrint::Print , LPrint::PrintFast .
Topics: | Using Imaging Common Dialog

Example

L_VOID DoPrintPreview
(
HWND hWnd,
LBitmap* pBitmap,
LPDLGBITMAPLIST pList
)
{
L_INT nRet = 0;
LDialogFile DlgFile;

DlgFile.SetBitmap (pBitmap);
LDialogFile::Initialize (0);

PRINTPREVIEWDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( PRINTPREVIEWDLGPARAMS ) ) ;

DlgParams.uStructSize = sizeof ( PRINTPREVIEWDLGPARAMS ) ;
DlgParams.nCmdShow    = SW_SHOW ;

DlgFile.EnableCallBack
 (FALSE);
DlgFile.SetPrintPreviewParams (&DlgParams) ;
nRet = DlgFile.DoModalPrintPreview(hWnd);
// Gets the updated values for the structure
DlgFile.GetPrintPreviewParams(&DlgParams, sizeof(DlgParams)) ;

if ( DlgParams.hDevMode )
{
GlobalFree ( DlgParams.hDevMode ) ;
}

if ( DlgParams.hDevNames )
{
GlobalFree ( DlgParams.hDevNames ) ;
}

LDialogFile::Free ();
}


LDialogFile::DoModalPrintStitchedImages

#include "ltwrappr.h"

virtual L_INT LDialogFile::DoModalPrintStitchedImages (hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the dialog box for printing multiple images.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogFile::SetPrintStitchedImagesParams must be called before using this function to set the initial values for the dialog. You can get the updated PRINTSTITCHEDIMAGESDLGPARAMS with the values entered by the user through the dialog by using LDialogFile::GetPrintStitchedImagesParams.

The dialog for printing multiple images is shown in the following figure:

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::GetPrintStitchedImagesParams, LDialogFile::SetPrintStitchedImagesParams, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize, LDialogFile::DoModalPrintPreview, LPrint::Print , LPrint::PrintFast
Topics: | Using Imaging Common Dialog

Example

L_VOID ShowMultiImagesPrint
(
HWND hWnd,
LBitmap* pBitmap,
LPDLGBITMAPLIST pList
)
{
L_INT nRet = 0;
LDialogFile DlgFile;

DlgFile.SetBitmap (pBitmap);
LDialogFile::Initialize (0);

PRINTSTITCHEDIMAGESDLGPARAMS DlgParams ;

memset ( &DlgParams, 0, sizeof ( PRINTSTITCHEDIMAGESDLGPARAMS ) ) ;

DlgParams.uStructSize = sizeof ( PRINTSTITCHEDIMAGESDLGPARAMS ) ;
DlgParams.pBitmapList = pList ;
DlgParams.nCmdShow    = SW_SHOW ;

DlgFile.EnableCallBack
 (FALSE);
DlgFile.SetPrintStitchedImagesParams (&DlgParams) ;
nRet = DlgFile.DoModalPrintStitchedImages(hWnd);
// Gets the updated values for the structure
DlgFile.GetPrintStitchedImagesParams(&DlgParams, sizeof(DlgParams)) ;

if ( DlgParams.hDevMode )
{
GlobalFree ( DlgParams.hDevMode ) ;
}

if ( DlgParams.hDevNames )
{
GlobalFree ( DlgParams.hDevNames ) ;
}

LDialogFile::Free ();
}

L_VOID DoMultiPrintSingleImage
(
HWND hWnd,
LBitmap *pBitmap
)
{
DLGBITMAPLISTITEM Items [ 1 ] ;
DLGBITMAPLIST     bmplist ;

Items [ 0 ].pszDescription  = NULL ;
Items [ 0 ].pszFileName = NULL ;
Items [ 0 ].pBitmap    = pBitmap->GetHandle() ;

bmplist.uStructSize = sizeof ( DLGBITMAPLIST ) ;
bmplist.pBitmapList = Items ;
bmplist.nCount      = 1 ;

ShowMultiImagesPrint ( hWnd, pBitmap, &bmplist ) ;
}


LDialogFile::DoModalSave

#include "ltwrappr.h"

virtual L_INT LDialogFile::DoModalSave(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Save dialog box, and gets the options for LDialogFile::DoModalSave.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogFile::SetSaveParams must be called before using this function to set the initial values for the dialog. You can get the updated SAVEDLGPARAMS with the values entered by the user through the dialog by using LDialogFile::GetSaveParams.

The Save dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::GetSaveParams, LDialogFile::SetSaveParams, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize, LBitmapBase::Save , LBitmapList::Save , LFile::SaveOffset , LFile::SaveTile
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
LDialogFile DlgFile;

DlgFile.SetBitmap (pBitmap);
LDialogFile::Initialize (0);

SAVEDLGPARAMS DlgParams ;
OPENFILENAME  OpenFileName ;

memset ( &DlgParams, 0, sizeof ( SAVEDLGPARAMS ) ) ;

OpenFileName.lStructSize     = sizeof ( OPENFILENAME ) ;
OpenFileName.lpstrInitialDir = NULL;
OpenFileName.lpstrTitle      = TEXT("Save a File");
OpenFileName.nFilterIndex    = 0 ;

DlgParams.uStructSize       = sizeof (SAVEDLGPARAMS) ;
DlgParams.nQFactor    = 2 ;
DlgParams.nPageNumber = 1 ;
DlgParams.uSaveMulti  = MULTIPAGE_OPERATION_REPLACE ;
DlgParams.uDlgFlags   = DLG_SAVE_SHOW_FILEOPTIONS_PROGRESSIVE     |
DLG_SAVE_SHOW_FILEOPTIONS_MULTIPAGE       |
DLG_SAVE_SHOW_FILEOPTIONS_STAMP           |
DLG_SAVE_SHOW_FILEOPTIONS_QFACTOR         |
DLG_SAVE_SHOW_FILEOPTIONS_J2KOPTIONS      |
DLG_SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS ;

DlgFile.EnableCallBack
 (FALSE);
DlgFile.SetSaveParams (&DlgParams) ;
DlgFile.SetFileName(TEXT("C:\\IMAGE1.GIF")) ;
nRet = DlgFile.DoModalSave(hWnd);
// Gets the updated values for the structure
DlgFile.GetSaveParams(&DlgParams, sizeof(DlgParams)) ;

LDialogFile::Free ();

}


LDialogFile::GetDirectoryParams

#include "ltwrappr.h"

L_VOID LDialogFile::GetDirectoryParams(pGetDirectoryDlgParam, uStructSize) const;

LPGETDIRECTORYDLGPARAMS pGetDirectoryDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of GETDIRECTORYDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalGetDirectory function.

Parameter | Description
pGetDirectoryDlgParam | Pointer to a GETDIRECTORYDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalGetDirectory function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal GETDIRECTORYDLGPARAMS structure.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalGetDirectory
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalGetDirectory.


LDialogFile::GetFileConversionParams

#include "ltwrappr.h"

L_VOID LDialogFile::GetFileConversionParams(pFileConversionDlgParam, uStructSize) const;

LPFILECONVERSIONDLGPARAMS pFileConversionDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of FILECONVERSIONDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalFileConversion function.

Parameter | Description
pFileConversionDlgParam | Pointer to a FILECONVERSIONDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalFileConversion function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal FILECONVERSIONDLGPARAMS structure.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalFileConversion
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalFileConversion.


LDialogFile::GetFileName

#include "ltwrappr.h"

L_VOID LDialogFile::GetFileName(pszBuff, cbSize) const;

L_TCHAR L_FAR * pszBuff; | /* file name */
L_INT cbSize; | /* size of the passed buffer */

Gets the file name used by the open/save dialogs.

Parameter | Description
pszBuff | Character string to be updated with the file name.
cbSize | The size of pszBuff.

Returns

None

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::SetFileName, LDialogFile::DoModalOpen, LDialogFile::DoModalSave
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalOpen.


LDialogFile::GetFilesAssociationParams

#include "ltwrappr.h"

L_VOID LDialogFile::GetFilesAssociationParams(pFilesAssociationDlgParam, uStructSize) const;

LPFILESASSOCIATIONDLGPARAMS pFilesAssociationDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of FILESASSOCIATIONDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalFilesAssociation function.

Parameter | Description
pFilesAssociationDlgParam | Pointer to a FILESASSOCIATIONDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalFilesAssociation function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal FILESASSOCIATIONDLGPARAMS structure.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalFilesAssociation
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalFilesAssociation.


LDialogFile::GetOpenFileNameParams

#include "ltwrappr.h"

L_VOID LDialogFile::GetOpenFileNameParams(pOpenFileNameDlgParam) const;

LPOPENFILENAME pOpenFileNameDlgParam;

/* pointer to a structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalOpen function.

Parameter | Description
pOpenFileNameDlgParam | Pointer to a OPENFILENAME structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalSave and LDialogFile::DoModalOpen functions.

Returns

None

Comments

This will update the passed structure with the class object's current settings for the internal OPENFILENAME structure.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalSave, LDialogFile::DoModalOpen
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalOpen.


LDialogFile::GetOpenParams

#include "ltwrappr.h"

L_VOID LDialogFile::GetOpenParams(pOpenDlgParam, uStructSize) const;

LPOPENDLGPARAMS pOpenDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of OPENDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalOpen function.

Parameter | Description
pOpenDlgParam | Pointer to a OPENDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalOpen function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal OPENDLGPARAMS structure.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalOpen
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalOpen.


LDialogFile::GetPrintPreviewParams

#include "ltwrappr.h"

L_VOID LDialogFile::GetPrintPreviewParams(pPrintPreviewDlgParam, uStructSize) const;

LPPRINTPREVIEWDLGPARAMS pPrintPreviewDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of PRINTPREVIEWDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalPrintPreview function.

Parameter | Description
pPrintPreviewDlgParam | Pointer to a PRINTPREVIEWDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalPrintPreview function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal PRINTPREVIEWDLGPARAMS structure.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalPrintPreview
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalPrintPreview.


LDialogFile::GetPrintStitchedImagesParams

#include "ltwrappr.h"

L_VOID LDialogFile::GetPrintStitchedImagesParams(pPrintStitchedImagesDlgParam, uStructSize) const;

LPPRINTSTITCHEDIMAGESDLGPARAMS pPrintStitchedImagesDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of PRINTSTITCHEDIMAGESDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalPrintStitchedImages function.

Parameter | Description
pPrintStitchedImagesDlgParam | Pointer to a PRINTSTITCHEDIMAGESDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalPrintStitchedImages function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal PRINTSTITCHEDIMAGESDLGPARAMS structure.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalPrintStitchedImages
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalPrintStitchedImages.


LDialogFile::GetSaveParams

#include "ltwrappr.h"

L_VOID LDialogFile::GetSaveParams(pSaveDlgParam, uStructSize) const;

LPSAVEDLGPARAMS pSaveDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* size of SAVEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalSave function.

Parameter | Description
pSaveDlgParam | Pointer to a SAVEDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogFile::DoModalSave function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SAVEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalSave
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalSave.


LDialogFile::SetDirectoryParams

#include "ltwrappr.h"

L_INT LDialogFile::SetDirectoryParams(pGetDirectoryDlgParam)

LPGETDIRECTORYDLGPARAMS pGetDirectoryDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogFile::DoModalGetDirectory function when the dialog first appears.

Parameter | Description
pGetDirectoryDlgParam | Pointer to a GETDIRECTORYDLGPARAMS structure that contains the parameters to be displayed by the LDialogFile::DoModalGetDirectory function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalGetDirectory
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalGetDirectory.


LDialogFile::SetFileConversionParams

#include "ltwrappr.h"

L_INT LDialogFile::SetFileConversionParams(pFileConversionDlgParam)

LPFILECONVERSIONDLGPARAMS pFileConversionDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogFile::DoModalFileConversion function when the dialog first appears.

Parameter | Description
pFileConversionDlgParam | Pointer to a FILECONVERSIONDLGPARAMS structure that contains the parameters to be displayed by the LDialogFile::DoModalFileConversion function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalFileConversion
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalFileConversion.


LDialogFile::SetFileName

#include "ltwrappr.h"

L_INT LDialogFile::SetFileName(pszFile)

L_TCHAR L_FAR * pszFile;

/* file name */

Sets the file name used by the open/save dialogs.

Parameter | Description
pszFile | Character string that contains the file name to be used by the open/save dialogs.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::GetFileName, LDialogFile::DoModalOpen
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalOpen.


LDialogFile::SetFilesAssociationParams

#include "ltwrappr.h"

L_INT LDialogFile::SetFilesAssociationParams(pFilesAssociationDlgParam)

LPFILESASSOCIATIONDLGPARAMS pFilesAssociationDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogFile::DoModalFilesAssociation function when the dialog first appears.

Parameter | Description
pFilesAssociationDlgParam | Pointer to a FILESASSOCIATIONDLGPARAMS structure that contains the parameters to be displayed by the LDialogFile::DoModalFilesAssociation function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalFilesAssociation
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalFilesAssociation.


LDialogFile::SetOpenFileNameParams

#include "ltwrappr.h"

L_INT LDialogFile::SetOpenFileNameParams(pOpenFileNameDlgParam)

LPOPENFILENAME pOpenFileNameDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogFile::DoModalOpen function when the dialog first appears.

Parameter | Description
pOpenFileNameDlgParam | Pointer to a OPENFILENAME structure that contains the parameters to be displayed by the LDialogFile::DoModalSave and LDialogFile::DoModalOpen functions when the dialogs first appear.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalSave, LDialogFile::DoModalOpen
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalSave.


LDialogFile::SetOpenParams

#include "ltwrappr.h"

L_INT LDialogFile::SetOpenParams(pOpenDlgParam)

LPOPENDLGPARAMS pOpenDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogFile::DoModalOpen function when the dialog first appears.

Parameter | Description
pOpenDlgParam | Pointer to a OPENDLGPARAMS structure that contains the parameters to be displayed by the LDialogFile::DoModalOpen function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalOpen
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalOpen.


LDialogFile::SetPrintPreviewParams

#include "ltwrappr.h"

L_INT LDialogFile::SetPrintPreviewParams(pPrintPreviewDlgParam)

LPPRINTPREVIEWDLGPARAMS pPrintPreviewDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogFile::DoModalPrintPreview function when the dialog first appears.

Parameter | Description
pPrintPreviewDlgParam | Pointer to a PRINTPREVIEWDLGPARAMS structure that contains the parameters to be displayed by the LDialogFile::DoModalPrintPreview function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalPrintPreview
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalPrintPreview.


LDialogFile::SetPrintStitchedImagesParams

#include "ltwrappr.h"

L_INT LDialogFile::SetPrintStitchedImagesParams(pPrintStitchedImagesDlgParam)

LPPRINTSTITCHEDIMAGESDLGPARAMS pPrintStitchedImagesDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogFile::DoModalPrintStitchedImages function when the dialog first appears.

Parameter | Description
pPrintStitchedImagesDlgParam | Pointer to a PRINTSTITCHEDIMAGESDLGPARAMS structure that contains the parameters to be displayed by the LDialogFile::DoModalPrintStitchedImages function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalPrintStitchedImages
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalPrintStitchedImages.


LDialogFile::SetSaveParams

#include "ltwrappr.h"

L_INT LDialogFile::SetSaveParams(pSaveDlgParam)

LPSAVEDLGPARAMS pSaveDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogFile::DoModalSave function when the dialog first appears.

Parameter | Description
pSaveDlgParam | Pointer to a SAVEDLGPARAMS structure that contains the parameters to be displayed by the LDialogFile::DoModalSave function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGFILE
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | Class Members, LDialogFile::DoModalSave
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogFile::DoModalSave.


LDialogImage::LDialogImage

#include "ltwrappr.h"

L_VOID LDialogImage::LDialogImage()

L_VOID LDialogImage::LDialogImage(pBitmap)

LBitmapBase L_FAR * pBitmap;

/* pointer to an LBitmapBase object */

Constructs and initializes the member variables of the LDialogImage object.

Parameter | Description
pBitmap | Pointer to the bitmap object referencing the bitmap object to assign to the specified object.

Returns

None.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::~LDialogImage, Class Members
Topics: | Using Imaging Common Dialog

Example

//This is an example for : LDialogImage::LDialogImage ()
L_VOID TestFunction( )
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogImage MyDialogImage;     //construct a dialogimage object

//.... do something here   ....
//Destructor is called upon returning from function
}

//This is an example for : LDialogImage::LDialogImage (pBitmap)
L_VOID TestFunction(LBitmapBase * BitmapObj)
{
LBase::LoadLibraries (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogImage MyDialogImage (BitmapObj); //construct a dialogimage object

//.... do something here ....

}


LDialogImage::~LDialogImage

#include "ltwrappr.h"

virtual L_VOID LDialogImage::~LDialogImage()

Destroys the object, and frees any resources associated with it.

Returns

None.

Comments

This is the destructor for the LDialogImage class.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::LDialogImage, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::LDialogImage().


LDialogImage::DoModalAddBorder

#include "ltwrappr.h"

virtual L_INT LDialogImage::DoModalAddBorder(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Add Border dialog box, and gets the options for LBitmap::AddBorder . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImage::SetAddBorderParams must be called before using this function to set the initial values for the dialog. You can get the updated ADDBORDERDLGPARAMS with the values entered by the user through the dialog by using LDialogImage::GetAddBorderParams.

The Add Border dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize, LDialogImage::SetAddBorderParams, LDialogImage::GetAddBorderParams, LBitmap::AddBorder , Class Members
Topics: | Using Imaging Common Dialog

Example

L_VOID ShowAddBorderDlg
(
HWND            hWnd,
LBitmap*   pBitmap,
LPDLGBITMAPLIST pList
)
{

L_INT nRet = 0;
LDialogImage DlgImage;

DlgImage.SetBitmap(pBitmap);
LDialogImage::Initialize(0);

ADDBORDERDLGPARAMS DlgParams ;

memset ( &DlgParams, 0, sizeof ( ADDBORDERDLGPARAMS ) ) ;

DlgParams.uStructSize = sizeof ( ADDBORDERDLGPARAMS ) ;

DlgParams.pBitmapList = pList ;

DlgImage.EnableCallBack
 (FALSE);
DlgImage.EnablePreview(TRUE);
DlgImage.EnableAutoProcess(TRUE);
DlgImage.EnableToolbar(TRUE);
DlgImage.SetAddBorderParams(&DlgParams) ;
nRet = DlgImage.DoModalAddBorder(hWnd);
// Gets the updated values for the structure
DlgImage.GetAddBorderParams(&DlgParams, sizeof(DlgParams)) ;

LDialogImage::Free();
}

L_VOID DoAddBorderSingleTile
(
HWND hWnd,
LBitmap * pBitmap,
L_TCHAR* pszTileImage
)
{
DLGBITMAPLISTITEM Items [ 1 ] ;
DLGBITMAPLIST bmplist ;
LBitmap BorderBitmap;
Items [ 0 ].pszDescription = NULL ;
Items [ 0 ].pszFileName = pszTileImage ;

BorderBitmap.Initialize ();
BorderBitmap.LoadResize (Items [ 0 ].pszFileName,
100,
0,
24,
0,
ORDER_BGR,
NULL,
NULL ) ;
Items [ 0 ].pBitmap = BorderBitmap.GetHandle ();
bmplist.uStructSize = sizeof ( DLGBITMAPLIST ) ;
bmplist.pBitmapList = Items ;
bmplist.nCount = 1 ;

ShowAddBorderDlg ( hWnd, pBitmap, &bmplist ) ;

BorderBitmap.Free ();
}


LDialogImage::DoModalAddFrame

#include "ltwrappr.h"

virtual L_INT LDialogImage::DoModalAddFrame(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Add Frame dialog box, and gets the options for LBitmap::AddFrame . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImage::SetAddFrameParams must be called before using this function to set the initial values for the dialog. You can get the updated ADDFRAMEDLGPARAMS with the values entered by the user through the dialog by using LDialogImage::GetAddFrameParams.

The Add Frame dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize, LDialogImage::SetAddFrameParams, LDialogImage::GetAddFrameParams, LBitmap::AddFrame , LDialogImage::DoModalAddBorder, Class Members
Topics: | Using Imaging Common Dialog

Example

L_VOID ShowAddFrameDlg
(
HWND                  hWnd,
LBitmap*         pBitmap,
LPDLGBITMAPLIST pList
)
{

L_INT nRet = 0;
LDialogImage DlgImage;

DlgImage.SetBitmap(pBitmap);
LDialogImage::Initialize(0);

ADDFRAMEDLGPARAMS DlgParams ;

memset ( &DlgParams, 0, sizeof ( ADDFRAMEDLGPARAMS ) ) ;

DlgParams.uStructSize = sizeof ( ADDFRAMEDLGPARAMS ) ;

DlgParams.pBitmapList = pList ;

DlgImage.EnableCallBack
 (FALSE);
DlgImage.EnablePreview(TRUE);
DlgImage.EnableAutoProcess(TRUE);
DlgImage.EnableToolbar(TRUE);
DlgImage.SetAddFrameParams(&DlgParams) ;
nRet = DlgImage.DoModalAddFrame(hWnd);
// Gets the updated values for the structure
DlgImage.GetAddFrameParams(&DlgParams, sizeof(DlgParams)) ;

LDialogImage::Free();
}

L_VOID DoAddFrameSingleTile
(
HWND hWnd,
LBitmap* pBitmap,
L_TCHAR* pszTileImage
)
{
DLGBITMAPLISTITEM Items [ 1 ] ;
DLGBITMAPLIST bmplist ;
LBitmap FrameBitmap;
Items [ 0 ].pszDescription = NULL ;
Items [ 0 ].pszFileName = pszTileImage ;
FrameBitmap.Initialize ();
FrameBitmap.LoadResize ( Items [ 0 ].pszFileName,
100,
0,
24,
0,
ORDER_BGR,
NULL,
NULL ) ;

Items [ 0 ].pBitmap = FrameBitmap.GetHandle ();
bmplist.uStructSize = sizeof ( DLGBITMAPLIST ) ;
bmplist.pBitmapList = Items ;
bmplist.nCount = 1 ;

ShowAddFrameDlg ( hWnd, pBitmap, &bmplist ) ;

FrameBitmap.Free ();

}


LDialogImage::DoModalAutoTrim

#include "ltwrappr.h"

virtual L_INT LDialogImage::DoModalAutoTrim(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the AutoTrim dialog box, and gets the options for LBitmap::AutoTrim .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImage::SetAutoTrimParams must be called before using this function to set the initial values for the dialog. You can get the updated AUTOTRIMDLGPARAMS with the values entered by the user through the dialog by using LDialogImage::GetAutoTrimParams.

The Auto Trim dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImage::SetAutoTrimParams, LDialogImage::GetAutoTrimParams, LDialogBase::Initialize, LBitmap::AutoTrim , Class Members
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImage DlgImage;
LDialogImage::Initialize(DLG_INIT_COLOR );
DlgImage.SetBitmap(pBitmap);

AUTOTRIMDLGPARAMS DlgParams ;

memset ( &DlgParams, 0, sizeof ( AUTOTRIMDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( AUTOTRIMDLGPARAMS ) ;

DlgImage.EnableCallBack
 (FALSE);
DlgImage.EnablePreview(TRUE);
DlgImage.EnableAutoProcess(TRUE);
DlgImage.EnableToolbar(TRUE);
DlgImage.SetAutoTrimParams(&DlgParams) ;
DlgImage.DoModalAutoTrim(hWnd);

// Gets the updated values for the structure
DlgImage.GetAutoTrimParams(&DlgParams, sizeof(DlgParams)) ;
LDialogImage::Free();
}


LDialogImage::DoModalCanvasResize

#include "ltwrappr.h"

virtual L_INT LDialogImage::DoModalCanvasResize(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Canvas Resize dialog box.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImage::SetCanvasResizeParams must be called before using this function to set the initial values for the dialog. You can get the updated CANVASRESIZEDLGPARAMS with the values entered by the user through the dialog by using LDialogImage::GetCanvasResizeParams.

The Canvas Resize dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize, LDialogImage::SetCanvasResizeParams, LDialogImage::GetCanvasResizeParams, LBitmapBase::Create , LBitmapBase::Combine , LBitmapBase::Copy , Class Members
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImage DlgImage;
LDialogImage::Initialize(DLG_INIT_COLOR );
DlgImage.SetBitmap(pBitmap);

CANVASRESIZEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( CANVASRESIZEDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( CANVASRESIZEDLGPARAMS ) ;

DlgParams.uDlgFlags      = DLG_CANVASRESIZE_SHOW_CURRENT_HEIGHT |
DLG_CANVASRESIZE_SHOW_CURRENT_WIDTH  |
DLG_CANVASRESIZE_SHOW_HORIZPOS       |
DLG_CANVASRESIZE_SHOW_VERTZPOS       |
DLG_CANVASRESIZE_SHOW_BACKCOLOR      |
DLG_CANVASRESIZE_SHOW_KEEPASPECT ;

DlgParams.nCurrentWidth  = pBitmap->GetWidth ();
DlgParams.nCurrentHeight = pBitmap->GetHeight ();
DlgParams.crBkgnd        = RGB ( 255, 255, 255 ) ;

DlgImage.EnableCallBack
 (FALSE);
DlgImage.EnablePreview(TRUE);
DlgImage.EnableAutoProcess(TRUE);
DlgImage.EnableToolbar(TRUE);
DlgImage.SetCanvasResizeParams(&DlgParams) ;
DlgImage.DoModalCanvasResize(hWnd);

// Gets the updated values for the structure
DlgImage.GetCanvasResizeParams(&DlgParams, sizeof(DlgParams)) ;
LDialogImage::Free();
}


LDialogImage::DoModalHistogram

#include "ltwrappr.h"

virtual L_INT LDialogImage::DoModalHistogram(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Histogram dialog box.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImage::SetHistogramParams must be called before using this function to set the initial values for the dialog. You can get the updated HISTOGRAMDLGPARAMS with the values entered by the user through the dialog by using LDialogImage::GetHistogramParams.

The Histogram dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogBase::Initialize, LDialogImage::SetHistogramParams, LDialogImage::GetHistogramParams, LBitmap::GetHistogram , Class Members
Topics: | Using Imaging Common Dialog

Example

Use this dialog to display histogram charts for a bitmap. Charts can be displayed for either the main, red, green or blue channels.

This dialog can be used in to different ways:

You may pass the bitmap, and let the dialog do the processing to calculate the histogram(s), see Example 1

You may pass the histogram table(s), which can be acquired using LBitmap::GetHistogram , see Example 2

Example 1

// example to illustrate using a bitmap to show histogram charts
void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImage DlgImage;
LDialogImage::Initialize(DLG_INIT_COLOR );
DlgImage.SetBitmap(pBitmap);

HISTOGRAMDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( HISTOGRAMDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( HISTOGRAMDLGPARAMS ) ;
DlgParams.crBlueChannelPen  = RGB ( 0, 0, 255 ) ;
DlgParams.crGreenChannelPen = RGB ( 0, 255, 0 ) ;
DlgParams.crRedChannelPen   = RGB ( 255, 0, 0 ) ;
DlgParams.crMasterPen       = RGB ( 0, 0, 0 ) ;
DlgParams.uDlgFlags            = DLG_HISTOGRAM_SHOW_VIEWSTYLE |
DLG_HISTOGRAM_USERPENCOLORS ;

DlgImage.EnableCallBack
 (FALSE);
DlgImage.EnablePreview(TRUE);
DlgImage.EnableAutoProcess(TRUE);
DlgImage.EnableToolbar(TRUE);
DlgImage.SetHistogramParams(&DlgParams) ;
DlgImage.DoModalHistogram(hWnd);

// Gets the updated values for the structure
DlgImage.GetHistogramParams(&DlgParams, sizeof(DlgParams)) ;
LDialogImage::Free();
}

Example 2

// example to illustrate using histogram tables to show histogram charts
L_VOID GetBitmapHistogram
(
LBitmap *pBitmap,
L_UINT        uChannel,
L_UINT        &uCount,
L_UINT32**    lppHistogram
)
{
// allocate histogram array
if ( pBitmap->GetColorOrder
 () == ORDER_GRAY )
{
switch (pBitmap->GetBitsPerPixel () )
{
case 1:
case 4:
case 8 :
{
uCount = 256 ;
}
break ;

case 12:
{
uCount = 4096 ;// maximum

// is there any way to decrease buffer size?
if ( !LSettings::IsSupportLocked ( L_SUPPORT_MEDICAL ) )
{
L_INT LowBit, HighBit ;

if ( SUCCESS == pBitmap->GetMinMaxBits (&LowBit, &HighBit ) )
{
uCount = (DWORD)1 << ( HighBit - LowBit + 1 ) ;
}
}
else
{
return ;
}
}

break ;

case 16:
{
uCount = 65536 ;

// is there any way to decrease buffer size?
if ( ! LSettings::IsSupportLocked ( L_SUPPORT_MEDICAL ) )
{
L_INT LowBit, HighBit ;

if ( SUCCESS == pBitmap->GetMinMaxBits ( &LowBit, &HighBit ) )
{
uCount = (DWORD)1 << ( HighBit - LowBit + 1 ) ;
}
}
else
{
return ;
}
}
break ;

default:
return ;
}
}
else
{
switch (pBitmap->GetBitsPerPixel () )
{
case 1:
case 2:
case 3:
case 4:
case 5:
case 6:
case 7:
case 8:
case 16:
case 24:
case 32:
{
uCount = 256 ;
}
break ;

case 48:
case 64:
{
uCount = 65536 ;
}
break ;

default:
return ;
}
}

*lppHistogram = (L_UINT32 *)malloc ( uCount * sizeof ( L_UINT32 ) ) ;

// read histogram
pBitmap->GetHistogram
 ( *lppHistogram, uCount, uChannel ) ;
}

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImage DlgImage;
LDialogImage::Initialize(DLG_INIT_COLOR );
DlgImage.SetBitmap(pBitmap);

HISTOGRAMDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( HISTOGRAMDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( HISTOGRAMDLGPARAMS ) ;
GetBitmapHistogram ( pBitmap,
CHANNEL_MASTER,
DlgParams.uMasterHistogramLen,
&DlgParams.puMasterHistogram ) ;

GetBitmapHistogram ( pBitmap,
CHANNEL_RED,
DlgParams.uRedHistogramLen,
&DlgParams.puRedHistogram ) ;

GetBitmapHistogram ( pBitmap,
CHANNEL_GREEN,
DlgParams.uGreenHistogramLen,
&DlgParams.puGreenHistogram ) ;

GetBitmapHistogram ( pBitmap,
CHANNEL_BLUE,
DlgParams.uBlueHistogramLen,
&DlgParams.puBlueHistogram ) ;
DlgParams.crBlueChannelPen  = RGB ( 0, 0, 255 ) ;
DlgParams.crGreenChannelPen = RGB ( 0, 255, 0 ) ;
DlgParams.crRedChannelPen   = RGB ( 255, 0, 0 ) ;
DlgParams.crMasterPen       = RGB ( 0, 0, 0 ) ;
DlgParams.uDlgFlags          = DLG_HISTOGRAM_SHOW_VIEWSTYLE |
DLG_HISTOGRAM_USERPENCOLORS ;
DlgImage.SetBitmap(NULL);
DlgImage.EnableCallBack
 (FALSE);
DlgImage.EnablePreview(TRUE);
DlgImage.EnableAutoProcess(TRUE);
DlgImage.EnableToolbar(TRUE);
DlgImage.SetHistogramParams(&DlgParams) ;
DlgImage.DoModalHistogram(hWnd);

free ( DlgParams.puMasterHistogram ) ;

free ( DlgParams.puRedHistogram ) ;

free ( DlgParams.puGreenHistogram ) ;

free ( DlgParams.puBlueHistogram ) ;

// Gets the updated values for the structure
DlgImage.GetHistogramParams(&DlgParams, sizeof(DlgParams)) ;
LDialogImage::Free();
}


LDialogImage::DoModalResize

#include "ltwrappr.h"

virtual L_INT LDialogImage::DoModalResize(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Resize dialog box and gets the options for the resize/resample functions.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImage::SetResizeParams must be called before using this function to set the initial values for the dialog. You can get the updated RESIZEDLGPARAMS with the values entered by the user through the dialog by using LDialogImage::GetResizeParams.

The Resize dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImage::SetResizeParams, LDialogImage::GetResizeParams, LDialogBase::Initialize, Class Members
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImage DlgImage;
LDialogImage::Initialize(0);
DlgImage.SetBitmap(pBitmap);

RESIZEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( RESIZEDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( RESIZEDLGPARAMS ) ;
DlgParams.uOriginalWidth = pBitmap->GetWidth ();
DlgParams.uOriginalHeight = pBitmap->GetHeight () ;
DlgParams.uOriginalResolutionX = pBitmap->GetXResolution ();
DlgParams.uOriginalResolutionY = pBitmap->GetYResolution ();
DlgParams.uOriginalBitsPerPixel = pBitmap->GetBitsPerPixel ();

DlgImage.EnableCallBack
 (FALSE);
DlgImage.EnablePreview(TRUE);
DlgImage.EnableAutoProcess(TRUE);
DlgImage.EnableToolbar(TRUE);
DlgImage.SetResizeParams(&DlgParams) ;
DlgImage.DoModalResize(hWnd);

// Gets the updated values for the structure
DlgImage.GetResizeParams(&DlgParams, sizeof(DlgParams)) ;
LDialogImage::Free();
}


LDialogImage::DoModalRotate

#include "ltwrappr.h"

virtual L_INT LDialogImage::DoModalRotate(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Rotate dialog box, and gets the options for LBitmapBase::Rotate .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImage::SetRotateParams must be called before using this function to set the initial values for the dialog. You can get the updated ROTATEDLGPARAMS with the values entered by the user through the dialog by using LDialogImage::GetRotateParams.

The Rotate dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImage::SetRotateParams, LDialogImage::GetRotateParams, LDialogBase::Initialize, LBitmapBase::Rotate , Class Members
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImage DlgImage;
LDialogImage::Initialize(DLG_INIT_COLOR );
DlgImage.SetBitmap(pBitmap);

ROTATEDLGPARAMS DlgParams ;

memset ( &DlgParams, 0, sizeof ( ROTATEDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( ROTATEDLGPARAMS ) ;

DlgImage.EnableCallBack
 (FALSE);
DlgImage.EnablePreview(TRUE);
DlgImage.EnableAutoProcess(TRUE);
DlgImage.EnableToolbar(TRUE);
DlgImage.SetRotateParams(&DlgParams) ;
DlgImage.DoModalRotate(hWnd);

// Gets the updated values for the structure
DlgImage.GetRotateParams(&DlgParams, sizeof(DlgParams)) ;
LDialogImage::Free();

}


LDialogImage::DoModalShear

#include "ltwrappr.h"

virtual L_INT LDialogImage::DoModalShear(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Shear dialog box, and gets the options for LBitmapBase::Shear .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImage::SetShearParams must be called before using this function to set the initial values for the dialog. You can get the updated SHEARDLGPARAMS with the values entered by the user through the dialog by using LDialogImage::GetShearParams.

The Shear dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImage::SetShearParams, LDialogImage::GetShearParams, LDialogBase::Initialize, LBitmapBase::Shear , Class Members
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImage DlgImage;
LDialogImage::Initialize(DLG_INIT_COLOR );
DlgImage.SetBitmap(pBitmap);

SHEARDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( SHEARDLGPARAMS ) ) ;

DlgParams.uStructSize      = sizeof ( SHEARDLGPARAMS ) ;

DlgImage.EnableCallBack
 (FALSE);
DlgImage.EnablePreview(TRUE);
DlgImage.EnableAutoProcess(TRUE);
DlgImage.EnableToolbar(TRUE);
DlgImage.SetShearParams(&DlgParams) ;
DlgImage.DoModalShear(hWnd);

// Gets the updated values for the structure
DlgImage.GetShearParams(&DlgParams, sizeof(DlgParams)) ;
LDialogImage::Free();
}


LDialogImage::GetAddBorderParams

#include "ltwrappr.h"

L_INT LDialogImage::GetAddBorderParams(pAddBorderDlgParm, uStructSize) const

LPADDBORDERDLGPARAMS pAddBorderDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of ADDBORDERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the set by the LDialogImage::DoModalAddBorder function. This function is available in the Raster Pro and above toolkits.

Parameter | Description
pAddBorderDlgParm | Pointer to a ADDBORDERDLGPARAMS structure to be updated with parameters set by the user through the dialog displayed by the LDialogImage::DoModalAddBorder function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal ADDBORDERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalAddBorder, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalAddBorder.


LDialogImage::GetAddFrameParams

#include "ltwrappr.h"

L_INT LDialogImage::GetAddFrameParams(pAddFrameDlgParm, uStructSize) const

LPADDFRAMEDLGPARAMS pAddFrameDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of ADDFRAMEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImage::DoModalAddFrame function. This function is available in the Raster Pro and above toolkits.

Parameter | Description
pAddFrameDlgParm | Pointer to a ADDFRAMEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImage::DoModalAddFrame function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal ADDFRAMEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalAddFrame, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalAddFrame.


LDialogImage::GetAutoTrimParams

#include "ltwrappr.h"

L_INT LDialogImage::GetAutoTrimParams(pAutoTrimDlgParm, uStructSize) const

LPAUTOTRIMDLGPARAMS pAutoTrimDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of AUTOTRIMDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImage::DoModalAutoTrim function.

Parameter | Description
pAutoTrimDlgParm | Pointer to a AUTOTRIMDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImage::DoModalAutoTrim function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal AUTOTRIMDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalAutoTrim, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalAutoTrim.


LDialogImage::GetCanvasResizeParams

#include "ltwrappr.h"

L_INT LDialogImage::GetCanvasResizeParams(pCanvasResizeDlgParm, uStructSize) const

LPCANVASRESIZEDLGPARAMS pCanvasResizeDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of CANVASRESIZEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImage::DoModalCanvasResize function.

Parameter | Description
pCanvasResizeDlgParm | Pointer to a CANVASRESIZEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImage::DoModalCanvasResize function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal CANVASRESIZEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalCanvasResize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalCanvasResize.


LDialogImage::GetHistogramParams

#include "ltwrappr.h"

L_INT LDialogImage::GetHistogramParams(pHistogramDlgParm, uStructSize) const

LPHISTOGRAMDLGPARAMS pHistogramDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of HISTOGRAMDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImage::DoModalHistogram function.

Parameter | Description
pHistogramDlgParm | Pointer to a HISTOGRAMDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImage::DoModalHistogram function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal HISTOGRAMDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalHistogram, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalHistogram.


LDialogImage::GetResizeParams

#include "ltwrappr.h"

L_INT LDialogImage::GetResizeParams(pResizeDlgParm, uStructSize) const

LPRESIZEDLGPARAMS pResizeDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of RESIZEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImage::DoModalResize function.

Parameter | Description
pResizeDlgParm | Pointer to a RESIZEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImage::DoModalResize function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal RESIZEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalResize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalResize.


LDialogImage::GetRotateParams

#include "ltwrappr.h"

L_INT LDialogImage::GetRotateParams(pRotateDlgParm, uStructSize) const

LPROTATEDLGPARAMS pRotateDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of ROTATEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImage::DoModalRotate function.

Parameter | Description
pRotateDlgParm | Pointer to a ROTATEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImage::DoModalRotate function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal ROTATEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalRotate, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalRotate.


LDialogImage::GetShearParams

#include "ltwrappr.h"

L_INT LDialogImage::GetShearParams(pShearDlgParm, uStructSize) const

LPSHEARDLGPARAMS pShearDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of SHEARDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImage::DoModalShear function.

Parameter | Description
pShearDlgParm | Pointer to a SHEARDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImage::DoModalShear function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SHEARDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalShear, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalShear.


LDialogImage::SetAddBorderParams

#include "ltwrappr.h"

L_INT LDialogImage::SetAddBorderParams(pAddBorderDlgParm)

LPADDBORDERDLGPARAMS pAddBorderDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImage::DoModalAddBorder function when the dialog first appears. This function is available in the Raster Pro and above toolkits.

Parameter | Description
pAddBorderDlgParm | Pointer to a ADDBORDERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImage::DoModalAddBorder function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalAddBorder, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalAddBorder.


LDialogImage::SetAddFrameParams

#include "ltwrappr.h"

L_INT LDialogImage::SetAddFrameParams(pAddFrameDlgParm)

LPADDFRAMEDLGPARAMS pAddFrameDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImage::DoModalAddFrame function when the dialog first appears. This function is available in the Raster Pro and above toolkits.

Parameter | Description
pAddFrameDlgParm | Pointer to a ADDFRAMEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImage::DoModalAddFrame function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalAddFrame, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalAddFrame.


LDialogImage::SetAutoTrimParams

#include "ltwrappr.h"

L_INT LDialogImage::SetAutoTrimParams(pAutoTrimDlgParm)

LPAUTOTRIMDLGPARAMS pAutoTrimDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImage::DoModalAutoTrim function when the dialog first appears.

Parameter | Description
pAutoTrimDlgParm | Pointer to a AUTOTRIMDLGPARAMS structure that contains the parameters to be displayed by the LDialogImage::DoModalAutoTrim function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalAutoTrim, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalAutoTrim.


LDialogImage::SetCanvasResizeParams

#include "ltwrappr.h"

L_INT LDialogImage::SetCanvasResizeParams(pCanvasResizeDlgParm)

LPCANVASRESIZEDLGPARAMS pCanvasResizeDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImage::DoModalCanvasResize function when the dialog first appears.

Parameter | Description
pCanvasResizeDlgParm | Pointer to a CANVASRESIZEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImage::DoModalCanvasResize function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalCanvasResize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalCanvasResize.


LDialogImage::SetHistogramParams

#include "ltwrappr.h"

L_INT LDialogImage::SetHistogramParams(pHistogramDlgParm)

LPHISTOGRAMDLGPARAMS pHistogramDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImage::DoModalHistogram function when the dialog first appears.

Parameter | Description
pHistogramDlgParm | Pointer to a HISTOGRAMDLGPARAMS structure that contains the parameters to be displayed by the LDialogImage::DoModalHistogram function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalHistogram, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalHistogram.


LDialogImage::SetResizeParams

#include "ltwrappr.h"

L_INT LDialogImage::SetResizeParams(pResizeDlgParm)

LPRESIZEDLGPARAMS pResizeDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImage::DoModalResize function when the dialog first appears.

Parameter | Description
pResizeDlgParm | Pointer to a RESIZEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImage::DoModalResize function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalResize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalResize.


LDialogImage::SetRotateParams

#include "ltwrappr.h"

L_INT LDialogImage::SetRotateParams(pRotateDlgParm)

LPROTATEDLGPARAMS pRotateDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImage::DoModalRotate function when the dialog first appears.

Parameter | Description
pRotateDlgParm | Pointer to a ROTATEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImage::DoModalRotate function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalRotate, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalRotate.


LDialogImage::SetShearParams

#include "ltwrappr.h"

L_INT LDialogImage::SetShearParams(pShearDlgParm)

LPSHEARDLGPARAMS pShearDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImage::DoModalShear function when the dialog first appears.

Parameter | Description
pShearDlgParm | Pointer to a SHEARDLGPARAMS structure that contains the parameters to be displayed by the LDialogImage::DoModalShear function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMG
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImage::DoModalShear, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImage::DoModalShear.


LDialogImageEffect::LDialogImageEffect

#include "ltwrappr.h"

L_VOID LDialogImageEffect::LDialogImageEffect()

L_VOID LDialogImageEffect::LDialogImageEffect(pBitmap)

LBitmapBase L_FAR * pBitmap;

/* pointer to an LBitmapBase object */

Constructs and initializes the member variables of the LDialogImageEffect object.

Parameter | Description
pBitmap | Pointer to the bitmap object referencing the bitmap object to assign to the specified object.

Returns

None.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::~LDialogImageEffect, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free
Topics: | Using Imaging Common Dialog

Example

//This is an example for : LDialogImageEffect::LDialogImageEffect ()
L_VOID TestFunction( )
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogImageEffect MyDialogImageEffect;     //construct a dialogimageeffect object

//.... do something here   ....
//Destructor is called upon returning from function
}

//This is an example for : LDialogImageEffect::LDialogImageEffect (pBitmap)
L_VOID TestFunction(LBitmapBase * BitmapObj)
{
LBase::LoadLibraries (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogImageEffect MyDialogImageEffect (BitmapObj); //construct a dialogimageeffect object

//.... do something here ....

}


LDialogImageEffect::~LDialogImageEffect

#include "ltwrappr.h"

virtual L_VOID LDialogImageEffect::~LDialogImageEffect()

Destroys the object, and frees any resources associated with it.

Returns

None.

Comments

This is the destructor for the LDialogImageEffect class.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::LDialogImageEffect
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::LDialogImageEffect().


LDialogImageEffect::DoModalAddBitmaps

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalAddBitmaps(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Add Bitmaps dialog box, and gets the options for LBitmapBase::Add .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetAddBitmapsParams must be called before using this function to set the initial values for the dialog. You can get the updated ADDBITMAPSDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetAddBitmapsParams.

The Add Bitmaps dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmapBase::Add , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetAddBitmapsParams, LDialogImageEffect::GetAddBitmapsParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
ADDBITMAPSDLGPARAMS DlgParams;
DLGBITMAPLISTITEM   BitmapListItems [ 3 ];
DLGBITMAPLIST       BitmapList;
LBitmap TmpBitmap1, TmpBitmap2, TmpBitmap3;
L_INT               i;
LDialogImageEffect DlgImageEffect;
DlgImageEffect.SetBitmap(pBitmap);
memset ( &DlgParams, 0, sizeof ( ADDBITMAPSDLGPARAMS ) );

// ITEM (1)
BitmapListItems [ 0 ].pszFileName = ( L_TCHAR L_FAR * ) malloc ( sizeof ( L_TCHAR ) * 20 );
BitmapListItems [ 0 ].pBitmap    = ( pBITMAPHANDLE ) malloc ( sizeof ( BITMAPHANDLE ) );
TmpBitmap1.Load
 (TEXT("C:\\sample1.cmp"),
LOADFILE_ALLOCATE | LOADFILE_STORE | LOADFILE_COMPRESSED,
ORDER_BGR,
NULL,
NULL );
lstrcpy ( BitmapListItems [ 0 ].pszFileName, TEXT("C:\\sample1.cmp") );
BitmapListItems [ 0 ].pBitmap = TmpBitmap1.GetHandle ();

// ITEM (2)
BitmapListItems [ 1 ].pszFileName = ( L_TCHAR L_FAR * ) malloc ( sizeof ( L_TCHAR ) * 20 );
BitmapListItems [ 1 ].pBitmap    = ( pBITMAPHANDLE ) malloc ( sizeof ( BITMAPHANDLE ) );

lstrcpy ( BitmapListItems [ 1 ].pszFileName, TEXT("C:\\sample2.cmp"));
TmpBitmap2.Load
 (TEXT("C:\\sample2.cmp"),
LOADFILE_ALLOCATE | LOADFILE_STORE | LOADFILE_COMPRESSED,
ORDER_BGR,
NULL,
NULL );
BitmapListItems [ 1 ].pBitmap = TmpBitmap2.GetHandle ();
// ITEM (3)
BitmapListItems [ 2 ].pszFileName = ( L_TCHAR L_FAR * ) malloc ( sizeof ( L_TCHAR ) * 20 );
BitmapListItems [ 2 ].pBitmap    = ( pBITMAPHANDLE ) malloc ( sizeof ( BITMAPHANDLE ) );

lstrcpy ( BitmapListItems [ 2 ].pszFileName, TEXT("C:\\sample3.cmp"));
TmpBitmap3.Load
 (TEXT("C:\\sample3.cmp"),
LOADFILE_ALLOCATE | LOADFILE_STORE | LOADFILE_COMPRESSED,
ORDER_BGR,
NULL,
NULL );
BitmapListItems [ 2 ].pBitmap = TmpBitmap3.GetHandle ();

BitmapList.nCount      = 3;
BitmapList.pBitmapList = ( LPDLGBITMAPLISTITEM ) &BitmapListItems;

DlgParams.pBitmapList      = &BitmapList;
DlgParams.uAddBitmapsFlags = BC_AVG;

LDialogBase::Initialize( 0 );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetAddBitmapsParams(&DlgParams);
DlgImageEffect.DoModalAddBitmaps(hWnd);

//Gets the updated struct value.
DlgImageEffect.GetAddBitmapsParams(&DlgParams, sizeof(DlgParams));

LDialogBase::Free ( );

// Clean up memory
for ( i = 0; i < 3; i++ )
{
if ( NULL != BitmapListItems [ i ].pBitmap )
{
free ( BitmapListItems [ i ].pBitmap );
}

if ( NULL != BitmapListItems [ i ].pszFileName )
{
free ( BitmapListItems [ i ].pszFileName );
}
}
}


LDialogImageEffect::DoModalAddNoise

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalAddNoise(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Add Noise dialog box, and gets the options for LBitmap::AddNoise .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetAddNoiseParams must be called before using this function to set the initial values for the dialog. You can get the updated ADDNOISEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetAddNoiseParams.

The Add Noise dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::AddNoise , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetAddNoiseParams, LDialogImageEffect::GetAddNoiseParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
ADDNOISEDLGPARAMS DlgParams;
DlgImageEffect.SetBitmap(pBitmap);
memset ( &DlgParams, 0, sizeof ( ADDNOISEDLGPARAMS ) );
LDialogImageEffect::Initialize(0);
DlgParams.uStructSize      = sizeof ( ADDNOISEDLGPARAMS );
DlgParams.uChannel  = CHANNEL_MASTER;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetAddNoiseParams(&DlgParams);
DlgImageEffect.DoModalAddNoise(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetAddNoiseParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalAntiAlias

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalAntiAlias(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the AntiAlias dialog box, and gets the options for LBitmap::AntiAlias .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetAntiAliasParams must be called before using this function to set the initial values for the dialog. You can get the updated ANTIALIASDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetAntiAliasParams.

The AntiAlias dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::AntiAlias , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetAntiAliasParams, LDialogImageEffect::GetAntiAliasParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

ANTIALIASDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( ANTIALIASDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( ANTIALIASDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetAntiAliasParams(&DlgParams);
DlgImageEffect.DoModalAntiAlias(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetAntiAliasParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalAverage

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalAverage(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Average dialog box, and gets the options for LBitmap::AverageFilter .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetAverageParams must be called before using this function to set the initial values for the dialog. You can get the updated AVERAGEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetAverageParams.

The Average dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::AverageFilter , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetAverageParams, LDialogImageEffect::GetAverageParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

AVERAGEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( AVERAGEDLGPARAMS ) );

DlgParams.uStructSize  = sizeof ( AVERAGEDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetAverageParams(&DlgParams);
DlgImageEffect.DoModalAverage(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetAverageParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalBending

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalBending(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Bending dialog box, and gets the options for LBitmap::Bending . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetBendingParams must be called before using this function to set the initial values for the dialog. You can get the updated BENDINGDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetBendingParams.

The Bending dialog is shown in the following figure:

This dialog has the following fields:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

This view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Value Edit box and Slider:

Use the Value edit box or slider to set the amount of stretching. Positive values stretch the image toward the edges, and negative values stretch the image toward its center.

Type Drop-down list box:

Use this box to set the bending type. There are three types:

Normal. Stretch the image along the vertical and horizontal planes.

Horizontal. Stretch the image along the horizontal plane.

Vertical. Stretch the image along the vertical plane.

Exposed Area Section:

This section contains a drop-down list box and a button for specifying how to fill any exposed areas. Available values are:

Use Color: Use the color picker button to select the color to fill any exposed areas. Clicking the color picker button will activate a Color Dialog that will be used to set the color.

Stretch Image: Stretch the image edges to fill the exposed area.

Don’t Change: Leave the exposed area as is, without changing it.

Rotate Check box:

Check this to rotate the image inside the arc pattern. It is available only if the Value edit box contains a negative value.

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Bending , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetBendingParams, LDialogImageEffect::GetBendingParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

BENDINGDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( BENDINGDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( BENDINGDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetBendingParams(&DlgParams);
DlgImageEffect.DoModalBending(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetBendingParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalContourFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalContourFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Contour Filter dialog box, and gets the options for LBitmap::ContourFilter . This function is available in the Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetContourFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated CONTOURFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetContourFilterParams.

The Contour Filter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::ContourFilter , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetContourFilterParams, LDialogImageEffect::GetContourFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

CONTOURFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( CONTOURFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( CONTOURFILTERDLGPARAMS );

DlgParams.nMaxError       = 5;
DlgParams.nDeltaDirection = 5;
DlgParams.nOption         = CONTOUR_LINK_COLOR;
DlgParams.nThreshold      = 5;
DlgParams.uOptionFlags    = DLG_CONTOURFILTER_SHOW_OPTION_ALL;
DlgParams.uDlgFlags       = DLG_CONTOURFILTER_SHOW_DELTADIRECTION |
DLG_CONTOURFILTER_SHOW_MAXIMUMERROR |
DLG_CONTOURFILTER_SHOW_OPTION |
DLG_CONTOURFILTER_SHOW_THRESHOLD;

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetContourFilterParams(&DlgParams);
DlgImageEffect.DoModalContourFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetContourFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalCylindrical

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalCylindrical(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Cylindrical dialog box, and gets the options for LBitmap::Cylindrical . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetCylindricalParams must be called before using this function to set the initial values for the dialog. You can get the updated CYLINDRICALDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetCylindricalParams.

The Cylindrical dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Cylindrical , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetCylindricalParams, LDialogImageEffect::GetCylindricalParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

CYLINDRICALDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( CYLINDRICALDLGPARAMS ) );

DlgParams.uStructSize  = sizeof ( CYLINDRICALDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetCylindricalParams(&DlgParams);
DlgImageEffect.DoModalCylindrical(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetCylindricalParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalDilationFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalDilationFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Dilation Filter dialog box, and gets the options for LBitmap::BinaryFilter . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetDilationFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated DILATIONFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetDilationFilterParams.

The Dilation Filter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::BinaryFilter , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetDilationFilterParams, LDialogImageEffect::GetDilationFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

DILATIONFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( DILATIONFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( DILATIONFILTERDLGPARAMS );
DlgParams.pFilter    = BFLT_DILATION_OMNI;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetDilationFilterParams(&DlgParams);
DlgImageEffect.DoModalDilationFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetDilationFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalEdgeDetector

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalEdgeDetector(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Edge Detector dialog box, and gets the options for LBitmap::EdgeDetector .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetEdgeDetectorParams must be called before using this function to set the initial values for the dialog. You can get the updated EDGEDETECTORDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetEdgeDetectorParams.

The Edge Detector dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::EdgeDetector , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetEdgeDetectorParams, LDialogImageEffect::GetEdgeDetectorParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

EDGEDETECTORDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( EDGEDETECTORDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( EDGEDETECTORDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetEdgeDetectorParams(&DlgParams);
DlgImageEffect.DoModalEdgeDetector(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetEdgeDetectorParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalEmboss

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalEmboss(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Emboss dialog box, and gets the options for LBitmap::Emboss .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetEmbossParams must be called before using this function to set the initial values for the dialog. You can get the updated EMBOSSDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetEmbossParams.

The Emboss dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Emboss , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetEmbossParams, LDialogImageEffect::GetEmbossParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

EMBOSSDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( EMBOSSDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( EMBOSSDLGPARAMS );
DlgParams.uDepth     = 700;
DlgParams.uDirection = EMBOSS_S;

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetEmbossParams(&DlgParams);
DlgImageEffect.DoModalEmboss(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetEmbossParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalErosionFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalErosionFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Erosion Filter dialog box, and gets the options for LBitmap::BinaryFilter . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetErosionFilterParams must be called before using this function to set the initial values for the dialog. You get the updated EROSIONFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetErosionFilterParams.

The Erosion Filter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::BinaryFilter , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetErosionFilterParams, LDialogImageEffect::GetErosionFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

EROSIONFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( EROSIONFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( EROSIONFILTERDLGPARAMS );
DlgParams.pFilter    = BFLT_EROSION_HORZ;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetErosionFilterParams(&DlgParams);
DlgImageEffect.DoModalErosionFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetErosionFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalFreeHandWave

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalFreeHandWave(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Free Hand Wave dialog box, and gets the options for LBitmap::FreeHandWave . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetFreeHandWaveParams must be called before using this function to set the initial values for the dialog. You can get the updated FREEHANDWAVEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetFreeHandWaveParams.

The Free Hand Wave dialog is shown in the following figure:

This dialog has the following fields:

Curve Mode Drop-down list box:

Use this to select the curve mode to use. There are two choices:

- [image] Curve: distorts the image using a curve wave.

- [image] Linear: distorts the image using a linear wave.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Reset Button:

Use the Reset button to set the curve to its default values.

Load Button:

Use the Load button to load an "*.lhw" file that contains Hand Wave curve settings and the angle setting, using the Load dialog. The loaded file will set new curve and angle settings. NOTE: Loading curve and angle settings will overwrite all current curve and angle settings!

Save Button:

Use the Save button to save the curve and angle settings into an "*.lhw" file. This allows you set the same curve and angle settings for other images by re-loading the file.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::FreeHandWave , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetFreeHandWaveParams, LDialogImageEffect::GetFreeHandWaveParams
Topics: | Using Imaging Common Dialog
 | Curve Control

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

FREEHANDWAVEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( FREEHANDWAVEDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( FREEHANDWAVEDLGPARAMS );
DlgParams.uScale             = 10;
DlgParams.uWaveLen           = 5;
DlgParams.uFreeHandWaveFlags = FILL_CLR | DIS_FRQ;
DlgParams.nAngle             = 4500;
DlgParams.crFill             = RGB ( 200, 0, 0 );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetFreeHandWaveParams(&DlgParams);
DlgImageEffect.DoModalFreeHandWave(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetFreeHandWaveParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalGaussianBlur

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalGaussianBlur(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Gaussian Blur dialog box, and gets the options for LBitmap::GaussianFilter .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetGaussianBlurParams must be called before using this function to set the initial values for the dialog. You can get the updated GAUSSIANBLURDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetGaussianBlurParams.

The Gaussian Blur dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::GaussianFilter , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetGaussianBlurParams, LDialogImageEffect::GetGaussianBlurParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

GAUSSIANBLURDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( GAUSSIANBLURDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( GAUSSIANBLURDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetGaussianBlurParams(&DlgParams);
DlgImageEffect.DoModalGaussianBlur(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetGaussianBlurParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalGradientFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalGradientFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Gradient Filter dialog box, and gets the options for LBitmap::SpatialFilter .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetGradientFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated GRADIENTFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetGradientFilterParams.

The GradientFilter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::SpatialFilter , LDialogImageEffect::DoModalLaplacianFilter, LDialogImageEffect::DoModalSobelFilter, LDialogImageEffect::DoModalPrewittFilter, LDialogImageEffect::DoModalLineSegmentFilter, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetGradientFilterParams, LDialogImageEffect::GetGradientFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

GRADIENTFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( GRADIENTFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( GRADIENTFILTERDLGPARAMS );
DlgParams.pFilter    = FLT_GRADIENT_NE;

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetGradientFilterParams(&DlgParams);
DlgImageEffect.DoModalGradientFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetGradientFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalImpressionist

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalImpressionist(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Impressionist dialog box, and gets the options for LBitmap::Impressionist . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetImpressionistParams must be called before using this function to set the initial values for the dialog. You can get the updated IMPRESSIONISTDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetImpressionistParams.

The Impressionist dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Impressionist , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetImpressionistParams, LDialogImageEffect::GetImpressionistParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

IMPRESSIONISTDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( IMPRESSIONISTDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( IMPRESSIONISTDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetImpressionistParams(&DlgParams);
DlgImageEffect.DoModalImpressionist(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetImpressionistParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalLaplacianFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalLaplacianFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Laplacian Filter dialog box, and gets the options for LBitmap::SpatialFilter .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetLaplacianFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated LAPLACIANFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetLaplacianFilterParams.

The Laplacian Filter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::SpatialFilter , LDialogImageEffect::DoModalGradientFilter, LDialogImageEffect::DoModalSobelFilter, LDialogImageEffect::DoModalPrewittFilter, LDialogImageEffect::DoModalLineSegmentFilter, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetLaplacianFilterParams, LDialogImageEffect::GetLaplacianFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

LAPLACIANFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( LAPLACIANFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( LAPLACIANFILTERDLGPARAMS );
DlgParams.pFilter    = FLT_LAPLACE_3;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetLaplacianFilterParams(&DlgParams);
DlgImageEffect.DoModalLaplacianFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetLaplacianFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalLineSegmentFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalLineSegmentFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Line Segment Filter dialog box, and gets the options for LBitmap::SpatialFilter .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetLineSegmentFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated LINESEGMENTFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetLineSegmentFilterParams.

The Line Segment Filter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::SpatialFilter , LDialogImageEffect::DoModalLaplacianFilter, LDialogImageEffect::DoModalGradientFilter, LDialogImageEffect::DoModalSobelFilter, LDialogImageEffect::DoModalPrewittFilter, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetLineSegmentFilterParams, LDialogImageEffect::GetLineSegmentFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

LINESEGMENTFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( LINESEGMENTFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( LINESEGMENTFILTERDLGPARAMS );
DlgParams.pFilter    = FLT_LINESEG_LTOR;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetLineSegmentFilterParams(&DlgParams);
DlgImageEffect.DoModalLineSegmentFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetLineSegmentFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalMaxFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalMaxFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Max Filter dialog box, and gets the options for LBitmap::MaxFilter . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetMaxFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated MAXFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetMaxFilterParams.

The Max Filter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::MaxFilter , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetMaxFilterParams, LDialogImageEffect::GetMaxFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

MAXFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( MAXFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( MAXFILTERDLGPARAMS );
DlgParams.uDim       = 10;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetMaxFilterParams(&DlgParams);
DlgImageEffect.DoModalMaxFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetMaxFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalMedian

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalMedian(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Median dialog box, and gets the options for LBitmap::MedianFilter .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetMedianParams must be called before using this function to set the initial values for the dialog. You can get the updated MEDIANDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetMedianParams.

The Median dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::MedianFilter , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetMedianParams, LDialogImageEffect::GetMedianParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

MEDIANDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( MEDIANDLGPARAMS ) );

DlgParams.uStructSize    = sizeof ( MEDIANDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetMedianParams(&DlgParams);
DlgImageEffect.DoModalMedian(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetMedianParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalMinFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalMinFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Min Filter dialog box, and gets the options for LBitmap::MinFilter . This function is available in the Document/Medical toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetMinFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated MINFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetMinFilterParams.

The Min Filter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::MinFilter , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetMinFilterParams, LDialogImageEffect::GetMinFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

MINFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( MINFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( MINFILTERDLGPARAMS );
DlgParams.uDim       = 10;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetMinFilterParams(&DlgParams);
DlgImageEffect.DoModalMinFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetMinFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalMosaic

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalMosaic(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Mosaic dialog box, and gets the options for LBitmap::Mosaic .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetMosaicParams must be called before using this function to set the initial values for the dialog. You can get the updated MOSAICDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetMosaicParams.

The Mosaic dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Mosaic , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetMosaicParams, LDialogImageEffect::GetMosaicParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

MOSAICDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( MOSAICDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( MOSAICDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetMosaicParams(&DlgParams);
DlgImageEffect.DoModalMosaic(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetMosaicParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalMotionBlur

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalMotionBlur(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Motion Blur dialog box, and gets the options for LBitmap::MotionBlur .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetMotionBlurParams must be called before using this function to set the initial values for the dialog. You can get the updated MOTIONBLURDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetMotionBlurParams.

The Motion Blur dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::MotionBlur , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetMotionBlurParams, LDialogImageEffect::GetMotionBlurParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

MOTIONBLURDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( MOTIONBLURDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( MOTIONBLURDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetMotionBlurParams(&DlgParams);
DlgImageEffect.DoModalMotionBlur(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetMotionBlurParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalMultiply

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalMultiply(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Multiply dialog box, and gets the options for LBitmap::Multiply .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetMultiplyParams must be called before using this function to set the initial values for the dialog. You can get the updated MULTIPLYDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetMultiplyParams.

The Multiply dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Multiply , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetMultiplyParams, LDialogImageEffect::GetMultiplyParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

MULTIPLYDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( MULTIPLYDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( MULTIPLYDLGPARAMS );
DlgParams.uFactor     = 400;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetMultiplyParams(&DlgParams);
DlgImageEffect.DoModalMultiply(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetMultiplyParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalOilify

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalOilify(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Oilify dialog box, and gets the options for LBitmap::Oilify .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetOilifyParams must be called before using this function to set the initial values for the dialog. You can get the updated OILIFYDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetOilifyParams.

The Oilify dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Oilify , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetOilifyParams, LDialogImageEffect::GetOilifyParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

OILIFYDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( OILIFYDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( OILIFYDLGPARAMS );
DlgParams.uDim       = 10;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetOilifyParams(&DlgParams);
DlgImageEffect.DoModalOilify(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetOilifyParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalPicturize

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalPicturize(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Picturize dialog box, and gets the options for LBitmap::Picturize .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetPicturizeParams must be called before using this function to set the initial values for the dialog. You can get the updated PICTURIZEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetPicturizeParams.

The Picturize dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Picturize , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetPicturizeParams, LDialogImageEffect::GetPicturizeParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

PICTURIZEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( PICTURIZEDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( PICTURIZEDLGPARAMS );
DlgParams.nBitmapWidth  = pBitmap->GetWidth();
DlgParams.nBitmapHeight = pBitmap->GetHeight();

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetPicturizeParams(&DlgParams);
DlgImageEffect.DoModalPicturize(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetPicturizeParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalPixelate

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalPixelate(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Pixelate dialog box, and gets the options for LBitmap::Pixelate . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetPixelateParams must be called before using this function to set the initial values for the dialog. You can get the updated PIXELATEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetPixelateParams.

The Pixelate dialog is shown in the following figure:

This dialog has the following fields:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Mode Drop-down list box:

Use this to set the cell division shape. There are two choices:

Rectangle. Divide the image into rectangular cells.

Radial: Divide the image into circular cells. You can specify the center point of these circular cells by right clicking on the Before view. The pivot point [image] appears on the point you just clicked. You can also set the pivot point using the X and Y edit boxes in the Pivot section of the dialog.

Type Drop-down list box:

Use this to set the operation type. There are three choices:

Maximum: fills the cell with its maximum pixel value.

Minimum: fills the cell with its minimum pixel value.

Average: fills the cell with its average pixels value.

Width Section:

The width section contains a drop-down list box and an edit box for setting the cell width. In the drop-down list box there are two choices:

Period. Determines the width of each cell, in pixels. Enter the value directly in the edit box or use the arrows to set the desired value.

Frequency. Determines the number of cells along the width. Enter the value directly in the edit box or use the arrows to set the desired value.

Height Section:

The height section contains a drop-down list box and an edit box for setting the cell height. In the drop-down list box there are two choices:

Period. Determines the height of each cell, in pixels. Enter the value directly in the edit box or use the arrows to set the desired value.

Frequency. Determines the number of cells along the height. Enter the value directly in the edit box or use the arrows to set the desired value.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position, with respect to the image.

Opacity Edit box:

Use this to set a percentage value that represents how transparent the cells are, compared to the original pixels. Enter the value directly in the edit box or use the arrows to set the desired value.

Center Button:

Use the Center button to center the Before and After views, with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Pixelate , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetPixelateParams, LDialogImageEffect::GetPixelateParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

PIXELATEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( PIXELATEDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( PIXELATEDLGPARAMS );
DlgParams.uDlgFlags  = DLG_PIXELATE_SHOW_PREVIEW |
DLG_PIXELATE_SHOW_TOOL_ZOOMLEVEL;

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetPixelateParams(&DlgParams);
DlgImageEffect.DoModalPixelate(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetPixelateParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalPolar

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalPolar(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Polar dialog box, and gets the options for LBitmap::Polar . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetPolarParams must be called before using this function to set the initial values for the dialog. You can get the updated POLARDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetPolarParams.

The Polar dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Polar , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetPolarParams, LDialogImageEffect::GetPolarParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

POLARDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( POLARDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( POLARDLGPARAMS );
DlgParams.uPolarFlags = FILL_CLR | CART_TO_POL;
DlgParams.crFill      = RGB ( 0, 0, 220 );

DlgImageEffect.LBase::EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetPolarParams(&DlgParams);
DlgImageEffect.DoModalPolar(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetPolarParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalPrewittFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalPrewittFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Prewitt Filter dialog box, and gets the options for LBitmap::SpatialFilter .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetPrewittFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated PREWITTFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetPrewittFilterParams.

The Prewitt Filter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::SpatialFilter , LDialogImageEffect::DoModalLaplacianFilter, LDialogImageEffect::DoModalGradientFilter, LDialogImageEffect::DoModalSobelFilter, LDialogImageEffect::DoModalLineSegmentFilter, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetPrewittFilterParams, LDialogImageEffect::GetPrewittFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

PREWITTFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( PREWITTFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( PREWITTFILTERDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetPrewittFilterParams(&DlgParams);
DlgImageEffect.DoModalPrewittFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetPrewittFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalPunch

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalPunch(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Punch dialog box, and gets the options for LBitmap::Punch .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetPunchParams must be called before using this function to set the initial values for the dialog. You can get the updated PUNCHDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetPunchParams.

The Punch dialog is shown in the following figure:

This dialog has the following fields:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

This view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Value Edit box and Slider:

Use the Value edit box or slider to set the amount of stretching to apply. Positive values pinch the image toward its center, and negative values expand the image away from its center.

Stress Edit box and Slider:

Use the stress edit box or slider to set the pinching intensity. This edit box is only available if a positive number is entered in the Value edit box.

Exposed Area Group

This section contains a drop-down list box and a button for specifying how to fill any exposed areas. Available values are:

Use Color: Use the color picker button to select the color to fill any exposed areas. Clicking the color picker button will activate a Color Dialog that will be used to set the color.

Stretch Image: Stretch the image edges to fill the exposed area.

Don’t Change: Leave the exposed area as is, without changing it.

Rotate Check box:

Check this to rotate the image inside the pinch pattern. It is available only if the Value edit box contains a negative value.

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Punch , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetPunchParams, LDialogImageEffect::GetPunchParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

PUNCHDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( PUNCHDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( PUNCHDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetPunchParams(&DlgParams);
DlgImageEffect.DoModalPunch(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetPunchParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalRadialBlur

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalRadialBlur(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Radial Blur dialog box, and gets the options for LBitmap::RadialBlur . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetRadialBlurParams must be called before using this function to set the initial values for the dialog. You can get the updated RADIALBLURDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetRadialBlurParams.

The Radial Blur dialog is shown in the following figure:

This dialog has the following fields:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Size Edit box and Slider:

Use the Size edit box or the slider to set the size of the neighborhood used in blurring. Increasing this value will increase the amount of blurring.

Stress Edit box and Slider:

Use the Stress edit box or the slider to set the blur intensity.

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::RadialBlur , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetRadialBlurParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

RADIALBLURDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( RADIALBLURDLGPARAMS ) );

DlgParams.uStructSize  = sizeof ( RADIALBLURDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetRadialBlurParams(&DlgParams);
DlgImageEffect.DoModalRadialBlur(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetRadialBlurParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalRadialWave

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalRadialWave(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Radial Wave dialog box, and gets the options for LBitmap::RadWave . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetRadialWaveParams must be called before using this function to set the initial values for the dialog. You can get the updated RADIALWAVEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetRadialWaveParams.

The Radial Wave dialog is shown in the following figure:

This dialog has the following fields:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Type Drop-down list box:

Use this to set the wave length type. There are two choices:

Period: The value in the Length edit box determines the wavelength as a percent of the image dimensions.

Frequency: The value in the Length edit box determines the number of waves repeated in the image.

Length Edit box:

Use this to set the wavelength or number of repeated waves. Enter the value directly in the edit box or use the arrows to set the desired value.

Phase Edit box:

Use this to set the wave phase shift. Enter the value directly in the edit box or use the arrows to set the desired value.

Amplitude Edit box:

Use this to set the radial wave magnitude. Enter the value directly in the edit box or use the arrows to set the desired value.

Exposed Area Section:

This section contains a drop-down list box and a button for specifying how to fill any exposed areas. Available values are:

Use Color: Use the color picker button to select the color to fill any exposed areas. Clicking the color picker button will activate a Color Dialog that will be used to set the color.

Stretch Image. Stretch the image edges to fill the exposed area.

Don’t Change. Leave the exposed area as is, without changing it.

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::RadWave , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetRadialWaveParams, LDialogImageEffect::GetRadialWaveParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

RADIALWAVEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( RADIALWAVEDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( RADIALWAVEDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetRadialWaveParams(&DlgParams);
DlgImageEffect.DoModalRadialWave(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetRadialWaveParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalRipple

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalRipple(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Ripple dialog box, and gets the options for LBitmap::Ripple . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetRippleParams must be called before using this function to set the initial values for the dialog. You can get the updated RIPPLEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetRippleParams.

The Ripple dialog is shown in the following figure:

This dialog has the following fields:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Frequency Edit box:

Use this to set the number of repeated waves along the radial line. Enter the value directly in the edit box or use the arrows to set the desired value.

Phase Edit box:

Use this to set the wave phase shift. Enter the value directly in the edit box or use the arrows to set the desired value.

Amplitude Edit box:

Use this to set the wave magnitude. Enter the value directly in the edit box or use the arrows to set the desired value.

Attenuation Edit box:

Use this to set the attenuation value for the wave. The attenuation value indicates how rapidly the wave amplitude decays as the wave travels along the radial line. Enter the value directly in the edit box or use the arrows to set the desired value.

Exposed Area Section:

This area contains a drop-down list box and a button for specifying how to fill any exposed areas. The drop-down list box contains the following options:

Use Color: Use the color picker button; to select the color to fill any exposed areas. Clicking the color picker button will activate a Color Dialog that will be used to set the color.

Stretch Image: Stretch the image edges to fill the exposed area.

Don’t Change: Leave the exposed area as is, without changing it.

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Ripple , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetRippleParams, LDialogImageEffect::GetRippleParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

RIPPLEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( RIPPLEDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( RIPPLEDLGPARAMS );
DlgParams.uAmplitude = 100;
DlgParams.uFrequency = 50;

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetRippleParams(&DlgParams);
DlgImageEffect.DoModalRipple(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetRippleParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free ();
}


LDialogImageEffect::DoModalSharpen

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalSharpen(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Sharpen dialog box, and gets the options for LBitmap::Sharpen .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetSharpenParams must be called before using this function to set the initial values for the dialog. You can get the updated SHARPENDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetSharpenParams.

The Sharpen dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Sharpen , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetSharpenParams, LDialogImageEffect::GetSharpenParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

SHARPENDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( SHARPENDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( SHARPENDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetSharpenParams(&DlgParams);
DlgImageEffect.DoModalSharpen(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetSharpenParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalShiftDifferenceFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalShiftDifferenceFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Shift and Difference Filter dialog box, and gets the options for LBitmap::SpatialFilter .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Comments

LDialogImageEffect::SetShiftDifferenceFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated SHIFTDIFFERENCEFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetShiftDifferenceFilterParams.

The Shift and Difference Filter dialog is shown in the following figure:

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::SpatialFilter , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetShiftDifferenceFilterParams, LDialogImageEffect::GetShiftDifferenceFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

SHIFTDIFFERENCEFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( SHIFTDIFFERENCEFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( SHIFTDIFFERENCEFILTERDLGPARAMS );

DlgParams.pFilter    = FLT_SHIFTDIFF_HORZ;

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetShiftDifferenceFilterParams(&DlgParams);
DlgImageEffect.DoModalShiftDifferenceFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetShiftDifferenceFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalSobelFilter

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalSobelFilter(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Sobel Filter dialog box, and gets the options for LBitmap::SpatialFilter .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetSobelFilterParams must be called before using this function to set the initial values for the dialog. You can get the updated SOBELFILTERDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetSobelFilterParams.

The Sobel Filter dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::SpatialFilter , LDialogImageEffect::DoModalLaplacianFilter, LDialogImageEffect::DoModalGradientFilter, LDialogImageEffect::DoModalPrewittFilter, LDialogImageEffect::DoModalLineSegmentFilter, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetSobelFilterParams, LDialogImageEffect::GetSobelFilterParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

SOBELFILTERDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( SOBELFILTERDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( SOBELFILTERDLGPARAMS );
DlgParams.pFilter    = FLT_SOBEL_HORZ;
DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetSobelFilterParams(&DlgParams);
DlgImageEffect.DoModalSobelFilter(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetSobelFilterParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalSpherize

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalSpherize(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Spherize dialog box, and gets the options for LBitmap::Spherize . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetSpherizeParams must be called before using this function to set the initial values for the dialog. You can get the updated SPHERIZEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetSpherizeParams.

The Spherize dialog is shown in the following figure:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Value Edit box and Slider:

Use the Value edit box or slider to set the amount of stretching. Positive values stretch the image toward the edges, and negative values stretch the image toward its center.

Exposed Area Group

Specifies how to fill the exposed area, if found.

Use Color, use the color from color picker button; to select the color that will fill exposed area lift unfilled. Clicking the color picker button will activate a Color Dialog that will be used to set the required color.

Stretch Image, stretches the image edges to fill the exposed area.

Don’t Change, leaves the exposed area without changing it.

Rotate Check box:

Check this to rotate the image inside the spherical pattern. It is available only if the Value edit box contains a positive value.

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Spherize , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetSpherizeParams, LDialogImageEffect::GetSpherizeParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

SPHERIZEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( SPHERIZEDLGPARAMS ) );

DlgParams.uStructSize  = sizeof ( SPHERIZEDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetSpherizeParams(&DlgParams);
DlgImageEffect.DoModalSpherize(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetSpherizeParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalStitch

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalStitch(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Stitch dialog box for composing images. Use this dialog to produce a new bitmap that is composed of 1 or more source bitmaps.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetStitchParams must be called before using this function to set the initial values for the dialog. You can get the updated STITCHDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetStitchParams.

The Stitch dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::GetStitchParams, LDialogImageEffect::SetStitchParams
Topics: | Using Imaging Common Dialog

Example

L_VOID ShowStitchDialog
(
HWND hWnd,
LPDLGBITMAPLIST pList,
LBitmap* pResultBitmap
)
{
L_INT nRet = 0;
LDialogImageEffect DlgImageEffect;

DlgImageEffect.SetBitmap(pResultBitmap);
LDialogImageEffect::Initialize(0);

STITCHDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( STITCHDLGPARAMS ) );

DlgParams.uStructSize = sizeof ( STITCHDLGPARAMS );
DlgParams.nResultingBitmapWidth  = 320;
DlgParams.nResultingBitmapHeight = 200;
DlgParams.nResultingBitmapBitsPerPixel = 24;
DlgParams.nRes = 72;
DlgParams.crBackGround = RGB ( 255, 255, 255 );

DlgParams.pBitmapList = pList;
DlgParams.hWindowIcon = NULL;
DlgParams.nCmdShow = SW_SHOW;

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.SetStitchParams(&DlgParams);
nRet = DlgImageEffect.DoModalStitch(hWnd);
// Gets the updated values for the structure
DlgImageEffect.GetStitchParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();

}

L_VOID DoStitchDialogSingleImage
(
HWND hWnd,
LBitmap* pBitmap,
LBitmap* pResultBitmap
)
{
DLGBITMAPLISTITEM Items [ 1 ];
DLGBITMAPLIST bmplist;

Items [ 0 ].pszDescription = NULL;
Items [ 0 ].pszFileName = NULL;
Items [ 0 ].pBitmap = pBitmap->GetHandle ();

bmplist.uStructSize = sizeof ( DLGBITMAPLIST );
bmplist.pBitmapList = Items;
bmplist.nCount = 1;

ShowStitchDialog ( hWnd, &bmplist, pResultBitmap );
}


LDialogImageEffect::DoModalSwirl

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalSwirl(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Swirl dialog box, and gets the options for LBitmap::Swirl . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetSwirlParams must be called before using this function to set the initial values for the dialog. You can get the updated SWIRLDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetSwirlParams.

The Swirl dialog is shown in the following figure:

This dialog has the following fields:

The following are the fields in the Swirl Effect dialog:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Swirl Rotation Angle Section:

This section contains an edit box, with slider, and a check box for setting the angle to use when swirling the image. Use the edit box or the slider to set the angle of rotation. Check the Clockwise check box to rotate the image clockwise. Clear the check box to rotate the image counterclockwise.

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Swirl , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetSwirlParams, LDialogImageEffect::GetSwirlParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

SWIRLDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( SWIRLDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( SWIRLDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetSwirlParams(&DlgParams);
DlgImageEffect.DoModalSwirl(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetSwirlParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalUnderlay

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalUnderlay(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Underlay dialog box, and gets the options for LBitmapBase::Underlay .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetUnderlayParams must be called before using this function to set the initial values for the dialog. You can get the updated UNDERLAYDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetUnderlayParams.

The Underlay dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmapBase::Underlay , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetUnderlayParams, LDialogImageEffect::GetUnderlayParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

UNDERLAYDLGPARAMS DlgParams;
DLGBITMAPLISTITEM Items [ 1 ];
DLGBITMAPLIST     BitmapList;
LBitmap TmpBitmap;
memset ( &DlgParams, 0, sizeof ( UNDERLAYDLGPARAMS ) );

DlgParams. uStructSize = sizeof ( UNDERLAYDLGPARAMS );

Items [ 0 ].pszFileName  = ( L_TCHAR L_FAR * ) malloc ( sizeof ( L_TCHAR ) * 20 );
Items [ 0 ].pBitmap       = (pBITMAPHANDLE) malloc ( sizeof ( BITMAPHANDLE ) );

lstrcpy ( Items [ 0 ].pszFileName, TEXT("C:\\Patterns.bmp") ) ;

TmpBitmap.LoadResize
 (Items [ 0 ].pszFileName,
100,
0,
24,
0,
ORDER_BGR,
NULL,
NULL );
Items [ 0 ].pBitmap = TmpBitmap.GetHandle ();
BitmapList.uStructSize  = sizeof ( DLGBITMAPLIST );
BitmapList.pBitmapList = Items;
BitmapList.nCount      = 1;

DlgParams.uUnderlayFlags       = UB_TILE;
DlgParams.nUnderlayBitmapIndex = 0;
DlgParams.pBitmapList          = &BitmapList;

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetUnderlayParams(&DlgParams);
DlgImageEffect.DoModalUnderlay(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetUnderlayParams(&DlgParams, sizeof(DlgParams));

LDialogImageEffect::Free();
TmpBitmap.Free();
free ( Items [ 0 ].pszFileName );
free ( Items [ 0 ].pBitmap );
}


LDialogImageEffect::DoModalUnsharpMask

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalUnsharpMask(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Unsharp Mask dialog box, and gets the options for LBitmap::UnsharpMask .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetUnsharpMaskParams must be called before using this function to set the initial values for the dialog. You can get the updated UNSHARPMASKDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetUnsharpMaskParams.

The Unsharp Mask dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::UnsharpMask , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetUnsharpMaskParams, LDialogImageEffect::GetUnsharpMaskParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

UNSHARPMASKDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( UNSHARPMASKDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( UNSHARPMASKDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetUnsharpMaskParams(&DlgParams);
DlgImageEffect.DoModalUnsharpMask(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetUnsharpMaskParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalWave

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalWave(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Wave dialog box, and gets the options for LBitmap::Wave . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetWaveParams must be called before using this function to set the initial values for the dialog. You can get the updated WAVEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetWaveParams.

The Wave dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Wave , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetWaveParams, LDialogImageEffect::GetWaveParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR);
DlgImageEffect.SetBitmap(pBitmap);

WAVEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( WAVEDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( WAVEDLGPARAMS );

DlgImageEffect.LBase::EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetWaveParams(&DlgParams);
DlgImageEffect.DoModalWave(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetWaveParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalWaveShear

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalWaveShear(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Wave Shear dialog box, and gets the options for LBitmap::FreeHandShear . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetWaveShearParams must be called before using this function to set the initial values for the dialog. You can get the updated WAVESHEARDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetWaveShearParams.

The Wave Shear dialog is shown in the following figure:

This dialog has the following fields:

Curve Mode Drop-down list box:

Use this to select the curve mode to use. There are two choices:

- [image] Curve: distorts the image using a curve wave.

- [image] Linear: distorts the image using a linear wave.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Reset Button:

Use the Reset button to set the curve to its default values.

Load Button:

Use the Load button to load an "*.lsr" file that contains Shear Wave curve settings, using the Load dialog. The loaded file will set a new curve.

Note:

Loading curve settings will overwrite all current settings

Save Button:

Use the Save button to save curve settings into an "*.lsr" file. This allows you set the same curve settings for other images by re-loading the file.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::FreeHandShear , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetWaveShearParams, LDialogImageEffect::GetWaveShearParams
Topics: | Using Imaging Common Dialog
 | Curve Control

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(DLG_INIT_COLOR );
DlgImageEffect.SetBitmap(pBitmap);

WAVESHEARDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( WAVESHEARDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( WAVESHEARDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetWaveShearParams(&DlgParams);
DlgImageEffect.DoModalWaveShear(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetWaveShearParams(&DlgParams, sizeof(DlgParams));

if ( NULL != DlgParams.pAmplitudes )
{
GlobalFree ( DlgParams.pAmplitudes );
}

LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalWind

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalWind(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Wind dialog box, and gets the options for LBitmap::Wind . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetWindParams must be called before using this function to set the initial values for the dialog. You can get the updated WINDDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetWindParams.

The Wind dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::Wind , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetWindParams, LDialogImageEffect::GetWindParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

WINDDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( WINDDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( WINDDLGPARAMS );
DlgParams.nAngle    = 4500;
DlgParams.uDim      = 40;

DlgImageEffect.LBase::EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetWindParams(&DlgParams);
DlgImageEffect.DoModalWind(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetWindParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalZoomBlur

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalZoomBlur(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Zoom Blur dialog box, and gets the options for LBitmap::ZoomBlur . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetZoomBlurParams must be called before using this function to set the initial values for the dialog. You can get the updated ZOOMBLURDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetZoomBlurParams.

The Zoom Blur dialog is shown in the following figure:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Size Edit box and Slider:

Use the Size edit box or slider to set the amount of blur.

Stress Edit box and Slider:

Use the Stress edit box or the slider to set the blur intensity.

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::ZoomBlur , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetZoomBlurParams, LDialogImageEffect::GetZoomBlurParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

ZOOMBLURDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( ZOOMBLURDLGPARAMS ) );

DlgParams.uStructSize = sizeof ( ZOOMBLURDLGPARAMS );

DlgImageEffect.EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetZoomBlurParams(&DlgParams);
DlgImageEffect.DoModalZoomBlur(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetZoomBlurParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::DoModalZoomWave

#include "ltwrappr.h"

virtual L_INT LDialogImageEffect::DoModalZoomWave(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog */

Displays the Zoom Wave dialog box, and gets the options for LBitmap::ZoomWave . This function is available in the Raster Pro and above toolkits.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogImageEffect::SetZoomWaveParams must be called before using this function to set the initial values for the dialog. You can get the updated ZOOMWAVEDLGPARAMS with the values entered by the user through the dialog by using LDialogImageEffect::GetZoomWaveParams.

The Zoom Wave dialog is shown in the following figure:

Zoom to fit

Use this button to fit entire preview images on both the Before and After views.

Zoom to Normal

Use this button to view images with normal scale on both the Before and After views.

Before View

This view shows the original image before the dialog applies any changes to it.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

After View

This view shows the original image with the dialog changes applied. This enables the user to see a preview of what the image should look like when the changes are applied.

The view can be dragged when it is not in Zoom to Fit zoom mode. Place the mouse cursor over the view window (the cursor will change to a hand), then click and drag.

Frequency Edit box:

Use this to set the number of repeated waves along the radial line. Enter the value directly in the edit box or use the arrows to set the desired value.

Phase Edit box:

Use this to set the wave phase shift. Enter the value directly in the edit box or use the arrows to set desired value.

Amplitude Edit box:

Use this to set the zoom wave magnitude. Enter the value directly in the edit box or use the arrow to set the desired value.

Zoom Factor Edit box:

Use this to indicate the percentage the wave grows as it moves from the image center. Enter the value directly in the edit box or use the arrows to set the desired value.

Exposed Area Section:

This section contains a drop-down list box and a button for specifying how to fill any exposed areas. Available values are:

Use Color: Use the color picker button to select the color to fill any exposed areas. Clicking the color picker button will activate a Color Dialog that will be used to set the color.

Stretch Image: Stretch the image edges to fill the exposed area.

Don’t Change: Leave the exposed area as is, without changing it.

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Displays the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

OK

Use the OK button to close the dialog and apply the changes.

Cancel

Use the Cancel button to close the dialog and discard the changes.

Progress Bar

Located at the bottom of the dialog, this progress bar shows the percentage of the current dialog operation that has been completed.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LBitmap::ZoomWave , LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogImageEffect::SetZoomWaveParams, LDialogImageEffect::GetZoomWaveParams
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogImageEffect DlgImageEffect;
LDialogImageEffect::Initialize(0);
DlgImageEffect.SetBitmap(pBitmap);

ZOOMWAVEDLGPARAMS DlgParams;

memset ( &DlgParams, 0, sizeof ( ZOOMWAVEDLGPARAMS ) );

DlgParams.uStructSize      = sizeof ( ZOOMWAVEDLGPARAMS );

DlgImageEffect.LBase::EnableCallBack
 (FALSE);
DlgImageEffect.EnablePreview(TRUE);
DlgImageEffect.EnableAutoProcess(TRUE);
DlgImageEffect.EnableToolbar(TRUE);
DlgImageEffect.SetZoomWaveParams(&DlgParams);
DlgImageEffect.DoModalZoomWave(hWnd);

// Gets the updated values for the structure
DlgImageEffect.GetZoomWaveParams(&DlgParams, sizeof(DlgParams));
LDialogImageEffect::Free();
}


LDialogImageEffect::GetAddBitmapsParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetAddBitmapsParams(pAddBitmapsDlgParm, uStructSize) const

LPADDBITMAPSDLGPARAMS pAddBitmapsDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of ADDBITMAPSDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalAddBitmaps function.

Parameter | Description
pAddBitmapsDlgParm | Pointer to a ADDBITMAPSDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalAddBitmaps function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal ADDBITMAPSDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalAddBitmaps, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalAddBitmaps.


LDialogImageEffect::GetAddNoiseParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetAddNoiseParams(pAddNoiseDlgParm, uStructSize) const

LPADDNOISEDLGPARAMS pAddNoiseDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of ADDNOISEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalAddNoise function.

Parameter | Description
pAddNoiseDlgParm | Pointer to an ADDNOISEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalAddNoise function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal ADDNOISEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalAddNoise, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalAddNoise.


LDialogImageEffect::GetAntiAliasParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetAntiAliasParams(pAntiAliasDlgParm, uStructSize) const

LPANTIALIASDLGPARAMS pAntiAliasDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of ANTIALIASDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalAntiAlias function.

Parameter | Description
pAntiAliasDlgParm | Pointer to a ANTIALIASDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalAntiAlias function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal ANTIALIASDLGPARAMS structure.

Libraries

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalAntiAlias, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalAntiAlias.


LDialogImageEffect::GetAverageParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetAverageParams(pAverageDlgParm, uStructSize) const

LPAVERAGEDLGPARAMS pAverageDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of AVERAGEDLGPARAMS structure */

Gets the parameters entered by the user for the Average function, through the dialog displayed by the LDialogImageEffect::DoModalAverage function.

Parameter | Description
pAverageDlgParm | Pointer to a AVERAGEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalAverage function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal AVERAGEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalAverage, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalAverage.


LDialogImageEffect::GetBendingParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetBendingParams(pBendingDlgParm, uStructSize) const

LPBENDINGDLGPARAMS pBendingDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of BENDINGDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalBending function.

Parameter | Description
pBendingDlgParm | Pointer to a BENDINGDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalBending function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal BENDINGDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalBending, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalBending.


LDialogImageEffect::GetContourFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetContourFilterParams(pContourFilterDlgParm, uStructSize) const

LPCONTOURFILTERDLGPARAMS pContourFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of CONTOURFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalContourFilter function.

Parameter | Description
pContourFilterDlgParm | Pointer to a CONTOURFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalContourFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal CONTOURFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalContourFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalContourFilter.


LDialogImageEffect::GetCylindricalParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetCylindricalParams(pCylindricalDlgParm, uStructSize) const

LPCYLINDRICALDLGPARAMS pCylindricalDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of CYLINDRICALDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalCylindrical function.

Parameter | Description
pCylindricalDlgParm | Pointer to a CYLINDRICALDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalCylindrical function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal CYLINDRICALDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalCylindrical, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalCylindrical.


LDialogImageEffect::GetDilationFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetDilationFilterParams(pDilationFilterDlgParm, uStructSize) const

LPDILATIONFILTERDLGPARAMS pDilationFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of DILATIONFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalDilationFilter function.

Parameter | Description
pDilationFilterDlgParm | Pointer to a DILATIONFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalDilationFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal DILATIONFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalDilationFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalDilationFilter.


LDialogImageEffect::GetEdgeDetectorParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetEdgeDetectorParams(pEdgeDetectorDlgParm, uStructSize) const

LPEDGEDETECTORDLGPARAMS pEdgeDetectorDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of EDGEDETECTORDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalEdgeDetector function.

Parameter | Description
pEdgeDetectorDlgParm | Pointer to a EDGEDETECTORDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalEdgeDetector function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal EDGEDETECTORDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalEdgeDetector, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalEdgeDetector.


LDialogImageEffect::GetEmbossParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetEmbossParams(pEmbossDlgParm, uStructSize) const

LPEMBOSSDLGPARAMS pEmbossDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of EMBOSSDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by LDialogImageEffect::DoModalEmboss function.

Parameter | Description
pEmbossDlgParm | Pointer to a EMBOSSDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalEmboss function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal EMBOSSDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalEmboss, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalEmboss.


LDialogImageEffect::GetErosionFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetErosionFilterParams(pErosionFilterDlgParm, uStructSize) const

LPEROSIONFILTERDLGPARAMS pErosionFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of EROSIONFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalErosionFilter function.

Parameter | Description
pErosionFilterDlgParm | Pointer to a EROSIONFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalErosionFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal EROSIONFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalErosionFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalErosionFilter.


LDialogImageEffect::GetFreeHandWaveParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetFreeHandWaveParams(pFreeHandWaveDlgParm, uStructSize) const

LPFREEHANDWAVEDLGPARAMS pFreeHandWaveDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of FREEHANDWAVEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalFreeHandWave function.

Parameter | Description
pFreeHandWaveDlgParm | Pointer to a FREEHANDWAVEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalFreeHandWave function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal FREEHANDWAVEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalFreeHandWave, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalFreeHandWave.


LDialogImageEffect::GetGaussianBlurParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetGaussianBlurParams(pGaussianBlurDlgParm, uStructSize) const

LPGAUSSIANBLURDLGPARAMS pGaussianBlurDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of GAUSSIANBLURDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalGaussianBlur function.

Parameter | Description
pGaussianBlurDlgParm | Pointer to a GAUSSIANBLURDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalGaussianBlur function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal GAUSSIANBLURDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalGaussianBlur, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalGaussianBlur.


LDialogImageEffect::GetGradientFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetGradientFilterParams(pGradientFilterDlgParm, uStructSize) const

LPGRADIENTFILTERDLGPARAMS pGradientFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of GRADIENTFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalGradientFilter function.

Parameter | Description
pGradientFilterDlgParm | Pointer to a GRADIENTFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalGradientFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal GRADIENTFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalGradientFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalGradientFilter.


LDialogImageEffect::GetImpressionistParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetImpressionistParams(pImpressionistDlgParm, uStructSize) const

LPIMPRESSIONISTDLGPARAMS pImpressionistDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of IMPRESSIONISTDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalImpressionist function.

Parameter | Description
pImpressionDlgParm | Pointer to a IMPRESSIONISTDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalImpressionist function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal IMPRESSIONISTDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalImpressionist, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalImpressionist.


LDialogImageEffect::GetLaplacianFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetLaplacianFilterParams(pLaplacianFilterDlgParm, uStructSize) const

LPLAPLACIANFILTERDLGPARAMS pLaplacianFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of LAPLACIANFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalLaplacianFilter function.

Parameter | Description
pLaplacianFilterDlgParm | Pointer to a LAPLACIANFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalLaplacianFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal LAPLACIANFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalLaplacianFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalLaplacianFilter.


LDialogImageEffect::GetLineSegmentFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetLineSegmentFilterParams(pLineSegmentFilterDlgParm, uStructSize) const

LPLINESEGMENTFILTERDLGPARAMS pLineSegmentFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of LINESEGMENTFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalLineSegmentFilter function.

Parameter | Description
pLineSegmentFilterDlgParm | Pointer to a LINESEGMENTFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalLineSegmentFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal LINESEGMENTFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalLineSegmentFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalLineSegmentFilter.


LDialogImageEffect::GetMaxFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetMaxFilterParams(pMaxFilterDlgParm, uStructSize) const

LPMAXFILTERDLGPARAMS pMaxFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of MAXFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalMaxFilter function.

Parameter | Description
pMaxFilterDlgParm | Pointer to a MAXFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalMaxFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal MAXFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMaxFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMaxFilter.


LDialogImageEffect::GetMedianParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetMedianParams(pMedianDlgParm, uStructSize) const

LPMEDIANDLGPARAMS pMedianDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of MEDIANDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalMedian function.

Parameter | Description
pMedianDlgParm | Pointer to a MEDIANDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalMedian function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal MEDIANDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMedian, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMedian.


LDialogImageEffect::GetMinFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetMinFilterParams(pMinFilterDlgParm, uStructSize) const

LPMINFILTERDLGPARAMS pMinFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of MINFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalMinFilter function.

Parameter | Description
pMinFilterDlgParm | Pointer to a MINFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalMinFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal MINFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMinFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMinFilter.


LDialogImageEffect::GetMosaicParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetMosaicParams(pMosaicDlgParm, uStructSize) const

LPMOSAICDLGPARAMS pMosaicDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of MOSAICDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalMosaic function.

Parameter | Description
pMosaicDlgParm | Pointer to a MOSAICDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalMosaic function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal MOSAICDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMosaic, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMosaic.


LDialogImageEffect::GetMotionBlurParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetMotionBlurParams(pMotionBlurDlgParm, uStructSize) const

LPMOTIONBLURDLGPARAMS pMotionBlurDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of MOTIONBLURDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalMotionBlur function.

Parameter | Description
pMotionBlurDlgParm | Pointer to a MOTIONBLURDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalMotionBlur function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal MOTIONBLURDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMotionBlur, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMotionBlur.


LDialogImageEffect::GetMultiplyParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetMultiplyParams(pMultiplyDlgParm, uStructSize) const

LPMULTIPLYDLGPARAMS pMultiplyDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of MULTIPLYDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalMultiply function.

Parameter | Description
pMultiplyDlgParm | Pointer to a MULTIPLYDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalMultiply function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal MULTIPLYDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMultiply, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMultiply.


LDialogImageEffect::GetOilifyParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetOilifyParams(pOilifyDlgParm, uStructSize) const

LPOILIFYDLGPARAMS pOilifyDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of OILIFYDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalOilify function.

Parameter | Description
pOilifyDlgParm | Pointer to a OILIFYDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalOilify function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal OILIFYDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalOilify, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalOilify.


LDialogImageEffect::GetPicturizeParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetPicturizeParams(pPicturizeDlgParm, uStructSize) const

LPPICTURIZEDLGPARAMS pPicturizeDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of PICTURIZEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalPicturize function.

Parameter | Description
pPicturizeDlgParm | Pointer to a PICTURIZEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalPicturize function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal PICTURIZEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPicturize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPicturize.


LDialogImageEffect::GetPixelateParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetPixelateParams(pPixelateDlgParm, uStructSize) const

LPPIXELATEDLGPARAMS pPixelateDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of PIXELATEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalPixelate function.

Parameter | Description
pPixelateDlgParm | Pointer to a PIXELATEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalPixelate function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal PIXELATEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPixelate, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPixelate.


LDialogImageEffect::GetPolarParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetPolarParams(pPolarDlgParm, uStructSize) const

LPPOLARDLGPARAMS pPolarDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of POLARDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalPolar function.

Parameter | Description
pPolarDlgParm | Pointer to a POLARDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalPolar function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal POLARDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPolar, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPolar.


LDialogImageEffect::GetPrewittFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetPrewittFilterParams(pPrewittFilterDlgParm, uStructSize) const

LPPREWITTFILTERDLGPARAMS pPrewittFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of PREWITTFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalPrewittFilter function.

Parameter | Description
pPrewittFilterDlgParm | Pointer to a PREWITTFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalPrewittFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal PREWITTFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPrewittFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPrewittFilter.


LDialogImageEffect::GetPunchParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetPunchParams(pPunchDlgParm, uStructSize) const

LPPUNCHDLGPARAMS pPunchDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of PUNCHDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogWeb::DoModalPNGWebTuner function.

Gets the Punch Params set by the LDialogImageEffect::DoModalPunch function.

Parameter | Description
pPunchDlgParm | Pointer to a PUNCHDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalPunch function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal PUNCHDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPunch, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPunch.


LDialogImageEffect::GetRadialBlurParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetRadialBlurParams(pRadialBlurDlgParm, uStructSize) const

LPRADIALBLURDLGPARAMS pRadialBlurDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of RADIALBLURDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalRadialBlur function.

Parameter | Description
pRadialBlurDlgParm | Pointer to a RADIALBLURDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalRadialBlur function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal RADIALBLURDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalRadialBlur, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalRadialBlur.


LDialogImageEffect::GetRadialWaveParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetRadialWaveParams(pRadialWaveDlgParm, uStructSize) const

LPRADIALWAVEDLGPARAMS pRadialWaveDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of RADIALWAVEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalRadialWave function.

Parameter | Description
pRadialWaveDlgParm | Pointer to a RADIALWAVEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalRadialWave function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal RADIALWAVEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalRadialWave, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalRadialWave.


LDialogImageEffect::GetRippleParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetRippleParams(pRippleDlgParm, uStructSize) const

LPRIPPLEDLGPARAMS pRippleDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of RIPPLEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalRipple function.

Parameter | Description
pRippleDlgParm | Pointer to a RIPPLEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalRipple function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal RIPPLEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalRipple, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalRipple.


LDialogImageEffect::GetSharpenParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetSharpenParams(pSharpenDlgParm, uStructSize) const

LPSHARPENDLGPARAMS pSharpenDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of SHARPENDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalSharpen function.

Parameter | Description
pSharpenDlgParm | Pointer to a SHARPENDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalSharpen function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SHARPENDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalSharpen, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalSharpen.


LDialogImageEffect::GetShiftDifferenceFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetShiftDifferenceFilterParams(pShiftDifferenceFilterDlgParm, uStructSize) const

LPSHIFTDIFFERENCEFILTERDLGPARAMS pShiftDifferenceFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of SHIFTDIFFERENCEFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalShiftDifferenceFilter function.

Parameter | Description
pShiftDifferenceFilterDlgParm | Pointer to a SHIFTDIFFERENCEFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalShiftDifferenceFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SHIFTDIFFERENCEFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalShiftDifferenceFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalShiftDifferenceFilter.


LDialogImageEffect::GetSobelFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetSobelFilterParams(pSobelFilterDlgParm, uStructSize) const

LPSOBELFILTERDLGPARAMS pSobelFilterDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of SOBELFILTERDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalSobelFilter function.

Parameter | Description
pSobelFilterDlgParm | Pointer to a SOBELFILTERDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalSobelFilter function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SOBELFILTERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalSobelFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalSobelFilter.


LDialogImageEffect::GetSpherizeParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetSpherizeParams(pSpherizeDlgParm, uStructSize) const

LPSPHERIZEDLGPARAMS pSpherizeDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of SPHERIZEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalSpherize function.

Parameter | Description
pSpherizeDlgParm | Pointer to a SPHERIZEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalSpherize function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SPHERIZEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalSpherize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalSpherize.


LDialogImageEffect::GetStitchParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetStitchParams(pStitchDlgParm, uStructSize) const

LPSTITCHDLGPARAMS pStitchDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of STITCHDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalStitch function.

Parameter | Description
pStitchDlgParm | Pointer to a STITCHDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalStitch function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal STITCHDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalStitch, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalStitch.


LDialogImageEffect::GetSwirlParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetSwirlParams(pSwirlDlgParm, uStructSize) const

LPSWIRLDLGPARAMS pSwirlDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of SWIRLDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalSwirl function.

Parameter | Description
pSwirlDlgParm | Pointer to a SWIRLDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalSwirl function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal SWIRLDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalSwirl, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalSwirl.


LDialogImageEffect::GetUnderlayParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetUnderlayParams(pUnderlayDlgParm, uStructSize) const

LPUNDERLAYDLGPARAMS pUnderlayDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of UNDERLAYDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalUnderlay function.

Parameter | Description
pUnderlayDlgParm | Pointer to a UNDERLAYDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalUnderlay function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal UNDERLAYDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalUnderlay, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalUnderlay.


LDialogImageEffect::GetUnsharpMaskParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetUnsharpMaskParams(pUnsharpMaskDlgParm, uStructSize) const

LPUNSHARPMASKDLGPARAMS pUnsharpMaskDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of UNSHARPMASKDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalUnsharpMask function.

Parameter | Description
pUnsharpMaskDlgParm | Pointer to a UNSHARPMASKDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalUnsharpMask function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal UNSHARPMASKDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalUnsharpMask, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalUnsharpMask.


LDialogImageEffect::GetWaveParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetWaveParams(pWaveDlgParm, uStructSize) const

LPWAVEDLGPARAMS pWaveDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of WAVEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalWave function.

Parameter | Description
pWaveDlgParm | Pointer to a WAVEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalWave function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal WAVEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalWave, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalWave.


LDialogImageEffect::GetWaveShearParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetWaveShearParams(pWaveShearDlgParam, uStructSize) const

LPWAVESHEARDLGPARAMS pWaveShearDlgParam; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of WAVESHEARDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalWaveShear function.

Parameter | Description
pWaveShearDlgParam | Pointer to a WAVESHEARDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalWaveShear function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal WAVESHEARDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalWaveShear, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalWaveShear.


LDialogImageEffect::GetWindParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetWindParams(pWindDlgParm, uStructSize) const

LPWINDDLGPARAMS pWindDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of WINDDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalWind function.

Parameter | Description
pWindDlgParm | Pointer to a WINDDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalWind function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal WINDDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalWind, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalWind.


LDialogImageEffect::GetZoomBlurParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetZoomBlurParams(pZoomBlurDlgParm, uStructSize) const

LPZOOMBLURDLGPARAMS pZoomBlurDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* Size of ZOOMBLURDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalZoomBlur function.

Parameter | Description
pZoomBlurDlgParm | Pointer to a ZOOMBLURDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalZoomBlur function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal ZOOMBLURDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalZoomBlur, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalZoomBlur.


LDialogImageEffect::GetZoomWaveParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::GetZoomWaveParams(pZoomWaveDlgParm, uStructSize) const

LPZOOMWAVEDLGPARAMS pZoomWaveDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of ZOOMWAVEDLGPARAMS structure */

Gets the parameters entered by the user, through the dialog displayed by the LDialogImageEffect::DoModalZoomWave function.

Parameter | Description
pZoomWaveDlgParm | Pointer to a ZOOMWAVEDLGPARAMS structure to be updated with the parameters set by the user through the dialog displayed by the LDialogImageEffect::DoModalZoomWave function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal ZOOMWAVEDLGPARAMS structure.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalZoomWave, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalZoomWave.


LDialogImageEffect::SetAddBitmapsParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetAddBitmapsParams(pAddBitmapsDlgParm)

LPADDBITMAPSDLGPARAMS pAddBitmapsDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalAddBitmaps function when the dialog first appears.

Parameter | Description
pAddBitmapsDlgParm | Pointer to a ADDBITMAPSDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalAddBitmaps function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalAddBitmaps, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalAddBitmaps.


LDialogImageEffect::SetAddNoiseParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetAddNoiseParams(pAddNoiseDlgParm)

LPADDNOISEDLGPARAMS pAddNoiseDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalAddNoise function when the dialog first appears.

Parameter | Description
pAddNoiseDlgParm | Pointer to a ADDNOISEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalAddNoise function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalAddNoise, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalAddNoise.


LDialogImageEffect::SetAntiAliasParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetAntiAliasParams(pAntiAliasDlgParm)

LPANTIALIASDLGPARAMS pAntiAliasDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalAntiAlias function when the dialog first appears.

Parameter | Description
pAntiAliasDlgParm | Pointer to a ANTIALIASDLGPARAMS structure that contains the AntiAlias Params to set for the LDialogImageEffect::DoModalAntiAlias function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalAntiAlias, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalAntiAlias.


LDialogImageEffect::SetAverageParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetAverageParams(pAverageDlgParm)

LPAVERAGEDLGPARAMS pAverageDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalAverage function when the dialog first appears.

Parameter | Description
pAverageDlgParm | Pointer to an AVERAGEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalAverage function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalAverage, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalAverage.


LDialogImageEffect::SetBendingParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetBendingParams(pBendingDlgParm)

LPBENDINGDLGPARAMS pBendingDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalBending function when the dialog first appears.

Parameter | Description
pBendingDlgParm | Pointer to a BENDINGDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalBending function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalBending, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalBending.


LDialogImageEffect::SetContourFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetContourFilterParams(pContourFilterDlgParm)

LPCONTOURFILTERDLGPARAMS pContourFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalContourFilter function when the dialog first appears.

Parameter | Description
pContourFilterDlgParm | Pointer to a CONTOURFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalContourFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalContourFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalContourFilter.


LDialogImageEffect::SetCylindricalParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetCylindricalParams(pCylindricalDlgParm)

LPCYLINDRICALDLGPARAMS pCylindricalDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalCylindrical function when the dialog first appears.

Parameter | Description
pCylindricalDlgParm | Pointer to a CYLINDRICALDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalCylindrical function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalCylindrical, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalCylindrical.


LDialogImageEffect::SetDilationFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetDilationFilterParams(pDilationFilterDlgParm)

LPDILATIONFILTERDLGPARAMS pDilationFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalDilationFilter function when the dialog first appears.

Parameter | Description
pDilationFilterDlgParm | Pointer to a DILATIONFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalDilationFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalDilationFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalDilationFilter.


LDialogImageEffect::SetEdgeDetectorParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetEdgeDetectorParams(pEdgeDetectorDlgParm)

LPEDGEDETECTORDLGPARAMS pEdgeDetectorDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalEdgeDetector function when the dialog first appears.

Parameter | Description
pEdgeDetectorDlgParm | Pointer to a EDGEDETECTORDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalEdgeDetector function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalEdgeDetector, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalEdgeDetector.


LDialogImageEffect::SetEmbossParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetEmbossParams(pEmbossDlgParm)

LPEMBOSSDLGPARAMS pEmbossDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalEmboss function when the dialog first appears.

Parameter | Description
pEmbossDlgParm | Pointer to an EMBOSSDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalEmboss function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalEmboss, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalEmboss.


LDialogImageEffect::SetErosionFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetErosionFilterParams(pErosionFilterDlgParm)

LPEROSIONFILTERDLGPARAMS pErosionFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalErosionFilter function when the dialog first appears.

Parameter | Description
pErosionFilterDlgParm | Pointer to a EROSIONFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalErosionFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalErosionFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalErosionFilter.


LDialogImageEffect::SetFreeHandWaveParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetFreeHandWaveParams(pFreeHandWaveDlgParm)

LPFREEHANDWAVEDLGPARAMS pFreeHandWaveDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalFreeHandWave function when the dialog first appears.

Parameter | Description
pFreeHandWaveDlgParm | Pointer to a FREEHANDWAVEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalFreeHandWave function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalFreeHandWave, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalFreeHandWave.


LDialogImageEffect::SetGaussianBlurParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetGaussianBlurParams(pGaussianBlurDlgParm)

LPGAUSSIANBLURDLGPARAMS pGaussianBlurDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalGaussianBlur function when the dialog first appears.

Parameter | Description
pGaussianBlurDlgParm | Pointer to a GAUSSIANBLURDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalGaussianBlur function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalGaussianBlur, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalGaussianBlur.


LDialogImageEffect::SetGradientFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetGradientFilterParams(pGradientFilterDlgParm)

LPGRADIENTFILTERDLGPARAMS pGradientFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalGradientFilter function when the dialog first appears.

Parameter | Description
pGradientFilterDlgParm | Pointer to a GRADIENTFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalGradientFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalGradientFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalGradientFilter.


LDialogImageEffect::SetImpressionistParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetImpressionistParams(pImpressionistDlgParm)

LPIMPRESSIONISTDLGPARAMS pImpressionistDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalImpressionist function when the dialog first appears.

Parameter | Description
pImpressionistDlgParm | Pointer to a IMPRESSIONISTDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalImpressionist function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalImpressionist, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalImpressionist.


LDialogImageEffect::SetLaplacianFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetLaplacianFilterParams(pLaplacianFilterDlgParm)

LPLAPLACIANFILTERDLGPARAMS pLaplacianFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalLaplacianFilter function when the dialog first appears.

Parameter | Description
pLaplacianFilterDlgParm | Pointer to a LAPLACIANFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalLaplacianFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalLaplacianFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalLaplacianFilter.


LDialogImageEffect::SetLineSegmentFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetLineSegmentFilterParams(pLineSegmentFilterDlgParm)

LPLINESEGMENTFILTERDLGPARAMS pLineSegmentFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalLineSegmentFilter function when the dialog first appears.

Parameter | Description
pLineSegmentFilterDlgParm | Pointer to a LINESEGMENTFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalLineSegmentFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalLineSegmentFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalLineSegmentFilter.


LDialogImageEffect::SetMaxFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetMaxFilterParams(pMaxFilterDlgParm)

LPMAXFILTERDLGPARAMS pMaxFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalMaxFilter function when the dialog first appears.

Parameter | Description
pMaxFilterDlgParm | Pointer to a MAXFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalMaxFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMaxFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMaxFilter.


LDialogImageEffect::SetMedianParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetMedianParams(pMedianDlgParm)

LPMEDIANDLGPARAMS pMedianDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalMedian function when the dialog first appears.

Parameter | Description
pMedianDlgParm | Pointer to a MEDIANDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalMedian function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMedian, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMedian.


LDialogImageEffect::SetMinFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetMinFilterParams(pMinFilterDlgParm)

LPMINFILTERDLGPARAMS pMinFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalMinFilter function when the dialog first appears.

Parameter | Description
pMinFilterDlgParm | Pointer to a MINFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalMinFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMinFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMinFilter.


LDialogImageEffect::SetMosaicParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetMosaicParams(pMosaicDlgParm)

LPMOSAICDLGPARAMS pMosaicDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalMosaic function when the dialog first appears.

Parameter | Description
pMosaicDlgParm | Pointer to a MOSAICDLGPARAMS structure that contains the Mosaic Params to set for the LDialogImageEffect::DoModalMosaic function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMosaic, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMosaic.


LDialogImageEffect::SetMotionBlurParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetMotionBlurParams(pMotionBlurDlgParm)

LPMOTIONBLURDLGPARAMS pMotionBlurDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalMotionBlur function when the dialog first appears.

Parameter | Description
pMotionBlurDlgParm | Pointer to a MOTIONBLURDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalMotionBlur function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMotionBlur, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMotionBlur.


LDialogImageEffect::SetMultiplyParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetMultiplyParams(pMultiplyDlgParm)

LPMULTIPLYDLGPARAMS pMultiplyDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalMultiply function when the dialog first appears.

Parameter | Description
pMultiplyDlgParm | Pointer to a MULTIPLYDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalMultiply function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalMultiply, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalMultiply.


LDialogImageEffect::SetOilifyParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetOilifyParams(pOilifyDlgParm)

LPOILIFYDLGPARAMS pOilifyDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalOilify function when the dialog first appears.

Parameter | Description
pOilifyDlgParm | Pointer to a OILIFYDLGPARAMS structure that contains the Oilify Params to set for the LDialogImageEffect::DoModalOilify function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalOilify, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalOilify.


LDialogImageEffect::SetPicturizeParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetPicturizeParams(pPicturizeDlgParm)

LPPICTURIZEDLGPARAMS pPicturizeDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalPicturize function when the dialog first appears.

Parameter | Description
pPicturizeDlgParm | Pointer to a PICTURIZEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalPicturize function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPicturize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPicturize.


LDialogImageEffect::SetPixelateParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetPixelateParams(pPixelateDlgParm)

LPPIXELATEDLGPARAMS pPixelateDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalPixelate function when the dialog first appears.

Parameter | Description
pPixelateDlgParm | Pointer to a PIXELATEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalPixelate function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPixelate, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPixelate.


LDialogImageEffect::SetPolarParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetPolarParams(pPolarDlgParm)

LPPOLARDLGPARAMS pPolarDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalPolar function when the dialog first appears.

Parameter | Description
pPolarDlgParm | Pointer to a POLARDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalPolar function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPolar, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPolar.


LDialogImageEffect::SetPrewittFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetPrewittFilterParams(pPrewittFilterDlgParm)

LPPREWITTFILTERDLGPARAMS pPrewittFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalPrewittFilter function when the dialog first appears.

Parameter | Description
pPrewittFilterDlgParm | Pointer to a PREWITTFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalPrewittFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPrewittFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPrewittFilter.


LDialogImageEffect::SetPunchParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetPunchParams(pPunchDlgParm)

LPPUNCHDLGPARAMS pPunchDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalPunch function when the dialog first appears.

Parameter | Description
pPunchDlgParm | Pointer to a PUNCHDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalPunch function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalPunch, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalPunch.


LDialogImageEffect::SetRadialBlurParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetRadialBlurParams(pRadialBlurDlgParm)

LPRADIALBLURDLGPARAMS pRadialBlurDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalRadialBlur function when the dialog first appears.

Parameter | Description
pRadialBlurDlgParm | Pointer to a RADIALBLURDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalRadialBlur function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalRadialBlur, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalRadialBlur.


LDialogImageEffect::SetRadialWaveParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetRadialWaveParams(pRadialWaveDlgParm)

LPRADIALWAVEDLGPARAMS pRadialWaveDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalRadialWave function when the dialog first appears.

Parameter | Description
pRadialWaveDlgParm | Pointer to a RADIALWAVEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalRadialWave function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalRadialWave, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalRadialWave.


LDialogImageEffect::SetRippleParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetRippleParams(pRippleDlgParm)

LPRIPPLEDLGPARAMS pRippleDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalRipple function when the dialog first appears.

Parameter | Description
pRippleDlgParm | Pointer to a RIPPLEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalRipple function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalRipple, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalRipple.


LDialogImageEffect::SetSharpenParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetSharpenParams(pSharpenDlgParm)

LPSHARPENDLGPARAMS pSharpenDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalSharpen function when the dialog first appears.

Parameter | Description
pSharpenDlgParm | Pointer to a SHARPENDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalSharpen function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalSharpen, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalSharpen.


LDialogImageEffect::SetShiftDifferenceFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetShiftDifferenceFilterParams(pShiftDifferenceFilterDlgParm)

LPSHIFTDIFFERENCEFILTERDLGPARAMS pShiftDifferenceFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalShiftDifferenceFilter function when the dialog first appears.

Parameter | Description
pShiftDifferenceFilterDlgParm | Pointer to a SHIFTDIFFERENCEFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalShiftDifferenceFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalShiftDifferenceFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalShiftDifferenceFilter.


LDialogImageEffect::SetSobelFilterParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetSobelFilterParams(pSobelFilterDlgParm)

LPSOBELFILTERDLGPARAMS pSobelFilterDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalSobelFilter function when the dialog first appears.

Parameter | Description
pSobelFilterDlgParm | Pointer to a SOBELFILTERDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalSobelFilter function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalSobelFilter, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalSobelFilter.


LDialogImageEffect::SetSpherizeParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetSpherizeParams(pSpherizeDlgParm)

LPSPHERIZEDLGPARAMS pSpherizeDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalSpherize function when the dialog first appears.

Parameter | Description
pSpherizeDlgParm | Pointer to a SPHERIZEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalSpherize function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalSpherize, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalSpherize.


LDialogImageEffect::SetStitchParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetStitchParams(pStitchDlgParm)

LPSTITCHDLGPARAMS pStitchDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalStitch function when the dialog first appears.

Parameter | Description
pStitchDlgParm | Pointer to a STITCHDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalStitch function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalStitch, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalStitch.


LDialogImageEffect::SetSwirlParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetSwirlParams(pSwirlDlgParm)

LPSWIRLDLGPARAMS pSwirlDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalSwirl function when the dialog first appears.

Parameter | Description
pSwirlDlgParm | Pointer to a SWIRLDLGPARAMS structure that contains the Swirl Params to set for the LDialogImageEffect::DoModalSwirl function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalSwirl, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalSwirl.


LDialogImageEffect::SetUnderlayParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetUnderlayParams(pUnderlayDlgParm)

LPUNDERLAYDLGPARAMS pUnderlayDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalUnderlay function when the dialog first appears.

Parameter | Description
pUnderlayDlgParm | Pointer to a UNDERLAYDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalUnderlay function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalUnderlay, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalUnderlay.


LDialogImageEffect::SetUnsharpMaskParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetUnsharpMaskParams(pUnsharpMaskDlgParm)

LPUNSHARPMASKDLGPARAMS pUnsharpMaskDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalUnsharpMask function when the dialog first appears.

Parameter | Description
pUnsharpMaskDlgParm | Pointer to a UNSHARPMASKDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalUnsharpMask function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalUnsharpMask, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalUnsharpMask.


LDialogImageEffect::SetWaveParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetWaveParams(pWaveDlgParm)

LPWAVEDLGPARAMS pWaveDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalWave function when the dialog first appears.

Parameter | Description
pWaveDlgParm | Pointer to a WAVEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalWave function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalWave, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalWave.


LDialogImageEffect::SetWaveShearParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetWaveShearParams(pWaveShearDlgParam)

LPWAVESHEARDLGPARAMS pWaveShearDlgParam;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalWaveShear function when the dialog first appears.

Parameter | Description
pWaveShearDlgParam | Pointer to a WAVESHEARDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalWaveShear function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalWaveShear, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalWaveShear.


LDialogImageEffect::SetWindParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetWindParams(pWindDlgParm)

LPWINDDLGPARAMS pWindDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalWind function when the dialog first appears.

Parameter | Description
pWindDlgParm | Pointer to a WINDDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalWind function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalWind, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalWind.


LDialogImageEffect::SetZoomBlurParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetZoomBlurParams(pZoomBlurDlgParm)

LPZOOMBLURDLGPARAMS pZoomBlurDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalZoomBlur function when the dialog first appears.

Parameter | Description
pZoomBlurDlgParm | Pointer to a ZOOMBLURDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalZoomBlur function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalZoomBlur, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalZoomBlur.


LDialogImageEffect::SetZoomWaveParams

#include "ltwrappr.h"

L_INT LDialogImageEffect::SetZoomWaveParams(pZoomWaveDlgParm)

LPZOOMWAVEDLGPARAMS pZoomWaveDlgParm;

/* pointer to a structure */

Sets the parameters to be displayed by the LDialogImageEffect::DoModalZoomWave function when the dialog first appears.

Parameter | Description
pZoomWaveDlgParm | Pointer to a ZOOMWAVEDLGPARAMS structure that contains the parameters to be displayed by the LDialogImageEffect::DoModalZoomWave function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGIMGEFX
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogImageEffect::DoModalZoomWave, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogImageEffect::DoModalZoomWave.


LDialogWeb::LDialogWeb

#include "ltwrappr.h"

L_VOID LDialogWeb::LDialogWeb(pBitmap)

L_VOID LDialogWeb::LDialogWeb()

LBitmapBase L_FAR * pBitmap;

/* pointer to an LBitmapBase object */

Constructs and initializes the member variables of the LDialogWeb object.

Parameter | Description
pBitmap | Pointer to the bitmap object referencing the bitmap object to assign to the specified object.

Returns

None

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::~LDialogWeb, Class Members
Topics: | Using Imaging Common Dialog

Example

//This is an example for : LDialogWeb::LDialogWeb()
L_VOID TestFunction( )
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogWeb MyDialogWeb;     //construct a dialogweb object

//.... do something here   ....
//Destructor is called upon returning from function
}

//This is an example for : LDialogWeb::LDialogWeb (pBitmap)
L_VOID TestFunction(LBitmapBase * BitmapObj)
{
LBase::LoadLibraries
 (LT_ALL_LEADLIB);//make sure all libraries are loaded

LDialogWeb MyDialogWeb (BitmapObj);     //construct a dialogweb object

//.... do something here   ....

}


LDialogWeb::~LDialogWeb

#include "ltwrappr.h"

virtual L_VOID LDialogWeb::~LDialogWeb()

Destroys the object, and frees any resources associated with it.

Returns

None

Comments

This is the destructor for the LDialogWeb class.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::LDialogWeb, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogWeb::LDialogWeb().


LDialogWeb::DoModalGIFWebTuner

#include "ltwrappr.h"

virtual L_INT LDialogWeb::DoModalGIFWebTuner (hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the GIF Web tuner dialog box, and gets tuning options used
 by LBitmapBase::ColorRes , LBitmapBase::Fill ,
 LBitmapBase::Save ,
 LBitmapRgn::SetRgnColorRGBRange .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogWeb::SetGIFWebTunerParams must be called before using this function to sets the initial values for the dialog. You can get the updated GIFWEBTUNERDLGPARAMS with the values entered by the user through the dialog by using LDialogWeb::GetGIFWebTunerParams.

The GIF Web Tuner dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LDialogFile::DoModalSave, LDialogWeb::DoModalGIFWebTuner, LDialogWeb::DoModalJPEGWebTuner, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogWeb::GetGIFWebTunerParams, LDialogWeb::SetGIFWebTunerParams, Class Members
Topics: | Using Imaging Common Dialog

Example 1:

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
LDialogWeb DlgWeb;

GIFWEBTUNERDLGPARAMS DlgParams;
DlgWeb.SetBitmap (pBitmap);
memset ( &DlgParams, 0, sizeof ( GIFWEBTUNERDLGPARAMS ) ) ;
LDialogWeb::Initialize (0);
DlgParams.uStructSize = sizeof ( GIFWEBTUNERDLGPARAMS ) ;
DlgParams.pBitmap = pBitmap->GetHandle();
DlgParams.uDlgFlags = DLG_GIFWEBTUNER_SHOW_EXPORT|
DLG_GIFWEBTUNER_SHOW_INFORMATION |
DLG_GIFWEBTUNER_SHOW_TOOL_COLORPICKER |
DLG_GIFWEBTUNER_SHOW_TRANSPARENCY |
DLG_GIFWEBTUNER_SHOW_OPTIONS |
DLG_GIFWEBTUNER_SHOW_ADDWINDOWCOLOR ;
DlgWeb.SetGIFWebTunerParams(&DlgParams) ;
nRet = DlgWeb.DoModalGIFWebTuner(hWnd);

// Gets the updated values for the structure
DlgWeb.GetGIFWebTunerParams(&DlgParams, sizeof(DlgParams)) ;

LDialogWeb::Free ();

}

Example 2:

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
LDialogWeb DlgWeb;

GIFWEBTUNERDLGPARAMS DlgParams;
DlgWeb.SetBitmap (pBitmap);
memset ( &DlgParams, 0, sizeof (GIFWEBTUNERDLGPARAMS) ) ;
LDialogWeb::Initialize (0);
DlgParams.uStructSize      = sizeof (GIFWEBTUNERDLGPARAMS) ;
DlgParams.uDlgFlags = DLG_GIFWEBTUNER_SHOW_INFORMATION |
DLG_GIFWEBTUNER_SHOW_TOOL_COLORPICKER |
DLG_GIFWEBTUNER_SHOW_TRANSPARENCY |
DLG_GIFWEBTUNER_SHOW_OPTIONS |
DLG_GIFWEBTUNER_SHOW_ADDWINDOWCOLOR ;

DlgWeb.EnablePreview(TRUE);
DlgWeb.EnableToolbar(TRUE);
DlgWeb.EnableCallBack
 (FALSE);
DlgWeb.SetGIFWebTunerParams (&DlgParams) ;
nRet = DlgWeb.DoModalGIFWebTuner(hWnd);
// Gets the updated values for the structure
DlgWeb.GetGIFWebTunerParams(&DlgParams, sizeof(DlgParams)) ;

LDialogWeb::Free ();

if ( SUCCESS_DLG_OK == nRet )
{
ExportBitmap ( TEXT("tuned.gif"), pBitmap, &DlgParams ) ;
}

}

COLORREF AddTolerance ( COLORREF crColor, L_INT nTolerance )
{
L_INT nRed ;
L_INT nGreen ;
L_INT nBlue ;

nRed   = max ( min ( ( L_INT ) GetRValue ( crColor ) + nTolerance, 255 ), 0 ) ;
nGreen = max ( min ( ( L_INT ) GetGValue ( crColor ) + nTolerance, 255 ), 0 ) ;
nBlue  = max ( min ( ( L_INT ) GetBValue ( crColor ) + nTolerance, 255 ), 0 ) ;

return RGB ( nRed, nGreen, nBlue ) ;
}

L_VOID ExportBitmap
(
L_TCHAR L_FAR* szFileName,
LBitmapBase *pLBitmap,
LPGIFWEBTUNERDLGPARAMS pParam
)
{
{// TRANSPERANCY

if ( pParam->bTransparent )
{
COLORREF crTransparentStart ;
COLORREF crTransparentEnd ;

crTransparentStart = AddTolerance ( pParam->crTransparent,
- pParam->nTransparencyTolerance ) ;

crTransparentEnd   = AddTolerance ( pParam->crTransparent,
pParam->nTransparencyTolerance ) ;
// reset
pLBitmap->Region()->Free ();

// set attributes
pLBitmap->EnablePlayBackTransparency (TRUE);
pLBitmap->SetPlayBackTransparentColor (pParam->crTransparent);

// replace colors
if ( pParam->nTransparencyTolerance >= 0 )
{
pLBitmap->Region()->SetRgnCombineMode (L_RGN_SET);
pLBitmap->Region()->SetRgnColorRGBRange (crTransparentStart,
crTransparentEnd) ;

if ( pLBitmap->HasRgn () )
{
pLBitmap->Fill (pParam->crTransparent);
}

pLBitmap->Region()->Free ();
}
}

}// TRANSPERANCY

{// COLOR RESOLUTION

L_UINT32 uFlags ;

if ( ( 24 != pParam->nBitsPerPixel ) || ( 0 != pParam->nPalType ) )
{
uFlags  = ( ( pParam->bAddWindowsColors ) && ( CRF_OPTIMIZEDPALETTE == pParam->nPalType ) ) ? CRF_IDENTITYPALETTE : 0 ;
uFlags |= pParam->nDitherType ;
uFlags |= pParam->nPalType ;

pLBitmap->ColorRes (pParam->nBitsPerPixel,
uFlags,
NULL,
NULL,
pParam->nNumOfColors) ;
}

}// COLOR RESOLUTION

{// SAVE TO DISK

SAVEFILEOPTION SaveOptions ;

memset ( &SaveOptions, 0, sizeof ( SAVEFILEOPTION ) ) ;

if ( pParam->bInterlaced )
{
SaveOptions.Flags = ESO_INTERLACED ;
}

pLBitmap->Save
 (szFileName,
FILE_GIF,
pParam->nBitsPerPixel,
0, 0,
&SaveOptions ) ;

}// SAVE TO DISK
}


LDialogWeb::DoModalHTMLMapper

#include "ltwrappr.h"

virtual L_INT LDialogWeb::DoModalHTMLMapper(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the HTML Map Creator dialog, in order to create an HTML map upon an image. Use this dialog to create an HTML map area using the given bitmap.

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogWeb::SetHTMLMapperParams must be called before using this function to set the initial values for the dialog. You can get the updated HTMLMAPPERDLGPARAMS with the values entered by the user through the dialog by using LDialogWeb::GetHTMLMapperParams.

The HTML Map Creator dialog is shown in the following figure:

This dialog also offers tuning options for the output bitmap through
 the dialogs displayed using LDialogWeb::DoModalJPEGWebTuner,
 LDialogWeb::DoModalGIFWebTuner
 and LDialogWeb::DoModalPNGWebTuner.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LDialogWeb::DoModalJPEGWebTuner, LDialogWeb::DoModalGIFWebTuner , LDialogWeb::DoModalPNGWebTuner, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogWeb::GetHTMLMapperParams, LDialogWeb::SetHTMLMapperParams, Class Members
Topics: | Using Imaging Common Dialog

Example 1:

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
LDialogWeb DlgWeb;

HTMLMAPPERDLGPARAMS DlgParams;
DlgWeb.SetBitmap (pBitmap);
memset ( &DlgParams, 0, sizeof (HTMLMAPPERDLGPARAMS) ) ;
LDialogWeb::Initialize (0);
DlgParams.uStructSize = sizeof (HTMLMAPPERDLGPARAMS ) ;

DlgWeb.SetHTMLMapperParams(&DlgParams) ;
nRet = DlgWeb.DoModalHTMLMapper (hWnd);
// Gets the updated values for the structure
DlgWeb.GetHTMLMapperParams (&DlgParams, sizeof(DlgParams)) ;

LDialogWeb::Free ();

}

Example 2:

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
LDialogWeb DlgWeb;

HTMLMAPPERDLGPARAMS DlgParam;
DLGHISTORYLIST HistoryList ;

// init history buffer
HistoryList.uStructSize = sizeof ( DLGHISTORYLIST ) ;
HistoryList.nEntryCount = 5 ;
HistoryList.nValidEntryCount = 0 ;
HistoryList.nEntryLength = 15 ;

AllocHistoryEntries ( &HistoryList ) ;

// init dialog params
memset ( &DlgParam , 0, sizeof ( HTMLMAPPERDLGPARAMS ) ) ;

DlgParam.uStructSize = sizeof ( HTMLMAPPERDLGPARAMS ) ;
DlgParam.uDlgFlags = 0 ;
DlgParam.pURLEntries = &HistoryList ;

// show the dialog
LDialogWeb::Initialize (0);

DlgWeb.SetBitmap (pBitmap);
DlgWeb.SetHTMLMapperParams (&DlgParam) ;
nRet = DlgWeb.DoModalHTMLMapper(hWnd);

// Gets the updated values for the structure
DlgWeb.GetHTMLMapperParams (&DlgParam, sizeof(DlgParam)) ;

LDialogWeb::Free ();

// clean up
DeallocHistoryEntries ( &HistoryList ) ;

}

L_VOID AllocHistoryEntries
(
LPDLGHISTORYLIST pHistoryEntries
)
{
if ( NULL != pHistoryEntries )
{
pHistoryEntries->ppszEntry = (L_TCHAR**)malloc ( pHistoryEntries->nEntryCount * sizeof ( L_TCHAR* ) ) ;

if ( NULL != pHistoryEntries->ppszEntry )
{
int nIndex ;

for ( nIndex = 0; nIndex < pHistoryEntries->nEntryCount; nIndex++ )
{
pHistoryEntries->ppszEntry [ nIndex ] = NULL ;
}

for ( nIndex = 0; nIndex < pHistoryEntries->nEntryCount; nIndex++ )
{
pHistoryEntries->ppszEntry [ nIndex ] = (L_TCHAR*) malloc ( pHistoryEntries->nEntryLength * sizeof ( L_TCHAR ) ) ;

if ( NULL != pHistoryEntries->ppszEntry [ nIndex ] )
{
*pHistoryEntries->ppszEntry [ nIndex ] = 0 ;
}
}
}
}
}

L_VOID DeallocHistoryEntries
(
LPDLGHISTORYLIST pHistoryEntries
)
{
// clean up
if ( NULL != pHistoryEntries->ppszEntry )
{
for ( int nIndex = 0; nIndex < pHistoryEntries->nEntryCount; nIndex++ )
{
if ( NULL != pHistoryEntries->ppszEntry [ nIndex ] )
{
free ( pHistoryEntries->ppszEntry [ nIndex ] ) ;
}
}

free ( pHistoryEntries->ppszEntry ) ;
}
}


LDialogWeb::DoModalJPEGWebTuner

#include "ltwrappr.h"

virtual L_INT LDialogWeb::DoModalJPEGWebTuner (hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the JPEG Web Tuner dialog box, and gets the tuning options used by LBitmapBase::Save .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogWeb::SetJPEGWebTunerParams must be called before using this function to set the initial values for the dialog. You can get the updated JPEGWEBTUNERDLGPARAMS with the values entered by the user through the dialog by using LDialogWeb::GetJPEGWebTunerParams.

The JPEG Web Tuner dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LDialogFile::DoModalSave, LDialogWeb::DoModalGIFWebTuner, LDialogWeb::DoModalPNGWebTuner, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogWeb::GetJPEGWebTunerParams, LDialogWeb::SetJPEGWebTunerParams, Class Members
Topics: | Using Imaging Common Dialog

Example 1:

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
LDialogWeb DlgWeb;

JPEGWEBTUNERDLGPARAMS DlgParams;
DlgWeb.SetBitmap (pBitmap);
memset ( &DlgParams, 0, sizeof (JPEGWEBTUNERDLGPARAMS) ) ;
LDialogWeb::Initialize (0);
DlgParams.uStructSize      = sizeof (JPEGWEBTUNERDLGPARAMS) ;
DlgParams.uDlgFlags  = DLG_JPEGWEBTUNER_SHOW_EXPORT |
DLG_JPEGWEBTUNER_SHOW_INFORMATION |
DLG_JPEGWEBTUNER_SHOW_SAVETHUMBNAIL |
DLG_JPEGWEBTUNER_SHOW_OPTIONS |
DLG_JPEGWEBTUNER_SHOW_SAVETHUMBNAIL ;

DlgWeb.EnablePreview (TRUE);
DlgWeb.EnableToolbar (TRUE);
DlgWeb.EnableCallBack
 (FALSE);
DlgWeb.SetJPEGWebTunerParams(&DlgParams) ;
nRet = DlgWeb.DoModalJPEGWebTuner(hWnd);
// Gets the updated values for the structure
DlgWeb.GetJPEGWebTunerParams (&DlgParams, sizeof(DlgParams)) ;

LDialogWeb::Free ();
}

Example 2:

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
LDialogWeb DlgWeb;

JPEGWEBTUNERDLGPARAMS DlgParams;
DlgWeb.SetBitmap (pBitmap);
memset ( &DlgParams, 0, sizeof (JPEGWEBTUNERDLGPARAMS) ) ;
LDialogWeb::Initialize (0);
DlgParams.uStructSize      = sizeof (JPEGWEBTUNERDLGPARAMS) ;
DlgParams.uDlgFlags  = DLG_JPEGWEBTUNER_SHOW_INFORMATION |
DLG_JPEGWEBTUNER_SHOW_SAVETHUMBNAIL |
DLG_JPEGWEBTUNER_SHOW_OPTIONS ;

DlgWeb.SetJPEGWebTunerParams (&DlgParams) ;
nRet = DlgWeb.DoModalJPEGWebTuner(hWnd);
// Gets the updated values for the structure
DlgWeb.GetJPEGWebTunerParams (&DlgParams, sizeof(DlgParams)) ;

LDialogWeb::Free ();

if ( SUCCESS_DLG_OK == nRet )
{
ExportBitmap ( TEXT("tuned.jpg"), pBitmap, &DlgParams ) ;
}

}

L_VOID ExportBitmap
(
L_TCHAR L_FAR * szFileName,
LBitmapBase *pLBitmap,
LPJPEGWEBTUNERDLGPARAMS pParam
)
{
{// SAVE TO DISK

SAVEFILEOPTION SaveOption ;

memset ( &SaveOption, 0, sizeof ( SAVEFILEOPTION ) ) ;

if ( pParam->bProgressive )
{
SaveOption.Passes = -1 ;
}

if ( pParam->bWithStamp )
{
SaveOption.Flags       |=  ESO_JPEGSTAMP | ESO_SAVEWITHSTAMP ;
SaveOption.StampWidth  = 32 ;
SaveOption.StampHeight = 32 ;
SaveOption.StampBits   = 24 ;
}

pLBitmap->Save
 ( szFileName,
pParam->nFormat,
24,
pParam->nQuality,
0,
&SaveOption ) ;

}// SAVE TO DISK
}


LDialogWeb::DoModalPNGWebTuner

#include "ltwrappr.h"

virtual L_INT LDialogWeb::DoModalPNGWebTuner(hWndOwner)

HWND hWndOwner;

/* handle of the window which owns the dialog*/

Displays the PNG Web Tuner dialog box, and gets the tuning options used
 by LBitmapBase::ColorRes , LBitmapBase::Fill ,
 LBitmapBase::Save ,
 LBitmapRgn::SetRgnColorRGBRange .

Parameter | Description
hWndOwner | Handle of the window which owns the dialog.

Returns

SUCCESS_DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CLOSE | The "Close" button was pressed, and the dialog exited successfully.
SUCCESS_DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
< 1 | An error occurred. Refer to Return Codes.

Comments

LDialogWeb::SetPNGWebTunerParams must be called before using this function to set the initial values for the dialog. You can get the updated PNGWEBTUNERDLGPARAMS with the values entered by the user through the dialog by using LDialogWeb::GetPNGWebTunerParams.

The PNG Web Tuner dialog is shown in the following figure:

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogBase::Initialize, LDialogFile::DoModalSave, LDialogWeb::DoModalGIFWebTuner, LDialogWeb::DoModalJPEGWebTuner, LBase::EnableCallBack , LDialogBase::EnablePreview, LDialogBase::EnableAutoProcess, LDialogBase::EnableToolbar, LDialogBase::Free, LDialogWeb::GetPNGWebTunerParams, LDialogWeb::SetPNGWebTunerParams, Class Members
Topics: | Using Imaging Common Dialog

Example

void TestFunction(LBitmap * pBitmap, HWND hWnd)
{
LDialogWeb DlgWeb;

PNGWEBTUNERDLGPARAMS  DlgParams;
DlgWeb.SetBitmap(pBitmap);
memset ( &DlgParams, 0, sizeof ( PNGWEBTUNERDLGPARAMS ) ) ;
LDialogWeb::Initialize (0);
DlgParams.uStructSize      = sizeof ( PNGWEBTUNERDLGPARAMS ) ;
DlgParams.uDlgFlags  = DLG_PNGWEBTUNER_SHOW_EXPORT|
DLG_PNGWEBTUNER_SHOW_INFORMATION |
DLG_PNGWEBTUNER_SHOW_TOOL_COLORPICKER |
DLG_PNGWEBTUNER_SHOW_TRANSPARENCY |
DLG_PNGWEBTUNER_SHOW_ADDWINDOWCOLOR ;

DlgWeb.EnableCallBack
 (FALSE);
DlgWeb.EnablePreview (TRUE);
DlgWeb.EnableAutoProcess(TRUE);
DlgWeb.EnableToolbar (TRUE);
DlgWeb.SetPNGWebTunerParams(&DlgParams) ;
DlgWeb.DoModalPNGWebTuner(hWnd);

// Gets the updated values for the structure
DlgWeb.GetPNGWebTunerParams (&DlgParams, sizeof(DlgParams)) ;
LDialogImageEffect::Free();
}

Example 2:

COLORREF AddTolerance ( COLORREF crColor, L_INT nTolerance )
{
L_INT nRed ;
L_INT nGreen ;
L_INT nBlue ;

nRed   = max ( min ( ( L_INT ) GetRValue ( crColor ) + nTolerance, 255 ), 0 ) ;
nGreen = max ( min ( ( L_INT ) GetGValue ( crColor ) + nTolerance, 255 ), 0 ) ;
nBlue  = max ( min ( ( L_INT ) GetBValue ( crColor ) + nTolerance, 255 ), 0 ) ;

return RGB ( nRed, nGreen, nBlue ) ;
}

L_VOID ExportBitmap ( L_TCHAR L_FAR * szFileName, LBitmapBase *pLBitmap, LPPNGWEBTUNERDLGPARAMS pParam )
{
{// TRANSPERANCY

if ( pParam->bTransparent )
{
COLORREF crTransparentStart ;
COLORREF crTransparentEnd ;
//LBitmapRgn Region(pLBitmap);

crTransparentStart = AddTolerance ( pParam->crTransparent,
- pParam->nTransparencyTolerance ) ;

crTransparentEnd   = AddTolerance ( pParam->crTransparent,
pParam->nTransparencyTolerance ) ;
// reset
pLBitmap->Region()->Free () ;

// set attributes
pLBitmap->EnablePlayBackTransparency (TRUE);
pLBitmap->SetPlayBackTransparentColor (pParam->crTransparent) ;

// replace colors
if ( pParam->nTransparencyTolerance >= 0 )
{
pLBitmap->Region()->SetRgnCombineMode (L_RGN_SET );
pLBitmap->Region()->SetRgnColorRGBRange ( crTransparentStart,
crTransparentEnd) ;

if ( pLBitmap->Region()->BitmapHasRgn ( ) )
{
pLBitmap->Fill ( pParam->crTransparent ) ;
}

pLBitmap->Region()->Free ( ) ;
}
}

}// TRANSPERANCY

{// COLOR RESOLUTION

L_UINT32 uFlags ;

if ( pParam->nBitsPerPixel < 24 )
{
uFlags  = ( ( pParam->bAddWindowsColors ) && ( CRF_OPTIMIZEDPALETTE == pParam->nPalType ) ) ? CRF_IDENTITYPALETTE : 0 ;
uFlags |= pParam->nDitherType ;
uFlags |= pParam->nPalType ;

pLBitmap->ColorRes ( pParam->nBitsPerPixel,
uFlags,
NULL,
NULL,
pParam->nNumOfColors) ;

}

}// COLOR RESOLUTION

{// SAVE TO DISK

pLBitmap->Save
 ( szFileName,
FILE_PNG,
pParam->nBitsPerPixel,
0,
NULL ) ;

}// SAVE TO DISK
}
void ShowDialog(LBitmap * pBitmap, HWND hWnd)
{
L_INT nRet = 0;
LDialogWeb DlgWeb;

PNGWEBTUNERDLGPARAMS DlgParams;
DlgWeb.SetBitmap (pBitmap);
memset ( &DlgParams, 0, sizeof ( PNGWEBTUNERDLGPARAMS ) ) ;
LDialogWeb::Initialize (0);
DlgParams.uStructSize      = sizeof ( PNGWEBTUNERDLGPARAMS ) ;
DlgParams.uDlgFlags  = DLG_PNGWEBTUNER_SHOW_INFORMATION |
DLG_PNGWEBTUNER_SHOW_TOOL_COLORPICKER |
DLG_PNGWEBTUNER_SHOW_TRANSPARENCY |
DLG_PNGWEBTUNER_SHOW_ADDWINDOWCOLOR ;

DlgWeb.EnableCallBack
 (FALSE);
DlgWeb.EnablePreview (TRUE);
DlgWeb.EnableAutoProcess (TRUE);
DlgWeb.EnableToolbar (TRUE);
DlgWeb.SetPNGWebTunerParams (&DlgParams) ;
nRet = DlgWeb.DoModalPNGWebTuner(hWnd);

// Gets the updated values for the structure
DlgWeb.GetPNGWebTunerParams (&DlgParams, sizeof(DlgParams)) ;

LDialogImageEffect::Free ();

if ( SUCCESS_DLG_OK == nRet )
{
ExportBitmap ( TEXT("tuned.png"), DlgWeb.GetBitmap() , &DlgParams ) ;
}

}


LDialogWeb::GetGIFWebTunerParams

#include "ltwrappr.h"

L_INT LDialogWeb::GetGIFWebTunerParams(pGIFWebTunerDlgParm, uStructSize) const;

LPGIFWEBTUNERDLGPARAMS pGIFWebTunerDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of GIFWEBTUNERDLGPARAMS structure */

Gets the GIF Web tuner parameters entered by the user, through the dialog displayed by the LDialogWeb::DoModalGIFWebTuner function.

Parameter | Description
pGIFWebTunerDlgParm | Pointer to a GIFWEBTUNERDLGPARAMS structure to be updated with the GIFWebTuner Params set by the LDialogWeb::DoModalGIFWebTuner function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal GIFWEBTUNERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::DoModalGIFWebTuner, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogWeb::DoModalGIFWebTuner.


LDialogWeb::GetHTMLMapperParams

#include "ltwrappr.h"

L_INT LDialogWeb::GetHTMLMapperParams(pHTMLMapperDlgParm, uStructSize) const;

LPHTMLMAPPERDLGPARAMS pHTMLMapperDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of HTMLMAPPERDLGPARAMS structure */

Gets the HTML Mapper parameters entered by the user, through the dialog displayed by the LDialogWeb::DoModalHTMLMapper function.

Parameter | Description
pHTMLMapperDlgParm | Pointer to a HTMLMAPPERDLGPARAMS structure to be updated with the HTML Mapper parameters entered by the user, through the dialog displayed by the LDialogWeb::DoModalHTMLMapper function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal HTMLMAPPERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::DoModalHTMLMapper, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogWeb::DoModalHTMLMapper.


LDialogWeb::GetJPEGWebTunerParams

#include "ltwrappr.h"

L_INT LDialogWeb::GetJPEGWebTunerParams(pJPEGWebTunerDlgParm, uStructSize) const;

LPJPEGWEBTUNERDLGPARAMS pJPEGWebTunerDlgParm; | /* pointer to a structure */
L_UINT uStructSize; | /* size of JPEGWEBTUNERDLGPARAMS structure */

Gets the JPEG Web tuner parameters entered by the user, through the dialog displayed by the LDialogWeb::DoModalJPEGWebTuner function.

Parameter | Description
pJPEGWebTunerDlgParm | Pointer to a JPEGWEBTUNERDLGPARAMS structure to be updated with the JPEG Web tuner parameters entered by the user, through the dialog displayed by the LDialogWeb::DoModalJPEGWebTuner function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal JPEGWEBTUNERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::DoModalJPEGWebTuner, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogWeb::DoModalJPEGWebTuner.


LDialogWeb::GetPNGWebTunerParams

#include "ltwrappr.h"

L_INT LDialogWeb::GetPNGWebTunerParams(pPNGWebTunerDlgParm, uStructSize) const;

LPPNGWEBTUNERDLGPARAMS pPNGWebTunerDlgParm; | /* pointer to structure */
L_UINT uStructSize; | /* size of PNGWEBTUNERDLGPARAMS structure */

Gets the PNG Web tuner parameters entered by the user, through the dialog displayed by the LDialogWeb::DoModalPNGWebTuner function.

Parameter | Description
pPNGWebTunerDlgParm | Pointer to a PNGWEBTUNERDLGPARAMS structure to be updated with the parameters entered by the user, through the dialog displayed by the LDialogWeb::DoModalPNGWebTuner function.
uStructSize | The structure size for the input structure.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

This will update the passed structure with the class object's current settings for the internal PNGWEBTUNERDLGPARAMS structure.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::DoModalPNGWebTuner, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogWeb::DoModalPNGWebTuner.


LDialogWeb::SetGIFWebTunerParams

#include "ltwrappr.h"

L_INT LDialogWeb::SetGIFWebTunerParams(pGIFWebTunerDlgParm)

LPGIFWEBTUNERDLGPARAMS pGIFWebTunerDlgParm;

/* pointer to a structure */

Sets the GIF Web tuner parameters to be displayed by the LDialogWeb::DoModalGIFWebTuner function when the dialog first appears.

Parameter | Description
pGIFWebTunerDlgParm | Pointer to a GIFWEBTUNERDLGPARAMS structure that contains the GIF Web tuner parameters to be displayed for the LDialogWeb::DoModalGIFWebTuner function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::DoModalGIFWebTuner, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogWeb::DoModalGIFWebTuner.


LDialogWeb::SetHTMLMapperParams

#include "ltwrappr.h"

L_INT LDialogWeb::SetHTMLMapperParams(pHTMLMapperDlgParm)

LPHTMLMAPPERDLGPARAMS pHTMLMapperDlgParm;

/* pointer to a structure */

Sets the HTML Mapper parameters to be displayed by the LDialogWeb::DoModalHTMLMapper function when the dialog first appears.

Parameter | Description
pHTMLMapperDlgParm | Pointer to a HTMLMAPPERDLGPARAMS structure that contains the HTML Mapper parameters to be displayed by the LDialogWeb::DoModalHTMLMapper function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::DoModalHTMLMapper, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogWeb::DoModalHTMLMapper.


LDialogWeb::SetJPEGWebTunerParams

#include "ltwrappr.h"

L_INT LDialogWeb::SetJPEGWebTunerParams(pJPEGWebTunerDlgParm)

LPJPEGWEBTUNERDLGPARAMS pJPEGWebTunerDlgParm;

/* pointer to a structure */

Sets the JPEG Web tuner parameters to be displayed by the LDialogWeb::DoModalJPEGWebTuner function when the dialog first appears.

Parameter | Description
pJPEGWebTunerDlgParm | Pointer to a JPEGWEBTUNERDLGPARAMS structure that contains the JPEG Web tuner parameters to be displayed by the LDialogWeb::DoModalJPEGWebTuner function when the dialog first appears.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::DoModalJPEGWebTuner, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogWeb::DoModalJPEGWebTuner.


LDialogWeb::SetPNGWebTunerParams

#include "ltwrappr.h"

L_INT LDialogWeb::SetPNGWebTunerParams(pPNGWebTunerDlgParm)

LPPNGWEBTUNERDLGPARAMS pPNGWebTunerDlgParm;

/* pointer to a structure */

Sets the PNG Web tuner parameters to be displayed by the LDialogWeb::DoModalPNGWebTuner function when the dialog first appears.

Parameter | Description
pPNGWebTunerDlgParm | Pointer to a PNGWEBTUNERDLGPARAMS structure that contains the PNG Web tuner parameters to be displayed for the LDialogWeb::DoModalPNGWebTuner function.

Returns

SUCCESS | The function was successful.
< 1 | An error occurred. Refer to Return Codes.

Comments

The parameters of the structure should be set before displaying the dialog.

Required DLLs and Libraries

LTDLGWEB
LTDLGKRN
LTDLGUTL
LTDLGCTRL
LTDLGCOM
LTFIL
LTDIS
LTIMG

For a listing of the exact DLLs and Libraries needed, based on the toolkit version, refer to Files To Be Included With Your Application

See Also

Functions: | LDialogWeb::DoModalPNGWebTuner, Class Members
Topics: | Using Imaging Common Dialog

Example

For an example, refer to LDialogWeb::DoModalPNGWebTuner.


Raster Pro/Document/Medical Features

Raster Pro:

LEADTOOLS Raster Imaging Pro provides some imaging capabilities that are not available in the LEADTOOLS Raster Imaging product. In order to access these features, you must unlock them by calling LSettings::UnlockSupport (L_SUPPORT_LTPRO, L_KEY_LTPRO). L_KEY_LTPRO can be found in ltkey.h.

If you are a licensed user of LEADTOOLS Raster Imaging, and would like to access Raster Imaging Pro features, you must contact Tech Support for information on obtaining a license and the unlock key for calling LSettings::UnlockSupport.

Document/Medical:

LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite are the most comprehensive imaging toolkits on the market. No other toolkit provides as many imaging features for color, gray-scale and black & white images in one development package, and for one price. These toolkits comprise LEAD's best code and are designed for the programmer who is looking for the fastest performance, and/or the most extensive color, document, and medical imaging capabilities available.

These toolkits contain powerful annotation capabilities and optimized document image processing filters, and high performance compression, decompression and viewing of JPEG, LEAD CMP, MRC and CCITT G3/G4. The annotation capabilities enable the programmer to add text, highlights, sticky notes, audio, ellipses, buttons, lines, arrows, rectangles, polygons, redaction (blackout), hotspots, freehand scribble, pointers, bitmap and text stamps, to black & white and color images. Programmers working with document imaging will also find special processing filters such as despeckle, deskew, favor black, and scale to gray to enhance their black and white 1 bit images. Additionally, you can achieve faster rotation in 90-degree increments by applying a rotated view perspective to the bitmap. These LEADTOOLS toolkits offer the fastest software-only JPEG decoder available.

LEADTOOLS Document Imaging

The LEADTOOLS Document Imaging toolkit contains all the features available in the LEADTOOLS Raster Imaging Pro. In addition, it contains the following capabilities:

Special functions for Document (bitonal) images. The LEADTOOLS functions for bitonal images are especially useful for working with images from black-and-white scanners or FAX machines. These functions let you do things such as automatically straighten (deskew) an image, remove spots (despeckle), or clarify a scaled display (using scale-to-gray and favor-black features).

Annotation. LEADTOOLS supports annotation of images by letting you overlay images with text, lines, shapes, arrows, buttons, highlights, hot spots, sticky notes, stamps, buttons, and sounds.

Fast rotation. LEADTOOLS achieves fast rotation in 90-degree increments by applying a rotated view perspective to the bitmap.

ISIS support. LEADTOOLS supports ISIS interfaces for driving scanning devices.

Faster compression and decompression. The Document/Medical editions work faster when loading and saving LEAD CMP, JPEG, and CCITT Group 3 and Group 4 images. The LEADTOOLS functions for loading and saving are the same in all products. The only difference is in performance.

1-bit Image Clean-up. The Document toolkits include support for removing dots, blobs, holes, inverted text, lines, borders, bumps and nicks from 1-bit images.

Region Clean-up. [Document/Medical] Remove all the holes from a region.

Embedded Messages. The Document toolkits include support for embedding messages in lossless image formats like bmp, tiff, lossless jpeg, etc. The message is embedded without any visible changes to the image, and does not appreciably increase the size of the image. The message is password-protected.

Image Conversion. The Document toolkits include support for transforming a bitmap into a binary image using specified thresholds or a threshold calculated automatically based on statistical features of the bitmap.

12 and 16 bit grayscale images. [Document/Medical] Load, process, display, window level and save 12 and 16 bit grayscale images (including support for 16-bit grayscale TIFF).

48 and 64 bit color images. [Document/Medical] Load, process, display, and save 48 and 64 bit color images.

MRC Support. [Document/Medical] LEADTOOLS supports the Mixed Raster Content format for color documents containing mixed image and text components. For more information, refer to the

Halftoning. [Document/Medical] Convert 1-, 4-, 8-, 16-, 24-, or 32-bit bitmaps to a halftoned bitmap, with a specified pattern rotation. A halftoned bitmap is a 1-bit bitmap that has been dithered for black and white printing or display.

LEADTOOLS Document Imaging Suite

The LEADTOOLS Document Imaging Suite toolkit contains all the capabilities of LEADTOOLS Document Imaging, and includes the features listed below. Please note that the OCR features are included in this toolkit, however they can also be purchased as a plug-in for the LEADTOOLS Document Imaging toolkit. Also, JBIG support is provided in this toolkit, however a JBIG Module may be added on to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite.

OCR features. [Document/Medical] LEAD offers OCR features that use Scansoft Textbridge technology. Support for these features is included in the LEADTOOLS Document Imaging Suite, and can be added, via plug-in to the LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite toolkits. The OCR features allow you to perform optical character recognition and turn images into documents. Features include preset confidence and accuracy levels for controlling how sensitive the engine is to unrecognized text, artificial intelligence for improving recognition on documents of the same type, and built-in and user-defined lexicons for limiting the type of text to recognize within a particular zone. LEADTOOLS provides the ability to verify or correct text during, and (using LEAD's unique OCR editor) after recognition. LEAD's OCR editor ties the text being edited directly to the image, providing a visual reference to the original bitmap data. The OCR engine can perform Automatic area segmentation creating multi-layered zones, recognizing areas such as tables, rules, images and text. Or, you can manually designate up to 250 such zones. The OCR features support different fonts, sizes (5 to 72 point) and styles. Fax, dot matrix and halftones can be preprocessed to improve recognition results. The OCR Engine supports major European and Scandinavian languages (Danish, Dutch, Finnish, French, German, Italian, Norwegian, Portuguese, Russian, Spanish, and Swedish) as well as English. Support for dialects such as US. English, French Canadian, Latin American Spanish, Swiss German, and Brazilian Portuguese is also provided.

Recognized text can be exported to more than 40 different formats, including MS Word, MS Excel, Dbase andWordPerfect. The LEADTOOLS OCR features contain superior OCR processing speeds, for use in form recognition and processing applications.

LEAD's JBIG filter. [Document/Medical] LEAD includes support for this filter in the LEADTOOLS Document Imaging Suite toolkit. Support for this filter can be added to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite by purchasing the JBIG Module. JBIG defines a method for lossless compression encoding of a bi-level image (two-color image). This method can also be used for coding grayscale and color images. LEADTOOLS completely supports all three types of images, giving you the ability to make full use of this powerful compression technology. LEADTOOLS also supports the progressive capability of JBIG, allowing you to store and send multiple representations of images at different resolutions without any extra storage overhead.

LEADTOOLS Medical Imaging

LEADTOOLS Medical Imaging contains all the capabilities of LEADTOOLS Document Imaging. It also includes general medical imaging technologies (1-16,24,32 bit color, 1-16 bit grayscale and window leveling of 12 and 16-bit grayscale images) and support for the DICOM file format.

DICOM file support. [Medical] LEADTOOLS Medical Imaging provides COMPLETE support for the DICOM 3.0 specification, including all standard IOD classes and modalities (CR, CT, MR, NM, US, RF, SC, VL, etc.) and complete DICOM Basic Directory support.

Window leveling. [Document/Medical] Detect and set LowBit and HighBit for image data, display images with automatic LUT intensity expansion, or set LUT entries and ranges with specific values and gradients. Display images through the LUT without changing the data, or process the image data using the LUT. Linearize the number of pixels locally in a bitmap, based on the specified color space in order to bring out the detail in dark areas of an image, and smooth the edges between blocks.

Medical Imaging Processing. [Medical] LEADTOOLS Medical Imaging provides image processing functionality designed specifically to allow you to examine and improve the quality of medical images.

LEADTOOLS Medical Imaging Suite

LEADTOOLS Medical Imaging Suite contains all the capabilities of LEADTOOLS Medical Imaging. In addition, it supports the following:

DICOM Communication support. [Medical Suite] LEADTOOLS provides COMPLETE support for DICOM Communications, including all Service Classes (Verification, Storage, Query/Retrieve, Patient Management, etc), and contains high-level communications functions simplifying the creation of DICOM client/server applications.

(Document/Medical) is used in the documentation to designate the features that are available in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. Those features that are available only in the Medical toolkits are indicated in the documentation by (Medical). Features available only in the LEADTOOLS Medical Imaging Suite toolkit are indicated in the documentation by (Medical Suite).

(Internet only) is used in the documentation to designate the features that are available only in the LEADTOOLS Internet toolkit.

For more information, refer to Document/Medical Edition Support and Licensing Requirements .


Document/Medical Support and Licensing Requirements

Document/Medical Licensing and Royalty Agreements:

Congratulations! You have licensed one of the LEADTOOLS Document/Medical software products, the most comprehensive imaging toolkits on the market, enabling you to create powerful imaging applications. The license terms for LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite require runtime licensing based on the number of copies of your application that you deploy (i.e., distribute or install and use internally).

By paying the initial box price for the applicable LEADTOOLS product, you have obtained a development license, which entitles you to develop your application and test it. Once completed, if you wish to distribute the application or deploy it internally on multiple machines, you are required to enter into a duplication and distribution agreement with LEAD. You have the ability to choose from several licensing options depending on your volume needs.

The product you are installing is a fully functional working version and includes support for all features in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. (Depending on which product you have licensed, some of the features may ultimately not be available to you. See the on-line help file for a product feature comparison.) Until you sign and return the correct licensing agreement, your application will display a "nag" message. Once LEAD receives the executed contract, we will provide you a password that will permit you to terminate the "nag" message for the product that you have licensed. In addition to providing the password, you must also use the no nag version of the LTKRN14n.dll, found in the REDIST\NONAGLTKRN directory. This is also the version you must redistribute.

Duplication and Distribution Agreements

Click this button to start the Licensing help file to review the License Agreements governing your use of the software.


LEADTOOLS Documentation

LEADTOOLS Reference Manuals

LEADTOOLS provides reference manuals that contain the same information as the online help. You can print them from PDF files. Please note that due to the large size of the PDF files that contain the LEADTOOLS manuals, these files are no longer included in the setup. Instead, these PDF files can be downloaded from our website at http://support.leadtools.com/SupportPortal/DesktopDefault.aspx?tabindex=3&tabid=27.

To print the PDF files, you must use the Adobe Acrobat Reader 3.0 or higher. You can download a copy of the Acrobat Reader from the Adobe web site (http://www.adobe.com). Note that different versions of the Acrobat Reader are available for different operating systems, but they all can read the same PDF files.


CMY - 3D Subtractive Model

In the CMY model:

C stands for Cyan.

M stands for Magenta.

Y stands for Yellow.

This color model is used in the three-color printing process. The CMY model is the inverse of the RGB model, with values ranging from 0 to 255.

See Also

Functions: | LDialogColor::DoModalColor, LDialogColor::DoModalCustomizePalette
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMYK -3D Subtractive Model


CMYK - 3D Subtractive Model

In the CMYK model:

C stands for Cyan.

M stands for Magenta.

Y stands for Yellow.

K stands for Black.

Printing processes typically use Cyan, Magenta, Yellow, and Black ink on white paper to reproduce colors. Unlike RGB color, which is "additive" because light is added by the amount of color in each of the components, CMYK is "subtractive" because light is subtracted from the bright white background whenever color is applied. This means that higher values for component colors create darker overall colors.

In theory, 100% of each of Cyan, Magenta, and Yellow should produce black, but in reality a pure black is not usually obtained. This is compensated for by introducing the K (black) component.

CMYK, like RGB, is a device dependent color model.

See Also

Functions: | LDialogColor::DoModalColor, LDialogColor::DoModalCustomizePalette.
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model


Curve Control Dialog

Use the Curve Control to create a data table in which its values are represented by the curve in the grid. You can change the data values by changing the curve. This control contains two major parts, the Grid and the Angle circle.

This Curve Control is available in several dialogs.

The following are the fields in the Curve Control:

Grid

The Grid is a set of intersecting horizontal and vertical lines. Drawn on top of these lines is a Logarithmic curve, an Exponential curve, a Simple curve or a Linear curve. The Exponential and Logarithmic curves are influenced by a Factor value, which you can set. A Simple curve or a Linear curve is drawn through Control points. Control points are small colored circles you can move by the mouse in order to change the curve. For a Simple curve or a Linear curve, the grid will contain at least two control points, one on each of the two thick lines at the edges of the grid. These are the Edge Control Points, which are two small squares that move only up and down.

You can add a control point to a Simple or Linear curve by left clicking within the grid area, but not on the same vertical line as another control point, as long as the mouse curser is [image]. You can delete any control point, except the edge points, by right clicking on the control point.

To move a control point, place the cursor over the control point, then click and drag to the new position. When you place the cursor over a control point, the mouse cursor will change to [image].

Angle circle

The Angle Circle is drawn round the Grid and contains the Rotate Handle, a small circle drawn in the angle circle. When you move the mouse over the Rotate Handle the cursor changes to [image]. If you move this handle, the grid will rotate around the Curve control center, changing the angle of the curve.

Curve Mode Drop-down list box:

Use this to set the type of curve you want to draw. Available values are:

Curve. Draw a curved line using the control points available on the grid.

Linear. Draw line(s) using the control points available on the grid.

Exponential. Draw an Exponential line using the Factor value.

Logarithmic. Draw a Logarithmic line using the Factor value.

Factor Edit box:

Use the Factor edit box to set the factor for an Exponential or a Logarithmic curve. Enter the value directly in the edit box or use the arrows to set the desired value.

See Also

Functions:

LDialogColor::DoModalRemapIntensity, LDialogColor::DoModalRemapHue, LDialogImageEffect::DoModalFreeHandWave, LDialogImageEffect::DoModalWaveShear


Customizing File Format Lists

LEADTOOLS lets you customize the file format lists included in the Save dialog, displayed using LDialogFile::DoModalSave, and the File Conversion dialog, displayed using LDialogFile::DoModalFileConversion. Customizing lets you include only those file formats, BPP options and sub-format options that you want, instead of all files formats, BPP options and sub-format options supported by LEADTOOLS.

The following list displays all of the LEADTOOLS supported save formats, along with each format's BPP and sub-format values, as they need to be designated when using the FILESAVEFORMAT structure. Use this list when customizing the Save and File Conversion dialogs.

LEAD (*.cmp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_LEAD | 1 | No sub-formats
 | 8, 24 | DLG_FF_SAVE_SUB_CMP_NONPROGRESSIVE DLG_FF_SAVE_SUB_CMP_PROGRESSIVE

JPEG (*.jpg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_JPEG | 8 | DLG_FF_SAVE_SUB_JPEG8_YUV_400 DLG_FF_SAVE_SUB_JPEG8_PROG_400 DLG_FF_SAVE_SUB_JPEG8_LOSSLESS
 | 12 | DLG_FF_SAVE_SUB_JPEG12_YUV_400 DLG_FF_SAVE_SUB_JPEG12_LOSSLESS
 | 16 | No sub-formats
 | 24 | DLG_FF_SAVE_SUB_JPEG24_YUV_444 DLG_FF_SAVE_SUB_JPEG24_YUV_422 DLG_FF_SAVE_SUB_JPEG24_YUV_411 DLG_FF_SAVE_SUB_JPEG24_PROG_444 DLG_FF_SAVE_SUB_JPEG24_PROG_422 DLG_FF_SAVE_SUB_JPEG24_PROG_411 DLG_FF_SAVE_SUB_JPEG24_LOSSLESS DLG_FF_SAVE_SUB_JPEG24_LAB_444 DLG_FF_SAVE_SUB_JPEG24_LAB_422 DLG_FF_SAVE_SUB_JPEG24_LAB_411

LEAD Wavelet(*.cmw)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CMW | 8, 12, 16, 24 | No sub-formats

JPEG 2000(*.j2k; *.jp2)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_J2K | 8, 12, 16, 24 | DLG_FF_SAVE_SUB_J2K_STREAM DLG_FF_SAVE_SUB_J2K_JP2

TIF (*.tif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_TIFF | 1 | DLG_FF_SAVE_SUB_TIFF1_CCITT DLG_FF_SAVE_SUB_TIFF1_CCITT_G3_1D DLG_FF_SAVE_SUB_TIFF1_CCITT_G3_2D DLG_FF_SAVE_SUB_TIFF1_CCITT_G4 DLG_FF_SAVE_SUB_TIFF1_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF1_RLERGB DLG_FF_SAVE_SUB_TIFF1_LZWRGB DLG_FF_SAVE_SUB_TIFF1_JBIG DLG_FF_SAVE_SUB_TIFF1_JBIG2 DLG_FF_SAVE_SUB_TIFF1_ABIC DLG_FF_SAVE_SUB_TIFF1_LMC
 | 4 | DLG_FF_SAVE_SUB_TIFF4_UNCOMPRESSED DLG_FF_SAVE_SUB_TIFF4_RLE DLG_FF_SAVE_SUB_TIFF4_LZW DLG_FF_SAVE_SUB_TIFF4_JBIG DLG_FF_SAVE_SUB_TIFF4_ABIC
 | 2, 3, 5, 6, 7 | DLG_FF_SAVE_SUB_TIFFOTHER_UNCOMPRESSED DLG_FF_SAVE_SUB_TIFFOTHER_RLE DLG_FF_SAVE_SUB_TIFFOTHER_LZW DLG_FF_SAVE_SUB_TIFFOTHER_JBIG
 | 8 | DLG_FF_SAVE_SUB_TIFF8_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF8_RLERGB DLG_FF_SAVE_SUB_TIFF8_JPEG_GRAY_YCC DLG_FF_SAVE_SUB_TIFF8_LOSSLESSJPEG DLG_FF_SAVE_SUB_TIFF8_LZWRGB DLG_FF_SAVE_SUB_TIFF8_JBIG DLG_FF_SAVE_SUB_TIFF8_CMP DLG_FF_SAVE_SUB_TIFF8_J2K DLG_FF_SAVE_SUB_TIFF8_CMW
 | 12 | DLG_FF_SAVE_SUB_TIFF12_UNCOMPRESSED DLG_FF_SAVE_SUB_TIFF12_RLE DLG_FF_SAVE_SUB_TIFF12_LOSSLESSJPEG DLG_FF_SAVE_SUB_TIFF12_JPEG_GRAY_YCC DLG_FF_SAVE_SUB_TIFF12_LZW DLG_FF_SAVE_SUB_TIFF12_J2K DLG_FF_SAVE_SUB_TIFF12_CMW
 | 16 | DLG_FF_SAVE_SUB_TIFF16_UNCOMPRESSED DLG_FF_SAVE_SUB_TIFF16_RLE DLG_FF_SAVE_SUB_TIFF16_LOSSLESSJPEG DLG_FF_SAVE_SUB_TIFF16_LZW DLG_FF_SAVE_SUB_TIFF16_J2K DLG_FF_SAVE_SUB_TIFF16_CMW
 | 24 | DLG_FF_SAVE_SUB_TIFF24_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF24_UNCOMPRESSEDCMYK DLG_FF_SAVE_SUB_TIFF24_UNCOMPRESSEDYCC DLG_FF_SAVE_SUB_TIFF24_RLERGB DLG_FF_SAVE_SUB_TIFF24_RLECMYK DLG_FF_SAVE_SUB_TIFF24_RLEYCC DLG_FF_SAVE_SUB_TIFF24_JPEG_YCC_444 DLG_FF_SAVE_SUB_TIFF24_JPEG_YCC_422 DLG_FF_SAVE_SUB_TIFF24_JPEG_YCC_411 DLG_FF_SAVE_SUB_TIFF24_LOSSLESSJPEG DLG_FF_SAVE_SUB_TIFF24_LZWRGB DLG_FF_SAVE_SUB_TIFF24_LZWCMYK DLG_FF_SAVE_SUB_TIFF24_LZWYCC DLG_FF_SAVE_SUB_TIFF24_CMP_NONPROGRESSIVE DLG_FF_SAVE_SUB_TIFF24_CMP_PROGRESSIVE DLG_FF_SAVE_SUB_TIFF24_J2K DLG_FF_SAVE_SUB_TIFF24_CMW DLG_FF_SAVE_SUB_TIFF24_LEAD_MRC DLG_FF_SAVE_SUB_TIFF24_MRC
 | 32 | DLG_FF_SAVE_SUB_TIFF32_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF32_UNCOMPRESSEDCMYK DLG_FF_SAVE_SUB_TIFF32_RLERGB DLG_FF_SAVE_SUB_TIFF32_RLECMYK DLG_FF_SAVE_SUB_TIFF32_LZWRGB DLG_FF_SAVE_SUB_TIFF32_LZWCMYK
 | 48 | DLG_FF_SAVE_SUB_TIFF48_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF48_LZWRGB
 | 64 | DLG_FF_SAVE_SUB_TIFF64_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_TIFF64_LZWRGB

GIF (*.gif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_GIF | 1, 2, 3, 4, 5, 6, 7, 8 | DLG_FF_SAVE_SUB_GIF_INTERLACED89A DLG_FF_SAVE_SUB_GIF_NONINTERLACED89A

CServe PNG (*.png)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PNG | 1, 4, 8, 24, 32 | No sub-formats

Animated Cursor (*.ani)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_ANI | 1, 4, 8, 24 | No sub-formats

CALS (*.cal)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CALS | 1 | DLG_FF_SAVE_SUB_CALS DLG_FF_SAVE_SUB_CALS2 DLG_FF_SAVE_SUB_CALS3 DLG_FF_SAVE_SUB_CALS4

Cineon (*.cin)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CIN | 24 | No sub-formats

CLP (*.clp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CLP | 1, 4, 24 | No sub-formats
 | 8 | DLG_FF_SAVE_SUB_CLP_UNCOMPRESSED DLG_FF_SAVE_SUB_CLP_RLE

Compressed Windows Metafile (*.wmz)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WMZ | 24 | No sub-formats

DICOM DIC Gray (*.dic)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_DICOMGRAY | 8 | DLG_FF_SAVE_SUB_DICOM8_GRAY DLG_FF_SAVE_SUB_DICOM8_COLOR DLG_FF_SAVE_SUB_DICOM8_RLE_GRAY DLG_FF_SAVE_SUB_DICOM8_RLE_COLOR DLG_FF_SAVE_SUB_DICOM8_JPEG_GRAY DLG_FF_SAVE_SUB_DICOM8_J2K_GRAY_LOSSLESS DLG_FF_SAVE_SUB_DICOM8_J2K_GRAY
 | 16 | DLG_FF_SAVE_SUB_DICOM16_GRAY DLG_FF_SAVE_SUB_DICOM16_RLE_GRAY DLG_FF_SAVE_SUB_DICOM16_LOSSLESSJPEG_GRAY DLG_FF_SAVE_SUB_DICOM16_J2K_GRAY_LOSSLESS DLG_FF_SAVE_SUB_DICOM16_J2K_GRAY

DICOM DIC Color (*.dic)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_DICOMCOLOR | 24 | DLG_FF_SAVE_SUB_DICOM24_COLOR DLG_FF_SAVE_SUB_DICOM24_RLE_COLOR DLG_FF_SAVE_SUB_DICOM24_LOSSLESSJPEG_COLOR DLG_FF_SAVE_SUB_DICOM24_JPEG_COLOR DLG_FF_SAVE_SUB_DICOM24_J2K_GRAY_LOSSLESS DLG_FF_SAVE_SUB_DICOM24_J2K_GRAY

Dr Halo (*.cut)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CUT | 8 | No sub-formats

ECW (*.ecw)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_ECW | 24 | No sub-formats

EMF (*.emf)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_EMF | 8, 24 | No sub-formats

EPS (*.eps)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_EPS | 8 | No sub-formats

EXIF (*.tif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_EXIF | 24 | DLG_FF_SAVE_SUB_EXIF_UNCOMPRESSEDRGB DLG_FF_SAVE_SUB_EXIF_UNCOMPRESSEDYCC DLG_FF_SAVE_SUB_EXIF_JPEG_411 DLG_FF_SAVE_SUB_EXIF_JPEG_422

FAX (Raw) (*.fax)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_FAX | 1 | DLG_FF_SAVE_SUB_FAX_G3_1D DLG_FF_SAVE_SUB_FAX_G3_2D DLG_FF_SAVE_SUB_FAX_G4

FIT (*.fit)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_FIT | 8, 16, 32 | No sub-formats

FLC (*.flc)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_FLC | 8 | No sub-formats

FPX (*.fpx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_FPX | 8, 24 | DLG_FF_SAVE_SUB_FPX_UNCOMPRESSED DLG_FF_SAVE_SUB_FPX_SINGLECOLOR DLG_FF_SAVE_SUB_FPX_DEFQFACTOR DLG_FF_SAVE_SUB_FPX_SPECQFACTOR

GEM (*.img)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_IMG | 1 | No sub-formats

GeoTIFF (*.tif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_GEOTIFF | 16 | No sub-formats

IFF (*.iff)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_IFF | 1 – 8, 24 | DLG_FF_SAVE_SUB_IFF_ILBM_UNCOMPRESSED DLG_FF_SAVE_SUB_IFF_ILBM_RLE DLG_FF_SAVE_SUB_IFF_CAT_UNCOMPRESSED DLG_FF_SAVE_SUB_IFF_CAT_RLE

ITG (*.itg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_ITG | 1 | DLG_FF_SAVE_SUB_ITG_RLE DLG_FF_SAVE_SUB_ITG_CCITT_G4

JBIG (*.jbg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_JBIG | 1 - 8 | No sub-formats

JBIG2 (*.jb2)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_JBIG2 | 1 | No sub-formats

LMC (*.lmc)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_LMC | 1 | No sub-formats

MacPaint (*.mac)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_MAC | 1 | No sub-formats

MacPaint (*.mac)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PCT | 1, 4, 8, 16, 24 | No sub-formats

MODCA IOCA (*.ica)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_MODCA | 1 | DLG_FF_SAVE_SUB_ICA_G3_1D DLG_FF_SAVE_SUB_ICA_G3_2D DLG_FF_SAVE_SUB_ICA_G4 DLG_FF_SAVE_SUB_ICA_IBM_MMR DLG_FF_SAVE_SUB_ICA_UNCOMPRESSED DLG_FF_SAVE_SUB_ICA_ABIC
 | 4 | DLG_FF_SAVE_SUB_ICA4_ABIC

MRC (*.mrc)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_MRC | 24 | DLG_FF_SAVE_SUB_LEAD_MRC DLG_FF_SAVE_SUB_MRC

MS FAX (AWD) (*.awd)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_AWD | 1 | No sub-formats

MS Paint (*.msp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_MSP | 1 | No sub-formats

OS/2 BMP (*.bmp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_OS2BMP | 1, 4, 8, 24 | DLG_FF_SAVE_SUB_OS2_VER1 DLG_FF_SAVE_SUB_OS2_VER2

PBM (*.pbm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PBM | 1 | DLG_FF_SAVE_SUB_PBM_ASCII DLG_FF_SAVE_SUB_PBM_BINARY

PCX (*.pcx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PCX | 1, 4, 8, 24 | No sub-formats

PDF (*.pdf)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PDF | 1 | DLG_FF_SAVE_SUB_PDF1_UNCOMPRESSED DLG_FF_SAVE_SUB_PDF1_CCITT_G3_1D DLG_FF_SAVE_SUB_PDF1_CCITT_G3_2D DLG_FF_SAVE_SUB_PDF1_CCITT_G4 DLG_FF_SAVE_SUB_PDF1_RAS_PDF_LZW
 | 2 | DLG_FF_SAVE_SUB_PDF2_RAS_PDF_LZW
 | 4 | DLG_FF_SAVE_SUB_PDF4_RAS_PDF_LZW
 | 8 | DLG_FF_SAVE_SUB_PDF8_UNCOMPRESSED DLG_FF_SAVE_SUB_PDF8_LOSSLESSJPEG DLG_FF_SAVE_SUB_PDF8_RAS_PDF_LZW
 | 24 | DLG_FF_SAVE_SUB_PDF24_UNCOMPRESSED DLG_FF_SAVE_SUB_PDF24_YUV_444 DLG_FF_SAVE_SUB_PDF24_YUV_422 DLG_FF_SAVE_SUB_PDF24_YUV_411 DLG_FF_SAVE_SUB_PDF24_RAS_PDF_LZW DLG_FF_SAVE_SUB_PDF24_PDF_LEAD_MRC

PGM (*.pgm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PGM | 8 | DLG_FF_SAVE_SUB_PGM_ASCII DLG_FF_SAVE_SUB_PGM_BINARY

PPM (*.ppm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PPM | 24 | DLG_FF_SAVE_SUB_PGM_ASCII DLG_FF_SAVE_SUB_PGM_BINARY

PSD (*.psd)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PSD | 1, 8, 24 | No sub-formats

PSP (*.ppm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_PSP | 1, 4, 8, 24 | DLG_FF_SAVE_SUB_PSP_RLE DLG_FF_SAVE_SUB_PSP_UNCOMPRESSED

RAW data (*.raw)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_RAW |  |

Raw IOCA (*.ica)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_RAWICA | 1 | DLG_FF_SAVE_SUB_RAWICA_G3_1D DLG_FF_SAVE_SUB_RAWICA_G3_2D DLG_FF_SAVE_SUB_RAWICA_G4 DLG_FF_SAVE_SUB_RAWICA_IBM_MMR DLG_FF_SAVE_SUB_RAWICA_UNCOMPRESSED

Scitex Continuous Tone SCT (*.sct)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_SCT | 24 | No sub-formats

SGI (*.sgi)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_SGI | 8, 24, 32 | DLG_FF_SAVE_SUB_SGI_UNCOMPRESSED DLG_FF_SAVE_SUB_SGI_RLECOMPRESSED

Structured Fax File (*.sff)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_SFF | 1 | No sub-formats

SUN Ras (*.ras)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_RAS | 1, 4, 8, 24, 32 | DLG_FF_SAVE_SUB_RAS_RLE DLG_FF_SAVE_SUB_RAS_UNCOMPRESSED

TGA (*.tga)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_TGA | 8, 16, 24, 32 | DLG_FF_SAVE_SUB_TGA_RLE DLG_FF_SAVE_SUB_TGA_UNCOMPRESSED

TIFX (*.tifx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_TIFX | 1 | DLG_FF_SAVE_SUB_TIFX_CCITT_G4 DLG_FF_SAVE_SUB_TIFX_CCITT_G3_1D DLG_FF_SAVE_SUB_TIFX_CCITT_G3_2D DLG_FF_SAVE_SUB_TIFX_JBIG
 | 3, 8, 24 | No sub-formats

Winfax (*.wfx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WFX | 1 | DLG_FF_SAVE_SUB_WFX_CCITT_G3_1D DLG_FF_SAVE_SUB_WFX_CCITT_G4

Winfax (*.wfx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_BMP | 1 | No sub-formats
 | 4, 8 | DLG_FF_SAVE_SUB_BMP_UNCOMPRESSED DLG_FF_SAVE_SUB_BMP_RLECOMPRESSED
 | 16, 24, 32 | No sub-formats

Win Cursor (*.cur)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_CUR | 1, 4, 8, 24 | No sub-formats

Win Icon (*.ico)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_ICO | 1, 4, 8, 24 | No sub-formats

Wireless Bitmap (WBMP) (*.wbmp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WBMP | 1 | No sub-formats

WMF (*.wmf)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WMF | 8, 24 | No sub-formats

WPG (*.wpg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_WPG | 1, 4, 8 | No sub-formats

XBM (*.xbm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_XBM | 1 | No sub-formats

Xionics SMP (*.smp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_SMP | 1 | DLG_FF_SAVE_SUB_SMP_CCITT_GROUP3_1D DLG_FF_SAVE_SUB_SMP_CCITT_GROUP3_2D DLG_FF_SAVE_SUB_SMP_CCITT_GROUP4 DLG_FF_SAVE_SUB_SMP_UNCOMPRESSED

XPM (*.xpm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_XPM | 8, 16, 24, 32 | No sub-formats

XWD (*.xwd)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
DLG_FF_SAVE_XWD | 1, 4, 8 | DLG_FF_SAVE_SUB_XWD_VERSION10 DLG_FF_SAVE_SUB_XWD_VERSION11
 | 16, 24, 32 | No sub-formats


Dialog Strings

The following strings can be accessed and modified using LDialogBase::GetString and LDialogBase::SetString.

Generic Control Strings

DLG_IDSTR_AFTER

After

DLG_IDSTR_BEFORE

Before

DLG_IDSTR_CANCEL

Cancel

DLG_IDSTR_HELP

&Help

DLG_IDSTR_OK

OK

Tool tip strings

DLG_IDSTR_PREVIEWNOTAVAILABLE

Preview not available

DLG_IDSTR_TOOLTIP_AUTOPREVIEW

Auto Preview

DLG_IDSTR_TOOLTIP_EYEDROPPER

Eye Dropper

DLG_IDSTR_TOOLTIP_PREVIEW

Preview

DLG_IDSTR_TOOLTIP_RESET

Reset Preview

DLG_IDSTR_TOOLTIP_ZOOMNORMAL

Zoom to Normal

DLG_IDSTR_TOOLTIP_ZOOMTOFIT

Zoom to Fit Window

Status Bar Strings

DLG_IDSTR_STATUS_APPLYINGEFFECT

Applying Effect

DLG_IDSTR_STATUS_IDLE

Idle

DLG_IDSTR_STATUS_PREPARINGDATA

Preparing Data

Common Menu Strings

DLG_IDSTR_CMYKSUBTRACTIVE

CMYK-3D Subtractive

DLG_IDSTR_CMYSUBTRACTIVE

CMY-3D Subtractive

DLG_IDSTR_HSBBRIGHTNESS

HSB-Brightness Based

DLG_IDSTR_HSBHUE

HSB-Hue Based

DLG_IDSTR_HSBWHEEL

HSB-Wheel Based

DLG_IDSTR_LABDEVICEINDEPENDENT

LAB- Device Independent

DLG_IDSTR_RGBADDITIVE

RGB-3D Additive

AutoTrim Dialog Strings

DLG_AUTOTRIM_IDSTR_CAPTION

Auto Trim

DLG_AUTOTRIM_IDSTR_THRESHOLD

&Threshold

Color Picker Dialog Strings

DLG_COLOR_IDSTR_CAPTION

Color Picker

DLG_COLOR_IDSTR_CMY

CMY

DLG_COLOR_IDSTR_CMYK

CMYK

DLG_COLOR_IDSTR_HLS

HLS

DLG_COLOR_IDSTR_HSB

HSB

DLG_COLOR_IDSTR_LAB

Lab

DLG_COLOR_IDSTR_NAME

&Name

DLG_COLOR_IDSTR_RGB

RGB

Canvas Resize Dialog Strings

DLG_CANVASRESIZE_IDSTR_BKGCOLOR

&Background Color:

DLG_CANVASRESIZE_IDSTR_BOTTOM

Bottom

DLG_CANVASRESIZE_IDSTR_CAPTION

Canvas Resize

DLG_CANVASRESIZE_IDSTR_CENTER

Center

DLG_CANVASRESIZE_IDSTR_CURRENTHIGHT

Current Height:

DLG_CANVASRESIZE_IDSTR_CURRENTWIDTH

Current Width:

DLG_CANVASRESIZE_IDSTR_CUSTOM

Custom

DLG_CANVASRESIZE_IDSTR_HORIZONTAL

Hori&zontal:

DLG_CANVASRESIZE_IDSTR_LEFT

Left

DLG_CANVASRESIZE_IDSTR_MAINTAINASPECTRATIO

Maintain &Aspect Ratio

DLG_CANVASRESIZE_IDSTR_NEWHEIGHT

New &Height:

DLG_CANVASRESIZE_IDSTR_NEWWIDTH

New &Width:

DLG_CANVASRESIZE_IDSTR_POSITION

Position

DLG_CANVASRESIZE_IDSTR_RIGHT

Right

DLG_CANVASRESIZE_IDSTR_SIZE

Size

DLG_CANVASRESIZE_IDSTR_TOP

Top

DLG_CANVASRESIZE_IDSTR_VERTICAL

&Vertical:

Picturize Dialog Strings

DLG_PICTURIZE_IDSTR_BESTFIT

&Best Fit

DLG_PICTURIZE_IDSTR_BROWSE_DIR_TITLE

Browse for images folder:

DLG_PICTURIZE_IDSTR_CAPTION

Picturize

DLG_PICTURIZE_IDSTR_CELLHEIGHT

&Height (Pixels):

DLG_PICTURIZE_IDSTR_CELLSIZE

&Cell Size

DLG_PICTURIZE_IDSTR_CELLWIDTH

&Width (Pixels):

DLG_PICTURIZE_IDSTR_EQUALUSAGE

&Equal Usage

DLG_PICTURIZE_IDSTR_FOLDER

&Folder:

DLG_PICTURIZE_IDSTR_MSG_NOFOLDER_CAPTION

Error

DLG_PICTURIZE_IDSTR_MSG_NOFOLDER_TEXT

No folder specified please specify a folder and try again

DLG_PICTURIZE_IDSTR_MSG_SETFOLDER_CAPTION

Error

DLG_PICTURIZE_IDSTR_MSG_SETFOLDER_TEXT

The images must be set before applying the picturize function.

DLG_PICTURIZE_IDSTR_OPTIONS

&Options

DLG_PICTURIZE_IDSTR_PROGRESS_ENOUGHIMAGES

The specified folder contains enough images to complete the picturize effect.

DLG_PICTURIZE_IDSTR_PROGRESS_NOENOUGHIMAGES

The specified folder doesn't contain enough images to complete the picturize effect.

DLG_PICTURIZE_IDSTR_RESIZE

&Resize:

DLG_PICTURIZE_IDSTR_RESIZE_NONE

None

DLG_PICTURIZE_IDSTR_RESIZE_NORMAL

Normal

DLG_PICTURIZE_IDSTR_RESIZE_RESAMPLE

Resample

DLG_PICTURIZE_IDSTR_USEONCE

&Use Once

DLG_PICTURIZE_IDSTR_VALIDATEFOLDER

&Validate Folder...

Picturize Validity Report

DLG_PICTURIZE_EVALIDITYREPORT_IDSTR_AVAILABLEIMAGES

Proper Available Images:

DLG_PICTURIZE_EVALIDITYREPORT_IDSTR_CAPTION

Folder Images Validity

DLG_PICTURIZE_EVALIDITYREPORT_IDSTR_NEEDEDIMAGES

Needed Images:

Picturize Count Images Dialog Strings

DLG_PICTURIZE_COUNTIMAGESINFOLDER_IDSTR_CAPTION

Calculating Images In Folder...

DLG_PICTURIZE_COUNTIMAGESINFOLDER_IDSTR_COUNTINGIMAGES

Counting Images

DLG_PICTURIZE_COUNTIMAGESINFOLDER_IDSTR_PROCESSINGFOLDER

Processing Folder

Customize Palette dialog

DLG_CUSTOMIZEPALETTE_IDSTR_ADD

A&dd >>

DLG_CUSTOMIZEPALETTE_IDSTR_AFTERSELECTED

&After Selected

DLG_CUSTOMIZEPALETTE_IDSTR_APPLYPALETTEWHENEXIT

Apply Palette &When Exit

DLG_CUSTOMIZEPALETTE_IDSTR_ATTHEEND

At the &End

DLG_CUSTOMIZEPALETTE_IDSTR_BEFORESELECTED

&Before Selected

DLG_CUSTOMIZEPALETTE_IDSTR_BRIGHTNESS

&Brightness

DLG_CUSTOMIZEPALETTE_IDSTR_CAPTION

Customize Palette

DLG_CUSTOMIZEPALETTE_IDSTR_CLOSE

Close

DLG_CUSTOMIZEPALETTE_IDSTR_COLORMODEL

&Color Model

DLG_CUSTOMIZEPALETTE_IDSTR_CONFIRM

&Confirm

DLG_CUSTOMIZEPALETTE_IDSTR_FINDCLOSEST

&Find Closest >>

DLG_CUSTOMIZEPALETTE_IDSTR_GRAYSCALE

Grayscale

DLG_CUSTOMIZEPALETTE_IDSTR_HSB

&HSB

DLG_CUSTOMIZEPALETTE_IDSTR_HTML

HTML:

DLG_CUSTOMIZEPALETTE_IDSTR_HTML_FORMAT

HTML:#%2X%2X%2X

DLG_CUSTOMIZEPALETTE_IDSTR_HUE

H&UE

DLG_CUSTOMIZEPALETTE_IDSTR_IMAGECLR

Image Colors

DLG_CUSTOMIZEPALETTE_IDSTR_INDEX

Index:

DLG_CUSTOMIZEPALETTE_IDSTR_INDEX_FORMAT

Index:%d

DLG_CUSTOMIZEPALETTE_IDSTR_MICROSOFTIE

Microsoft Internet Explorer

DLG_CUSTOMIZEPALETTE_IDSTR_NETSCAPE

Netscape Navigator (TM)

DLG_CUSTOMIZEPALETTE_IDSTR_NEW

&New

DLG_CUSTOMIZEPALETTE_IDSTR_OPEN

&Open...

DLG_CUSTOMIZEPALETTE_IDSTR_OPEN_EXTENSION

LEADTOOLS Palette Files (*.ltp)|*.ltp||

DLG_CUSTOMIZEPALETTE_IDSTR_PALETTE

&Palette:

DLG_CUSTOMIZEPALETTE_IDSTR_PALETTEMNU

&Palette

DLG_CUSTOMIZEPALETTE_IDSTR_REMOVE

Re&move

DLG_CUSTOMIZEPALETTE_IDSTR_REPLACE

&Replace >>

DLG_CUSTOMIZEPALETTE_IDSTR_REVERSE

Re&verse

DLG_CUSTOMIZEPALETTE_IDSTR_RGB

RGB:

DLG_CUSTOMIZEPALETTE_IDSTR_RGB_FORMAT

RGB:%d %d %d

DLG_CUSTOMIZEPALETTE_IDSTR_RGBMNU

&RGB

DLG_CUSTOMIZEPALETTE_IDSTR_SATURATION

&Saturation

DLG_CUSTOMIZEPALETTE_IDSTR_SAVE

&Save

DLG_CUSTOMIZEPALETTE_IDSTR_SAVEAS

Sa&ve As...

DLG_CUSTOMIZEPALETTE_IDSTR_SAVEAS_EXTENSION

LEADTOOLS Palette Files (*.ltp)|*.ltp||

DLG_CUSTOMIZEPALETTE_IDSTR_SORT

Sor&t

DLG_CUSTOMIZEPALETTE_IDSTR_STANDERDVGA

Standard VGA

DLG_CUSTOMIZEPALETTE_IDSTR_SYSTEMCOLOR

System Colors

DLG_CUSTOMIZEPALETTE_IDSTR_UNIFORM

Uniform Colors

The CUSTOMIZEPALETTE error messages

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_ADD_SELECTION_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_ADD_SELECTION_TEXT

More then one color is being selected in the right pane.\nPlease select only one color and then try again.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_CONFIRM_REMOVE_CAPTION

Warning

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_CONFIRM_REMOVE_TEXT

You are about to delete the selected item(s) in the right pane.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_COUNT_DIFFER_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_COUNT_DIFFER_TEXT

Number of colors selected in the left pane don't match the number of colors selected in the right pane.\nPlease make sure that the number of colors to be replaced ( in the right pane ) equals the number of colors selected in the left pane.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLCLR_NO_INDEX_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLCLR_NO_INDEX_TEXT

Color with RGB %d %d %d already exists.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLICATE_CLR_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLICATE_CLR_TEXT

Color with index: %d RGB: %d %d %d already exists.\n Do you want to skip this color?\nOk: To skip.\nCancel: To abort the operation.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_SEL_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_SEL_TEXT

More than one color is selected in the left pane.\nPlease select only one color and then try again.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_TEXT

Unable to find the closest color.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_IN_RIGHT_PAN_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_IN_RIGHT_PAN_TEXT

Couldn't perform operation. No item(s) in the right pane.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_LOSE_CHANGES_CAPTION

Warning

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_LOSE_CHANGES_TEXT

All changes will be lost.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MAX_COLORS_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MAX_COLORS_TEXT

Max colors in palette have been reached. No more items can be added.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MULTIPLE_BY_ONE_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MULTIPLE_BY_ONE_TEXT

Can't replace multiple selection in the right pane with one color from the left pane.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_RIGHT_SEL_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_RIGHT_SEL_TEXT

Add position is unknown in the right pane Please select an item from the right pane and try again.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_SELECTION_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_SELECTION_TEXT

No item(s) is selected.\nPlease select an item and then try again.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NOT_PALETTE_CAPTION

Error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NOT_PALETTE_TEXT

The file specified is not a valid palette file.\nFile can't be opened.

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_OPENTITLE_TEXT

File Open error

DLG_CUSTOMIZEPALETTE_IDSTR_MSG_SAVETITLE_TEXT

File Save error

PNG Web-Tuner dialog

DLG_PNGWEBTUNER_IDSTR_128KBS

128 Kbps

DLG_PNGWEBTUNER_IDSTR_144KBS

14.4 Kbps

DLG_PNGWEBTUNER_IDSTR_256KBS

256 Kbps

DLG_PNGWEBTUNER_IDSTR_288KBS

28.8 Kbps

DLG_PNGWEBTUNER_IDSTR_56KBS

56 Kbps

DLG_PNGWEBTUNER_IDSTR_ADDWINCOLORS

&Add Windows Colors

DLG_PNGWEBTUNER_IDSTR_BAUDRATE

Ba&ud Rate:

DLG_PNGWEBTUNER_IDSTR_BURKES

Burkes dithering

DLG_PNGWEBTUNER_IDSTR_CAPTION

PNG Web Tuner

DLG_PNGWEBTUNER_IDSTR_CLOSE

Close

DLG_PNGWEBTUNER_IDSTR_CLUSTERED

Clustered dithering

DLG_PNGWEBTUNER_IDSTR_COLORDEPTH

Color D&epth:

DLG_PNGWEBTUNER_IDSTR_COLORS

&Colors

DLG_PNGWEBTUNER_IDSTR_COMPRESSED

Compressed Size

DLG_PNGWEBTUNER_IDSTR_CR1BIT

1-bit

DLG_PNGWEBTUNER_IDSTR_CR24BIT

24-bit

DLG_PNGWEBTUNER_IDSTR_CR32BIT

32-bit

DLG_PNGWEBTUNER_IDSTR_CR4BIT

4-bit

DLG_PNGWEBTUNER_IDSTR_CR8BIT

8-bit

DLG_PNGWEBTUNER_IDSTR_CUSTOM

Custom

DLG_PNGWEBTUNER_IDSTR_DITHERING

Dit&hering:

DLG_PNGWEBTUNER_IDSTR_ENABLED

Ena&bled

DLG_PNGWEBTUNER_IDSTR_ERROR

Error

DLG_PNGWEBTUNER_IDSTR_ESTIMATEDTIME

Estimated Download Time:

DLG_PNGWEBTUNER_IDSTR_EXPORT

Export

DLG_PNGWEBTUNER_IDSTR_FIXED

Fixed

DLG_PNGWEBTUNER_IDSTR_FLOYDSTEINBERG

Floyd-Steinberg dithering

DLG_PNGWEBTUNER_IDSTR_INFORMATIONS

&Information

DLG_PNGWEBTUNER_IDSTR_JARVUIS

Jarvis dithering

DLG_PNGWEBTUNER_IDSTR_MSG_ERRORSAVING_CAPTION

Error

DLG_PNGWEBTUNER_IDSTR_MSG_ERRORSAVING_TEXT

Error saving image file.

DLG_PNGWEBTUNER_IDSTR_NEARESTCLRMATCH

Nearest Color Matching

DLG_PNGWEBTUNER_IDSTR_NUMOFCOLORS

&Number of Colors:

DLG_PNGWEBTUNER_IDSTR_ORDERED

Ordered dithering

DLG_PNGWEBTUNER_IDSTR_PALETTE

&Palette:

DLG_PNGWEBTUNER_IDSTR_SAVEDLG_CAPTION

Save PNG Image File...

DLG_PNGWEBTUNER_IDSTR_SIERRA

Sierra dithering

DLG_PNGWEBTUNER_IDSTR_STEVENSON

Stevenson Arce dithering

DLG_PNGWEBTUNER_IDSTR_STUCKI

Stucki dithering

DLG_PNGWEBTUNER_IDSTR_TOLERANCE

To&lerance:

DLG_PNGWEBTUNER_IDSTR_TRANSPARENCY

&Transparency

DLG_PNGWEBTUNER_IDSTR_TRANSPARENTCLR

T&ransparent Color:

DLG_PNGWEBTUNER_IDSTR_UNCOMPRESSED

Uncompressed Size

DLG_PNGWEBTUNER_IDSTR_WAIT

Wait...

GIF Web-Tuner dialog

DLG_GIFWEBTUNER_IDSTR_128KBS

128 Kbps

DLG_GIFWEBTUNER_IDSTR_144KBS

14.4 Kbps

DLG_GIFWEBTUNER_IDSTR_256KBS

256 Kbps

DLG_GIFWEBTUNER_IDSTR_288KBS

28.8 Kbps

DLG_GIFWEBTUNER_IDSTR_56KBS

56 Kbps

DLG_GIFWEBTUNER_IDSTR_ADDWINCOLORS

&Add Windows Colors

DLG_GIFWEBTUNER_IDSTR_BAUDRATE

Ba&ud Rate:

DLG_GIFWEBTUNER_IDSTR_BURKES

Burkes dithering

DLG_GIFWEBTUNER_IDSTR_CAPTION

GIF Web Tuner

DLG_GIFWEBTUNER_IDSTR_CLOSE

Close

DLG_GIFWEBTUNER_IDSTR_CLUSTERED

Clustered dithering

DLG_GIFWEBTUNER_IDSTR_COLORDEPTH

Color D&epth:

DLG_GIFWEBTUNER_IDSTR_COLORS

&Colors

DLG_GIFWEBTUNER_IDSTR_COMPRESSED

Compressed Size

DLG_GIFWEBTUNER_IDSTR_CR1BIT

1-bit

DLG_GIFWEBTUNER_IDSTR_CR2BIT

2-bit

DLG_GIFWEBTUNER_IDSTR_CR3BIT

3-bit

DLG_GIFWEBTUNER_IDSTR_CR4BIT

4-bit

DLG_GIFWEBTUNER_IDSTR_CR5BIT

5-bit

DLG_GIFWEBTUNER_IDSTR_CR6BIT

6-bit

DLG_GIFWEBTUNER_IDSTR_CR7BIT

7-bit

DLG_GIFWEBTUNER_IDSTR_CR8BIT

8-bit

DLG_GIFWEBTUNER_IDSTR_CUSTOM

Custom

DLG_GIFWEBTUNER_IDSTR_DITHERING

Dit&hering:

DLG_GIFWEBTUNER_IDSTR_ENABLED

Ena&bled

DLG_GIFWEBTUNER_IDSTR_ERROR

Error

DLG_GIFWEBTUNER_IDSTR_ESTIMATEDTIME

Estimated Download Time:

DLG_GIFWEBTUNER_IDSTR_EXPORT

Export

DLG_GIFWEBTUNER_IDSTR_FIXED

Fixed

DLG_GIFWEBTUNER_IDSTR_FLOYDSTEINBERG

Floyd-Steinberg dithering

DLG_GIFWEBTUNER_IDSTR_INFORMATIONS

&Information

DLG_GIFWEBTUNER_IDSTR_INTERLACED

Interlace&d

DLG_GIFWEBTUNER_IDSTR_JARVUIS

Jarvis dithering

DLG_GIFWEBTUNER_IDSTR_MSG_ERRORSAVING_CAPTION

Error

DLG_GIFWEBTUNER_IDSTR_MSG_ERRORSAVING_TEXT

Error saving image file.

DLG_GIFWEBTUNER_IDSTR_NEARESTCLRMATCH

Nearest Color Matching

DLG_GIFWEBTUNER_IDSTR_NUMOFCOLORS

&Number of Colors:

DLG_GIFWEBTUNER_IDSTR_OPTIONS

&Options

DLG_GIFWEBTUNER_IDSTR_ORDERED

Ordered dithering

DLG_GIFWEBTUNER_IDSTR_PALETTE

&Palette:

DLG_GIFWEBTUNER_IDSTR_SAVEDLG_CAPTION

Save GIF Image File...

DLG_GIFWEBTUNER_IDSTR_SIERRA

Sierra dithering

DLG_GIFWEBTUNER_IDSTR_STEVENSON

Stevenson Arce dithering

DLG_GIFWEBTUNER_IDSTR_STUCKI

Stucki dithering

DLG_GIFWEBTUNER_IDSTR_TOLERANCE

To&lerance:

DLG_GIFWEBTUNER_IDSTR_TRANSPARENCY

&Transparency

DLG_GIFWEBTUNER_IDSTR_TRANSPARENTCLR

T&ransparent Color:

DLG_GIFWEBTUNER_IDSTR_UNCOMPRESSED

Uncompressed Size

DLG_GIFWEBTUNER_IDSTR_WAIT

Wait...

JPEG Web-Tuner dialog

DLG_JPEGWEBTUNER_IDSTR_128KBS

128 Kbps

DLG_JPEGWEBTUNER_IDSTR_144KBS

14.4 Kbps

DLG_JPEGWEBTUNER_IDSTR_256KBS

256 Kbps

DLG_JPEGWEBTUNER_IDSTR_288KBS

28.8 Kbps

DLG_JPEGWEBTUNER_IDSTR_56KBS

56 Kbps

DLG_JPEGWEBTUNER_IDSTR_BAUDRATE

Ba&ud Rate:

DLG_JPEGWEBTUNER_IDSTR_CAPTION

JPEG Web Tuner

DLG_JPEGWEBTUNER_IDSTR_CLOSE

Close

DLG_JPEGWEBTUNER_IDSTR_COMPRESSED

Compressed Size

DLG_JPEGWEBTUNER_IDSTR_ERROR

Error

DLG_JPEGWEBTUNER_IDSTR_ESTIMATEDTIME

Estimated Download Time:

DLG_JPEGWEBTUNER_IDSTR_EXPORT

Export

DLG_JPEGWEBTUNER_IDSTR_IMAGECOMPRE

Compre&ssion:

DLG_JPEGWEBTUNER_IDSTR_IMAGETYPE

I&mage Type

DLG_JPEGWEBTUNER_IDSTR_INFORMATIONS

&Information

DLG_JPEGWEBTUNER_IDSTR_MSG_ERRORSAVING_CAPTION

Error

DLG_JPEGWEBTUNER_IDSTR_MSG_ERRORSAVING_TEXT

Error saving image file.

DLG_JPEGWEBTUNER_IDSTR_OPTIONCOMPRE

Com&pression:

DLG_JPEGWEBTUNER_IDSTR_OPTIONS

&Options

DLG_JPEGWEBTUNER_IDSTR_PROGRESSIVE

Pro&gressive

DLG_JPEGWEBTUNER_IDSTR_SAVEDLG_CAPTION

Save JPEG Image File...

DLG_JPEGWEBTUNER_IDSTR_SAVETHUMBNAIL

Sa&ve Thumbnail

DLG_JPEGWEBTUNER_IDSTR_UNCOMPRESSED

Uncompressed Size

DLG_JPEGWEBTUNER_IDSTR_WAIT

Wait...

DLG_JPEGWEBTUNER_IDSTR_YUV411

YUV 4:1:1

DLG_JPEGWEBTUNER_IDSTR_YUV422

YUV 4:2:2

DLG_JPEGWEBTUNER_IDSTR_YUV444

YUV 4:4:4 (Default)

Image Formats File Association Dialog

DLG_FILESASSOCIATION_IDSTR_CAPTION

Image File Formats Association

DLG_FILESASSOCIATION_IDSTR_DESCRIPTION

Description:

DLG_FILESASSOCIATION_IDSTR_FORMAT

Format:

DLG_FILESASSOCIATION_IDSTR_MSG_ACCESS_CAPTION

Not Enough Privileges to Write.

DLG_FILESASSOCIATION_IDSTR_MSG_ACCESS_TEXT

Some items can't be associated.

DLG_FILESASSOCIATION_IDSTR_MSG_WRITINGREG_CAPTION

Not Enough Privileges to Write.

DLG_FILESASSOCIATION_IDSTR_MSG_WRITINGREG_TEXT

Error writing to registry

DLG_FILESASSOCIATION_IDSTR_SELECTALL

Select &All

DLG_FILESASSOCIATION_IDSTR_SELECTNONE

Select &None

Image Mapper dialog

DLG_HTMLMAPPER_IDSTR_ALTTEXT

&Alt Text:

DLG_HTMLMAPPER_IDSTR_AREAINFO

Area I&nfo

DLG_HTMLMAPPER_IDSTR_CAPTION

HTML Map Creator

DLG_HTMLMAPPER_IDSTR_CLOSE

Close

DLG_HTMLMAPPER_IDSTR_CURSORPOSITION

Cur&sor Position:

DLG_HTMLMAPPER_IDSTR_ENABLED

&Enabled

DLG_HTMLMAPPER_IDSTR_EVENT

&Event:

DLG_HTMLMAPPER_IDSTR_GENERATESEL

&Only include selected object

DLG_HTMLMAPPER_IDSTR_GIFFORMAT

GIF Format

DLG_HTMLMAPPER_IDSTR_HTMLBROWSEFORFOLDERDLG_CAPTION

HTML File Save Folder...

DLG_HTMLMAPPER_IDSTR_HTMLSAVEDLG_CAPTION

Save HTML File...

DLG_HTMLMAPPER_IDSTR_IMAGE

&Image:

DLG_HTMLMAPPER_IDSTR_IMAGEFORMAT

&Format:

DLG_HTMLMAPPER_IDSTR_IMAGESAVEDLG_CAPTION

Save Image...

DLG_HTMLMAPPER_IDSTR_JPGFORMAT

JPG Format

DLG_HTMLMAPPER_IDSTR_ONCLICK

OnClick

DLG_HTMLMAPPER_IDSTR_ONDBLCLICK

OnDblClick

DLG_HTMLMAPPER_IDSTR_ONMMOUSEDOWN

OnMouseDown

DLG_HTMLMAPPER_IDSTR_ONMMOUSEOUT

OnMouseOut

DLG_HTMLMAPPER_IDSTR_ONMMOUSEOVER

OnMouseOver

DLG_HTMLMAPPER_IDSTR_ONMMOUSEUP

OnMouseUp

DLG_HTMLMAPPER_IDSTR_OPTIMIZED

&Web Tuned

DLG_HTMLMAPPER_IDSTR_OUTPUT

O&utput

DLG_HTMLMAPPER_IDSTR_PNGFORMAT

PNG Format

DLG_HTMLMAPPER_IDSTR_ROLLOVER

&Roll Over

DLG_HTMLMAPPER_IDSTR_TARGET

&Target:

DLG_HTMLMAPPER_IDSTR_URL

&URL:

Image Mapper dialog Error Messages

DLG_HTMLMAPPER_IDSTR_MSG_IMAGEWRITING_CAPTION

Error

DLG_HTMLMAPPER_IDSTR_MSG_IMAGEWRITING_TEXT

Error occurred while writing image file

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_ACCESSDENIED_TEXT

Unable to open hyperlink:\n\n The operating system denied\naccess to the specified file.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_ASSOCIATIONINCOMPLETE_TEXT

Unable to open hyperlink:\n\n The filename association is\nincomplete or invalid.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DDEBUSY_TEXT

Unable to open hyperlink:\n\n The DDE transaction could not\nbe completed because other DDE transactions\nwere being processed.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DDEFAIL_TEXT

Unable to open hyperlink:\n\n The DDE transaction failed.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DDETIMEOUT_TEXT

Unable to open hyperlink:\n\n The DDE transaction could not\nbe completed because the request timed out.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DLLNOTFOUND_TEXT

Unable to open hyperlink:\n\n The specified dynamic-link library was not found.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_FNF_TEXT

Unable to open hyperlink:\n\n The specified file was not found.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_FORMAT_TEXT

Unable to open hyperlink:\n\n The .EXE file is invalid\n ( non-Win32 .EXE or error in .EXE image ) .

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_NOASSOCIATION_TEXT

Unable to open hyperlink:\n\n There is no application associated\nwith the given filename extension.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_NOENOUGHMEMORY_TEXT

Unable to open hyperlink:\n\n There was not enough memory to complete the operation.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_OUTMEM_TEXT

Unable to open hyperlink:\n\n The operating system is out\nof memory or resources.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_PNF_TEXT

Unable to open hyperlink:\n\n The specified path was not found.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_SHARE_TEXT

Unable to open hyperlink:\n\n A sharing violation occurred.

DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_UNKNOWNERROR_TEXT

Unable to open hyperlink:\n\n Unknown Error ( %d ) occurred.

DLG_HTMLMAPPER_IDSTR_MSG_SAVEERROR_CAPTION

Error

DLG_HTMLMAPPER_IDSTR_MSG_SAVEERROR_TEXT

Error occurred while writing html file

DLG_HTMLMAPPER_IDSTR_MSG_SAVESUCCESS_CAPTION

Success

DLG_HTMLMAPPER_IDSTR_MSG_SAVESUCCESS_TEXT

Files saved successfully

Underlay dialog

DLG_UNDERLAY_IDSTR_CAPTION

Underlay Effect

DLG_UNDERLAY_IDSTR_MSG_INITAL_CAPTION

Error

DLG_UNDERLAY_IDSTR_MSG_INITAL_TEXT

Error initializing dialog. Some images couldn't be loaded

DLG_UNDERLAY_IDSTR_SETTINGS

&Settings

DLG_UNDERLAY_IDSTR_STRETCHED

Stretc&hed

DLG_UNDERLAY_IDSTR_TILED

&Tiled

Add Border Dialog strings

DLG_ADDBORDER_IDSTR_BORDER

Border

DLG_ADDBORDER_IDSTR_BORDER_DIRECTION

D&irection

DLG_ADDBORDER_IDSTR_BORDERSTYLE

St&yle:

DLG_ADDBORDER_IDSTR_BOTTOM

&Bottom:

DLG_ADDBORDER_IDSTR_BUMPED

Bu&mped

DLG_ADDBORDER_IDSTR_CAPTION

Add Border

DLG_ADDBORDER_IDSTR_CENTEROUT1

Center Out (1)

DLG_ADDBORDER_IDSTR_CENTEROUT2

Center Out (2)

DLG_ADDBORDER_IDSTR_CURVEDIN

Curved In

DLG_ADDBORDER_IDSTR_CURVEDOUT

Curved Out

DLG_ADDBORDER_IDSTR_EFFECT

Effect

DLG_ADDBORDER_IDSTR_EFFECT_STYLE

&Style

DLG_ADDBORDER_IDSTR_ENDCOLOR

E&nd Color:

DLG_ADDBORDER_IDSTR_EXTENTSIZE

Extent Size = %d

DLG_ADDBORDER_IDSTR_GRADIENT

Gradient

DLG_ADDBORDER_IDSTR_INSIDE

Inside

DLG_ADDBORDER_IDSTR_INSIDEOUT

Inside Out

DLG_ADDBORDER_IDSTR_INTENSITY

&Intensity:

DLG_ADDBORDER_IDSTR_LEFT

&Left:

DLG_ADDBORDER_IDSTR_LOCKMARGINS

Loc&k Margins

DLG_ADDBORDER_IDSTR_LOWERED

Lowered

DLG_ADDBORDER_IDSTR_MARGINS

Margins

DLG_ADDBORDER_IDSTR_MSG_INITAL_CAPTION

Error

DLG_ADDBORDER_IDSTR_MSG_INITAL_TEXT

Error initializing dialog. Some images couldn't be loaded.

DLG_ADDBORDER_IDSTR_NONEEFFECT

None

DLG_ADDBORDER_IDSTR_OPAQUE

Opaque

DLG_ADDBORDER_IDSTR_OPAQUECOLOR

Colo&r

DLG_ADDBORDER_IDSTR_OUTSIDE

Outside

DLG_ADDBORDER_IDSTR_PLACEMENT

&Placement:

DLG_ADDBORDER_IDSTR_PRESET1

Preset1

DLG_ADDBORDER_IDSTR_PRESET2

Preset2

DLG_ADDBORDER_IDSTR_PRESET3

Preset3

DLG_ADDBORDER_IDSTR_PRESET4

Preset4

DLG_ADDBORDER_IDSTR_PRESET5

Preset5

DLG_ADDBORDER_IDSTR_PRESET6

Preset6

DLG_ADDBORDER_IDSTR_PRESET7

Preset7

DLG_ADDBORDER_IDSTR_PRESET8

Preset8

DLG_ADDBORDER_IDSTR_PRESET9

Preset9

DLG_ADDBORDER_IDSTR_PRESETS

Pr&esets:

DLG_ADDBORDER_IDSTR_RAISED

Raised

DLG_ADDBORDER_IDSTR_RIGHT

&Right:

DLG_ADDBORDER_IDSTR_SAMEIMAGE

Same Image

DLG_ADDBORDER_IDSTR_SHADOWLEFT

Left

DLG_ADDBORDER_IDSTR_SHADOWRIGHT

Right

DLG_ADDBORDER_IDSTR_SHADOWS

Shado&ws

DLG_ADDBORDER_IDSTR_SHADOWS_PLACEMENT

Pla&cement:

DLG_ADDBORDER_IDSTR_SHADOWS_USESHADOWS

Use Shadows

DLG_ADDBORDER_IDSTR_SHADOWSURROUND

Surround

DLG_ADDBORDER_IDSTR_SIMPLE

Simple

DLG_ADDBORDER_IDSTR_SIZE

Si&ze:

DLG_ADDBORDER_IDSTR_SMOOTH

Sm&ooth

DLG_ADDBORDER_IDSTR_STARTCOLOR

S&tart Color:

DLG_ADDBORDER_IDSTR_TILEIMAGE

T&ile Image:

DLG_ADDBORDER_IDSTR_TILES

Tiles

DLG_ADDBORDER_IDSTR_TOP

&Top:

DLG_ADDBORDER_IDSTR_USERDEFINE

User Defined

Add Frame Dialog strings

DLG_ADDFRAME_IDSTR_CAPTION

Add Frame

DLG_ADDFRAME_IDSTR_FRAME

&Frame:

DLG_ADDFRAME_IDSTR_INSIDE

Inside

DLG_ADDFRAME_IDSTR_MASK

&Mask

DLG_ADDFRAME_IDSTR_MSG_INITAL_CAPTION

Error

DLG_ADDFRAME_IDSTR_MSG_INITAL_TEXT

Error initializing dialog. Some images couldn't be loaded

DLG_ADDFRAME_IDSTR_OPTIONS

Frame &Options

DLG_ADDFRAME_IDSTR_OUTSIDE

Outside

DLG_ADDFRAME_IDSTR_PLACEMENT

&Placement:

DLG_ADDFRAME_IDSTR_QUALITY

&Quality:

DLG_ADDFRAME_IDSTR_QUALITY_HIGH

High

DLG_ADDFRAME_IDSTR_QUALITY_LOW

Low

DLG_ADDFRAME_IDSTR_TOLERANCE

&Tolerance:

DLG_ADDFRAME_IDSTR_TRANSPARENTCOLOR

Transparent &Color:

DLG_ADDFRAME_IDSTR_USEMASK

&Use Mask

Convert to Colored Gray dialog strings

DLG_COLOREDGRAY_IDSTR_BLUE

Blue:

DLG_COLOREDGRAY_IDSTR_BLUEGRAY

&Blue:

DLG_COLOREDGRAY_IDSTR_CAPTION

Convert to Colored Gray

DLG_COLOREDGRAY_IDSTR_COLORFACTOR

Color Factors

DLG_COLOREDGRAY_IDSTR_GRAYFACTOR

Gray Factors

DLG_COLOREDGRAY_IDSTR_GREEN

Green:

DLG_COLOREDGRAY_IDSTR_GREENGRAY

&Green:

DLG_COLOREDGRAY_IDSTR_RED

Red:

DLG_COLOREDGRAY_IDSTR_REDGRAY

&Red:

Gaussian Blur dialog strings

DLG_GAUSSIANBLUR_IDSTR_CAPTION

Gaussian Blur

DLG_GAUSSIANBLUR_IDSTR_RADIUS

&Radius

Unsharp Mask dialog strings

DLG_UNSHARPMASK_IDSTR_AMOUNT

&Amount

DLG_UNSHARPMASK_IDSTR_CAPTION

Unsharp Mask

DLG_UNSHARPMASK_IDSTR_COLORESPACE

A&pply Mask on:

DLG_UNSHARPMASK_IDSTR_RADIUS

&Radius

DLG_UNSHARPMASK_IDSTR_RGB

RGB color space

DLG_UNSHARPMASK_IDSTR_THERSHOLD

&Threshold

DLG_UNSHARPMASK_IDSTR_YUV

YUV color space

Antialias dialog strings

DLG_ANTIALIAS_IDSTR_ANTIALIAS_1

Vertically & Horizontally

DLG_ANTIALIAS_IDSTR_ANTIALIAS_2

All directions (1)

DLG_ANTIALIAS_IDSTR_ANTIALIAS_3

All directions (2)

DLG_ANTIALIAS_IDSTR_ANTIALIAS_DIAG

Diagonally

DLG_ANTIALIAS_IDSTR_ANTIALIAS_HORZ

Horizontally

DLG_ANTIALIAS_IDSTR_ANTIALIAS_VERT

Vertically

DLG_ANTIALIAS_IDSTR_CAPTION

Anti-alias

DLG_ANTIALIAS_IDSTR_DIM

&Mask Size:

DLG_ANTIALIAS_IDSTR_FILTER

&Filter:

DLG_ANTIALIAS_IDSTR_THRESHOLD

&Threshold:

Edge Detector Colors dialog strings

DLG_EDGEDETECTOR_IDSTR_CAPTION

Edge Detector

DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_E

Gradient East

DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_N

Gradient North

DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_NE

Gradient North-East

DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_NW

Gradient North-West

DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_S

Gradient South

DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_SE

Gradient South-East

DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_SW

Gradient South-West

DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_W

Gradient West

DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_1

Laplace Vertical & Horizontal

DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_2

Laplace general (1)

DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_3

Laplace general (2)

DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_DIAG

Laplace Diagonal

DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_HORZ

Laplace Horizontal

DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_VERT

Laplace Vertical

DLG_EDGEDETECTOR_IDSTR_EDG_PREWITT_ALL

Prewitt Horizontal & Vertical

DLG_EDGEDETECTOR_IDSTR_EDG_PREWITT_HORZ

Prewitt Horizontal

DLG_EDGEDETECTOR_IDSTR_EDG_PREWITT_VERT

Prewitt Vertical

DLG_EDGEDETECTOR_IDSTR_EDG_SOBEL_ALL

Sobel Horizontal & Vertical

DLG_EDGEDETECTOR_IDSTR_EDG_SOBEL_HORZ

Sobel Horizontal

DLG_EDGEDETECTOR_IDSTR_EDG_SOBEL_VERT

Sobel Vertical

DLG_EDGEDETECTOR_IDSTR_FILTER

&Filter:

DLG_EDGEDETECTOR_IDSTR_THRESHOLD

&Threshold:

Remove Red Eye Detector Colors dialog strings

DLG_REMOVEREDEYE_IDSTR_CAPTION

Remove RedEye

DLG_REMOVEREDEYE_IDSTR_LIGHTNESS

&Lightness

DLG_REMOVEREDEYE_IDSTR_NEWCOLOR

&New Color:

DLG_REMOVEREDEYE_IDSTR_THRESHOLD

&Threshold

Motion Blur dialog strings

DLG_MOTIONBLUR_IDSTR_ANGLE

&Angle (degrees)

DLG_MOTIONBLUR_IDSTR_CAPTION

Motion Blur

DLG_MOTIONBLUR_IDSTR_DIM

&Size of Blur

DLG_MOTIONBLUR_IDSTR_UNIDIRECTIONAL

&Unidirectional

Gray Scale dialog strings

DLG_GRAYSCALE_IDSTR_BLUE

Blue:

DLG_GRAYSCALE_IDSTR_CAPTION

Gray Scale

DLG_GRAYSCALE_IDSTR_GREEN

Green:

DLG_GRAYSCALE_IDSTR_RED

Red:

DLG_GRAYSCALE_IDSTR_WEIGHT

Colors Weight

Histogram dialog strings

DLG_HISTOGRAM_IDSTR_AREA

Area

DLG_HISTOGRAM_IDSTR_BLUE

Blue

DLG_HISTOGRAM_IDSTR_CAPTION

Histogram

DLG_HISTOGRAM_IDSTR_CHANNEL

C&hannel:

DLG_HISTOGRAM_IDSTR_CLOSE

&Close

DLG_HISTOGRAM_IDSTR_COUNT

Count:

DLG_HISTOGRAM_IDSTR_GREEN

Green

DLG_HISTOGRAM_IDSTR_LEVEL

Level:

DLG_HISTOGRAM_IDSTR_LINE

Line

DLG_HISTOGRAM_IDSTR_MASTER

Master

DLG_HISTOGRAM_IDSTR_MEAN

Mean:

DLG_HISTOGRAM_IDSTR_MEDIAN

Median:

DLG_HISTOGRAM_IDSTR_PERCENTAGE

Percentile:

DLG_HISTOGRAM_IDSTR_PIXELS

Total Pixels:

DLG_HISTOGRAM_IDSTR_RED

Red

DLG_HISTOGRAM_IDSTR_VIEW

&View:

Multiply dialog strings

DLG_MULTIPLY_IDSTR_CAPTION

Multiply

DLG_MULTIPLY_IDSTR_FACTOR

&Factor

Local Histo-Equalize dialog strings

DLG_LOCALHISTOEQUALIZE_IDSTR_CAPTION

Local Histo-Equalize

DLG_LOCALHISTOEQUALIZE_IDSTR_COLORSPACE

&Color Space:

DLG_LOCALHISTOEQUALIZE_IDSTR_GRAY

GRAY

DLG_LOCALHISTOEQUALIZE_IDSTR_HEIGHT

&Height:

DLG_LOCALHISTOEQUALIZE_IDSTR_RGB

RGB

DLG_LOCALHISTOEQUALIZE_IDSTR_SMOOTH

&Smooth:

DLG_LOCALHISTOEQUALIZE_IDSTR_WIDTH

&Width:

DLG_LOCALHISTOEQUALIZE_IDSTR_XEXTENSION

&X-Extension:

DLG_LOCALHISTOEQUALIZE_IDSTR_YEXTENSION

&Y-Extension:

DLG_LOCALHISTOEQUALIZE_IDSTR_YUV

YUV

Balance Colors dialog strings

DLG_BALANCECOLORS_IDSTR_BLUE

Blue:

DLG_BALANCECOLORS_IDSTR_BLUEWEIGHT

&Blue Weights

DLG_BALANCECOLORS_IDSTR_CAPTION

Balance Colors

DLG_BALANCECOLORS_IDSTR_GREEN

Green:

DLG_BALANCECOLORS_IDSTR_GREENWEIGHT

&Green Weights

DLG_BALANCECOLORS_IDSTR_RED

Red:

DLG_BALANCECOLORS_IDSTR_REDWEIGHT

&Red Weights

Add Bitmaps dialog strings

DLG_ADDBITMAPS_IDSTR_ADD

&Add >>

DLG_ADDBITMAPS_IDSTR_ADDAFTER

&After

DLG_ADDBITMAPS_IDSTR_ADDALL

A&dd All

DLG_ADDBITMAPS_IDSTR_ADDBEFORE

&Before

DLG_ADDBITMAPS_IDSTR_ADDOPERATION

Add

DLG_ADDBITMAPS_IDSTR_AVAILABLE

A&vailable List:

DLG_ADDBITMAPS_IDSTR_AVERAGEOPERATION

Average

DLG_ADDBITMAPS_IDSTR_CAPTION

Add Bitmaps

DLG_ADDBITMAPS_IDSTR_OPERATION

&Operation:

DLG_ADDBITMAPS_IDSTR_PREVIEW

Preview

DLG_ADDBITMAPS_IDSTR_REMOVE

<< &Remove

DLG_ADDBITMAPS_IDSTR_REMOVEALL

Re&move All

DLG_ADDBITMAPS_IDSTR_SELECTED

&Selected List:

Remap Intensity dialog strings

DLG_REMAPINTENSITY_IDSTR_CAPTION

Remap Intensity

DLG_REMAPINTENSITY_IDSTR_CHANNEL

&Channel:

DLG_REMAPINTENSITY_IDSTR_CHANNEL_BLUE

Blue

DLG_REMAPINTENSITY_IDSTR_CHANNEL_GREEN

Green

DLG_REMAPINTENSITY_IDSTR_CHANNEL_RED

Red

DLG_REMAPINTENSITY_IDSTR_CHANNEL_RGB

RGB

DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_BOTH

Both directions

DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_FLIP

Fl&ip

DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_HORIZ

Horizontally

DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_VERT

Vertically

DLG_REMAPINTENSITY_IDSTR_CURVEMODE

Curve &Mode:

DLG_REMAPINTENSITY_IDSTR_CURVEMODE_EXP

Exponential

DLG_REMAPINTENSITY_IDSTR_CURVEMODE_LINER

Linear

DLG_REMAPINTENSITY_IDSTR_CURVEMODE_LOG

Logarithm

DLG_REMAPINTENSITY_IDSTR_CURVEMODE_USERPOINTS

Curve

DLG_REMAPINTENSITY_IDSTR_FACTOR

&Factor:

DLG_REMAPINTENSITY_IDSTR_INTENSITY

Intensity

DLG_REMAPINTENSITY_IDSTR_LOAD

&Load

DLG_REMAPINTENSITY_IDSTR_LOAD_CAPTION

Load

DLG_REMAPINTENSITY_IDSTR_LOAD_EXTENSION

LEADTOOLS Remap Intensity Curve (*.lri)|*.lri||

DLG_REMAPINTENSITY_IDSTR_MSG_LOADFILE_CAPTION

Load Error

DLG_REMAPINTENSITY_IDSTR_MSG_LOADFILE_TEXT

This is not a curve data file!

DLG_REMAPINTENSITY_IDSTR_MSG_SAVEFILE_CAPTION

Save Error

DLG_REMAPINTENSITY_IDSTR_RESET

&Reset

DLG_REMAPINTENSITY_IDSTR_RESETALL

Reset &All

DLG_REMAPINTENSITY_IDSTR_SAVE

&Save

DLG_REMAPINTENSITY_IDSTR_SAVE_CAPTION

Save

DLG_REMAPINTENSITY_IDSTR_SAVE_EXTENSION

LEADTOOLS Remap Intensity Curve (*.lri)|*.lri||

Remap Hue dialog strings

DLG_REMAPHUE_IDSTR_CAPTION

Remap Hue

DLG_REMAPHUE_IDSTR_CHANNEL

&Channel:

DLG_REMAPHUE_IDSTR_CHANNEL_HUE

Hue

DLG_REMAPHUE_IDSTR_CHANNEL_SATURATION

Saturation

DLG_REMAPHUE_IDSTR_CHANNEL_VALUE

Value

DLG_REMAPHUE_IDSTR_CURVEFLIP_BOTH

Both directions

DLG_REMAPHUE_IDSTR_CURVEFLIP_FLIP

Fl&ip

DLG_REMAPHUE_IDSTR_CURVEFLIP_HORIZ

Horizontally

DLG_REMAPHUE_IDSTR_CURVEFLIP_VERT

Vertically

DLG_REMAPHUE_IDSTR_CURVEMODE

Curve &Mode:

DLG_REMAPHUE_IDSTR_CURVEMODE_EXP

Exponential

DLG_REMAPHUE_IDSTR_CURVEMODE_LINER

Linear

DLG_REMAPHUE_IDSTR_CURVEMODE_LOG

Logarithm

DLG_REMAPHUE_IDSTR_CURVEMODE_USERPOINTS

Curve

DLG_REMAPHUE_IDSTR_FACTOR

&Factor:

DLG_REMAPHUE_IDSTR_INTENSITY

Hue

DLG_REMAPHUE_IDSTR_LOAD

&Load

DLG_REMAPHUE_IDSTR_LOAD_CAPTION

Load

DLG_REMAPHUE_IDSTR_LOAD_EXTENSION

LEADTOOLS Remap Hue Curve (*.lrh)|*.lrh||

DLG_REMAPHUE_IDSTR_MASK

Mas&k

DLG_REMAPHUE_IDSTR_MASK_END

End

DLG_REMAPHUE_IDSTR_MASK_START

Start

DLG_REMAPHUE_IDSTR_MSG_LOADFILE_CAPTION

Load Error

DLG_REMAPHUE_IDSTR_MSG_LOADFILE_TEXT

This is not a curve data file!

DLG_REMAPHUE_IDSTR_MSG_SAVEFILE_CAPTION

Save Error

DLG_REMAPHUE_IDSTR_RESET

&Reset

DLG_REMAPHUE_IDSTR_RESETALL

Reset &All

DLG_REMAPHUE_IDSTR_SAVE

&Save

DLG_REMAPHUE_IDSTR_SAVE_CAPTION

Save

DLG_REMAPHUE_IDSTR_SAVE_EXTENSION

LEADTOOLS Remap Hue Curve (*.lrh)|*.lrh||

Free Hand Wave dialog strings

DLG_FREEHANDWAVE_IDSTR_ANGLE

Angle: %.2f

DLG_FREEHANDWAVE_IDSTR_CAPTION

Free Hand Wave

DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_BOTH

Both directions

DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_FLIP

Fl&ip

DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_HORIZ

Horizontally

DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_VERT

Vertically

DLG_FREEHANDWAVE_IDSTR_CURVEMODE

Curve &Mode:

DLG_FREEHANDWAVE_IDSTR_CURVEMODE_LINER

Linear

DLG_FREEHANDWAVE_IDSTR_CURVEMODE_USERPOINTS

Curve

DLG_FREEHANDWAVE_IDSTR_LOAD

&Load

DLG_FREEHANDWAVE_IDSTR_LOAD_CAPTION

Load

DLG_FREEHANDWAVE_IDSTR_LOAD_EXTENSION

LEADTOOLS Hand Wave Curve (*.lhw)|*.lhw||

DLG_FREEHANDWAVE_IDSTR_MSG_LOADFILE_CAPTION

Load Error

DLG_FREEHANDWAVE_IDSTR_MSG_LOADFILE_TEXT

This is not a curve data file!

DLG_FREEHANDWAVE_IDSTR_MSG_SAVEFILE_CAPTION

Save Error

DLG_FREEHANDWAVE_IDSTR_RESET

&Reset

DLG_FREEHANDWAVE_IDSTR_SAVE

&Save

DLG_FREEHANDWAVE_IDSTR_SAVE_CAPTION

Save

DLG_FREEHANDWAVE_IDSTR_SAVE_EXTENSION

LEADTOOLS Hand Wave Curve (*.lhw)|*.lhw||

DLG_FREEHANDWAVE_IDSTR_WAVE_CURVE

Wave Curve

DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED

E&xposed Area

DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED_COLOR

Use Color

DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED_NOCHANGE

Don't Change

DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED_STRICH

Stretch Image

DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING

&Wave Settings

DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_LENGTH

Len&gth:

DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_SCALE

S&cale:

DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_TYPE

&Type:

DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_TYPE_FREQUENCY

Frequency

DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_TYPE_PERIOD

Period

Wind dialog strings

DLG_WIND_IDSTR_CAPTION

Wind Effect

DLG_WIND_IDSTR_DIRECTION

Direction (&Angle)

DLG_WIND_IDSTR_OPACITY

&Opacity

DLG_WIND_IDSTR_STRENGTH

&Strength

Impressionist dialog strings

DLG_IMPRESSIONIST_IDSTR_CAPTION

Impressionist Effect

DLG_IMPRESSIONIST_IDSTR_HORIZONTAL

&Horizontal Size

DLG_IMPRESSIONIST_IDSTR_VERTICAL

&Vertical Size

Cylindrical dialog strings

DLG_CYLINDRICAL_IDSTR_CAPTION

Cylindrical Effect

DLG_CYLINDRICAL_IDSTR_STRETCH

&Stretching Amount

DLG_CYLINDRICAL_IDSTR_TYPE

Cylinder &Type:

DLG_CYLINDRICAL_IDSTR_TYPE_HORZ

Horizontal

DLG_CYLINDRICAL_IDSTR_TYPE_VERT

Vertical

Polar dialog strings

DLG_POLAR_IDSTR_CAPTION

Polar Effect

DLG_POLAR_IDSTR_CONVERSION

Conversion &Option:

DLG_POLAR_IDSTR_CONVERSION_CARTTOPOL

Rectangular to Polar

DLG_POLAR_IDSTR_CONVERSION_POLTOCART

Polar to Rectangular

DLG_POLAR_IDSTR_EXPOSED_TYPE_FILLCOLOR

Use Color

DLG_POLAR_IDSTR_EXPOSED_TYPE_NOCHANGE

Don't Change

DLG_POLAR_IDSTR_EXPOSED_TYPE_STRECH

Stretch Image

DLG_POLAR_IDSTR_EXPOSEDAREA

E&xposed Area

Pixelate dialog strings

DLG_PIXELATE_IDSTR_CAPTION

Pixelate Effect

DLG_PIXELATE_IDSTR_CELL_TYPE_FREQUENCY

Frequency

DLG_PIXELATE_IDSTR_CELL_TYPE_PERIOD

Period

DLG_PIXELATE_IDSTR_CENTER

Cen&ter

DLG_PIXELATE_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_PIXELATE_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_PIXELATE_IDSTR_HEIGHT

&Height

DLG_PIXELATE_IDSTR_MODE_AVERAGE

Average

DLG_PIXELATE_IDSTR_MODE_MAXIMUM

Maximum

DLG_PIXELATE_IDSTR_MODE_MINIMUM

Minimum

DLG_PIXELATE_IDSTR_OPACITY

&Opacity:

DLG_PIXELATE_IDSTR_PIVOT

&Pivot

DLG_PIXELATE_IDSTR_PIXELATE

&Pixelate

DLG_PIXELATE_IDSTR_PIXELATE_MODE

&Mode:

DLG_PIXELATE_IDSTR_PIXELATE_TYPE

&Type:

DLG_PIXELATE_IDSTR_TYPE_RADIAL

Radial

DLG_PIXELATE_IDSTR_TYPE_RECTANGLE

Rectangle

DLG_PIXELATE_IDSTR_WIDTH

&Width

Zoom Wave Dialog Strings

DLG_ZOOMWAVE_IDSTR_AMPLITUDE

&Amplitude:

DLG_ZOOMWAVE_IDSTR_CAPTION

Zoom Wave Effect

DLG_ZOOMWAVE_IDSTR_CENTER

Cen&ter

DLG_ZOOMWAVE_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_ZOOMWAVE_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_ZOOMWAVE_IDSTR_EXPOSED

&Exposed Area

DLG_ZOOMWAVE_IDSTR_FILLTYPE_NOCHANGE

Don't Change

DLG_ZOOMWAVE_IDSTR_FILLTYPE_STRETCH

Stretch Image

DLG_ZOOMWAVE_IDSTR_FILLTYPE_USECOLOR

Use Color

DLG_ZOOMWAVE_IDSTR_FREQUENCY

&Frequency:

DLG_ZOOMWAVE_IDSTR_PHASE

P&hase:

DLG_ZOOMWAVE_IDSTR_PIVOT

&Pivot

DLG_ZOOMWAVE_IDSTR_ZOOMFACTOR

&Zoom Factor:

DLG_ZOOMWAVE_IDSTR_ZOOMWAVE

&Zoom Wave

Radial Wave Dialog Strings

DLG_RADIALWAVE_IDSTR_AMPLITUDE

&Amplitude:

DLG_RADIALWAVE_IDSTR_CAPTION

Radial Wave Effect

DLG_RADIALWAVE_IDSTR_CENTER

Cen&ter

DLG_RADIALWAVE_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_RADIALWAVE_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_RADIALWAVE_IDSTR_EXPOSED

&Exposed Area

DLG_RADIALWAVE_IDSTR_FILLTYPE_NOCHANGE

Don't Change

DLG_RADIALWAVE_IDSTR_FILLTYPE_STRETCH

Stretch Image

DLG_RADIALWAVE_IDSTR_FILLTYPE_USECOLOR

Use Color

DLG_RADIALWAVE_IDSTR_LENGTH

&Length:

DLG_RADIALWAVE_IDSTR_PHASE

P&hase:

DLG_RADIALWAVE_IDSTR_PIVOT

&Pivot

DLG_RADIALWAVE_IDSTR_RADIALWAVE

&Radial Wave

DLG_RADIALWAVE_IDSTR_WAVETYPE

&Type:

DLG_RADIALWAVE_IDSTR_WAVETYPE_FREQUENCY

Frequency

DLG_RADIALWAVE_IDSTR_WAVETYPE_PERCENT

Period

Ripple Dialog Strings

DLG_RIPPLE_IDSTR_AMPLITUDE

&Amplitude:

DLG_RIPPLE_IDSTR_ATTENUATION

A&ttenuation:

DLG_RIPPLE_IDSTR_CAPTION

Ripple Effect

DLG_RIPPLE_IDSTR_CENTER

Cen&ter

DLG_RIPPLE_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_RIPPLE_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_RIPPLE_IDSTR_EXPOSED

&Exposed Area

DLG_RIPPLE_IDSTR_FILLTYPE_NOCHANGE

Don't Change

DLG_RIPPLE_IDSTR_FILLTYPE_STRETCH

Stretch Image

DLG_RIPPLE_IDSTR_FILLTYPE_USECOLOR

Use Color

DLG_RIPPLE_IDSTR_FREQUENCY

&Frequency:

DLG_RIPPLE_IDSTR_PHASE

P&hase:

DLG_RIPPLE_IDSTR_PIVOT

&Pivot

DLG_RIPPLE_IDSTR_SETTINGS

&Ripple Settings

Punch dialog strings

DLG_PUNCH_IDSTR_CAPTION

Punch Effect

DLG_PUNCH_IDSTR_CENTER

Cen&ter

DLG_PUNCH_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_PUNCH_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_PUNCH_IDSTR_EXPOSED

&Exposed Area

DLG_PUNCH_IDSTR_FILLTYPE_NOCHANGE

Don't Change

DLG_PUNCH_IDSTR_FILLTYPE_STRETCH

Stretch Image

DLG_PUNCH_IDSTR_FILLTYPE_USECOLOR

Use Color

DLG_PUNCH_IDSTR_PIVOT

&Pivot

DLG_PUNCH_IDSTR_ROTATE

&Rotate

DLG_PUNCH_IDSTR_SETTINGS

P&unch Settings

DLG_PUNCH_IDSTR_STRESS

&Stress:

DLG_PUNCH_IDSTR_VALUE

&Value:

Bending Dialog Strings

DLG_BENDING_IDSTR_CAPTION

Bending Effect

DLG_BENDING_IDSTR_CENTER

Cen&ter

DLG_BENDING_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_BENDING_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_BENDING_IDSTR_EXPOSED

&Exposed Area

DLG_BENDING_IDSTR_FILLTYPE_NOCHANGE

Don't Change

DLG_BENDING_IDSTR_FILLTYPE_STRETCH

Stretch Image

DLG_BENDING_IDSTR_FILLTYPE_USECOLOR

Use Color

DLG_BENDING_IDSTR_PIVOT

&Pivot

DLG_BENDING_IDSTR_ROTATE

&Rotate

DLG_BENDING_IDSTR_SETTINGS

&Bending Settings

DLG_BENDING_IDSTR_TYPE

T&ype:

DLG_BENDING_IDSTR_TYPE_HORIZONTAL

Horizontally

DLG_BENDING_IDSTR_TYPE_NORMAL

Normal

DLG_BENDING_IDSTR_TYPE_VERTICAL

Vertically

DLG_BENDING_IDSTR_VALUE

&Value:

Spherize Dialog Strings

DLG_SPHERIZE_IDSTR_CAPTION

Spherize Effect

DLG_SPHERIZE_IDSTR_CENTER

Cen&ter

DLG_SPHERIZE_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_SPHERIZE_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_SPHERIZE_IDSTR_EXPOSED

&Exposed Area

DLG_SPHERIZE_IDSTR_FILLTYPE_NOCHANGE

Don't Change

DLG_SPHERIZE_IDSTR_FILLTYPE_STRETCH

Stretch Image

DLG_SPHERIZE_IDSTR_FILLTYPE_USECOLOR

Use Color

DLG_SPHERIZE_IDSTR_PIVOT

&Pivot

DLG_SPHERIZE_IDSTR_ROTATE

&Rotate

DLG_SPHERIZE_IDSTR_SETTINGS

&Spherize

DLG_SPHERIZE_IDSTR_VALUE

&Value:

Swirl Dialog Strings

DLG_SWIRL_IDSTR_ANGLE

&Swirl Rotation Angle (degrees)

DLG_SWIRL_IDSTR_CAPTION

Swirl Effect

DLG_SWIRL_IDSTR_CENTER

Cen&ter

DLG_SWIRL_IDSTR_CLOCKWISE

&Clockwise

DLG_SWIRL_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_SWIRL_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_SWIRL_IDSTR_PIVOT

&Pivot

Radial Blur Dialog Strings

DLG_RADIALBLUR_IDSTR_CAPTION

Radial Blur Effect

DLG_RADIALBLUR_IDSTR_CENTER

Cen&ter

DLG_RADIALBLUR_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_RADIALBLUR_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_RADIALBLUR_IDSTR_PIVOT

&Pivot

DLG_RADIALBLUR_IDSTR_SETTINGS

Radial &Blur

DLG_RADIALBLUR_IDSTR_SIZE

Si&ze:

DLG_RADIALBLUR_IDSTR_STRESS

&Stress:

Zoom Blur Dialog Strings

DLG_ZOOMBLUR_IDSTR_CAPTION

Zoom Blur Effect

DLG_ZOOMBLUR_IDSTR_CENTER

Cen&ter

DLG_ZOOMBLUR_IDSTR_CURSORPOS_EMPTY

Cursor Pos (xy):--

DLG_ZOOMBLUR_IDSTR_CURSORPOS_VALUE

Cursor Pos (xy):%d%d

DLG_ZOOMBLUR_IDSTR_PIVOT

&Pivot

DLG_ZOOMBLUR_IDSTR_SETTINGS

Zoom &Blur

DLG_ZOOMBLUR_IDSTR_SIZE

Si&ze:

DLG_ZOOMBLUR_IDSTR_STRESS

&Stress:

Wave Dialog Strings

DLG_WAVE_IDSTR_AMPLITUDE

&Amplitude:

DLG_WAVE_IDSTR_ANGLE

An&gle:

DLG_WAVE_IDSTR_CAPTION

Wave Effect

DLG_WAVE_IDSTR_EXPOSED

&Exposed Area

DLG_WAVE_IDSTR_FILLTYPE_NOCHANGE

Don't Change

DLG_WAVE_IDSTR_FILLTYPE_STRETCH

Stretch Image

DLG_WAVE_IDSTR_FILLTYPE_USECOLOR

Use Color

DLG_WAVE_IDSTR_HORZSCALE

&Horz Scale:

DLG_WAVE_IDSTR_LENGTH

&Length:

DLG_WAVE_IDSTR_MODE_COS

Cos

DLG_WAVE_IDSTR_MODE_SIN

Sin

DLG_WAVE_IDSTR_MODE_SQUARE

Square

DLG_WAVE_IDSTR_MODE_TRIANGULAR

Triangular

DLG_WAVE_IDSTR_SETTINGS

&Wave Settings

DLG_WAVE_IDSTR_VERTSCALE

&Vert Scale:

DLG_WAVE_IDSTR_WAVEMODE

&Mode

DLG_WAVE_IDSTR_WAVETYPE

&Type:

DLG_WAVE_IDSTR_WAVETYPE_FREQUENCY

Frequency

DLG_WAVE_IDSTR_WAVETYPE_PERCENT

Period

Wave Shear Dialog Strings

DLG_WAVESHEAR_IDSTR_CAPTION

Wave Shear

DLG_WAVESHEAR_IDSTR_CURVEFLIP_BOTH

Both directions

DLG_WAVESHEAR_IDSTR_CURVEFLIP_FLIP

Fl&ip

DLG_WAVESHEAR_IDSTR_CURVEFLIP_HORIZ

Horizontally

DLG_WAVESHEAR_IDSTR_CURVEFLIP_VERT

Vertically

DLG_WAVESHEAR_IDSTR_CURVEMODE

Curve &Mode:

DLG_WAVESHEAR_IDSTR_CURVEMODE_LINER

Linear

DLG_WAVESHEAR_IDSTR_CURVEMODE_USERPOINTS

Curve

DLG_WAVESHEAR_IDSTR_LOAD

&Load

DLG_WAVESHEAR_IDSTR_LOAD_CAPTION

Load

DLG_WAVESHEAR_IDSTR_LOAD_EXTENSION

LEADTOOLS WaveShear Curve (*.lsr)|*.lsr||

DLG_WAVESHEAR_IDSTR_MSG_LOADFILE_CAPTION

Load Error

DLG_WAVESHEAR_IDSTR_MSG_LOADFILE_TEXT

This is not a curve data file!

DLG_WAVESHEAR_IDSTR_MSG_SAVEFILE_CAPTION

Save Error

DLG_WAVESHEAR_IDSTR_RESET

&Reset

DLG_WAVESHEAR_IDSTR_SAVE

&Save

DLG_WAVESHEAR_IDSTR_SAVE_CAPTION

Save

DLG_WAVESHEAR_IDSTR_SAVE_EXTENSION

LEADTOOLS WaveShear Curve (*.lsr)|*.lsr||

DLG_WAVESHEAR_IDSTR_WAVE_CURVE

Wave Curve

DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED

E&xposed Area

DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED_COLOR

Use Color

DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED_NOCHANGE

Don't Change

DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED_STRETCH

Stretch Image

DLG_WAVESHEAR_IDSTR_WAVE_SETTING

&Wave Settings

DLG_WAVESHEAR_IDSTR_WAVE_SETTING_DIRECTION

&Direction:

DLG_WAVESHEAR_IDSTR_WAVE_SETTING_DIRECTION_HORZ

Horizontal

DLG_WAVESHEAR_IDSTR_WAVE_SETTING_DIRECTION_VERT

Vertical

DLG_WAVESHEAR_IDSTR_WAVE_SETTING_SCALE

S&cale:

File Info Dialog Strings

DLG_FILEINFO_IDSTR_ARTIST

Artist

DLG_FILEINFO_IDSTR_BPP

Bits per pixel

DLG_FILEINFO_IDSTR_COMPRESSION

Compression

DLG_FILEINFO_IDSTR_COPYRIGHT

Copyright

DLG_FILEINFO_IDSTR_DATETIME

Date/Time

DLG_FILEINFO_IDSTR_DESCRIPTION

Description

DLG_FILEINFO_IDSTR_DOCNAME

Name of Document

DLG_FILEINFO_IDSTR_FILENAME

Name

DLG_FILEINFO_IDSTR_FORMAT

Format

DLG_FILEINFO_IDSTR_HEIGHT

Height

DLG_FILEINFO_IDSTR_HOSTCOMPUTER

Host Computer

DLG_FILEINFO_IDSTR_INFORMATION

File Information

DLG_FILEINFO_IDSTR_ITEM_CAPTION

Item:

DLG_FILEINFO_IDSTR_MAKE

Make

DLG_FILEINFO_IDSTR_MODEL

Model

DLG_FILEINFO_IDSTR_PAGE

Page

DLG_FILEINFO_IDSTR_PAGENAME

Name of Page

DLG_FILEINFO_IDSTR_SIZEDISK

Size on disk

DLG_FILEINFO_IDSTR_SIZEMEM

Size in memory

DLG_FILEINFO_IDSTR_SOFTWARE

Software

DLG_FILEINFO_IDSTR_VALUE_CAPTION

Value:

DLG_FILEINFO_IDSTR_WIDTH

Width

DLG_FILEINFO_IDSTR_XRESOLUTION

XResolution (DPI)

DLG_FILEINFO_IDSTR_YRESOLUTION

YResolution (DPI)

DICOM File Info Strings

DLG_FILEINFO_IDSTR_LOSSLESS_JPEG

Lossless JPEG

DLG_FILEINFO_IDSTR_LOSSLESS_TIF_JPEG

Lossless TIF JPEG

DLG_FILEINFO_IDSTR_PATIENTBIRTHDATE

Patient Birth Date

DLG_FILEINFO_IDSTR_PATIENTID

Patient ID

DLG_FILEINFO_IDSTR_PATIENTNAME

Patient Name

DLG_FILEINFO_IDSTR_PATIENTSEX

Patient Sex

DLG_FILEINFO_IDSTR_SERIESID

Series ID

DLG_FILEINFO_IDSTR_SERIESMODALITY

Series Modality

DLG_FILEINFO_IDSTR_SERIESNUMBER

Series Number

DLG_FILEINFO_IDSTR_STUDYDATE

Study Date

DLG_FILEINFO_IDSTR_STUDYINSTANCE

Study Instance

DLG_FILEINFO_IDSTR_STUDYREFPHYSICIAN

Study Ref. Physician

DLG_FILEINFO_IDSTR_STUDYTIME

Study Time

PNG File Info Strings

DLG_FILEINFO_IDSTR_DISCLAIMER

Disclaimer

DLG_FILEINFO_IDSTR_WARNING

Warning

File Conversion Dialog Strings

DLG_FILECONVERSION_ASKDLG_IDSTR_ABORT

Abort

DLG_FILECONVERSION_ASKDLG_IDSTR_CAPTION

Overwrite

DLG_FILECONVERSION_ASKDLG_IDSTR_RENAME

R&ename

DLG_FILECONVERSION_ASKDLG_IDSTR_REPLACE

&Replace

DLG_FILECONVERSION_ASKDLG_IDSTR_SKIP

&Skip

DLG_FILECONVERSION_ASKDLG_IDSTR_TEXT

File \

DLG_FILECONVERSION_IDSTR_ADD

Add File...

DLG_FILECONVERSION_IDSTR_ADDFOLDER

Add Folder...

DLG_FILECONVERSION_IDSTR_ASK

Ask

DLG_FILECONVERSION_IDSTR_CAPTION

File Conversion

DLG_FILECONVERSION_IDSTR_CLOSE

&Close

DLG_FILECONVERSION_IDSTR_CONVERT

Con&vert

DLG_FILECONVERSION_IDSTR_CUSTOMIZERENAME

&Customize...

DLG_FILECONVERSION_IDSTR_DESTINATIONFOLDER

Destination Folder

DLG_FILECONVERSION_IDSTR_FILE

Source &File(s)

DLG_FILECONVERSION_IDSTR_FILEINFO

Fi&le Info...

DLG_FILECONVERSION_IDSTR_FILELIST

File L&ist:

DLG_FILECONVERSION_IDSTR_FILELIST_FILE

File Name

DLG_FILECONVERSION_IDSTR_FILELIST_SELECTEDPAGES

Selected Pages

DLG_FILECONVERSION_IDSTR_FILETYPEOPTIONS

O&ptions...

DLG_FILECONVERSION_IDSTR_FOLDER

Fol&der:

DLG_FILECONVERSION_IDSTR_FULLPATH

F&ull Path

DLG_FILECONVERSION_IDSTR_LOGREPORT

Lo&g Report

DLG_FILECONVERSION_IDSTR_MSG_PREVIEW_CAPTION

Preview Error

DLG_FILECONVERSION_IDSTR_MSG_PREVIEW_TEXT

Can not find:\n(%s).

DLG_FILECONVERSION_IDSTR_NAMINGTEMPLATE

&Naming Template...

DLG_FILECONVERSION_IDSTR_OVERWRITE

&Overwrite:

DLG_FILECONVERSION_IDSTR_PAGE

Page:

DLG_FILECONVERSION_IDSTR_PREVIEW

Preview:

DLG_FILECONVERSION_IDSTR_REMOVE

Remove

DLG_FILECONVERSION_IDSTR_REMOVEREPLACE

&Delete/Overwrite File(s)

DLG_FILECONVERSION_IDSTR_RENAME

Rename

DLG_FILECONVERSION_IDSTR_REPLACE

Replace

DLG_FILECONVERSION_IDSTR_RESIZE

&Resize...

DLG_FILECONVERSION_IDSTR_RESULTED

Resulting File(s)

DLG_FILECONVERSION_IDSTR_ROTATE

Rotat&e...

DLG_FILECONVERSION_IDSTR_SELECTALL

Select All

DLG_FILECONVERSION_IDSTR_SKIP

Skip

DLG_FILECONVERSION_IDSTR_SOURCEFILEOPTIONS

Op&tions...

DLG_FILECONVERSION_IDSTR_SUBTYPE

&Sub Type:

DLG_FILECONVERSION_IDSTR_TYPE

File &Type

DLG_FILECONVERSION_IDSTR_TYPEBPP

BPP:

DLG_FILECONVERSION_IDSTR_USEORIGINALFOLDER

Use Original Fold&er

DLG_FILECONVERSION_OPENDLG_IDSTR_ADD

&Add

DLG_FILECONVERSION_OPENDLG_IDSTR_CAPTION

Add File(s)

DLG_FILECONVERSION_OPENFOLDERDLG_IDSTR_CAPTION

Select Folder

File Conversion Log-Report Dialog Strings

DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_CAPTION

Conversion Log-Report

DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_DESTINATION

Destination File

DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_FULLPATH

&Full Path

DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_SOURCE

Source File

DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_STATE

State

File Conversion Update State Dialog Strings

DLG_FILECONVERSION_UPDATESTATEPROGRESSDLG_IDSTR_CAPTION

Updating...

DLG_FILECONVERSION_UPDATESTATEPROGRESSDLG_IDSTR_STATUS

Updating State...

File Conversion Abort Dialog Strings

DLG_FILECONVERSION_PROGRESSDLG_IDSTR_ABORT

&Abort

DLG_FILECONVERSION_PROGRESSDLG_IDSTR_BODY

From: %s\nTo : %s

DLG_FILECONVERSION_PROGRESSDLG_IDSTR_CAPTION

Converting...

DLG_FILECONVERSION_PROGRESSDLG_IDSTR_CONVERTINGFILES

Converting Files...

File Conversion Add Progress Dialog Strings

DLG_FILECONVERSION_ADDPROGRESSDLG_IDSTR_ABORT

&Abort

DLG_FILECONVERSION_ADDPROGRESSDLG_IDSTR_BODY

Adding: %s

DLG_FILECONVERSION_ADDPROGRESSDLG_IDSTR_CAPTION

Adding Files...

File Conversion Load Options Dialog Strings

DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_ALLPAGES

&All Pages

DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_CAPTION

Load Options

DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_MSG_CAPTION

Page Error

DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_MSG_TEXT

Invalid page number.

DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_PAGES

&Page(s):

DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_PAGESETTINGS

Page &Settings

DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_USEINFORMATION

Enter page numbers and/or page ranges separated by commas. For example: 3125-9

File Conversion Rename Template Dialog Strings

DLG_FILECONVERSION_RENAMEDLG_IDSTR_ALPHABETICRANGE

&Alphabetical Range:

DLG_FILECONVERSION_RENAMEDLG_IDSTR_CAPTION

Rename Template

DLG_FILECONVERSION_RENAMEDLG_IDSTR_INCREMENT

&Increment by:

DLG_FILECONVERSION_RENAMEDLG_IDSTR_MASK

Mas&k:

DLG_FILECONVERSION_RENAMEDLG_IDSTR_MSG_INVALIDTEMPLATE_CAPTION

Error

DLG_FILECONVERSION_RENAMEDLG_IDSTR_MSG_INVALIDTEMPLATE_TEXT

Invalid Template.\nTemplate can't be blank and can't contain any of the following characters:\n\\:?<>*|

DLG_FILECONVERSION_RENAMEDLG_IDSTR_NOTE

Note: Ranges run from lower to higher value.

DLG_FILECONVERSION_RENAMEDLG_IDSTR_NUMERICRANGE

&Numerical Range:

DLG_FILECONVERSION_RENAMEDLG_IDSTR_PREFIX

Set as &Prefix

DLG_FILECONVERSION_RENAMEDLG_IDSTR_SAMPLE

&Sample:

DLG_FILECONVERSION_RENAMEDLG_IDSTR_SETTINGS

&Settings

DLG_FILECONVERSION_RENAMEDLG_IDSTR_STARTINGPOSITION

&Starting Position:

DLG_FILECONVERSION_RENAMEDLG_IDSTR_SUFFIX

Set as &Suffix

DLG_FILECONVERSION_RENAMEDLG_IDSTR_TAG

T&ag:

DLG_FILECONVERSION_RENAMEDLG_IDSTR_TAGOPTIONS

&Tags Options

DLG_FILECONVERSION_RENAMEDLG_IDSTR_UPPERCASE

&Upper Case

File Conversion Naming Template Dialog Strings

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_ALPHABETICRANGE

&Alphabetical Range:

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_CAPTION

Naming Template

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_INCREMENT

&Increment by:

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_KEEPASIS

Keep as is

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LONG

Long

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LONG12

Long 12

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LONG24

Long 24

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LOWER

Lower

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_MASK

Mas&k:

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_MSG_INVALIDTEMPLATE_CAPTION

Error

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_MSG_INVALIDTEMPLATE_TEXT

Invalid Template.\nTemplate can't be blank and can't contain any of the following characters:\n\\:?<>*|

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_NOTE

Note: Ranges run from lower to higher value.

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_NUMERICRANGE

&Numerical Range:

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SAMPLE

&Sample:

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SETTINGS

&Settings

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SHORT

Short

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SHORT12

Short 12

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SHORT24

Short 24

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_STARTINGPOSITION

&Starting Position:

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TAG

T&ag:

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TAGOPTIONS

&Tags Options

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TEMPLATE

&Template:

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TOGGLE

Toggle

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_UPPER

Upper

DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_UPPERCASE

&Upper Case

File Conversion dialog Rotate Dialog Strings

DLG_FILECONVERSION_ROTATEDLG_IDSTR_ANGLE

Clockwise &Angle (degrees)

DLG_FILECONVERSION_ROTATEDLG_IDSTR_BICUBIC

Bicubic

DLG_FILECONVERSION_ROTATEDLG_IDSTR_CAPTION

Rotate

DLG_FILECONVERSION_ROTATEDLG_IDSTR_COLOR

&Background:

DLG_FILECONVERSION_ROTATEDLG_IDSTR_INTERPOLATION

Inter&polation Type:

DLG_FILECONVERSION_ROTATEDLG_IDSTR_NORMAL

Normal

DLG_FILECONVERSION_ROTATEDLG_IDSTR_RESAMPLE

Resample

DLG_FILECONVERSION_ROTATEDLG_IDSTR_RESIZE

Resi&ze

File Conversion Resize Dialog Strings

DLG_FILECONVERSION_RESIZEDLG_IDSTR_BICUBIC

Bicubic

DLG_FILECONVERSION_RESIZEDLG_IDSTR_CAPTION

Resize

DLG_FILECONVERSION_RESIZEDLG_IDSTR_ENABLE

&Enable

DLG_FILECONVERSION_RESIZEDLG_IDSTR_HEIGHTNEW

New &Height:

DLG_FILECONVERSION_RESIZEDLG_IDSTR_METHOD

&Method:

DLG_FILECONVERSION_RESIZEDLG_IDSTR_NORMAL

Normal

DLG_FILECONVERSION_RESIZEDLG_IDSTR_PERCENT

Percent

DLG_FILECONVERSION_RESIZEDLG_IDSTR_PIXEL

Pixel

DLG_FILECONVERSION_RESIZEDLG_IDSTR_RESAMPLE

Resample

DLG_FILECONVERSION_RESIZEDLG_IDSTR_UNIT

&Unit:

DLG_FILECONVERSION_RESIZEDLG_IDSTR_WIDTHNEW

New &Width:

File Save Options Dialog Strings

DLG_FILESAVEOPTIONS_IDSTR_APPEND

Append

DLG_FILESAVEOPTIONS_IDSTR_BPP

Bits Per Pi&xel:

DLG_FILESAVEOPTIONS_IDSTR_CAPTION

File Save Options

DLG_FILESAVEOPTIONS_IDSTR_COMPRESSION

Compression

DLG_FILESAVEOPTIONS_IDSTR_COMPRESSIONCONTROL

Contro&l:

DLG_FILESAVEOPTIONS_IDSTR_COMPRESSIONRATIO

Rat&io:

DLG_FILESAVEOPTIONS_IDSTR_GENERAL

General

DLG_FILESAVEOPTIONS_IDSTR_INSERT

Insert

DLG_FILESAVEOPTIONS_IDSTR_J2KADVANCED

&J2K Options...

DLG_FILESAVEOPTIONS_IDSTR_J2KCOLOR

Color-axis

DLG_FILESAVEOPTIONS_IDSTR_J2KCOMPRATIO

Compression Ratio

DLG_FILESAVEOPTIONS_IDSTR_J2KLOSSLESS

Lossless

DLG_FILESAVEOPTIONS_IDSTR_J2KPOSITION

Position-axis

DLG_FILESAVEOPTIONS_IDSTR_J2KQFACTOR

Quality Factor

DLG_FILESAVEOPTIONS_IDSTR_J2KQUALITY

Quality-axis

DLG_FILESAVEOPTIONS_IDSTR_J2KRESOLUTION1

Resolution-axis 1

DLG_FILESAVEOPTIONS_IDSTR_J2KRESOLUTION2

Resolution-axis 2

DLG_FILESAVEOPTIONS_IDSTR_J2KTARGETSIZE

Target File Size

DLG_FILESAVEOPTIONS_IDSTR_JBIG2OPTIONS

&JBIG2 Options...

DLG_FILESAVEOPTIONS_IDSTR_MSG_DELETE_CAPTION

Error

DLG_FILESAVEOPTIONS_IDSTR_MSG_DELETE_TEXT

Can not delete ( %s ) file.

DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDERCREATION_CAPTION

Folder Error

DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDERCREATION_TEXT

Can't create destination folder \

DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDEREXISTANCE_CAPTION

Folder Error

DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDEREXISTANCE_TEXT

The destination folder \

DLG_FILESAVEOPTIONS_IDSTR_MULTIPAGE

Multipage

DLG_FILESAVEOPTIONS_IDSTR_OPERATION

Opera&tion:

DLG_FILESAVEOPTIONS_IDSTR_OVERWRITE

Overwrite

DLG_FILESAVEOPTIONS_IDSTR_PAGE

Page &No.:

DLG_FILESAVEOPTIONS_IDSTR_PROG1

1

DLG_FILESAVEOPTIONS_IDSTR_PROG10

10

DLG_FILESAVEOPTIONS_IDSTR_PROG2

2

DLG_FILESAVEOPTIONS_IDSTR_PROG3

3

DLG_FILESAVEOPTIONS_IDSTR_PROG4

4

DLG_FILESAVEOPTIONS_IDSTR_PROG5

5

DLG_FILESAVEOPTIONS_IDSTR_PROG6

6

DLG_FILESAVEOPTIONS_IDSTR_PROG7

7

DLG_FILESAVEOPTIONS_IDSTR_PROG8

8

DLG_FILESAVEOPTIONS_IDSTR_PROG9

9

DLG_FILESAVEOPTIONS_IDSTR_PROGALL

All

DLG_FILESAVEOPTIONS_IDSTR_PROGMEANINGFUL

Meaningful Only

DLG_FILESAVEOPTIONS_IDSTR_PROGOPTIONS

&Progressive Options:

DLG_FILESAVEOPTIONS_IDSTR_PROGRESSIONORDER

Progressing O&rder:

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR

&QFactor:

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_CUSTOM

Custom

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_MC

Maximum compression

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_MCQ

Maximum compression keeping quality

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_PQ1

Perfect quality 1

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_PQ2

Perfect quality 2

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_QFS

Quality far more important than size

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_QMS

Quality more important than size

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_QS

Quality and size equally important

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_SQS

Size more important that quality (sharp)

DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_SQT

Size more important than quality (less tiling)

DLG_FILESAVEOPTIONS_IDSTR_REPLACE

Replace

DLG_FILESAVEOPTIONS_IDSTR_SAVESTAMP

Sa&ve

DLG_FILESAVEOPTIONS_IDSTR_STAMPHEIGHT

H&eight:

DLG_FILESAVEOPTIONS_IDSTR_STAMPOPTIONS

Stamp Options

DLG_FILESAVEOPTIONS_IDSTR_STAMPWIDTH

&Width:

DLG_FILESAVEOPTIONS_IDSTR_TARGETSIZE

Target Si&ze:

J2K Options Dialog Strings

DLG_J2K_IDSTR_CAPTION

JPEG 2000 Options

DLG_J2K_IDSTR_CODEBLOCK

Code Block

DLG_J2K_IDSTR_CODEBLOCKHEIGHT

H&eight

DLG_J2K_IDSTR_CODEBLOCKWIDTH

W&idth

DLG_J2K_IDSTR_DECOMPRESSLEVEL

Decompress &Level

DLG_J2K_IDSTR_DEFAULTOPTIONS

&Default Options

DLG_J2K_IDSTR_DERIVEDBASE

Derived Base

DLG_J2K_IDSTR_ERRORRESILIENCE

E&rror Resiliences Symbol

DLG_J2K_IDSTR_EXPONENT

E&xponent

DLG_J2K_IDSTR_GENERALSETTINGS

General Settings

DLG_J2K_IDSTR_GUARDBITS

&Guard Bits:

DLG_J2K_IDSTR_MANTISSA

&Mantissa

DLG_J2K_IDSTR_MARKERS

Markers

DLG_J2K_IDSTR_OFFSET

Offset

DLG_J2K_IDSTR_OFFSETHORIZONTAL

&Horizontal:

DLG_J2K_IDSTR_OFFSETVERTICAL

&Vertical:

DLG_J2K_IDSTR_PREDICTABLETERMINATION

Pre&dictable Termination

DLG_J2K_IDSTR_RESETCONTEXT

Reset Context On Bo&undaries

DLG_J2K_IDSTR_SELECTIVEACBYPASS

Selective AC &bypass

DLG_J2K_IDSTR_TERMINATION

Termi&nation On Each Pass

DLG_J2K_IDSTR_TILEHEIGHT

Hei&ght:

DLG_J2K_IDSTR_TILEHORIZONTAL

Hori&zontal:

DLG_J2K_IDSTR_TILEOFFSET

Tile Offset

DLG_J2K_IDSTR_TILESIZE

Tile Size

DLG_J2K_IDSTR_TILEVERTICAL

Ver&tical:

DLG_J2K_IDSTR_TILEWIDTH

&Width:

DLG_J2K_IDSTR_USECOLORTRANSFORM

Use Color Trans&form

DLG_J2K_IDSTR_USEDERIVEDQUANTIZATION

Use Derived &Quantization

DLG_J2K_IDSTR_USEEPHMARKER

Use E&PH Marker

DLG_J2K_IDSTR_USESOPMARKER

Use &SOP Marker

DLG_J2K_IDSTR_VERTICALLYCAUSAL

Vertically Causal C&ontext

Stitch Dialog Strings

DLG_STITCH_IDSTR_CAPTION

Stitch

DLG_STITCH_PROPERTIESDLG_IDSTR_HEIGHT

&Height:

DLG_STITCH_PROPERTIESDLG_IDSTR_LEFT

&Left:

DLG_STITCH_PROPERTIESDLG_IDSTR_OPACITY

&Opacity:

DLG_STITCH_PROPERTIESDLG_IDSTR_POSITION

&Position

DLG_STITCH_PROPERTIESDLG_IDSTR_SIZE

Si&ze

DLG_STITCH_PROPERTIESDLG_IDSTR_TOP

&Top:

DLG_STITCH_PROPERTIESDLG_IDSTR_WIDTH

&Width:

Stich - Page Properties Dialog Strings

DLG_STITCH_PAGEPROPDLG_IDSTR_16COLORS

16 Colors (4 bits)

DLG_STITCH_PAGEPROPDLG_IDSTR_16MCOLORS

16.7 Million Colors (24 bits)

DLG_STITCH_PAGEPROPDLG_IDSTR_256COLORS

256 Colors (8 bits)

DLG_STITCH_PAGEPROPDLG_IDSTR_2COLORS

2 Colors (1 bit)

DLG_STITCH_PAGEPROPDLG_IDSTR_65536COLORS

65536 Colors (16 bits)

DLG_STITCH_PAGEPROPDLG_IDSTR_BACKCOLOR

Back &Color:

DLG_STITCH_PAGEPROPDLG_IDSTR_CAPTION

Image Attributes

DLG_STITCH_PAGEPROPDLG_IDSTR_CENTIMETERS

Centimeters

DLG_STITCH_PAGEPROPDLG_IDSTR_DEPTH

&Depth:

DLG_STITCH_PAGEPROPDLG_IDSTR_HEIGHT

&Height:

DLG_STITCH_PAGEPROPDLG_IDSTR_INCHES

Inches

DLG_STITCH_PAGEPROPDLG_IDSTR_MEMSIZE

Image Memory Size:

DLG_STITCH_PAGEPROPDLG_IDSTR_PIXELS

Pixels

DLG_STITCH_PAGEPROPDLG_IDSTR_PIXELSCM

Pixels/cm

DLG_STITCH_PAGEPROPDLG_IDSTR_PIXELSINCHE

Pixels/inch

DLG_STITCH_PAGEPROPDLG_IDSTR_RESOLUTION

&Resolution:

DLG_STITCH_PAGEPROPDLG_IDSTR_WIDTH

&Width:

Stitch - Tile Dialog Strings

DLG_STITCH_TILEOPTIONSDLG_IDSTR_ASPECTRATIO

&Keep Aspect Ratio

DLG_STITCH_TILEOPTIONSDLG_IDSTR_CAPTION

Tile Options

DLG_STITCH_TILEOPTIONSDLG_IDSTR_ENABLED

&Enabled

DLG_STITCH_TILEOPTIONSDLG_IDSTR_MSG_OUTOFRANGE_CAPTION

Error

DLG_STITCH_TILEOPTIONSDLG_IDSTR_MSG_OUTOFRANGE_TEXT

Some values are out of range.\nPress OK to fix them.

DLG_STITCH_TILEOPTIONSDLG_IDSTR_NUMHORIZTILES

Number of hori&zontal tiles (2-256):

DLG_STITCH_TILEOPTIONSDLG_IDSTR_NUMVERTTILES

Number of &vertical tiles (2-256):

DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETHORIZTILES

Set &number of horizontal tiles

DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETTILEHEIGHT

Custom He&ight

DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETTILEWIDTH

Custom Wi&dth

DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETVERTTILES

Set n&umber of vertical tiles

DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILECOUNT

Set Tiles Count

DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILEHEIGHT

Heigh&t (1-30000)

DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILES

&Tiles

DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILESIZE

Set Tile Size

DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILESTYLE

&Style:

DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILEWIDTH

&Width (1-30000)

Stitch - Toolbar Strings

DLG_STITCH_IDSTR_MSG_CHANGE_IMAGESIZE_CAPTION

Error

DLG_STITCH_IDSTR_MSG_CHANGE_IMAGESIZE_TEXT

Not enough memory or hard disk space to complete the requested operation

DLG_STITCH_IDSTR_MSG_CHANGE_PAGEPROPERTIES_CAPTION

Error

DLG_STITCH_IDSTR_MSG_CHANGE_PAGEPROPERTIES_TEXT

Invalid Page Properties...

DLG_STITCH_IDSTR_MSG_SAVEERROR_CAPTION

Stitch

DLG_STITCH_IDSTR_MSG_SAVEERROR_TEXT

Save Changes ?

DLG_STITCH_IDSTR_TOOLBAR_FILE

File

DLG_STITCH_IDSTR_TOOLBAR_IMAGE

Image

DLG_STITCH_IDSTR_TOOLBAR_OBJECT

Object

DLG_STITCH_IDSTR_TOOLBAR_OBJECTALIGNMENT

Object Alignment

DLG_STITCH_IDSTR_TOOLBAR_OBJECTPROPERTIES

Object Properties

DLG_STITCH_IDSTR_TOOLBAR_OBJECTSLIST

Objects List

DLG_STITCH_IDSTR_TOOLBAR_TOOLS

Tools

DLG_STITCH_IDSTR_TOOLBAR_VIEW

View

DLG_STITCH_MNU_MAIN_FILE_IDSTR_CAPTION

&File

DLG_STITCH_MNU_MAIN_FILE_IDSTR_EXIT

E&xit\tAlt + F4

DLG_STITCH_MNU_MAIN_FILE_IDSTR_EXITEXPORT

&Exit && Export\tCtrl+X

DLG_STITCH_MNU_MAIN_HELP_IDSTR_CAPTION

&Help

DLG_STITCH_MNU_MAIN_HELP_IDSTR_HELPTOPICS

Help Topics\tF1

DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_ATTRIBUTES

&Attributes...\tCtrl + Shift + P

DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_CAPTION

&Image

DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_CLEARALL

&Clear All\tCtrl + Shift + Del

DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_ROTATE90

&Rotate 90\tCtrl + Shift + R

DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_STITCH

&Fit to Object(s)\tCtrl + S

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN

&Align

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_AUTOARRANGE

&Auto Arrange\tCtrl + A

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERBOTTOM

Center &Bottom\tCtrl + Num 2

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERED

&Centered\tCtrl + Num 5

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERLEFT

L&eft Center\tCtrl + Num 4

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERRIGHT

R&ight Center\tCtrl + Num 6

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERTOP

Center &Top\tCtrl + Num 8

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_LEFTBOTTOM

Le&ft Bottom\tCtrl + Num 1

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_LEFTTOP

&Left Top\tCtrl + Num 7

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_RIGHTBOTTOM

Ri&ght Bottom\tCtrl + Num 3

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_RIGHTTOP

&Right Top\tCtrl + Num 9

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_CAPTION

&Object

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_DELETE

&Delete\tDel

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_DUPLICATE

D&uplicate\tCtrl + D

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_EDIT

&Edit\tIns

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_FLIP

&Flip

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_FLIP_HORIZ

&Horizontally\tCtrl + H

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_FLIP_VERT

&Vertically\tCtrl + V

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_MOVETO

&Move To

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_MOVETO_NEXT

&Next\tCtrl + E

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_MOVETO_PREVIOUS

&Previous\tCtrl + P

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ORDER

&Order

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ORDER_BRINGTOFRONT

&Bring To Front\tCtrl + Shift + Z

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ORDER_SENDTOBACK

Send To Bac&k\tCtrl + Z

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ROTATE

&Rotate

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ROTATE_90CCW

90 &CCW\tCtrl + L

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ROTATE_90CW

90 C&W\tCtrl + R

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_SCALE

&Scale

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_SCALE_STRICHTOFIT

&To Fit\tCtrl + Shift + F

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_SCALE_STRICHTONORMAL

&Normal (1:1)\tCtrl + Shift + N

DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_TILES

&Tiling Options...\tCtrl + T

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_CAPTION

&View

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_FITALWAYS

&Fit Always\tCtrl + F

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_NORMAL

&Normal\tCtrl + N

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR

&Toolbars

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_ALIGNMENT

&Align

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_FILE

&File

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_IMAGE

&Image

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_OBJECT

&Object

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_TOOLS

&Tools

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_VIEW

&View

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_ZOOMIN

Zoom &In\tCtrl + Num +

DLG_STITCH_MNU_MAIN_VIEW_IDSTR_ZOOMOUT

Zoom &Out\tCtrl + Num -

Print Stitched Images Dialog Strings

DLG_PRINTSTITCHEDIMAGES_IDSTR_CAPTION

Print Stitched Images

DLG_PRINTSTITCHEDIMAGES_IDSTR_CURRENTPAGE

Current Page

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGE_CAPTION

Error

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGE_TEXT

Can't remove page

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGES_CAPTION

Error

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGES_TEXT

Can't remove pages

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_EXITCONFIRM_CAPTION

Question

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_EXITCONFIRM_TEXT

Are you sure you want to exit?

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_INVALIDVALUES_CAPTION

Error

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_INVALIDVALUES_TEXT

Invalid values.

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_MARGINVALUE_CAPTION

Error

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_MARGINVALUE_TEXT

Please enter a valid value for auto margins

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_NOPAGEFOUND_CAPTION

Error

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_NOPAGEFOUND_TEXT

No page found

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_PAGENOTFOUND_CAPTION

Error

DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_PAGENOTFOUND_TEXT

Page not found

DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_ALIGNCENTERED

Align Centered

DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_ALIGNTOPLEFT

Align Top Left

DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_AUTOARRANGE

Auto Arrange

DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_STRECHTOFIT

Stretch To Fit

DLG_PRINTSTITCHEDIMAGES_IDSTR_TOOLBAR_GENERAL

General

DLG_PRINTSTITCHEDIMAGES_IDSTR_TOOLBAR_PAGES

Pages

DLG_PRINTSTITCHEDIMAGES_IDSTR_TOOLBAR_TOOLS

Tools

DLG_PRINTSTITCHEDIMAGES_IDSTR_UNIT_CM

cm

DLG_PRINTSTITCHEDIMAGES_IDSTR_UNIT_INCH

inch

DLG_PRINTSTITCHEDIMAGES_IDSTR_UNIT_PIXEL

pixel

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_CAPTION

&File

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_EXIT

E&xit

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_EXITANDEXPORT

Exit && Export Pre&view

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_PREFERENCES

P&references...

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_PRINT

&Print

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_PRINTSETUP

Pa&ge Setup...

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_HELP_IDSTR_CAPTION

&Help

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_HELP_IDSTR_HELPTOPICS

&Help Topics

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN

Align

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_AUTOARRANGE

&Auto Arrange

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERBOTTOM

Center &Bottom

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERED

&Centered

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERLEFT

L&eft Center

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERRIGHT

R&ight Center

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERTOP

Center &Top

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_LEFTBOTTOM

Le&ft Bottom

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_LEFTTOP

&Left Top

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_RIGHTBOTTOM

Ri&ght Bottom

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_RIGHTTOP

&Right Top

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_CAPTION

&Image

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_FLIP

Flip

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_FLIP_HORZ

Flip &Horizontally

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_FLIP_VERT

Flip &Vertically

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ROTATE

Rotate

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CCW

Rotate 90 &CCW

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CW

Rotate 90 C&W

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_SCALE

Scale

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_SCALE_NORMALLY

Scale &Normally

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_SCALE_STRETCHTOFIT

&Stretch To Fit

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_CAPTION

&Page

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_DELETE

&Delete...\tCtrl + Del

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_ERASECONTENTS

&Erase Contents\tCtrl + E

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_FIRST

&First\tCtrl + Home

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_INSERT

&Insert...\tCtrl + Ins

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_LAST

&Last\tCtrl + End

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_NEXT

Ne&xt\tCtrl + PgDn

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_PREVIOUS

Pre&vious\tCtrl + PgUp

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_CAPTION

&View

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_GENERALTOOLBAR

&General Toolbar

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_PAGESTOOLBAR

&Pages Toolbar

DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_TOOLSTOOLBAR

Tools Toolbar

DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_CAPTION

Printing...

DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_PIXLES

pixels

DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_SCALE

Scale

DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_SIZE

Size

Intensity Detect Dialog Strings

DLG_INTENSITYDETECT_IDSTR_CAPTION

Intensity Detect

DLG_INTENSITYDETECT_IDSTR_CHANNEL

&Channel:

DLG_INTENSITYDETECT_IDSTR_CHANNEL_BLUE

&Blue

DLG_INTENSITYDETECT_IDSTR_CHANNEL_GRAYSCALE

Grayscale

DLG_INTENSITYDETECT_IDSTR_CHANNEL_GREEN

&Green

DLG_INTENSITYDETECT_IDSTR_CHANNEL_RED

&Red

DLG_INTENSITYDETECT_IDSTR_CHANNEL_RGB

RGB

DLG_INTENSITYDETECT_IDSTR_COLOR

Color:

DLG_INTENSITYDETECT_IDSTR_HIGH

&High

DLG_INTENSITYDETECT_IDSTR_IN

&In:

DLG_INTENSITYDETECT_IDSTR_LOW

&Low

DLG_INTENSITYDETECT_IDSTR_OUT

&Out:

Solarize Dialog Strings

DLG_SOLARIZE_IDSTR_CAPTION

Solarize

DLG_SOLARIZE_IDSTR_THRESHOLD

&Threshold

Posterize Dialog Strings

DLG_POSTERIZE_IDSTR_CAPTION

Posterize

DLG_POSTERIZE_IDSTR_LEVELS

&Levels per color plane

Brightness Dialog Strings

DLG_BRIGHTNESS_IDSTR_CAPTION

Brightness

DLG_BRIGHTNESS_IDSTR_PERCENTAGE

&Percentage

Contrast Dialog Strings

DLG_CONTRAST_IDSTR_CAPTION

Contrast

DLG_CONTRAST_IDSTR_PERCENTAGE

&Percentage

Hue Dialog Strings

DLG_HUE_IDSTR_ANGLE

&Angle (degrees)

DLG_HUE_IDSTR_CAPTION

Hue

Saturation Dialog Strings

DLG_SATURATION_IDSTR_CAPTION

Saturation

DLG_SATURATION_IDSTR_PERCENTAGE

&Percentage

Gamma Adjustment Dialog Strings

DLG_GAMMAADJUSTMENT_IDSTR_ALLCHNNELS

&All Channels

DLG_GAMMAADJUSTMENT_IDSTR_BLUE

&Blue Channel (10-500):

DLG_GAMMAADJUSTMENT_IDSTR_CAPTION

Gamma Adjustment

DLG_GAMMAADJUSTMENT_IDSTR_GREEN

&Green Channel (10-500):

DLG_GAMMAADJUSTMENT_IDSTR_RED

&Red Channel (10-500):

Halftone Dialog Strings

DLG_HALFTONE_IDSTR_ADD

&Add >>

DLG_HALFTONE_IDSTR_ADDAFTER

&After

DLG_HALFTONE_IDSTR_ADDALL

A&dd All

DLG_HALFTONE_IDSTR_ADDBEFORE

&Before

DLG_HALFTONE_IDSTR_ANGLE

&Angle (degrees)

DLG_HALFTONE_IDSTR_AVAILABLE

A&vailable List:

DLG_HALFTONE_IDSTR_CAPTION

Halftone

DLG_HALFTONE_IDSTR_CIRCULAR

Circular

DLG_HALFTONE_IDSTR_DIM

&Dimension:

DLG_HALFTONE_IDSTR_ELLIPTICAL

Elliptical

DLG_HALFTONE_IDSTR_HINT

Hint: Selected List list should contain %d items at least to show preview.

DLG_HALFTONE_IDSTR_LINEAR

Linear

DLG_HALFTONE_IDSTR_PRINT

Print

DLG_HALFTONE_IDSTR_RANDOM

Random

DLG_HALFTONE_IDSTR_RECTANGULAR

Rectangular

DLG_HALFTONE_IDSTR_REMOVE

<< &Remove

DLG_HALFTONE_IDSTR_REMOVEALL

Re&move All

DLG_HALFTONE_IDSTR_SELECTED

&Selected List:

DLG_HALFTONE_IDSTR_TYPE

&Type:

DLG_HALFTONE_IDSTR_USERDEFINE

User Define

DLG_HALFTONE_IDSTR_VIEW

View

ColorRes Dialog Strings

DLG_COLORRES_IDSTR_12BIT

12-bit

DLG_COLORRES_IDSTR_16BIT

16-bit

DLG_COLORRES_IDSTR_1BIT

1-bit

DLG_COLORRES_IDSTR_24BIT

24-bit

DLG_COLORRES_IDSTR_2BIT

2-bit

DLG_COLORRES_IDSTR_32BIT

32-bit

DLG_COLORRES_IDSTR_3BIT

3-bit

DLG_COLORRES_IDSTR_48BIT

48-bit

DLG_COLORRES_IDSTR_4BIT

4-bit

DLG_COLORRES_IDSTR_5BIT

5-bit

DLG_COLORRES_IDSTR_64BIT

64-bit

DLG_COLORRES_IDSTR_6BIT

6-bit

DLG_COLORRES_IDSTR_7BIT

7-bit

DLG_COLORRES_IDSTR_8BIT

8-bit

DLG_COLORRES_IDSTR_BGRORDER

Blue-Green-Red (BGR)

DLG_COLORRES_IDSTR_BURKES

Burkes

DLG_COLORRES_IDSTR_CLUSTER

Clustered

DLG_COLORRES_IDSTR_CUSTOM

Custom Palette

DLG_COLORRES_IDSTR_FIXEDPAL

Fixed Palette

DLG_COLORRES_IDSTR_FLOYD

Floyd Stein

DLG_COLORRES_IDSTR_GRAYORDER

Grayscale

DLG_COLORRES_IDSTR_IDENTITYPAL

Windows Identity Palette

DLG_COLORRES_IDSTR_JARVIS

Jarvis

DLG_COLORRES_IDSTR_MSIE

MSIE Palette

DLG_COLORRES_IDSTR_NETSCAPEPAL

Netscape Fixed Palette

DLG_COLORRES_IDSTR_NONE

None

DLG_COLORRES_IDSTR_OPTIMIZEDPAL

Optimized Palette

DLG_COLORRES_IDSTR_ORDERED

Ordered

DLG_COLORRES_IDSTR_RGBORDER

Red-Green-Blue (RGB)

DLG_COLORRES_IDSTR_SIERRA

Sierra

DLG_COLORRES_IDSTR_STEVEN

Stevenson Arce

DLG_COLORRES_IDSTR_STUCKI

Stucki

DLG_COLORRES_IDSTR_SVGA

SVGA Palette

DLG_COLORRES_IDSTR_UNIFORM

Uniform Palette

Histo-Contrast Dialog Strings

DLG_HISTOCONTRAST_IDSTR_CAPTION

Histo-Contrast

DLG_HISTOCONTRAST_IDSTR_PERCENTAGE

&Percentage

Average Dialog Strings

DLG_AVERAGE_IDSTR_CAPTION

Average

DLG_AVERAGE_IDSTR_SAMPLESIZE

&Sample size

Median Dialog Strings

DLG_MEDIAN_IDSTR_CAPTION

Median

DLG_MEDIAN_IDSTR_SAMPLESIZE

&Sample size

Add Noise Dialog Strings

DLG_ADDNOISE_IDSTR_BLUE

Blue

DLG_ADDNOISE_IDSTR_CAPTION

Add Noise

DLG_ADDNOISE_IDSTR_CHANNEL

&Channel:

DLG_ADDNOISE_IDSTR_GREEN

Green

DLG_ADDNOISE_IDSTR_LEVEL

&Level

DLG_ADDNOISE_IDSTR_MASTER

Master

DLG_ADDNOISE_IDSTR_RED

Red

Max Filter Dialog Strings

DLG_MAXFILTER_IDSTR_CAPTION

Max Filter

DLG_MAXFILTER_IDSTR_SAMPLESIZE

&Sample size

Min Filter Dialog Strings

DLG_MINFILTER_IDSTR_CAPTION

Min Filter

DLG_MINFILTER_IDSTR_SAMPLESIZE

&Sample size

Sharpen Dialog Strings

DLG_SHARPEN_IDSTR_CAPTION

Sharpen

DLG_SHARPEN_IDSTR_PERCENTAGE

&Percentage

Shift and Difference Filter Dialog Strings

DLG_SHIFTDIFFERENCEFILTER_IDSTR_CAPTION

Shift and Difference filter

DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTDIAG

Diagonal

DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTHORZ

Horizontal

DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTVAL

Filter &Value:

DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTVERT

Vertical

Emboss Dialog Strings

DLG_EMBOSS_IDSTR_CAPTION

Emboss

DLG_EMBOSS_IDSTR_EMBOSSDEPTH

D&epth

DLG_EMBOSS_IDSTR_EMBOSSDIR

&Direction:

DLG_EMBOSS_IDSTR_FLTE

East

DLG_EMBOSS_IDSTR_FLTN

North

DLG_EMBOSS_IDSTR_FLTNE

North-East

DLG_EMBOSS_IDSTR_FLTNW

North-West

DLG_EMBOSS_IDSTR_FLTS

South

DLG_EMBOSS_IDSTR_FLTSE

South-East

DLG_EMBOSS_IDSTR_FLTSW

South-West

DLG_EMBOSS_IDSTR_FLTW

West

Oilify Dialog Strings

DLG_OILIFY_IDSTR_CAPTION

Oilify

DLG_OILIFY_IDSTR_SAMPLESIZE

&Sample size

Mosaic Dialog Strings

DLG_MOSAIC_IDSTR_CAPTION

Mosaic

DLG_MOSAIC_IDSTR_TILESIZE

&Tile size

Erosion Filter Dialog Strings

DLG_EROSIONFILTER_IDSTR_CAPTION

Erosion Filter

DLG_EROSIONFILTER_IDSTR_FLTDIAG

Diagonal

DLG_EROSIONFILTER_IDSTR_FLTHORZ

Horizontal

DLG_EROSIONFILTER_IDSTR_FLTOMNI

Omnidirectional

DLG_EROSIONFILTER_IDSTR_FLTVAL

Filter &Value:

DLG_EROSIONFILTER_IDSTR_FLTVERT

Vertical

Dilation Filter Dialog Strings

DLG_DILATIONFILTER_IDSTR_CAPTION

Dilation Filter

DLG_DILATIONFILTER_IDSTR_FLTDIAG

Diagonal

DLG_DILATIONFILTER_IDSTR_FLTHORZ

Horizontal

DLG_DILATIONFILTER_IDSTR_FLTOMNI

Omnidirectional

DLG_DILATIONFILTER_IDSTR_FLTVAL

Filter &Value:

DLG_DILATIONFILTER_IDSTR_FLTVERT

Vertical

Contour Filter Dialog Strings

DLG_CONTOURFILTER_IDSTR_APPROXCOLOR

Segment Approximation - Color

DLG_CONTOURFILTER_IDSTR_CAPTION

Contour Filter

DLG_CONTOURFILTER_IDSTR_DELTADIRECTION

Delta &Direction

DLG_CONTOURFILTER_IDSTR_LINKBLACKWHITE

Linked Image - Black and White

DLG_CONTOURFILTER_IDSTR_LINKCOLOR

Linked Image - Color

DLG_CONTOURFILTER_IDSTR_LINKGRAYSCALE

Linked Image - Grayscales

DLG_CONTOURFILTER_IDSTR_MAXIMUMERROR

Maximum &Error

DLG_CONTOURFILTER_IDSTR_OPTION

&Option:

DLG_CONTOURFILTER_IDSTR_THIN

Thinned Image

DLG_CONTOURFILTER_IDSTR_THRESHOLD

&Threshold

Gradient Filter Dialog Strings

DLG_GRADIENTFILTER_IDSTR_CAPTION

Gradient Filter

DLG_GRADIENTFILTER_IDSTR_FLTE

East

DLG_GRADIENTFILTER_IDSTR_FLTN

North

DLG_GRADIENTFILTER_IDSTR_FLTNE

North-East

DLG_GRADIENTFILTER_IDSTR_FLTNW

North-West

DLG_GRADIENTFILTER_IDSTR_FLTS

South

DLG_GRADIENTFILTER_IDSTR_FLTSE

South-East

DLG_GRADIENTFILTER_IDSTR_FLTSW

South-West

DLG_GRADIENTFILTER_IDSTR_FLTVAL

Filter &Value:

DLG_GRADIENTFILTER_IDSTR_FLTW

West

Laplacian Filter Dialog Strings

DLG_LAPLACIANFILTER_IDSTR_CAPTION

Laplacian Filter

DLG_LAPLACIANFILTER_IDSTR_FLT1

Filter 1

DLG_LAPLACIANFILTER_IDSTR_FLT2

Filter 2

DLG_LAPLACIANFILTER_IDSTR_FLT3

Filter 3

DLG_LAPLACIANFILTER_IDSTR_FLTDIAG

Diagonal

DLG_LAPLACIANFILTER_IDSTR_FLTHORZ

Horizontal

DLG_LAPLACIANFILTER_IDSTR_FLTVAL

Filter &Value:

DLG_LAPLACIANFILTER_IDSTR_FLTVERT

Vertical

Sobel Filter Dialog Strings

DLG_SOBELFILTER_IDSTR_CAPTION

Sobel Filter

DLG_SOBELFILTER_IDSTR_FLTHORZ

Horizontal

DLG_SOBELFILTER_IDSTR_FLTVAL

Filter &Value:

DLG_SOBELFILTER_IDSTR_FLTVERT

Vertical

Prewitt Filter Dialog Strings

DLG_PREWITTFILTER_IDSTR_CAPTION

Prewitt Filter

DLG_PREWITTFILTER_IDSTR_FLTHORZ

Horizontal

DLG_PREWITTFILTER_IDSTR_FLTVAL

Filter &Value:

DLG_PREWITTFILTER_IDSTR_FLTVERT

Vertical

Line Segment Filter Dialog Strings

DLG_LINESEGMENTFILTER_IDSTR_CAPTION

Line Segment Filter

DLG_LINESEGMENTFILTER_IDSTR_FLTHORZ

Horizontal

DLG_LINESEGMENTFILTER_IDSTR_FLTLTOR

Left to Right Diagonal

DLG_LINESEGMENTFILTER_IDSTR_FLTRTOL

Right to Left Diagonal

DLG_LINESEGMENTFILTER_IDSTR_FLTVAL

Filter &Value:

DLG_LINESEGMENTFILTER_IDSTR_FLTVERT

Vertical

Rotate Dialog Strings

DLG_ROTATE_IDSTR_ANGLE

Clockwise &Angle (degrees)

DLG_ROTATE_IDSTR_BICUBIC

Bicubic

DLG_ROTATE_IDSTR_CAPTION

Rotate

DLG_ROTATE_IDSTR_COLOR

&Background:

DLG_ROTATE_IDSTR_INTERPOLATION

Inter&polation Type:

DLG_ROTATE_IDSTR_NORMAL

Normal

DLG_ROTATE_IDSTR_RESAMPLE

Resample

DLG_ROTATE_IDSTR_RESIZE

Resi&ze

Shear Dialog Strings

DLG_SHEAR_IDSTR_ANGLE

Clockwise &Angle (degrees)

DLG_SHEAR_IDSTR_CAPTION

Shear

DLG_SHEAR_IDSTR_COLOR

&Background:

DLG_SHEAR_IDSTR_HORIZONTAL

&Horizontal

Resize Dialog Strings

DLG_RESIZE_IDSTR_BICUBIC

Bicubic

DLG_RESIZE_IDSTR_CAPTION

Resize

DLG_RESIZE_IDSTR_FAVORBLACK

&Favor Black

DLG_RESIZE_IDSTR_HEIGHT

Height:

DLG_RESIZE_IDSTR_HEIGHTNEW

&Height:

DLG_RESIZE_IDSTR_HORIZONTAL

Horizontal:

DLG_RESIZE_IDSTR_HORIZONTALNEW

Hori&zontal:

DLG_RESIZE_IDSTR_IDENTICALVALUE

&Identical Values

DLG_RESIZE_IDSTR_MAINTAINASPECTRATIO

Maintain &Aspect Ratio

DLG_RESIZE_IDSTR_METHOD

&Method

DLG_RESIZE_IDSTR_NEW

New Image

DLG_RESIZE_IDSTR_NORMAL

Normal

DLG_RESIZE_IDSTR_ORIGINAL

Original Image

DLG_RESIZE_IDSTR_RESAMPLE

Resample

DLG_RESIZE_IDSTR_RESOLUTION

Resolution

DLG_RESIZE_IDSTR_SIZE

Size:

DLG_RESIZE_IDSTR_VERTICAL

Vertical:

DLG_RESIZE_IDSTR_VERTICALNEW

&Vertical:

DLG_RESIZE_IDSTR_WIDTH

Width:

DLG_RESIZE_IDSTR_WIDTHNEW

&Width:

Get Directory Dialog Strings

DLG_GETDIRECTORY_IDSTR_CAPTION

Get Directory

DLG_GETDIRECTORY_IDSTR_FILETYPE

Files of &type:

DLG_GETDIRECTORY_IDSTR_FOLDER

Look &in:

DLG_GETDIRECTORY_IDSTR_SELECT

Select

DLG_GETDIRECTORY_IDSTR_SELECTEDDIR

Selected Folder:

Save Dialog Strings

DLG_SAVE_IDSTR_BPP

B&PP:

DLG_SAVE_IDSTR_FILENAME

File &name:

DLG_SAVE_IDSTR_MSG_MULTIPAGE_OVERWRITE_TEXT

%s already exists. Do you want to replace it?

DLG_SAVE_IDSTR_MSG_MULTIPAGE_UPDATE_TEXT

%s already exists. Do you want to update it?

DLG_SAVE_IDSTR_OPTIONS

O&ptions...

DLG_SAVE_IDSTR_QFACTOR

&Qfactor:

DLG_SAVE_IDSTR_QFACTOR_ABCQ_MODIFIED1_FAST

Modified1 fast compression

DLG_SAVE_IDSTR_QFACTOR_CUSTOM

Custom

DLG_SAVE_IDSTR_QFACTOR_LMCQ_LOSSLESS

Lossless compression

DLG_SAVE_IDSTR_QFACTOR_LMCQ_VIRTUALLOSSLESS

Virtual Lossless compression

DLG_SAVE_IDSTR_QFACTOR_LMCQ_REMOVEBORDER

Remove Border compression

DLG_SAVE_IDSTR_QFACTOR_LMCQ_ENHANCE

Enhance compression

DLG_SAVE_IDSTR_QFACTOR_LMCQ_MODIFIED1

Modified 1 compression

DLG_SAVE_IDSTR_QFACTOR_LMCQ_MODIFIED2

Modified 2 compression

DLG_SAVE_IDSTR_QFACTOR_MC

Maximum compression

DLG_SAVE_IDSTR_QFACTOR_MCQ

Maximum compression keeping quality

DLG_SAVE_IDSTR_QFACTOR_PQ1

Perfect quality 1

DLG_SAVE_IDSTR_QFACTOR_PQ2

Perfect quality 2

DLG_SAVE_IDSTR_QFACTOR_QFS

Quality far more important than size

DLG_SAVE_IDSTR_QFACTOR_QMS

Quality more important than size

DLG_SAVE_IDSTR_QFACTOR_QS

Quality and size equally important

DLG_SAVE_IDSTR_QFACTOR_SQS

Size more important than quality (sharp)

DLG_SAVE_IDSTR_QFACTOR_SQT

Size more important than quality (less tiling)

DLG_SAVE_IDSTR_SAVE

Save

DLG_SAVE_IDSTR_SAVEIN

Save &in:

DLG_SAVE_IDSTR_SAVETYPE

Save as &type:

DLG_SAVE_IDSTR_SHORTCUTBAR_DESKTOP

Desktop

DLG_SAVE_IDSTR_SHORTCUTBAR_FAVORITES

Favorites

DLG_SAVE_IDSTR_SHORTCUTBAR_HISTORY

History

DLG_SAVE_IDSTR_SHORTCUTBAR_MYDOCUMENTS

My Documents

DLG_SAVE_IDSTR_SHORTCUTBAR_PATHS

Paths

DLG_SAVE_IDSTR_SUBTYPE

S&ub Type:

Shape Dialog Strings

DLG_SHAPE_IDSTR_16_POINT

16-Point

DLG_SHAPE_IDSTR_180_B

180° Bottom

DLG_SHAPE_IDSTR_180_L

180° Left

DLG_SHAPE_IDSTR_180_R

180° Right

DLG_SHAPE_IDSTR_180_T

180° Top

DLG_SHAPE_IDSTR_24_POINT

24-Point

DLG_SHAPE_IDSTR_270_LB

270° Left-Bottom

DLG_SHAPE_IDSTR_270_LT

270° Left-Top

DLG_SHAPE_IDSTR_270_RB

270° Right-Bottom

DLG_SHAPE_IDSTR_270_RT

270° Right-Top

DLG_SHAPE_IDSTR_2WAY_LB

2way Left-Bottom

DLG_SHAPE_IDSTR_2WAY_LR

2way Left-Right

DLG_SHAPE_IDSTR_2WAY_LT

2way Left-Top

DLG_SHAPE_IDSTR_2WAY_RB

2way Right-Bottom

DLG_SHAPE_IDSTR_2WAY_RT

2way Right-Top

DLG_SHAPE_IDSTR_2WAY_TB

2way Top-Bottom

DLG_SHAPE_IDSTR_324_POINT

32-Point

DLG_SHAPE_IDSTR_3WAY_LBR

3way Left-Bottom-Right

DLG_SHAPE_IDSTR_3WAY_LTB

3way Left-Top-Bottom

DLG_SHAPE_IDSTR_3WAY_LTR

3way Left-Top-Right

DLG_SHAPE_IDSTR_3WAY_TRB

3way Top-Right-Bottom

DLG_SHAPE_IDSTR_4_POINT

4-Point

DLG_SHAPE_IDSTR_4WAY

4way

DLG_SHAPE_IDSTR_5_POINT

5-Point

DLG_SHAPE_IDSTR_8_POINT

8-Point

DLG_SHAPE_IDSTR_90_LB

90° Left-Bottom

DLG_SHAPE_IDSTR_90_LT

90° Left-Top

DLG_SHAPE_IDSTR_90_RB

90° Right-Bottom

DLG_SHAPE_IDSTR_90_RT

90° Right-Top

DLG_SHAPE_IDSTR_ARROWS

Arrows

DLG_SHAPE_IDSTR_BACKCOLOR

B&ackColor:

DLG_SHAPE_IDSTR_BACKDIAGFILL

Backward Diagonal

DLG_SHAPE_IDSTR_BACKSTYLE

Bac&kStyle:

DLG_SHAPE_IDSTR_BORDERCOLOR

&Border Color:

DLG_SHAPE_IDSTR_BORDERSTYLE

Bo&rder Style:

DLG_SHAPE_IDSTR_BORDERWIDTH

Border &Width:

DLG_SHAPE_IDSTR_BOTTOM

Bottom

DLG_SHAPE_IDSTR_CAPTION

Shape Options

DLG_SHAPE_IDSTR_CATEGORY

Shape Cate&gory

DLG_SHAPE_IDSTR_CIRCLES

Circles

DLG_SHAPE_IDSTR_CROSSES

Crosses

DLG_SHAPE_IDSTR_CROSSFILL

Cross

DLG_SHAPE_IDSTR_DASHBORDER

Dash

DLG_SHAPE_IDSTR_DASHDOTBORDER

Dash-Dot

DLG_SHAPE_IDSTR_DASHDOTDOTBORDER

Dash-Dot-Dot

DLG_SHAPE_IDSTR_DIAGCROSSFILL

Diagonal Cross

DLG_SHAPE_IDSTR_DIAMOND

Diamond

DLG_SHAPE_IDSTR_DOTBORDER

Dot

DLG_SHAPE_IDSTR_ELLIPSES

Ellipses

DLG_SHAPE_IDSTR_EQ_BOTTOM

Equilateral Bottom

DLG_SHAPE_IDSTR_EQ_LEFT

Equilateral Left

DLG_SHAPE_IDSTR_EQ_RIGHT

Equilateral Right

DLG_SHAPE_IDSTR_EQ_TOP

Equilateral Top

DLG_SHAPE_IDSTR_FILLSTYLE

Fi&ll Style:

DLG_SHAPE_IDSTR_FORECOLOR

&ForeColor:

DLG_SHAPE_IDSTR_FOREDIAGFILL

Forward Diagonal

DLG_SHAPE_IDSTR_HEXAGON

Hexagon

DLG_SHAPE_IDSTR_HORZFILL

Horizontal

DLG_SHAPE_IDSTR_INNERHILITE

I&nner Hilite:

DLG_SHAPE_IDSTR_INNEROUTERINSET

Inset

DLG_SHAPE_IDSTR_INNEROUTERNONE

None

DLG_SHAPE_IDSTR_INNEROUTERRAISED

Raised

DLG_SHAPE_IDSTR_INNERSHADOW

Inner S&hadow:

DLG_SHAPE_IDSTR_INNERSTYLE

&Inner Style:

DLG_SHAPE_IDSTR_INNERWIDTH

Inn&er Width:

DLG_SHAPE_IDSTR_IS_BOTTOM

Isosceles Bottom

DLG_SHAPE_IDSTR_IS_LEFT

Isosceles Left

DLG_SHAPE_IDSTR_IS_RIGHT

Isosceles Right

DLG_SHAPE_IDSTR_IS_TOP

Isosceles Top

DLG_SHAPE_IDSTR_LARGE

Large

DLG_SHAPE_IDSTR_LEFT

Left

DLG_SHAPE_IDSTR_LINE

Line

DLG_SHAPE_IDSTR_LOADIMAGE_CAPTION

Pick Foreground Image

DLG_SHAPE_IDSTR_MEDIUM

Medium

DLG_SHAPE_IDSTR_NORMAL

Normal

DLG_SHAPE_IDSTR_OCTAGON

Octagon

DLG_SHAPE_IDSTR_OPAQUE

Opaque

DLG_SHAPE_IDSTR_OTHERS

Other

DLG_SHAPE_IDSTR_OUTERHILITE

O&uter Hilite:

DLG_SHAPE_IDSTR_OUTERSHADOW

Ou&ter Shadow:

DLG_SHAPE_IDSTR_OUTERSTYLE

&Outer Style:

DLG_SHAPE_IDSTR_OUTERWIDTH

Outer Wi&dth:

DLG_SHAPE_IDSTR_PARALLELS

Parallelograms

DLG_SHAPE_IDSTR_PENTAGON

Pentagon

DLG_SHAPE_IDSTR_PREVIEW

Pre&view

DLG_SHAPE_IDSTR_RECTS

Rectangles

DLG_SHAPE_IDSTR_RIGHT

Right

DLG_SHAPE_IDSTR_RIGHT_LB

Right Left-Bottom

DLG_SHAPE_IDSTR_RIGHT_LT

Right Left-Top

DLG_SHAPE_IDSTR_RIGHT_RB

Right Right-Bottom

DLG_SHAPE_IDSTR_RIGHT_RT

Right Right-Top

DLG_SHAPE_IDSTR_ROUNDED

Rounded

DLG_SHAPE_IDSTR_SHADOW

Shadow

DLG_SHAPE_IDSTR_SHADOWCOLOR

&Color:

DLG_SHAPE_IDSTR_SHADOWX

&X:

DLG_SHAPE_IDSTR_SHADOWY

&Y:

DLG_SHAPE_IDSTR_SMALL

Small

DLG_SHAPE_IDSTR_SOLIDBORDER

Solid

DLG_SHAPE_IDSTR_SOLIDFILL

Solid

DLG_SHAPE_IDSTR_SQUARES

Squares

DLG_SHAPE_IDSTR_STARS

Stars

DLG_SHAPE_IDSTR_STYLE

&Shape Style:

DLG_SHAPE_IDSTR_TILEDIMAGE

Tiled Image

DLG_SHAPE_IDSTR_TOP

Top

DLG_SHAPE_IDSTR_TRANSBORDER

Transparent

DLG_SHAPE_IDSTR_TRANSFILL

Transparent

DLG_SHAPE_IDSTR_TRANSLUCENT

Translucent

DLG_SHAPE_IDSTR_TRANSPARENT

Transparent

DLG_SHAPE_IDSTR_TRANSTILEDIMAGE

Translucent Tiled Image

DLG_SHAPE_IDSTR_TRAPS

Trapezoids

DLG_SHAPE_IDSTR_TRIANGLES

Triangles

DLG_SHAPE_IDSTR_VERTFILL

Vertical

Text Dialog Strings

DLG_TEXT_IDSTR_ALIGN

&Alignment:

DLG_TEXT_IDSTR_ALIGNBOTTOM

Bottom

DLG_TEXT_IDSTR_ALIGNHORZCENTER

Horz Center

DLG_TEXT_IDSTR_ALIGNLEFT

Left

DLG_TEXT_IDSTR_ALIGNRIGHT

Right

DLG_TEXT_IDSTR_ALIGNTOP

Top

DLG_TEXT_IDSTR_ALIGNVERTCENTER

Vert Center

DLG_TEXT_IDSTR_ANGLE

A&ngle:

DLG_TEXT_IDSTR_BLOCKSHADOW

Block Shadow

DLG_TEXT_IDSTR_BORDERCOLOR

&Border Color:

DLG_TEXT_IDSTR_CAPTION

Text Options

DLG_TEXT_IDSTR_COLOR

Text &Color:

DLG_TEXT_IDSTR_DROPSHADOW

Drop Shadow

DLG_TEXT_IDSTR_FONT

&Font...

DLG_TEXT_IDSTR_INSETHEAVY

Inset Heavy

DLG_TEXT_IDSTR_INSETLIGHT

Inset Light

DLG_TEXT_IDSTR_INSETXHEAVY

Inset Extra Heavy

DLG_TEXT_IDSTR_INSETXLIGHT

Inset Extra Light

DLG_TEXT_IDSTR_LOADIMAGE_CAPTION

Pick Foreground Image

DLG_TEXT_IDSTR_NOEFFECT

No 3D Effect

DLG_TEXT_IDSTR_OUTLINEBLOCK

Outline Block

DLG_TEXT_IDSTR_PREVIEW

Pre&view

DLG_TEXT_IDSTR_RAISEDHEAVY

Raised Heavy

DLG_TEXT_IDSTR_RAISEDLIGHT

Raised Light

DLG_TEXT_IDSTR_RAISEDXHEAVY

Raised Extra Heavy

DLG_TEXT_IDSTR_RAISEDXLIGHT

Raised Extra Light

DLG_TEXT_IDSTR_SAMPLETEXT

Sample &Text:

DLG_TEXT_IDSTR_SHADOW

Shadow

DLG_TEXT_IDSTR_SHADOWCOLOR

C&olor:

DLG_TEXT_IDSTR_SHADOWX

&X:

DLG_TEXT_IDSTR_SHADOWY

&Y:

DLG_TEXT_IDSTR_STYLE

&Style:

DLG_TEXT_IDSTR_USEFOREIMAGE

Use Foreground &Image

DLG_TEXT_IDSTR_WORDWRAP

&Word Wrap

Effect Dialog Strings

DLG_EFFECT_IDSTR_BLIND_CLASS

Blinds

DLG_EFFECT_IDSTR_BLOCKS_CLASS

Blocks

DLG_EFFECT_IDSTR_CAPTION

Paint Effect Options

DLG_EFFECT_IDSTR_CATEGORY

Effect &Category

DLG_EFFECT_IDSTR_CHECKERBOARD_CLASS

Checkerboards

DLG_EFFECT_IDSTR_CIRCLE_CLASS

Circular Effects

DLG_EFFECT_IDSTR_DELAY

&Delay:

DLG_EFFECT_IDSTR_DRIP_CLASS

Drips

DLG_EFFECT_IDSTR_ELLIPSE_CLASS

Elliptical Effects

DLG_EFFECT_IDSTR_GRAIN

&Grain:

DLG_EFFECT_IDSTR_NONE_CLASS

No Effect

DLG_EFFECT_IDSTR_PASSES

P&asses:

DLG_EFFECT_IDSTR_PREVIEW

Pre&view

DLG_EFFECT_IDSTR_PUSH_CLASS

Pushes

DLG_EFFECT_IDSTR_RANDOM_CLASS

Random Effects

DLG_EFFECT_IDSTR_ROLL_CLASS

Rolls

DLG_EFFECT_IDSTR_ROTATE_CLASS

Rotates

DLG_EFFECT_IDSTR_SLIDE_CLASS

Slides

DLG_EFFECT_IDSTR_STYLE

&Effect Style:

DLG_EFFECT_IDSTR_TRANSPARENT

&Transparent

DLG_EFFECT_IDSTR_WAND

&Wand:

DLG_EFFECT_IDSTR_WIPE_CIRCLE_CLASS

Circular Wipes

DLG_EFFECT_IDSTR_WIPE_CLASS

Linear Wipes

DLG_EFFECT_IDSTR_WIPE_RECTANGLE_CLASS

Rectangular Wipes

DLG_EFFECT_IDSTR_ZOOM_CLASS

Zooms

No Effect

DLG_EFFECT_IDSTR_NO_PICTURE

No picture (no background)

DLG_EFFECT_IDSTR_NONE

No effect

Linear Wipe

DLG_EFFECT_IDSTR_WIPE_B_TO_T

Btm to Top

DLG_EFFECT_IDSTR_WIPE_INTERH_B_TO_T_THEN_B_TO_T

Horz Interlace Btm to Top twice

DLG_EFFECT_IDSTR_WIPE_INTERH_B_TO_T_THEN_T_TO_B

Horz Interlace Btm to Top & Back

DLG_EFFECT_IDSTR_WIPE_INTERH_C_TO_T_AND_B

Horz Interlace Center to Top & Btm

DLG_EFFECT_IDSTR_WIPE_INTERH_C_TO_T_AND_B_THEN_T_AND_B_TO_C

Horz Interlace Center to Top & Btm & Back

DLG_EFFECT_IDSTR_WIPE_INTERH_L_TO_R_AND_R_TO_L

Horz Interlace Left to Right & Right to Left

DLG_EFFECT_IDSTR_WIPE_INTERH_L_TO_R_THEN_L_TO_R

Horz Interlace Left to Right twice

DLG_EFFECT_IDSTR_WIPE_INTERH_L_TO_R_THEN_R_TO_L

Horz Interlace Left to Right & Back

DLG_EFFECT_IDSTR_WIPE_INTERH_T_AND_B_TO_C

Horz Interlace Top & Btm to Center

DLG_EFFECT_IDSTR_WIPE_INTERH_T_AND_B_TO_C_THEN_C_TO_T_AND_B

Horz Interlace Top & Btm to Center & Back

DLG_EFFECT_IDSTR_WIPE_INTERH_T_TO_B_THEN_B_TO_T

Horz Interlace Top to Btm & Back

DLG_EFFECT_IDSTR_WIPE_INTERH_T_TO_B_THEN_T_TO_B

Horz Interlace Top to Btm twice

DLG_EFFECT_IDSTR_WIPE_INTERV_C_TO_L_AND_R

Vert Interlace Center to Left & Right

DLG_EFFECT_IDSTR_WIPE_INTERV_C_TO_L_AND_R_THEN_L_AND_R_TO_C

Vert Interlace Center to Left & Right & Back

DLG_EFFECT_IDSTR_WIPE_INTERV_L_AND_R_TO_C

Vert Interlace Left & Right to Center

DLG_EFFECT_IDSTR_WIPE_INTERV_L_AND_R_TO_C_THEN_C_TO_L_AND_R

Vert Interlace Left & Right to Center & Back

DLG_EFFECT_IDSTR_WIPE_INTERV_L_TO_R_THEN_L_TO_R

Vert Interlace Left to Right twice

DLG_EFFECT_IDSTR_WIPE_INTERV_L_TO_R_THEN_R_TO_L

Vert Interlace Left to Right & Back

DLG_EFFECT_IDSTR_WIPE_INTERV_R_TO_L_THEN_L_TO_R

Vert Interlace Right to Left & Back

DLG_EFFECT_IDSTR_WIPE_INTERV_R_TO_L_THEN_R_TO_L

Vert Interlace Right to Left twice

DLG_EFFECT_IDSTR_WIPE_INTERV_T_TO_B_AND_B_TO_T

Vert Interlace Top to Btm & Btm to Top

DLG_EFFECT_IDSTR_WIPE_INTERV_T_TO_B_THEN_B_TO_T

Vert Interlace Top to Btm & Back

DLG_EFFECT_IDSTR_WIPE_INTERV_T_TO_B_THEN_T_TO_B

Vert Interlace Top to Btm twice

DLG_EFFECT_IDSTR_WIPE_L_TO_R

Left to Right

DLG_EFFECT_IDSTR_WIPE_LB_TO_RT

L-Btm to R-Top

DLG_EFFECT_IDSTR_WIPE_LT_TO_RB

L-Top to R-Btm

DLG_EFFECT_IDSTR_WIPE_R_TO_L

Right to Left

DLG_EFFECT_IDSTR_WIPE_RB_TO_LT

R-Btm to L-Top

DLG_EFFECT_IDSTR_WIPE_RT_TO_LB

R-Top to L-Btm

DLG_EFFECT_IDSTR_WIPE_T_TO_B

Top to Btm

DLG_EFFECT_IDSTR_WIPE2_C_TO_LB_AND_RT

2way Center to L-Btm & R-Top

DLG_EFFECT_IDSTR_WIPE2_C_TO_LT_AND_RB

2way Center to L-Top & R-Btm

DLG_EFFECT_IDSTR_WIPE2_L_T_TO_B_AND_R_B_TO_T

2way Left Down & Right Up

DLG_EFFECT_IDSTR_WIPE2_LB_AND_RB_TO_T

2way L-Btm & R-Btm to Top

DLG_EFFECT_IDSTR_WIPE2_LB_AND_RT_TO_C

2way L-Btm & R-Top to Center

DLG_EFFECT_IDSTR_WIPE2_LT_AND_LB_TO_R

2way L-Top & L-Btm to Right

DLG_EFFECT_IDSTR_WIPE2_LT_AND_RB_TO_C

2way L-Top & R-Btm to Center

DLG_EFFECT_IDSTR_WIPE2_LT_AND_RT_TO_B

2way L-Top & R-Top to Btm

DLG_EFFECT_IDSTR_WIPE2_RT_AND_RB_TO_L

2way R-Top & R-Btm to Left

DLG_EFFECT_IDSTR_WIPE2_T_L_TO_R_AND_B_R_TO_L

2way Left to Right & Right to Left

DLG_EFFECT_IDSTR_WIPE4_B_B_B_B

4way Btm Btm Btm Btm

DLG_EFFECT_IDSTR_WIPE4_B_B_B_L

4way Btm Btm Btm Left

DLG_EFFECT_IDSTR_WIPE4_B_B_B_R

4way Btm Btm Btm Right

DLG_EFFECT_IDSTR_WIPE4_B_B_B_T

4way Btm Btm Btm Top

DLG_EFFECT_IDSTR_WIPE4_B_B_L_B

4way Btm Btm Left Btm

DLG_EFFECT_IDSTR_WIPE4_B_B_L_L

4way Btm Btm Left Left

DLG_EFFECT_IDSTR_WIPE4_B_B_L_R

4way Btm Btm Left Right

DLG_EFFECT_IDSTR_WIPE4_B_B_L_T

4way Btm Btm Left Top

DLG_EFFECT_IDSTR_WIPE4_B_B_R_B

4way Btm Btm Right Btm

DLG_EFFECT_IDSTR_WIPE4_B_B_R_L

4way Btm Btm Right Left

DLG_EFFECT_IDSTR_WIPE4_B_B_R_R

4way Btm Btm Right Right

DLG_EFFECT_IDSTR_WIPE4_B_B_R_T

4way Btm Btm Right Top

DLG_EFFECT_IDSTR_WIPE4_B_B_T_B

4way Btm Btm Top Btm

DLG_EFFECT_IDSTR_WIPE4_B_B_T_L

4way Btm Btm Top Left

DLG_EFFECT_IDSTR_WIPE4_B_B_T_R

4way Btm Btm Top Right

DLG_EFFECT_IDSTR_WIPE4_B_B_T_T

4way Btm Btm Top Top

DLG_EFFECT_IDSTR_WIPE4_B_L_B_B

4way Btm Left Btm Btm

DLG_EFFECT_IDSTR_WIPE4_B_L_B_L

4way Btm Left Btm Left

DLG_EFFECT_IDSTR_WIPE4_B_L_B_R

4way Btm Left Btm Right

DLG_EFFECT_IDSTR_WIPE4_B_L_B_T

4way Btm Left Btm Top

DLG_EFFECT_IDSTR_WIPE4_B_L_L_B

4way Btm Left Left Btm

DLG_EFFECT_IDSTR_WIPE4_B_L_L_L

4way Btm Left Left Left

DLG_EFFECT_IDSTR_WIPE4_B_L_L_R

4way Btm Left Left Right

DLG_EFFECT_IDSTR_WIPE4_B_L_L_T

4way Btm Left Left Top

DLG_EFFECT_IDSTR_WIPE4_B_L_R_B

4way Btm Left Right Btm

DLG_EFFECT_IDSTR_WIPE4_B_L_R_L

4way Btm Left Right Left

DLG_EFFECT_IDSTR_WIPE4_B_L_R_R

4way Btm Left Right Right

DLG_EFFECT_IDSTR_WIPE4_B_L_R_T

4way Btm Left Right Top

DLG_EFFECT_IDSTR_WIPE4_B_L_T_B

4way Btm Left Top Btm

DLG_EFFECT_IDSTR_WIPE4_B_L_T_L

4way Btm Left Top Left

DLG_EFFECT_IDSTR_WIPE4_B_L_T_R

4way Btm Left Top Right

DLG_EFFECT_IDSTR_WIPE4_B_L_T_T

4way Btm Left Top Top

DLG_EFFECT_IDSTR_WIPE4_B_R_B_B

4way Btm Right Btm Btm

DLG_EFFECT_IDSTR_WIPE4_B_R_B_L

4way Btm Right Btm Left

DLG_EFFECT_IDSTR_WIPE4_B_R_B_R

4way Btm Right Btm Right

DLG_EFFECT_IDSTR_WIPE4_B_R_B_T

4way Btm Right Btm Top

DLG_EFFECT_IDSTR_WIPE4_B_R_L_B

4way Btm Right Left Btm

DLG_EFFECT_IDSTR_WIPE4_B_R_L_L

4way Btm Right Left Left

DLG_EFFECT_IDSTR_WIPE4_B_R_L_R

4way Btm Right Left Right

DLG_EFFECT_IDSTR_WIPE4_B_R_L_T

4way Btm Right Left Top

DLG_EFFECT_IDSTR_WIPE4_B_R_R_B

4way Btm Right Right Btm

DLG_EFFECT_IDSTR_WIPE4_B_R_R_L

4way Btm Right Right Left

DLG_EFFECT_IDSTR_WIPE4_B_R_R_R

4way Btm Right Right Right

DLG_EFFECT_IDSTR_WIPE4_B_R_R_T

4way Btm Right Right Top

DLG_EFFECT_IDSTR_WIPE4_B_R_T_B

4way Btm Right Top Btm

DLG_EFFECT_IDSTR_WIPE4_B_R_T_L

4way Btm Right Top Left

DLG_EFFECT_IDSTR_WIPE4_B_R_T_R

4way Btm Right Top Right

DLG_EFFECT_IDSTR_WIPE4_B_R_T_T

4way Btm Right Top Top

DLG_EFFECT_IDSTR_WIPE4_B_T_B_B

4way Btm Top Btm Btm

DLG_EFFECT_IDSTR_WIPE4_B_T_B_L

4way Btm Top Btm Left

DLG_EFFECT_IDSTR_WIPE4_B_T_B_R

4way Btm Top Btm Right

DLG_EFFECT_IDSTR_WIPE4_B_T_B_T

4way Btm Top Btm Top

DLG_EFFECT_IDSTR_WIPE4_B_T_L_B

4way Btm Top Left Btm

DLG_EFFECT_IDSTR_WIPE4_B_T_L_L

4way Btm Top Left Left

DLG_EFFECT_IDSTR_WIPE4_B_T_L_R

4way Btm Top Left Right

DLG_EFFECT_IDSTR_WIPE4_B_T_L_T

4way Btm Top Left Top

DLG_EFFECT_IDSTR_WIPE4_B_T_R_B

4way Btm Top Right Btm

DLG_EFFECT_IDSTR_WIPE4_B_T_R_L

4way Btm Top Right Left

DLG_EFFECT_IDSTR_WIPE4_B_T_R_R

4way Btm Top Right Right

DLG_EFFECT_IDSTR_WIPE4_B_T_R_T

4way Btm Top Right Top

DLG_EFFECT_IDSTR_WIPE4_B_T_T_B

4way Btm Top Top Btm

DLG_EFFECT_IDSTR_WIPE4_B_T_T_L

4way Btm Top Top Left

DLG_EFFECT_IDSTR_WIPE4_B_T_T_R

4way Btm Top Top Right

DLG_EFFECT_IDSTR_WIPE4_B_T_T_T

4way Btm Top Top Top

DLG_EFFECT_IDSTR_WIPE4_C_TO_L_AND_R_THEN_T_AND_B

4way Out Horz then Vert

DLG_EFFECT_IDSTR_WIPE4_CORNERS_OUT

4way Corners Out

DLG_EFFECT_IDSTR_WIPE4_L_B_B_B

4way Left Btm Btm Btm

DLG_EFFECT_IDSTR_WIPE4_L_B_B_L

4way Left Btm Btm Left

DLG_EFFECT_IDSTR_WIPE4_L_B_B_R

4way Left Btm Btm Right

DLG_EFFECT_IDSTR_WIPE4_L_B_B_T

4way Left Btm Btm Top

DLG_EFFECT_IDSTR_WIPE4_L_B_L_B

4way Left Btm Left Btm

DLG_EFFECT_IDSTR_WIPE4_L_B_L_L

4way Left Btm Left Left

DLG_EFFECT_IDSTR_WIPE4_L_B_L_R

4way Left Btm Left Right

DLG_EFFECT_IDSTR_WIPE4_L_B_L_T

4way Left Btm Left Top

DLG_EFFECT_IDSTR_WIPE4_L_B_R_B

4way Left Btm Right Btm

DLG_EFFECT_IDSTR_WIPE4_L_B_R_L

4way Left Btm Right Left

DLG_EFFECT_IDSTR_WIPE4_L_B_R_R

4way Left Btm Right Right

DLG_EFFECT_IDSTR_WIPE4_L_B_R_T

4way Left Btm Right Top

DLG_EFFECT_IDSTR_WIPE4_L_B_T_B

4way Left Btm Top Btm

DLG_EFFECT_IDSTR_WIPE4_L_B_T_L

4way Left Btm Top Left

DLG_EFFECT_IDSTR_WIPE4_L_B_T_R

4way Left Btm Top Right

DLG_EFFECT_IDSTR_WIPE4_L_B_T_T

4way Left Btm Top Top

DLG_EFFECT_IDSTR_WIPE4_L_L_B_B

4way Left Left Btm Btm

DLG_EFFECT_IDSTR_WIPE4_L_L_B_L

4way Left Left Btm Left

DLG_EFFECT_IDSTR_WIPE4_L_L_B_R

4way Left Left Btm Right

DLG_EFFECT_IDSTR_WIPE4_L_L_B_T

4way Left Left Btm Top

DLG_EFFECT_IDSTR_WIPE4_L_L_L_B

4way Left Left Left Btm

DLG_EFFECT_IDSTR_WIPE4_L_L_L_L

4way Left Left Left Left

DLG_EFFECT_IDSTR_WIPE4_L_L_L_R

4way Left Left Left Right

DLG_EFFECT_IDSTR_WIPE4_L_L_L_T

4way Left Left Left Top

DLG_EFFECT_IDSTR_WIPE4_L_L_R_B

4way Left Left Right Btm

DLG_EFFECT_IDSTR_WIPE4_L_L_R_L

4way Left Left Right Left

DLG_EFFECT_IDSTR_WIPE4_L_L_R_R

4way Left Left Right Right

DLG_EFFECT_IDSTR_WIPE4_L_L_R_T

4way Left Left Right Top

DLG_EFFECT_IDSTR_WIPE4_L_L_T_B

4way Left Left Top Btm

DLG_EFFECT_IDSTR_WIPE4_L_L_T_L

4way Left Left Top Left

DLG_EFFECT_IDSTR_WIPE4_L_L_T_R

4way Left Left Top Right

DLG_EFFECT_IDSTR_WIPE4_L_L_T_T

4way Left Left Top Top

DLG_EFFECT_IDSTR_WIPE4_L_R_B_B

4way Left Right Btm Btm

DLG_EFFECT_IDSTR_WIPE4_L_R_B_L

4way Left Right Btm Left

DLG_EFFECT_IDSTR_WIPE4_L_R_B_R

4way Left Right Btm Right

DLG_EFFECT_IDSTR_WIPE4_L_R_B_T

4way Left Right Btm Top

DLG_EFFECT_IDSTR_WIPE4_L_R_L_B

4way Left Right Left Btm

DLG_EFFECT_IDSTR_WIPE4_L_R_L_L

4way Left Right Left Left

DLG_EFFECT_IDSTR_WIPE4_L_R_L_R

4way Left Right Left Right

DLG_EFFECT_IDSTR_WIPE4_L_R_L_T

4way Left Right Left Top

DLG_EFFECT_IDSTR_WIPE4_L_R_R_B

4way Left Right Right Btm

DLG_EFFECT_IDSTR_WIPE4_L_R_R_L

4way Left Right Right Left

DLG_EFFECT_IDSTR_WIPE4_L_R_R_R

4way Left Right Right Right

DLG_EFFECT_IDSTR_WIPE4_L_R_R_T

4way Left Right Right Top

DLG_EFFECT_IDSTR_WIPE4_L_R_T_B

4way Left Right Top Btm

DLG_EFFECT_IDSTR_WIPE4_L_R_T_L

4way Left Right Top Left

DLG_EFFECT_IDSTR_WIPE4_L_R_T_R

4way Left Right Top Right

DLG_EFFECT_IDSTR_WIPE4_L_R_T_T

4way Left Right Top Top

DLG_EFFECT_IDSTR_WIPE4_L_T_B_B

4way Left Top Btm Btm

DLG_EFFECT_IDSTR_WIPE4_L_T_B_L

4way Left Top Btm Left

DLG_EFFECT_IDSTR_WIPE4_L_T_B_R

4way Left Top Btm Right

DLG_EFFECT_IDSTR_WIPE4_L_T_B_T

4way Left Top Btm Top

DLG_EFFECT_IDSTR_WIPE4_L_T_L_B

4way Left Top Left Btm

DLG_EFFECT_IDSTR_WIPE4_L_T_L_L

4way Left Top Left Left

DLG_EFFECT_IDSTR_WIPE4_L_T_L_R

4way Left Top Left Right

DLG_EFFECT_IDSTR_WIPE4_L_T_L_T

4way Left Top Left Top

DLG_EFFECT_IDSTR_WIPE4_L_T_R_B

4way Left Top Right Btm

DLG_EFFECT_IDSTR_WIPE4_L_T_R_L

4way Left Top Right Left

DLG_EFFECT_IDSTR_WIPE4_L_T_R_R

4way Left Top Right Right

DLG_EFFECT_IDSTR_WIPE4_L_T_R_T

4way Left Top Right Top

DLG_EFFECT_IDSTR_WIPE4_L_T_T_B

4way Left Top Top Btm

DLG_EFFECT_IDSTR_WIPE4_L_T_T_L

4way Left Top Top Left

DLG_EFFECT_IDSTR_WIPE4_L_T_T_R

4way Left Top Top Right

DLG_EFFECT_IDSTR_WIPE4_L_T_T_T

4way Left Top Top Top

DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_LB

4way L-Btm L-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_LT

4way L-Btm L-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_RB

4way L-Btm L-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_RT

4way L-Btm L-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_LB

4way L-Btm L-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_LT

4way L-Btm L-Btm L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_RB

4way L-Btm L-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_RT

4way L-Btm L-Btm L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_LB

4way L-Btm L-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_LT

4way L-Btm L-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_RB

4way L-Btm L-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_RT

4way L-Btm L-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_LB

4way L-Btm L-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_LT

4way L-Btm L-Btm R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_RB

4way L-Btm L-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_RT

4way L-Btm L-Btm R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_LB

4way L-Btm L-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_LT

4way L-Btm L-Top L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_RB

4way L-Btm L-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_RT

4way L-Btm L-Top L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_LB

4way L-Btm L-Top L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_LT

4way L-Btm L-Top L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_RB

4way L-Btm L-Top L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_RT

4way L-Btm L-Top L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_LB

4way L-Btm L-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_LT

4way L-Btm L-Top R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_RB

4way L-Btm L-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_RT

4way L-Btm L-Top R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_LB

4way L-Btm L-Top R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_LT

4way L-Btm L-Top R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_RB

4way L-Btm L-Top R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_RT

4way L-Btm L-Top R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_LB

4way L-Btm R-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_LT

4way L-Btm R-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_RB

4way L-Btm R-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_RT

4way L-Btm R-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_LB

4way L-Btm R-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_LT

4way L-Btm R-Btm L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_RB

4way L-Btm R-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_RT

4way L-Btm R-Btm L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_LB

4way L-Btm R-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_LT

4way L-Btm R-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_RB

4way L-Btm R-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_RT

4way L-Btm R-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_LB

4way L-Btm R-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_LT

4way L-Btm R-Btm R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_RB

4way L-Btm R-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_RT

4way L-Btm R-Btm R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_LB

4way L-Btm R-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_LT

4way L-Btm R-Top L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_RB

4way L-Btm R-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_RT

4way L-Btm R-Top L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_LB

4way L-Btm R-Top L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_LT

4way L-Btm R-Top L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_RB

4way L-Btm R-Top L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_RT

4way L-Btm R-Top L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_LB

4way L-Btm R-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_LT

4way L-Btm R-Top R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_RB

4way L-Btm R-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_RT

4way L-Btm R-Top R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_LB

4way L-Btm R-Top R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_LT

4way L-Btm R-Top R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_RB

4way L-Btm R-Top R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_RT

4way L-Btm R-Top R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_LB

4way L-Top L-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_LT

4way L-Top L-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_RB

4way L-Top L-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_RT

4way L-Top L-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_LB

4way L-Top L-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_LT

4way L-Top L-Btm L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_RB

4way L-Top L-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_RT

4way L-Top L-Btm L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_LB

4way L-Top L-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_LT

4way L-Top L-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_RB

4way L-Top L-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_RT

4way L-Top L-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_LB

4way L-Top L-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_LT

4way L-Top L-Btm R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_RB

4way L-Top L-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_RT

4way L-Top L-Btm R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_LB

4way L-Top L-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_LT

4way L-Top L-Top L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_RB

4way L-Top L-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_RT

4way L-Top L-Top L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_LB

4way L-Top L-Top L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_LT

4way L-Top L-Top L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_RB

4way L-Top L-Top L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_RT

4way L-Top L-Top L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_LB

4way L-Top L-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_LT

4way L-Top L-Top R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_RB

4way L-Top L-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_RT

4way L-Top L-Top R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_LB

4way L-Top L-Top R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_LT

4way L-Top L-Top R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_RB

4way L-Top L-Top R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_RT

4way L-Top L-Top R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_LB

4way L-Top R-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_LT

4way L-Top R-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_RB

4way L-Top R-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_RT

4way L-Top R-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_LB

4way L-Top R-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_LT

4way L-Top R-Btm L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_RB

4way L-Top R-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_RT

4way L-Top R-Btm L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_LB

4way L-Top R-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_LT

4way L-Top R-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_RB

4way L-Top R-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_RT

4way L-Top R-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_LB

4way L-Top R-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_LT

4way L-Top R-Btm R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_RB

4way L-Top R-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_RT

4way L-Top R-Btm R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_LB

4way L-Top R-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_LT

4way L-Top R-Top L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_RB

4way L-Top R-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_RT

4way L-Top R-Top L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_LB

4way L-Top R-Top L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_LT

4way L-Top R-Top L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_RB

4way L-Top R-Top L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_RT

4way L-Top R-Top L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_LB

4way L-Top R-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_LT

4way L-Top R-Top R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_RB

4way L-Top R-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_RT

4way L-Top R-Top R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_LB

4way L-Top R-Top R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_LT

4way L-Top R-Top R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_RB

4way L-Top R-Top R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_RT

4way L-Top R-Top R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_R_B_B_B

4way Right Btm Btm Btm

DLG_EFFECT_IDSTR_WIPE4_R_B_B_L

4way Right Btm Btm Left

DLG_EFFECT_IDSTR_WIPE4_R_B_B_R

4way Right Btm Btm Right

DLG_EFFECT_IDSTR_WIPE4_R_B_B_T

4way Right Btm Btm Top

DLG_EFFECT_IDSTR_WIPE4_R_B_L_B

4way Right Btm Left Btm

DLG_EFFECT_IDSTR_WIPE4_R_B_L_L

4way Right Btm Left Left

DLG_EFFECT_IDSTR_WIPE4_R_B_L_R

4way Right Btm Left Right

DLG_EFFECT_IDSTR_WIPE4_R_B_L_T

4way Right Btm Left Top

DLG_EFFECT_IDSTR_WIPE4_R_B_R_B

4way Right Btm Right Btm

DLG_EFFECT_IDSTR_WIPE4_R_B_R_L

4way Right Btm Right Left

DLG_EFFECT_IDSTR_WIPE4_R_B_R_R

4way Right Btm Right Right

DLG_EFFECT_IDSTR_WIPE4_R_B_R_T

4way Right Btm Right Top

DLG_EFFECT_IDSTR_WIPE4_R_B_T_B

4way Right Btm Top Btm

DLG_EFFECT_IDSTR_WIPE4_R_B_T_L

4way Right Btm Top Left

DLG_EFFECT_IDSTR_WIPE4_R_B_T_R

4way Right Btm Top Right

DLG_EFFECT_IDSTR_WIPE4_R_B_T_T

4way Right Btm Top Top

DLG_EFFECT_IDSTR_WIPE4_R_L_B_B

4way Right Left Btm Btm

DLG_EFFECT_IDSTR_WIPE4_R_L_B_L

4way Right Left Btm Left

DLG_EFFECT_IDSTR_WIPE4_R_L_B_R

4way Right Left Btm Right

DLG_EFFECT_IDSTR_WIPE4_R_L_B_T

4way Right Left Btm Top

DLG_EFFECT_IDSTR_WIPE4_R_L_L_B

4way Right Left Left Btm

DLG_EFFECT_IDSTR_WIPE4_R_L_L_L

4way Right Left Left Left

DLG_EFFECT_IDSTR_WIPE4_R_L_L_R

4way Right Left Left Right

DLG_EFFECT_IDSTR_WIPE4_R_L_L_T

4way Right Left Left Top

DLG_EFFECT_IDSTR_WIPE4_R_L_R_B

4way Right Left Right Btm

DLG_EFFECT_IDSTR_WIPE4_R_L_R_L

4way Right Left Right Left

DLG_EFFECT_IDSTR_WIPE4_R_L_R_R

4way Right Left Right Right

DLG_EFFECT_IDSTR_WIPE4_R_L_R_T

4way Right Left Right Top

DLG_EFFECT_IDSTR_WIPE4_R_L_T_B

4way Right Left Top Btm

DLG_EFFECT_IDSTR_WIPE4_R_L_T_L

4way Right Left Top Left

DLG_EFFECT_IDSTR_WIPE4_R_L_T_R

4way Right Left Top Right

DLG_EFFECT_IDSTR_WIPE4_R_L_T_T

4way Right Left Top Top

DLG_EFFECT_IDSTR_WIPE4_R_R_B_B

4way Right Right Btm Btm

DLG_EFFECT_IDSTR_WIPE4_R_R_B_L

4way Right Right Btm Left

DLG_EFFECT_IDSTR_WIPE4_R_R_B_R

4way Right Right Btm Right

DLG_EFFECT_IDSTR_WIPE4_R_R_B_T

4way Right Right Btm Top

DLG_EFFECT_IDSTR_WIPE4_R_R_L_B

4way Right Right Left Btm

DLG_EFFECT_IDSTR_WIPE4_R_R_L_L

4way Right Right Left Left

DLG_EFFECT_IDSTR_WIPE4_R_R_L_R

4way Right Right Left Right

DLG_EFFECT_IDSTR_WIPE4_R_R_L_T

4way Right Right Left Top

DLG_EFFECT_IDSTR_WIPE4_R_R_R_B

4way Right Right Right Btm

DLG_EFFECT_IDSTR_WIPE4_R_R_R_L

4way Right Right Right Left

DLG_EFFECT_IDSTR_WIPE4_R_R_R_R

4way Right Right Right Right

DLG_EFFECT_IDSTR_WIPE4_R_R_R_T

4way Right Right Right Top

DLG_EFFECT_IDSTR_WIPE4_R_R_T_B

4way Right Right Top Btm

DLG_EFFECT_IDSTR_WIPE4_R_R_T_L

4way Right Right Top Left

DLG_EFFECT_IDSTR_WIPE4_R_R_T_R

4way Right Right Top Right

DLG_EFFECT_IDSTR_WIPE4_R_R_T_T

4way Right Right Top Top

DLG_EFFECT_IDSTR_WIPE4_R_T_B_B

4way Right Top Btm Btm

DLG_EFFECT_IDSTR_WIPE4_R_T_B_L

4way Right Top Btm Left

DLG_EFFECT_IDSTR_WIPE4_R_T_B_R

4way Right Top Btm Right

DLG_EFFECT_IDSTR_WIPE4_R_T_B_T

4way Right Top Btm Top

DLG_EFFECT_IDSTR_WIPE4_R_T_L_B

4way Right Top Left Btm

DLG_EFFECT_IDSTR_WIPE4_R_T_L_L

4way Right Top Left Left

DLG_EFFECT_IDSTR_WIPE4_R_T_L_R

4way Right Top Left Right

DLG_EFFECT_IDSTR_WIPE4_R_T_L_T

4way Right Top Left Top

DLG_EFFECT_IDSTR_WIPE4_R_T_R_B

4way Right Top Right Btm

DLG_EFFECT_IDSTR_WIPE4_R_T_R_L

4way Right Top Right Left

DLG_EFFECT_IDSTR_WIPE4_R_T_R_R

4way Right Top Right Right

DLG_EFFECT_IDSTR_WIPE4_R_T_R_T

4way Right Top Right Top

DLG_EFFECT_IDSTR_WIPE4_R_T_T_B

4way Right Top Top Btm

DLG_EFFECT_IDSTR_WIPE4_R_T_T_L

4way Right Top Top Left

DLG_EFFECT_IDSTR_WIPE4_R_T_T_R

4way Right Top Top Right

DLG_EFFECT_IDSTR_WIPE4_R_T_T_T

4way Right Top Top Top

DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_LB

4way R-Btm L-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_LT

4way R-Btm L-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_RB

4way R-Btm L-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_RT

4way R-Btm L-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_LB

4way R-Btm L-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_LT

4way R-Btm L-Btm L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_RB

4way R-Btm L-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_RT

4way R-Btm L-Btm L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_LB

4way R-Btm L-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_LT

4way R-Btm L-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_RB

4way R-Btm L-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_RT

4way R-Btm L-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_LB

4way R-Btm L-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_LT

4way R-Btm L-Btm R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_RB

4way R-Btm L-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_RT

4way R-Btm L-Btm R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_LB

4way R-Btm L-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_LT

4way R-Btm L-Top L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_RB

4way R-Btm L-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_RT

4way R-Btm L-Top L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_LB

4way R-Btm L-Top L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_LT

4way R-Btm L-Top L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_RB

4way R-Btm L-Top L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_RT

4way R-Btm L-Top L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_LB

4way R-Btm L-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_LT

4way R-Btm L-Top R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_RB

4way R-Btm L-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_RT

4way R-Btm L-Top R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_LB

4way R-Btm L-Top R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_LT

4way R-Btm L-Top R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_RB

4way R-Btm L-Top R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_RT

4way R-Btm L-Top R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_LB

4way R-Btm R-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_LT

4way R-Btm R-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_RB

4way R-Btm R-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_RT

4way R-Btm R-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_LB

4way R-Btm R-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_LT

4way R-Btm R-Btm L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_RB

4way R-Btm R-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_RT

4way R-Btm R-Btm L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_LB

4way R-Btm R-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_LT

4way R-Btm R-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_RB

4way R-Btm R-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_RT

4way R-Btm R-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_LB

4way R-Btm R-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_LT

4way R-Btm R-Btm R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_RB

4way R-Btm R-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_RT

4way R-Btm R-Btm R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_LB

4way R-Btm R-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_LT

4way R-Btm R-Top L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_RB

4way R-Btm R-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_RT

4way R-Btm R-Top L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_LB

4way R-Btm R-Top L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_LT

4way R-Btm R-Top L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_RB

4way R-Btm R-Top L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_RT

4way R-Btm R-Top L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_LB

4way R-Btm R-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_LT

4way R-Btm R-Top R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_RB

4way R-Btm R-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_RT

4way R-Btm R-Top R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_LB

4way R-Btm R-Top R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_LT

4way R-Btm R-Top R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_RB

4way R-Btm R-Top R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_RT

4way R-Btm R-Top R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_LB

4way R-Top L-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_LT

4way R-Top L-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_RB

4way R-Top L-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_RT

4way R-Top L-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_LB

4way R-Top L-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_LT

4way R-Top L-Btm L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_RB

4way R-Top L-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_RT

4way R-Top L-Btm L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_LB

4way R-Top L-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_LT

4way R-Top L-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_RB

4way R-Top L-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_RT

4way R-Top L-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_LB

4way R-Top L-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_LT

4way R-Top L-Btm R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_RB

4way R-Top L-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_RT

4way R-Top L-Btm R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_LB

4way R-Top L-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_LT

4way R-Top L-Top L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_RB

4way R-Top L-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_RT

4way R-Top L-Top L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_LB

4way R-Top L-Top L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_LT

4way R-Top L-Top L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_RB

4way R-Top L-Top L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_RT

4way R-Top L-Top L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_LB

4way R-Top L-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_LT

4way R-Top L-Top R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_RB

4way R-Top L-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_RT

4way R-Top L-Top R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_LB

4way R-Top L-Top R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_LT

4way R-Top L-Top R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_RB

4way R-Top L-Top R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_RT

4way R-Top L-Top R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_LB

4way R-Top R-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_LT

4way R-Top R-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_RB

4way R-Top R-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_RT

4way R-Top R-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_LB

4way R-Top R-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_LT

4way R-Top R-Btm L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_RB

4way R-Top R-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_RT

4way R-Top R-Btm L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_LB

4way R-Top R-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_LT

4way R-Top R-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_RB

4way R-Top R-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_RT

4way R-Top R-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_LB

4way R-Top R-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_LT

4way R-Top R-Btm R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_RB

4way R-Top R-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_RT

4way R-Top R-Btm R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_LB

4way R-Top R-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_LT

4way R-Top R-Top L-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_RB

4way R-Top R-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_RT

4way R-Top R-Top L-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_LB

4way R-Top R-Top L-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_LT

4way R-Top R-Top L-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_RB

4way R-Top R-Top L-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_RT

4way R-Top R-Top L-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_LB

4way R-Top R-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_LT

4way R-Top R-Top R-Btm L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_RB

4way R-Top R-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_RT

4way R-Top R-Top R-Btm R-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_LB

4way R-Top R-Top R-Top L-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_LT

4way R-Top R-Top R-Top L-Top

DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_RB

4way R-Top R-Top R-Top R-Btm

DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_RT

4way R-Top R-Top R-Top R-Top

DLG_EFFECT_IDSTR_WIPE4_T_AND_B_THEN_L_AND_R_TO_C

4way In Vert then Horz

DLG_EFFECT_IDSTR_WIPE4_T_B_B_B

4way Top Btm Btm Btm

DLG_EFFECT_IDSTR_WIPE4_T_B_B_L

4way Top Btm Btm Left

DLG_EFFECT_IDSTR_WIPE4_T_B_B_R

4way Top Btm Btm Right

DLG_EFFECT_IDSTR_WIPE4_T_B_B_T

4way Top Btm Btm Top

DLG_EFFECT_IDSTR_WIPE4_T_B_L_B

4way Top Btm Left Btm

DLG_EFFECT_IDSTR_WIPE4_T_B_L_L

4way Top Btm Left Left

DLG_EFFECT_IDSTR_WIPE4_T_B_L_R

4way Top Btm Left Right

DLG_EFFECT_IDSTR_WIPE4_T_B_L_T

4way Top Btm Left Top

DLG_EFFECT_IDSTR_WIPE4_T_B_R_B

4way Top Btm Right Btm

DLG_EFFECT_IDSTR_WIPE4_T_B_R_L

4way Top Btm Right Left

DLG_EFFECT_IDSTR_WIPE4_T_B_R_R

4way Top Btm Right Right

DLG_EFFECT_IDSTR_WIPE4_T_B_R_T

4way Top Btm Right Top

DLG_EFFECT_IDSTR_WIPE4_T_B_T_B

4way Top Btm Top Btm

DLG_EFFECT_IDSTR_WIPE4_T_B_T_L

4way Top Btm Top Left

DLG_EFFECT_IDSTR_WIPE4_T_B_T_R

4way Top Btm Top Right

DLG_EFFECT_IDSTR_WIPE4_T_B_T_T

4way Top Btm Top Top

DLG_EFFECT_IDSTR_WIPE4_T_L_B_B

4way Top Left Btm Btm

DLG_EFFECT_IDSTR_WIPE4_T_L_B_L

4way Top Left Btm Left

DLG_EFFECT_IDSTR_WIPE4_T_L_B_R

4way Top Left Btm Right

DLG_EFFECT_IDSTR_WIPE4_T_L_B_T

4way Top Left Btm Top

DLG_EFFECT_IDSTR_WIPE4_T_L_L_B

4way Top Left Left Btm

DLG_EFFECT_IDSTR_WIPE4_T_L_L_L

4way Top Left Left Left

DLG_EFFECT_IDSTR_WIPE4_T_L_L_R

4way Top Left Left Right

DLG_EFFECT_IDSTR_WIPE4_T_L_L_T

4way Top Left Left Top

DLG_EFFECT_IDSTR_WIPE4_T_L_R_B

4way Top Left Right Btm

DLG_EFFECT_IDSTR_WIPE4_T_L_R_L

4way Top Left Right Left

DLG_EFFECT_IDSTR_WIPE4_T_L_R_R

4way Top Left Right Right

DLG_EFFECT_IDSTR_WIPE4_T_L_R_T

4way Top Left Right Top

DLG_EFFECT_IDSTR_WIPE4_T_L_T_B

4way Top Left Top Btm

DLG_EFFECT_IDSTR_WIPE4_T_L_T_L

4way Top Left Top Left

DLG_EFFECT_IDSTR_WIPE4_T_L_T_R

4way Top Left Top Right

DLG_EFFECT_IDSTR_WIPE4_T_L_T_T

4way Top Left Top Top

DLG_EFFECT_IDSTR_WIPE4_T_R_B_B

4way Top Right Btm Btm

DLG_EFFECT_IDSTR_WIPE4_T_R_B_L

4way Top Right Btm Left

DLG_EFFECT_IDSTR_WIPE4_T_R_B_R

4way Top Right Btm Right

DLG_EFFECT_IDSTR_WIPE4_T_R_B_T

4way Top Right Btm Top

DLG_EFFECT_IDSTR_WIPE4_T_R_L_B

4way Top Right Left Btm

DLG_EFFECT_IDSTR_WIPE4_T_R_L_L

4way Top Right Left Left

DLG_EFFECT_IDSTR_WIPE4_T_R_L_R

4way Top Right Left Right

DLG_EFFECT_IDSTR_WIPE4_T_R_L_T

4way Top Right Left Top

DLG_EFFECT_IDSTR_WIPE4_T_R_R_B

4way Top Right Right Btm

DLG_EFFECT_IDSTR_WIPE4_T_R_R_L

4way Top Right Right Left

DLG_EFFECT_IDSTR_WIPE4_T_R_R_R

4way Top Right Right Right

DLG_EFFECT_IDSTR_WIPE4_T_R_R_T

4way Top Right Right Top

DLG_EFFECT_IDSTR_WIPE4_T_R_T_B

4way Top Right Top Btm

DLG_EFFECT_IDSTR_WIPE4_T_R_T_L

4way Top Right Top Left

DLG_EFFECT_IDSTR_WIPE4_T_R_T_R

4way Top Right Top Right

DLG_EFFECT_IDSTR_WIPE4_T_R_T_T

4way Top Right Top Top

DLG_EFFECT_IDSTR_WIPE4_T_T_B_B

4way Top Top Btm Btm

DLG_EFFECT_IDSTR_WIPE4_T_T_B_L

4way Top Top Btm Left

DLG_EFFECT_IDSTR_WIPE4_T_T_B_R

4way Top Top Btm Right

DLG_EFFECT_IDSTR_WIPE4_T_T_B_T

4way Top Top Btm Top

DLG_EFFECT_IDSTR_WIPE4_T_T_L_B

4way Top Top Left Btm

DLG_EFFECT_IDSTR_WIPE4_T_T_L_L

4way Top Top Left Left

DLG_EFFECT_IDSTR_WIPE4_T_T_L_R

4way Top Top Left Right

DLG_EFFECT_IDSTR_WIPE4_T_T_L_T

4way Top Top Left Top

DLG_EFFECT_IDSTR_WIPE4_T_T_R_B

4way Top Top Right Btm

DLG_EFFECT_IDSTR_WIPE4_T_T_R_L

4way Top Top Right Left

DLG_EFFECT_IDSTR_WIPE4_T_T_R_R

4way Top Top Right Right

DLG_EFFECT_IDSTR_WIPE4_T_T_R_T

4way Top Top Right Top

DLG_EFFECT_IDSTR_WIPE4_T_T_T_B

4way Top Top Top Btm

DLG_EFFECT_IDSTR_WIPE4_T_T_T_L

4way Top Top Top Left

DLG_EFFECT_IDSTR_WIPE4_T_T_T_R

4way Top Top Top Right

DLG_EFFECT_IDSTR_WIPE4_T_T_T_T

4way Top Top Top Top

Rectangular Wipe

DLG_EFFECT_IDSTR_WIPE_RECTANGLE_IN

In

DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_IN_THEN_IN

Interlace In then In

DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_IN_THEN_OUT

Interlace In then Out

DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_OUT_THEN_IN

Interlace Out then In

DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_OUT_THEN_OUT

Interlace Out then Out

DLG_EFFECT_IDSTR_WIPE_RECTANGLE_OUT

Out

Circular Wipe

DLG_EFFECT_IDSTR_WIPE_CIRCLE_B_CCW_FROM_R

Btm CCW from Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE_B_CW_FROM_L

Btm CW from Left

DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_B

Center CCW from Btm

DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_L

Center CCW from Left

DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_R

Center CCW from Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_T

Center CCW from Top

DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_B

Center CW from Btm

DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_L

Center CW from Left

DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_R

Center CW from Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_T

Center CW from Top

DLG_EFFECT_IDSTR_WIPE_CIRCLE_L_CCW_FROM_B

Left CCW from Btm

DLG_EFFECT_IDSTR_WIPE_CIRCLE_L_CW_FROM_T

Left CW from Top

DLG_EFFECT_IDSTR_WIPE_CIRCLE_R_CCW_FROM_T

Right CCW from Top

DLG_EFFECT_IDSTR_WIPE_CIRCLE_R_CW_FROM_B

Right CW from Btm

DLG_EFFECT_IDSTR_WIPE_CIRCLE_T_CCW_FROM_L

Top CCW from Left

DLG_EFFECT_IDSTR_WIPE_CIRCLE_T_CW_FROM_R

Top CW from Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_B_CCW_TO_L_AND_CW_TO_R

2way Btm CCW to Left & CW to Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_B_CW_FROM_L_AND_CCW_FROM_R

2way Btm CW from Left & CCW from Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CCW_FROM_L_AND_FROM_R

2way Center CCW from Left & Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CCW_FROM_T_AND_FROM_B

2way Center CCW from Top & Btm

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CW_FROM_L_AND_FROM_R

2way Center CW from Left & Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CW_FROM_T_AND_FROM_B

2way Center CW from Top & Btm

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_L_CCW_TO_T_AND_CW_TO_B

2way Left CCW up & CW down

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_L_CW_FROM_T_AND_CCW_FROM_B

2way Left CW down & CCW up

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_R_CCW_FROM_T_AND_CW_FROM_B

2way Right CCW down & CW up

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_R_CW_TO_T_AND_CCW_TO_B

2way Right CW up & CCW down

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_T_CCW_FROM_L_AND_CW_FROM_R

2way Top CCW from Left & CW from Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE2_T_CW_TO_L_AND_CCW_TO_R

2way Top CW to Left & CCW to Right

DLG_EFFECT_IDSTR_WIPE_CIRCLE4_C_CCW_CW_CW_CCW

4way Center CCW CW CW CCW

DLG_EFFECT_IDSTR_WIPE_CIRCLE4_C_CW_CCW_CCW_CW

4way Center CW CCW CCW CW

Push

DLG_EFFECT_IDSTR_PUSH_B_TO_T

Btm to Top

DLG_EFFECT_IDSTR_PUSH_L_TO_R

Left to Right

DLG_EFFECT_IDSTR_PUSH_R_TO_L

Right to Left

DLG_EFFECT_IDSTR_PUSH_T_TO_B

Top to Btm

DLG_EFFECT_IDSTR_PUSH2_L_B_TO_T_AND_R_T_TO_B

2way Left Btm to Top & Right Top to Btm

DLG_EFFECT_IDSTR_PUSH2_L_T_TO_B_AND_R_B_TO_T

2way Left Top to Btm & Right Btm to Top

DLG_EFFECT_IDSTR_PUSH2_T_L_TO_R_AND_B_R_TO_L

2way Top Left to Right & Btm Right to Left

DLG_EFFECT_IDSTR_PUSH2_T_R_TO_L_AND_B_L_TO_R

2way Top Right to Left & Btm Left to Right

DLG_EFFECT_IDSTR_PUSH4_B_B_B_B

4way Btm Btm Btm Btm

DLG_EFFECT_IDSTR_PUSH4_B_B_B_L

4way Btm Btm Btm Left

DLG_EFFECT_IDSTR_PUSH4_B_B_B_R

4way Btm Btm Btm Right

DLG_EFFECT_IDSTR_PUSH4_B_B_B_T

4way Btm Btm Btm Top

DLG_EFFECT_IDSTR_PUSH4_B_B_L_B

4way Btm Btm Left Btm

DLG_EFFECT_IDSTR_PUSH4_B_B_L_L

4way Btm Btm Left Left

DLG_EFFECT_IDSTR_PUSH4_B_B_L_R

4way Btm Btm Left Right

DLG_EFFECT_IDSTR_PUSH4_B_B_L_T

4way Btm Btm Left Top

DLG_EFFECT_IDSTR_PUSH4_B_B_R_B

4way Btm Btm Right Btm

DLG_EFFECT_IDSTR_PUSH4_B_B_R_L

4way Btm Btm Right Left

DLG_EFFECT_IDSTR_PUSH4_B_B_R_R

4way Btm Btm Right Right

DLG_EFFECT_IDSTR_PUSH4_B_B_R_T

4way Btm Btm Right Top

DLG_EFFECT_IDSTR_PUSH4_B_B_T_B

4way Btm Btm Top Btm

DLG_EFFECT_IDSTR_PUSH4_B_B_T_L

4way Btm Btm Top Left

DLG_EFFECT_IDSTR_PUSH4_B_B_T_R

4way Btm Btm Top Right

DLG_EFFECT_IDSTR_PUSH4_B_B_T_T

4way Btm Btm Top Top

DLG_EFFECT_IDSTR_PUSH4_B_L_B_B

4way Btm Left Btm Btm

DLG_EFFECT_IDSTR_PUSH4_B_L_B_L

4way Btm Left Btm Left

DLG_EFFECT_IDSTR_PUSH4_B_L_B_R

4way Btm Left Btm Right

DLG_EFFECT_IDSTR_PUSH4_B_L_B_T

4way Btm Left Btm Top

DLG_EFFECT_IDSTR_PUSH4_B_L_L_B

4way Btm Left Left Btm

DLG_EFFECT_IDSTR_PUSH4_B_L_L_L

4way Btm Left Left Left

DLG_EFFECT_IDSTR_PUSH4_B_L_L_R

4way Btm Left Left Right

DLG_EFFECT_IDSTR_PUSH4_B_L_L_T

4way Btm Left Left Top

DLG_EFFECT_IDSTR_PUSH4_B_L_R_B

4way Btm Left Right Btm

DLG_EFFECT_IDSTR_PUSH4_B_L_R_L

4way Btm Left Right Left

DLG_EFFECT_IDSTR_PUSH4_B_L_R_R

4way Btm Left Right Right

DLG_EFFECT_IDSTR_PUSH4_B_L_R_T

4way Btm Left Right Top

DLG_EFFECT_IDSTR_PUSH4_B_L_T_B

4way Btm Left Top Btm

DLG_EFFECT_IDSTR_PUSH4_B_L_T_L

4way Btm Left Top Left

DLG_EFFECT_IDSTR_PUSH4_B_L_T_R

4way Btm Left Top Right

DLG_EFFECT_IDSTR_PUSH4_B_L_T_T

4way Btm Left Top Top

DLG_EFFECT_IDSTR_PUSH4_B_R_B_B

4way Btm Right Btm Btm

DLG_EFFECT_IDSTR_PUSH4_B_R_B_L

4way Btm Right Btm Left

DLG_EFFECT_IDSTR_PUSH4_B_R_B_R

4way Btm Right Btm Right

DLG_EFFECT_IDSTR_PUSH4_B_R_B_T

4way Btm Right Btm Top

DLG_EFFECT_IDSTR_PUSH4_B_R_L_B

4way Btm Right Left Btm

DLG_EFFECT_IDSTR_PUSH4_B_R_L_L

4way Btm Right Left Left

DLG_EFFECT_IDSTR_PUSH4_B_R_L_R

4way Btm Right Left Right

DLG_EFFECT_IDSTR_PUSH4_B_R_L_T

4way Btm Right Left Top

DLG_EFFECT_IDSTR_PUSH4_B_R_R_B

4way Btm Right Right Btm

DLG_EFFECT_IDSTR_PUSH4_B_R_R_L

4way Btm Right Right Left

DLG_EFFECT_IDSTR_PUSH4_B_R_R_R

4way Btm Right Right Right

DLG_EFFECT_IDSTR_PUSH4_B_R_R_T

4way Btm Right Right Top

DLG_EFFECT_IDSTR_PUSH4_B_R_T_B

4way Btm Right Top Btm

DLG_EFFECT_IDSTR_PUSH4_B_R_T_L

4way Btm Right Top Left

DLG_EFFECT_IDSTR_PUSH4_B_R_T_R

4way Btm Right Top Right

DLG_EFFECT_IDSTR_PUSH4_B_R_T_T

4way Btm Right Top Top

DLG_EFFECT_IDSTR_PUSH4_B_T_B_B

4way Btm Top Btm Btm

DLG_EFFECT_IDSTR_PUSH4_B_T_B_L

4way Btm Top Btm Left

DLG_EFFECT_IDSTR_PUSH4_B_T_B_R

4way Btm Top Btm Right

DLG_EFFECT_IDSTR_PUSH4_B_T_B_T

4way Btm Top Btm Top

DLG_EFFECT_IDSTR_PUSH4_B_T_L_B

4way Btm Top Left Btm

DLG_EFFECT_IDSTR_PUSH4_B_T_L_L

4way Btm Top Left Left

DLG_EFFECT_IDSTR_PUSH4_B_T_L_R

4way Btm Top Left Right

DLG_EFFECT_IDSTR_PUSH4_B_T_L_T

4way Btm Top Left Top

DLG_EFFECT_IDSTR_PUSH4_B_T_R_B

4way Btm Top Right Btm

DLG_EFFECT_IDSTR_PUSH4_B_T_R_L

4way Btm Top Right Left

DLG_EFFECT_IDSTR_PUSH4_B_T_R_R

4way Btm Top Right Right

DLG_EFFECT_IDSTR_PUSH4_B_T_R_T

4way Btm Top Right Top

DLG_EFFECT_IDSTR_PUSH4_B_T_T_B

4way Btm Top Top Btm

DLG_EFFECT_IDSTR_PUSH4_B_T_T_L

4way Btm Top Top Left

DLG_EFFECT_IDSTR_PUSH4_B_T_T_R

4way Btm Top Top Right

DLG_EFFECT_IDSTR_PUSH4_B_T_T_T

4way Btm Top Top Top

DLG_EFFECT_IDSTR_PUSH4_L_B_B_B

4way Left Btm Btm Btm

DLG_EFFECT_IDSTR_PUSH4_L_B_B_L

4way Left Btm Btm Left

DLG_EFFECT_IDSTR_PUSH4_L_B_B_R

4way Left Btm Btm Right

DLG_EFFECT_IDSTR_PUSH4_L_B_B_T

4way Left Btm Btm Top

DLG_EFFECT_IDSTR_PUSH4_L_B_L_B

4way Left Btm Left Btm

DLG_EFFECT_IDSTR_PUSH4_L_B_L_L

4way Left Btm Left Left

DLG_EFFECT_IDSTR_PUSH4_L_B_L_R

4way Left Btm Left Right

DLG_EFFECT_IDSTR_PUSH4_L_B_L_T

4way Left Btm Left Top

DLG_EFFECT_IDSTR_PUSH4_L_B_R_B

4way Left Btm Right Btm

DLG_EFFECT_IDSTR_PUSH4_L_B_R_L

4way Left Btm Right Left

DLG_EFFECT_IDSTR_PUSH4_L_B_R_R

4way Left Btm Right Right

DLG_EFFECT_IDSTR_PUSH4_L_B_R_T

4way Left Btm Right Top

DLG_EFFECT_IDSTR_PUSH4_L_B_T_B

4way Left Btm Top Btm

DLG_EFFECT_IDSTR_PUSH4_L_B_T_L

4way Left Btm Top Left

DLG_EFFECT_IDSTR_PUSH4_L_B_T_R

4way Left Btm Top Right

DLG_EFFECT_IDSTR_PUSH4_L_B_T_T

4way Left Btm Top Top

DLG_EFFECT_IDSTR_PUSH4_L_L_B_B

4way Left Left Btm Btm

DLG_EFFECT_IDSTR_PUSH4_L_L_B_L

4way Left Left Btm Left

DLG_EFFECT_IDSTR_PUSH4_L_L_B_R

4way Left Left Btm Right

DLG_EFFECT_IDSTR_PUSH4_L_L_B_T

4way Left Left Btm Top

DLG_EFFECT_IDSTR_PUSH4_L_L_L_B

4way Left Left Left Btm

DLG_EFFECT_IDSTR_PUSH4_L_L_L_L

4way Left Left Left Left

DLG_EFFECT_IDSTR_PUSH4_L_L_L_R

4way Left Left Left Right

DLG_EFFECT_IDSTR_PUSH4_L_L_L_T

4way Left Left Left Top

DLG_EFFECT_IDSTR_PUSH4_L_L_R_B

4way Left Left Right Btm

DLG_EFFECT_IDSTR_PUSH4_L_L_R_L

4way Left Left Right Left

DLG_EFFECT_IDSTR_PUSH4_L_L_R_R

4way Left Left Right Right

DLG_EFFECT_IDSTR_PUSH4_L_L_R_T

4way Left Left Right Top

DLG_EFFECT_IDSTR_PUSH4_L_L_T_B

4way Left Left Top Btm

DLG_EFFECT_IDSTR_PUSH4_L_L_T_L

4way Left Left Top Left

DLG_EFFECT_IDSTR_PUSH4_L_L_T_R

4way Left Left Top Right

DLG_EFFECT_IDSTR_PUSH4_L_L_T_T

4way Left Left Top Top

DLG_EFFECT_IDSTR_PUSH4_L_R_B_B

4way Left Right Btm Btm

DLG_EFFECT_IDSTR_PUSH4_L_R_B_L

4way Left Right Btm Left

DLG_EFFECT_IDSTR_PUSH4_L_R_B_R

4way Left Right Btm Right

DLG_EFFECT_IDSTR_PUSH4_L_R_B_T

4way Left Right Btm Top

DLG_EFFECT_IDSTR_PUSH4_L_R_L_B

4way Left Right Left Btm

DLG_EFFECT_IDSTR_PUSH4_L_R_L_L

4way Left Right Left Left

DLG_EFFECT_IDSTR_PUSH4_L_R_L_R

4way Left Right Left Right

DLG_EFFECT_IDSTR_PUSH4_L_R_L_T

4way Left Right Left Top

DLG_EFFECT_IDSTR_PUSH4_L_R_R_B

4way Left Right Right Btm

DLG_EFFECT_IDSTR_PUSH4_L_R_R_L

4way Left Right Right Left

DLG_EFFECT_IDSTR_PUSH4_L_R_R_R

4way Left Right Right Right

DLG_EFFECT_IDSTR_PUSH4_L_R_R_T

4way Left Right Right Top

DLG_EFFECT_IDSTR_PUSH4_L_R_T_B

4way Left Right Top Btm

DLG_EFFECT_IDSTR_PUSH4_L_R_T_L

4way Left Right Top Left

DLG_EFFECT_IDSTR_PUSH4_L_R_T_R

4way Left Right Top Right

DLG_EFFECT_IDSTR_PUSH4_L_R_T_T

4way Left Right Top Top

DLG_EFFECT_IDSTR_PUSH4_L_T_B_B

4way Left Top Btm Btm

DLG_EFFECT_IDSTR_PUSH4_L_T_B_L

4way Left Top Btm Left

DLG_EFFECT_IDSTR_PUSH4_L_T_B_R

4way Left Top Btm Right

DLG_EFFECT_IDSTR_PUSH4_L_T_B_T

4way Left Top Btm Top

DLG_EFFECT_IDSTR_PUSH4_L_T_L_B

4way Left Top Left Btm

DLG_EFFECT_IDSTR_PUSH4_L_T_L_L

4way Left Top Left Left

DLG_EFFECT_IDSTR_PUSH4_L_T_L_R

4way Left Top Left Right

DLG_EFFECT_IDSTR_PUSH4_L_T_L_T

4way Left Top Left Top

DLG_EFFECT_IDSTR_PUSH4_L_T_R_B

4way Left Top Right Btm

DLG_EFFECT_IDSTR_PUSH4_L_T_R_L

4way Left Top Right Left

DLG_EFFECT_IDSTR_PUSH4_L_T_R_R

4way Left Top Right Right

DLG_EFFECT_IDSTR_PUSH4_L_T_R_T

4way Left Top Right Top

DLG_EFFECT_IDSTR_PUSH4_L_T_T_B

4way Left Top Top Btm

DLG_EFFECT_IDSTR_PUSH4_L_T_T_L

4way Left Top Top Left

DLG_EFFECT_IDSTR_PUSH4_L_T_T_R

4way Left Top Top Right

DLG_EFFECT_IDSTR_PUSH4_L_T_T_T

4way Left Top Top Top

DLG_EFFECT_IDSTR_PUSH4_R_B_B_B

4way Right Btm Btm Btm

DLG_EFFECT_IDSTR_PUSH4_R_B_B_L

4way Right Btm Btm Left

DLG_EFFECT_IDSTR_PUSH4_R_B_B_R

4way Right Btm Btm Right

DLG_EFFECT_IDSTR_PUSH4_R_B_B_T

4way Right Btm Btm Top

DLG_EFFECT_IDSTR_PUSH4_R_B_L_B

4way Right Btm Left Btm

DLG_EFFECT_IDSTR_PUSH4_R_B_L_L

4way Right Btm Left Left

DLG_EFFECT_IDSTR_PUSH4_R_B_L_R

4way Right Btm Left Right

DLG_EFFECT_IDSTR_PUSH4_R_B_L_T

4way Right Btm Left Top

DLG_EFFECT_IDSTR_PUSH4_R_B_R_B

4way Right Btm Right Btm

DLG_EFFECT_IDSTR_PUSH4_R_B_R_L

4way Right Btm Right Left

DLG_EFFECT_IDSTR_PUSH4_R_B_R_R

4way Right Btm Right Right

DLG_EFFECT_IDSTR_PUSH4_R_B_R_T

4way Right Btm Right Top

DLG_EFFECT_IDSTR_PUSH4_R_B_T_B

4way Right Btm Top Btm

DLG_EFFECT_IDSTR_PUSH4_R_B_T_L

4way Right Btm Top Left

DLG_EFFECT_IDSTR_PUSH4_R_B_T_R

4way Right Btm Top Right

DLG_EFFECT_IDSTR_PUSH4_R_B_T_T

4way Right Btm Top Top

DLG_EFFECT_IDSTR_PUSH4_R_L_B_B

4way Right Left Btm Btm

DLG_EFFECT_IDSTR_PUSH4_R_L_B_L

4way Right Left Btm Left

DLG_EFFECT_IDSTR_PUSH4_R_L_B_R

4way Right Left Btm Right

DLG_EFFECT_IDSTR_PUSH4_R_L_B_T

4way Right Left Btm Top

DLG_EFFECT_IDSTR_PUSH4_R_L_L_B

4way Right Left Left Btm

DLG_EFFECT_IDSTR_PUSH4_R_L_L_L

4way Right Left Left Left

DLG_EFFECT_IDSTR_PUSH4_R_L_L_R

4way Right Left Left Right

DLG_EFFECT_IDSTR_PUSH4_R_L_L_T

4way Right Left Left Top

DLG_EFFECT_IDSTR_PUSH4_R_L_R_B

4way Right Left Right Btm

DLG_EFFECT_IDSTR_PUSH4_R_L_R_L

4way Right Left Right Left

DLG_EFFECT_IDSTR_PUSH4_R_L_R_R

4way Right Left Right Right

DLG_EFFECT_IDSTR_PUSH4_R_L_R_T

4way Right Left Right Top

DLG_EFFECT_IDSTR_PUSH4_R_L_T_B

4way Right Left Top Btm

DLG_EFFECT_IDSTR_PUSH4_R_L_T_L

4way Right Left Top Left

DLG_EFFECT_IDSTR_PUSH4_R_L_T_R

4way Right Left Top Right

DLG_EFFECT_IDSTR_PUSH4_R_L_T_T

4way Right Left Top Top

DLG_EFFECT_IDSTR_PUSH4_R_R_B_B

4way Right Right Btm Btm

DLG_EFFECT_IDSTR_PUSH4_R_R_B_L

4way Right Right Btm Left

DLG_EFFECT_IDSTR_PUSH4_R_R_B_R

4way Right Right Btm Right

DLG_EFFECT_IDSTR_PUSH4_R_R_B_T

4way Right Right Btm Top

DLG_EFFECT_IDSTR_PUSH4_R_R_L_B

4way Right Right Left Btm

DLG_EFFECT_IDSTR_PUSH4_R_R_L_L

4way Right Right Left Left

DLG_EFFECT_IDSTR_PUSH4_R_R_L_R

4way Right Right Left Right

DLG_EFFECT_IDSTR_PUSH4_R_R_L_T

4way Right Right Left Top

DLG_EFFECT_IDSTR_PUSH4_R_R_R_B

4way Right Right Right Btm

DLG_EFFECT_IDSTR_PUSH4_R_R_R_L

4way Right Right Right Left

DLG_EFFECT_IDSTR_PUSH4_R_R_R_R

4way Right Right Right Right

DLG_EFFECT_IDSTR_PUSH4_R_R_R_T

4way Right Right Right Top

DLG_EFFECT_IDSTR_PUSH4_R_R_T_B

4way Right Right Top Btm

DLG_EFFECT_IDSTR_PUSH4_R_R_T_L

4way Right Right Top Left

DLG_EFFECT_IDSTR_PUSH4_R_R_T_R

4way Right Right Top Right

DLG_EFFECT_IDSTR_PUSH4_R_R_T_T

4way Right Right Top Top

DLG_EFFECT_IDSTR_PUSH4_R_T_B_B

4way Right Top Btm Btm

DLG_EFFECT_IDSTR_PUSH4_R_T_B_L

4way Right Top Btm Left

DLG_EFFECT_IDSTR_PUSH4_R_T_B_R

4way Right Top Btm Right

DLG_EFFECT_IDSTR_PUSH4_R_T_B_T

4way Right Top Btm Top

DLG_EFFECT_IDSTR_PUSH4_R_T_L_B

4way Right Top Left Btm

DLG_EFFECT_IDSTR_PUSH4_R_T_L_L

4way Right Top Left Left

DLG_EFFECT_IDSTR_PUSH4_R_T_L_R

4way Right Top Left Right

DLG_EFFECT_IDSTR_PUSH4_R_T_L_T

4way Right Top Left Top

DLG_EFFECT_IDSTR_PUSH4_R_T_R_B

4way Right Top Right Btm

DLG_EFFECT_IDSTR_PUSH4_R_T_R_L

4way Right Top Right Left

DLG_EFFECT_IDSTR_PUSH4_R_T_R_R

4way Right Top Right Right

DLG_EFFECT_IDSTR_PUSH4_R_T_R_T

4way Right Top Right Top

DLG_EFFECT_IDSTR_PUSH4_R_T_T_B

4way Right Top Top Btm

DLG_EFFECT_IDSTR_PUSH4_R_T_T_L

4way Right Top Top Left

DLG_EFFECT_IDSTR_PUSH4_R_T_T_R

4way Right Top Top Right

DLG_EFFECT_IDSTR_PUSH4_R_T_T_T

4way Right Top Top Top

DLG_EFFECT_IDSTR_PUSH4_T_B_B_B

4way Top Btm Btm Btm

DLG_EFFECT_IDSTR_PUSH4_T_B_B_L

4way Top Btm Btm Left

DLG_EFFECT_IDSTR_PUSH4_T_B_B_R

4way Top Btm Btm Right

DLG_EFFECT_IDSTR_PUSH4_T_B_B_T

4way Top Btm Btm Top

DLG_EFFECT_IDSTR_PUSH4_T_B_L_B

4way Top Btm Left Btm

DLG_EFFECT_IDSTR_PUSH4_T_B_L_L

4way Top Btm Left Left

DLG_EFFECT_IDSTR_PUSH4_T_B_L_R

4way Top Btm Left Right

DLG_EFFECT_IDSTR_PUSH4_T_B_L_T

4way Top Btm Left Top

DLG_EFFECT_IDSTR_PUSH4_T_B_R_B

4way Top Btm Right Btm

DLG_EFFECT_IDSTR_PUSH4_T_B_R_L

4way Top Btm Right Left

DLG_EFFECT_IDSTR_PUSH4_T_B_R_R

4way Top Btm Right Right

DLG_EFFECT_IDSTR_PUSH4_T_B_R_T

4way Top Btm Right Top

DLG_EFFECT_IDSTR_PUSH4_T_B_T_B

4way Top Btm Top Btm

DLG_EFFECT_IDSTR_PUSH4_T_B_T_L

4way Top Btm Top Left

DLG_EFFECT_IDSTR_PUSH4_T_B_T_R

4way Top Btm Top Right

DLG_EFFECT_IDSTR_PUSH4_T_B_T_T

4way Top Btm Top Top

DLG_EFFECT_IDSTR_PUSH4_T_L_B_B

4way Top Left Btm Btm

DLG_EFFECT_IDSTR_PUSH4_T_L_B_L

4way Top Left Btm Left

DLG_EFFECT_IDSTR_PUSH4_T_L_B_R

4way Top Left Btm Right

DLG_EFFECT_IDSTR_PUSH4_T_L_B_T

4way Top Left Btm Top

DLG_EFFECT_IDSTR_PUSH4_T_L_L_B

4way Top Left Left Btm

DLG_EFFECT_IDSTR_PUSH4_T_L_L_L

4way Top Left Left Left

DLG_EFFECT_IDSTR_PUSH4_T_L_L_R

4way Top Left Left Right

DLG_EFFECT_IDSTR_PUSH4_T_L_L_T

4way Top Left Left Top

DLG_EFFECT_IDSTR_PUSH4_T_L_R_B

4way Top Left Right Btm

DLG_EFFECT_IDSTR_PUSH4_T_L_R_L

4way Top Left Right Left

DLG_EFFECT_IDSTR_PUSH4_T_L_R_R

4way Top Left Right Right

DLG_EFFECT_IDSTR_PUSH4_T_L_R_T

4way Top Left Right Top

DLG_EFFECT_IDSTR_PUSH4_T_L_T_B

4way Top Left Top Btm

DLG_EFFECT_IDSTR_PUSH4_T_L_T_L

4way Top Left Top Left

DLG_EFFECT_IDSTR_PUSH4_T_L_T_R

4way Top Left Top Right

DLG_EFFECT_IDSTR_PUSH4_T_L_T_T

4way Top Left Top Top

DLG_EFFECT_IDSTR_PUSH4_T_R_B_B

4way Top Right Btm Btm

DLG_EFFECT_IDSTR_PUSH4_T_R_B_L

4way Top Right Btm Left

DLG_EFFECT_IDSTR_PUSH4_T_R_B_R

4way Top Right Btm Right

DLG_EFFECT_IDSTR_PUSH4_T_R_B_T

4way Top Right Btm Top

DLG_EFFECT_IDSTR_PUSH4_T_R_L_B

4way Top Right Left Btm

DLG_EFFECT_IDSTR_PUSH4_T_R_L_L

4way Top Right Left Left

DLG_EFFECT_IDSTR_PUSH4_T_R_L_R

4way Top Right Left Right

DLG_EFFECT_IDSTR_PUSH4_T_R_L_T

4way Top Right Left Top

DLG_EFFECT_IDSTR_PUSH4_T_R_R_B

4way Top Right Right Btm

DLG_EFFECT_IDSTR_PUSH4_T_R_R_L

4way Top Right Right Left

DLG_EFFECT_IDSTR_PUSH4_T_R_R_R

4way Top Right Right Right

DLG_EFFECT_IDSTR_PUSH4_T_R_R_T

4way Top Right Right Top

DLG_EFFECT_IDSTR_PUSH4_T_R_T_B

4way Top Right Top Btm

DLG_EFFECT_IDSTR_PUSH4_T_R_T_L

4way Top Right Top Left

DLG_EFFECT_IDSTR_PUSH4_T_R_T_R

4way Top Right Top Right

DLG_EFFECT_IDSTR_PUSH4_T_R_T_T

4way Top Right Top Top

DLG_EFFECT_IDSTR_PUSH4_T_T_B_B

4way Top Top Btm Btm

DLG_EFFECT_IDSTR_PUSH4_T_T_B_L

4way Top Top Btm Left

DLG_EFFECT_IDSTR_PUSH4_T_T_B_R

4way Top Top Btm Right

DLG_EFFECT_IDSTR_PUSH4_T_T_B_T

4way Top Top Btm Top

DLG_EFFECT_IDSTR_PUSH4_T_T_L_B

4way Top Top Left Btm

DLG_EFFECT_IDSTR_PUSH4_T_T_L_L

4way Top Top Left Left

DLG_EFFECT_IDSTR_PUSH4_T_T_L_R

4way Top Top Left Right

DLG_EFFECT_IDSTR_PUSH4_T_T_L_T

4way Top Top Left Top

DLG_EFFECT_IDSTR_PUSH4_T_T_R_B

4way Top Top Right Btm

DLG_EFFECT_IDSTR_PUSH4_T_T_R_L

4way Top Top Right Left

DLG_EFFECT_IDSTR_PUSH4_T_T_R_R

4way Top Top Right Right

DLG_EFFECT_IDSTR_PUSH4_T_T_R_T

4way Top Top Right Top

DLG_EFFECT_IDSTR_PUSH4_T_T_T_B

4way Top Top Top Btm

DLG_EFFECT_IDSTR_PUSH4_T_T_T_L

4way Top Top Top Left

DLG_EFFECT_IDSTR_PUSH4_T_T_T_R

4way Top Top Top Right

DLG_EFFECT_IDSTR_PUSH4_T_T_T_T

4way Top Top Top Top

Slide

DLG_EFFECT_IDSTR_SLIDE_B_TO_T

Btm to Top

DLG_EFFECT_IDSTR_SLIDE_INTERH_L_TO_R_AND_R_TO_L

Horz Interlace Left to Right & Right to Left

DLG_EFFECT_IDSTR_SLIDE_INTERV_T_TO_B_AND_B_TO_T

Vert Interlace Top to Btm & Btm to Top

DLG_EFFECT_IDSTR_SLIDE_L_TO_R

Left to Right

DLG_EFFECT_IDSTR_SLIDE_LB_TO_RT

L-Btm to R-Top

DLG_EFFECT_IDSTR_SLIDE_LT_TO_RB

L-Top to R-Btm

DLG_EFFECT_IDSTR_SLIDE_R_TO_L

Right to Left

DLG_EFFECT_IDSTR_SLIDE_RB_TO_LT

R-Btm to L-Top

DLG_EFFECT_IDSTR_SLIDE_RT_TO_LB

R-Top to L-Btm

DLG_EFFECT_IDSTR_SLIDE_T_TO_B

Top to Btm

DLG_EFFECT_IDSTR_SLIDE2_L_B_TO_T_AND_R_T_TO_B

2way Left Btm to Top & Right Top to Btm

DLG_EFFECT_IDSTR_SLIDE2_L_T_TO_B_AND_R_B_TO_T

2way Left Top to Btm & Right Btm to Top

DLG_EFFECT_IDSTR_SLIDE2_T_L_TO_R_AND_B_R_TO_L

2way Top Left to Right & Btm Right to Left

DLG_EFFECT_IDSTR_SLIDE2_T_R_TO_L_AND_B_L_TO_R

2way Top Right to Left & Btm Left to Right

DLG_EFFECT_IDSTR_SLIDE4_B_B_B_B

4way Btm Btm Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_B_B_B_L

4way Btm Btm Btm Left

DLG_EFFECT_IDSTR_SLIDE4_B_B_B_R

4way Btm Btm Btm Right

DLG_EFFECT_IDSTR_SLIDE4_B_B_B_T

4way Btm Btm Btm Top

DLG_EFFECT_IDSTR_SLIDE4_B_B_L_B

4way Btm Btm Left Btm

DLG_EFFECT_IDSTR_SLIDE4_B_B_L_L

4way Btm Btm Left Left

DLG_EFFECT_IDSTR_SLIDE4_B_B_L_R

4way Btm Btm Left Right

DLG_EFFECT_IDSTR_SLIDE4_B_B_L_T

4way Btm Btm Left Top

DLG_EFFECT_IDSTR_SLIDE4_B_B_R_B

4way Btm Btm Right Btm

DLG_EFFECT_IDSTR_SLIDE4_B_B_R_L

4way Btm Btm Right Left

DLG_EFFECT_IDSTR_SLIDE4_B_B_R_R

4way Btm Btm Right Right

DLG_EFFECT_IDSTR_SLIDE4_B_B_R_T

4way Btm Btm Right Top

DLG_EFFECT_IDSTR_SLIDE4_B_B_T_B

4way Btm Btm Top Btm

DLG_EFFECT_IDSTR_SLIDE4_B_B_T_L

4way Btm Btm Top Left

DLG_EFFECT_IDSTR_SLIDE4_B_B_T_R

4way Btm Btm Top Right

DLG_EFFECT_IDSTR_SLIDE4_B_B_T_T

4way Btm Btm Top Top

DLG_EFFECT_IDSTR_SLIDE4_B_L_B_B

4way Btm Left Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_B_L_B_L

4way Btm Left Btm Left

DLG_EFFECT_IDSTR_SLIDE4_B_L_B_R

4way Btm Left Btm Right

DLG_EFFECT_IDSTR_SLIDE4_B_L_B_T

4way Btm Left Btm Top

DLG_EFFECT_IDSTR_SLIDE4_B_L_L_B

4way Btm Left Left Btm

DLG_EFFECT_IDSTR_SLIDE4_B_L_L_L

4way Btm Left Left Left

DLG_EFFECT_IDSTR_SLIDE4_B_L_L_R

4way Btm Left Left Right

DLG_EFFECT_IDSTR_SLIDE4_B_L_L_T

4way Btm Left Left Top

DLG_EFFECT_IDSTR_SLIDE4_B_L_R_B

4way Btm Left Right Btm

DLG_EFFECT_IDSTR_SLIDE4_B_L_R_L

4way Btm Left Right Left

DLG_EFFECT_IDSTR_SLIDE4_B_L_R_R

4way Btm Left Right Right

DLG_EFFECT_IDSTR_SLIDE4_B_L_R_T

4way Btm Left Right Top

DLG_EFFECT_IDSTR_SLIDE4_B_L_T_B

4way Btm Left Top Btm

DLG_EFFECT_IDSTR_SLIDE4_B_L_T_L

4way Btm Left Top Left

DLG_EFFECT_IDSTR_SLIDE4_B_L_T_R

4way Btm Left Top Right

DLG_EFFECT_IDSTR_SLIDE4_B_L_T_T

4way Btm Left Top Top

DLG_EFFECT_IDSTR_SLIDE4_B_R_B_B

4way Btm Right Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_B_R_B_L

4way Btm Right Btm Left

DLG_EFFECT_IDSTR_SLIDE4_B_R_B_R

4way Btm Right Btm Right

DLG_EFFECT_IDSTR_SLIDE4_B_R_B_T

4way Btm Right Btm Top

DLG_EFFECT_IDSTR_SLIDE4_B_R_L_B

4way Btm Right Left Btm

DLG_EFFECT_IDSTR_SLIDE4_B_R_L_L

4way Btm Right Left Left

DLG_EFFECT_IDSTR_SLIDE4_B_R_L_R

4way Btm Right Left Right

DLG_EFFECT_IDSTR_SLIDE4_B_R_L_T

4way Btm Right Left Top

DLG_EFFECT_IDSTR_SLIDE4_B_R_R_B

4way Btm Right Right Btm

DLG_EFFECT_IDSTR_SLIDE4_B_R_R_L

4way Btm Right Right Left

DLG_EFFECT_IDSTR_SLIDE4_B_R_R_R

4way Btm Right Right Right

DLG_EFFECT_IDSTR_SLIDE4_B_R_R_T

4way Btm Right Right Top

DLG_EFFECT_IDSTR_SLIDE4_B_R_T_B

4way Btm Right Top Btm

DLG_EFFECT_IDSTR_SLIDE4_B_R_T_L

4way Btm Right Top Left

DLG_EFFECT_IDSTR_SLIDE4_B_R_T_R

4way Btm Right Top Right

DLG_EFFECT_IDSTR_SLIDE4_B_R_T_T

4way Btm Right Top Top

DLG_EFFECT_IDSTR_SLIDE4_B_T_B_B

4way Btm Top Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_B_T_B_L

4way Btm Top Btm Left

DLG_EFFECT_IDSTR_SLIDE4_B_T_B_R

4way Btm Top Btm Right

DLG_EFFECT_IDSTR_SLIDE4_B_T_B_T

4way Btm Top Btm Top

DLG_EFFECT_IDSTR_SLIDE4_B_T_L_B

4way Btm Top Left Btm

DLG_EFFECT_IDSTR_SLIDE4_B_T_L_L

4way Btm Top Left Left

DLG_EFFECT_IDSTR_SLIDE4_B_T_L_R

4way Btm Top Left Right

DLG_EFFECT_IDSTR_SLIDE4_B_T_L_T

4way Btm Top Left Top

DLG_EFFECT_IDSTR_SLIDE4_B_T_R_B

4way Btm Top Right Btm

DLG_EFFECT_IDSTR_SLIDE4_B_T_R_L

4way Btm Top Right Left

DLG_EFFECT_IDSTR_SLIDE4_B_T_R_R

4way Btm Top Right Right

DLG_EFFECT_IDSTR_SLIDE4_B_T_R_T

4way Btm Top Right Top

DLG_EFFECT_IDSTR_SLIDE4_B_T_T_B

4way Btm Top Top Btm

DLG_EFFECT_IDSTR_SLIDE4_B_T_T_L

4way Btm Top Top Left

DLG_EFFECT_IDSTR_SLIDE4_B_T_T_R

4way Btm Top Top Right

DLG_EFFECT_IDSTR_SLIDE4_B_T_T_T

4way Btm Top Top Top

DLG_EFFECT_IDSTR_SLIDE4_L_B_B_B

4way Left Btm Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_L_B_B_L

4way Left Btm Btm Left

DLG_EFFECT_IDSTR_SLIDE4_L_B_B_R

4way Left Btm Btm Right

DLG_EFFECT_IDSTR_SLIDE4_L_B_B_T

4way Left Btm Btm Top

DLG_EFFECT_IDSTR_SLIDE4_L_B_L_B

4way Left Btm Left Btm

DLG_EFFECT_IDSTR_SLIDE4_L_B_L_L

4way Left Btm Left Left

DLG_EFFECT_IDSTR_SLIDE4_L_B_L_R

4way Left Btm Left Right

DLG_EFFECT_IDSTR_SLIDE4_L_B_L_T

4way Left Btm Left Top

DLG_EFFECT_IDSTR_SLIDE4_L_B_R_B

4way Left Btm Right Btm

DLG_EFFECT_IDSTR_SLIDE4_L_B_R_L

4way Left Btm Right Left

DLG_EFFECT_IDSTR_SLIDE4_L_B_R_R

4way Left Btm Right Right

DLG_EFFECT_IDSTR_SLIDE4_L_B_R_T

4way Left Btm Right Top

DLG_EFFECT_IDSTR_SLIDE4_L_B_T_B

4way Left Btm Top Btm

DLG_EFFECT_IDSTR_SLIDE4_L_B_T_L

4way Left Btm Top Left

DLG_EFFECT_IDSTR_SLIDE4_L_B_T_R

4way Left Btm Top Right

DLG_EFFECT_IDSTR_SLIDE4_L_B_T_T

4way Left Btm Top Top

DLG_EFFECT_IDSTR_SLIDE4_L_L_B_B

4way Left Left Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_L_L_B_L

4way Left Left Btm Left

DLG_EFFECT_IDSTR_SLIDE4_L_L_B_R

4way Left Left Btm Right

DLG_EFFECT_IDSTR_SLIDE4_L_L_B_T

4way Left Left Btm Top

DLG_EFFECT_IDSTR_SLIDE4_L_L_L_B

4way Left Left Left Btm

DLG_EFFECT_IDSTR_SLIDE4_L_L_L_L

4way Left Left Left Left

DLG_EFFECT_IDSTR_SLIDE4_L_L_L_R

4way Left Left Left Right

DLG_EFFECT_IDSTR_SLIDE4_L_L_L_T

4way Left Left Left Top

DLG_EFFECT_IDSTR_SLIDE4_L_L_R_B

4way Left Left Right Btm

DLG_EFFECT_IDSTR_SLIDE4_L_L_R_L

4way Left Left Right Left

DLG_EFFECT_IDSTR_SLIDE4_L_L_R_R

4way Left Left Right Right

DLG_EFFECT_IDSTR_SLIDE4_L_L_R_T

4way Left Left Right Top

DLG_EFFECT_IDSTR_SLIDE4_L_L_T_B

4way Left Left Top Btm

DLG_EFFECT_IDSTR_SLIDE4_L_L_T_L

4way Left Left Top Left

DLG_EFFECT_IDSTR_SLIDE4_L_L_T_R

4way Left Left Top Right

DLG_EFFECT_IDSTR_SLIDE4_L_L_T_T

4way Left Left Top Top

DLG_EFFECT_IDSTR_SLIDE4_L_R_B_B

4way Left Right Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_L_R_B_L

4way Left Right Btm Left

DLG_EFFECT_IDSTR_SLIDE4_L_R_B_R

4way Left Right Btm Right

DLG_EFFECT_IDSTR_SLIDE4_L_R_B_T

4way Left Right Btm Top

DLG_EFFECT_IDSTR_SLIDE4_L_R_L_B

4way Left Right Left Btm

DLG_EFFECT_IDSTR_SLIDE4_L_R_L_L

4way Left Right Left Left

DLG_EFFECT_IDSTR_SLIDE4_L_R_L_R

4way Left Right Left Right

DLG_EFFECT_IDSTR_SLIDE4_L_R_L_T

4way Left Right Left Top

DLG_EFFECT_IDSTR_SLIDE4_L_R_R_B

4way Left Right Right Btm

DLG_EFFECT_IDSTR_SLIDE4_L_R_R_L

4way Left Right Right Left

DLG_EFFECT_IDSTR_SLIDE4_L_R_R_R

4way Left Right Right Right

DLG_EFFECT_IDSTR_SLIDE4_L_R_R_T

4way Left Right Right Top

DLG_EFFECT_IDSTR_SLIDE4_L_R_T_B

4way Left Right Top Btm

DLG_EFFECT_IDSTR_SLIDE4_L_R_T_L

4way Left Right Top Left

DLG_EFFECT_IDSTR_SLIDE4_L_R_T_R

4way Left Right Top Right

DLG_EFFECT_IDSTR_SLIDE4_L_R_T_T

4way Left Right Top Top

DLG_EFFECT_IDSTR_SLIDE4_L_T_B_B

4way Left Top Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_L_T_B_L

4way Left Top Btm Left

DLG_EFFECT_IDSTR_SLIDE4_L_T_B_R

4way Left Top Btm Right

DLG_EFFECT_IDSTR_SLIDE4_L_T_B_T

4way Left Top Btm Top

DLG_EFFECT_IDSTR_SLIDE4_L_T_L_B

4way Left Top Left Btm

DLG_EFFECT_IDSTR_SLIDE4_L_T_L_L

4way Left Top Left Left

DLG_EFFECT_IDSTR_SLIDE4_L_T_L_R

4way Left Top Left Right

DLG_EFFECT_IDSTR_SLIDE4_L_T_L_T

4way Left Top Left Top

DLG_EFFECT_IDSTR_SLIDE4_L_T_R_B

4way Left Top Right Btm

DLG_EFFECT_IDSTR_SLIDE4_L_T_R_L

4way Left Top Right Left

DLG_EFFECT_IDSTR_SLIDE4_L_T_R_R

4way Left Top Right Right

DLG_EFFECT_IDSTR_SLIDE4_L_T_R_T

4way Left Top Right Top

DLG_EFFECT_IDSTR_SLIDE4_L_T_T_B

4way Left Top Top Btm

DLG_EFFECT_IDSTR_SLIDE4_L_T_T_L

4way Left Top Top Left

DLG_EFFECT_IDSTR_SLIDE4_L_T_T_R

4way Left Top Top Right

DLG_EFFECT_IDSTR_SLIDE4_L_T_T_T

4way Left Top Top Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_LB

4way L-Btm L-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_LT

4way L-Btm L-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_RB

4way L-Btm L-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_RT

4way L-Btm L-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_LB

4way L-Btm L-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_LT

4way L-Btm L-Btm L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_RB

4way L-Btm L-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_RT

4way L-Btm L-Btm L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_LB

4way L-Btm L-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_LT

4way L-Btm L-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_RB

4way L-Btm L-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_RT

4way L-Btm L-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_LB

4way L-Btm L-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_LT

4way L-Btm L-Btm R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_RB

4way L-Btm L-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_RT

4way L-Btm L-Btm R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_LB

4way L-Btm L-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_LT

4way L-Btm L-Top L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_RB

4way L-Btm L-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_RT

4way L-Btm L-Top L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_LB

4way L-Btm L-Top L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_LT

4way L-Btm L-Top L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_RB

4way L-Btm L-Top L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_RT

4way L-Btm L-Top L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_LB

4way L-Btm L-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_LT

4way L-Btm L-Top R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_RB

4way L-Btm L-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_RT

4way L-Btm L-Top R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_LB

4way L-Btm L-Top R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_LT

4way L-Btm L-Top R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_RB

4way L-Btm L-Top R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_RT

4way L-Btm L-Top R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_LB

4way L-Btm R-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_LT

4way L-Btm R-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_RB

4way L-Btm R-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_RT

4way L-Btm R-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_LB

4way L-Btm R-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_LT

4way L-Btm R-Btm L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_RB

4way L-Btm R-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_RT

4way L-Btm R-Btm L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_LB

4way L-Btm R-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_LT

4way L-Btm R-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_RB

4way L-Btm R-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_RT

4way L-Btm R-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_LB

4way L-Btm R-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_LT

4way L-Btm R-Btm R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_RB

4way L-Btm R-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_RT

4way L-Btm R-Btm R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_LB

4way L-Btm R-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_LT

4way L-Btm R-Top L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_RB

4way L-Btm R-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_RT

4way L-Btm R-Top L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_LB

4way L-Btm R-Top L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_LT

4way L-Btm R-Top L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_RB

4way L-Btm R-Top L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_RT

4way L-Btm R-Top L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_LB

4way L-Btm R-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_LT

4way L-Btm R-Top R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_RB

4way L-Btm R-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_RT

4way L-Btm R-Top R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_LB

4way L-Btm R-Top R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_LT

4way L-Btm R-Top R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_RB

4way L-Btm R-Top R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_RT

4way L-Btm R-Top R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_LB

4way L-Top L-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_LT

4way L-Top L-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_RB

4way L-Top L-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_RT

4way L-Top L-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_LB

4way L-Top L-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_LT

4way L-Top L-Btm L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_RB

4way L-Top L-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_RT

4way L-Top L-Btm L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_LB

4way L-Top L-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_LT

4way L-Top L-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_RB

4way L-Top L-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_RT

4way L-Top L-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_LB

4way L-Top L-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_LT

4way L-Top L-Btm R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_RB

4way L-Top L-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_RT

4way L-Top L-Btm R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_LB

4way L-Top L-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_LT

4way L-Top L-Top L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_RB

4way L-Top L-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_RT

4way L-Top L-Top L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_LB

4way L-Top L-Top L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_LT

4way L-Top L-Top L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_RB

4way L-Top L-Top L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_RT

4way L-Top L-Top L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_LB

4way L-Top L-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_LT

4way L-Top L-Top R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_RB

4way L-Top L-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_RT

4way L-Top L-Top R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_LB

4way L-Top L-Top R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_LT

4way L-Top L-Top R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_RB

4way L-Top L-Top R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_RT

4way L-Top L-Top R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_LB

4way L-Top R-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_LT

4way L-Top R-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_RB

4way L-Top R-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_RT

4way L-Top R-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_LB

4way L-Top R-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_LT

4way L-Top R-Btm L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_RB

4way L-Top R-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_RT

4way L-Top R-Btm L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_LB

4way L-Top R-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_LT

4way L-Top R-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_RB

4way L-Top R-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_RT

4way L-Top R-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_LB

4way L-Top R-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_LT

4way L-Top R-Btm R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_RB

4way L-Top R-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_RT

4way L-Top R-Btm R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_LB

4way L-Top R-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_LT

4way L-Top R-Top L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_RB

4way L-Top R-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_RT

4way L-Top R-Top L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_LB

4way L-Top R-Top L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_LT

4way L-Top R-Top L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_RB

4way L-Top R-Top L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_RT

4way L-Top R-Top L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_LB

4way L-Top R-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_LT

4way L-Top R-Top R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_RB

4way L-Top R-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_RT

4way L-Top R-Top R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_LB

4way L-Top R-Top R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_LT

4way L-Top R-Top R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_RB

4way L-Top R-Top R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_RT

4way L-Top R-Top R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_R_B_B_B

4way Right Btm Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_R_B_B_L

4way Right Btm Btm Left

DLG_EFFECT_IDSTR_SLIDE4_R_B_B_R

4way Right Btm Btm Right

DLG_EFFECT_IDSTR_SLIDE4_R_B_B_T

4way Right Btm Btm Top

DLG_EFFECT_IDSTR_SLIDE4_R_B_L_B

4way Right Btm Left Btm

DLG_EFFECT_IDSTR_SLIDE4_R_B_L_L

4way Right Btm Left Left

DLG_EFFECT_IDSTR_SLIDE4_R_B_L_R

4way Right Btm Left Right

DLG_EFFECT_IDSTR_SLIDE4_R_B_L_T

4way Right Btm Left Top

DLG_EFFECT_IDSTR_SLIDE4_R_B_R_B

4way Right Btm Right Btm

DLG_EFFECT_IDSTR_SLIDE4_R_B_R_L

4way Right Btm Right Left

DLG_EFFECT_IDSTR_SLIDE4_R_B_R_R

4way Right Btm Right Right

DLG_EFFECT_IDSTR_SLIDE4_R_B_R_T

4way Right Btm Right Top

DLG_EFFECT_IDSTR_SLIDE4_R_B_T_B

4way Right Btm Top Btm

DLG_EFFECT_IDSTR_SLIDE4_R_B_T_L

4way Right Btm Top Left

DLG_EFFECT_IDSTR_SLIDE4_R_B_T_R

4way Right Btm Top Right

DLG_EFFECT_IDSTR_SLIDE4_R_B_T_T

4way Right Btm Top Top

DLG_EFFECT_IDSTR_SLIDE4_R_L_B_B

4way Right Left Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_R_L_B_L

4way Right Left Btm Left

DLG_EFFECT_IDSTR_SLIDE4_R_L_B_R

4way Right Left Btm Right

DLG_EFFECT_IDSTR_SLIDE4_R_L_B_T

4way Right Left Btm Top

DLG_EFFECT_IDSTR_SLIDE4_R_L_L_B

4way Right Left Left Btm

DLG_EFFECT_IDSTR_SLIDE4_R_L_L_L

4way Right Left Left Left

DLG_EFFECT_IDSTR_SLIDE4_R_L_L_R

4way Right Left Left Right

DLG_EFFECT_IDSTR_SLIDE4_R_L_L_T

4way Right Left Left Top

DLG_EFFECT_IDSTR_SLIDE4_R_L_R_B

4way Right Left Right Btm

DLG_EFFECT_IDSTR_SLIDE4_R_L_R_L

4way Right Left Right Left

DLG_EFFECT_IDSTR_SLIDE4_R_L_R_R

4way Right Left Right Right

DLG_EFFECT_IDSTR_SLIDE4_R_L_R_T

4way Right Left Right Top

DLG_EFFECT_IDSTR_SLIDE4_R_L_T_B

4way Right Left Top Btm

DLG_EFFECT_IDSTR_SLIDE4_R_L_T_L

4way Right Left Top Left

DLG_EFFECT_IDSTR_SLIDE4_R_L_T_R

4way Right Left Top Right

DLG_EFFECT_IDSTR_SLIDE4_R_L_T_T

4way Right Left Top Top

DLG_EFFECT_IDSTR_SLIDE4_R_R_B_B

4way Right Right Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_R_R_B_L

4way Right Right Btm Left

DLG_EFFECT_IDSTR_SLIDE4_R_R_B_R

4way Right Right Btm Right

DLG_EFFECT_IDSTR_SLIDE4_R_R_B_T

4way Right Right Btm Top

DLG_EFFECT_IDSTR_SLIDE4_R_R_L_B

4way Right Right Left Btm

DLG_EFFECT_IDSTR_SLIDE4_R_R_L_L

4way Right Right Left Left

DLG_EFFECT_IDSTR_SLIDE4_R_R_L_R

4way Right Right Left Right

DLG_EFFECT_IDSTR_SLIDE4_R_R_L_T

4way Right Right Left Top

DLG_EFFECT_IDSTR_SLIDE4_R_R_R_B

4way Right Right Right Btm

DLG_EFFECT_IDSTR_SLIDE4_R_R_R_L

4way Right Right Right Left

DLG_EFFECT_IDSTR_SLIDE4_R_R_R_R

4way Right Right Right Right

DLG_EFFECT_IDSTR_SLIDE4_R_R_R_T

4way Right Right Right Top

DLG_EFFECT_IDSTR_SLIDE4_R_R_T_B

4way Right Right Top Btm

DLG_EFFECT_IDSTR_SLIDE4_R_R_T_L

4way Right Right Top Left

DLG_EFFECT_IDSTR_SLIDE4_R_R_T_R

4way Right Right Top Right

DLG_EFFECT_IDSTR_SLIDE4_R_R_T_T

4way Right Right Top Top

DLG_EFFECT_IDSTR_SLIDE4_R_T_B_B

4way Right Top Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_R_T_B_L

4way Right Top Btm Left

DLG_EFFECT_IDSTR_SLIDE4_R_T_B_R

4way Right Top Btm Right

DLG_EFFECT_IDSTR_SLIDE4_R_T_B_T

4way Right Top Btm Top

DLG_EFFECT_IDSTR_SLIDE4_R_T_L_B

4way Right Top Left Btm

DLG_EFFECT_IDSTR_SLIDE4_R_T_L_L

4way Right Top Left Left

DLG_EFFECT_IDSTR_SLIDE4_R_T_L_R

4way Right Top Left Right

DLG_EFFECT_IDSTR_SLIDE4_R_T_L_T

4way Right Top Left Top

DLG_EFFECT_IDSTR_SLIDE4_R_T_R_B

4way Right Top Right Btm

DLG_EFFECT_IDSTR_SLIDE4_R_T_R_L

4way Right Top Right Left

DLG_EFFECT_IDSTR_SLIDE4_R_T_R_R

4way Right Top Right Right

DLG_EFFECT_IDSTR_SLIDE4_R_T_R_T

4way Right Top Right Top

DLG_EFFECT_IDSTR_SLIDE4_R_T_T_B

4way Right Top Top Btm

DLG_EFFECT_IDSTR_SLIDE4_R_T_T_L

4way Right Top Top Left

DLG_EFFECT_IDSTR_SLIDE4_R_T_T_R

4way Right Top Top Right

DLG_EFFECT_IDSTR_SLIDE4_R_T_T_T

4way Right Top Top Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_LB

4way R-Btm L-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_LT

4way R-Btm L-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_RB

4way R-Btm L-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_RT

4way R-Btm L-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_LB

4way R-Btm L-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_LT

4way R-Btm L-Btm L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_RB

4way R-Btm L-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_RT

4way R-Btm L-Btm L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_LB

4way R-Btm L-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_LT

4way R-Btm L-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_RB

4way R-Btm L-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_RT

4way R-Btm L-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_LB

4way R-Btm L-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_LT

4way R-Btm L-Btm R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_RB

4way R-Btm L-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_RT

4way R-Btm L-Btm R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_LB

4way R-Btm L-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_LT

4way R-Btm L-Top L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_RB

4way R-Btm L-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_RT

4way R-Btm L-Top L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_LB

4way R-Btm L-Top L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_LT

4way R-Btm L-Top L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_RB

4way R-Btm L-Top L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_RT

4way R-Btm L-Top L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_LB

4way R-Btm L-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_LT

4way R-Btm L-Top R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_RB

4way R-Btm L-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_RT

4way R-Btm L-Top R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_LB

4way R-Btm L-Top R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_LT

4way R-Btm L-Top R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_RB

4way R-Btm L-Top R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_RT

4way R-Btm L-Top R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_LB

4way R-Btm R-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_LT

4way R-Btm R-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_RB

4way R-Btm R-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_RT

4way R-Btm R-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_LB

4way R-Btm R-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_LT

4way R-Btm R-Btm L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_RB

4way R-Btm R-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_RT

4way R-Btm R-Btm L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_LB

4way R-Btm R-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_LT

4way R-Btm R-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_RB

4way R-Btm R-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_RT

4way R-Btm R-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_LB

4way R-Btm R-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_LT

4way R-Btm R-Btm R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_RB

4way R-Btm R-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_RT

4way R-Btm R-Btm R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_LB

4way R-Btm R-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_LT

4way R-Btm R-Top L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_RB

4way R-Btm R-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_RT

4way R-Btm R-Top L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_LB

4way R-Btm R-Top L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_LT

4way R-Btm R-Top L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_RB

4way R-Btm R-Top L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_RT

4way R-Btm R-Top L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_LB

4way R-Btm R-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_LT

4way R-Btm R-Top R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_RB

4way R-Btm R-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_RT

4way R-Btm R-Top R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_LB

4way R-Btm R-Top R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_LT

4way R-Btm R-Top R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_RB

4way R-Btm R-Top R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_RT

4way R-Btm R-Top R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_LB

4way R-Top L-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_LT

4way R-Top L-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_RB

4way R-Top L-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_RT

4way R-Top L-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_LB

4way R-Top L-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_LT

4way R-Top L-Btm L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_RB

4way R-Top L-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_RT

4way R-Top L-Btm L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_LB

4way R-Top L-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_LT

4way R-Top L-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_RB

4way R-Top L-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_RT

4way R-Top L-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_LB

4way R-Top L-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_LT

4way R-Top L-Btm R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_RB

4way R-Top L-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_RT

4way R-Top L-Btm R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_LB

4way R-Top L-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_LT

4way R-Top L-Top L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_RB

4way R-Top L-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_RT

4way R-Top L-Top L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_LB

4way R-Top L-Top L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_LT

4way R-Top L-Top L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_RB

4way R-Top L-Top L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_RT

4way R-Top L-Top L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_LB

4way R-Top L-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_LT

4way R-Top L-Top R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_RB

4way R-Top L-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_RT

4way R-Top L-Top R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_LB

4way R-Top L-Top R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_LT

4way R-Top L-Top R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_RB

4way R-Top L-Top R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_RT

4way R-Top L-Top R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_LB

4way R-Top R-Btm L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_LT

4way R-Top R-Btm L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_RB

4way R-Top R-Btm L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_RT

4way R-Top R-Btm L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_LB

4way R-Top R-Btm L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_LT

4way R-Top R-Btm L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_RB

4way R-Top R-Btm L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_RT

4way R-Top R-Btm L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_LB

4way R-Top R-Btm R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_LT

4way R-Top R-Btm R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_RB

4way R-Top R-Btm R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_RT

4way R-Top R-Btm R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_LB

4way R-Top R-Btm R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_LT

4way R-Top R-Btm R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_RB

4way R-Top R-Btm R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_RT

4way R-Top R-Btm R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_LB

4way R-Top R-Top L-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_LT

4way R-Top R-Top L-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_RB

4way R-Top R-Top L-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_RT

4way R-Top R-Top L-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_LB

4way R-Top R-Top L-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_LT

4way R-Top R-Top L-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_RB

4way R-Top R-Top L-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_RT

4way R-Top R-Top L-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_LB

4way R-Top R-Top R-Btm L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_LT

4way R-Top R-Top R-Btm L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_RB

4way R-Top R-Top R-Btm R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_RT

4way R-Top R-Top R-Btm R-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_LB

4way R-Top R-Top R-Top L-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_LT

4way R-Top R-Top R-Top L-Top

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_RB

4way R-Top R-Top R-Top R-Btm

DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_RT

4way R-Top R-Top R-Top R-Top

DLG_EFFECT_IDSTR_SLIDE4_T_B_B_B

4way Top Btm Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_T_B_B_L

4way Top Btm Btm Left

DLG_EFFECT_IDSTR_SLIDE4_T_B_B_R

4way Top Btm Btm Right

DLG_EFFECT_IDSTR_SLIDE4_T_B_B_T

4way Top Btm Btm Top

DLG_EFFECT_IDSTR_SLIDE4_T_B_L_B

4way Top Btm Left Btm

DLG_EFFECT_IDSTR_SLIDE4_T_B_L_L

4way Top Btm Left Left

DLG_EFFECT_IDSTR_SLIDE4_T_B_L_R

4way Top Btm Left Right

DLG_EFFECT_IDSTR_SLIDE4_T_B_L_T

4way Top Btm Left Top

DLG_EFFECT_IDSTR_SLIDE4_T_B_R_B

4way Top Btm Right Btm

DLG_EFFECT_IDSTR_SLIDE4_T_B_R_L

4way Top Btm Right Left

DLG_EFFECT_IDSTR_SLIDE4_T_B_R_R

4way Top Btm Right Right

DLG_EFFECT_IDSTR_SLIDE4_T_B_R_T

4way Top Btm Right Top

DLG_EFFECT_IDSTR_SLIDE4_T_B_T_B

4way Top Btm Top Btm

DLG_EFFECT_IDSTR_SLIDE4_T_B_T_L

4way Top Btm Top Left

DLG_EFFECT_IDSTR_SLIDE4_T_B_T_R

4way Top Btm Top Right

DLG_EFFECT_IDSTR_SLIDE4_T_B_T_T

4way Top Btm Top Top

DLG_EFFECT_IDSTR_SLIDE4_T_L_B_B

4way Top Left Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_T_L_B_L

4way Top Left Btm Left

DLG_EFFECT_IDSTR_SLIDE4_T_L_B_R

4way Top Left Btm Right

DLG_EFFECT_IDSTR_SLIDE4_T_L_B_T

4way Top Left Btm Top

DLG_EFFECT_IDSTR_SLIDE4_T_L_L_B

4way Top Left Left Btm

DLG_EFFECT_IDSTR_SLIDE4_T_L_L_L

4way Top Left Left Left

DLG_EFFECT_IDSTR_SLIDE4_T_L_L_R

4way Top Left Left Right

DLG_EFFECT_IDSTR_SLIDE4_T_L_L_T

4way Top Left Left Top

DLG_EFFECT_IDSTR_SLIDE4_T_L_R_B

4way Top Left Right Btm

DLG_EFFECT_IDSTR_SLIDE4_T_L_R_L

4way Top Left Right Left

DLG_EFFECT_IDSTR_SLIDE4_T_L_R_R

4way Top Left Right Right

DLG_EFFECT_IDSTR_SLIDE4_T_L_R_T

4way Top Left Right Top

DLG_EFFECT_IDSTR_SLIDE4_T_L_T_B

4way Top Left Top Btm

DLG_EFFECT_IDSTR_SLIDE4_T_L_T_L

4way Top Left Top Left

DLG_EFFECT_IDSTR_SLIDE4_T_L_T_R

4way Top Left Top Right

DLG_EFFECT_IDSTR_SLIDE4_T_L_T_T

4way Top Left Top Top

DLG_EFFECT_IDSTR_SLIDE4_T_R_B_B

4way Top Right Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_T_R_B_L

4way Top Right Btm Left

DLG_EFFECT_IDSTR_SLIDE4_T_R_B_R

4way Top Right Btm Right

DLG_EFFECT_IDSTR_SLIDE4_T_R_B_T

4way Top Right Btm Top

DLG_EFFECT_IDSTR_SLIDE4_T_R_L_B

4way Top Right Left Btm

DLG_EFFECT_IDSTR_SLIDE4_T_R_L_L

4way Top Right Left Left

DLG_EFFECT_IDSTR_SLIDE4_T_R_L_R

4way Top Right Left Right

DLG_EFFECT_IDSTR_SLIDE4_T_R_L_T

4way Top Right Left Top

DLG_EFFECT_IDSTR_SLIDE4_T_R_R_B

4way Top Right Right Btm

DLG_EFFECT_IDSTR_SLIDE4_T_R_R_L

4way Top Right Right Left

DLG_EFFECT_IDSTR_SLIDE4_T_R_R_R

4way Top Right Right Right

DLG_EFFECT_IDSTR_SLIDE4_T_R_R_T

4way Top Right Right Top

DLG_EFFECT_IDSTR_SLIDE4_T_R_T_B

4way Top Right Top Btm

DLG_EFFECT_IDSTR_SLIDE4_T_R_T_L

4way Top Right Top Left

DLG_EFFECT_IDSTR_SLIDE4_T_R_T_R

4way Top Right Top Right

DLG_EFFECT_IDSTR_SLIDE4_T_R_T_T

4way Top Right Top Top

DLG_EFFECT_IDSTR_SLIDE4_T_T_B_B

4way Top Top Btm Btm

DLG_EFFECT_IDSTR_SLIDE4_T_T_B_L

4way Top Top Btm Left

DLG_EFFECT_IDSTR_SLIDE4_T_T_B_R

4way Top Top Btm Right

DLG_EFFECT_IDSTR_SLIDE4_T_T_B_T

4way Top Top Btm Top

DLG_EFFECT_IDSTR_SLIDE4_T_T_L_B

4way Top Top Left Btm

DLG_EFFECT_IDSTR_SLIDE4_T_T_L_L

4way Top Top Left Left

DLG_EFFECT_IDSTR_SLIDE4_T_T_L_R

4way Top Top Left Right

DLG_EFFECT_IDSTR_SLIDE4_T_T_L_T

4way Top Top Left Top

DLG_EFFECT_IDSTR_SLIDE4_T_T_R_B

4way Top Top Right Btm

DLG_EFFECT_IDSTR_SLIDE4_T_T_R_L

4way Top Top Right Left

DLG_EFFECT_IDSTR_SLIDE4_T_T_R_R

4way Top Top Right Right

DLG_EFFECT_IDSTR_SLIDE4_T_T_R_T

4way Top Top Right Top

DLG_EFFECT_IDSTR_SLIDE4_T_T_T_B

4way Top Top Top Btm

DLG_EFFECT_IDSTR_SLIDE4_T_T_T_L

4way Top Top Top Left

DLG_EFFECT_IDSTR_SLIDE4_T_T_T_R

4way Top Top Top Right

DLG_EFFECT_IDSTR_SLIDE4_T_T_T_T

4way Top Top Top Top

Roll

DLG_EFFECT_IDSTR_ROLL_B_TO_T

Btm to Top

DLG_EFFECT_IDSTR_ROLL_L_TO_R

Left to Right

DLG_EFFECT_IDSTR_ROLL_R_TO_L

Right to Left

DLG_EFFECT_IDSTR_ROLL_T_TO_B

Top to Btm

DLG_EFFECT_IDSTR_ROLL2_L_B_TO_T_AND_R_T_TO_B

2way Left Btm to Top & Right Top to Btm

DLG_EFFECT_IDSTR_ROLL2_L_T_TO_B_AND_R_B_TO_T

2way Left Top to Btm & Right Btm to Top

DLG_EFFECT_IDSTR_ROLL2_T_L_TO_R_AND_B_R_TO_L

2way Top Left to Right & Btm Right to Left

DLG_EFFECT_IDSTR_ROLL2_T_R_TO_L_AND_B_L_TO_R

2way Top Right to Left & Btm Left to Right

DLG_EFFECT_IDSTR_ROLL4_B_B_B_B

4way Btm Btm Btm Btm

DLG_EFFECT_IDSTR_ROLL4_B_B_B_L

4way Btm Btm Btm Left

DLG_EFFECT_IDSTR_ROLL4_B_B_B_R

4way Btm Btm Btm Right

DLG_EFFECT_IDSTR_ROLL4_B_B_B_T

4way Btm Btm Btm Top

DLG_EFFECT_IDSTR_ROLL4_B_B_L_B

4way Btm Btm Left Btm

DLG_EFFECT_IDSTR_ROLL4_B_B_L_L

4way Btm Btm Left Left

DLG_EFFECT_IDSTR_ROLL4_B_B_L_R

4way Btm Btm Left Right

DLG_EFFECT_IDSTR_ROLL4_B_B_L_T

4way Btm Btm Left Top

DLG_EFFECT_IDSTR_ROLL4_B_B_R_B

4way Btm Btm Right Btm

DLG_EFFECT_IDSTR_ROLL4_B_B_R_L

4way Btm Btm Right Left

DLG_EFFECT_IDSTR_ROLL4_B_B_R_R

4way Btm Btm Right Right

DLG_EFFECT_IDSTR_ROLL4_B_B_R_T

4way Btm Btm Right Top

DLG_EFFECT_IDSTR_ROLL4_B_B_T_B

4way Btm Btm Top Btm

DLG_EFFECT_IDSTR_ROLL4_B_B_T_L

4way Btm Btm Top Left

DLG_EFFECT_IDSTR_ROLL4_B_B_T_R

4way Btm Btm Top Right

DLG_EFFECT_IDSTR_ROLL4_B_B_T_T

4way Btm Btm Top Top

DLG_EFFECT_IDSTR_ROLL4_B_L_B_B

4way Btm Left Btm Btm

DLG_EFFECT_IDSTR_ROLL4_B_L_B_L

4way Btm Left Btm Left

DLG_EFFECT_IDSTR_ROLL4_B_L_B_R

4way Btm Left Btm Right

DLG_EFFECT_IDSTR_ROLL4_B_L_B_T

4way Btm Left Btm Top

DLG_EFFECT_IDSTR_ROLL4_B_L_L_B

4way Btm Left Left Btm

DLG_EFFECT_IDSTR_ROLL4_B_L_L_L

4way Btm Left Left Left

DLG_EFFECT_IDSTR_ROLL4_B_L_L_R

4way Btm Left Left Right

DLG_EFFECT_IDSTR_ROLL4_B_L_L_T

4way Btm Left Left Top

DLG_EFFECT_IDSTR_ROLL4_B_L_R_B

4way Btm Left Right Btm

DLG_EFFECT_IDSTR_ROLL4_B_L_R_L

4way Btm Left Right Left

DLG_EFFECT_IDSTR_ROLL4_B_L_R_R

4way Btm Left Right Right

DLG_EFFECT_IDSTR_ROLL4_B_L_R_T

4way Btm Left Right Top

DLG_EFFECT_IDSTR_ROLL4_B_L_T_B

4way Btm Left Top Btm

DLG_EFFECT_IDSTR_ROLL4_B_L_T_L

4way Btm Left Top Left

DLG_EFFECT_IDSTR_ROLL4_B_L_T_R

4way Btm Left Top Right

DLG_EFFECT_IDSTR_ROLL4_B_L_T_T

4way Btm Left Top Top

DLG_EFFECT_IDSTR_ROLL4_B_R_B_B

4way Btm Right Btm Btm

DLG_EFFECT_IDSTR_ROLL4_B_R_B_L

4way Btm Right Btm Left

DLG_EFFECT_IDSTR_ROLL4_B_R_B_R

4way Btm Right Btm Right

DLG_EFFECT_IDSTR_ROLL4_B_R_B_T

4way Btm Right Btm Top

DLG_EFFECT_IDSTR_ROLL4_B_R_L_B

4way Btm Right Left Btm

DLG_EFFECT_IDSTR_ROLL4_B_R_L_L

4way Btm Right Left Left

DLG_EFFECT_IDSTR_ROLL4_B_R_L_R

4way Btm Right Left Right

DLG_EFFECT_IDSTR_ROLL4_B_R_L_T

4way Btm Right Left Top

DLG_EFFECT_IDSTR_ROLL4_B_R_R_B

4way Btm Right Right Btm

DLG_EFFECT_IDSTR_ROLL4_B_R_R_L

4way Btm Right Right Left

DLG_EFFECT_IDSTR_ROLL4_B_R_R_R

4way Btm Right Right Right

DLG_EFFECT_IDSTR_ROLL4_B_R_R_T

4way Btm Right Right Top

DLG_EFFECT_IDSTR_ROLL4_B_R_T_B

4way Btm Right Top Btm

DLG_EFFECT_IDSTR_ROLL4_B_R_T_L

4way Btm Right Top Left

DLG_EFFECT_IDSTR_ROLL4_B_R_T_R

4way Btm Right Top Right

DLG_EFFECT_IDSTR_ROLL4_B_R_T_T

4way Btm Right Top Top

DLG_EFFECT_IDSTR_ROLL4_B_T_B_B

4way Btm Top Btm Btm

DLG_EFFECT_IDSTR_ROLL4_B_T_B_L

4way Btm Top Btm Left

DLG_EFFECT_IDSTR_ROLL4_B_T_B_R

4way Btm Top Btm Right

DLG_EFFECT_IDSTR_ROLL4_B_T_B_T

4way Btm Top Btm Top

DLG_EFFECT_IDSTR_ROLL4_B_T_L_B

4way Btm Top Left Btm

DLG_EFFECT_IDSTR_ROLL4_B_T_L_L

4way Btm Top Left Left

DLG_EFFECT_IDSTR_ROLL4_B_T_L_R

4way Btm Top Left Right

DLG_EFFECT_IDSTR_ROLL4_B_T_L_T

4way Btm Top Left Top

DLG_EFFECT_IDSTR_ROLL4_B_T_R_B

4way Btm Top Right Btm

DLG_EFFECT_IDSTR_ROLL4_B_T_R_L

4way Btm Top Right Left

DLG_EFFECT_IDSTR_ROLL4_B_T_R_R

4way Btm Top Right Right

DLG_EFFECT_IDSTR_ROLL4_B_T_R_T

4way Btm Top Right Top

DLG_EFFECT_IDSTR_ROLL4_B_T_T_B

4way Btm Top Top Btm

DLG_EFFECT_IDSTR_ROLL4_B_T_T_L

4way Btm Top Top Left

DLG_EFFECT_IDSTR_ROLL4_B_T_T_R

4way Btm Top Top Right

DLG_EFFECT_IDSTR_ROLL4_B_T_T_T

4way Btm Top Top Top

DLG_EFFECT_IDSTR_ROLL4_L_B_B_B

4way Left Btm Btm Btm

DLG_EFFECT_IDSTR_ROLL4_L_B_B_L

4way Left Btm Btm Left

DLG_EFFECT_IDSTR_ROLL4_L_B_B_R

4way Left Btm Btm Right

DLG_EFFECT_IDSTR_ROLL4_L_B_B_T

4way Left Btm Btm Top

DLG_EFFECT_IDSTR_ROLL4_L_B_L_B

4way Left Btm Left Btm

DLG_EFFECT_IDSTR_ROLL4_L_B_L_L

4way Left Btm Left Left

DLG_EFFECT_IDSTR_ROLL4_L_B_L_R

4way Left Btm Left Right

DLG_EFFECT_IDSTR_ROLL4_L_B_L_T

4way Left Btm Left Top

DLG_EFFECT_IDSTR_ROLL4_L_B_R_B

4way Left Btm Right Btm

DLG_EFFECT_IDSTR_ROLL4_L_B_R_L

4way Left Btm Right Left

DLG_EFFECT_IDSTR_ROLL4_L_B_R_R

4way Left Btm Right Right

DLG_EFFECT_IDSTR_ROLL4_L_B_R_T

4way Left Btm Right Top

DLG_EFFECT_IDSTR_ROLL4_L_B_T_B

4way Left Btm Top Btm

DLG_EFFECT_IDSTR_ROLL4_L_B_T_L

4way Left Btm Top Left

DLG_EFFECT_IDSTR_ROLL4_L_B_T_R

4way Left Btm Top Right

DLG_EFFECT_IDSTR_ROLL4_L_B_T_T

4way Left Btm Top Top

DLG_EFFECT_IDSTR_ROLL4_L_L_B_B

4way Left Left Btm Btm

DLG_EFFECT_IDSTR_ROLL4_L_L_B_L

4way Left Left Btm Left

DLG_EFFECT_IDSTR_ROLL4_L_L_B_R

4way Left Left Btm Right

DLG_EFFECT_IDSTR_ROLL4_L_L_B_T

4way Left Left Btm Top

DLG_EFFECT_IDSTR_ROLL4_L_L_L_B

4way Left Left Left Btm

DLG_EFFECT_IDSTR_ROLL4_L_L_L_L

4way Left Left Left Left

DLG_EFFECT_IDSTR_ROLL4_L_L_L_R

4way Left Left Left Right

DLG_EFFECT_IDSTR_ROLL4_L_L_L_T

4way Left Left Left Top

DLG_EFFECT_IDSTR_ROLL4_L_L_R_B

4way Left Left Right Btm

DLG_EFFECT_IDSTR_ROLL4_L_L_R_L

4way Left Left Right Left

DLG_EFFECT_IDSTR_ROLL4_L_L_R_R

4way Left Left Right Right

DLG_EFFECT_IDSTR_ROLL4_L_L_R_T

4way Left Left Right Top

DLG_EFFECT_IDSTR_ROLL4_L_L_T_B

4way Left Left Top Btm

DLG_EFFECT_IDSTR_ROLL4_L_L_T_L

4way Left Left Top Left

DLG_EFFECT_IDSTR_ROLL4_L_L_T_R

4way Left Left Top Right

DLG_EFFECT_IDSTR_ROLL4_L_L_T_T

4way Left Left Top Top

DLG_EFFECT_IDSTR_ROLL4_L_R_B_B

4way Left Right Btm Btm

DLG_EFFECT_IDSTR_ROLL4_L_R_B_L

4way Left Right Btm Left

DLG_EFFECT_IDSTR_ROLL4_L_R_B_R

4way Left Right Btm Right

DLG_EFFECT_IDSTR_ROLL4_L_R_B_T

4way Left Right Btm Top

DLG_EFFECT_IDSTR_ROLL4_L_R_L_B

4way Left Right Left Btm

DLG_EFFECT_IDSTR_ROLL4_L_R_L_L

4way Left Right Left Left

DLG_EFFECT_IDSTR_ROLL4_L_R_L_R

4way Left Right Left Right

DLG_EFFECT_IDSTR_ROLL4_L_R_L_T

4way Left Right Left Top

DLG_EFFECT_IDSTR_ROLL4_L_R_R_B

4way Left Right Right Btm

DLG_EFFECT_IDSTR_ROLL4_L_R_R_L

4way Left Right Right Left

DLG_EFFECT_IDSTR_ROLL4_L_R_R_R

4way Left Right Right Right

DLG_EFFECT_IDSTR_ROLL4_L_R_R_T

4way Left Right Right Top

DLG_EFFECT_IDSTR_ROLL4_L_R_T_B

4way Left Right Top Btm

DLG_EFFECT_IDSTR_ROLL4_L_R_T_L

4way Left Right Top Left

DLG_EFFECT_IDSTR_ROLL4_L_R_T_R

4way Left Right Top Right

DLG_EFFECT_IDSTR_ROLL4_L_R_T_T

4way Left Right Top Top

DLG_EFFECT_IDSTR_ROLL4_L_T_B_B

4way Left Top Btm Btm

DLG_EFFECT_IDSTR_ROLL4_L_T_B_L

4way Left Top Btm Left

DLG_EFFECT_IDSTR_ROLL4_L_T_B_R

4way Left Top Btm Right

DLG_EFFECT_IDSTR_ROLL4_L_T_B_T

4way Left Top Btm Top

DLG_EFFECT_IDSTR_ROLL4_L_T_L_B

4way Left Top Left Btm

DLG_EFFECT_IDSTR_ROLL4_L_T_L_L

4way Left Top Left Left

DLG_EFFECT_IDSTR_ROLL4_L_T_L_R

4way Left Top Left Right

DLG_EFFECT_IDSTR_ROLL4_L_T_L_T

4way Left Top Left Top

DLG_EFFECT_IDSTR_ROLL4_L_T_R_B

4way Left Top Right Btm

DLG_EFFECT_IDSTR_ROLL4_L_T_R_L

4way Left Top Right Left

DLG_EFFECT_IDSTR_ROLL4_L_T_R_R

4way Left Top Right Right

DLG_EFFECT_IDSTR_ROLL4_L_T_R_T

4way Left Top Right Top

DLG_EFFECT_IDSTR_ROLL4_L_T_T_B

4way Left Top Top Btm

DLG_EFFECT_IDSTR_ROLL4_L_T_T_L

4way Left Top Top Left

DLG_EFFECT_IDSTR_ROLL4_L_T_T_R

4way Left Top Top Right

DLG_EFFECT_IDSTR_ROLL4_L_T_T_T

4way Left Top Top Top

DLG_EFFECT_IDSTR_ROLL4_R_B_B_B

4way Right Btm Btm Btm

DLG_EFFECT_IDSTR_ROLL4_R_B_B_L

4way Right Btm Btm Left

DLG_EFFECT_IDSTR_ROLL4_R_B_B_R

4way Right Btm Btm Right

DLG_EFFECT_IDSTR_ROLL4_R_B_B_T

4way Right Btm Btm Top

DLG_EFFECT_IDSTR_ROLL4_R_B_L_B

4way Right Btm Left Btm

DLG_EFFECT_IDSTR_ROLL4_R_B_L_L

4way Right Btm Left Left

DLG_EFFECT_IDSTR_ROLL4_R_B_L_R

4way Right Btm Left Right

DLG_EFFECT_IDSTR_ROLL4_R_B_L_T

4way Right Btm Left Top

DLG_EFFECT_IDSTR_ROLL4_R_B_R_B

4way Right Btm Right Btm

DLG_EFFECT_IDSTR_ROLL4_R_B_R_L

4way Right Btm Right Left

DLG_EFFECT_IDSTR_ROLL4_R_B_R_R

4way Right Btm Right Right

DLG_EFFECT_IDSTR_ROLL4_R_B_R_T

4way Right Btm Right Top

DLG_EFFECT_IDSTR_ROLL4_R_B_T_B

4way Right Btm Top Btm

DLG_EFFECT_IDSTR_ROLL4_R_B_T_L

4way Right Btm Top Left

DLG_EFFECT_IDSTR_ROLL4_R_B_T_R

4way Right Btm Top Right

DLG_EFFECT_IDSTR_ROLL4_R_B_T_T

4way Right Btm Top Top

DLG_EFFECT_IDSTR_ROLL4_R_L_B_B

4way Right Left Btm Btm

DLG_EFFECT_IDSTR_ROLL4_R_L_B_L

4way Right Left Btm Left

DLG_EFFECT_IDSTR_ROLL4_R_L_B_R

4way Right Left Btm Right

DLG_EFFECT_IDSTR_ROLL4_R_L_B_T

4way Right Left Btm Top

DLG_EFFECT_IDSTR_ROLL4_R_L_L_B

4way Right Left Left Btm

DLG_EFFECT_IDSTR_ROLL4_R_L_L_L

4way Right Left Left Left

DLG_EFFECT_IDSTR_ROLL4_R_L_L_R

4way Right Left Left Right

DLG_EFFECT_IDSTR_ROLL4_R_L_L_T

4way Right Left Left Top

DLG_EFFECT_IDSTR_ROLL4_R_L_R_B

4way Right Left Right Btm

DLG_EFFECT_IDSTR_ROLL4_R_L_R_L

4way Right Left Right Left

DLG_EFFECT_IDSTR_ROLL4_R_L_R_R

4way Right Left Right Right

DLG_EFFECT_IDSTR_ROLL4_R_L_R_T

4way Right Left Right Top

DLG_EFFECT_IDSTR_ROLL4_R_L_T_B

4way Right Left Top Btm

DLG_EFFECT_IDSTR_ROLL4_R_L_T_L

4way Right Left Top Left

DLG_EFFECT_IDSTR_ROLL4_R_L_T_R

4way Right Left Top Right

DLG_EFFECT_IDSTR_ROLL4_R_L_T_T

4way Right Left Top Top

DLG_EFFECT_IDSTR_ROLL4_R_R_B_B

4way Right Right Btm Btm

DLG_EFFECT_IDSTR_ROLL4_R_R_B_L

4way Right Right Btm Left

DLG_EFFECT_IDSTR_ROLL4_R_R_B_R

4way Right Right Btm Right

DLG_EFFECT_IDSTR_ROLL4_R_R_B_T

4way Right Right Btm Top

DLG_EFFECT_IDSTR_ROLL4_R_R_L_B

4way Right Right Left Btm

DLG_EFFECT_IDSTR_ROLL4_R_R_L_L

4way Right Right Left Left

DLG_EFFECT_IDSTR_ROLL4_R_R_L_R

4way Right Right Left Right

DLG_EFFECT_IDSTR_ROLL4_R_R_L_T

4way Right Right Left Top

DLG_EFFECT_IDSTR_ROLL4_R_R_R_B

4way Right Right Right Btm

DLG_EFFECT_IDSTR_ROLL4_R_R_R_L

4way Right Right Right Left

DLG_EFFECT_IDSTR_ROLL4_R_R_R_R

4way Right Right Right Right

DLG_EFFECT_IDSTR_ROLL4_R_R_R_T

4way Right Right Right Top

DLG_EFFECT_IDSTR_ROLL4_R_R_T_B

4way Right Right Top Btm

DLG_EFFECT_IDSTR_ROLL4_R_R_T_L

4way Right Right Top Left

DLG_EFFECT_IDSTR_ROLL4_R_R_T_R

4way Right Right Top Right

DLG_EFFECT_IDSTR_ROLL4_R_R_T_T

4way Right Right Top Top

DLG_EFFECT_IDSTR_ROLL4_R_T_B_B

4way Right Top Btm Btm

DLG_EFFECT_IDSTR_ROLL4_R_T_B_L

4way Right Top Btm Left

DLG_EFFECT_IDSTR_ROLL4_R_T_B_R

4way Right Top Btm Right

DLG_EFFECT_IDSTR_ROLL4_R_T_B_T

4way Right Top Btm Top

DLG_EFFECT_IDSTR_ROLL4_R_T_L_B

4way Right Top Left Btm

DLG_EFFECT_IDSTR_ROLL4_R_T_L_L

4way Right Top Left Left

DLG_EFFECT_IDSTR_ROLL4_R_T_L_R

4way Right Top Left Right

DLG_EFFECT_IDSTR_ROLL4_R_T_L_T

4way Right Top Left Top

DLG_EFFECT_IDSTR_ROLL4_R_T_R_B

4way Right Top Right Btm

DLG_EFFECT_IDSTR_ROLL4_R_T_R_L

4way Right Top Right Left

DLG_EFFECT_IDSTR_ROLL4_R_T_R_R

4way Right Top Right Right

DLG_EFFECT_IDSTR_ROLL4_R_T_R_T

4way Right Top Right Top

DLG_EFFECT_IDSTR_ROLL4_R_T_T_B

4way Right Top Top Btm

DLG_EFFECT_IDSTR_ROLL4_R_T_T_L

4way Right Top Top Left

DLG_EFFECT_IDSTR_ROLL4_R_T_T_R

4way Right Top Top Right

DLG_EFFECT_IDSTR_ROLL4_R_T_T_T

4way Right Top Top Top

DLG_EFFECT_IDSTR_ROLL4_T_B_B_B

4way Top Btm Btm Btm

DLG_EFFECT_IDSTR_ROLL4_T_B_B_L

4way Top Btm Btm Left

DLG_EFFECT_IDSTR_ROLL4_T_B_B_R

4way Top Btm Btm Right

DLG_EFFECT_IDSTR_ROLL4_T_B_B_T

4way Top Btm Btm Top

DLG_EFFECT_IDSTR_ROLL4_T_B_L_B

4way Top Btm Left Btm

DLG_EFFECT_IDSTR_ROLL4_T_B_L_L

4way Top Btm Left Left

DLG_EFFECT_IDSTR_ROLL4_T_B_L_R

4way Top Btm Left Right

DLG_EFFECT_IDSTR_ROLL4_T_B_L_T

4way Top Btm Left Top

DLG_EFFECT_IDSTR_ROLL4_T_B_R_B

4way Top Btm Right Btm

DLG_EFFECT_IDSTR_ROLL4_T_B_R_L

4way Top Btm Right Left

DLG_EFFECT_IDSTR_ROLL4_T_B_R_R

4way Top Btm Right Right

DLG_EFFECT_IDSTR_ROLL4_T_B_R_T

4way Top Btm Right Top

DLG_EFFECT_IDSTR_ROLL4_T_B_T_B

4way Top Btm Top Btm

DLG_EFFECT_IDSTR_ROLL4_T_B_T_L

4way Top Btm Top Left

DLG_EFFECT_IDSTR_ROLL4_T_B_T_R

4way Top Btm Top Right

DLG_EFFECT_IDSTR_ROLL4_T_B_T_T

4way Top Btm Top Top

DLG_EFFECT_IDSTR_ROLL4_T_L_B_B

4way Top Left Btm Btm

DLG_EFFECT_IDSTR_ROLL4_T_L_B_L

4way Top Left Btm Left

DLG_EFFECT_IDSTR_ROLL4_T_L_B_R

4way Top Left Btm Right

DLG_EFFECT_IDSTR_ROLL4_T_L_B_T

4way Top Left Btm Top

DLG_EFFECT_IDSTR_ROLL4_T_L_L_B

4way Top Left Left Btm

DLG_EFFECT_IDSTR_ROLL4_T_L_L_L

4way Top Left Left Left

DLG_EFFECT_IDSTR_ROLL4_T_L_L_R

4way Top Left Left Right

DLG_EFFECT_IDSTR_ROLL4_T_L_L_T

4way Top Left Left Top

DLG_EFFECT_IDSTR_ROLL4_T_L_R_B

4way Top Left Right Btm

DLG_EFFECT_IDSTR_ROLL4_T_L_R_L

4way Top Left Right Left

DLG_EFFECT_IDSTR_ROLL4_T_L_R_R

4way Top Left Right Right

DLG_EFFECT_IDSTR_ROLL4_T_L_R_T

4way Top Left Right Top

DLG_EFFECT_IDSTR_ROLL4_T_L_T_B

4way Top Left Top Btm

DLG_EFFECT_IDSTR_ROLL4_T_L_T_L

4way Top Left Top Left

DLG_EFFECT_IDSTR_ROLL4_T_L_T_R

4way Top Left Top Right

DLG_EFFECT_IDSTR_ROLL4_T_L_T_T

4way Top Left Top Top

DLG_EFFECT_IDSTR_ROLL4_T_R_B_B

4way Top Right Btm Btm

DLG_EFFECT_IDSTR_ROLL4_T_R_B_L

4way Top Right Btm Left

DLG_EFFECT_IDSTR_ROLL4_T_R_B_R

4way Top Right Btm Right

DLG_EFFECT_IDSTR_ROLL4_T_R_B_T

4way Top Right Btm Top

DLG_EFFECT_IDSTR_ROLL4_T_R_L_B

4way Top Right Left Btm

DLG_EFFECT_IDSTR_ROLL4_T_R_L_L

4way Top Right Left Left

DLG_EFFECT_IDSTR_ROLL4_T_R_L_R

4way Top Right Left Right

DLG_EFFECT_IDSTR_ROLL4_T_R_L_T

4way Top Right Left Top

DLG_EFFECT_IDSTR_ROLL4_T_R_R_B

4way Top Right Right Btm

DLG_EFFECT_IDSTR_ROLL4_T_R_R_L

4way Top Right Right Left

DLG_EFFECT_IDSTR_ROLL4_T_R_R_R

4way Top Right Right Right

DLG_EFFECT_IDSTR_ROLL4_T_R_R_T

4way Top Right Right Top

DLG_EFFECT_IDSTR_ROLL4_T_R_T_B

4way Top Right Top Btm

DLG_EFFECT_IDSTR_ROLL4_T_R_T_L

4way Top Right Top Left

DLG_EFFECT_IDSTR_ROLL4_T_R_T_R

4way Top Right Top Right

DLG_EFFECT_IDSTR_ROLL4_T_R_T_T

4way Top Right Top Top

DLG_EFFECT_IDSTR_ROLL4_T_T_B_B

4way Top Top Btm Btm

DLG_EFFECT_IDSTR_ROLL4_T_T_B_L

4way Top Top Btm Left

DLG_EFFECT_IDSTR_ROLL4_T_T_B_R

4way Top Top Btm Right

DLG_EFFECT_IDSTR_ROLL4_T_T_B_T

4way Top Top Btm Top

DLG_EFFECT_IDSTR_ROLL4_T_T_L_B

4way Top Top Left Btm

DLG_EFFECT_IDSTR_ROLL4_T_T_L_L

4way Top Top Left Left

DLG_EFFECT_IDSTR_ROLL4_T_T_L_R

4way Top Top Left Right

DLG_EFFECT_IDSTR_ROLL4_T_T_L_T

4way Top Top Left Top

DLG_EFFECT_IDSTR_ROLL4_T_T_R_B

4way Top Top Right Btm

DLG_EFFECT_IDSTR_ROLL4_T_T_R_L

4way Top Top Right Left

DLG_EFFECT_IDSTR_ROLL4_T_T_R_R

4way Top Top Right Right

DLG_EFFECT_IDSTR_ROLL4_T_T_R_T

4way Top Top Right Top

DLG_EFFECT_IDSTR_ROLL4_T_T_T_B

4way Top Top Top Btm

DLG_EFFECT_IDSTR_ROLL4_T_T_T_L

4way Top Top Top Left

DLG_EFFECT_IDSTR_ROLL4_T_T_T_R

4way Top Top Top Right

DLG_EFFECT_IDSTR_ROLL4_T_T_T_T

4way Top Top Top Top

Rotate

DLG_EFFECT_IDSTR_ROTATE_B_TO_T

Btm to Top

DLG_EFFECT_IDSTR_ROTATE_L_TO_R

Left to Right

DLG_EFFECT_IDSTR_ROTATE_R_TO_L

Right to Left

DLG_EFFECT_IDSTR_ROTATE_T_TO_B

Top to Btm

DLG_EFFECT_IDSTR_ROTATE4_B_B_B_B

4way Btm Btm Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_B_B_B_L

4way Btm Btm Btm Left

DLG_EFFECT_IDSTR_ROTATE4_B_B_B_R

4way Btm Btm Btm Right

DLG_EFFECT_IDSTR_ROTATE4_B_B_B_T

4way Btm Btm Btm Top

DLG_EFFECT_IDSTR_ROTATE4_B_B_L_B

4way Btm Btm Left Btm

DLG_EFFECT_IDSTR_ROTATE4_B_B_L_L

4way Btm Btm Left Left

DLG_EFFECT_IDSTR_ROTATE4_B_B_L_R

4way Btm Btm Left Right

DLG_EFFECT_IDSTR_ROTATE4_B_B_L_T

4way Btm Btm Left Top

DLG_EFFECT_IDSTR_ROTATE4_B_B_R_B

4way Btm Btm Right Btm

DLG_EFFECT_IDSTR_ROTATE4_B_B_R_L

4way Btm Btm Right Left

DLG_EFFECT_IDSTR_ROTATE4_B_B_R_R

4way Btm Btm Right Right

DLG_EFFECT_IDSTR_ROTATE4_B_B_R_T

4way Btm Btm Right Top

DLG_EFFECT_IDSTR_ROTATE4_B_B_T_B

4way Btm Btm Top Btm

DLG_EFFECT_IDSTR_ROTATE4_B_B_T_L

4way Btm Btm Top Left

DLG_EFFECT_IDSTR_ROTATE4_B_B_T_R

4way Btm Btm Top Right

DLG_EFFECT_IDSTR_ROTATE4_B_B_T_T

4way Btm Btm Top Top

DLG_EFFECT_IDSTR_ROTATE4_B_L_B_B

4way Btm Left Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_B_L_B_L

4way Btm Left Btm Left

DLG_EFFECT_IDSTR_ROTATE4_B_L_B_R

4way Btm Left Btm Right

DLG_EFFECT_IDSTR_ROTATE4_B_L_B_T

4way Btm Left Btm Top

DLG_EFFECT_IDSTR_ROTATE4_B_L_L_B

4way Btm Left Left Btm

DLG_EFFECT_IDSTR_ROTATE4_B_L_L_L

4way Btm Left Left Left

DLG_EFFECT_IDSTR_ROTATE4_B_L_L_R

4way Btm Left Left Right

DLG_EFFECT_IDSTR_ROTATE4_B_L_L_T

4way Btm Left Left Top

DLG_EFFECT_IDSTR_ROTATE4_B_L_R_B

4way Btm Left Right Btm

DLG_EFFECT_IDSTR_ROTATE4_B_L_R_L

4way Btm Left Right Left

DLG_EFFECT_IDSTR_ROTATE4_B_L_R_R

4way Btm Left Right Right

DLG_EFFECT_IDSTR_ROTATE4_B_L_R_T

4way Btm Left Right Top

DLG_EFFECT_IDSTR_ROTATE4_B_L_T_B

4way Btm Left Top Btm

DLG_EFFECT_IDSTR_ROTATE4_B_L_T_L

4way Btm Left Top Left

DLG_EFFECT_IDSTR_ROTATE4_B_L_T_R

4way Btm Left Top Right

DLG_EFFECT_IDSTR_ROTATE4_B_L_T_T

4way Btm Left Top Top

DLG_EFFECT_IDSTR_ROTATE4_B_R_B_B

4way Btm Right Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_B_R_B_L

4way Btm Right Btm Left

DLG_EFFECT_IDSTR_ROTATE4_B_R_B_R

4way Btm Right Btm Right

DLG_EFFECT_IDSTR_ROTATE4_B_R_B_T

4way Btm Right Btm Top

DLG_EFFECT_IDSTR_ROTATE4_B_R_L_B

4way Btm Right Left Btm

DLG_EFFECT_IDSTR_ROTATE4_B_R_L_L

4way Btm Right Left Left

DLG_EFFECT_IDSTR_ROTATE4_B_R_L_R

4way Btm Right Left Right

DLG_EFFECT_IDSTR_ROTATE4_B_R_L_T

4way Btm Right Left Top

DLG_EFFECT_IDSTR_ROTATE4_B_R_R_B

4way Btm Right Right Btm

DLG_EFFECT_IDSTR_ROTATE4_B_R_R_L

4way Btm Right Right Left

DLG_EFFECT_IDSTR_ROTATE4_B_R_R_R

4way Btm Right Right Right

DLG_EFFECT_IDSTR_ROTATE4_B_R_R_T

4way Btm Right Right Top

DLG_EFFECT_IDSTR_ROTATE4_B_R_T_B

4way Btm Right Top Btm

DLG_EFFECT_IDSTR_ROTATE4_B_R_T_L

4way Btm Right Top Left

DLG_EFFECT_IDSTR_ROTATE4_B_R_T_R

4way Btm Right Top Right

DLG_EFFECT_IDSTR_ROTATE4_B_R_T_T

4way Btm Right Top Top

DLG_EFFECT_IDSTR_ROTATE4_B_T_B_B

4way Btm Top Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_B_T_B_L

4way Btm Top Btm Left

DLG_EFFECT_IDSTR_ROTATE4_B_T_B_R

4way Btm Top Btm Right

DLG_EFFECT_IDSTR_ROTATE4_B_T_B_T

4way Btm Top Btm Top

DLG_EFFECT_IDSTR_ROTATE4_B_T_L_B

4way Btm Top Left Btm

DLG_EFFECT_IDSTR_ROTATE4_B_T_L_L

4way Btm Top Left Left

DLG_EFFECT_IDSTR_ROTATE4_B_T_L_R

4way Btm Top Left Right

DLG_EFFECT_IDSTR_ROTATE4_B_T_L_T

4way Btm Top Left Top

DLG_EFFECT_IDSTR_ROTATE4_B_T_R_B

4way Btm Top Right Btm

DLG_EFFECT_IDSTR_ROTATE4_B_T_R_L

4way Btm Top Right Left

DLG_EFFECT_IDSTR_ROTATE4_B_T_R_R

4way Btm Top Right Right

DLG_EFFECT_IDSTR_ROTATE4_B_T_R_T

4way Btm Top Right Top

DLG_EFFECT_IDSTR_ROTATE4_B_T_T_B

4way Btm Top Top Btm

DLG_EFFECT_IDSTR_ROTATE4_B_T_T_L

4way Btm Top Top Left

DLG_EFFECT_IDSTR_ROTATE4_B_T_T_R

4way Btm Top Top Right

DLG_EFFECT_IDSTR_ROTATE4_B_T_T_T

4way Btm Top Top Top

DLG_EFFECT_IDSTR_ROTATE4_L_B_B_B

4way Left Btm Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_L_B_B_L

4way Left Btm Btm Left

DLG_EFFECT_IDSTR_ROTATE4_L_B_B_R

4way Left Btm Btm Right

DLG_EFFECT_IDSTR_ROTATE4_L_B_B_T

4way Left Btm Btm Top

DLG_EFFECT_IDSTR_ROTATE4_L_B_L_B

4way Left Btm Left Btm

DLG_EFFECT_IDSTR_ROTATE4_L_B_L_L

4way Left Btm Left Left

DLG_EFFECT_IDSTR_ROTATE4_L_B_L_R

4way Left Btm Left Right

DLG_EFFECT_IDSTR_ROTATE4_L_B_L_T

4way Left Btm Left Top

DLG_EFFECT_IDSTR_ROTATE4_L_B_R_B

4way Left Btm Right Btm

DLG_EFFECT_IDSTR_ROTATE4_L_B_R_L

4way Left Btm Right Left

DLG_EFFECT_IDSTR_ROTATE4_L_B_R_R

4way Left Btm Right Right

DLG_EFFECT_IDSTR_ROTATE4_L_B_R_T

4way Left Btm Right Top

DLG_EFFECT_IDSTR_ROTATE4_L_B_T_B

4way Left Btm Top Btm

DLG_EFFECT_IDSTR_ROTATE4_L_B_T_L

4way Left Btm Top Left

DLG_EFFECT_IDSTR_ROTATE4_L_B_T_R

4way Left Btm Top Right

DLG_EFFECT_IDSTR_ROTATE4_L_B_T_T

4way Left Btm Top Top

DLG_EFFECT_IDSTR_ROTATE4_L_L_B_B

4way Left Left Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_L_L_B_L

4way Left Left Btm Left

DLG_EFFECT_IDSTR_ROTATE4_L_L_B_R

4way Left Left Btm Right

DLG_EFFECT_IDSTR_ROTATE4_L_L_B_T

4way Left Left Btm Top

DLG_EFFECT_IDSTR_ROTATE4_L_L_L_B

4way Left Left Left Btm

DLG_EFFECT_IDSTR_ROTATE4_L_L_L_L

4way Left Left Left Left

DLG_EFFECT_IDSTR_ROTATE4_L_L_L_R

4way Left Left Left Right

DLG_EFFECT_IDSTR_ROTATE4_L_L_L_T

4way Left Left Left Top

DLG_EFFECT_IDSTR_ROTATE4_L_L_R_B

4way Left Left Right Btm

DLG_EFFECT_IDSTR_ROTATE4_L_L_R_L

4way Left Left Right Left

DLG_EFFECT_IDSTR_ROTATE4_L_L_R_R

4way Left Left Right Right

DLG_EFFECT_IDSTR_ROTATE4_L_L_R_T

4way Left Left Right Top

DLG_EFFECT_IDSTR_ROTATE4_L_L_T_B

4way Left Left Top Btm

DLG_EFFECT_IDSTR_ROTATE4_L_L_T_L

4way Left Left Top Left

DLG_EFFECT_IDSTR_ROTATE4_L_L_T_R

4way Left Left Top Right

DLG_EFFECT_IDSTR_ROTATE4_L_L_T_T

4way Left Left Top Top

DLG_EFFECT_IDSTR_ROTATE4_L_R_B_B

4way Left Right Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_L_R_B_L

4way Left Right Btm Left

DLG_EFFECT_IDSTR_ROTATE4_L_R_B_R

4way Left Right Btm Right

DLG_EFFECT_IDSTR_ROTATE4_L_R_B_T

4way Left Right Btm Top

DLG_EFFECT_IDSTR_ROTATE4_L_R_L_B

4way Left Right Left Btm

DLG_EFFECT_IDSTR_ROTATE4_L_R_L_L

4way Left Right Left Left

DLG_EFFECT_IDSTR_ROTATE4_L_R_L_R

4way Left Right Left Right

DLG_EFFECT_IDSTR_ROTATE4_L_R_L_T

4way Left Right Left Top

DLG_EFFECT_IDSTR_ROTATE4_L_R_R_B

4way Left Right Right Btm

DLG_EFFECT_IDSTR_ROTATE4_L_R_R_L

4way Left Right Right Left

DLG_EFFECT_IDSTR_ROTATE4_L_R_R_R

4way Left Right Right Right

DLG_EFFECT_IDSTR_ROTATE4_L_R_R_T

4way Left Right Right Top

DLG_EFFECT_IDSTR_ROTATE4_L_R_T_B

4way Left Right Top Btm

DLG_EFFECT_IDSTR_ROTATE4_L_R_T_L

4way Left Right Top Left

DLG_EFFECT_IDSTR_ROTATE4_L_R_T_R

4way Left Right Top Right

DLG_EFFECT_IDSTR_ROTATE4_L_R_T_T

4way Left Right Top Top

DLG_EFFECT_IDSTR_ROTATE4_L_T_B_B

4way Left Top Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_L_T_B_L

4way Left Top Btm Left

DLG_EFFECT_IDSTR_ROTATE4_L_T_B_R

4way Left Top Btm Right

DLG_EFFECT_IDSTR_ROTATE4_L_T_B_T

4way Left Top Btm Top

DLG_EFFECT_IDSTR_ROTATE4_L_T_L_B

4way Left Top Left Btm

DLG_EFFECT_IDSTR_ROTATE4_L_T_L_L

4way Left Top Left Left

DLG_EFFECT_IDSTR_ROTATE4_L_T_L_R

4way Left Top Left Right

DLG_EFFECT_IDSTR_ROTATE4_L_T_L_T

4way Left Top Left Top

DLG_EFFECT_IDSTR_ROTATE4_L_T_R_B

4way Left Top Right Btm

DLG_EFFECT_IDSTR_ROTATE4_L_T_R_L

4way Left Top Right Left

DLG_EFFECT_IDSTR_ROTATE4_L_T_R_R

4way Left Top Right Right

DLG_EFFECT_IDSTR_ROTATE4_L_T_R_T

4way Left Top Right Top

DLG_EFFECT_IDSTR_ROTATE4_L_T_T_B

4way Left Top Top Btm

DLG_EFFECT_IDSTR_ROTATE4_L_T_T_L

4way Left Top Top Left

DLG_EFFECT_IDSTR_ROTATE4_L_T_T_R

4way Left Top Top Right

DLG_EFFECT_IDSTR_ROTATE4_L_T_T_T

4way Left Top Top Top

DLG_EFFECT_IDSTR_ROTATE4_R_B_B_B

4way Right Btm Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_R_B_B_L

4way Right Btm Btm Left

DLG_EFFECT_IDSTR_ROTATE4_R_B_B_R

4way Right Btm Btm Right

DLG_EFFECT_IDSTR_ROTATE4_R_B_B_T

4way Right Btm Btm Top

DLG_EFFECT_IDSTR_ROTATE4_R_B_L_B

4way Right Btm Left Btm

DLG_EFFECT_IDSTR_ROTATE4_R_B_L_L

4way Right Btm Left Left

DLG_EFFECT_IDSTR_ROTATE4_R_B_L_R

4way Right Btm Left Right

DLG_EFFECT_IDSTR_ROTATE4_R_B_L_T

4way Right Btm Left Top

DLG_EFFECT_IDSTR_ROTATE4_R_B_R_B

4way Right Btm Right Btm

DLG_EFFECT_IDSTR_ROTATE4_R_B_R_L

4way Right Btm Right Left

DLG_EFFECT_IDSTR_ROTATE4_R_B_R_R

4way Right Btm Right Right

DLG_EFFECT_IDSTR_ROTATE4_R_B_R_T

4way Right Btm Right Top

DLG_EFFECT_IDSTR_ROTATE4_R_B_T_B

4way Right Btm Top Btm

DLG_EFFECT_IDSTR_ROTATE4_R_B_T_L

4way Right Btm Top Left

DLG_EFFECT_IDSTR_ROTATE4_R_B_T_R

4way Right Btm Top Right

DLG_EFFECT_IDSTR_ROTATE4_R_B_T_T

4way Right Btm Top Top

DLG_EFFECT_IDSTR_ROTATE4_R_L_B_B

4way Right Left Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_R_L_B_L

4way Right Left Btm Left

DLG_EFFECT_IDSTR_ROTATE4_R_L_B_R

4way Right Left Btm Right

DLG_EFFECT_IDSTR_ROTATE4_R_L_B_T

4way Right Left Btm Top

DLG_EFFECT_IDSTR_ROTATE4_R_L_L_B

4way Right Left Left Btm

DLG_EFFECT_IDSTR_ROTATE4_R_L_L_L

4way Right Left Left Left

DLG_EFFECT_IDSTR_ROTATE4_R_L_L_R

4way Right Left Left Right

DLG_EFFECT_IDSTR_ROTATE4_R_L_L_T

4way Right Left Left Top

DLG_EFFECT_IDSTR_ROTATE4_R_L_R_B

4way Right Left Right Btm

DLG_EFFECT_IDSTR_ROTATE4_R_L_R_L

4way Right Left Right Left

DLG_EFFECT_IDSTR_ROTATE4_R_L_R_R

4way Right Left Right Right

DLG_EFFECT_IDSTR_ROTATE4_R_L_R_T

4way Right Left Right Top

DLG_EFFECT_IDSTR_ROTATE4_R_L_T_B

4way Right Left Top Btm

DLG_EFFECT_IDSTR_ROTATE4_R_L_T_L

4way Right Left Top Left

DLG_EFFECT_IDSTR_ROTATE4_R_L_T_R

4way Right Left Top Right

DLG_EFFECT_IDSTR_ROTATE4_R_L_T_T

4way Right Left Top Top

DLG_EFFECT_IDSTR_ROTATE4_R_R_B_B

4way Right Right Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_R_R_B_L

4way Right Right Btm Left

DLG_EFFECT_IDSTR_ROTATE4_R_R_B_R

4way Right Right Btm Right

DLG_EFFECT_IDSTR_ROTATE4_R_R_B_T

4way Right Right Btm Top

DLG_EFFECT_IDSTR_ROTATE4_R_R_L_B

4way Right Right Left Btm

DLG_EFFECT_IDSTR_ROTATE4_R_R_L_L

4way Right Right Left Left

DLG_EFFECT_IDSTR_ROTATE4_R_R_L_R

4way Right Right Left Right

DLG_EFFECT_IDSTR_ROTATE4_R_R_L_T

4way Right Right Left Top

DLG_EFFECT_IDSTR_ROTATE4_R_R_R_B

4way Right Right Right Btm

DLG_EFFECT_IDSTR_ROTATE4_R_R_R_L

4way Right Right Right Left

DLG_EFFECT_IDSTR_ROTATE4_R_R_R_R

4way Right Right Right Right

DLG_EFFECT_IDSTR_ROTATE4_R_R_R_T

4way Right Right Right Top

DLG_EFFECT_IDSTR_ROTATE4_R_R_T_B

4way Right Right Top Btm

DLG_EFFECT_IDSTR_ROTATE4_R_R_T_L

4way Right Right Top Left

DLG_EFFECT_IDSTR_ROTATE4_R_R_T_R

4way Right Right Top Right

DLG_EFFECT_IDSTR_ROTATE4_R_R_T_T

4way Right Right Top Top

DLG_EFFECT_IDSTR_ROTATE4_R_T_B_B

4way Right Top Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_R_T_B_L

4way Right Top Btm Left

DLG_EFFECT_IDSTR_ROTATE4_R_T_B_R

4way Right Top Btm Right

DLG_EFFECT_IDSTR_ROTATE4_R_T_B_T

4way Right Top Btm Top

DLG_EFFECT_IDSTR_ROTATE4_R_T_L_B

4way Right Top Left Btm

DLG_EFFECT_IDSTR_ROTATE4_R_T_L_L

4way Right Top Left Left

DLG_EFFECT_IDSTR_ROTATE4_R_T_L_R

4way Right Top Left Right

DLG_EFFECT_IDSTR_ROTATE4_R_T_L_T

4way Right Top Left Top

DLG_EFFECT_IDSTR_ROTATE4_R_T_R_B

4way Right Top Right Btm

DLG_EFFECT_IDSTR_ROTATE4_R_T_R_L

4way Right Top Right Left

DLG_EFFECT_IDSTR_ROTATE4_R_T_R_R

4way Right Top Right Right

DLG_EFFECT_IDSTR_ROTATE4_R_T_R_T

4way Right Top Right Top

DLG_EFFECT_IDSTR_ROTATE4_R_T_T_B

4way Right Top Top Btm

DLG_EFFECT_IDSTR_ROTATE4_R_T_T_L

4way Right Top Top Left

DLG_EFFECT_IDSTR_ROTATE4_R_T_T_R

4way Right Top Top Right

DLG_EFFECT_IDSTR_ROTATE4_R_T_T_T

4way Right Top Top Top

DLG_EFFECT_IDSTR_ROTATE4_T_B_B_B

4way Top Btm Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_T_B_B_L

4way Top Btm Btm Left

DLG_EFFECT_IDSTR_ROTATE4_T_B_B_R

4way Top Btm Btm Right

DLG_EFFECT_IDSTR_ROTATE4_T_B_B_T

4way Top Btm Btm Top

DLG_EFFECT_IDSTR_ROTATE4_T_B_L_B

4way Top Btm Left Btm

DLG_EFFECT_IDSTR_ROTATE4_T_B_L_L

4way Top Btm Left Left

DLG_EFFECT_IDSTR_ROTATE4_T_B_L_R

4way Top Btm Left Right

DLG_EFFECT_IDSTR_ROTATE4_T_B_L_T

4way Top Btm Left Top

DLG_EFFECT_IDSTR_ROTATE4_T_B_R_B

4way Top Btm Right Btm

DLG_EFFECT_IDSTR_ROTATE4_T_B_R_L

4way Top Btm Right Left

DLG_EFFECT_IDSTR_ROTATE4_T_B_R_R

4way Top Btm Right Right

DLG_EFFECT_IDSTR_ROTATE4_T_B_R_T

4way Top Btm Right Top

DLG_EFFECT_IDSTR_ROTATE4_T_B_T_B

4way Top Btm Top Btm

DLG_EFFECT_IDSTR_ROTATE4_T_B_T_L

4way Top Btm Top Left

DLG_EFFECT_IDSTR_ROTATE4_T_B_T_R

4way Top Btm Top Right

DLG_EFFECT_IDSTR_ROTATE4_T_B_T_T

4way Top Btm Top Top

DLG_EFFECT_IDSTR_ROTATE4_T_L_B_B

4way Top Left Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_T_L_B_L

4way Top Left Btm Left

DLG_EFFECT_IDSTR_ROTATE4_T_L_B_R

4way Top Left Btm Right

DLG_EFFECT_IDSTR_ROTATE4_T_L_B_T

4way Top Left Btm Top

DLG_EFFECT_IDSTR_ROTATE4_T_L_L_B

4way Top Left Left Btm

DLG_EFFECT_IDSTR_ROTATE4_T_L_L_L

4way Top Left Left Left

DLG_EFFECT_IDSTR_ROTATE4_T_L_L_R

4way Top Left Left Right

DLG_EFFECT_IDSTR_ROTATE4_T_L_L_T

4way Top Left Left Top

DLG_EFFECT_IDSTR_ROTATE4_T_L_R_B

4way Top Left Right Btm

DLG_EFFECT_IDSTR_ROTATE4_T_L_R_L

4way Top Left Right Left

DLG_EFFECT_IDSTR_ROTATE4_T_L_R_R

4way Top Left Right Right

DLG_EFFECT_IDSTR_ROTATE4_T_L_R_T

4way Top Left Right Top

DLG_EFFECT_IDSTR_ROTATE4_T_L_T_B

4way Top Left Top Btm

DLG_EFFECT_IDSTR_ROTATE4_T_L_T_L

4way Top Left Top Left

DLG_EFFECT_IDSTR_ROTATE4_T_L_T_R

4way Top Left Top Right

DLG_EFFECT_IDSTR_ROTATE4_T_L_T_T

4way Top Left Top Top

DLG_EFFECT_IDSTR_ROTATE4_T_R_B_B

4way Top Right Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_T_R_B_L

4way Top Right Btm Left

DLG_EFFECT_IDSTR_ROTATE4_T_R_B_R

4way Top Right Btm Right

DLG_EFFECT_IDSTR_ROTATE4_T_R_B_T

4way Top Right Btm Top

DLG_EFFECT_IDSTR_ROTATE4_T_R_L_B

4way Top Right Left Btm

DLG_EFFECT_IDSTR_ROTATE4_T_R_L_L

4way Top Right Left Left

DLG_EFFECT_IDSTR_ROTATE4_T_R_L_R

4way Top Right Left Right

DLG_EFFECT_IDSTR_ROTATE4_T_R_L_T

4way Top Right Left Top

DLG_EFFECT_IDSTR_ROTATE4_T_R_R_B

4way Top Right Right Btm

DLG_EFFECT_IDSTR_ROTATE4_T_R_R_L

4way Top Right Right Left

DLG_EFFECT_IDSTR_ROTATE4_T_R_R_R

4way Top Right Right Right

DLG_EFFECT_IDSTR_ROTATE4_T_R_R_T

4way Top Right Right Top

DLG_EFFECT_IDSTR_ROTATE4_T_R_T_B

4way Top Right Top Btm

DLG_EFFECT_IDSTR_ROTATE4_T_R_T_L

4way Top Right Top Left

DLG_EFFECT_IDSTR_ROTATE4_T_R_T_R

4way Top Right Top Right

DLG_EFFECT_IDSTR_ROTATE4_T_R_T_T

4way Top Right Top Top

DLG_EFFECT_IDSTR_ROTATE4_T_T_B_B

4way Top Top Btm Btm

DLG_EFFECT_IDSTR_ROTATE4_T_T_B_L

4way Top Top Btm Left

DLG_EFFECT_IDSTR_ROTATE4_T_T_B_R

4way Top Top Btm Right

DLG_EFFECT_IDSTR_ROTATE4_T_T_B_T

4way Top Top Btm Top

DLG_EFFECT_IDSTR_ROTATE4_T_T_L_B

4way Top Top Left Btm

DLG_EFFECT_IDSTR_ROTATE4_T_T_L_L

4way Top Top Left Left

DLG_EFFECT_IDSTR_ROTATE4_T_T_L_R

4way Top Top Left Right

DLG_EFFECT_IDSTR_ROTATE4_T_T_L_T

4way Top Top Left Top

DLG_EFFECT_IDSTR_ROTATE4_T_T_R_B

4way Top Top Right Btm

DLG_EFFECT_IDSTR_ROTATE4_T_T_R_L

4way Top Top Right Left

DLG_EFFECT_IDSTR_ROTATE4_T_T_R_R

4way Top Top Right Right

DLG_EFFECT_IDSTR_ROTATE4_T_T_R_T

4way Top Top Right Top

DLG_EFFECT_IDSTR_ROTATE4_T_T_T_B

4way Top Top Top Btm

DLG_EFFECT_IDSTR_ROTATE4_T_T_T_L

4way Top Top Top Left

DLG_EFFECT_IDSTR_ROTATE4_T_T_T_R

4way Top Top Top Right

DLG_EFFECT_IDSTR_ROTATE4_T_T_T_T

4way Top Top Top Top

Zoom

DLG_EFFECT_IDSTR_ZOOM_FROM_C

from Center

DLG_EFFECT_IDSTR_ZOOM_TO_C

to Center

Drip

DLG_EFFECT_IDSTR_DRIP_B_TO_T

Btm to Top

DLG_EFFECT_IDSTR_DRIP_L_TO_R

Left to Right

DLG_EFFECT_IDSTR_DRIP_R_TO_L

Right to Left

DLG_EFFECT_IDSTR_DRIP_T_TO_B

Top to Btm

Blind

DLG_EFFECT_IDSTR_BLIND_GROWING_B_TO_T

Growing Btm to Top

DLG_EFFECT_IDSTR_BLIND_GROWING_L_TO_R

Growing Left to Right

DLG_EFFECT_IDSTR_BLIND_GROWING_R_TO_L

Growing Right to Left

DLG_EFFECT_IDSTR_BLIND_GROWING_T_TO_B

Growing Top to Btm

DLG_EFFECT_IDSTR_BLIND_L_TO_R

Left to Right

DLG_EFFECT_IDSTR_BLIND_T_TO_B

Top to Btm

DLG_EFFECT_IDSTR_BLIND2_T_TO_B_AND_L_TO_R

2way Top to Btm & Left to Right

Random

DLG_EFFECT_IDSTR_RANDOM_BARS_B_TO_T

Bars Btm to Top

DLG_EFFECT_IDSTR_RANDOM_BARS_L_TO_R

Bars Left to Right

DLG_EFFECT_IDSTR_RANDOM_BARS_R_TO_L

Bars Right to Left

DLG_EFFECT_IDSTR_RANDOM_BARS_T_TO_B

Bars Top to Btm

DLG_EFFECT_IDSTR_RANDOM_BLOCKS

Blocks

DLG_EFFECT_IDSTR_RANDOM_BLOCKS_B_TO_T

Blocks Btm to Top

DLG_EFFECT_IDSTR_RANDOM_BLOCKS_L_TO_R

Blocks Left to Right

DLG_EFFECT_IDSTR_RANDOM_BLOCKS_R_TO_L

Blocks Right to Left

DLG_EFFECT_IDSTR_RANDOM_BLOCKS_T_TO_B

Blocks Top to Btm

DLG_EFFECT_IDSTR_RANDOM_LINES

Lines

Checkerboard

DLG_EFFECT_IDSTR_CHECKERBOARD_B_TO_T_THEN_B_TO_T

Btm to Top then Btm to Top

DLG_EFFECT_IDSTR_CHECKERBOARD_B_TO_T_THEN_T_TO_B

Btm to Top then Top to Btm

DLG_EFFECT_IDSTR_CHECKERBOARD_L_TO_R_THEN_L_TO_R

Left to Right then Left to Right

DLG_EFFECT_IDSTR_CHECKERBOARD_L_TO_R_THEN_R_TO_L

Left to Right then Right to Left

DLG_EFFECT_IDSTR_CHECKERBOARD_R_TO_L_THEN_L_TO_R

Right to Left then Left to Right

DLG_EFFECT_IDSTR_CHECKERBOARD_R_TO_L_THEN_R_TO_L

Right to Left then Right to Left

DLG_EFFECT_IDSTR_CHECKERBOARD_T_TO_B_THEN_B_TO_T

Top to Btm then Btm to Top

DLG_EFFECT_IDSTR_CHECKERBOARD_T_TO_B_THEN_T_TO_B

Top to Btm then Top to Btm

Blocks

DLG_EFFECT_IDSTR_BLOCKS_B_TO_T

Btm to Top

DLG_EFFECT_IDSTR_BLOCKS_L_TO_R

Left to Right

DLG_EFFECT_IDSTR_BLOCKS_R_TO_L

Right to Left

DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CCW_FROM_C

Swirl CCW from Center

DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CCW_TO_C

Swirl CCW to Center

DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CW_FROM_C

Swirl CW from Center

DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CW_TO_C

Swirl CW to Center

DLG_EFFECT_IDSTR_BLOCKS_T_TO_B

Top to Btm

Circle

DLG_EFFECT_IDSTR_CIRCLE_B_IN

Btm In

DLG_EFFECT_IDSTR_CIRCLE_B_INTER_IN_THEN_IN

Btm Interlace In then In

DLG_EFFECT_IDSTR_CIRCLE_B_INTER_IN_THEN_OUT

Btm Interlace In then Out

DLG_EFFECT_IDSTR_CIRCLE_B_INTER_OUT_THEN_IN

Btm Interlace Out then In

DLG_EFFECT_IDSTR_CIRCLE_B_INTER_OUT_THEN_OUT

Btm Interlace Out then Out

DLG_EFFECT_IDSTR_CIRCLE_B_OUT

Btm Out

DLG_EFFECT_IDSTR_CIRCLE_C_IN

Center In

DLG_EFFECT_IDSTR_CIRCLE_C_INTER_IN_THEN_IN

Center Interlace In then In

DLG_EFFECT_IDSTR_CIRCLE_C_INTER_IN_THEN_OUT

Center Interlace In then Out

DLG_EFFECT_IDSTR_CIRCLE_C_INTER_OUT_THEN_IN

Center Interlace Out then In

DLG_EFFECT_IDSTR_CIRCLE_C_INTER_OUT_THEN_OUT

Center Interlace Out then Out

DLG_EFFECT_IDSTR_CIRCLE_C_OUT

Center Out

DLG_EFFECT_IDSTR_CIRCLE_L_IN

Left In

DLG_EFFECT_IDSTR_CIRCLE_L_INTER_IN_THEN_IN

Left Interlace In then In

DLG_EFFECT_IDSTR_CIRCLE_L_INTER_IN_THEN_OUT

Left Interlace In then Out

DLG_EFFECT_IDSTR_CIRCLE_L_INTER_OUT_THEN_IN

Left Interlace Out then In

DLG_EFFECT_IDSTR_CIRCLE_L_INTER_OUT_THEN_OUT

Left Interlace Out then Out

DLG_EFFECT_IDSTR_CIRCLE_L_OUT

Left Out

DLG_EFFECT_IDSTR_CIRCLE_L_R_INTER

Left Right Interlace

DLG_EFFECT_IDSTR_CIRCLE_R_IN

Right In

DLG_EFFECT_IDSTR_CIRCLE_R_INTER_IN_THEN_IN

Right Interlace In then In

DLG_EFFECT_IDSTR_CIRCLE_R_INTER_IN_THEN_OUT

Right Interlace In then Out

DLG_EFFECT_IDSTR_CIRCLE_R_INTER_OUT_THEN_IN

Right Interlace Out then In

DLG_EFFECT_IDSTR_CIRCLE_R_INTER_OUT_THEN_OUT

Right Interlace Out then Out

DLG_EFFECT_IDSTR_CIRCLE_R_OUT

Right Out

DLG_EFFECT_IDSTR_CIRCLE_T_B_INTER

Top Btm Interlace

DLG_EFFECT_IDSTR_CIRCLE_T_IN

Top In

DLG_EFFECT_IDSTR_CIRCLE_T_INTER_IN_THEN_IN

Top Interlace In then In

DLG_EFFECT_IDSTR_CIRCLE_T_INTER_IN_THEN_OUT

Top Interlace In then Out

DLG_EFFECT_IDSTR_CIRCLE_T_INTER_OUT_THEN_IN

Top Interlace Out then In

DLG_EFFECT_IDSTR_CIRCLE_T_INTER_OUT_THEN_OUT

Top Interlace Out then Out

DLG_EFFECT_IDSTR_CIRCLE_T_OUT

Top Out

DLG_EFFECT_IDSTR_CIRCLE2_L_R_IN

2way Left Right In

DLG_EFFECT_IDSTR_CIRCLE2_L_R_OUT

2way Left Right Out

DLG_EFFECT_IDSTR_CIRCLE2_T_B_IN

2way Top Btm In

DLG_EFFECT_IDSTR_CIRCLE2_T_B_OUT

2way Top Btm Out

Ellipse

DLG_EFFECT_IDSTR_ELLIPSE_B_IN

Btm In

DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_IN_THEN_IN

Btm Interlace In then In

DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_IN_THEN_OUT

Btm Interlace In then Out

DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_OUT_THEN_IN

Btm Interlace Out then In

DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_OUT_THEN_OUT

Btm Interlace Out then Out

DLG_EFFECT_IDSTR_ELLIPSE_B_OUT

Btm Out

DLG_EFFECT_IDSTR_ELLIPSE_C_IN

Center In

DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_IN_THEN_IN

Center Interlace In then In

DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_IN_THEN_OUT

Center Interlace In then Out

DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_OUT_THEN_IN

Center Interlace Out then In

DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_OUT_THEN_OUT

Center Interlace Out then Out

DLG_EFFECT_IDSTR_ELLIPSE_C_OUT

Center Out

DLG_EFFECT_IDSTR_ELLIPSE_L_IN

Left In

DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_IN_THEN_IN

Left Interlace In then In

DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_IN_THEN_OUT

Left Interlace In then Out

DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_OUT_THEN_IN

Left Interlace Out then In

DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_OUT_THEN_OUT

Left Interlace Out then Out

DLG_EFFECT_IDSTR_ELLIPSE_L_OUT

Left Out

DLG_EFFECT_IDSTR_ELLIPSE_L_R_INTER

Left Right Interlace

DLG_EFFECT_IDSTR_ELLIPSE_R_IN

Right In

DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_IN_THEN_IN

Right Interlace In then In

DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_IN_THEN_OUT

Right Interlace In then Out

DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_OUT_THEN_IN

Right Interlace Out then In

DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_OUT_THEN_OUT

Right Interlace Out then Out

DLG_EFFECT_IDSTR_ELLIPSE_R_OUT

Right Out

DLG_EFFECT_IDSTR_ELLIPSE_T_B_INTER

Top Btm Interlace

DLG_EFFECT_IDSTR_ELLIPSE_T_IN

Top In

DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_IN_THEN_IN

Top Interlace In then In

DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_IN_THEN_OUT

Top Interlace In then Out

DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_OUT_THEN_IN

Top Interlace Out then In

DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_OUT_THEN_OUT

Top Interlace Out then Out

DLG_EFFECT_IDSTR_ELLIPSE_T_OUT

Top Out

DLG_EFFECT_IDSTR_ELLIPSE2_L_R_IN

2way Left Right In

DLG_EFFECT_IDSTR_ELLIPSE2_L_R_OUT

2way Left Right Out

DLG_EFFECT_IDSTR_ELLIPSE2_T_B_IN

2way Top Btm In

DLG_EFFECT_IDSTR_ELLIPSE2_T_B_OUT

2way Top Btm Out

Transition Dialog Strings

DLG_TRANSITION_IDSTR_BACKCOLOR

&BackColor

DLG_TRANSITION_IDSTR_BACKDIAGFILL

Backward Diagonal Lines

DLG_TRANSITION_IDSTR_CAPTION

Transition Options

DLG_TRANSITION_IDSTR_CROSSFILL

Cross Lines

DLG_TRANSITION_IDSTR_DELAY

&Delay

DLG_TRANSITION_IDSTR_DIAGCROSSFILL

Diagonal Cross Lines

DLG_TRANSITION_IDSTR_EFFECT

&Effect...

DLG_TRANSITION_IDSTR_FILL

Transition Fill &Style:

DLG_TRANSITION_IDSTR_FORECOLOR

&ForeColor

DLG_TRANSITION_IDSTR_FOREDIAGFILL

Forward Diagonal Lines

DLG_TRANSITION_IDSTR_GRADIENT

G&radient...

DLG_TRANSITION_IDSTR_GRADIENTFILL

Gradient

DLG_TRANSITION_IDSTR_GRAIN

&Grain

DLG_TRANSITION_IDSTR_HORZFILL

Horizontal Lines

DLG_TRANSITION_IDSTR_PASSES

P&asses

DLG_TRANSITION_IDSTR_PREVIEW

Pre&view

DLG_TRANSITION_IDSTR_SOLIDFILL

Solid

DLG_TRANSITION_IDSTR_TRANSPARENT

&Transparent

DLG_TRANSITION_IDSTR_VERTFILL

Vertical Lines

DLG_TRANSITION_IDSTR_WAND

&Wand

Gradient Dialog Strings

DLG_GRADIENT_IDSTR_ANGLE_CLASS

Angular Gradients

DLG_GRADIENT_IDSTR_ANGLE_FROMLB

From Left-Bottom

DLG_GRADIENT_IDSTR_ANGLE_FROMLT

From Left-Top

DLG_GRADIENT_IDSTR_ANGLE_FROMRB

From Right-Bottom

DLG_GRADIENT_IDSTR_ANGLE_FROMRT

From Right-Top

DLG_GRADIENT_IDSTR_ANGLE_TOLB

To Left-Bottom

DLG_GRADIENT_IDSTR_ANGLE_TOLT

To Left-Top

DLG_GRADIENT_IDSTR_ANGLE_TORB

To Right-Bottom

DLG_GRADIENT_IDSTR_ANGLE_TORT

To Right-Top

DLG_GRADIENT_IDSTR_CAPTION

Gradient Options

DLG_GRADIENT_IDSTR_CATEGORY

Gradient &Category

DLG_GRADIENT_IDSTR_CON_CLASS

Conical Gradients

DLG_GRADIENT_IDSTR_CON_FROMB

From Bottom

DLG_GRADIENT_IDSTR_CON_FROML

From Left

DLG_GRADIENT_IDSTR_CON_FROMLB

From Left-Bottom

DLG_GRADIENT_IDSTR_CON_FROMLT

From Left-Top

DLG_GRADIENT_IDSTR_CON_FROMR

From Right

DLG_GRADIENT_IDSTR_CON_FROMRB

From Right-Bottom

DLG_GRADIENT_IDSTR_CON_FROMRT

From Right-Top

DLG_GRADIENT_IDSTR_CON_FROMT

From Top

DLG_GRADIENT_IDSTR_ELLIPSE_CLASS

Elliptical Gradients

DLG_GRADIENT_IDSTR_ELLIPSE_FROMC

From Center

DLG_GRADIENT_IDSTR_ELLIPSE_TOC

To Center

DLG_GRADIENT_IDSTR_ENDCOLOR

&EndColor

DLG_GRADIENT_IDSTR_LINE_BTOT

Bottom to Top

DLG_GRADIENT_IDSTR_LINE_CLASS

Linear Gradients

DLG_GRADIENT_IDSTR_LINE_LBTORT

L-Bottom to R-Top

DLG_GRADIENT_IDSTR_LINE_LTOR

Left to Right

DLG_GRADIENT_IDSTR_LINE_LTTORB

L-Top to R-Bottom

DLG_GRADIENT_IDSTR_LINE_RBTOLT

R-Bottom to L-Top

DLG_GRADIENT_IDSTR_LINE_RTOL

Right to Left

DLG_GRADIENT_IDSTR_LINE_RTTOLB

R-Top to L-Bottom

DLG_GRADIENT_IDSTR_LINE_TTOB

Top to Bottom

DLG_GRADIENT_IDSTR_LINE2_CTOLR

Center Out to Left and Right

DLG_GRADIENT_IDSTR_LINE2_CTOLTRB

Center Out to L-Top & R-Bottom

DLG_GRADIENT_IDSTR_LINE2_CTORTLB

Center Out to R-Top & L-Bottom

DLG_GRADIENT_IDSTR_LINE2_CTOTB

Center Out to Top and Bottom

DLG_GRADIENT_IDSTR_LINE2_LRTOC

Left & Right In to Center

DLG_GRADIENT_IDSTR_LINE2_LTRBTOC

L-Top & R-Bottom In to Center

DLG_GRADIENT_IDSTR_LINE2_RTLBTOC

R-Top & L-Bottom In to Center

DLG_GRADIENT_IDSTR_LINE2_TBTOC

Top & Bottom In to Center

DLG_GRADIENT_IDSTR_PREVIEW

Pre&view

DLG_GRADIENT_IDSTR_RECT_CLASS

Rectangular Gradients

DLG_GRADIENT_IDSTR_RECT_FROMC

From Center

DLG_GRADIENT_IDSTR_RECT_TOC

To Center

DLG_GRADIENT_IDSTR_STARTCOLOR

&Start Color

DLG_GRADIENT_IDSTR_STEPS

S&teps

DLG_GRADIENT_IDSTR_STYLE

Gradient St&yle

Window Level Dialog Strings

DLG_WINDOWLEVEL_IDSTR_CAPTION

Window Leveling

DLG_WINDOWLEVEL_IDSTR_CENTER

Center:

DLG_WINDOWLEVEL_IDSTR_COLORS

Colors

DLG_WINDOWLEVEL_IDSTR_CURVEMODE

&Mode:

DLG_WINDOWLEVEL_IDSTR_ENDCOLORS

&End Color:

DLG_WINDOWLEVEL_IDSTR_EXPONENTIAL

Exponential

DLG_WINDOWLEVEL_IDSTR_FACTOR

&Factor:

DLG_WINDOWLEVEL_IDSTR_HIGHLEVEL

High Level:

DLG_WINDOWLEVEL_IDSTR_INSIDE

&Inside

DLG_WINDOWLEVEL_IDSTR_LINEAR

Linear

DLG_WINDOWLEVEL_IDSTR_LOGARITHMIC

Logarithmic

DLG_WINDOWLEVEL_IDSTR_LOWLEVEL

Low Level:

DLG_WINDOWLEVEL_IDSTR_LUTCURVE

LUT Carve:

DLG_WINDOWLEVEL_IDSTR_OUTSIDE

&Outside

DLG_WINDOWLEVEL_IDSTR_RANGE

&Range:

DLG_WINDOWLEVEL_IDSTR_SIGMOID

Sigmoid

DLG_WINDOWLEVEL_IDSTR_STARTCOLORS

&Start Color:

DLG_WINDOWLEVEL_IDSTR_WIDTH

Width:

DLG_WINDOWLEVEL_IDSTR_WINDOW

Window

Load Options Dialog Strings

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG1

1

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG10

10

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG2

2

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG3

3

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG4

4

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG5

5

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG6

6

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG7

7

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG8

8

DLG_LOADOPTIONS_GENERAL_IDSTR_PROG9

9

DLG_LOADOPTIONS_GENERAL_IDSTR_PROGALL

All

DLG_LOADOPTIONS_GENERAL_IDSTR_PROGMEANINGFUL

Meaningful Only

DLG_LOADOPTIONS_IDSTR_CAPTION

File Load Options

DLG_LOADOPTIONS_IDSTR_FULLPATH

&Full Path

DLG_LOADOPTIONS_IDSTR_NOAVAILABLEOPTIONS

No Available Options

DLG_LOADOPTIONS_IDSTR_NOTIMAGEFILE

Not Image File format

DLG_LOADOPTIONS_PDF_IDSTR_DISPLAYDEPTH

&Display Depth (Bpp)

DLG_LOADOPTIONS_PDF_IDSTR_GRAPHICSALPHA

&Graphics Alpha (Bits)

DLG_LOADOPTIONS_PDF_IDSTR_HRESOLUTION

Horizontal &Resolution (Dpi)

DLG_LOADOPTIONS_PDF_IDSTR_RESOLUTION

Resolution (Dpi)

DLG_LOADOPTIONS_PDF_IDSTR_TEXTALPHA

&Text Alpha (Bits)

DLG_LOADOPTIONS_PDF_IDSTR_VRESOLUTION

&Vertical Resolution (Dpi)

DLG_LOADOPTIONS_RASTER_IDSTR_DPI

&DPI

DLG_LOADOPTIONS_RASTER_IDSTR_HEIGHT

&Height

DLG_LOADOPTIONS_RASTER_IDSTR_RESOLUTION

&Resolution

DLG_LOADOPTIONS_RASTER_IDSTR_WIDTH

&Width

DLG_LOADOPTIONS_VECTOR_IDSTR_BACKGROUND

Background

DLG_LOADOPTIONS_VECTOR_IDSTR_BACKGROUND_BLACKONWHITE

Black on White

DLG_LOADOPTIONS_VECTOR_IDSTR_BACKGROUND_WHITEONBLACK

White on Black

DLG_LOADOPTIONS_VECTOR_IDSTR_HEIGHT

&Height

DLG_LOADOPTIONS_VECTOR_IDSTR_MODE

&Mode

DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_BEST

Use Best

DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_HEIGHT

Use Height

DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_WIDTH

Use Width

DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_WIDTH_HEIGHT

Use Width and Height

DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_1

Pen (1)

DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_2

Pen (2)

DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_3

Pen (3)

DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_4

Pen (4)

DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_5

Pen (5)

DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_6

Pen (6)

DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_7

Pen (7)

DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_8

Pen (8)

DLG_LOADOPTIONS_VECTOR_IDSTR_PENCOLOR

&Color

DLG_LOADOPTIONS_VECTOR_IDSTR_PENNUMBER

Pen

DLG_LOADOPTIONS_VECTOR_IDSTR_PENWIDTH

Wi&dth

DLG_LOADOPTIONS_VECTOR_IDSTR_VIEWPORT

View port

DLG_LOADOPTIONS_VECTOR_IDSTR_WIDTH

&Width

Smooth Dialog Strings

DLG_SMOOTH_IDSTR_BLACKAREA

&Black Area:

DLG_SMOOTH_IDSTR_CAPTION

Smooth

DLG_SMOOTH_IDSTR_FAVOR

&Favor:

DLG_SMOOTH_IDSTR_FAVOR_LONG

Long Bump/Nick

DLG_SMOOTH_IDSTR_FAVOR_SHORT

Short Bump/Nick

DLG_SMOOTH_IDSTR_IMAGEMODIFICATION

Image Modification

DLG_SMOOTH_IDSTR_LENGTH

Bump/Nick &Length:

DLG_SMOOTH_IDSTR_SHOWMODIFICATIONCOLOR

&Show Changes as Color Selection

DLG_SMOOTH_IDSTR_WHITEAREA

&White Area:

Line Remove Dialog Strings

DLG_LINEREMOVE_IDSTR_CAPTION

Line Remove

DLG_LINEREMOVE_IDSTR_DIMENSIONS

Dimensions

DLG_LINEREMOVE_IDSTR_HORIZONTAL

Horizontal Lines

DLG_LINEREMOVE_IDSTR_IMAGEMODIFICATION

Image Modification

DLG_LINEREMOVE_IDSTR_INCHES

Inches

DLG_LINEREMOVE_IDSTR_LINEVARIANCE

Line &Variance

DLG_LINEREMOVE_IDSTR_MAXGAPLEN

Max &Gap Length

DLG_LINEREMOVE_IDSTR_MAXIMUMWIDTH

Maximum &Width:

DLG_LINEREMOVE_IDSTR_MAXWALLPERCENT

Max Wall &Percent:

DLG_LINEREMOVE_IDSTR_MEASUERUNIT

&Measure unit:

DLG_LINEREMOVE_IDSTR_MINIMUMLENGTH

Minimum &Length:

DLG_LINEREMOVE_IDSTR_OPTIONALPROCESSING

Optional Processing

DLG_LINEREMOVE_IDSTR_PIXELS

Pixels

DLG_LINEREMOVE_IDSTR_REMOVE

&Remove:

DLG_LINEREMOVE_IDSTR_REMOVEENTIRELIN

Remove &Entire Line

DLG_LINEREMOVE_IDSTR_RESOLUTION

Resolution:

DLG_LINEREMOVE_IDSTR_SHOWMODIFICATIONCOLOR

&Show Changes as Color Selection

DLG_LINEREMOVE_IDSTR_VERTICAL

Vertical Lines

DLG_LINEREMOVE_IDSTR_WALLHEIGHT

Wall &Height:

Border Remove Dialog Strings

DLG_BORDERREMOVE_IDSTR_BORDERPERCENT

Border &Percent:

DLG_BORDERREMOVE_IDSTR_BORDERTOREMOVE

Border To Remove

DLG_BORDERREMOVE_IDSTR_BOTTOM

&Bottom:

DLG_BORDERREMOVE_IDSTR_CAPTION

Border Remove

DLG_BORDERREMOVE_IDSTR_IMAGEMODIFICATION

Image Modification

DLG_BORDERREMOVE_IDSTR_LEFT

&Left:

DLG_BORDERREMOVE_IDSTR_RIGHT

&Right:

DLG_BORDERREMOVE_IDSTR_SETTINGS

Settings

DLG_BORDERREMOVE_IDSTR_SHOWMODIFICATIONASCOLOR

&Show modification as color selection

DLG_BORDERREMOVE_IDSTR_TOP

&Top:

DLG_BORDERREMOVE_IDSTR_VARIANCE

&Variance:

DLG_BORDERREMOVE_IDSTR_WHITENOISELEN

&White Noise Length:

Inverted Text Dialog Strings

DLG_INVERTEDTEXT_IDSTR_BLACKAREA

&Black Area:

DLG_INVERTEDTEXT_IDSTR_BLACKPERCENT

Black &Percent

DLG_INVERTEDTEXT_IDSTR_CAPTION

Inverted Text

DLG_INVERTEDTEXT_IDSTR_IMAGEMODIFICATION

Image Modification

DLG_INVERTEDTEXT_IDSTR_INCHES

Inches

DLG_INVERTEDTEXT_IDSTR_INVERT

Invert

DLG_INVERTEDTEXT_IDSTR_MAXBLACKPERCENT

Maximum:

DLG_INVERTEDTEXT_IDSTR_MEASUERUNIT

&Measure unit

DLG_INVERTEDTEXT_IDSTR_MINBLACKPERCENT

Minimum:

DLG_INVERTEDTEXT_IDSTR_MINIMUMHEIGHT

Minimum &Height:

DLG_INVERTEDTEXT_IDSTR_MINIMUMWIDTH

Minimum &Width:

DLG_INVERTEDTEXT_IDSTR_PIXELS

Pixels

DLG_INVERTEDTEXT_IDSTR_RESOLUTION

Resolution:

DLG_INVERTEDTEXT_IDSTR_SHOWMODIFICATIONCOLOR

&Show Changes as Color Selection

DLG_INVERTEDTEXT_IDSTR_WHITEAREA

Whi&te Area:

Dot Remove Dialog Strings

DLG_DOTREMOVE_IDSTR_BLACKAREA

&Black Area:

DLG_DOTREMOVE_IDSTR_CAPTION

Dot Remove

DLG_DOTREMOVE_IDSTR_DOTSIZE

Dot Size

DLG_DOTREMOVE_IDSTR_IMAGEMODIFICATION

Image Modification

DLG_DOTREMOVE_IDSTR_INCHES

Inches

DLG_DOTREMOVE_IDSTR_MAXIMUMHEIGHT

Maximum Hei&ght:

DLG_DOTREMOVE_IDSTR_MAXIMUMWIDTH

Maximum Wi&dth:

DLG_DOTREMOVE_IDSTR_MEASUERUNIT

&Measure unit

DLG_DOTREMOVE_IDSTR_MINIMUMHEIGHT

Minimum &Height:

DLG_DOTREMOVE_IDSTR_MINIMUMWIDTH

Minimum &Width:

DLG_DOTREMOVE_IDSTR_PIXELS

Pixels

DLG_DOTREMOVE_IDSTR_RESOLUTION

Resolution:

DLG_DOTREMOVE_IDSTR_SHOWMODIFICATIONCOLOR

&Show Changes as Color Selection

DLG_DOTREMOVE_IDSTR_USEDIAGONALS

&Use Diagonals

DLG_DOTREMOVE_IDSTR_USEDOTSIZE

U&se Dot Sizes

DLG_DOTREMOVE_IDSTR_WHITEAREA

Whi&te Area:

Hole Punch Remove Dialog Strings

DLG_HOLEPUNCHREMOVE_IDSTR_BLACKAREA

&Black Area:

DLG_HOLEPUNCHREMOVE_IDSTR_BOTTOM

Bottom

DLG_HOLEPUNCHREMOVE_IDSTR_CAPTION

Hole Punch Remove

DLG_HOLEPUNCHREMOVE_IDSTR_DEFAULT

Default

DLG_HOLEPUNCHREMOVE_IDSTR_HOLECOUNT

Hole Count

DLG_HOLEPUNCHREMOVE_IDSTR_HOLEDIMENSION

Hole Dimensions

DLG_HOLEPUNCHREMOVE_IDSTR_HOLELOCATION

Hole &Location

DLG_HOLEPUNCHREMOVE_IDSTR_IMAGEMODIFICATION

Image Modification

DLG_HOLEPUNCHREMOVE_IDSTR_INCHES

Inches

DLG_HOLEPUNCHREMOVE_IDSTR_LEFT

Left

DLG_HOLEPUNCHREMOVE_IDSTR_MAXIMUMCOUNT

Maximum:

DLG_HOLEPUNCHREMOVE_IDSTR_MAXIMUMHEIGHT

Maximum Hei&ght:

DLG_HOLEPUNCHREMOVE_IDSTR_MAXIMUMWIDTH

Maximum Wi&dth:

DLG_HOLEPUNCHREMOVE_IDSTR_MEASUERUNIT

&Measure unit

DLG_HOLEPUNCHREMOVE_IDSTR_MINIMUMCOUNT

Minimum:

DLG_HOLEPUNCHREMOVE_IDSTR_MINIMUMHEIGHT

Minimum &Height:

DLG_HOLEPUNCHREMOVE_IDSTR_MINIMUMWIDTH

Minimum &Width:

DLG_HOLEPUNCHREMOVE_IDSTR_PIXELS

Pixels

DLG_HOLEPUNCHREMOVE_IDSTR_RESOLUTION

Resolution:

DLG_HOLEPUNCHREMOVE_IDSTR_RIGHT

Right

DLG_HOLEPUNCHREMOVE_IDSTR_SHOWMODIFICATIONCOLOR

&Show Changes as Color Selection

DLG_HOLEPUNCHREMOVE_IDSTR_TOP

Top

DLG_HOLEPUNCHREMOVE_IDSTR_USEDEFAULTCOUNT

U&se Default Count

DLG_HOLEPUNCHREMOVE_IDSTR_USEDEFAULTDIMENSIONS

&Use Default Dimensions

DLG_HOLEPUNCHREMOVE_IDSTR_WHITEAREA

Whi&te Area:

Print Preview Dialog Strings

DLG_PRINTPREVIEW_IDSTR_CAPTION

Print Preview

DLG_PRINTPREVIEW_IDSTR_MSG_MARGINVALUE_CAPTION

Error

DLG_PRINTPREVIEW_IDSTR_MSG_MARGINVALUE_TEXT

Please enter a valid value for auto arrange margins

DLG_PRINTPREVIEW_IDSTR_TOOLBAR_GENERAL

General

DLG_PRINTPREVIEW_IDSTR_UNIT_CM

cm

DLG_PRINTPREVIEW_IDSTR_UNIT_INCH

inch

DLG_PRINTPREVIEW_IDSTR_UNIT_PIXEL

pixel

DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_CAPTION

&File

DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_EXIT

E&xit

DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_PREFERENCES

P&references...

DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_PRINT

&Print

DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_PRINTSETUP

Pa&ge Setup...

DLG_PRINTPREVIEW_MNU_MAIN_HELP_IDSTR_CAPTION

&Help

DLG_PRINTPREVIEW_MNU_MAIN_HELP_IDSTR_HELPTOPICS

&Help Topics

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGN

Align

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNAUTOARRANGE

&Auto Arrange

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERBOTTOM

Center &Bottom

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERED

&Centered

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERLEFT

L&eft Center

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERRIGHT

R&ight Center

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERTOP

Center &Top

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNLEFTBOTTOM

Le&ft Bottom

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNLEFTTOP

&Left Top

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNRIGHTBOTTOM

Ri&ght Bottom

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNRIGHTTOP

&Right Top

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_CAPTION

&Image

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_FLIP

Flip

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_FLIP_FLIPHORZ

Flip &Horizontally

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_FLIP_FLIPVERT

Flip &Vertically

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ROTATE

Rotate

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CCW

Rotate 90 &CCW

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CW

Rotate 90 C&W

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_SCALE

Scale

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_SCALE_NORMALLY

Scale &Normally

DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_SCALE_STRETCHTOFIT &Stretch To Fit

DLG_PRINTPREVIEW_MNU_MAIN_VIEW_IDSTR_CAPTION

&View

DLG_PRINTPREVIEW_MNU_MAIN_VIEW_IDSTR_GENERALTOOLBAR

&General Toolbar

DLG_PRINTPREVIEW_STATUSDLG_IDSTR_CAPTION

Printing...

DLG_PRINTPREVIEW_STATUSDLG_IDSTR_PIXLES

pixels

DLG_PRINTPREVIEW_STATUSDLG_IDSTR_SCALE

Scale

DLG_PRINTPREVIEW_STATUSDLG_IDSTR_SIZE

Size

File Format Strings (Save dialog and File Conversion dialog)

DLG_FF_SAVE_IDSTR_ABC

LEAD Advanced Bitonal Compression (*.abc)

DLG_FF_SAVE_IDSTR_ABIC

Adaptive bi-level image compression (*.abic)

DLG_FF_SAVE_IDSTR_ANI

Animated Cursor (*.ani)

DLG_FF_SAVE_IDSTR_AWD

MS FAX (AWD) (*.awd)

DLG_FF_SAVE_IDSTR_BMP

Win BMP (*.bmp)

DLG_FF_SAVE_IDSTR_BMP

BMP (*.bmp)

DLG_FF_SAVE_IDSTR_CALS

CALS (*.cal)

DLG_FF_SAVE_IDSTR_CIN

Cineon (*.cin)

DLG_FF_SAVE_IDSTR_CLP

CLP (*.clp)

DLG_FF_SAVE_IDSTR_CMW

LEAD Wavelet (*.cmw)

DLG_FF_SAVE_IDSTR_CUR

Win Cursor (*.cur)

DLG_FF_SAVE_IDSTR_CUT

Dr Halo (*.cut)

DLG_FF_SAVE_IDSTR_DICOMCOLOR

DICOM DIC Color (*.dic)

DLG_FF_SAVE_IDSTR_ECW

ECW (*.ecw)

DLG_FF_SAVE_IDSTR_EMF

EMF (*.emf)

DLG_FF_SAVE_IDSTR_EPS

EPS (*.eps)

DLG_FF_SAVE_IDSTR_EXIF

EXIF (*.tif)

DLG_FF_SAVE_IDSTR_FAX

FAX (Raw) (*.fax)

DLG_FF_SAVE_IDSTR_FIT

FIT (*.fit)

DLG_FF_SAVE_IDSTR_FLC

FLC (*.flc)

DLG_FF_SAVE_IDSTR_FPX

FPX (*.fpx)

DLG_FF_SAVE_IDSTR_GEOTIFF

GeoTIFF (*.tif)

DLG_FF_SAVE_IDSTR_GIF

GIF (*.gif)

DLG_FF_SAVE_IDSTR_ICO

Win Icon (*.ico)

DLG_FF_SAVE_IDSTR_IFF

IFF (*.iff)

DLG_FF_SAVE_IDSTR_IMG

GEM (*.img)

DLG_FF_SAVE_IDSTR_ITG

ITG (*.itg)

DLG_FF_SAVE_IDSTR_J2K

JPEG 2000 (*.j2k;*.jp2)

DLG_FF_SAVE_IDSTR_JBIG

JBIG (*.jbg)

DLG_FF_SAVE_IDSTR_JBIG2

JBIG2 (*.jb2)

DLG_FF_SAVE_IDSTR_JPEG

JPEG (*.jpg)

DLG_FF_SAVE_IDSTR_LEAD

LEAD (*.cmp)

DLG_FF_SAVE_IDSTR_LMC

LMC (*.lmc)

DLG_FF_SAVE_IDSTR_MAC

MacPaint (*.mac)

DLG_FF_SAVE_IDSTR_MODCA

MODCA:IOCA (*.ica)

DLG_FF_SAVE_IDSTR_MRC

MRC (*.mrc)

DLG_FF_SAVE_IDSTR_MSP

MS Paint (*.msp)

DLG_FF_SAVE_IDSTR_OS2BMP

OS/2 BMP (*.bmp)

DLG_FF_SAVE_IDSTR_PBM

PBM (*.pbm)

DLG_FF_SAVE_IDSTR_PCT

Mac PICT (*.pct)

DLG_FF_SAVE_IDSTR_PCX

PCX (*.pcx)

DLG_FF_SAVE_IDSTR_PDF

PDF (*.pdf)

DLG_FF_SAVE_IDSTR_PGM

PGM (*.pgm)

DLG_FF_SAVE_IDSTR_PNG

CServe PNG (*.png)

DLG_FF_SAVE_IDSTR_PPM

PPM (*.ppm)

DLG_FF_SAVE_IDSTR_PSD

PSD (*.psd)

DLG_FF_SAVE_IDSTR_PSP

PSP (*.psp)

DLG_FF_SAVE_IDSTR_RAS

SUN Ras (*.ras)

DLG_FF_SAVE_IDSTR_RAW

RAW data (*.raw)

DLG_FF_SAVE_IDSTR_RAWICA

Raw IOCA (*.ica)

DLG_FF_SAVE_IDSTR_SCT

Scitex Continuous Tone SCT (*.sct)

DLG_FF_SAVE_IDSTR_SFF

Structured Fax File (*.sff)

DLG_FF_SAVE_IDSTR_SGI

SGI (*.sgi)

DLG_FF_SAVE_IDSTR_SMP

Xionics SMP (*.smp)

DLG_FF_SAVE_IDSTR_TGA

TGA (*.tga)

DLG_FF_SAVE_IDSTR_TIFF

TIF (*.tif)

DLG_FF_SAVE_IDSTR_TIFX

TIFX (*.tifx)

DLG_FF_SAVE_IDSTR_WBMP

Wireless bitmap (WBMP) (*.wbmp)

DLG_FF_SAVE_IDSTR_WFX

Winfax (*.wfx)

DLG_FF_SAVE_IDSTR_WMZ

Compressed Windows Metafile (*.wmz)

DLG_FF_SAVE_IDSTR_WPG

WPG (*.wpg)

DLG_FF_SAVE_IDSTR_XBM

XBM (*.xbm)

DLG_FF_SAVE_IDSTR_XPM

XPM (*.xpm)

DLG_FF_SAVE_IDSTR_XWD

XWD (*.xwd)

Sub-format Strings

DLG_FF_SAVE_SUB_IDSTR_BMP_RLECOMPRESSED

RLE Compressed

DLG_FF_SAVE_SUB_IDSTR_BMP_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_CALS

CALS Type 1

DLG_FF_SAVE_SUB_IDSTR_CALS2

CALS Type 2

DLG_FF_SAVE_SUB_IDSTR_CALS3

CALS Type 3

DLG_FF_SAVE_SUB_IDSTR_CALS4

CALS Type 4

DLG_FF_SAVE_SUB_IDSTR_CLP_RLE

RLE Compressed

DLG_FF_SAVE_SUB_IDSTR_CLP_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_CMP_NONPROGRESSIVE

Non-progressive

DLG_FF_SAVE_SUB_IDSTR_CMP_PROGRESSIVE

Progressive

DLG_FF_SAVE_SUB_IDSTR_DICOM_COLOR

Uncompressed Color

DLG_FF_SAVE_SUB_IDSTR_DICOM_GRAY

Uncompressed Grayscale

DLG_FF_SAVE_SUB_IDSTR_DICOM_J2K_GRAY

Lossy JPEG 2000

DLG_FF_SAVE_SUB_IDSTR_DICOM_J2K_GRAY_LOSSLESS

Lossless JPEG 2000

DLG_FF_SAVE_SUB_IDSTR_DICOM_JPEG_COLOR

Lossy JPEG Color

DLG_FF_SAVE_SUB_IDSTR_DICOM_JPEG_GRAY

Lossy JPEG Grayscale

DLG_FF_SAVE_SUB_IDSTR_DICOM_LOSSLESSJPEG_COLOR

Lossless JPEG Color

DLG_FF_SAVE_SUB_IDSTR_DICOM_LOSSLESSJPEG_GRAY

Lossless JPEG Grayscale

DLG_FF_SAVE_SUB_IDSTR_DICOM_RLE_COLOR

RLE Color

DLG_FF_SAVE_SUB_IDSTR_DICOM_RLE_GRAY

RLE Grayscale

DLG_FF_SAVE_SUB_IDSTR_EXIF_JPEG_411

JPEG 4:1:1

DLG_FF_SAVE_SUB_IDSTR_EXIF_JPEG_422

JPEG 4:2:2

DLG_FF_SAVE_SUB_IDSTR_EXIF_UNCOMPRESSEDRGB

Uncompressed RGB

DLG_FF_SAVE_SUB_IDSTR_EXIF_UNCOMPRESSEDYCC

Uncompressed YCbCr

DLG_FF_SAVE_SUB_IDSTR_FAX_G3_1D

CCITT G3 1D

DLG_FF_SAVE_SUB_IDSTR_FAX_G3_2D

CCITT G3 2D

DLG_FF_SAVE_SUB_IDSTR_FAX_G4

CCITT G4

DLG_FF_SAVE_SUB_IDSTR_FPX_DEFQFACTOR

JPEG default qFactor

DLG_FF_SAVE_SUB_IDSTR_FPX_SINGLECOLOR

Single Color

DLG_FF_SAVE_SUB_IDSTR_FPX_SPECQFACTOR

JPEG specify qFactor

DLG_FF_SAVE_SUB_IDSTR_FPX_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_GIF_INTERLACED89A

Interlaced GIF 89a

DLG_FF_SAVE_SUB_IDSTR_GIF_NONINTERLACED89A

Non-Interlaced GIF 89a

DLG_FF_SAVE_SUB_IDSTR_ICA_ABIC

ABIC

DLG_FF_SAVE_SUB_IDSTR_ICA4_ABIC

ABIC

DLG_FF_SAVE_SUB_IDSTR_ICA_G3_1D

CCITT G3 1D

DLG_FF_SAVE_SUB_IDSTR_ICA_G3_2D

CCITT G3 2D

DLG_FF_SAVE_SUB_IDSTR_ICA_G4

CCITT G4

DLG_FF_SAVE_SUB_IDSTR_ICA_IBM_MMR

IBM MMR

DLG_FF_SAVE_SUB_IDSTR_ICA_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_IFF_CAT_RLE

CAT RLE Compressed

DLG_FF_SAVE_SUB_IDSTR_IFF_CAT_UNCOMPRESSED

CAT Uncompressed

DLG_FF_SAVE_SUB_IDSTR_IFF_ILBM_RLE

ILBM RLE Compressed

DLG_FF_SAVE_SUB_IDSTR_IFF_ILBM_UNCOMPRESSED

ILBM Uncompressed

DLG_FF_SAVE_SUB_IDSTR_ITG_CCITT_G4

CCITT G4

DLG_FF_SAVE_SUB_IDSTR_ITG_RLE

RLE Compressed

DLG_FF_SAVE_SUB_IDSTR_J2K

JPEG 2000 stream

DLG_FF_SAVE_SUB_IDSTR_JP2

JP2 file

DLG_FF_SAVE_SUB_IDSTR_JPEG12_LOSSLESS

Lossless JPEG

DLG_FF_SAVE_SUB_IDSTR_JPEG12_YUV_400

YUV 4:0:0

DLG_FF_SAVE_SUB_IDSTR_JPEG24_LAB_411

LAB 4:1:1

DLG_FF_SAVE_SUB_IDSTR_JPEG24_LAB_422

LAB 4:2:2

DLG_FF_SAVE_SUB_IDSTR_JPEG24_LAB_444

LAB 4:4:4

DLG_FF_SAVE_SUB_IDSTR_JPEG24_LOSSLESS

Lossless JPEG

DLG_FF_SAVE_SUB_IDSTR_JPEG24_PROG_411

Progressive YUV 4:1:1

DLG_FF_SAVE_SUB_IDSTR_JPEG24_PROG_422

Progressive YUV 4:2:2

DLG_FF_SAVE_SUB_IDSTR_JPEG24_PROG_444

Progressive YUV 4:4:4

DLG_FF_SAVE_SUB_IDSTR_JPEG24_YUV_411

YUV 4:1:1

DLG_FF_SAVE_SUB_IDSTR_JPEG24_YUV_422

YUV 4:2:2

DLG_FF_SAVE_SUB_IDSTR_JPEG24_YUV_444

YUV 4:4:4

DLG_FF_SAVE_SUB_IDSTR_JPEG8_LOSSLESS

Lossless JPEG

DLG_FF_SAVE_SUB_IDSTR_JPEG8_PROG_400

Progressive YUV 4:0:0

DLG_FF_SAVE_SUB_IDSTR_JPEG8_YUV_400

YUV 4:0:0

DLG_FF_SAVE_SUB_IDSTR_LEAD_MRC

LEAD MRC

DLG_FF_SAVE_SUB_IDSTR_MRC

MRC

DLG_FF_SAVE_SUB_IDSTR_OS2_VER1

Version 1.0

DLG_FF_SAVE_SUB_IDSTR_OS2_VER2

Version 2.0

DLG_FF_SAVE_SUB_IDSTR_PBM_ASCII

ASCII

DLG_FF_SAVE_SUB_IDSTR_PBM_BINARY

Binary

DLG_FF_SAVE_SUB_IDSTR_PDF1_CCITT_G3_1D

CCITT Group3 1D

DLG_FF_SAVE_SUB_IDSTR_PDF1_CCITT_G3_2D

CCITT Group3 2D

DLG_FF_SAVE_SUB_IDSTR_PDF1_CCITT_G4

CCITT Group4

DLG_FF_SAVE_SUB_IDSTR_PDF1_RAS_PDF_LZW

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_PDF1_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_PDF2_RAS_PDF_LZW

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_PDF24_LEAD_MRC

LEAD MRC.

DLG_FF_SAVE_SUB_IDSTR_PDF24_RAS_PDF_LZW

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_PDF24_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_PDF24_YUV_411

JPEG YUV 4:1:1

DLG_FF_SAVE_SUB_IDSTR_PDF24_YUV_422

JPEG YUV 4:2:2

DLG_FF_SAVE_SUB_IDSTR_PDF24_YUV_444

JPEG YUV 4:4:4

DLG_FF_SAVE_SUB_IDSTR_PDF4_RAS_PDF_LZW

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_PDF8_LOSSLESSJPEG

Lossless JPEG

DLG_FF_SAVE_SUB_IDSTR_PDF8_RAS_PDF_LZW

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_PDF8_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_PGM_ASCII

ASCII

DLG_FF_SAVE_SUB_IDSTR_PGM_BINARY

Binary

DLG_FF_SAVE_SUB_IDSTR_PPM_ASCII

ASCII

DLG_FF_SAVE_SUB_IDSTR_PPM_BINARY

Binary

DLG_FF_SAVE_SUB_IDSTR_PSP_RLE

RLE Compressed

DLG_FF_SAVE_SUB_IDSTR_PSP_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_RAS_RLE

RLE Compressed

DLG_FF_SAVE_SUB_IDSTR_RAS_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_RAWICA_G3_1D

CCITT G3 1D

DLG_FF_SAVE_SUB_IDSTR_RAWICA_G3_2D

CCITT G3 2D

DLG_FF_SAVE_SUB_IDSTR_RAWICA_G4

CCITT G4

DLG_FF_SAVE_SUB_IDSTR_RAWICA_IBM_MMR

IBM MMR

DLG_FF_SAVE_SUB_IDSTR_RAWICA_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_SGI_RLECOMPRESSED

RLE Compressed

DLG_FF_SAVE_SUB_IDSTR_SGI_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_SMP_CCITT_GROUP3_1D

CCITT Group3 1D

DLG_FF_SAVE_SUB_IDSTR_SMP_CCITT_GROUP3_2D

CCITT Group3 2D

DLG_FF_SAVE_SUB_IDSTR_SMP_CCITT_GROUP4

CCITT Group4

DLG_FF_SAVE_SUB_IDSTR_SMP_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_TGA_RLE

RLE Compressed

DLG_FF_SAVE_SUB_IDSTR_TGA_UNCOMPRESSED

TGA Uncompressed

DLG_FF_SAVE_SUB_IDSTR_TIFF1_ABC

LEAD ABC

DLG_FF_SAVE_SUB_IDSTR_TIFF1_ABIC

ABIC

DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT

CCITT

DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT_G3_1D

CCITT G3 1D

DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT_G3_2D

CCITT G3 2D

DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT_G4

CCITT G4

DLG_FF_SAVE_SUB_IDSTR_TIFF1_JBIG

JBIG

DLG_FF_SAVE_SUB_IDSTR_TIFF1_JBIG2

JBIG2

DLG_FF_SAVE_SUB_IDSTR_TIFF1_LMC

LMC

DLG_FF_SAVE_SUB_IDSTR_TIFF1_LZWRGB

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF1_RLERGB

Packbits (RLE) RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF1_UNCOMPRESSEDRGB

Uncompressed RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF4_ABIC

ABIC

DLG_FF_SAVE_SUB_IDSTR_TIFF4_JBIG

JBIG

DLG_FF_SAVE_SUB_IDSTR_TIFF4_LZW

LZW

DLG_FF_SAVE_SUB_IDSTR_TIFF4_RLE

Packbits (RLE)

DLG_FF_SAVE_SUB_IDSTR_TIFF4_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_TIFF12_CMW

Wavelet CMP

DLG_FF_SAVE_SUB_IDSTR_TIFF12_J2K

JPEG 2000 stream

DLG_FF_SAVE_SUB_IDSTR_TIFF12_JPEG_GRAY_YCC

JPEG (Gray) YCbCr

DLG_FF_SAVE_SUB_IDSTR_TIFF12_LOSSLESSJPEG

Lossless JPEG

DLG_FF_SAVE_SUB_IDSTR_TIFF12_LZW

LZW

DLG_FF_SAVE_SUB_IDSTR_TIFF12_RLE

Packbits (RLE)

DLG_FF_SAVE_SUB_IDSTR_TIFF12_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_TIFF16_CMW

Wavelet CMP

DLG_FF_SAVE_SUB_IDSTR_TIFF16_J2K

JPEG 2000 stream

DLG_FF_SAVE_SUB_IDSTR_TIFF16_LOSSLESSJPEG

Lossless JPEG

DLG_FF_SAVE_SUB_IDSTR_TIFF16_LZW

LZW

DLG_FF_SAVE_SUB_IDSTR_TIFF16_RLE

Packbits (RLE)

DLG_FF_SAVE_SUB_IDSTR_TIFF16_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_TIFF24_CMP_NONPROGRESSIVE

CMP

DLG_FF_SAVE_SUB_IDSTR_TIFF24_CMP_PROGRESSIVE

Progressive CMP

DLG_FF_SAVE_SUB_IDSTR_TIFF24_CMW

Wavelet CMP

DLG_FF_SAVE_SUB_IDSTR_TIFF24_J2K

JPEG 2000 stream

DLG_FF_SAVE_SUB_IDSTR_TIFF24_JPEG_YCC_411

JPEG YCbCr 4:1:1

DLG_FF_SAVE_SUB_IDSTR_TIFF24_JPEG_YCC_422

JPEG YCbCr 4:2:2

DLG_FF_SAVE_SUB_IDSTR_TIFF24_JPEG_YCC_444

JPEG YCbCr 4:4:4

DLG_FF_SAVE_SUB_IDSTR_TIFF24_LEAD_MRC

LEAD MRC

DLG_FF_SAVE_SUB_IDSTR_TIFF24_LOSSLESSJPEG

Lossless JPEG

DLG_FF_SAVE_SUB_IDSTR_TIFF24_LZWCMYK

LZW CMYK

DLG_FF_SAVE_SUB_IDSTR_TIFF24_LZWRGB

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF24_LZWYCC

LZW YCbCr

DLG_FF_SAVE_SUB_IDSTR_TIFF24_MRC

MRC

DLG_FF_SAVE_SUB_IDSTR_TIFF24_RLECMYK

Packbits CMYK

DLG_FF_SAVE_SUB_IDSTR_TIFF24_RLERGB

Packbits RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF24_RLEYCC

Packbits YCbCr

DLG_FF_SAVE_SUB_IDSTR_TIFF24_UNCOMPRESSEDCMYK

Uncompressed CMYK

DLG_FF_SAVE_SUB_IDSTR_TIFF24_UNCOMPRESSEDRGB

Uncompressed RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF24_UNCOMPRESSEDYCC

Uncompressed YCbCr

DLG_FF_SAVE_SUB_IDSTR_TIFF32_LZWCMYK

LZW CMYK

DLG_FF_SAVE_SUB_IDSTR_TIFF32_LZWRGB

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF32_RLECMYK

Packbits CMYK

DLG_FF_SAVE_SUB_IDSTR_TIFF32_RLERGB

Packbits RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF32_UNCOMPRESSEDCMYK

Uncompressed CMYK

DLG_FF_SAVE_SUB_IDSTR_TIFF32_UNCOMPRESSEDRGB

Uncompressed RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF48_LZWRGB

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF48_UNCOMPRESSEDRGB

Uncompressed RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF64_LZWRGB

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF64_UNCOMPRESSEDRGB

Uncompressed RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF8_CMP

CMP

DLG_FF_SAVE_SUB_IDSTR_TIFF8_CMW

Wavelet CMP

DLG_FF_SAVE_SUB_IDSTR_TIFF8_J2K

JPEG 2000 stream

DLG_FF_SAVE_SUB_IDSTR_TIFF8_JBIG

JBIG

DLG_FF_SAVE_SUB_IDSTR_TIFF8_JPEG_GRAY_YCC

JPEG (Gray) YCbCr

DLG_FF_SAVE_SUB_IDSTR_TIFF8_LOSSLESSJPEG

Lossless JPEG

DLG_FF_SAVE_SUB_IDSTR_TIFF8_LZWRGB

LZW RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF8_RLERGB

Packbits (RLE) RGB

DLG_FF_SAVE_SUB_IDSTR_TIFF8_UNCOMPRESSEDRGB

Uncompressed RGB

DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_JBIG

JBIG

DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_LZW

LZW

DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_RLE

Packbits (RLE)

DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_UNCOMPRESSED

Uncompressed

DLG_FF_SAVE_SUB_IDSTR_TIFX_CCITT_G3_1D

CCITT G3 1D

DLG_FF_SAVE_SUB_IDSTR_TIFX_CCITT_G3_2D

CCITT G3 2D

DLG_FF_SAVE_SUB_IDSTR_TIFX_CCITT_G4

CCITT G4

DLG_FF_SAVE_SUB_IDSTR_TIFX_JBIG

JBIG

DLG_FF_SAVE_SUB_IDSTR_TIFX_JBIG_T43

JBIG T43

DLG_FF_SAVE_SUB_IDSTR_TIFX_JBIG_T43_ITULAB

JBIG T43 ITULAB

DLG_FF_SAVE_SUB_IDSTR_TIFX_JPEG

JPEG

DLG_FF_SAVE_SUB_IDSTR_WFX_CCITT_G3_1D

CCITT G3 1D

DLG_FF_SAVE_SUB_IDSTR_WFX_CCITT_G4

CCITT G4

DLG_FF_SAVE_SUB_IDSTR_XWD_VERSION10

Version 10

DLG_FF_SAVE_SUB_IDSTR_XWD_VERSION11

Version 11

Formats Ext

DLG_FF_SAVE_EXT_IDSTR_ABIC

abic

DLG_FF_SAVE_EXT_IDSTR_AFP

afp

DLG_FF_SAVE_EXT_IDSTR_ANI

ani

DLG_FF_SAVE_EXT_IDSTR_AWD

awd

DLG_FF_SAVE_EXT_IDSTR_BMP

bmp

DLG_FF_SAVE_EXT_IDSTR_BMP

bmp

DLG_FF_SAVE_EXT_IDSTR_CALS

cal

DLG_FF_SAVE_EXT_IDSTR_CIN

cin

DLG_FF_SAVE_EXT_IDSTR_CLP

clp

DLG_FF_SAVE_EXT_IDSTR_CMW

cmw

DLG_FF_SAVE_EXT_IDSTR_CUR

cur

DLG_FF_SAVE_EXT_IDSTR_CUT

cut

DLG_FF_SAVE_EXT_IDSTR_DICOM

dic

DLG_FF_SAVE_EXT_IDSTR_ECW

ecw

DLG_FF_SAVE_EXT_IDSTR_EMF

emf

DLG_FF_SAVE_EXT_IDSTR_EPS

eps

DLG_FF_SAVE_EXT_IDSTR_EXIF

tif

DLG_FF_SAVE_EXT_IDSTR_EXIF_JPEG

jpg

DLG_FF_SAVE_EXT_IDSTR_FAX

fax

DLG_FF_SAVE_EXT_IDSTR_FIT

fit

DLG_FF_SAVE_EXT_IDSTR_FLC

flc

DLG_FF_SAVE_EXT_IDSTR_FPX

fpx

DLG_FF_SAVE_EXT_IDSTR_GEOTIFF

tif

DLG_FF_SAVE_EXT_IDSTR_GERBER

gbr

DLG_FF_SAVE_EXT_IDSTR_GIF

gif

DLG_FF_SAVE_EXT_IDSTR_ICO

ico

DLG_FF_SAVE_EXT_IDSTR_IFF

iff

DLG_FF_SAVE_EXT_IDSTR_IMG

img

DLG_FF_SAVE_EXT_IDSTR_ITG

itg

DLG_FF_SAVE_EXT_IDSTR_J2K

j2k

DLG_FF_SAVE_EXT_IDSTR_JBIG

jbg

DLG_FF_SAVE_EXT_IDSTR_JBIG2

jb2

DLG_FF_SAVE_EXT_IDSTR_JP2

jp2

DLG_FF_SAVE_EXT_IDSTR_JPEG

jpg

DLG_FF_SAVE_EXT_IDSTR_LEAD

cmp

DLG_FF_SAVE_EXT_IDSTR_LMC

lmc

DLG_FF_SAVE_EXT_IDSTR_MAC

mac

DLG_FF_SAVE_EXT_IDSTR_MODCA

ica

DLG_FF_SAVE_EXT_IDSTR_MRC

mrc

DLG_FF_SAVE_EXT_IDSTR_MSP

msp

DLG_FF_SAVE_EXT_IDSTR_OS2BMP

bmp

DLG_FF_SAVE_EXT_IDSTR_PBM

pbm

DLG_FF_SAVE_EXT_IDSTR_PCL

pcl

DLG_FF_SAVE_EXT_IDSTR_PCT

pct

DLG_FF_SAVE_EXT_IDSTR_PCX

pcx

DLG_FF_SAVE_EXT_IDSTR_PDF

pdf

DLG_FF_SAVE_EXT_IDSTR_PGM

pgm

DLG_FF_SAVE_EXT_IDSTR_PNG

png

DLG_FF_SAVE_EXT_IDSTR_PPM

ppm

DLG_FF_SAVE_EXT_IDSTR_PSD

psd

DLG_FF_SAVE_EXT_IDSTR_PSP

psp

DLG_FF_SAVE_EXT_IDSTR_PTOCA

ptk

DLG_FF_SAVE_EXT_IDSTR_RAS

ras

DLG_FF_SAVE_EXT_IDSTR_RAW

raw

DLG_FF_SAVE_EXT_IDSTR_RAWICA

ica

DLG_FF_SAVE_EXT_IDSTR_SCT

sct

DLG_FF_SAVE_EXT_IDSTR_SFF

sff

DLG_FF_SAVE_EXT_IDSTR_SGI

sgi

DLG_FF_SAVE_EXT_IDSTR_SHP

shp

DLG_FF_SAVE_EXT_IDSTR_SMP

smp

DLG_FF_SAVE_EXT_IDSTR_TGA

tga

DLG_FF_SAVE_EXT_IDSTR_TIFF

tif

DLG_FF_SAVE_EXT_IDSTR_TIFX

tifx

DLG_FF_SAVE_EXT_IDSTR_WBMP

wbmp

DLG_FF_SAVE_EXT_IDSTR_WFX

wfx

DLG_FF_SAVE_EXT_IDSTR_WMZ

wmz

DLG_FF_SAVE_EXT_IDSTR_WPG

wpg

DLG_FF_SAVE_EXT_IDSTR_XBM

xbm

DLG_FF_SAVE_EXT_IDSTR_XPM

xpm

DLG_FF_SAVE_EXT_IDSTR_XWD

xwd

Formats File Info Strings

DLG_FF_FILEINFO_IDSTR_ABC

LEAD Advanced Bitonal Compression format

DLG_FF_FILEINFO_IDSTR_ABIC

Adaptive bi-level image compression

DLG_FF_FILEINFO_IDSTR_AFP

Advanced Function Presentation AFP

DLG_FF_FILEINFO_IDSTR_ANI

Animated Cursor

DLG_FF_FILEINFO_IDSTR_AVI

Windows AVI

DLG_FF_FILEINFO_IDSTR_AWD

At Work Document-Microsoft FAX

DLG_FF_FILEINFO_IDSTR_BMP

Windows Bitmap - Uncompressed

DLG_FF_FILEINFO_IDSTR_BMP

Windows Meta file

DLG_FF_FILEINFO_IDSTR_BMP_RLE

Windows Bitmap - RLE Compressed

DLG_FF_FILEINFO_IDSTR_ICA_ABIC

IOCA files ABIC compression

DLG_FF_FILEINFO_IDSTR_CALS

CALS Type 1

DLG_FF_FILEINFO_IDSTR_CALS2

CALS Type 2

DLG_FF_FILEINFO_IDSTR_CALS3

CALS Type 3

DLG_FF_FILEINFO_IDSTR_CALS4

CALS Type 4

DLG_FF_FILEINFO_IDSTR_CCITT

Tagged Image File Format-CCITT

DLG_FF_FILEINFO_IDSTR_CCITT_GROUP3_1DIM

Tagged Image File Format-G31D

DLG_FF_FILEINFO_IDSTR_CCITT_GROUP3_2DIM

Tagged Image File Format-G32D

DLG_FF_FILEINFO_IDSTR_CCITT_GROUP4

Tagged Image File Format-G4

DLG_FF_FILEINFO_IDSTR_CGM

Computer Graphics Metafile

DLG_FF_FILEINFO_IDSTR_CLP

Windows Clipboard Image

DLG_FF_FILEINFO_IDSTR_CLP_RLE

Windows Clipboard Image-RLE

DLG_FF_FILEINFO_IDSTR_CMP

LEAD Format

DLG_FF_FILEINFO_IDSTR_CMW

LEAD Wavelet

DLG_FF_FILEINFO_IDSTR_CMX

Corel Clipart

DLG_FF_FILEINFO_IDSTR_CUT

Dr. Halo Graphics (CUT)

DLG_FF_FILEINFO_IDSTR_DCS

Kodak Professional Digital Camera System file

DLG_FF_FILEINFO_IDSTR_DICOM_COLOR

DICOM Uncompressed Color

DLG_FF_FILEINFO_IDSTR_DICOM_GRAY

DICOM Uncompressed Grayscale

DLG_FF_FILEINFO_IDSTR_DICOM_JPEG_COLOR

DICOM JPEG Color

DLG_FF_FILEINFO_IDSTR_DICOM_JPEG_GRAY

DICOM JPEG Grayscale

DLG_FF_FILEINFO_IDSTR_DICOM_RLE_COLOR

DICOM RLE Color

DLG_FF_FILEINFO_IDSTR_DICOM_RLE_GRAY

DICOM RLE Grayscale

DLG_FF_FILEINFO_IDSTR_DRW

Micrografx Draw

DLG_FF_FILEINFO_IDSTR_DWF

AutoDesk Vector Format

DLG_FF_FILEINFO_IDSTR_DWG

AutoDesk Drawing

DLG_FF_FILEINFO_IDSTR_DXF

AutoDesk Drawing Interchange Format

DLG_FF_FILEINFO_IDSTR_DXF_R13

AutoDesk Drawing Interchange Format R13

DLG_FF_FILEINFO_IDSTR_ECW

Enhanced Compressed Wavelet

DLG_FF_FILEINFO_IDSTR_EMF

Enhanced Metafile

DLG_FF_FILEINFO_IDSTR_EPS

Encapsulated PostScript Format

DLG_FF_FILEINFO_IDSTR_EPSBMP

PostScript Metafile

DLG_FF_FILEINFO_IDSTR_EPSTIFF

PostScript TIFF

DLG_FF_FILEINFO_IDSTR_EXIF

Exif (Uncompressed RGB)

DLG_FF_FILEINFO_IDSTR_EXIF_JPEG

Exif (JPEG 4:2:2)

DLG_FF_FILEINFO_IDSTR_EXIF_JPEG_411

Exif (JPEG 4:1:1)

DLG_FF_FILEINFO_IDSTR_EXIF_YCC

Exif (Uncompressed YCbCr)

DLG_FF_FILEINFO_IDSTR_FAX_G3_1D

FAX G3 1D (Raw)

DLG_FF_FILEINFO_IDSTR_FAX_G3_2D

FAX G3 2D (Raw)

DLG_FF_FILEINFO_IDSTR_FAX_G4

FAX G4 (Raw)

DLG_FF_FILEINFO_IDSTR_FLC

AutoDesk Animator Pro Animation

DLG_FF_FILEINFO_IDSTR_FLI

AutoDesk Animator Pro Animation

DLG_FF_FILEINFO_IDSTR_FPX

Kodak FlashPix (Uncompressed)

DLG_FF_FILEINFO_IDSTR_FPX_JPEG

Kodak FlashPix (JPEG Default qFactor)

DLG_FF_FILEINFO_IDSTR_FPX_JPEG_QFACTOR

Kodak FlashPix (JPEG specify qFactor)

DLG_FF_FILEINFO_IDSTR_FPX_SINGLE_COLOR

Kodak FlashPix (Single Color Compression)

DLG_FF_FILEINFO_IDSTR_GERBER

Gerber Vector

DLG_FF_FILEINFO_IDSTR_GIF

CompuServe Graphics Interchange Format

DLG_FF_FILEINFO_IDSTR_ICA_G3_1D

IOCA Image Object Content Architecture-IBM-G31D

DLG_FF_FILEINFO_IDSTR_ICA_G3_2D

IOCA Image Object Content Architecture-IBM-G32D

DLG_FF_FILEINFO_IDSTR_ICA_G4

IOCA Image Object Content Architecture-IBM-G4

DLG_FF_FILEINFO_IDSTR_ICA_IBM_MMR

IOCA Image Object Content Architecture-IBM-MMRESULT

DLG_FF_FILEINFO_IDSTR_ICA_UNCOMPRESSED

IOCA Image Object Content Architecture-IBM-Uncompressed

DLG_FF_FILEINFO_IDSTR_IFF_CAT

Amiga Interchange Format- CAT

DLG_FF_FILEINFO_IDSTR_IFF_ILBM

Amiga Interchange Format- ILBM

DLG_FF_FILEINFO_IDSTR_IMG

GEM Paint

DLG_FF_FILEINFO_IDSTR_INTERGRAPH_CCITT_G4

Intergraph RLE

DLG_FF_FILEINFO_IDSTR_INTERGRAPH_RLE

Intergraph RLE

DLG_FF_FILEINFO_IDSTR_INTERGRAPH_VECTOR

Intergraph Vector

DLG_FF_FILEINFO_IDSTR_J2K

JPEG 2000 stream

DLG_FF_FILEINFO_IDSTR_JBIG

Joint Bilevel Image Group JBIG

DLG_FF_FILEINFO_IDSTR_JP2

JPEG 2000 (JP2)

DLG_FF_FILEINFO_IDSTR_JPEG

JPEG (YUV 4:0:0)

DLG_FF_FILEINFO_IDSTR_JPEG_411

JPEG (YUV 4:1:1)

DLG_FF_FILEINFO_IDSTR_JPEG_422

JPEG (YUV 4:2:2)

DLG_FF_FILEINFO_IDSTR_JPEG_8

JPEG 4:0:0

DLG_FF_FILEINFO_IDSTR_JPEG_LAB

JPEG (LAB 4:4:4)

DLG_FF_FILEINFO_IDSTR_JPEG_LAB_411

JPEG (LAB 4:1:1)

DLG_FF_FILEINFO_IDSTR_JPEG_LAB_422

JPEG (LAB 4:2:2)

DLG_FF_FILEINFO_IDSTR_KDC_120

Kodak Digital Camera file type 120

DLG_FF_FILEINFO_IDSTR_KDC_40

Kodak Digital Camera file type 40

DLG_FF_FILEINFO_IDSTR_KDC_50

Kodak Digital Camera file type 50

DLG_FF_FILEINFO_IDSTR_LASERDATA

LaserData

DLG_FF_FILEINFO_IDSTR_LEAD

LEAD Format

DLG_FF_FILEINFO_IDSTR_LMC

LMC Format

DLG_FF_FILEINFO_IDSTR_LOSSLESS_JPEG

Lossless JPEG

DLG_FF_FILEINFO_IDSTR_MAC

MacPaint

DLG_FF_FILEINFO_IDSTR_MPEG1

MPEG-1

DLG_FF_FILEINFO_IDSTR_MPEG2

MPEG-2

DLG_FF_FILEINFO_IDSTR_MRC

MRC Format

DLG_FF_FILEINFO_IDSTR_MSP

Microsoft Paint

DLG_FF_FILEINFO_IDSTR_NAP

NAP format (vector)

DLG_FF_FILEINFO_IDSTR_OS2

Windows OS/2 BMP Version 1.0

DLG_FF_FILEINFO_IDSTR_OS2_2

Windows OS/2 BMP Version 2.0

DLG_FF_FILEINFO_IDSTR_PBM_ASCII

Portable Bitmap (PBM) ASCII

DLG_FF_FILEINFO_IDSTR_PBM_BINARY

Portable Bitmap (PBM) Binary

DLG_FF_FILEINFO_IDSTR_PCD

Kodak Photo CD

DLG_FF_FILEINFO_IDSTR_PCL

HPGL plotter file vector graphics PCL

DLG_FF_FILEINFO_IDSTR_PCT

Macintosh PICTure

DLG_FF_FILEINFO_IDSTR_PCX

PC Paint Brush / ZSoft Paintbrush PCX and DCX

DLG_FF_FILEINFO_IDSTR_PDF_LEAD_MRC

PDF LEAD MRC file

DLG_FF_FILEINFO_IDSTR_PGM_ASCII

Portable Greymap (PGM) ASCII

DLG_FF_FILEINFO_IDSTR_PGM_BINARY

Portable Greymap (PGM) Binary

DLG_FF_FILEINFO_IDSTR_PLT

HPGL or HPGL/2

DLG_FF_FILEINFO_IDSTR_PNG

Portable Network Graphics

DLG_FF_FILEINFO_IDSTR_PPM_ASCII

Portable Pixelmap (PPM) ASCII

DLG_FF_FILEINFO_IDSTR_PPM_BINARY

Portable Pixelmap (PPM) Binary

DLG_FF_FILEINFO_IDSTR_PSD

PhotoShop PSD

DLG_FF_FILEINFO_IDSTR_PSP

Paint Shop Pro Image - Uncompressed

DLG_FF_FILEINFO_IDSTR_PSP_RLE

Paint Shop Pro Image - RLE

DLG_FF_FILEINFO_IDSTR_PTOCA

MO:DCA PTOCA

DLG_FF_FILEINFO_IDSTR_RAS

Sun Raster Microsystems - Uncompressed

DLG_FF_FILEINFO_IDSTR_RAS_PDF

Adobe Acrobat (PDF) - Uncompressed

DLG_FF_FILEINFO_IDSTR_RAS_PDF_G3_1D

Adobe Acrobat (PDF) - CCITT G3 1D

DLG_FF_FILEINFO_IDSTR_RAS_PDF_G3_2D

Adobe Acrobat (PDF) - CCITT G3 2D

DLG_FF_FILEINFO_IDSTR_RAS_PDF_G4

Adobe Acrobat (PDF) - CCITT G4

DLG_FF_FILEINFO_IDSTR_RAS_PDF_JPEG

Adobe Acrobat (PDF) - JPEG 4:4:4

DLG_FF_FILEINFO_IDSTR_RAS_PDF_JPEG_411

Adobe Acrobat (PDF) - JPEG 4:1:1

DLG_FF_FILEINFO_IDSTR_RAS_PDF_JPEG_422

Adobe Acrobat (PDF) - JPEG 4:2:2

DLG_FF_FILEINFO_IDSTR_RAS_RLE

Sun Raster Microsystems -RLE

DLG_FF_FILEINFO_IDSTR_RAW

Raw file format

DLG_FF_FILEINFO_IDSTR_RAWICA_G3_1D

MODCA Image Object Content Architecture-IBM-G31D (Raw)

DLG_FF_FILEINFO_IDSTR_RAWICA_G3_2D

MODCA Image Object Content Architecture-IBM-G32D (Raw)

DLG_FF_FILEINFO_IDSTR_RAWICA_G4

MODCA Image Object Content Architecture-IBM-G4 (Raw)

DLG_FF_FILEINFO_IDSTR_RAWICA_IBM_MMR

MODCA Image Object Content Architecture-IBM-MMRESULT (Raw)

DLG_FF_FILEINFO_IDSTR_RAWICA_UNCOMPRESSED

MODCA Image Object Content Architecture-IBM-Uncompressed (Raw)

DLG_FF_FILEINFO_IDSTR_SCT

SciTex Continuous Tone

DLG_FF_FILEINFO_IDSTR_SGI

Silicon Graphics Image-Uncompressed

DLG_FF_FILEINFO_IDSTR_SGI_RLE

Silicon Graphics Image-RLE Compressed

DLG_FF_FILEINFO_IDSTR_SHP

ESRI Shape (Environmental Systems Research Institute)

DLG_FF_FILEINFO_IDSTR_SMP_G3_1D

Xionics SMP- G31D

DLG_FF_FILEINFO_IDSTR_SMP_G3_2D

Xionics SMP- G32D

DLG_FF_FILEINFO_IDSTR_SMP_G4

Xionics SMP- G4

DLG_FF_FILEINFO_IDSTR_SMP_UNCOMPRESSED

Xionics SMP-Uncompressed

DLG_FF_FILEINFO_IDSTR_SVG_EMBEDDED

Scalable Vector Graphics-Embedded image

DLG_FF_FILEINFO_IDSTR_SVG_EXTERNAL

Scalable Vector Graphics

DLG_FF_FILEINFO_IDSTR_TGA_RLE

Truevision Targa - RLE

DLG_FF_FILEINFO_IDSTR_TGA_UNCOMPRESSED

Truevision Targa - Uncompressed

DLG_FF_FILEINFO_IDSTR_TIF_ABC

TIFF LEAD ABC format

DLG_FF_FILEINFO_IDSTR_TIF

Tagged Image File Format-Uncompressed RGB

DLG_FF_FILEINFO_IDSTR_TIF_ABIC

Tagged Image File Format - Adaptive bi-level image compression

DLG_FF_FILEINFO_IDSTR_TIF_CMP

Tagged Image File Format-CMP

DLG_FF_FILEINFO_IDSTR_TIF_CMW

Tagged Image File Format-LEAD Wavelet

DLG_FF_FILEINFO_IDSTR_TIF_CMYK

Tagged Image File Format- Uncompressed CMYK

DLG_FF_FILEINFO_IDSTR_TIF_DXF

Tagged Image File Format-DXF

DLG_FF_FILEINFO_IDSTR_TIF_J2K

JPEG 2000 stream TIFF

DLG_FF_FILEINFO_IDSTR_TIF_JBIG

Tagged Image File Format-JBIG

DLG_FF_FILEINFO_IDSTR_TIF_JPEG

Tagged Image File Format-JPEG Gray YCbCr

DLG_FF_FILEINFO_IDSTR_TIF_JPEG_411

Tagged Image File Format- JPEG YCbCr 4:1:1

DLG_FF_FILEINFO_IDSTR_TIF_JPEG_422

Tagged Image File Format- JPEG YCbCr 4:2:2

DLG_FF_FILEINFO_IDSTR_TIF_JPEG_8

Tagged Image File Format-JPEG 4:0:0

DLG_FF_FILEINFO_IDSTR_TIF_LMC

Tagged Image File Format-LMC

DLG_FF_FILEINFO_IDSTR_TIF_MRC

TIFF MRC format

DLG_FF_FILEINFO_IDSTR_TIF_PACKBITS

Tagged Image File Format-Packbits RLE

DLG_FF_FILEINFO_IDSTR_TIF_PACKBITS_CMYK

Tagged Image File Format- Packbits CMYK

DLG_FF_FILEINFO_IDSTR_TIF_PACKBITS_YCC

Tagged Image File Format- Uncompressed YCbCR

DLG_FF_FILEINFO_IDSTR_TIF_UNKNOWN

Tagged Image File Format-Unknown

DLG_FF_FILEINFO_IDSTR_TIF_YCC

Tagged Image File Format- Packbits YcbCr

DLG_FF_FILEINFO_IDSTR_TIFLZW

Tagged Image File Format-LZW RGB

DLG_FF_FILEINFO_IDSTR_TIFLZW_CMYK

Tagged Image File Format- CMYK

DLG_FF_FILEINFO_IDSTR_TIFLZW_YCC

Tagged Image File Format- LZW YcbCr

DLG_FF_FILEINFO_IDSTR_TIFX_FAX_G3_1D

TIFF-FX CCITT G3 1D

DLG_FF_FILEINFO_IDSTR_TIFX_FAX_G3_2D

TIFF-FX CCITT G3 2D

DLG_FF_FILEINFO_IDSTR_TIFX_FAX_G4

TIFF-FX CCITT G4

DLG_FF_FILEINFO_IDSTR_TIFX_JBIG

TIFF-FX CCITT JBIG

DLG_FF_FILEINFO_IDSTR_TIFX_JBIG_T43

TIFF-FX CCITT JBIG T43

DLG_FF_FILEINFO_IDSTR_TIFX_JBIG_T43_GS

TIFF-FX CCITT JBIG T43 GS

DLG_FF_FILEINFO_IDSTR_TIFX_JBIG_T43_ITULAB

TIFF-FX CCITT JBIG T43 ITULAB

DLG_FF_FILEINFO_IDSTR_TIFX_JPEG

TIFF-FX JPEG

DLG_FF_FILEINFO_IDSTR_TXT

Text format

DLG_FF_FILEINFO_IDSTR_VWPG

WordPerfect Vector

DLG_FF_FILEINFO_IDSTR_WBMP

Wireless bitmap (WBMP)

DLG_FF_FILEINFO_IDSTR_WFX_G3_1D

Winfax G3 1D

DLG_FF_FILEINFO_IDSTR_WFX_G4

Winfax G4

DLG_FF_FILEINFO_IDSTR_WIN_CUR

Windows Cursor

DLG_FF_FILEINFO_IDSTR_WIN_ICO

Windows ICON

DLG_FF_FILEINFO_IDSTR_WPG

WordPerfect Graphics Bitmap

DLG_FF_FILEINFO_IDSTR_XBM

X BitMap

DLG_FF_FILEINFO_IDSTR_XPM

X Pixel Map

DLG_FF_FILEINFO_IDSTR_XWD10

X Window system window dump- 10

DLG_FF_FILEINFO_IDSTR_XWD11

X Window system window dump- 11

Open Dialog Strings

DLG_OPEN_IDSTR_DELETEPAGE

Delete Page

DLG_OPEN_IDSTR_FILENAME

File &name:

DLG_OPEN_IDSTR_FILESOFTYPE

Files of &type:

DLG_OPEN_IDSTR_LOOKIN

Look &in

DLG_OPEN_IDSTR_MSG_DELPAGE_CAPTION

Delete Page

DLG_OPEN_IDSTR_MSG_DELPAGE_ERROR

Error Deleting Page!

DLG_OPEN_IDSTR_MSG_DELPAGE_TEXT

Delete page %d?

DLG_OPEN_IDSTR_MSG_FILEINFO_CAPTION

FileInfo Error

DLG_OPEN_IDSTR_MSG_FILEINFO_TEXT

Error %d: Information not available for\n %s

DLG_OPEN_IDSTR_OPEN

Open

DLG_OPEN_IDSTR_PAGENUMBER

Page No.:

DLG_OPEN_IDSTR_PREVIEWTOOLTIP

Preview Selected File

DLG_OPEN_IDSTR_SHORTCUTBAR_DESKTOP

Desktop

DLG_OPEN_IDSTR_SHORTCUTBAR_FILEINFO

File Info

DLG_OPEN_IDSTR_SHORTCUTBAR_HISTORY

History

DLG_OPEN_IDSTR_SHORTCUTBAR_MYDOCUMENTS

My Documents

DLG_OPEN_IDSTR_SHORTCUTBAR_PATHS

Paths

DLG_OPEN_IDSTR_SHOWLOADOPTIONS

&Show Options on Open

Open Dialog Strings

DLG_OPEN_IDSTR_DELETEPAGE

Delete Page

DLG_OPEN_IDSTR_FILENAME

File &name:

DLG_OPEN_IDSTR_FILESOFTYPE

Files of &type:

DLG_OPEN_IDSTR_LOOKIN

Look &in

DLG_OPEN_IDSTR_MSG_DELPAGE_CAPTION

Delete Page

DLG_OPEN_IDSTR_MSG_DELPAGE_ERROR

Error Deleting Page!

DLG_OPEN_IDSTR_MSG_DELPAGE_TEXT

Delete page %d?

DLG_OPEN_IDSTR_MSG_FILEINFO_CAPTION

FileInfo Error

DLG_OPEN_IDSTR_MSG_FILEINFO_TEXT

Error %d: Information not available for\n %s

DLG_OPEN_IDSTR_OPEN

Open

DLG_OPEN_IDSTR_PAGENUMBER

Page No.:

DLG_OPEN_IDSTR_PREVIEWTOOLTIP

Preview Selected File

DLG_OPEN_IDSTR_SHORTCUTBAR_DESKTOP

Desktop

DLG_OPEN_IDSTR_SHORTCUTBAR_FILEINFO

File Info

DLG_OPEN_IDSTR_SHORTCUTBAR_HISTORY

History

DLG_OPEN_IDSTR_SHORTCUTBAR_MYDOCUMENTS

My Documents

DLG_OPEN_IDSTR_SHORTCUTBAR_PATHS

Paths

DLG_OPEN_IDSTR_SHOWLOADOPTIONS

&Show Options on Open

JBIG2 Options Dialog

DLG_JBIG2OPTIONS_IDSTR_CAPTION

JBIG2 Options

DLG_JBIG2OPTIONS_IDSTR_GBAT1

G-BAT&1

DLG_JBIG2OPTIONS_IDSTR_GBAT1X

X:

DLG_JBIG2OPTIONS_IDSTR_GBAT1Y

Y:

DLG_JBIG2OPTIONS_IDSTR_GBAT2

G-BAT&2

DLG_JBIG2OPTIONS_IDSTR_GBAT2X

X:

DLG_JBIG2OPTIONS_IDSTR_GBAT2Y

Y:

DLG_JBIG2OPTIONS_IDSTR_GBAT3

G-BAT&3

DLG_JBIG2OPTIONS_IDSTR_GBAT3X

X:

DLG_JBIG2OPTIONS_IDSTR_GBAT3Y

Y:

DLG_JBIG2OPTIONS_IDSTR_GBAT4

G-BAT&4

DLG_JBIG2OPTIONS_IDSTR_GBAT4X

X:

DLG_JBIG2OPTIONS_IDSTR_GBAT4Y

Y:

DLG_JBIG2OPTIONS_IDSTR_TEMPLATE

&Template

DLG_JBIG2OPTIONS_IDSTR_THREELINES10PIXEL

Three Lines 10 Pixel

DLG_JBIG2OPTIONS_IDSTR_THREELINES13PIXEL

Three Lines 13 Pixel

DLG_JBIG2OPTIONS_IDSTR_THREELINES16PIXEL

Three Lines 16 Pixel

DLG_JBIG2OPTIONS_IDSTR_TWOLINES10PIXEL

Two Lines 10 Pixel

DLG_JBIG2OPTIONS_IDSTR_TYPICALPREDICTION

Typical &Prediction


HSB-Brightness Based Model

In the HSB color space:

H stands for Hue.

S stands for Saturation.

B stands for Brightness.

Three numbers representing Hue, Saturation, and Brightness can be used to uniquely identify each color in the spectrum.

Hue is what we usually refer to informally as "color". For example, Red, Orange, Yellow, Green, Cyan, Blue, and Violet are all different hues.

Saturation refers to vividness or deepness of a color. For example, a deep fire engine red is very saturated, while a pale pink, which may have the same hue, is very unsaturated. When all of the saturation is removed from a color, it becomes gray.

Brightness refers to the lightness or darkness of a color.

Using this model, you can select a color according to its perceived intensity, lighter or darker color.

See Also

Functions: | LDialogColor::DoModalColor, LDialogColor::DoModalCustomizePalette
Topics: | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model


HSB-Hue Based Model

In the HSB color space:

H stands for Hue.

S stands for Saturation.

B stands for Brightness.

Three numbers representing Hue, Saturation, and Brightness can be used to uniquely identify each color in the spectrum.

Hue is what we usually refer to informally as "color". For example, Red, Orange, Yellow, Green, Cyan, Blue, and Violet are all different hues.

Saturation refers to vividness or deepness of a color. For example, a deep fire engine red is very saturated, while a pale pink, which may have the same hue, is very unsaturated. When all of the saturation is removed from a color, it becomes gray.

Brightness refers to the lightness or darkness of a color.

Using this model you can select a color according to the color, such as orange, yellow, etc.

See Also

Functions: | LDialogColor::DoModalColor, LDialogColor::DoModalCustomizePalette.
Topics: | HSB-Brightness Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model.


HSB-Wheel Based Model

In the HSB color space:

H stands for Hue.

S stands for Saturation.

B stands for Brightness.

Three numbers representing Hue, Saturation, and Brightness can be used to uniquely identify each color in the spectrum.

Hue is what we usually refer to informally as "color". For example, Red, Orange, Yellow, Green, Cyan, Blue, and Violet are all different hues.

Saturation refers to vividness or deepness of a color. For example, a deep fire-engine red is very saturated, while a pale pink, which may have the same hue, is very unsaturated. When all of the saturation is removed from a color, it becomes gray.

Brightness refers to the lightness or darkness of a color.

Using this model you can select a color according to a hue value in degrees.

See Also

Functions: | LDialogColor::DoModalColor, LDialogColor::DoModalCustomizePalette.
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model


Lab - Device Independent Model

In the Lab Model (also known as CIELab or CIE L*a*b*)

L stands for Lightness.

a stands for red/green chrominance.

b stands for yellow/blue chrominance.

The Lab color model was developed in 1931 by La Commision internationale de L’Eclairage (CIE). It is device independent, and uses synthetic primary colors to more closely model the way the human eye perceives color.

See Also

Functions: | LDialogColor::DoModalColor, LDialogColor::DoModalCustomizePalette.
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model.


Multi-slider Control Dialog

Use the Multi-slider control to set range values for a number of dialogs.

Use the Multi-slider control to specify the following:

Three values where the:

First value will be the result of subtracting the first marker value from the Multi-slider start value.

Second value will be the result of subtracting the second marker value from the first marker value.

Third value will be the result of subtracting the second marker value from the Multi-slider end value.

The Range within two values where the:

Range beginning value will be the first marker value.

Range end value will be the second marker value.

How to use

You can change the values by changing the markers' positions.

Changing the markers' positions can be done by dragging the marker to a new position. You can also right click on the marker you want to change and display the Value dialog, which lets you set the new marker value (position).

See Also

Functions:

LDialogColor::DoModalGrayScale, LDialogColor::DoModalColor, LDialogColor::DoModalRemapHue, LDialogDocument::DoModalInvertedText, LDialogDocument::DoModalHolePunchRemove


RGB - 3D Additive Model

In the RGB color space:

R stands for Red.

G stands for Green.

B stands for Blue.

Three numbers (0 – 255) representing Red, Green and Blue can be used to uniquely identify each color in the spectrum.

If Red, Green, and Blue all have the same value, the resulting color is a shade of gray. Black is the absence of all color, or Red, Green, and Blue values are all zero, while White is the presence of the maximum amount of all three component colors, or Red, Green, and Blue all have a value of 255. The RGB model is additive, or light is added to create colors. This means that as the component color values increase, the resulting color becomes brighter.

See Also

Functions: | LDialogColor::DoModalColor, LDialogColor::DoModalCustomizePalette
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model.


Topic Selection

LEAD Technologies, Inc.
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

Sales@Leadtools.com
www.leadtools.com

(704) 332-5532
FAX: (704) 372-8161
Tech Support: (704) 372-9681

LEADTOOLS is ideal for developers involved in still frame, multimedia, document, medical, and vector imaging projects, including Internet/Intranet applications. Independent of the specific application requirement – scanning, file format support/conversion, compression, image processing, annotation, database support, multimedia, etc. – LEADTOOLS provides the most comprehensive, robust, flexible, and powerful imaging solution available.

Click this button to start the Licensing help file to review the License Agreements governing your use of the software.

Click this button to start the Products help file to review the full line of LEADTOOLS Products.

Click this button to start the Imaging help file to review the full line of LEADTOOLS Image Categories.